import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaNetworkZoneConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/network_zone#id DataOktaNetworkZone#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/network_zone#name DataOktaNetworkZone#name}
    */
    readonly name?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/network_zone okta_network_zone}
*/
export declare class DataOktaNetworkZone extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "okta_network_zone";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/network_zone okta_network_zone} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaNetworkZoneConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataOktaNetworkZoneConfig);
    get asns(): string[];
    get dynamicLocations(): string[];
    get dynamicProxyType(): string;
    get gateways(): string[];
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get proxies(): string[];
    get type(): string;
    get usage(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
