# API Reference <a name="API Reference" id="api-reference"></a>

## Constructs <a name="Constructs" id="constructs"></a>

### AdminRoleCustom <a name="@cdktf/provider-okta.AdminRoleCustom" id="cdktfprovideroktaadminrolecustom"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom okta_admin_role_custom}.

#### Initializers <a name="@cdktf/provider-okta.AdminRoleCustom.Initializer" id="cdktfprovideroktaadminrolecustominitializer"></a>

```typescript
import { AdminRoleCustom } from '@cdktf/provider-okta'

new AdminRoleCustom(scope: Construct, id: string, config: AdminRoleCustomConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaadminrolecustomparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaadminrolecustomparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaadminrolecustomparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AdminRoleCustomConfig`](#@cdktf/provider-okta.AdminRoleCustomConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.parameter.scope" id="cdktfprovideroktaadminrolecustomparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.parameter.id" id="cdktfprovideroktaadminrolecustomparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.parameter.config" id="cdktfprovideroktaadminrolecustomparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AdminRoleCustomConfig`](#@cdktf/provider-okta.AdminRoleCustomConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaadminrolecustomresetid) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktaadminrolecustomresetpermissions) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AdminRoleCustom.resetId" id="cdktfprovideroktaadminrolecustomresetid"></a>

```typescript
public resetId()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.AdminRoleCustom.resetPermissions" id="cdktfprovideroktaadminrolecustomresetpermissions"></a>

```typescript
public resetPermissions()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktaadminrolecustompropertydescriptioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaadminrolecustompropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaadminrolecustompropertylabelinput) | `string` | *No description.* |
| [`permissionsInput`](#cdktfprovideroktaadminrolecustompropertypermissionsinput) | `string`[] | *No description.* |
| [`description`](#cdktfprovideroktaadminrolecustompropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaadminrolecustompropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaadminrolecustompropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`permissions`](#cdktfprovideroktaadminrolecustompropertypermissions)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.descriptionInput" id="cdktfprovideroktaadminrolecustompropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.idInput" id="cdktfprovideroktaadminrolecustompropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.labelInput" id="cdktfprovideroktaadminrolecustompropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.permissionsInput" id="cdktfprovideroktaadminrolecustompropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string[];
```

- *Type:* `string`[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.description" id="cdktfprovideroktaadminrolecustompropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.id" id="cdktfprovideroktaadminrolecustompropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.label" id="cdktfprovideroktaadminrolecustompropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustom.property.permissions" id="cdktfprovideroktaadminrolecustompropertypermissions"></a>

```typescript
public readonly permissions: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaadminrolecustompropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AdminRoleCustom.property.tfResourceType" id="cdktfprovideroktaadminrolecustompropertytfresourcetype"></a>

- *Type:* `string`

---

### AdminRoleCustomAssignments <a name="@cdktf/provider-okta.AdminRoleCustomAssignments" id="cdktfprovideroktaadminrolecustomassignments"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom_assignments okta_admin_role_custom_assignments}.

#### Initializers <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.Initializer" id="cdktfprovideroktaadminrolecustomassignmentsinitializer"></a>

```typescript
import { AdminRoleCustomAssignments } from '@cdktf/provider-okta'

new AdminRoleCustomAssignments(scope: Construct, id: string, config: AdminRoleCustomAssignmentsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaadminrolecustomassignmentsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaadminrolecustomassignmentsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaadminrolecustomassignmentsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig`](#@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.parameter.scope" id="cdktfprovideroktaadminrolecustomassignmentsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.parameter.id" id="cdktfprovideroktaadminrolecustomassignmentsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.parameter.config" id="cdktfprovideroktaadminrolecustomassignmentsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig`](#@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaadminrolecustomassignmentsresetid) | *No description.* |
| [`resetMembers`](#cdktfprovideroktaadminrolecustomassignmentsresetmembers) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.resetId" id="cdktfprovideroktaadminrolecustomassignmentsresetid"></a>

```typescript
public resetId()
```

##### `resetMembers` <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.resetMembers" id="cdktfprovideroktaadminrolecustomassignmentsresetmembers"></a>

```typescript
public resetMembers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`customRoleIdInput`](#cdktfprovideroktaadminrolecustomassignmentspropertycustomroleidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaadminrolecustomassignmentspropertyidinput) | `string` | *No description.* |
| [`membersInput`](#cdktfprovideroktaadminrolecustomassignmentspropertymembersinput) | `string`[] | *No description.* |
| [`resourceSetIdInput`](#cdktfprovideroktaadminrolecustomassignmentspropertyresourcesetidinput) | `string` | *No description.* |
| [`customRoleId`](#cdktfprovideroktaadminrolecustomassignmentspropertycustomroleid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaadminrolecustomassignmentspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`members`](#cdktfprovideroktaadminrolecustomassignmentspropertymembers)<span title="Required">*</span> | `string`[] | *No description.* |
| [`resourceSetId`](#cdktfprovideroktaadminrolecustomassignmentspropertyresourcesetid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `customRoleIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.customRoleIdInput" id="cdktfprovideroktaadminrolecustomassignmentspropertycustomroleidinput"></a>

```typescript
public readonly customRoleIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.idInput" id="cdktfprovideroktaadminrolecustomassignmentspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `membersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.membersInput" id="cdktfprovideroktaadminrolecustomassignmentspropertymembersinput"></a>

```typescript
public readonly membersInput: string[];
```

- *Type:* `string`[]

---

##### `resourceSetIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.resourceSetIdInput" id="cdktfprovideroktaadminrolecustomassignmentspropertyresourcesetidinput"></a>

```typescript
public readonly resourceSetIdInput: string;
```

- *Type:* `string`

---

##### `customRoleId`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.customRoleId" id="cdktfprovideroktaadminrolecustomassignmentspropertycustomroleid"></a>

```typescript
public readonly customRoleId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.id" id="cdktfprovideroktaadminrolecustomassignmentspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `members`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.members" id="cdktfprovideroktaadminrolecustomassignmentspropertymembers"></a>

```typescript
public readonly members: string[];
```

- *Type:* `string`[]

---

##### `resourceSetId`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.resourceSetId" id="cdktfprovideroktaadminrolecustomassignmentspropertyresourcesetid"></a>

```typescript
public readonly resourceSetId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaadminrolecustomassignmentspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AdminRoleCustomAssignments.property.tfResourceType" id="cdktfprovideroktaadminrolecustomassignmentspropertytfresourcetype"></a>

- *Type:* `string`

---

### AdminRoleTargets <a name="@cdktf/provider-okta.AdminRoleTargets" id="cdktfprovideroktaadminroletargets"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/admin_role_targets okta_admin_role_targets}.

#### Initializers <a name="@cdktf/provider-okta.AdminRoleTargets.Initializer" id="cdktfprovideroktaadminroletargetsinitializer"></a>

```typescript
import { AdminRoleTargets } from '@cdktf/provider-okta'

new AdminRoleTargets(scope: Construct, id: string, config: AdminRoleTargetsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaadminroletargetsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaadminroletargetsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaadminroletargetsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AdminRoleTargetsConfig`](#@cdktf/provider-okta.AdminRoleTargetsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.parameter.scope" id="cdktfprovideroktaadminroletargetsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.parameter.id" id="cdktfprovideroktaadminroletargetsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.parameter.config" id="cdktfprovideroktaadminroletargetsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AdminRoleTargetsConfig`](#@cdktf/provider-okta.AdminRoleTargetsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetApps`](#cdktfprovideroktaadminroletargetsresetapps) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaadminroletargetsresetgroups) | *No description.* |
| [`resetId`](#cdktfprovideroktaadminroletargetsresetid) | *No description.* |

---

##### `resetApps` <a name="@cdktf/provider-okta.AdminRoleTargets.resetApps" id="cdktfprovideroktaadminroletargetsresetapps"></a>

```typescript
public resetApps()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AdminRoleTargets.resetGroups" id="cdktfprovideroktaadminroletargetsresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetId` <a name="@cdktf/provider-okta.AdminRoleTargets.resetId" id="cdktfprovideroktaadminroletargetsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`roleId`](#cdktfprovideroktaadminroletargetspropertyroleid)<span title="Required">*</span> | `string` | *No description.* |
| [`appsInput`](#cdktfprovideroktaadminroletargetspropertyappsinput) | `string`[] | *No description.* |
| [`groupsInput`](#cdktfprovideroktaadminroletargetspropertygroupsinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktaadminroletargetspropertyidinput) | `string` | *No description.* |
| [`roleTypeInput`](#cdktfprovideroktaadminroletargetspropertyroletypeinput) | `string` | *No description.* |
| [`userIdInput`](#cdktfprovideroktaadminroletargetspropertyuseridinput) | `string` | *No description.* |
| [`apps`](#cdktfprovideroktaadminroletargetspropertyapps)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groups`](#cdktfprovideroktaadminroletargetspropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaadminroletargetspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`roleType`](#cdktfprovideroktaadminroletargetspropertyroletype)<span title="Required">*</span> | `string` | *No description.* |
| [`userId`](#cdktfprovideroktaadminroletargetspropertyuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `roleId`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.roleId" id="cdktfprovideroktaadminroletargetspropertyroleid"></a>

```typescript
public readonly roleId: string;
```

- *Type:* `string`

---

##### `appsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.appsInput" id="cdktfprovideroktaadminroletargetspropertyappsinput"></a>

```typescript
public readonly appsInput: string[];
```

- *Type:* `string`[]

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.groupsInput" id="cdktfprovideroktaadminroletargetspropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.idInput" id="cdktfprovideroktaadminroletargetspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `roleTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.roleTypeInput" id="cdktfprovideroktaadminroletargetspropertyroletypeinput"></a>

```typescript
public readonly roleTypeInput: string;
```

- *Type:* `string`

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.userIdInput" id="cdktfprovideroktaadminroletargetspropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `apps`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.apps" id="cdktfprovideroktaadminroletargetspropertyapps"></a>

```typescript
public readonly apps: string[];
```

- *Type:* `string`[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.groups" id="cdktfprovideroktaadminroletargetspropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.id" id="cdktfprovideroktaadminroletargetspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.roleType" id="cdktfprovideroktaadminroletargetspropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargets.property.userId" id="cdktfprovideroktaadminroletargetspropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaadminroletargetspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AdminRoleTargets.property.tfResourceType" id="cdktfprovideroktaadminroletargetspropertytfresourcetype"></a>

- *Type:* `string`

---

### AppAutoLogin <a name="@cdktf/provider-okta.AppAutoLogin" id="cdktfprovideroktaappautologin"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login okta_app_auto_login}.

#### Initializers <a name="@cdktf/provider-okta.AppAutoLogin.Initializer" id="cdktfprovideroktaappautologininitializer"></a>

```typescript
import { AppAutoLogin } from '@cdktf/provider-okta'

new AppAutoLogin(scope: Construct, id: string, config: AppAutoLoginConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappautologinparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappautologinparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappautologinparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppAutoLoginConfig`](#@cdktf/provider-okta.AppAutoLoginConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.parameter.scope" id="cdktfprovideroktaappautologinparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.parameter.id" id="cdktfprovideroktaappautologinparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.parameter.config" id="cdktfprovideroktaappautologinparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppAutoLoginConfig`](#@cdktf/provider-okta.AppAutoLoginConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaappautologinputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappautologinresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappautologinresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappautologinresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappautologinresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappautologinresetapplinksjson) | *No description.* |
| [`resetAppSettingsJson`](#cdktfprovideroktaappautologinresetappsettingsjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappautologinresetautosubmittoolbar) | *No description.* |
| [`resetCredentialsScheme`](#cdktfprovideroktaappautologinresetcredentialsscheme) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappautologinresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappautologinresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappautologinresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappautologinresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappautologinresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappautologinresetlogo) | *No description.* |
| [`resetPreconfiguredApp`](#cdktfprovideroktaappautologinresetpreconfiguredapp) | *No description.* |
| [`resetRevealPassword`](#cdktfprovideroktaappautologinresetrevealpassword) | *No description.* |
| [`resetSharedPassword`](#cdktfprovideroktaappautologinresetsharedpassword) | *No description.* |
| [`resetSharedUsername`](#cdktfprovideroktaappautologinresetsharedusername) | *No description.* |
| [`resetSignOnRedirectUrl`](#cdktfprovideroktaappautologinresetsignonredirecturl) | *No description.* |
| [`resetSignOnUrl`](#cdktfprovideroktaappautologinresetsignonurl) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappautologinresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappautologinresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappautologinresetstatus) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaappautologinresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaappautologinresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaappautologinresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaappautologinresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappautologinresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AppAutoLogin.putUsers" id="cdktfprovideroktaappautologinputusers"></a>

```typescript
public putUsers(value: IResolvable | AppAutoLoginUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.parameter.value" id="cdktfprovideroktaappautologinparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppAutoLogin.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappautologinresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppAutoLogin.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappautologinresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppAutoLogin.resetAccessibilitySelfService" id="cdktfprovideroktaappautologinresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppAutoLogin.resetAdminNote" id="cdktfprovideroktaappautologinresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppAutoLogin.resetAppLinksJson" id="cdktfprovideroktaappautologinresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAppSettingsJson` <a name="@cdktf/provider-okta.AppAutoLogin.resetAppSettingsJson" id="cdktfprovideroktaappautologinresetappsettingsjson"></a>

```typescript
public resetAppSettingsJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppAutoLogin.resetAutoSubmitToolbar" id="cdktfprovideroktaappautologinresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetCredentialsScheme` <a name="@cdktf/provider-okta.AppAutoLogin.resetCredentialsScheme" id="cdktfprovideroktaappautologinresetcredentialsscheme"></a>

```typescript
public resetCredentialsScheme()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppAutoLogin.resetEnduserNote" id="cdktfprovideroktaappautologinresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppAutoLogin.resetGroups" id="cdktfprovideroktaappautologinresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppAutoLogin.resetHideIos" id="cdktfprovideroktaappautologinresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppAutoLogin.resetHideWeb" id="cdktfprovideroktaappautologinresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppAutoLogin.resetId" id="cdktfprovideroktaappautologinresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppAutoLogin.resetLogo" id="cdktfprovideroktaappautologinresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPreconfiguredApp` <a name="@cdktf/provider-okta.AppAutoLogin.resetPreconfiguredApp" id="cdktfprovideroktaappautologinresetpreconfiguredapp"></a>

```typescript
public resetPreconfiguredApp()
```

##### `resetRevealPassword` <a name="@cdktf/provider-okta.AppAutoLogin.resetRevealPassword" id="cdktfprovideroktaappautologinresetrevealpassword"></a>

```typescript
public resetRevealPassword()
```

##### `resetSharedPassword` <a name="@cdktf/provider-okta.AppAutoLogin.resetSharedPassword" id="cdktfprovideroktaappautologinresetsharedpassword"></a>

```typescript
public resetSharedPassword()
```

##### `resetSharedUsername` <a name="@cdktf/provider-okta.AppAutoLogin.resetSharedUsername" id="cdktfprovideroktaappautologinresetsharedusername"></a>

```typescript
public resetSharedUsername()
```

##### `resetSignOnRedirectUrl` <a name="@cdktf/provider-okta.AppAutoLogin.resetSignOnRedirectUrl" id="cdktfprovideroktaappautologinresetsignonredirecturl"></a>

```typescript
public resetSignOnRedirectUrl()
```

##### `resetSignOnUrl` <a name="@cdktf/provider-okta.AppAutoLogin.resetSignOnUrl" id="cdktfprovideroktaappautologinresetsignonurl"></a>

```typescript
public resetSignOnUrl()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppAutoLogin.resetSkipGroups" id="cdktfprovideroktaappautologinresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppAutoLogin.resetSkipUsers" id="cdktfprovideroktaappautologinresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppAutoLogin.resetStatus" id="cdktfprovideroktaappautologinresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AppAutoLogin.resetUserNameTemplate" id="cdktfprovideroktaappautologinresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AppAutoLogin.resetUserNameTemplatePushStatus" id="cdktfprovideroktaappautologinresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AppAutoLogin.resetUserNameTemplateSuffix" id="cdktfprovideroktaappautologinresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AppAutoLogin.resetUserNameTemplateType" id="cdktfprovideroktaappautologinresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppAutoLogin.resetUsers" id="cdktfprovideroktaappautologinresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaappautologinpropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappautologinpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappautologinpropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappautologinpropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppAutoLoginUsersList`](#@cdktf/provider-okta.AppAutoLoginUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappautologinpropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappautologinpropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappautologinpropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappautologinpropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappautologinpropertyapplinksjsoninput) | `string` | *No description.* |
| [`appSettingsJsonInput`](#cdktfprovideroktaappautologinpropertyappsettingsjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappautologinpropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsSchemeInput`](#cdktfprovideroktaappautologinpropertycredentialsschemeinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappautologinpropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappautologinpropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappautologinpropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappautologinpropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappautologinpropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappautologinpropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappautologinpropertylogoinput) | `string` | *No description.* |
| [`preconfiguredAppInput`](#cdktfprovideroktaappautologinpropertypreconfiguredappinput) | `string` | *No description.* |
| [`revealPasswordInput`](#cdktfprovideroktaappautologinpropertyrevealpasswordinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPasswordInput`](#cdktfprovideroktaappautologinpropertysharedpasswordinput) | `string` | *No description.* |
| [`sharedUsernameInput`](#cdktfprovideroktaappautologinpropertysharedusernameinput) | `string` | *No description.* |
| [`signOnRedirectUrlInput`](#cdktfprovideroktaappautologinpropertysignonredirecturlinput) | `string` | *No description.* |
| [`signOnUrlInput`](#cdktfprovideroktaappautologinpropertysignonurlinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappautologinpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappautologinpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappautologinpropertystatusinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaappautologinpropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaappautologinpropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaappautologinpropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaappautologinpropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappautologinpropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappautologinpropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappautologinpropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappautologinpropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappautologinpropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappautologinpropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`appSettingsJson`](#cdktfprovideroktaappautologinpropertyappsettingsjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappautologinpropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsScheme`](#cdktfprovideroktaappautologinpropertycredentialsscheme)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappautologinpropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaappautologinpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappautologinpropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappautologinpropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappautologinpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappautologinpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappautologinpropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`preconfiguredApp`](#cdktfprovideroktaappautologinpropertypreconfiguredapp)<span title="Required">*</span> | `string` | *No description.* |
| [`revealPassword`](#cdktfprovideroktaappautologinpropertyrevealpassword)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPassword`](#cdktfprovideroktaappautologinpropertysharedpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedUsername`](#cdktfprovideroktaappautologinpropertysharedusername)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnRedirectUrl`](#cdktfprovideroktaappautologinpropertysignonredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnUrl`](#cdktfprovideroktaappautologinpropertysignonurl)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappautologinpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappautologinpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappautologinpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaappautologinpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappautologinpropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappautologinpropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaappautologinpropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.logoUrl" id="cdktfprovideroktaappautologinpropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.name" id="cdktfprovideroktaappautologinpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.signOnMode" id="cdktfprovideroktaappautologinpropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.users" id="cdktfprovideroktaappautologinpropertyusers"></a>

```typescript
public readonly users: AppAutoLoginUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppAutoLoginUsersList`](#@cdktf/provider-okta.AppAutoLoginUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappautologinpropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappautologinpropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappautologinpropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.adminNoteInput" id="cdktfprovideroktaappautologinpropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.appLinksJsonInput" id="cdktfprovideroktaappautologinpropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `appSettingsJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.appSettingsJsonInput" id="cdktfprovideroktaappautologinpropertyappsettingsjsoninput"></a>

```typescript
public readonly appSettingsJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.autoSubmitToolbarInput" id="cdktfprovideroktaappautologinpropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsSchemeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.credentialsSchemeInput" id="cdktfprovideroktaappautologinpropertycredentialsschemeinput"></a>

```typescript
public readonly credentialsSchemeInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.enduserNoteInput" id="cdktfprovideroktaappautologinpropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.groupsInput" id="cdktfprovideroktaappautologinpropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.hideIosInput" id="cdktfprovideroktaappautologinpropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.hideWebInput" id="cdktfprovideroktaappautologinpropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.idInput" id="cdktfprovideroktaappautologinpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.labelInput" id="cdktfprovideroktaappautologinpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.logoInput" id="cdktfprovideroktaappautologinpropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `preconfiguredAppInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.preconfiguredAppInput" id="cdktfprovideroktaappautologinpropertypreconfiguredappinput"></a>

```typescript
public readonly preconfiguredAppInput: string;
```

- *Type:* `string`

---

##### `revealPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.revealPasswordInput" id="cdktfprovideroktaappautologinpropertyrevealpasswordinput"></a>

```typescript
public readonly revealPasswordInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.sharedPasswordInput" id="cdktfprovideroktaappautologinpropertysharedpasswordinput"></a>

```typescript
public readonly sharedPasswordInput: string;
```

- *Type:* `string`

---

##### `sharedUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.sharedUsernameInput" id="cdktfprovideroktaappautologinpropertysharedusernameinput"></a>

```typescript
public readonly sharedUsernameInput: string;
```

- *Type:* `string`

---

##### `signOnRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.signOnRedirectUrlInput" id="cdktfprovideroktaappautologinpropertysignonredirecturlinput"></a>

```typescript
public readonly signOnRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `signOnUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.signOnUrlInput" id="cdktfprovideroktaappautologinpropertysignonurlinput"></a>

```typescript
public readonly signOnUrlInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.skipGroupsInput" id="cdktfprovideroktaappautologinpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.skipUsersInput" id="cdktfprovideroktaappautologinpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.statusInput" id="cdktfprovideroktaappautologinpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplateInput" id="cdktfprovideroktaappautologinpropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaappautologinpropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplateSuffixInput" id="cdktfprovideroktaappautologinpropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplateTypeInput" id="cdktfprovideroktaappautologinpropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.usersInput" id="cdktfprovideroktaappautologinpropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppAutoLoginUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappautologinpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappautologinpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.accessibilitySelfService" id="cdktfprovideroktaappautologinpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.adminNote" id="cdktfprovideroktaappautologinpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.appLinksJson" id="cdktfprovideroktaappautologinpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `appSettingsJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.appSettingsJson" id="cdktfprovideroktaappautologinpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.autoSubmitToolbar" id="cdktfprovideroktaappautologinpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsScheme`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.credentialsScheme" id="cdktfprovideroktaappautologinpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.enduserNote" id="cdktfprovideroktaappautologinpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.groups" id="cdktfprovideroktaappautologinpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.hideIos" id="cdktfprovideroktaappautologinpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.hideWeb" id="cdktfprovideroktaappautologinpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.id" id="cdktfprovideroktaappautologinpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.label" id="cdktfprovideroktaappautologinpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.logo" id="cdktfprovideroktaappautologinpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `preconfiguredApp`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.preconfiguredApp" id="cdktfprovideroktaappautologinpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

---

##### `revealPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.revealPassword" id="cdktfprovideroktaappautologinpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.sharedPassword" id="cdktfprovideroktaappautologinpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

---

##### `sharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.sharedUsername" id="cdktfprovideroktaappautologinpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

---

##### `signOnRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.signOnRedirectUrl" id="cdktfprovideroktaappautologinpropertysignonredirecturl"></a>

```typescript
public readonly signOnRedirectUrl: string;
```

- *Type:* `string`

---

##### `signOnUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.signOnUrl" id="cdktfprovideroktaappautologinpropertysignonurl"></a>

```typescript
public readonly signOnUrl: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.skipGroups" id="cdktfprovideroktaappautologinpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.skipUsers" id="cdktfprovideroktaappautologinpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.status" id="cdktfprovideroktaappautologinpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplate" id="cdktfprovideroktaappautologinpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplatePushStatus" id="cdktfprovideroktaappautologinpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplateSuffix" id="cdktfprovideroktaappautologinpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLogin.property.userNameTemplateType" id="cdktfprovideroktaappautologinpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappautologinpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppAutoLogin.property.tfResourceType" id="cdktfprovideroktaappautologinpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppBasicAuth <a name="@cdktf/provider-okta.AppBasicAuth" id="cdktfprovideroktaappbasicauth"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth okta_app_basic_auth}.

#### Initializers <a name="@cdktf/provider-okta.AppBasicAuth.Initializer" id="cdktfprovideroktaappbasicauthinitializer"></a>

```typescript
import { AppBasicAuth } from '@cdktf/provider-okta'

new AppBasicAuth(scope: Construct, id: string, config: AppBasicAuthConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappbasicauthparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappbasicauthparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappbasicauthparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppBasicAuthConfig`](#@cdktf/provider-okta.AppBasicAuthConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.parameter.scope" id="cdktfprovideroktaappbasicauthparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.parameter.id" id="cdktfprovideroktaappbasicauthparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.parameter.config" id="cdktfprovideroktaappbasicauthparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppBasicAuthConfig`](#@cdktf/provider-okta.AppBasicAuthConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaappbasicauthputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappbasicauthresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappbasicauthresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappbasicauthresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappbasicauthresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappbasicauthresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappbasicauthresetautosubmittoolbar) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappbasicauthresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappbasicauthresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappbasicauthresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappbasicauthresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappbasicauthresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappbasicauthresetlogo) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappbasicauthresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappbasicauthresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappbasicauthresetstatus) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappbasicauthresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AppBasicAuth.putUsers" id="cdktfprovideroktaappbasicauthputusers"></a>

```typescript
public putUsers(value: IResolvable | AppBasicAuthUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.parameter.value" id="cdktfprovideroktaappbasicauthparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppBasicAuth.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappbasicauthresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppBasicAuth.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappbasicauthresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppBasicAuth.resetAccessibilitySelfService" id="cdktfprovideroktaappbasicauthresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppBasicAuth.resetAdminNote" id="cdktfprovideroktaappbasicauthresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppBasicAuth.resetAppLinksJson" id="cdktfprovideroktaappbasicauthresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppBasicAuth.resetAutoSubmitToolbar" id="cdktfprovideroktaappbasicauthresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppBasicAuth.resetEnduserNote" id="cdktfprovideroktaappbasicauthresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppBasicAuth.resetGroups" id="cdktfprovideroktaappbasicauthresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppBasicAuth.resetHideIos" id="cdktfprovideroktaappbasicauthresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppBasicAuth.resetHideWeb" id="cdktfprovideroktaappbasicauthresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppBasicAuth.resetId" id="cdktfprovideroktaappbasicauthresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppBasicAuth.resetLogo" id="cdktfprovideroktaappbasicauthresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppBasicAuth.resetSkipGroups" id="cdktfprovideroktaappbasicauthresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppBasicAuth.resetSkipUsers" id="cdktfprovideroktaappbasicauthresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppBasicAuth.resetStatus" id="cdktfprovideroktaappbasicauthresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppBasicAuth.resetUsers" id="cdktfprovideroktaappbasicauthresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaappbasicauthpropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappbasicauthpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappbasicauthpropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappbasicauthpropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppBasicAuthUsersList`](#@cdktf/provider-okta.AppBasicAuthUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappbasicauthpropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappbasicauthpropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappbasicauthpropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappbasicauthpropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappbasicauthpropertyapplinksjsoninput) | `string` | *No description.* |
| [`authUrlInput`](#cdktfprovideroktaappbasicauthpropertyauthurlinput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappbasicauthpropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappbasicauthpropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappbasicauthpropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappbasicauthpropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappbasicauthpropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappbasicauthpropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappbasicauthpropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappbasicauthpropertylogoinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappbasicauthpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappbasicauthpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappbasicauthpropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktaappbasicauthpropertyurlinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappbasicauthpropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappbasicauthpropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappbasicauthpropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappbasicauthpropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappbasicauthpropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappbasicauthpropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`authUrl`](#cdktfprovideroktaappbasicauthpropertyauthurl)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappbasicauthpropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappbasicauthpropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaappbasicauthpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappbasicauthpropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappbasicauthpropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappbasicauthpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappbasicauthpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappbasicauthpropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappbasicauthpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappbasicauthpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappbasicauthpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktaappbasicauthpropertyurl)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.logoUrl" id="cdktfprovideroktaappbasicauthpropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.name" id="cdktfprovideroktaappbasicauthpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.signOnMode" id="cdktfprovideroktaappbasicauthpropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.users" id="cdktfprovideroktaappbasicauthpropertyusers"></a>

```typescript
public readonly users: AppBasicAuthUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppBasicAuthUsersList`](#@cdktf/provider-okta.AppBasicAuthUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappbasicauthpropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappbasicauthpropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappbasicauthpropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.adminNoteInput" id="cdktfprovideroktaappbasicauthpropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.appLinksJsonInput" id="cdktfprovideroktaappbasicauthpropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `authUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.authUrlInput" id="cdktfprovideroktaappbasicauthpropertyauthurlinput"></a>

```typescript
public readonly authUrlInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.autoSubmitToolbarInput" id="cdktfprovideroktaappbasicauthpropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.enduserNoteInput" id="cdktfprovideroktaappbasicauthpropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.groupsInput" id="cdktfprovideroktaappbasicauthpropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.hideIosInput" id="cdktfprovideroktaappbasicauthpropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.hideWebInput" id="cdktfprovideroktaappbasicauthpropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.idInput" id="cdktfprovideroktaappbasicauthpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.labelInput" id="cdktfprovideroktaappbasicauthpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.logoInput" id="cdktfprovideroktaappbasicauthpropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.skipGroupsInput" id="cdktfprovideroktaappbasicauthpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.skipUsersInput" id="cdktfprovideroktaappbasicauthpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.statusInput" id="cdktfprovideroktaappbasicauthpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.urlInput" id="cdktfprovideroktaappbasicauthpropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.usersInput" id="cdktfprovideroktaappbasicauthpropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppBasicAuthUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappbasicauthpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappbasicauthpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.accessibilitySelfService" id="cdktfprovideroktaappbasicauthpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.adminNote" id="cdktfprovideroktaappbasicauthpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.appLinksJson" id="cdktfprovideroktaappbasicauthpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `authUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.authUrl" id="cdktfprovideroktaappbasicauthpropertyauthurl"></a>

```typescript
public readonly authUrl: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.autoSubmitToolbar" id="cdktfprovideroktaappbasicauthpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.enduserNote" id="cdktfprovideroktaappbasicauthpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.groups" id="cdktfprovideroktaappbasicauthpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.hideIos" id="cdktfprovideroktaappbasicauthpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.hideWeb" id="cdktfprovideroktaappbasicauthpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.id" id="cdktfprovideroktaappbasicauthpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.label" id="cdktfprovideroktaappbasicauthpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.logo" id="cdktfprovideroktaappbasicauthpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.skipGroups" id="cdktfprovideroktaappbasicauthpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.skipUsers" id="cdktfprovideroktaappbasicauthpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.status" id="cdktfprovideroktaappbasicauthpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuth.property.url" id="cdktfprovideroktaappbasicauthpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappbasicauthpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppBasicAuth.property.tfResourceType" id="cdktfprovideroktaappbasicauthpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppBookmark <a name="@cdktf/provider-okta.AppBookmark" id="cdktfprovideroktaappbookmark"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark okta_app_bookmark}.

#### Initializers <a name="@cdktf/provider-okta.AppBookmark.Initializer" id="cdktfprovideroktaappbookmarkinitializer"></a>

```typescript
import { AppBookmark } from '@cdktf/provider-okta'

new AppBookmark(scope: Construct, id: string, config: AppBookmarkConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappbookmarkparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappbookmarkparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappbookmarkparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppBookmarkConfig`](#@cdktf/provider-okta.AppBookmarkConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.parameter.scope" id="cdktfprovideroktaappbookmarkparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.parameter.id" id="cdktfprovideroktaappbookmarkparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.parameter.config" id="cdktfprovideroktaappbookmarkparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppBookmarkConfig`](#@cdktf/provider-okta.AppBookmarkConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaappbookmarkputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappbookmarkresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappbookmarkresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappbookmarkresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappbookmarkresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappbookmarkresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappbookmarkresetautosubmittoolbar) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappbookmarkresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappbookmarkresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappbookmarkresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappbookmarkresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappbookmarkresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappbookmarkresetlogo) | *No description.* |
| [`resetRequestIntegration`](#cdktfprovideroktaappbookmarkresetrequestintegration) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappbookmarkresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappbookmarkresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappbookmarkresetstatus) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappbookmarkresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AppBookmark.putUsers" id="cdktfprovideroktaappbookmarkputusers"></a>

```typescript
public putUsers(value: IResolvable | AppBookmarkUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.parameter.value" id="cdktfprovideroktaappbookmarkparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppBookmark.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappbookmarkresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppBookmark.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappbookmarkresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppBookmark.resetAccessibilitySelfService" id="cdktfprovideroktaappbookmarkresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppBookmark.resetAdminNote" id="cdktfprovideroktaappbookmarkresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppBookmark.resetAppLinksJson" id="cdktfprovideroktaappbookmarkresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppBookmark.resetAutoSubmitToolbar" id="cdktfprovideroktaappbookmarkresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppBookmark.resetEnduserNote" id="cdktfprovideroktaappbookmarkresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppBookmark.resetGroups" id="cdktfprovideroktaappbookmarkresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppBookmark.resetHideIos" id="cdktfprovideroktaappbookmarkresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppBookmark.resetHideWeb" id="cdktfprovideroktaappbookmarkresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppBookmark.resetId" id="cdktfprovideroktaappbookmarkresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppBookmark.resetLogo" id="cdktfprovideroktaappbookmarkresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetRequestIntegration` <a name="@cdktf/provider-okta.AppBookmark.resetRequestIntegration" id="cdktfprovideroktaappbookmarkresetrequestintegration"></a>

```typescript
public resetRequestIntegration()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppBookmark.resetSkipGroups" id="cdktfprovideroktaappbookmarkresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppBookmark.resetSkipUsers" id="cdktfprovideroktaappbookmarkresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppBookmark.resetStatus" id="cdktfprovideroktaappbookmarkresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppBookmark.resetUsers" id="cdktfprovideroktaappbookmarkresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaappbookmarkpropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappbookmarkpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappbookmarkpropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappbookmarkpropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppBookmarkUsersList`](#@cdktf/provider-okta.AppBookmarkUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappbookmarkpropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappbookmarkpropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappbookmarkpropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappbookmarkpropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappbookmarkpropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappbookmarkpropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappbookmarkpropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappbookmarkpropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappbookmarkpropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappbookmarkpropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappbookmarkpropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappbookmarkpropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappbookmarkpropertylogoinput) | `string` | *No description.* |
| [`requestIntegrationInput`](#cdktfprovideroktaappbookmarkpropertyrequestintegrationinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappbookmarkpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappbookmarkpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappbookmarkpropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktaappbookmarkpropertyurlinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappbookmarkpropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappbookmarkpropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappbookmarkpropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappbookmarkpropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappbookmarkpropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappbookmarkpropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappbookmarkpropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappbookmarkpropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaappbookmarkpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappbookmarkpropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappbookmarkpropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappbookmarkpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappbookmarkpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappbookmarkpropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`requestIntegration`](#cdktfprovideroktaappbookmarkpropertyrequestintegration)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappbookmarkpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappbookmarkpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappbookmarkpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktaappbookmarkpropertyurl)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.logoUrl" id="cdktfprovideroktaappbookmarkpropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.name" id="cdktfprovideroktaappbookmarkpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.signOnMode" id="cdktfprovideroktaappbookmarkpropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.users" id="cdktfprovideroktaappbookmarkpropertyusers"></a>

```typescript
public readonly users: AppBookmarkUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppBookmarkUsersList`](#@cdktf/provider-okta.AppBookmarkUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappbookmarkpropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappbookmarkpropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappbookmarkpropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.adminNoteInput" id="cdktfprovideroktaappbookmarkpropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.appLinksJsonInput" id="cdktfprovideroktaappbookmarkpropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.autoSubmitToolbarInput" id="cdktfprovideroktaappbookmarkpropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.enduserNoteInput" id="cdktfprovideroktaappbookmarkpropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.groupsInput" id="cdktfprovideroktaappbookmarkpropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.hideIosInput" id="cdktfprovideroktaappbookmarkpropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.hideWebInput" id="cdktfprovideroktaappbookmarkpropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.idInput" id="cdktfprovideroktaappbookmarkpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.labelInput" id="cdktfprovideroktaappbookmarkpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.logoInput" id="cdktfprovideroktaappbookmarkpropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `requestIntegrationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.requestIntegrationInput" id="cdktfprovideroktaappbookmarkpropertyrequestintegrationinput"></a>

```typescript
public readonly requestIntegrationInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.skipGroupsInput" id="cdktfprovideroktaappbookmarkpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.skipUsersInput" id="cdktfprovideroktaappbookmarkpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.statusInput" id="cdktfprovideroktaappbookmarkpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.urlInput" id="cdktfprovideroktaappbookmarkpropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmark.property.usersInput" id="cdktfprovideroktaappbookmarkpropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppBookmarkUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappbookmarkpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappbookmarkpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.accessibilitySelfService" id="cdktfprovideroktaappbookmarkpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.adminNote" id="cdktfprovideroktaappbookmarkpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.appLinksJson" id="cdktfprovideroktaappbookmarkpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.autoSubmitToolbar" id="cdktfprovideroktaappbookmarkpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.enduserNote" id="cdktfprovideroktaappbookmarkpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.groups" id="cdktfprovideroktaappbookmarkpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.hideIos" id="cdktfprovideroktaappbookmarkpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.hideWeb" id="cdktfprovideroktaappbookmarkpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.id" id="cdktfprovideroktaappbookmarkpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.label" id="cdktfprovideroktaappbookmarkpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.logo" id="cdktfprovideroktaappbookmarkpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `requestIntegration`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.requestIntegration" id="cdktfprovideroktaappbookmarkpropertyrequestintegration"></a>

```typescript
public readonly requestIntegration: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.skipGroups" id="cdktfprovideroktaappbookmarkpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.skipUsers" id="cdktfprovideroktaappbookmarkpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.status" id="cdktfprovideroktaappbookmarkpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmark.property.url" id="cdktfprovideroktaappbookmarkpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappbookmarkpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppBookmark.property.tfResourceType" id="cdktfprovideroktaappbookmarkpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppGroupAssignment <a name="@cdktf/provider-okta.AppGroupAssignment" id="cdktfprovideroktaappgroupassignment"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment okta_app_group_assignment}.

#### Initializers <a name="@cdktf/provider-okta.AppGroupAssignment.Initializer" id="cdktfprovideroktaappgroupassignmentinitializer"></a>

```typescript
import { AppGroupAssignment } from '@cdktf/provider-okta'

new AppGroupAssignment(scope: Construct, id: string, config: AppGroupAssignmentConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappgroupassignmentparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappgroupassignmentparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappgroupassignmentparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppGroupAssignmentConfig`](#@cdktf/provider-okta.AppGroupAssignmentConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.parameter.scope" id="cdktfprovideroktaappgroupassignmentparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.parameter.id" id="cdktfprovideroktaappgroupassignmentparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.parameter.config" id="cdktfprovideroktaappgroupassignmentparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppGroupAssignmentConfig`](#@cdktf/provider-okta.AppGroupAssignmentConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappgroupassignmentresetid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktaappgroupassignmentresetpriority) | *No description.* |
| [`resetProfile`](#cdktfprovideroktaappgroupassignmentresetprofile) | *No description.* |
| [`resetRetainAssignment`](#cdktfprovideroktaappgroupassignmentresetretainassignment) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppGroupAssignment.resetId" id="cdktfprovideroktaappgroupassignmentresetid"></a>

```typescript
public resetId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.AppGroupAssignment.resetPriority" id="cdktfprovideroktaappgroupassignmentresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetProfile` <a name="@cdktf/provider-okta.AppGroupAssignment.resetProfile" id="cdktfprovideroktaappgroupassignmentresetprofile"></a>

```typescript
public resetProfile()
```

##### `resetRetainAssignment` <a name="@cdktf/provider-okta.AppGroupAssignment.resetRetainAssignment" id="cdktfprovideroktaappgroupassignmentresetretainassignment"></a>

```typescript
public resetRetainAssignment()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaappgroupassignmentpropertyappidinput) | `string` | *No description.* |
| [`groupIdInput`](#cdktfprovideroktaappgroupassignmentpropertygroupidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappgroupassignmentpropertyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktaappgroupassignmentpropertypriorityinput) | `number` | *No description.* |
| [`profileInput`](#cdktfprovideroktaappgroupassignmentpropertyprofileinput) | `string` | *No description.* |
| [`retainAssignmentInput`](#cdktfprovideroktaappgroupassignmentpropertyretainassignmentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`appId`](#cdktfprovideroktaappgroupassignmentpropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`groupId`](#cdktfprovideroktaappgroupassignmentpropertygroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappgroupassignmentpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktaappgroupassignmentpropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`profile`](#cdktfprovideroktaappgroupassignmentpropertyprofile)<span title="Required">*</span> | `string` | *No description.* |
| [`retainAssignment`](#cdktfprovideroktaappgroupassignmentpropertyretainassignment)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.appIdInput" id="cdktfprovideroktaappgroupassignmentpropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `groupIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.groupIdInput" id="cdktfprovideroktaappgroupassignmentpropertygroupidinput"></a>

```typescript
public readonly groupIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.idInput" id="cdktfprovideroktaappgroupassignmentpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.priorityInput" id="cdktfprovideroktaappgroupassignmentpropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `profileInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.profileInput" id="cdktfprovideroktaappgroupassignmentpropertyprofileinput"></a>

```typescript
public readonly profileInput: string;
```

- *Type:* `string`

---

##### `retainAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.retainAssignmentInput" id="cdktfprovideroktaappgroupassignmentpropertyretainassignmentinput"></a>

```typescript
public readonly retainAssignmentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.appId" id="cdktfprovideroktaappgroupassignmentpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.groupId" id="cdktfprovideroktaappgroupassignmentpropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.id" id="cdktfprovideroktaappgroupassignmentpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.priority" id="cdktfprovideroktaappgroupassignmentpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `profile`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.profile" id="cdktfprovideroktaappgroupassignmentpropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

---

##### `retainAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignment.property.retainAssignment" id="cdktfprovideroktaappgroupassignmentpropertyretainassignment"></a>

```typescript
public readonly retainAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappgroupassignmentpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppGroupAssignment.property.tfResourceType" id="cdktfprovideroktaappgroupassignmentpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppGroupAssignments <a name="@cdktf/provider-okta.AppGroupAssignments" id="cdktfprovideroktaappgroupassignments"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments okta_app_group_assignments}.

#### Initializers <a name="@cdktf/provider-okta.AppGroupAssignments.Initializer" id="cdktfprovideroktaappgroupassignmentsinitializer"></a>

```typescript
import { AppGroupAssignments } from '@cdktf/provider-okta'

new AppGroupAssignments(scope: Construct, id: string, config: AppGroupAssignmentsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappgroupassignmentsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappgroupassignmentsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappgroupassignmentsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppGroupAssignmentsConfig`](#@cdktf/provider-okta.AppGroupAssignmentsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.parameter.scope" id="cdktfprovideroktaappgroupassignmentsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.parameter.id" id="cdktfprovideroktaappgroupassignmentsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.parameter.config" id="cdktfprovideroktaappgroupassignmentsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppGroupAssignmentsConfig`](#@cdktf/provider-okta.AppGroupAssignmentsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putGroup`](#cdktfprovideroktaappgroupassignmentsputgroup) | *No description.* |
| [`resetId`](#cdktfprovideroktaappgroupassignmentsresetid) | *No description.* |

---

##### `putGroup` <a name="@cdktf/provider-okta.AppGroupAssignments.putGroup" id="cdktfprovideroktaappgroupassignmentsputgroup"></a>

```typescript
public putGroup(value: IResolvable | AppGroupAssignmentsGroup[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.parameter.value" id="cdktfprovideroktaappgroupassignmentsparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)[]

---

##### `resetId` <a name="@cdktf/provider-okta.AppGroupAssignments.resetId" id="cdktfprovideroktaappgroupassignmentsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`group`](#cdktfprovideroktaappgroupassignmentspropertygroup)<span title="Required">*</span> | [`@cdktf/provider-okta.AppGroupAssignmentsGroupList`](#@cdktf/provider-okta.AppGroupAssignmentsGroupList) | *No description.* |
| [`appIdInput`](#cdktfprovideroktaappgroupassignmentspropertyappidinput) | `string` | *No description.* |
| [`groupInput`](#cdktfprovideroktaappgroupassignmentspropertygroupinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)[] | *No description.* |
| [`idInput`](#cdktfprovideroktaappgroupassignmentspropertyidinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappgroupassignmentspropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappgroupassignmentspropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `group`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.property.group" id="cdktfprovideroktaappgroupassignmentspropertygroup"></a>

```typescript
public readonly group: AppGroupAssignmentsGroupList;
```

- *Type:* [`@cdktf/provider-okta.AppGroupAssignmentsGroupList`](#@cdktf/provider-okta.AppGroupAssignmentsGroupList)

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.property.appIdInput" id="cdktfprovideroktaappgroupassignmentspropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `groupInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.property.groupInput" id="cdktfprovideroktaappgroupassignmentspropertygroupinput"></a>

```typescript
public readonly groupInput: IResolvable | AppGroupAssignmentsGroup[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.property.idInput" id="cdktfprovideroktaappgroupassignmentspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.property.appId" id="cdktfprovideroktaappgroupassignmentspropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignments.property.id" id="cdktfprovideroktaappgroupassignmentspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappgroupassignmentspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppGroupAssignments.property.tfResourceType" id="cdktfprovideroktaappgroupassignmentspropertytfresourcetype"></a>

- *Type:* `string`

---

### AppOauth <a name="@cdktf/provider-okta.AppOauth" id="cdktfprovideroktaappoauth"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_oauth okta_app_oauth}.

#### Initializers <a name="@cdktf/provider-okta.AppOauth.Initializer" id="cdktfprovideroktaappoauthinitializer"></a>

```typescript
import { AppOauth } from '@cdktf/provider-okta'

new AppOauth(scope: Construct, id: string, config: AppOauthConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappoauthparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappoauthparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappoauthparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppOauthConfig`](#@cdktf/provider-okta.AppOauthConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.parameter.scope" id="cdktfprovideroktaappoauthparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.parameter.id" id="cdktfprovideroktaappoauthparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.parameter.config" id="cdktfprovideroktaappoauthparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppOauthConfig`](#@cdktf/provider-okta.AppOauthConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putGroupsClaim`](#cdktfprovideroktaappoauthputgroupsclaim) | *No description.* |
| [`putJwks`](#cdktfprovideroktaappoauthputjwks) | *No description.* |
| [`putUsers`](#cdktfprovideroktaappoauthputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappoauthresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappoauthresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappoauthresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappoauthresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappoauthresetapplinksjson) | *No description.* |
| [`resetAppSettingsJson`](#cdktfprovideroktaappoauthresetappsettingsjson) | *No description.* |
| [`resetAuthenticationPolicy`](#cdktfprovideroktaappoauthresetauthenticationpolicy) | *No description.* |
| [`resetAutoKeyRotation`](#cdktfprovideroktaappoauthresetautokeyrotation) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappoauthresetautosubmittoolbar) | *No description.* |
| [`resetClientBasicSecret`](#cdktfprovideroktaappoauthresetclientbasicsecret) | *No description.* |
| [`resetClientId`](#cdktfprovideroktaappoauthresetclientid) | *No description.* |
| [`resetClientUri`](#cdktfprovideroktaappoauthresetclienturi) | *No description.* |
| [`resetConsentMethod`](#cdktfprovideroktaappoauthresetconsentmethod) | *No description.* |
| [`resetCustomClientId`](#cdktfprovideroktaappoauthresetcustomclientid) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappoauthresetendusernote) | *No description.* |
| [`resetGrantTypes`](#cdktfprovideroktaappoauthresetgranttypes) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappoauthresetgroups) | *No description.* |
| [`resetGroupsClaim`](#cdktfprovideroktaappoauthresetgroupsclaim) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappoauthresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappoauthresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappoauthresetid) | *No description.* |
| [`resetImplicitAssignment`](#cdktfprovideroktaappoauthresetimplicitassignment) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaappoauthresetissuermode) | *No description.* |
| [`resetJwks`](#cdktfprovideroktaappoauthresetjwks) | *No description.* |
| [`resetLoginMode`](#cdktfprovideroktaappoauthresetloginmode) | *No description.* |
| [`resetLoginScopes`](#cdktfprovideroktaappoauthresetloginscopes) | *No description.* |
| [`resetLoginUri`](#cdktfprovideroktaappoauthresetloginuri) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappoauthresetlogo) | *No description.* |
| [`resetLogoUri`](#cdktfprovideroktaappoauthresetlogouri) | *No description.* |
| [`resetOmitSecret`](#cdktfprovideroktaappoauthresetomitsecret) | *No description.* |
| [`resetPolicyUri`](#cdktfprovideroktaappoauthresetpolicyuri) | *No description.* |
| [`resetPostLogoutRedirectUris`](#cdktfprovideroktaappoauthresetpostlogoutredirecturis) | *No description.* |
| [`resetProfile`](#cdktfprovideroktaappoauthresetprofile) | *No description.* |
| [`resetRedirectUris`](#cdktfprovideroktaappoauthresetredirecturis) | *No description.* |
| [`resetRefreshTokenLeeway`](#cdktfprovideroktaappoauthresetrefreshtokenleeway) | *No description.* |
| [`resetRefreshTokenRotation`](#cdktfprovideroktaappoauthresetrefreshtokenrotation) | *No description.* |
| [`resetResponseTypes`](#cdktfprovideroktaappoauthresetresponsetypes) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappoauthresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappoauthresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappoauthresetstatus) | *No description.* |
| [`resetTokenEndpointAuthMethod`](#cdktfprovideroktaappoauthresettokenendpointauthmethod) | *No description.* |
| [`resetTosUri`](#cdktfprovideroktaappoauthresettosuri) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaappoauthresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaappoauthresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaappoauthresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaappoauthresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappoauthresetusers) | *No description.* |
| [`resetWildcardRedirect`](#cdktfprovideroktaappoauthresetwildcardredirect) | *No description.* |

---

##### `putGroupsClaim` <a name="@cdktf/provider-okta.AppOauth.putGroupsClaim" id="cdktfprovideroktaappoauthputgroupsclaim"></a>

```typescript
public putGroupsClaim(value: AppOauthGroupsClaim)
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.parameter.value" id="cdktfprovideroktaappoauthparametervalue"></a>

- *Type:* [`@cdktf/provider-okta.AppOauthGroupsClaim`](#@cdktf/provider-okta.AppOauthGroupsClaim)

---

##### `putJwks` <a name="@cdktf/provider-okta.AppOauth.putJwks" id="cdktfprovideroktaappoauthputjwks"></a>

```typescript
public putJwks(value: IResolvable | AppOauthJwks[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.parameter.value" id="cdktfprovideroktaappoauthparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)[]

---

##### `putUsers` <a name="@cdktf/provider-okta.AppOauth.putUsers" id="cdktfprovideroktaappoauthputusers"></a>

```typescript
public putUsers(value: IResolvable | AppOauthUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.parameter.value" id="cdktfprovideroktaappoauthparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppOauth.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappoauthresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppOauth.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappoauthresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppOauth.resetAccessibilitySelfService" id="cdktfprovideroktaappoauthresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppOauth.resetAdminNote" id="cdktfprovideroktaappoauthresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppOauth.resetAppLinksJson" id="cdktfprovideroktaappoauthresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAppSettingsJson` <a name="@cdktf/provider-okta.AppOauth.resetAppSettingsJson" id="cdktfprovideroktaappoauthresetappsettingsjson"></a>

```typescript
public resetAppSettingsJson()
```

##### `resetAuthenticationPolicy` <a name="@cdktf/provider-okta.AppOauth.resetAuthenticationPolicy" id="cdktfprovideroktaappoauthresetauthenticationpolicy"></a>

```typescript
public resetAuthenticationPolicy()
```

##### `resetAutoKeyRotation` <a name="@cdktf/provider-okta.AppOauth.resetAutoKeyRotation" id="cdktfprovideroktaappoauthresetautokeyrotation"></a>

```typescript
public resetAutoKeyRotation()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppOauth.resetAutoSubmitToolbar" id="cdktfprovideroktaappoauthresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetClientBasicSecret` <a name="@cdktf/provider-okta.AppOauth.resetClientBasicSecret" id="cdktfprovideroktaappoauthresetclientbasicsecret"></a>

```typescript
public resetClientBasicSecret()
```

##### `resetClientId` <a name="@cdktf/provider-okta.AppOauth.resetClientId" id="cdktfprovideroktaappoauthresetclientid"></a>

```typescript
public resetClientId()
```

##### `resetClientUri` <a name="@cdktf/provider-okta.AppOauth.resetClientUri" id="cdktfprovideroktaappoauthresetclienturi"></a>

```typescript
public resetClientUri()
```

##### `resetConsentMethod` <a name="@cdktf/provider-okta.AppOauth.resetConsentMethod" id="cdktfprovideroktaappoauthresetconsentmethod"></a>

```typescript
public resetConsentMethod()
```

##### `resetCustomClientId` <a name="@cdktf/provider-okta.AppOauth.resetCustomClientId" id="cdktfprovideroktaappoauthresetcustomclientid"></a>

```typescript
public resetCustomClientId()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppOauth.resetEnduserNote" id="cdktfprovideroktaappoauthresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGrantTypes` <a name="@cdktf/provider-okta.AppOauth.resetGrantTypes" id="cdktfprovideroktaappoauthresetgranttypes"></a>

```typescript
public resetGrantTypes()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppOauth.resetGroups" id="cdktfprovideroktaappoauthresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetGroupsClaim` <a name="@cdktf/provider-okta.AppOauth.resetGroupsClaim" id="cdktfprovideroktaappoauthresetgroupsclaim"></a>

```typescript
public resetGroupsClaim()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppOauth.resetHideIos" id="cdktfprovideroktaappoauthresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppOauth.resetHideWeb" id="cdktfprovideroktaappoauthresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppOauth.resetId" id="cdktfprovideroktaappoauthresetid"></a>

```typescript
public resetId()
```

##### `resetImplicitAssignment` <a name="@cdktf/provider-okta.AppOauth.resetImplicitAssignment" id="cdktfprovideroktaappoauthresetimplicitassignment"></a>

```typescript
public resetImplicitAssignment()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.AppOauth.resetIssuerMode" id="cdktfprovideroktaappoauthresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetJwks` <a name="@cdktf/provider-okta.AppOauth.resetJwks" id="cdktfprovideroktaappoauthresetjwks"></a>

```typescript
public resetJwks()
```

##### `resetLoginMode` <a name="@cdktf/provider-okta.AppOauth.resetLoginMode" id="cdktfprovideroktaappoauthresetloginmode"></a>

```typescript
public resetLoginMode()
```

##### `resetLoginScopes` <a name="@cdktf/provider-okta.AppOauth.resetLoginScopes" id="cdktfprovideroktaappoauthresetloginscopes"></a>

```typescript
public resetLoginScopes()
```

##### `resetLoginUri` <a name="@cdktf/provider-okta.AppOauth.resetLoginUri" id="cdktfprovideroktaappoauthresetloginuri"></a>

```typescript
public resetLoginUri()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppOauth.resetLogo" id="cdktfprovideroktaappoauthresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetLogoUri` <a name="@cdktf/provider-okta.AppOauth.resetLogoUri" id="cdktfprovideroktaappoauthresetlogouri"></a>

```typescript
public resetLogoUri()
```

##### `resetOmitSecret` <a name="@cdktf/provider-okta.AppOauth.resetOmitSecret" id="cdktfprovideroktaappoauthresetomitsecret"></a>

```typescript
public resetOmitSecret()
```

##### `resetPolicyUri` <a name="@cdktf/provider-okta.AppOauth.resetPolicyUri" id="cdktfprovideroktaappoauthresetpolicyuri"></a>

```typescript
public resetPolicyUri()
```

##### `resetPostLogoutRedirectUris` <a name="@cdktf/provider-okta.AppOauth.resetPostLogoutRedirectUris" id="cdktfprovideroktaappoauthresetpostlogoutredirecturis"></a>

```typescript
public resetPostLogoutRedirectUris()
```

##### `resetProfile` <a name="@cdktf/provider-okta.AppOauth.resetProfile" id="cdktfprovideroktaappoauthresetprofile"></a>

```typescript
public resetProfile()
```

##### `resetRedirectUris` <a name="@cdktf/provider-okta.AppOauth.resetRedirectUris" id="cdktfprovideroktaappoauthresetredirecturis"></a>

```typescript
public resetRedirectUris()
```

##### `resetRefreshTokenLeeway` <a name="@cdktf/provider-okta.AppOauth.resetRefreshTokenLeeway" id="cdktfprovideroktaappoauthresetrefreshtokenleeway"></a>

```typescript
public resetRefreshTokenLeeway()
```

##### `resetRefreshTokenRotation` <a name="@cdktf/provider-okta.AppOauth.resetRefreshTokenRotation" id="cdktfprovideroktaappoauthresetrefreshtokenrotation"></a>

```typescript
public resetRefreshTokenRotation()
```

##### `resetResponseTypes` <a name="@cdktf/provider-okta.AppOauth.resetResponseTypes" id="cdktfprovideroktaappoauthresetresponsetypes"></a>

```typescript
public resetResponseTypes()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppOauth.resetSkipGroups" id="cdktfprovideroktaappoauthresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppOauth.resetSkipUsers" id="cdktfprovideroktaappoauthresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppOauth.resetStatus" id="cdktfprovideroktaappoauthresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetTokenEndpointAuthMethod` <a name="@cdktf/provider-okta.AppOauth.resetTokenEndpointAuthMethod" id="cdktfprovideroktaappoauthresettokenendpointauthmethod"></a>

```typescript
public resetTokenEndpointAuthMethod()
```

##### `resetTosUri` <a name="@cdktf/provider-okta.AppOauth.resetTosUri" id="cdktfprovideroktaappoauthresettosuri"></a>

```typescript
public resetTosUri()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AppOauth.resetUserNameTemplate" id="cdktfprovideroktaappoauthresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AppOauth.resetUserNameTemplatePushStatus" id="cdktfprovideroktaappoauthresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AppOauth.resetUserNameTemplateSuffix" id="cdktfprovideroktaappoauthresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AppOauth.resetUserNameTemplateType" id="cdktfprovideroktaappoauthresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppOauth.resetUsers" id="cdktfprovideroktaappoauthresetusers"></a>

```typescript
public resetUsers()
```

##### `resetWildcardRedirect` <a name="@cdktf/provider-okta.AppOauth.resetWildcardRedirect" id="cdktfprovideroktaappoauthresetwildcardredirect"></a>

```typescript
public resetWildcardRedirect()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`clientSecret`](#cdktfprovideroktaappoauthpropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsClaim`](#cdktfprovideroktaappoauthpropertygroupsclaim)<span title="Required">*</span> | [`@cdktf/provider-okta.AppOauthGroupsClaimOutputReference`](#@cdktf/provider-okta.AppOauthGroupsClaimOutputReference) | *No description.* |
| [`jwks`](#cdktfprovideroktaappoauthpropertyjwks)<span title="Required">*</span> | [`@cdktf/provider-okta.AppOauthJwksList`](#@cdktf/provider-okta.AppOauthJwksList) | *No description.* |
| [`logoUrl`](#cdktfprovideroktaappoauthpropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappoauthpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappoauthpropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappoauthpropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppOauthUsersList`](#@cdktf/provider-okta.AppOauthUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappoauthpropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappoauthpropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappoauthpropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappoauthpropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappoauthpropertyapplinksjsoninput) | `string` | *No description.* |
| [`appSettingsJsonInput`](#cdktfprovideroktaappoauthpropertyappsettingsjsoninput) | `string` | *No description.* |
| [`authenticationPolicyInput`](#cdktfprovideroktaappoauthpropertyauthenticationpolicyinput) | `string` | *No description.* |
| [`autoKeyRotationInput`](#cdktfprovideroktaappoauthpropertyautokeyrotationinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappoauthpropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`clientBasicSecretInput`](#cdktfprovideroktaappoauthpropertyclientbasicsecretinput) | `string` | *No description.* |
| [`clientIdInput`](#cdktfprovideroktaappoauthpropertyclientidinput) | `string` | *No description.* |
| [`clientUriInput`](#cdktfprovideroktaappoauthpropertyclienturiinput) | `string` | *No description.* |
| [`consentMethodInput`](#cdktfprovideroktaappoauthpropertyconsentmethodinput) | `string` | *No description.* |
| [`customClientIdInput`](#cdktfprovideroktaappoauthpropertycustomclientidinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappoauthpropertyendusernoteinput) | `string` | *No description.* |
| [`grantTypesInput`](#cdktfprovideroktaappoauthpropertygranttypesinput) | `string`[] | *No description.* |
| [`groupsClaimInput`](#cdktfprovideroktaappoauthpropertygroupsclaiminput) | [`@cdktf/provider-okta.AppOauthGroupsClaim`](#@cdktf/provider-okta.AppOauthGroupsClaim) | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappoauthpropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappoauthpropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappoauthpropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappoauthpropertyidinput) | `string` | *No description.* |
| [`implicitAssignmentInput`](#cdktfprovideroktaappoauthpropertyimplicitassignmentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaappoauthpropertyissuermodeinput) | `string` | *No description.* |
| [`jwksInput`](#cdktfprovideroktaappoauthpropertyjwksinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)[] | *No description.* |
| [`labelInput`](#cdktfprovideroktaappoauthpropertylabelinput) | `string` | *No description.* |
| [`loginModeInput`](#cdktfprovideroktaappoauthpropertyloginmodeinput) | `string` | *No description.* |
| [`loginScopesInput`](#cdktfprovideroktaappoauthpropertyloginscopesinput) | `string`[] | *No description.* |
| [`loginUriInput`](#cdktfprovideroktaappoauthpropertyloginuriinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappoauthpropertylogoinput) | `string` | *No description.* |
| [`logoUriInput`](#cdktfprovideroktaappoauthpropertylogouriinput) | `string` | *No description.* |
| [`omitSecretInput`](#cdktfprovideroktaappoauthpropertyomitsecretinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`policyUriInput`](#cdktfprovideroktaappoauthpropertypolicyuriinput) | `string` | *No description.* |
| [`postLogoutRedirectUrisInput`](#cdktfprovideroktaappoauthpropertypostlogoutredirecturisinput) | `string`[] | *No description.* |
| [`profileInput`](#cdktfprovideroktaappoauthpropertyprofileinput) | `string` | *No description.* |
| [`redirectUrisInput`](#cdktfprovideroktaappoauthpropertyredirecturisinput) | `string`[] | *No description.* |
| [`refreshTokenLeewayInput`](#cdktfprovideroktaappoauthpropertyrefreshtokenleewayinput) | `number` | *No description.* |
| [`refreshTokenRotationInput`](#cdktfprovideroktaappoauthpropertyrefreshtokenrotationinput) | `string` | *No description.* |
| [`responseTypesInput`](#cdktfprovideroktaappoauthpropertyresponsetypesinput) | `string`[] | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappoauthpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappoauthpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappoauthpropertystatusinput) | `string` | *No description.* |
| [`tokenEndpointAuthMethodInput`](#cdktfprovideroktaappoauthpropertytokenendpointauthmethodinput) | `string` | *No description.* |
| [`tosUriInput`](#cdktfprovideroktaappoauthpropertytosuriinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappoauthpropertytypeinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaappoauthpropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaappoauthpropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaappoauthpropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaappoauthpropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappoauthpropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)[] | *No description.* |
| [`wildcardRedirectInput`](#cdktfprovideroktaappoauthpropertywildcardredirectinput) | `string` | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappoauthpropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappoauthpropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappoauthpropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappoauthpropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappoauthpropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`appSettingsJson`](#cdktfprovideroktaappoauthpropertyappsettingsjson)<span title="Required">*</span> | `string` | *No description.* |
| [`authenticationPolicy`](#cdktfprovideroktaappoauthpropertyauthenticationpolicy)<span title="Required">*</span> | `string` | *No description.* |
| [`autoKeyRotation`](#cdktfprovideroktaappoauthpropertyautokeyrotation)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappoauthpropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`clientBasicSecret`](#cdktfprovideroktaappoauthpropertyclientbasicsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktaappoauthpropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientUri`](#cdktfprovideroktaappoauthpropertyclienturi)<span title="Required">*</span> | `string` | *No description.* |
| [`consentMethod`](#cdktfprovideroktaappoauthpropertyconsentmethod)<span title="Required">*</span> | `string` | *No description.* |
| [`customClientId`](#cdktfprovideroktaappoauthpropertycustomclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappoauthpropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`grantTypes`](#cdktfprovideroktaappoauthpropertygranttypes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groups`](#cdktfprovideroktaappoauthpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappoauthpropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappoauthpropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappoauthpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`implicitAssignment`](#cdktfprovideroktaappoauthpropertyimplicitassignment)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`issuerMode`](#cdktfprovideroktaappoauthpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappoauthpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`loginMode`](#cdktfprovideroktaappoauthpropertyloginmode)<span title="Required">*</span> | `string` | *No description.* |
| [`loginScopes`](#cdktfprovideroktaappoauthpropertyloginscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`loginUri`](#cdktfprovideroktaappoauthpropertyloginuri)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappoauthpropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`logoUri`](#cdktfprovideroktaappoauthpropertylogouri)<span title="Required">*</span> | `string` | *No description.* |
| [`omitSecret`](#cdktfprovideroktaappoauthpropertyomitsecret)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`policyUri`](#cdktfprovideroktaappoauthpropertypolicyuri)<span title="Required">*</span> | `string` | *No description.* |
| [`postLogoutRedirectUris`](#cdktfprovideroktaappoauthpropertypostlogoutredirecturis)<span title="Required">*</span> | `string`[] | *No description.* |
| [`profile`](#cdktfprovideroktaappoauthpropertyprofile)<span title="Required">*</span> | `string` | *No description.* |
| [`redirectUris`](#cdktfprovideroktaappoauthpropertyredirecturis)<span title="Required">*</span> | `string`[] | *No description.* |
| [`refreshTokenLeeway`](#cdktfprovideroktaappoauthpropertyrefreshtokenleeway)<span title="Required">*</span> | `number` | *No description.* |
| [`refreshTokenRotation`](#cdktfprovideroktaappoauthpropertyrefreshtokenrotation)<span title="Required">*</span> | `string` | *No description.* |
| [`responseTypes`](#cdktfprovideroktaappoauthpropertyresponsetypes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappoauthpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappoauthpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappoauthpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenEndpointAuthMethod`](#cdktfprovideroktaappoauthpropertytokenendpointauthmethod)<span title="Required">*</span> | `string` | *No description.* |
| [`tosUri`](#cdktfprovideroktaappoauthpropertytosuri)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappoauthpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaappoauthpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappoauthpropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappoauthpropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaappoauthpropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |
| [`wildcardRedirect`](#cdktfprovideroktaappoauthpropertywildcardredirect)<span title="Required">*</span> | `string` | *No description.* |

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.clientSecret" id="cdktfprovideroktaappoauthpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `groupsClaim`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.groupsClaim" id="cdktfprovideroktaappoauthpropertygroupsclaim"></a>

```typescript
public readonly groupsClaim: AppOauthGroupsClaimOutputReference;
```

- *Type:* [`@cdktf/provider-okta.AppOauthGroupsClaimOutputReference`](#@cdktf/provider-okta.AppOauthGroupsClaimOutputReference)

---

##### `jwks`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.jwks" id="cdktfprovideroktaappoauthpropertyjwks"></a>

```typescript
public readonly jwks: AppOauthJwksList;
```

- *Type:* [`@cdktf/provider-okta.AppOauthJwksList`](#@cdktf/provider-okta.AppOauthJwksList)

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.logoUrl" id="cdktfprovideroktaappoauthpropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.name" id="cdktfprovideroktaappoauthpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.signOnMode" id="cdktfprovideroktaappoauthpropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.users" id="cdktfprovideroktaappoauthpropertyusers"></a>

```typescript
public readonly users: AppOauthUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppOauthUsersList`](#@cdktf/provider-okta.AppOauthUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappoauthpropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappoauthpropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappoauthpropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.adminNoteInput" id="cdktfprovideroktaappoauthpropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.appLinksJsonInput" id="cdktfprovideroktaappoauthpropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `appSettingsJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.appSettingsJsonInput" id="cdktfprovideroktaappoauthpropertyappsettingsjsoninput"></a>

```typescript
public readonly appSettingsJsonInput: string;
```

- *Type:* `string`

---

##### `authenticationPolicyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.authenticationPolicyInput" id="cdktfprovideroktaappoauthpropertyauthenticationpolicyinput"></a>

```typescript
public readonly authenticationPolicyInput: string;
```

- *Type:* `string`

---

##### `autoKeyRotationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.autoKeyRotationInput" id="cdktfprovideroktaappoauthpropertyautokeyrotationinput"></a>

```typescript
public readonly autoKeyRotationInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.autoSubmitToolbarInput" id="cdktfprovideroktaappoauthpropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `clientBasicSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.clientBasicSecretInput" id="cdktfprovideroktaappoauthpropertyclientbasicsecretinput"></a>

```typescript
public readonly clientBasicSecretInput: string;
```

- *Type:* `string`

---

##### `clientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.clientIdInput" id="cdktfprovideroktaappoauthpropertyclientidinput"></a>

```typescript
public readonly clientIdInput: string;
```

- *Type:* `string`

---

##### `clientUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.clientUriInput" id="cdktfprovideroktaappoauthpropertyclienturiinput"></a>

```typescript
public readonly clientUriInput: string;
```

- *Type:* `string`

---

##### `consentMethodInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.consentMethodInput" id="cdktfprovideroktaappoauthpropertyconsentmethodinput"></a>

```typescript
public readonly consentMethodInput: string;
```

- *Type:* `string`

---

##### `customClientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.customClientIdInput" id="cdktfprovideroktaappoauthpropertycustomclientidinput"></a>

```typescript
public readonly customClientIdInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.enduserNoteInput" id="cdktfprovideroktaappoauthpropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `grantTypesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.grantTypesInput" id="cdktfprovideroktaappoauthpropertygranttypesinput"></a>

```typescript
public readonly grantTypesInput: string[];
```

- *Type:* `string`[]

---

##### `groupsClaimInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.groupsClaimInput" id="cdktfprovideroktaappoauthpropertygroupsclaiminput"></a>

```typescript
public readonly groupsClaimInput: AppOauthGroupsClaim;
```

- *Type:* [`@cdktf/provider-okta.AppOauthGroupsClaim`](#@cdktf/provider-okta.AppOauthGroupsClaim)

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.groupsInput" id="cdktfprovideroktaappoauthpropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.hideIosInput" id="cdktfprovideroktaappoauthpropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.hideWebInput" id="cdktfprovideroktaappoauthpropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.idInput" id="cdktfprovideroktaappoauthpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `implicitAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.implicitAssignmentInput" id="cdktfprovideroktaappoauthpropertyimplicitassignmentinput"></a>

```typescript
public readonly implicitAssignmentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.issuerModeInput" id="cdktfprovideroktaappoauthpropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `jwksInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.jwksInput" id="cdktfprovideroktaappoauthpropertyjwksinput"></a>

```typescript
public readonly jwksInput: IResolvable | AppOauthJwks[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)[]

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.labelInput" id="cdktfprovideroktaappoauthpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `loginModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.loginModeInput" id="cdktfprovideroktaappoauthpropertyloginmodeinput"></a>

```typescript
public readonly loginModeInput: string;
```

- *Type:* `string`

---

##### `loginScopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.loginScopesInput" id="cdktfprovideroktaappoauthpropertyloginscopesinput"></a>

```typescript
public readonly loginScopesInput: string[];
```

- *Type:* `string`[]

---

##### `loginUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.loginUriInput" id="cdktfprovideroktaappoauthpropertyloginuriinput"></a>

```typescript
public readonly loginUriInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.logoInput" id="cdktfprovideroktaappoauthpropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `logoUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.logoUriInput" id="cdktfprovideroktaappoauthpropertylogouriinput"></a>

```typescript
public readonly logoUriInput: string;
```

- *Type:* `string`

---

##### `omitSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.omitSecretInput" id="cdktfprovideroktaappoauthpropertyomitsecretinput"></a>

```typescript
public readonly omitSecretInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `policyUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.policyUriInput" id="cdktfprovideroktaappoauthpropertypolicyuriinput"></a>

```typescript
public readonly policyUriInput: string;
```

- *Type:* `string`

---

##### `postLogoutRedirectUrisInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.postLogoutRedirectUrisInput" id="cdktfprovideroktaappoauthpropertypostlogoutredirecturisinput"></a>

```typescript
public readonly postLogoutRedirectUrisInput: string[];
```

- *Type:* `string`[]

---

##### `profileInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.profileInput" id="cdktfprovideroktaappoauthpropertyprofileinput"></a>

```typescript
public readonly profileInput: string;
```

- *Type:* `string`

---

##### `redirectUrisInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.redirectUrisInput" id="cdktfprovideroktaappoauthpropertyredirecturisinput"></a>

```typescript
public readonly redirectUrisInput: string[];
```

- *Type:* `string`[]

---

##### `refreshTokenLeewayInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.refreshTokenLeewayInput" id="cdktfprovideroktaappoauthpropertyrefreshtokenleewayinput"></a>

```typescript
public readonly refreshTokenLeewayInput: number;
```

- *Type:* `number`

---

##### `refreshTokenRotationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.refreshTokenRotationInput" id="cdktfprovideroktaappoauthpropertyrefreshtokenrotationinput"></a>

```typescript
public readonly refreshTokenRotationInput: string;
```

- *Type:* `string`

---

##### `responseTypesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.responseTypesInput" id="cdktfprovideroktaappoauthpropertyresponsetypesinput"></a>

```typescript
public readonly responseTypesInput: string[];
```

- *Type:* `string`[]

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.skipGroupsInput" id="cdktfprovideroktaappoauthpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.skipUsersInput" id="cdktfprovideroktaappoauthpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.statusInput" id="cdktfprovideroktaappoauthpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `tokenEndpointAuthMethodInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.tokenEndpointAuthMethodInput" id="cdktfprovideroktaappoauthpropertytokenendpointauthmethodinput"></a>

```typescript
public readonly tokenEndpointAuthMethodInput: string;
```

- *Type:* `string`

---

##### `tosUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.tosUriInput" id="cdktfprovideroktaappoauthpropertytosuriinput"></a>

```typescript
public readonly tosUriInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.typeInput" id="cdktfprovideroktaappoauthpropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplateInput" id="cdktfprovideroktaappoauthpropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaappoauthpropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplateSuffixInput" id="cdktfprovideroktaappoauthpropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplateTypeInput" id="cdktfprovideroktaappoauthpropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.usersInput" id="cdktfprovideroktaappoauthpropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppOauthUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)[]

---

##### `wildcardRedirectInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauth.property.wildcardRedirectInput" id="cdktfprovideroktaappoauthpropertywildcardredirectinput"></a>

```typescript
public readonly wildcardRedirectInput: string;
```

- *Type:* `string`

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappoauthpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappoauthpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.accessibilitySelfService" id="cdktfprovideroktaappoauthpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.adminNote" id="cdktfprovideroktaappoauthpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.appLinksJson" id="cdktfprovideroktaappoauthpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `appSettingsJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.appSettingsJson" id="cdktfprovideroktaappoauthpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

---

##### `authenticationPolicy`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.authenticationPolicy" id="cdktfprovideroktaappoauthpropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

---

##### `autoKeyRotation`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.autoKeyRotation" id="cdktfprovideroktaappoauthpropertyautokeyrotation"></a>

```typescript
public readonly autoKeyRotation: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.autoSubmitToolbar" id="cdktfprovideroktaappoauthpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `clientBasicSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.clientBasicSecret" id="cdktfprovideroktaappoauthpropertyclientbasicsecret"></a>

```typescript
public readonly clientBasicSecret: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.clientId" id="cdktfprovideroktaappoauthpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientUri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.clientUri" id="cdktfprovideroktaappoauthpropertyclienturi"></a>

```typescript
public readonly clientUri: string;
```

- *Type:* `string`

---

##### `consentMethod`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.consentMethod" id="cdktfprovideroktaappoauthpropertyconsentmethod"></a>

```typescript
public readonly consentMethod: string;
```

- *Type:* `string`

---

##### `customClientId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.customClientId" id="cdktfprovideroktaappoauthpropertycustomclientid"></a>

```typescript
public readonly customClientId: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.enduserNote" id="cdktfprovideroktaappoauthpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `grantTypes`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.grantTypes" id="cdktfprovideroktaappoauthpropertygranttypes"></a>

```typescript
public readonly grantTypes: string[];
```

- *Type:* `string`[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.groups" id="cdktfprovideroktaappoauthpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.hideIos" id="cdktfprovideroktaappoauthpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.hideWeb" id="cdktfprovideroktaappoauthpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.id" id="cdktfprovideroktaappoauthpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `implicitAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.implicitAssignment" id="cdktfprovideroktaappoauthpropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.issuerMode" id="cdktfprovideroktaappoauthpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.label" id="cdktfprovideroktaappoauthpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `loginMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.loginMode" id="cdktfprovideroktaappoauthpropertyloginmode"></a>

```typescript
public readonly loginMode: string;
```

- *Type:* `string`

---

##### `loginScopes`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.loginScopes" id="cdktfprovideroktaappoauthpropertyloginscopes"></a>

```typescript
public readonly loginScopes: string[];
```

- *Type:* `string`[]

---

##### `loginUri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.loginUri" id="cdktfprovideroktaappoauthpropertyloginuri"></a>

```typescript
public readonly loginUri: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.logo" id="cdktfprovideroktaappoauthpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `logoUri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.logoUri" id="cdktfprovideroktaappoauthpropertylogouri"></a>

```typescript
public readonly logoUri: string;
```

- *Type:* `string`

---

##### `omitSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.omitSecret" id="cdktfprovideroktaappoauthpropertyomitsecret"></a>

```typescript
public readonly omitSecret: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `policyUri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.policyUri" id="cdktfprovideroktaappoauthpropertypolicyuri"></a>

```typescript
public readonly policyUri: string;
```

- *Type:* `string`

---

##### `postLogoutRedirectUris`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.postLogoutRedirectUris" id="cdktfprovideroktaappoauthpropertypostlogoutredirecturis"></a>

```typescript
public readonly postLogoutRedirectUris: string[];
```

- *Type:* `string`[]

---

##### `profile`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.profile" id="cdktfprovideroktaappoauthpropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

---

##### `redirectUris`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.redirectUris" id="cdktfprovideroktaappoauthpropertyredirecturis"></a>

```typescript
public readonly redirectUris: string[];
```

- *Type:* `string`[]

---

##### `refreshTokenLeeway`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.refreshTokenLeeway" id="cdktfprovideroktaappoauthpropertyrefreshtokenleeway"></a>

```typescript
public readonly refreshTokenLeeway: number;
```

- *Type:* `number`

---

##### `refreshTokenRotation`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.refreshTokenRotation" id="cdktfprovideroktaappoauthpropertyrefreshtokenrotation"></a>

```typescript
public readonly refreshTokenRotation: string;
```

- *Type:* `string`

---

##### `responseTypes`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.responseTypes" id="cdktfprovideroktaappoauthpropertyresponsetypes"></a>

```typescript
public readonly responseTypes: string[];
```

- *Type:* `string`[]

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.skipGroups" id="cdktfprovideroktaappoauthpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.skipUsers" id="cdktfprovideroktaappoauthpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.status" id="cdktfprovideroktaappoauthpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `tokenEndpointAuthMethod`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.tokenEndpointAuthMethod" id="cdktfprovideroktaappoauthpropertytokenendpointauthmethod"></a>

```typescript
public readonly tokenEndpointAuthMethod: string;
```

- *Type:* `string`

---

##### `tosUri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.tosUri" id="cdktfprovideroktaappoauthpropertytosuri"></a>

```typescript
public readonly tosUri: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.type" id="cdktfprovideroktaappoauthpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplate" id="cdktfprovideroktaappoauthpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplatePushStatus" id="cdktfprovideroktaappoauthpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplateSuffix" id="cdktfprovideroktaappoauthpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.userNameTemplateType" id="cdktfprovideroktaappoauthpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

##### `wildcardRedirect`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauth.property.wildcardRedirect" id="cdktfprovideroktaappoauthpropertywildcardredirect"></a>

```typescript
public readonly wildcardRedirect: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappoauthpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppOauth.property.tfResourceType" id="cdktfprovideroktaappoauthpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppOauthApiScope <a name="@cdktf/provider-okta.AppOauthApiScope" id="cdktfprovideroktaappoauthapiscope"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_api_scope okta_app_oauth_api_scope}.

#### Initializers <a name="@cdktf/provider-okta.AppOauthApiScope.Initializer" id="cdktfprovideroktaappoauthapiscopeinitializer"></a>

```typescript
import { AppOauthApiScope } from '@cdktf/provider-okta'

new AppOauthApiScope(scope: Construct, id: string, config: AppOauthApiScopeConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappoauthapiscopeparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappoauthapiscopeparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappoauthapiscopeparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppOauthApiScopeConfig`](#@cdktf/provider-okta.AppOauthApiScopeConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.parameter.scope" id="cdktfprovideroktaappoauthapiscopeparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.parameter.id" id="cdktfprovideroktaappoauthapiscopeparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.parameter.config" id="cdktfprovideroktaappoauthapiscopeparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppOauthApiScopeConfig`](#@cdktf/provider-okta.AppOauthApiScopeConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappoauthapiscoperesetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppOauthApiScope.resetId" id="cdktfprovideroktaappoauthapiscoperesetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaappoauthapiscopepropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappoauthapiscopepropertyidinput) | `string` | *No description.* |
| [`issuerInput`](#cdktfprovideroktaappoauthapiscopepropertyissuerinput) | `string` | *No description.* |
| [`scopesInput`](#cdktfprovideroktaappoauthapiscopepropertyscopesinput) | `string`[] | *No description.* |
| [`appId`](#cdktfprovideroktaappoauthapiscopepropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappoauthapiscopepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuer`](#cdktfprovideroktaappoauthapiscopepropertyissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktaappoauthapiscopepropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.appIdInput" id="cdktfprovideroktaappoauthapiscopepropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.idInput" id="cdktfprovideroktaappoauthapiscopepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.issuerInput" id="cdktfprovideroktaappoauthapiscopepropertyissuerinput"></a>

```typescript
public readonly issuerInput: string;
```

- *Type:* `string`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.scopesInput" id="cdktfprovideroktaappoauthapiscopepropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.appId" id="cdktfprovideroktaappoauthapiscopepropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.id" id="cdktfprovideroktaappoauthapiscopepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.issuer" id="cdktfprovideroktaappoauthapiscopepropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScope.property.scopes" id="cdktfprovideroktaappoauthapiscopepropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappoauthapiscopepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppOauthApiScope.property.tfResourceType" id="cdktfprovideroktaappoauthapiscopepropertytfresourcetype"></a>

- *Type:* `string`

---

### AppOauthPostLogoutRedirectUri <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri" id="cdktfprovideroktaappoauthpostlogoutredirecturi"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_post_logout_redirect_uri okta_app_oauth_post_logout_redirect_uri}.

#### Initializers <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.Initializer" id="cdktfprovideroktaappoauthpostlogoutredirecturiinitializer"></a>

```typescript
import { AppOauthPostLogoutRedirectUri } from '@cdktf/provider-okta'

new AppOauthPostLogoutRedirectUri(scope: Construct, id: string, config: AppOauthPostLogoutRedirectUriConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappoauthpostlogoutredirecturiparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappoauthpostlogoutredirecturiparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappoauthpostlogoutredirecturiparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig`](#@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.parameter.scope" id="cdktfprovideroktaappoauthpostlogoutredirecturiparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.parameter.id" id="cdktfprovideroktaappoauthpostlogoutredirecturiparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.parameter.config" id="cdktfprovideroktaappoauthpostlogoutredirecturiparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig`](#@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappoauthpostlogoutredirecturiresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.resetId" id="cdktfprovideroktaappoauthpostlogoutredirecturiresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaappoauthpostlogoutredirecturipropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappoauthpostlogoutredirecturipropertyidinput) | `string` | *No description.* |
| [`uriInput`](#cdktfprovideroktaappoauthpostlogoutredirecturipropertyuriinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappoauthpostlogoutredirecturipropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappoauthpostlogoutredirecturipropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`uri`](#cdktfprovideroktaappoauthpostlogoutredirecturipropertyuri)<span title="Required">*</span> | `string` | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.property.appIdInput" id="cdktfprovideroktaappoauthpostlogoutredirecturipropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.property.idInput" id="cdktfprovideroktaappoauthpostlogoutredirecturipropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `uriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.property.uriInput" id="cdktfprovideroktaappoauthpostlogoutredirecturipropertyuriinput"></a>

```typescript
public readonly uriInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.property.appId" id="cdktfprovideroktaappoauthpostlogoutredirecturipropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.property.id" id="cdktfprovideroktaappoauthpostlogoutredirecturipropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `uri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.property.uri" id="cdktfprovideroktaappoauthpostlogoutredirecturipropertyuri"></a>

```typescript
public readonly uri: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappoauthpostlogoutredirecturipropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUri.property.tfResourceType" id="cdktfprovideroktaappoauthpostlogoutredirecturipropertytfresourcetype"></a>

- *Type:* `string`

---

### AppOauthRedirectUri <a name="@cdktf/provider-okta.AppOauthRedirectUri" id="cdktfprovideroktaappoauthredirecturi"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri okta_app_oauth_redirect_uri}.

#### Initializers <a name="@cdktf/provider-okta.AppOauthRedirectUri.Initializer" id="cdktfprovideroktaappoauthredirecturiinitializer"></a>

```typescript
import { AppOauthRedirectUri } from '@cdktf/provider-okta'

new AppOauthRedirectUri(scope: Construct, id: string, config: AppOauthRedirectUriConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappoauthredirecturiparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappoauthredirecturiparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappoauthredirecturiparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppOauthRedirectUriConfig`](#@cdktf/provider-okta.AppOauthRedirectUriConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.parameter.scope" id="cdktfprovideroktaappoauthredirecturiparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.parameter.id" id="cdktfprovideroktaappoauthredirecturiparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.parameter.config" id="cdktfprovideroktaappoauthredirecturiparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppOauthRedirectUriConfig`](#@cdktf/provider-okta.AppOauthRedirectUriConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappoauthredirecturiresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppOauthRedirectUri.resetId" id="cdktfprovideroktaappoauthredirecturiresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaappoauthredirecturipropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappoauthredirecturipropertyidinput) | `string` | *No description.* |
| [`uriInput`](#cdktfprovideroktaappoauthredirecturipropertyuriinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappoauthredirecturipropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappoauthredirecturipropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`uri`](#cdktfprovideroktaappoauthredirecturipropertyuri)<span title="Required">*</span> | `string` | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.property.appIdInput" id="cdktfprovideroktaappoauthredirecturipropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.property.idInput" id="cdktfprovideroktaappoauthredirecturipropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `uriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.property.uriInput" id="cdktfprovideroktaappoauthredirecturipropertyuriinput"></a>

```typescript
public readonly uriInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.property.appId" id="cdktfprovideroktaappoauthredirecturipropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.property.id" id="cdktfprovideroktaappoauthredirecturipropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `uri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUri.property.uri" id="cdktfprovideroktaappoauthredirecturipropertyuri"></a>

```typescript
public readonly uri: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappoauthredirecturipropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppOauthRedirectUri.property.tfResourceType" id="cdktfprovideroktaappoauthredirecturipropertytfresourcetype"></a>

- *Type:* `string`

---

### AppSaml <a name="@cdktf/provider-okta.AppSaml" id="cdktfprovideroktaappsaml"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_saml okta_app_saml}.

#### Initializers <a name="@cdktf/provider-okta.AppSaml.Initializer" id="cdktfprovideroktaappsamlinitializer"></a>

```typescript
import { AppSaml } from '@cdktf/provider-okta'

new AppSaml(scope: Construct, id: string, config: AppSamlConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsamlparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappsamlparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappsamlparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSamlConfig`](#@cdktf/provider-okta.AppSamlConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.parameter.scope" id="cdktfprovideroktaappsamlparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.parameter.id" id="cdktfprovideroktaappsamlparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.parameter.config" id="cdktfprovideroktaappsamlparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppSamlConfig`](#@cdktf/provider-okta.AppSamlConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putAttributeStatements`](#cdktfprovideroktaappsamlputattributestatements) | *No description.* |
| [`putUsers`](#cdktfprovideroktaappsamlputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappsamlresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappsamlresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappsamlresetaccessibilityselfservice) | *No description.* |
| [`resetAcsEndpoints`](#cdktfprovideroktaappsamlresetacsendpoints) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappsamlresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappsamlresetapplinksjson) | *No description.* |
| [`resetAppSettingsJson`](#cdktfprovideroktaappsamlresetappsettingsjson) | *No description.* |
| [`resetAssertionSigned`](#cdktfprovideroktaappsamlresetassertionsigned) | *No description.* |
| [`resetAttributeStatements`](#cdktfprovideroktaappsamlresetattributestatements) | *No description.* |
| [`resetAudience`](#cdktfprovideroktaappsamlresetaudience) | *No description.* |
| [`resetAuthenticationPolicy`](#cdktfprovideroktaappsamlresetauthenticationpolicy) | *No description.* |
| [`resetAuthnContextClassRef`](#cdktfprovideroktaappsamlresetauthncontextclassref) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappsamlresetautosubmittoolbar) | *No description.* |
| [`resetDefaultRelayState`](#cdktfprovideroktaappsamlresetdefaultrelaystate) | *No description.* |
| [`resetDestination`](#cdktfprovideroktaappsamlresetdestination) | *No description.* |
| [`resetDigestAlgorithm`](#cdktfprovideroktaappsamlresetdigestalgorithm) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappsamlresetendusernote) | *No description.* |
| [`resetFeatures`](#cdktfprovideroktaappsamlresetfeatures) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappsamlresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappsamlresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappsamlresethideweb) | *No description.* |
| [`resetHonorForceAuthn`](#cdktfprovideroktaappsamlresethonorforceauthn) | *No description.* |
| [`resetId`](#cdktfprovideroktaappsamlresetid) | *No description.* |
| [`resetIdpIssuer`](#cdktfprovideroktaappsamlresetidpissuer) | *No description.* |
| [`resetImplicitAssignment`](#cdktfprovideroktaappsamlresetimplicitassignment) | *No description.* |
| [`resetInlineHookId`](#cdktfprovideroktaappsamlresetinlinehookid) | *No description.* |
| [`resetKeyName`](#cdktfprovideroktaappsamlresetkeyname) | *No description.* |
| [`resetKeyYearsValid`](#cdktfprovideroktaappsamlresetkeyyearsvalid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappsamlresetlogo) | *No description.* |
| [`resetPreconfiguredApp`](#cdktfprovideroktaappsamlresetpreconfiguredapp) | *No description.* |
| [`resetRecipient`](#cdktfprovideroktaappsamlresetrecipient) | *No description.* |
| [`resetRequestCompressed`](#cdktfprovideroktaappsamlresetrequestcompressed) | *No description.* |
| [`resetResponseSigned`](#cdktfprovideroktaappsamlresetresponsesigned) | *No description.* |
| [`resetSamlVersion`](#cdktfprovideroktaappsamlresetsamlversion) | *No description.* |
| [`resetSignatureAlgorithm`](#cdktfprovideroktaappsamlresetsignaturealgorithm) | *No description.* |
| [`resetSingleLogoutCertificate`](#cdktfprovideroktaappsamlresetsinglelogoutcertificate) | *No description.* |
| [`resetSingleLogoutIssuer`](#cdktfprovideroktaappsamlresetsinglelogoutissuer) | *No description.* |
| [`resetSingleLogoutUrl`](#cdktfprovideroktaappsamlresetsinglelogouturl) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappsamlresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappsamlresetskipusers) | *No description.* |
| [`resetSpIssuer`](#cdktfprovideroktaappsamlresetspissuer) | *No description.* |
| [`resetSsoUrl`](#cdktfprovideroktaappsamlresetssourl) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappsamlresetstatus) | *No description.* |
| [`resetSubjectNameIdFormat`](#cdktfprovideroktaappsamlresetsubjectnameidformat) | *No description.* |
| [`resetSubjectNameIdTemplate`](#cdktfprovideroktaappsamlresetsubjectnameidtemplate) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaappsamlresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaappsamlresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaappsamlresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaappsamlresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappsamlresetusers) | *No description.* |

---

##### `putAttributeStatements` <a name="@cdktf/provider-okta.AppSaml.putAttributeStatements" id="cdktfprovideroktaappsamlputattributestatements"></a>

```typescript
public putAttributeStatements(value: IResolvable | AppSamlAttributeStatements[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.parameter.value" id="cdktfprovideroktaappsamlparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)[]

---

##### `putUsers` <a name="@cdktf/provider-okta.AppSaml.putUsers" id="cdktfprovideroktaappsamlputusers"></a>

```typescript
public putUsers(value: IResolvable | AppSamlUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.parameter.value" id="cdktfprovideroktaappsamlparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppSaml.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappsamlresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppSaml.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappsamlresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppSaml.resetAccessibilitySelfService" id="cdktfprovideroktaappsamlresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAcsEndpoints` <a name="@cdktf/provider-okta.AppSaml.resetAcsEndpoints" id="cdktfprovideroktaappsamlresetacsendpoints"></a>

```typescript
public resetAcsEndpoints()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppSaml.resetAdminNote" id="cdktfprovideroktaappsamlresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppSaml.resetAppLinksJson" id="cdktfprovideroktaappsamlresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAppSettingsJson` <a name="@cdktf/provider-okta.AppSaml.resetAppSettingsJson" id="cdktfprovideroktaappsamlresetappsettingsjson"></a>

```typescript
public resetAppSettingsJson()
```

##### `resetAssertionSigned` <a name="@cdktf/provider-okta.AppSaml.resetAssertionSigned" id="cdktfprovideroktaappsamlresetassertionsigned"></a>

```typescript
public resetAssertionSigned()
```

##### `resetAttributeStatements` <a name="@cdktf/provider-okta.AppSaml.resetAttributeStatements" id="cdktfprovideroktaappsamlresetattributestatements"></a>

```typescript
public resetAttributeStatements()
```

##### `resetAudience` <a name="@cdktf/provider-okta.AppSaml.resetAudience" id="cdktfprovideroktaappsamlresetaudience"></a>

```typescript
public resetAudience()
```

##### `resetAuthenticationPolicy` <a name="@cdktf/provider-okta.AppSaml.resetAuthenticationPolicy" id="cdktfprovideroktaappsamlresetauthenticationpolicy"></a>

```typescript
public resetAuthenticationPolicy()
```

##### `resetAuthnContextClassRef` <a name="@cdktf/provider-okta.AppSaml.resetAuthnContextClassRef" id="cdktfprovideroktaappsamlresetauthncontextclassref"></a>

```typescript
public resetAuthnContextClassRef()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppSaml.resetAutoSubmitToolbar" id="cdktfprovideroktaappsamlresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetDefaultRelayState` <a name="@cdktf/provider-okta.AppSaml.resetDefaultRelayState" id="cdktfprovideroktaappsamlresetdefaultrelaystate"></a>

```typescript
public resetDefaultRelayState()
```

##### `resetDestination` <a name="@cdktf/provider-okta.AppSaml.resetDestination" id="cdktfprovideroktaappsamlresetdestination"></a>

```typescript
public resetDestination()
```

##### `resetDigestAlgorithm` <a name="@cdktf/provider-okta.AppSaml.resetDigestAlgorithm" id="cdktfprovideroktaappsamlresetdigestalgorithm"></a>

```typescript
public resetDigestAlgorithm()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppSaml.resetEnduserNote" id="cdktfprovideroktaappsamlresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetFeatures` <a name="@cdktf/provider-okta.AppSaml.resetFeatures" id="cdktfprovideroktaappsamlresetfeatures"></a>

```typescript
public resetFeatures()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppSaml.resetGroups" id="cdktfprovideroktaappsamlresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppSaml.resetHideIos" id="cdktfprovideroktaappsamlresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppSaml.resetHideWeb" id="cdktfprovideroktaappsamlresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetHonorForceAuthn` <a name="@cdktf/provider-okta.AppSaml.resetHonorForceAuthn" id="cdktfprovideroktaappsamlresethonorforceauthn"></a>

```typescript
public resetHonorForceAuthn()
```

##### `resetId` <a name="@cdktf/provider-okta.AppSaml.resetId" id="cdktfprovideroktaappsamlresetid"></a>

```typescript
public resetId()
```

##### `resetIdpIssuer` <a name="@cdktf/provider-okta.AppSaml.resetIdpIssuer" id="cdktfprovideroktaappsamlresetidpissuer"></a>

```typescript
public resetIdpIssuer()
```

##### `resetImplicitAssignment` <a name="@cdktf/provider-okta.AppSaml.resetImplicitAssignment" id="cdktfprovideroktaappsamlresetimplicitassignment"></a>

```typescript
public resetImplicitAssignment()
```

##### `resetInlineHookId` <a name="@cdktf/provider-okta.AppSaml.resetInlineHookId" id="cdktfprovideroktaappsamlresetinlinehookid"></a>

```typescript
public resetInlineHookId()
```

##### `resetKeyName` <a name="@cdktf/provider-okta.AppSaml.resetKeyName" id="cdktfprovideroktaappsamlresetkeyname"></a>

```typescript
public resetKeyName()
```

##### `resetKeyYearsValid` <a name="@cdktf/provider-okta.AppSaml.resetKeyYearsValid" id="cdktfprovideroktaappsamlresetkeyyearsvalid"></a>

```typescript
public resetKeyYearsValid()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppSaml.resetLogo" id="cdktfprovideroktaappsamlresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPreconfiguredApp` <a name="@cdktf/provider-okta.AppSaml.resetPreconfiguredApp" id="cdktfprovideroktaappsamlresetpreconfiguredapp"></a>

```typescript
public resetPreconfiguredApp()
```

##### `resetRecipient` <a name="@cdktf/provider-okta.AppSaml.resetRecipient" id="cdktfprovideroktaappsamlresetrecipient"></a>

```typescript
public resetRecipient()
```

##### `resetRequestCompressed` <a name="@cdktf/provider-okta.AppSaml.resetRequestCompressed" id="cdktfprovideroktaappsamlresetrequestcompressed"></a>

```typescript
public resetRequestCompressed()
```

##### `resetResponseSigned` <a name="@cdktf/provider-okta.AppSaml.resetResponseSigned" id="cdktfprovideroktaappsamlresetresponsesigned"></a>

```typescript
public resetResponseSigned()
```

##### `resetSamlVersion` <a name="@cdktf/provider-okta.AppSaml.resetSamlVersion" id="cdktfprovideroktaappsamlresetsamlversion"></a>

```typescript
public resetSamlVersion()
```

##### `resetSignatureAlgorithm` <a name="@cdktf/provider-okta.AppSaml.resetSignatureAlgorithm" id="cdktfprovideroktaappsamlresetsignaturealgorithm"></a>

```typescript
public resetSignatureAlgorithm()
```

##### `resetSingleLogoutCertificate` <a name="@cdktf/provider-okta.AppSaml.resetSingleLogoutCertificate" id="cdktfprovideroktaappsamlresetsinglelogoutcertificate"></a>

```typescript
public resetSingleLogoutCertificate()
```

##### `resetSingleLogoutIssuer` <a name="@cdktf/provider-okta.AppSaml.resetSingleLogoutIssuer" id="cdktfprovideroktaappsamlresetsinglelogoutissuer"></a>

```typescript
public resetSingleLogoutIssuer()
```

##### `resetSingleLogoutUrl` <a name="@cdktf/provider-okta.AppSaml.resetSingleLogoutUrl" id="cdktfprovideroktaappsamlresetsinglelogouturl"></a>

```typescript
public resetSingleLogoutUrl()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppSaml.resetSkipGroups" id="cdktfprovideroktaappsamlresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppSaml.resetSkipUsers" id="cdktfprovideroktaappsamlresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetSpIssuer` <a name="@cdktf/provider-okta.AppSaml.resetSpIssuer" id="cdktfprovideroktaappsamlresetspissuer"></a>

```typescript
public resetSpIssuer()
```

##### `resetSsoUrl` <a name="@cdktf/provider-okta.AppSaml.resetSsoUrl" id="cdktfprovideroktaappsamlresetssourl"></a>

```typescript
public resetSsoUrl()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppSaml.resetStatus" id="cdktfprovideroktaappsamlresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectNameIdFormat` <a name="@cdktf/provider-okta.AppSaml.resetSubjectNameIdFormat" id="cdktfprovideroktaappsamlresetsubjectnameidformat"></a>

```typescript
public resetSubjectNameIdFormat()
```

##### `resetSubjectNameIdTemplate` <a name="@cdktf/provider-okta.AppSaml.resetSubjectNameIdTemplate" id="cdktfprovideroktaappsamlresetsubjectnameidtemplate"></a>

```typescript
public resetSubjectNameIdTemplate()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AppSaml.resetUserNameTemplate" id="cdktfprovideroktaappsamlresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AppSaml.resetUserNameTemplatePushStatus" id="cdktfprovideroktaappsamlresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AppSaml.resetUserNameTemplateSuffix" id="cdktfprovideroktaappsamlresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AppSaml.resetUserNameTemplateType" id="cdktfprovideroktaappsamlresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppSaml.resetUsers" id="cdktfprovideroktaappsamlresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`attributeStatements`](#cdktfprovideroktaappsamlpropertyattributestatements)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSamlAttributeStatementsList`](#@cdktf/provider-okta.AppSamlAttributeStatementsList) | *No description.* |
| [`certificate`](#cdktfprovideroktaappsamlpropertycertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`embedUrl`](#cdktfprovideroktaappsamlpropertyembedurl)<span title="Required">*</span> | `string` | *No description.* |
| [`entityKey`](#cdktfprovideroktaappsamlpropertyentitykey)<span title="Required">*</span> | `string` | *No description.* |
| [`entityUrl`](#cdktfprovideroktaappsamlpropertyentityurl)<span title="Required">*</span> | `string` | *No description.* |
| [`httpPostBinding`](#cdktfprovideroktaappsamlpropertyhttppostbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`httpRedirectBinding`](#cdktfprovideroktaappsamlpropertyhttpredirectbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`keyId`](#cdktfprovideroktaappsamlpropertykeyid)<span title="Required">*</span> | `string` | *No description.* |
| [`keys`](#cdktfprovideroktaappsamlpropertykeys)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSamlKeysList`](#@cdktf/provider-okta.AppSamlKeysList) | *No description.* |
| [`logoUrl`](#cdktfprovideroktaappsamlpropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`metadata`](#cdktfprovideroktaappsamlpropertymetadata)<span title="Required">*</span> | `string` | *No description.* |
| [`metadataUrl`](#cdktfprovideroktaappsamlpropertymetadataurl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappsamlpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappsamlpropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappsamlpropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSamlUsersList`](#@cdktf/provider-okta.AppSamlUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappsamlpropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappsamlpropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappsamlpropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`acsEndpointsInput`](#cdktfprovideroktaappsamlpropertyacsendpointsinput) | `string`[] | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappsamlpropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappsamlpropertyapplinksjsoninput) | `string` | *No description.* |
| [`appSettingsJsonInput`](#cdktfprovideroktaappsamlpropertyappsettingsjsoninput) | `string` | *No description.* |
| [`assertionSignedInput`](#cdktfprovideroktaappsamlpropertyassertionsignedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`attributeStatementsInput`](#cdktfprovideroktaappsamlpropertyattributestatementsinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)[] | *No description.* |
| [`audienceInput`](#cdktfprovideroktaappsamlpropertyaudienceinput) | `string` | *No description.* |
| [`authenticationPolicyInput`](#cdktfprovideroktaappsamlpropertyauthenticationpolicyinput) | `string` | *No description.* |
| [`authnContextClassRefInput`](#cdktfprovideroktaappsamlpropertyauthncontextclassrefinput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappsamlpropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`defaultRelayStateInput`](#cdktfprovideroktaappsamlpropertydefaultrelaystateinput) | `string` | *No description.* |
| [`destinationInput`](#cdktfprovideroktaappsamlpropertydestinationinput) | `string` | *No description.* |
| [`digestAlgorithmInput`](#cdktfprovideroktaappsamlpropertydigestalgorithminput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappsamlpropertyendusernoteinput) | `string` | *No description.* |
| [`featuresInput`](#cdktfprovideroktaappsamlpropertyfeaturesinput) | `string`[] | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappsamlpropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappsamlpropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappsamlpropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`honorForceAuthnInput`](#cdktfprovideroktaappsamlpropertyhonorforceauthninput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappsamlpropertyidinput) | `string` | *No description.* |
| [`idpIssuerInput`](#cdktfprovideroktaappsamlpropertyidpissuerinput) | `string` | *No description.* |
| [`implicitAssignmentInput`](#cdktfprovideroktaappsamlpropertyimplicitassignmentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`inlineHookIdInput`](#cdktfprovideroktaappsamlpropertyinlinehookidinput) | `string` | *No description.* |
| [`keyNameInput`](#cdktfprovideroktaappsamlpropertykeynameinput) | `string` | *No description.* |
| [`keyYearsValidInput`](#cdktfprovideroktaappsamlpropertykeyyearsvalidinput) | `number` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappsamlpropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappsamlpropertylogoinput) | `string` | *No description.* |
| [`preconfiguredAppInput`](#cdktfprovideroktaappsamlpropertypreconfiguredappinput) | `string` | *No description.* |
| [`recipientInput`](#cdktfprovideroktaappsamlpropertyrecipientinput) | `string` | *No description.* |
| [`requestCompressedInput`](#cdktfprovideroktaappsamlpropertyrequestcompressedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`responseSignedInput`](#cdktfprovideroktaappsamlpropertyresponsesignedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`samlVersionInput`](#cdktfprovideroktaappsamlpropertysamlversioninput) | `string` | *No description.* |
| [`signatureAlgorithmInput`](#cdktfprovideroktaappsamlpropertysignaturealgorithminput) | `string` | *No description.* |
| [`singleLogoutCertificateInput`](#cdktfprovideroktaappsamlpropertysinglelogoutcertificateinput) | `string` | *No description.* |
| [`singleLogoutIssuerInput`](#cdktfprovideroktaappsamlpropertysinglelogoutissuerinput) | `string` | *No description.* |
| [`singleLogoutUrlInput`](#cdktfprovideroktaappsamlpropertysinglelogouturlinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappsamlpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappsamlpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`spIssuerInput`](#cdktfprovideroktaappsamlpropertyspissuerinput) | `string` | *No description.* |
| [`ssoUrlInput`](#cdktfprovideroktaappsamlpropertyssourlinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktaappsamlpropertystatusinput) | `string` | *No description.* |
| [`subjectNameIdFormatInput`](#cdktfprovideroktaappsamlpropertysubjectnameidformatinput) | `string` | *No description.* |
| [`subjectNameIdTemplateInput`](#cdktfprovideroktaappsamlpropertysubjectnameidtemplateinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaappsamlpropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaappsamlpropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaappsamlpropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaappsamlpropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappsamlpropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappsamlpropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappsamlpropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappsamlpropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`acsEndpoints`](#cdktfprovideroktaappsamlpropertyacsendpoints)<span title="Required">*</span> | `string`[] | *No description.* |
| [`adminNote`](#cdktfprovideroktaappsamlpropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappsamlpropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`appSettingsJson`](#cdktfprovideroktaappsamlpropertyappsettingsjson)<span title="Required">*</span> | `string` | *No description.* |
| [`assertionSigned`](#cdktfprovideroktaappsamlpropertyassertionsigned)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`audience`](#cdktfprovideroktaappsamlpropertyaudience)<span title="Required">*</span> | `string` | *No description.* |
| [`authenticationPolicy`](#cdktfprovideroktaappsamlpropertyauthenticationpolicy)<span title="Required">*</span> | `string` | *No description.* |
| [`authnContextClassRef`](#cdktfprovideroktaappsamlpropertyauthncontextclassref)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappsamlpropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`defaultRelayState`](#cdktfprovideroktaappsamlpropertydefaultrelaystate)<span title="Required">*</span> | `string` | *No description.* |
| [`destination`](#cdktfprovideroktaappsamlpropertydestination)<span title="Required">*</span> | `string` | *No description.* |
| [`digestAlgorithm`](#cdktfprovideroktaappsamlpropertydigestalgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappsamlpropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`features`](#cdktfprovideroktaappsamlpropertyfeatures)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groups`](#cdktfprovideroktaappsamlpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappsamlpropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappsamlpropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`honorForceAuthn`](#cdktfprovideroktaappsamlpropertyhonorforceauthn)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappsamlpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`idpIssuer`](#cdktfprovideroktaappsamlpropertyidpissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`implicitAssignment`](#cdktfprovideroktaappsamlpropertyimplicitassignment)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`inlineHookId`](#cdktfprovideroktaappsamlpropertyinlinehookid)<span title="Required">*</span> | `string` | *No description.* |
| [`keyName`](#cdktfprovideroktaappsamlpropertykeyname)<span title="Required">*</span> | `string` | *No description.* |
| [`keyYearsValid`](#cdktfprovideroktaappsamlpropertykeyyearsvalid)<span title="Required">*</span> | `number` | *No description.* |
| [`label`](#cdktfprovideroktaappsamlpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappsamlpropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`preconfiguredApp`](#cdktfprovideroktaappsamlpropertypreconfiguredapp)<span title="Required">*</span> | `string` | *No description.* |
| [`recipient`](#cdktfprovideroktaappsamlpropertyrecipient)<span title="Required">*</span> | `string` | *No description.* |
| [`requestCompressed`](#cdktfprovideroktaappsamlpropertyrequestcompressed)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`responseSigned`](#cdktfprovideroktaappsamlpropertyresponsesigned)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`samlVersion`](#cdktfprovideroktaappsamlpropertysamlversion)<span title="Required">*</span> | `string` | *No description.* |
| [`signatureAlgorithm`](#cdktfprovideroktaappsamlpropertysignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutCertificate`](#cdktfprovideroktaappsamlpropertysinglelogoutcertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutIssuer`](#cdktfprovideroktaappsamlpropertysinglelogoutissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutUrl`](#cdktfprovideroktaappsamlpropertysinglelogouturl)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappsamlpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappsamlpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`spIssuer`](#cdktfprovideroktaappsamlpropertyspissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoUrl`](#cdktfprovideroktaappsamlpropertyssourl)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaappsamlpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectNameIdFormat`](#cdktfprovideroktaappsamlpropertysubjectnameidformat)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectNameIdTemplate`](#cdktfprovideroktaappsamlpropertysubjectnameidtemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaappsamlpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappsamlpropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappsamlpropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaappsamlpropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `attributeStatements`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.attributeStatements" id="cdktfprovideroktaappsamlpropertyattributestatements"></a>

```typescript
public readonly attributeStatements: AppSamlAttributeStatementsList;
```

- *Type:* [`@cdktf/provider-okta.AppSamlAttributeStatementsList`](#@cdktf/provider-okta.AppSamlAttributeStatementsList)

---

##### `certificate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.certificate" id="cdktfprovideroktaappsamlpropertycertificate"></a>

```typescript
public readonly certificate: string;
```

- *Type:* `string`

---

##### `embedUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.embedUrl" id="cdktfprovideroktaappsamlpropertyembedurl"></a>

```typescript
public readonly embedUrl: string;
```

- *Type:* `string`

---

##### `entityKey`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.entityKey" id="cdktfprovideroktaappsamlpropertyentitykey"></a>

```typescript
public readonly entityKey: string;
```

- *Type:* `string`

---

##### `entityUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.entityUrl" id="cdktfprovideroktaappsamlpropertyentityurl"></a>

```typescript
public readonly entityUrl: string;
```

- *Type:* `string`

---

##### `httpPostBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.httpPostBinding" id="cdktfprovideroktaappsamlpropertyhttppostbinding"></a>

```typescript
public readonly httpPostBinding: string;
```

- *Type:* `string`

---

##### `httpRedirectBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.httpRedirectBinding" id="cdktfprovideroktaappsamlpropertyhttpredirectbinding"></a>

```typescript
public readonly httpRedirectBinding: string;
```

- *Type:* `string`

---

##### `keyId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.keyId" id="cdktfprovideroktaappsamlpropertykeyid"></a>

```typescript
public readonly keyId: string;
```

- *Type:* `string`

---

##### `keys`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.keys" id="cdktfprovideroktaappsamlpropertykeys"></a>

```typescript
public readonly keys: AppSamlKeysList;
```

- *Type:* [`@cdktf/provider-okta.AppSamlKeysList`](#@cdktf/provider-okta.AppSamlKeysList)

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.logoUrl" id="cdktfprovideroktaappsamlpropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `metadata`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.metadata" id="cdktfprovideroktaappsamlpropertymetadata"></a>

```typescript
public readonly metadata: string;
```

- *Type:* `string`

---

##### `metadataUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.metadataUrl" id="cdktfprovideroktaappsamlpropertymetadataurl"></a>

```typescript
public readonly metadataUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.name" id="cdktfprovideroktaappsamlpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.signOnMode" id="cdktfprovideroktaappsamlpropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.users" id="cdktfprovideroktaappsamlpropertyusers"></a>

```typescript
public readonly users: AppSamlUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppSamlUsersList`](#@cdktf/provider-okta.AppSamlUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappsamlpropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappsamlpropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappsamlpropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `acsEndpointsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.acsEndpointsInput" id="cdktfprovideroktaappsamlpropertyacsendpointsinput"></a>

```typescript
public readonly acsEndpointsInput: string[];
```

- *Type:* `string`[]

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.adminNoteInput" id="cdktfprovideroktaappsamlpropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.appLinksJsonInput" id="cdktfprovideroktaappsamlpropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `appSettingsJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.appSettingsJsonInput" id="cdktfprovideroktaappsamlpropertyappsettingsjsoninput"></a>

```typescript
public readonly appSettingsJsonInput: string;
```

- *Type:* `string`

---

##### `assertionSignedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.assertionSignedInput" id="cdktfprovideroktaappsamlpropertyassertionsignedinput"></a>

```typescript
public readonly assertionSignedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `attributeStatementsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.attributeStatementsInput" id="cdktfprovideroktaappsamlpropertyattributestatementsinput"></a>

```typescript
public readonly attributeStatementsInput: IResolvable | AppSamlAttributeStatements[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)[]

---

##### `audienceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.audienceInput" id="cdktfprovideroktaappsamlpropertyaudienceinput"></a>

```typescript
public readonly audienceInput: string;
```

- *Type:* `string`

---

##### `authenticationPolicyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.authenticationPolicyInput" id="cdktfprovideroktaappsamlpropertyauthenticationpolicyinput"></a>

```typescript
public readonly authenticationPolicyInput: string;
```

- *Type:* `string`

---

##### `authnContextClassRefInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.authnContextClassRefInput" id="cdktfprovideroktaappsamlpropertyauthncontextclassrefinput"></a>

```typescript
public readonly authnContextClassRefInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.autoSubmitToolbarInput" id="cdktfprovideroktaappsamlpropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `defaultRelayStateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.defaultRelayStateInput" id="cdktfprovideroktaappsamlpropertydefaultrelaystateinput"></a>

```typescript
public readonly defaultRelayStateInput: string;
```

- *Type:* `string`

---

##### `destinationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.destinationInput" id="cdktfprovideroktaappsamlpropertydestinationinput"></a>

```typescript
public readonly destinationInput: string;
```

- *Type:* `string`

---

##### `digestAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.digestAlgorithmInput" id="cdktfprovideroktaappsamlpropertydigestalgorithminput"></a>

```typescript
public readonly digestAlgorithmInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.enduserNoteInput" id="cdktfprovideroktaappsamlpropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `featuresInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.featuresInput" id="cdktfprovideroktaappsamlpropertyfeaturesinput"></a>

```typescript
public readonly featuresInput: string[];
```

- *Type:* `string`[]

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.groupsInput" id="cdktfprovideroktaappsamlpropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.hideIosInput" id="cdktfprovideroktaappsamlpropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.hideWebInput" id="cdktfprovideroktaappsamlpropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `honorForceAuthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.honorForceAuthnInput" id="cdktfprovideroktaappsamlpropertyhonorforceauthninput"></a>

```typescript
public readonly honorForceAuthnInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.idInput" id="cdktfprovideroktaappsamlpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `idpIssuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.idpIssuerInput" id="cdktfprovideroktaappsamlpropertyidpissuerinput"></a>

```typescript
public readonly idpIssuerInput: string;
```

- *Type:* `string`

---

##### `implicitAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.implicitAssignmentInput" id="cdktfprovideroktaappsamlpropertyimplicitassignmentinput"></a>

```typescript
public readonly implicitAssignmentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `inlineHookIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.inlineHookIdInput" id="cdktfprovideroktaappsamlpropertyinlinehookidinput"></a>

```typescript
public readonly inlineHookIdInput: string;
```

- *Type:* `string`

---

##### `keyNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.keyNameInput" id="cdktfprovideroktaappsamlpropertykeynameinput"></a>

```typescript
public readonly keyNameInput: string;
```

- *Type:* `string`

---

##### `keyYearsValidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.keyYearsValidInput" id="cdktfprovideroktaappsamlpropertykeyyearsvalidinput"></a>

```typescript
public readonly keyYearsValidInput: number;
```

- *Type:* `number`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.labelInput" id="cdktfprovideroktaappsamlpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.logoInput" id="cdktfprovideroktaappsamlpropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `preconfiguredAppInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.preconfiguredAppInput" id="cdktfprovideroktaappsamlpropertypreconfiguredappinput"></a>

```typescript
public readonly preconfiguredAppInput: string;
```

- *Type:* `string`

---

##### `recipientInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.recipientInput" id="cdktfprovideroktaappsamlpropertyrecipientinput"></a>

```typescript
public readonly recipientInput: string;
```

- *Type:* `string`

---

##### `requestCompressedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.requestCompressedInput" id="cdktfprovideroktaappsamlpropertyrequestcompressedinput"></a>

```typescript
public readonly requestCompressedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `responseSignedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.responseSignedInput" id="cdktfprovideroktaappsamlpropertyresponsesignedinput"></a>

```typescript
public readonly responseSignedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `samlVersionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.samlVersionInput" id="cdktfprovideroktaappsamlpropertysamlversioninput"></a>

```typescript
public readonly samlVersionInput: string;
```

- *Type:* `string`

---

##### `signatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.signatureAlgorithmInput" id="cdktfprovideroktaappsamlpropertysignaturealgorithminput"></a>

```typescript
public readonly signatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `singleLogoutCertificateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.singleLogoutCertificateInput" id="cdktfprovideroktaappsamlpropertysinglelogoutcertificateinput"></a>

```typescript
public readonly singleLogoutCertificateInput: string;
```

- *Type:* `string`

---

##### `singleLogoutIssuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.singleLogoutIssuerInput" id="cdktfprovideroktaappsamlpropertysinglelogoutissuerinput"></a>

```typescript
public readonly singleLogoutIssuerInput: string;
```

- *Type:* `string`

---

##### `singleLogoutUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.singleLogoutUrlInput" id="cdktfprovideroktaappsamlpropertysinglelogouturlinput"></a>

```typescript
public readonly singleLogoutUrlInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.skipGroupsInput" id="cdktfprovideroktaappsamlpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.skipUsersInput" id="cdktfprovideroktaappsamlpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `spIssuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.spIssuerInput" id="cdktfprovideroktaappsamlpropertyspissuerinput"></a>

```typescript
public readonly spIssuerInput: string;
```

- *Type:* `string`

---

##### `ssoUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.ssoUrlInput" id="cdktfprovideroktaappsamlpropertyssourlinput"></a>

```typescript
public readonly ssoUrlInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.statusInput" id="cdktfprovideroktaappsamlpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectNameIdFormatInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.subjectNameIdFormatInput" id="cdktfprovideroktaappsamlpropertysubjectnameidformatinput"></a>

```typescript
public readonly subjectNameIdFormatInput: string;
```

- *Type:* `string`

---

##### `subjectNameIdTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.subjectNameIdTemplateInput" id="cdktfprovideroktaappsamlpropertysubjectnameidtemplateinput"></a>

```typescript
public readonly subjectNameIdTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplateInput" id="cdktfprovideroktaappsamlpropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaappsamlpropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplateSuffixInput" id="cdktfprovideroktaappsamlpropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplateTypeInput" id="cdktfprovideroktaappsamlpropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSaml.property.usersInput" id="cdktfprovideroktaappsamlpropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppSamlUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappsamlpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappsamlpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.accessibilitySelfService" id="cdktfprovideroktaappsamlpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `acsEndpoints`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.acsEndpoints" id="cdktfprovideroktaappsamlpropertyacsendpoints"></a>

```typescript
public readonly acsEndpoints: string[];
```

- *Type:* `string`[]

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.adminNote" id="cdktfprovideroktaappsamlpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.appLinksJson" id="cdktfprovideroktaappsamlpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `appSettingsJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.appSettingsJson" id="cdktfprovideroktaappsamlpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

---

##### `assertionSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.assertionSigned" id="cdktfprovideroktaappsamlpropertyassertionsigned"></a>

```typescript
public readonly assertionSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `audience`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.audience" id="cdktfprovideroktaappsamlpropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

---

##### `authenticationPolicy`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.authenticationPolicy" id="cdktfprovideroktaappsamlpropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

---

##### `authnContextClassRef`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.authnContextClassRef" id="cdktfprovideroktaappsamlpropertyauthncontextclassref"></a>

```typescript
public readonly authnContextClassRef: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.autoSubmitToolbar" id="cdktfprovideroktaappsamlpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `defaultRelayState`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.defaultRelayState" id="cdktfprovideroktaappsamlpropertydefaultrelaystate"></a>

```typescript
public readonly defaultRelayState: string;
```

- *Type:* `string`

---

##### `destination`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.destination" id="cdktfprovideroktaappsamlpropertydestination"></a>

```typescript
public readonly destination: string;
```

- *Type:* `string`

---

##### `digestAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.digestAlgorithm" id="cdktfprovideroktaappsamlpropertydigestalgorithm"></a>

```typescript
public readonly digestAlgorithm: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.enduserNote" id="cdktfprovideroktaappsamlpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `features`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.features" id="cdktfprovideroktaappsamlpropertyfeatures"></a>

```typescript
public readonly features: string[];
```

- *Type:* `string`[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.groups" id="cdktfprovideroktaappsamlpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.hideIos" id="cdktfprovideroktaappsamlpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.hideWeb" id="cdktfprovideroktaappsamlpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `honorForceAuthn`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.honorForceAuthn" id="cdktfprovideroktaappsamlpropertyhonorforceauthn"></a>

```typescript
public readonly honorForceAuthn: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.id" id="cdktfprovideroktaappsamlpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `idpIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.idpIssuer" id="cdktfprovideroktaappsamlpropertyidpissuer"></a>

```typescript
public readonly idpIssuer: string;
```

- *Type:* `string`

---

##### `implicitAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.implicitAssignment" id="cdktfprovideroktaappsamlpropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `inlineHookId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.inlineHookId" id="cdktfprovideroktaappsamlpropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

---

##### `keyName`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.keyName" id="cdktfprovideroktaappsamlpropertykeyname"></a>

```typescript
public readonly keyName: string;
```

- *Type:* `string`

---

##### `keyYearsValid`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.keyYearsValid" id="cdktfprovideroktaappsamlpropertykeyyearsvalid"></a>

```typescript
public readonly keyYearsValid: number;
```

- *Type:* `number`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.label" id="cdktfprovideroktaappsamlpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.logo" id="cdktfprovideroktaappsamlpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `preconfiguredApp`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.preconfiguredApp" id="cdktfprovideroktaappsamlpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

---

##### `recipient`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.recipient" id="cdktfprovideroktaappsamlpropertyrecipient"></a>

```typescript
public readonly recipient: string;
```

- *Type:* `string`

---

##### `requestCompressed`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.requestCompressed" id="cdktfprovideroktaappsamlpropertyrequestcompressed"></a>

```typescript
public readonly requestCompressed: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `responseSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.responseSigned" id="cdktfprovideroktaappsamlpropertyresponsesigned"></a>

```typescript
public readonly responseSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `samlVersion`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.samlVersion" id="cdktfprovideroktaappsamlpropertysamlversion"></a>

```typescript
public readonly samlVersion: string;
```

- *Type:* `string`

---

##### `signatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.signatureAlgorithm" id="cdktfprovideroktaappsamlpropertysignaturealgorithm"></a>

```typescript
public readonly signatureAlgorithm: string;
```

- *Type:* `string`

---

##### `singleLogoutCertificate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.singleLogoutCertificate" id="cdktfprovideroktaappsamlpropertysinglelogoutcertificate"></a>

```typescript
public readonly singleLogoutCertificate: string;
```

- *Type:* `string`

---

##### `singleLogoutIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.singleLogoutIssuer" id="cdktfprovideroktaappsamlpropertysinglelogoutissuer"></a>

```typescript
public readonly singleLogoutIssuer: string;
```

- *Type:* `string`

---

##### `singleLogoutUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.singleLogoutUrl" id="cdktfprovideroktaappsamlpropertysinglelogouturl"></a>

```typescript
public readonly singleLogoutUrl: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.skipGroups" id="cdktfprovideroktaappsamlpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.skipUsers" id="cdktfprovideroktaappsamlpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `spIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.spIssuer" id="cdktfprovideroktaappsamlpropertyspissuer"></a>

```typescript
public readonly spIssuer: string;
```

- *Type:* `string`

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.ssoUrl" id="cdktfprovideroktaappsamlpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.status" id="cdktfprovideroktaappsamlpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectNameIdFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.subjectNameIdFormat" id="cdktfprovideroktaappsamlpropertysubjectnameidformat"></a>

```typescript
public readonly subjectNameIdFormat: string;
```

- *Type:* `string`

---

##### `subjectNameIdTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.subjectNameIdTemplate" id="cdktfprovideroktaappsamlpropertysubjectnameidtemplate"></a>

```typescript
public readonly subjectNameIdTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplate" id="cdktfprovideroktaappsamlpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplatePushStatus" id="cdktfprovideroktaappsamlpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplateSuffix" id="cdktfprovideroktaappsamlpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSaml.property.userNameTemplateType" id="cdktfprovideroktaappsamlpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappsamlpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppSaml.property.tfResourceType" id="cdktfprovideroktaappsamlpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppSamlAppSettings <a name="@cdktf/provider-okta.AppSamlAppSettings" id="cdktfprovideroktaappsamlappsettings"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_saml_app_settings okta_app_saml_app_settings}.

#### Initializers <a name="@cdktf/provider-okta.AppSamlAppSettings.Initializer" id="cdktfprovideroktaappsamlappsettingsinitializer"></a>

```typescript
import { AppSamlAppSettings } from '@cdktf/provider-okta'

new AppSamlAppSettings(scope: Construct, id: string, config: AppSamlAppSettingsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsamlappsettingsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappsamlappsettingsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappsamlappsettingsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSamlAppSettingsConfig`](#@cdktf/provider-okta.AppSamlAppSettingsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.parameter.scope" id="cdktfprovideroktaappsamlappsettingsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.parameter.id" id="cdktfprovideroktaappsamlappsettingsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.parameter.config" id="cdktfprovideroktaappsamlappsettingsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppSamlAppSettingsConfig`](#@cdktf/provider-okta.AppSamlAppSettingsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappsamlappsettingsresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppSamlAppSettings.resetId" id="cdktfprovideroktaappsamlappsettingsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaappsamlappsettingspropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappsamlappsettingspropertyidinput) | `string` | *No description.* |
| [`settingsInput`](#cdktfprovideroktaappsamlappsettingspropertysettingsinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappsamlappsettingspropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappsamlappsettingspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`settings`](#cdktfprovideroktaappsamlappsettingspropertysettings)<span title="Required">*</span> | `string` | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.property.appIdInput" id="cdktfprovideroktaappsamlappsettingspropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.property.idInput" id="cdktfprovideroktaappsamlappsettingspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `settingsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.property.settingsInput" id="cdktfprovideroktaappsamlappsettingspropertysettingsinput"></a>

```typescript
public readonly settingsInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.property.appId" id="cdktfprovideroktaappsamlappsettingspropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.property.id" id="cdktfprovideroktaappsamlappsettingspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `settings`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettings.property.settings" id="cdktfprovideroktaappsamlappsettingspropertysettings"></a>

```typescript
public readonly settings: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappsamlappsettingspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppSamlAppSettings.property.tfResourceType" id="cdktfprovideroktaappsamlappsettingspropertytfresourcetype"></a>

- *Type:* `string`

---

### AppSecurePasswordStore <a name="@cdktf/provider-okta.AppSecurePasswordStore" id="cdktfprovideroktaappsecurepasswordstore"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store okta_app_secure_password_store}.

#### Initializers <a name="@cdktf/provider-okta.AppSecurePasswordStore.Initializer" id="cdktfprovideroktaappsecurepasswordstoreinitializer"></a>

```typescript
import { AppSecurePasswordStore } from '@cdktf/provider-okta'

new AppSecurePasswordStore(scope: Construct, id: string, config: AppSecurePasswordStoreConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsecurepasswordstoreparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappsecurepasswordstoreparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappsecurepasswordstoreparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSecurePasswordStoreConfig`](#@cdktf/provider-okta.AppSecurePasswordStoreConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.parameter.scope" id="cdktfprovideroktaappsecurepasswordstoreparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.parameter.id" id="cdktfprovideroktaappsecurepasswordstoreparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.parameter.config" id="cdktfprovideroktaappsecurepasswordstoreparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppSecurePasswordStoreConfig`](#@cdktf/provider-okta.AppSecurePasswordStoreConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaappsecurepasswordstoreputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappsecurepasswordstoreresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappsecurepasswordstoreresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappsecurepasswordstoreresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappsecurepasswordstoreresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappsecurepasswordstoreresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappsecurepasswordstoreresetautosubmittoolbar) | *No description.* |
| [`resetCredentialsScheme`](#cdktfprovideroktaappsecurepasswordstoreresetcredentialsscheme) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappsecurepasswordstoreresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappsecurepasswordstoreresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappsecurepasswordstoreresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappsecurepasswordstoreresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappsecurepasswordstoreresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappsecurepasswordstoreresetlogo) | *No description.* |
| [`resetOptionalField1`](#cdktfprovideroktaappsecurepasswordstoreresetoptionalfield1) | *No description.* |
| [`resetOptionalField1Value`](#cdktfprovideroktaappsecurepasswordstoreresetoptionalfield1value) | *No description.* |
| [`resetOptionalField2`](#cdktfprovideroktaappsecurepasswordstoreresetoptionalfield2) | *No description.* |
| [`resetOptionalField2Value`](#cdktfprovideroktaappsecurepasswordstoreresetoptionalfield2value) | *No description.* |
| [`resetOptionalField3`](#cdktfprovideroktaappsecurepasswordstoreresetoptionalfield3) | *No description.* |
| [`resetOptionalField3Value`](#cdktfprovideroktaappsecurepasswordstoreresetoptionalfield3value) | *No description.* |
| [`resetRevealPassword`](#cdktfprovideroktaappsecurepasswordstoreresetrevealpassword) | *No description.* |
| [`resetSharedPassword`](#cdktfprovideroktaappsecurepasswordstoreresetsharedpassword) | *No description.* |
| [`resetSharedUsername`](#cdktfprovideroktaappsecurepasswordstoreresetsharedusername) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappsecurepasswordstoreresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappsecurepasswordstoreresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappsecurepasswordstoreresetstatus) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaappsecurepasswordstoreresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaappsecurepasswordstoreresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaappsecurepasswordstoreresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaappsecurepasswordstoreresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappsecurepasswordstoreresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AppSecurePasswordStore.putUsers" id="cdktfprovideroktaappsecurepasswordstoreputusers"></a>

```typescript
public putUsers(value: IResolvable | AppSecurePasswordStoreUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.parameter.value" id="cdktfprovideroktaappsecurepasswordstoreparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappsecurepasswordstoreresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappsecurepasswordstoreresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetAccessibilitySelfService" id="cdktfprovideroktaappsecurepasswordstoreresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetAdminNote" id="cdktfprovideroktaappsecurepasswordstoreresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetAppLinksJson" id="cdktfprovideroktaappsecurepasswordstoreresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetAutoSubmitToolbar" id="cdktfprovideroktaappsecurepasswordstoreresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetCredentialsScheme` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetCredentialsScheme" id="cdktfprovideroktaappsecurepasswordstoreresetcredentialsscheme"></a>

```typescript
public resetCredentialsScheme()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetEnduserNote" id="cdktfprovideroktaappsecurepasswordstoreresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetGroups" id="cdktfprovideroktaappsecurepasswordstoreresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetHideIos" id="cdktfprovideroktaappsecurepasswordstoreresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetHideWeb" id="cdktfprovideroktaappsecurepasswordstoreresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetId" id="cdktfprovideroktaappsecurepasswordstoreresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetLogo" id="cdktfprovideroktaappsecurepasswordstoreresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetOptionalField1` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetOptionalField1" id="cdktfprovideroktaappsecurepasswordstoreresetoptionalfield1"></a>

```typescript
public resetOptionalField1()
```

##### `resetOptionalField1Value` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetOptionalField1Value" id="cdktfprovideroktaappsecurepasswordstoreresetoptionalfield1value"></a>

```typescript
public resetOptionalField1Value()
```

##### `resetOptionalField2` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetOptionalField2" id="cdktfprovideroktaappsecurepasswordstoreresetoptionalfield2"></a>

```typescript
public resetOptionalField2()
```

##### `resetOptionalField2Value` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetOptionalField2Value" id="cdktfprovideroktaappsecurepasswordstoreresetoptionalfield2value"></a>

```typescript
public resetOptionalField2Value()
```

##### `resetOptionalField3` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetOptionalField3" id="cdktfprovideroktaappsecurepasswordstoreresetoptionalfield3"></a>

```typescript
public resetOptionalField3()
```

##### `resetOptionalField3Value` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetOptionalField3Value" id="cdktfprovideroktaappsecurepasswordstoreresetoptionalfield3value"></a>

```typescript
public resetOptionalField3Value()
```

##### `resetRevealPassword` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetRevealPassword" id="cdktfprovideroktaappsecurepasswordstoreresetrevealpassword"></a>

```typescript
public resetRevealPassword()
```

##### `resetSharedPassword` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetSharedPassword" id="cdktfprovideroktaappsecurepasswordstoreresetsharedpassword"></a>

```typescript
public resetSharedPassword()
```

##### `resetSharedUsername` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetSharedUsername" id="cdktfprovideroktaappsecurepasswordstoreresetsharedusername"></a>

```typescript
public resetSharedUsername()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetSkipGroups" id="cdktfprovideroktaappsecurepasswordstoreresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetSkipUsers" id="cdktfprovideroktaappsecurepasswordstoreresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetStatus" id="cdktfprovideroktaappsecurepasswordstoreresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetUserNameTemplate" id="cdktfprovideroktaappsecurepasswordstoreresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetUserNameTemplatePushStatus" id="cdktfprovideroktaappsecurepasswordstoreresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetUserNameTemplateSuffix" id="cdktfprovideroktaappsecurepasswordstoreresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetUserNameTemplateType" id="cdktfprovideroktaappsecurepasswordstoreresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppSecurePasswordStore.resetUsers" id="cdktfprovideroktaappsecurepasswordstoreresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaappsecurepasswordstorepropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappsecurepasswordstorepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappsecurepasswordstorepropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappsecurepasswordstorepropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSecurePasswordStoreUsersList`](#@cdktf/provider-okta.AppSecurePasswordStoreUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappsecurepasswordstorepropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappsecurepasswordstorepropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappsecurepasswordstorepropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsSchemeInput`](#cdktfprovideroktaappsecurepasswordstorepropertycredentialsschemeinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappsecurepasswordstorepropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappsecurepasswordstorepropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappsecurepasswordstorepropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappsecurepasswordstorepropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappsecurepasswordstorepropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappsecurepasswordstorepropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappsecurepasswordstorepropertylogoinput) | `string` | *No description.* |
| [`optionalField1Input`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1input) | `string` | *No description.* |
| [`optionalField1ValueInput`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1valueinput) | `string` | *No description.* |
| [`optionalField2Input`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2input) | `string` | *No description.* |
| [`optionalField2ValueInput`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2valueinput) | `string` | *No description.* |
| [`optionalField3Input`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3input) | `string` | *No description.* |
| [`optionalField3ValueInput`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3valueinput) | `string` | *No description.* |
| [`passwordFieldInput`](#cdktfprovideroktaappsecurepasswordstorepropertypasswordfieldinput) | `string` | *No description.* |
| [`revealPasswordInput`](#cdktfprovideroktaappsecurepasswordstorepropertyrevealpasswordinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPasswordInput`](#cdktfprovideroktaappsecurepasswordstorepropertysharedpasswordinput) | `string` | *No description.* |
| [`sharedUsernameInput`](#cdktfprovideroktaappsecurepasswordstorepropertysharedusernameinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappsecurepasswordstorepropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappsecurepasswordstorepropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappsecurepasswordstorepropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktaappsecurepasswordstorepropertyurlinput) | `string` | *No description.* |
| [`usernameFieldInput`](#cdktfprovideroktaappsecurepasswordstorepropertyusernamefieldinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappsecurepasswordstorepropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappsecurepasswordstorepropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappsecurepasswordstorepropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappsecurepasswordstorepropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsScheme`](#cdktfprovideroktaappsecurepasswordstorepropertycredentialsscheme)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappsecurepasswordstorepropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaappsecurepasswordstorepropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappsecurepasswordstorepropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappsecurepasswordstorepropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappsecurepasswordstorepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappsecurepasswordstorepropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappsecurepasswordstorepropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField1`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField1Value`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1value)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField2`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField2Value`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2value)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField3`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField3Value`](#cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3value)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordField`](#cdktfprovideroktaappsecurepasswordstorepropertypasswordfield)<span title="Required">*</span> | `string` | *No description.* |
| [`revealPassword`](#cdktfprovideroktaappsecurepasswordstorepropertyrevealpassword)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPassword`](#cdktfprovideroktaappsecurepasswordstorepropertysharedpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedUsername`](#cdktfprovideroktaappsecurepasswordstorepropertysharedusername)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappsecurepasswordstorepropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappsecurepasswordstorepropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappsecurepasswordstorepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktaappsecurepasswordstorepropertyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameField`](#cdktfprovideroktaappsecurepasswordstorepropertyusernamefield)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.logoUrl" id="cdktfprovideroktaappsecurepasswordstorepropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.name" id="cdktfprovideroktaappsecurepasswordstorepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.signOnMode" id="cdktfprovideroktaappsecurepasswordstorepropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.users" id="cdktfprovideroktaappsecurepasswordstorepropertyusers"></a>

```typescript
public readonly users: AppSecurePasswordStoreUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppSecurePasswordStoreUsersList`](#@cdktf/provider-okta.AppSecurePasswordStoreUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.adminNoteInput" id="cdktfprovideroktaappsecurepasswordstorepropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.appLinksJsonInput" id="cdktfprovideroktaappsecurepasswordstorepropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.autoSubmitToolbarInput" id="cdktfprovideroktaappsecurepasswordstorepropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsSchemeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.credentialsSchemeInput" id="cdktfprovideroktaappsecurepasswordstorepropertycredentialsschemeinput"></a>

```typescript
public readonly credentialsSchemeInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.enduserNoteInput" id="cdktfprovideroktaappsecurepasswordstorepropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.groupsInput" id="cdktfprovideroktaappsecurepasswordstorepropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.hideIosInput" id="cdktfprovideroktaappsecurepasswordstorepropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.hideWebInput" id="cdktfprovideroktaappsecurepasswordstorepropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.idInput" id="cdktfprovideroktaappsecurepasswordstorepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.labelInput" id="cdktfprovideroktaappsecurepasswordstorepropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.logoInput" id="cdktfprovideroktaappsecurepasswordstorepropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `optionalField1Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField1Input" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1input"></a>

```typescript
public readonly optionalField1Input: string;
```

- *Type:* `string`

---

##### `optionalField1ValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField1ValueInput" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1valueinput"></a>

```typescript
public readonly optionalField1ValueInput: string;
```

- *Type:* `string`

---

##### `optionalField2Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField2Input" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2input"></a>

```typescript
public readonly optionalField2Input: string;
```

- *Type:* `string`

---

##### `optionalField2ValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField2ValueInput" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2valueinput"></a>

```typescript
public readonly optionalField2ValueInput: string;
```

- *Type:* `string`

---

##### `optionalField3Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField3Input" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3input"></a>

```typescript
public readonly optionalField3Input: string;
```

- *Type:* `string`

---

##### `optionalField3ValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField3ValueInput" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3valueinput"></a>

```typescript
public readonly optionalField3ValueInput: string;
```

- *Type:* `string`

---

##### `passwordFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.passwordFieldInput" id="cdktfprovideroktaappsecurepasswordstorepropertypasswordfieldinput"></a>

```typescript
public readonly passwordFieldInput: string;
```

- *Type:* `string`

---

##### `revealPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.revealPasswordInput" id="cdktfprovideroktaappsecurepasswordstorepropertyrevealpasswordinput"></a>

```typescript
public readonly revealPasswordInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.sharedPasswordInput" id="cdktfprovideroktaappsecurepasswordstorepropertysharedpasswordinput"></a>

```typescript
public readonly sharedPasswordInput: string;
```

- *Type:* `string`

---

##### `sharedUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.sharedUsernameInput" id="cdktfprovideroktaappsecurepasswordstorepropertysharedusernameinput"></a>

```typescript
public readonly sharedUsernameInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.skipGroupsInput" id="cdktfprovideroktaappsecurepasswordstorepropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.skipUsersInput" id="cdktfprovideroktaappsecurepasswordstorepropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.statusInput" id="cdktfprovideroktaappsecurepasswordstorepropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.urlInput" id="cdktfprovideroktaappsecurepasswordstorepropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `usernameFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.usernameFieldInput" id="cdktfprovideroktaappsecurepasswordstorepropertyusernamefieldinput"></a>

```typescript
public readonly usernameFieldInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplateInput" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplateSuffixInput" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplateTypeInput" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.usersInput" id="cdktfprovideroktaappsecurepasswordstorepropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppSecurePasswordStoreUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.accessibilitySelfService" id="cdktfprovideroktaappsecurepasswordstorepropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.adminNote" id="cdktfprovideroktaappsecurepasswordstorepropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.appLinksJson" id="cdktfprovideroktaappsecurepasswordstorepropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.autoSubmitToolbar" id="cdktfprovideroktaappsecurepasswordstorepropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsScheme`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.credentialsScheme" id="cdktfprovideroktaappsecurepasswordstorepropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.enduserNote" id="cdktfprovideroktaappsecurepasswordstorepropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.groups" id="cdktfprovideroktaappsecurepasswordstorepropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.hideIos" id="cdktfprovideroktaappsecurepasswordstorepropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.hideWeb" id="cdktfprovideroktaappsecurepasswordstorepropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.id" id="cdktfprovideroktaappsecurepasswordstorepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.label" id="cdktfprovideroktaappsecurepasswordstorepropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.logo" id="cdktfprovideroktaappsecurepasswordstorepropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `optionalField1`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField1" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1"></a>

```typescript
public readonly optionalField1: string;
```

- *Type:* `string`

---

##### `optionalField1Value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField1Value" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield1value"></a>

```typescript
public readonly optionalField1Value: string;
```

- *Type:* `string`

---

##### `optionalField2`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField2" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2"></a>

```typescript
public readonly optionalField2: string;
```

- *Type:* `string`

---

##### `optionalField2Value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField2Value" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield2value"></a>

```typescript
public readonly optionalField2Value: string;
```

- *Type:* `string`

---

##### `optionalField3`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField3" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3"></a>

```typescript
public readonly optionalField3: string;
```

- *Type:* `string`

---

##### `optionalField3Value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.optionalField3Value" id="cdktfprovideroktaappsecurepasswordstorepropertyoptionalfield3value"></a>

```typescript
public readonly optionalField3Value: string;
```

- *Type:* `string`

---

##### `passwordField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.passwordField" id="cdktfprovideroktaappsecurepasswordstorepropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

---

##### `revealPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.revealPassword" id="cdktfprovideroktaappsecurepasswordstorepropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.sharedPassword" id="cdktfprovideroktaappsecurepasswordstorepropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

---

##### `sharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.sharedUsername" id="cdktfprovideroktaappsecurepasswordstorepropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.skipGroups" id="cdktfprovideroktaappsecurepasswordstorepropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.skipUsers" id="cdktfprovideroktaappsecurepasswordstorepropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.status" id="cdktfprovideroktaappsecurepasswordstorepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.url" id="cdktfprovideroktaappsecurepasswordstorepropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

##### `usernameField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.usernameField" id="cdktfprovideroktaappsecurepasswordstorepropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplate" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplatePushStatus" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplateSuffix" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.userNameTemplateType" id="cdktfprovideroktaappsecurepasswordstorepropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappsecurepasswordstorepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppSecurePasswordStore.property.tfResourceType" id="cdktfprovideroktaappsecurepasswordstorepropertytfresourcetype"></a>

- *Type:* `string`

---

### AppSharedCredentials <a name="@cdktf/provider-okta.AppSharedCredentials" id="cdktfprovideroktaappsharedcredentials"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials okta_app_shared_credentials}.

#### Initializers <a name="@cdktf/provider-okta.AppSharedCredentials.Initializer" id="cdktfprovideroktaappsharedcredentialsinitializer"></a>

```typescript
import { AppSharedCredentials } from '@cdktf/provider-okta'

new AppSharedCredentials(scope: Construct, id: string, config: AppSharedCredentialsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsharedcredentialsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappsharedcredentialsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappsharedcredentialsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSharedCredentialsConfig`](#@cdktf/provider-okta.AppSharedCredentialsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.parameter.scope" id="cdktfprovideroktaappsharedcredentialsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.parameter.id" id="cdktfprovideroktaappsharedcredentialsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.parameter.config" id="cdktfprovideroktaappsharedcredentialsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppSharedCredentialsConfig`](#@cdktf/provider-okta.AppSharedCredentialsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaappsharedcredentialsputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappsharedcredentialsresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappsharedcredentialsresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappsharedcredentialsresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappsharedcredentialsresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappsharedcredentialsresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappsharedcredentialsresetautosubmittoolbar) | *No description.* |
| [`resetButtonField`](#cdktfprovideroktaappsharedcredentialsresetbuttonfield) | *No description.* |
| [`resetCheckbox`](#cdktfprovideroktaappsharedcredentialsresetcheckbox) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappsharedcredentialsresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappsharedcredentialsresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappsharedcredentialsresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappsharedcredentialsresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappsharedcredentialsresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappsharedcredentialsresetlogo) | *No description.* |
| [`resetPasswordField`](#cdktfprovideroktaappsharedcredentialsresetpasswordfield) | *No description.* |
| [`resetPreconfiguredApp`](#cdktfprovideroktaappsharedcredentialsresetpreconfiguredapp) | *No description.* |
| [`resetRedirectUrl`](#cdktfprovideroktaappsharedcredentialsresetredirecturl) | *No description.* |
| [`resetSharedPassword`](#cdktfprovideroktaappsharedcredentialsresetsharedpassword) | *No description.* |
| [`resetSharedUsername`](#cdktfprovideroktaappsharedcredentialsresetsharedusername) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappsharedcredentialsresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappsharedcredentialsresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappsharedcredentialsresetstatus) | *No description.* |
| [`resetUrl`](#cdktfprovideroktaappsharedcredentialsreseturl) | *No description.* |
| [`resetUrlRegex`](#cdktfprovideroktaappsharedcredentialsreseturlregex) | *No description.* |
| [`resetUsernameField`](#cdktfprovideroktaappsharedcredentialsresetusernamefield) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaappsharedcredentialsresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaappsharedcredentialsresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaappsharedcredentialsresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaappsharedcredentialsresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappsharedcredentialsresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AppSharedCredentials.putUsers" id="cdktfprovideroktaappsharedcredentialsputusers"></a>

```typescript
public putUsers(value: IResolvable | AppSharedCredentialsUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.parameter.value" id="cdktfprovideroktaappsharedcredentialsparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppSharedCredentials.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappsharedcredentialsresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppSharedCredentials.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappsharedcredentialsresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppSharedCredentials.resetAccessibilitySelfService" id="cdktfprovideroktaappsharedcredentialsresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppSharedCredentials.resetAdminNote" id="cdktfprovideroktaappsharedcredentialsresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppSharedCredentials.resetAppLinksJson" id="cdktfprovideroktaappsharedcredentialsresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppSharedCredentials.resetAutoSubmitToolbar" id="cdktfprovideroktaappsharedcredentialsresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetButtonField` <a name="@cdktf/provider-okta.AppSharedCredentials.resetButtonField" id="cdktfprovideroktaappsharedcredentialsresetbuttonfield"></a>

```typescript
public resetButtonField()
```

##### `resetCheckbox` <a name="@cdktf/provider-okta.AppSharedCredentials.resetCheckbox" id="cdktfprovideroktaappsharedcredentialsresetcheckbox"></a>

```typescript
public resetCheckbox()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppSharedCredentials.resetEnduserNote" id="cdktfprovideroktaappsharedcredentialsresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppSharedCredentials.resetGroups" id="cdktfprovideroktaappsharedcredentialsresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppSharedCredentials.resetHideIos" id="cdktfprovideroktaappsharedcredentialsresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppSharedCredentials.resetHideWeb" id="cdktfprovideroktaappsharedcredentialsresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppSharedCredentials.resetId" id="cdktfprovideroktaappsharedcredentialsresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppSharedCredentials.resetLogo" id="cdktfprovideroktaappsharedcredentialsresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPasswordField` <a name="@cdktf/provider-okta.AppSharedCredentials.resetPasswordField" id="cdktfprovideroktaappsharedcredentialsresetpasswordfield"></a>

```typescript
public resetPasswordField()
```

##### `resetPreconfiguredApp` <a name="@cdktf/provider-okta.AppSharedCredentials.resetPreconfiguredApp" id="cdktfprovideroktaappsharedcredentialsresetpreconfiguredapp"></a>

```typescript
public resetPreconfiguredApp()
```

##### `resetRedirectUrl` <a name="@cdktf/provider-okta.AppSharedCredentials.resetRedirectUrl" id="cdktfprovideroktaappsharedcredentialsresetredirecturl"></a>

```typescript
public resetRedirectUrl()
```

##### `resetSharedPassword` <a name="@cdktf/provider-okta.AppSharedCredentials.resetSharedPassword" id="cdktfprovideroktaappsharedcredentialsresetsharedpassword"></a>

```typescript
public resetSharedPassword()
```

##### `resetSharedUsername` <a name="@cdktf/provider-okta.AppSharedCredentials.resetSharedUsername" id="cdktfprovideroktaappsharedcredentialsresetsharedusername"></a>

```typescript
public resetSharedUsername()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppSharedCredentials.resetSkipGroups" id="cdktfprovideroktaappsharedcredentialsresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppSharedCredentials.resetSkipUsers" id="cdktfprovideroktaappsharedcredentialsresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppSharedCredentials.resetStatus" id="cdktfprovideroktaappsharedcredentialsresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUrl` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUrl" id="cdktfprovideroktaappsharedcredentialsreseturl"></a>

```typescript
public resetUrl()
```

##### `resetUrlRegex` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUrlRegex" id="cdktfprovideroktaappsharedcredentialsreseturlregex"></a>

```typescript
public resetUrlRegex()
```

##### `resetUsernameField` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUsernameField" id="cdktfprovideroktaappsharedcredentialsresetusernamefield"></a>

```typescript
public resetUsernameField()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUserNameTemplate" id="cdktfprovideroktaappsharedcredentialsresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUserNameTemplatePushStatus" id="cdktfprovideroktaappsharedcredentialsresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUserNameTemplateSuffix" id="cdktfprovideroktaappsharedcredentialsresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUserNameTemplateType" id="cdktfprovideroktaappsharedcredentialsresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppSharedCredentials.resetUsers" id="cdktfprovideroktaappsharedcredentialsresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaappsharedcredentialspropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappsharedcredentialspropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappsharedcredentialspropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappsharedcredentialspropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSharedCredentialsUsersList`](#@cdktf/provider-okta.AppSharedCredentialsUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappsharedcredentialspropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappsharedcredentialspropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappsharedcredentialspropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappsharedcredentialspropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappsharedcredentialspropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappsharedcredentialspropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonFieldInput`](#cdktfprovideroktaappsharedcredentialspropertybuttonfieldinput) | `string` | *No description.* |
| [`checkboxInput`](#cdktfprovideroktaappsharedcredentialspropertycheckboxinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappsharedcredentialspropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappsharedcredentialspropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappsharedcredentialspropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappsharedcredentialspropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappsharedcredentialspropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappsharedcredentialspropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappsharedcredentialspropertylogoinput) | `string` | *No description.* |
| [`passwordFieldInput`](#cdktfprovideroktaappsharedcredentialspropertypasswordfieldinput) | `string` | *No description.* |
| [`preconfiguredAppInput`](#cdktfprovideroktaappsharedcredentialspropertypreconfiguredappinput) | `string` | *No description.* |
| [`redirectUrlInput`](#cdktfprovideroktaappsharedcredentialspropertyredirecturlinput) | `string` | *No description.* |
| [`sharedPasswordInput`](#cdktfprovideroktaappsharedcredentialspropertysharedpasswordinput) | `string` | *No description.* |
| [`sharedUsernameInput`](#cdktfprovideroktaappsharedcredentialspropertysharedusernameinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappsharedcredentialspropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappsharedcredentialspropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappsharedcredentialspropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktaappsharedcredentialspropertyurlinput) | `string` | *No description.* |
| [`urlRegexInput`](#cdktfprovideroktaappsharedcredentialspropertyurlregexinput) | `string` | *No description.* |
| [`usernameFieldInput`](#cdktfprovideroktaappsharedcredentialspropertyusernamefieldinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappsharedcredentialspropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappsharedcredentialspropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappsharedcredentialspropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappsharedcredentialspropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappsharedcredentialspropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappsharedcredentialspropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappsharedcredentialspropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonField`](#cdktfprovideroktaappsharedcredentialspropertybuttonfield)<span title="Required">*</span> | `string` | *No description.* |
| [`checkbox`](#cdktfprovideroktaappsharedcredentialspropertycheckbox)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappsharedcredentialspropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaappsharedcredentialspropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappsharedcredentialspropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappsharedcredentialspropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappsharedcredentialspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappsharedcredentialspropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappsharedcredentialspropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordField`](#cdktfprovideroktaappsharedcredentialspropertypasswordfield)<span title="Required">*</span> | `string` | *No description.* |
| [`preconfiguredApp`](#cdktfprovideroktaappsharedcredentialspropertypreconfiguredapp)<span title="Required">*</span> | `string` | *No description.* |
| [`redirectUrl`](#cdktfprovideroktaappsharedcredentialspropertyredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedPassword`](#cdktfprovideroktaappsharedcredentialspropertysharedpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedUsername`](#cdktfprovideroktaappsharedcredentialspropertysharedusername)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappsharedcredentialspropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappsharedcredentialspropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappsharedcredentialspropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktaappsharedcredentialspropertyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`urlRegex`](#cdktfprovideroktaappsharedcredentialspropertyurlregex)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameField`](#cdktfprovideroktaappsharedcredentialspropertyusernamefield)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaappsharedcredentialspropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.logoUrl" id="cdktfprovideroktaappsharedcredentialspropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.name" id="cdktfprovideroktaappsharedcredentialspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.signOnMode" id="cdktfprovideroktaappsharedcredentialspropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.users" id="cdktfprovideroktaappsharedcredentialspropertyusers"></a>

```typescript
public readonly users: AppSharedCredentialsUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppSharedCredentialsUsersList`](#@cdktf/provider-okta.AppSharedCredentialsUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappsharedcredentialspropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappsharedcredentialspropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappsharedcredentialspropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.adminNoteInput" id="cdktfprovideroktaappsharedcredentialspropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.appLinksJsonInput" id="cdktfprovideroktaappsharedcredentialspropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.autoSubmitToolbarInput" id="cdktfprovideroktaappsharedcredentialspropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.buttonFieldInput" id="cdktfprovideroktaappsharedcredentialspropertybuttonfieldinput"></a>

```typescript
public readonly buttonFieldInput: string;
```

- *Type:* `string`

---

##### `checkboxInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.checkboxInput" id="cdktfprovideroktaappsharedcredentialspropertycheckboxinput"></a>

```typescript
public readonly checkboxInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.enduserNoteInput" id="cdktfprovideroktaappsharedcredentialspropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.groupsInput" id="cdktfprovideroktaappsharedcredentialspropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.hideIosInput" id="cdktfprovideroktaappsharedcredentialspropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.hideWebInput" id="cdktfprovideroktaappsharedcredentialspropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.idInput" id="cdktfprovideroktaappsharedcredentialspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.labelInput" id="cdktfprovideroktaappsharedcredentialspropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.logoInput" id="cdktfprovideroktaappsharedcredentialspropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `passwordFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.passwordFieldInput" id="cdktfprovideroktaappsharedcredentialspropertypasswordfieldinput"></a>

```typescript
public readonly passwordFieldInput: string;
```

- *Type:* `string`

---

##### `preconfiguredAppInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.preconfiguredAppInput" id="cdktfprovideroktaappsharedcredentialspropertypreconfiguredappinput"></a>

```typescript
public readonly preconfiguredAppInput: string;
```

- *Type:* `string`

---

##### `redirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.redirectUrlInput" id="cdktfprovideroktaappsharedcredentialspropertyredirecturlinput"></a>

```typescript
public readonly redirectUrlInput: string;
```

- *Type:* `string`

---

##### `sharedPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.sharedPasswordInput" id="cdktfprovideroktaappsharedcredentialspropertysharedpasswordinput"></a>

```typescript
public readonly sharedPasswordInput: string;
```

- *Type:* `string`

---

##### `sharedUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.sharedUsernameInput" id="cdktfprovideroktaappsharedcredentialspropertysharedusernameinput"></a>

```typescript
public readonly sharedUsernameInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.skipGroupsInput" id="cdktfprovideroktaappsharedcredentialspropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.skipUsersInput" id="cdktfprovideroktaappsharedcredentialspropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.statusInput" id="cdktfprovideroktaappsharedcredentialspropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.urlInput" id="cdktfprovideroktaappsharedcredentialspropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `urlRegexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.urlRegexInput" id="cdktfprovideroktaappsharedcredentialspropertyurlregexinput"></a>

```typescript
public readonly urlRegexInput: string;
```

- *Type:* `string`

---

##### `usernameFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.usernameFieldInput" id="cdktfprovideroktaappsharedcredentialspropertyusernamefieldinput"></a>

```typescript
public readonly usernameFieldInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplateInput" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplateSuffixInput" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplateTypeInput" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.usersInput" id="cdktfprovideroktaappsharedcredentialspropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppSharedCredentialsUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappsharedcredentialspropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappsharedcredentialspropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.accessibilitySelfService" id="cdktfprovideroktaappsharedcredentialspropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.adminNote" id="cdktfprovideroktaappsharedcredentialspropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.appLinksJson" id="cdktfprovideroktaappsharedcredentialspropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.autoSubmitToolbar" id="cdktfprovideroktaappsharedcredentialspropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.buttonField" id="cdktfprovideroktaappsharedcredentialspropertybuttonfield"></a>

```typescript
public readonly buttonField: string;
```

- *Type:* `string`

---

##### `checkbox`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.checkbox" id="cdktfprovideroktaappsharedcredentialspropertycheckbox"></a>

```typescript
public readonly checkbox: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.enduserNote" id="cdktfprovideroktaappsharedcredentialspropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.groups" id="cdktfprovideroktaappsharedcredentialspropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.hideIos" id="cdktfprovideroktaappsharedcredentialspropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.hideWeb" id="cdktfprovideroktaappsharedcredentialspropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.id" id="cdktfprovideroktaappsharedcredentialspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.label" id="cdktfprovideroktaappsharedcredentialspropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.logo" id="cdktfprovideroktaappsharedcredentialspropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `passwordField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.passwordField" id="cdktfprovideroktaappsharedcredentialspropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

---

##### `preconfiguredApp`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.preconfiguredApp" id="cdktfprovideroktaappsharedcredentialspropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

---

##### `redirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.redirectUrl" id="cdktfprovideroktaappsharedcredentialspropertyredirecturl"></a>

```typescript
public readonly redirectUrl: string;
```

- *Type:* `string`

---

##### `sharedPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.sharedPassword" id="cdktfprovideroktaappsharedcredentialspropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

---

##### `sharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.sharedUsername" id="cdktfprovideroktaappsharedcredentialspropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.skipGroups" id="cdktfprovideroktaappsharedcredentialspropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.skipUsers" id="cdktfprovideroktaappsharedcredentialspropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.status" id="cdktfprovideroktaappsharedcredentialspropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.url" id="cdktfprovideroktaappsharedcredentialspropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

##### `urlRegex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.urlRegex" id="cdktfprovideroktaappsharedcredentialspropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

---

##### `usernameField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.usernameField" id="cdktfprovideroktaappsharedcredentialspropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplate" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplatePushStatus" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplateSuffix" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentials.property.userNameTemplateType" id="cdktfprovideroktaappsharedcredentialspropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappsharedcredentialspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppSharedCredentials.property.tfResourceType" id="cdktfprovideroktaappsharedcredentialspropertytfresourcetype"></a>

- *Type:* `string`

---

### AppSignonPolicy <a name="@cdktf/provider-okta.AppSignonPolicy" id="cdktfprovideroktaappsignonpolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy okta_app_signon_policy}.

#### Initializers <a name="@cdktf/provider-okta.AppSignonPolicy.Initializer" id="cdktfprovideroktaappsignonpolicyinitializer"></a>

```typescript
import { AppSignonPolicy } from '@cdktf/provider-okta'

new AppSignonPolicy(scope: Construct, id: string, config: AppSignonPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsignonpolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappsignonpolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappsignonpolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSignonPolicyConfig`](#@cdktf/provider-okta.AppSignonPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.parameter.scope" id="cdktfprovideroktaappsignonpolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.parameter.id" id="cdktfprovideroktaappsignonpolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.parameter.config" id="cdktfprovideroktaappsignonpolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppSignonPolicyConfig`](#@cdktf/provider-okta.AppSignonPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappsignonpolicyresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppSignonPolicy.resetId" id="cdktfprovideroktaappsignonpolicyresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktaappsignonpolicypropertydescriptioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappsignonpolicypropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaappsignonpolicypropertynameinput) | `string` | *No description.* |
| [`description`](#cdktfprovideroktaappsignonpolicypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappsignonpolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappsignonpolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.property.descriptionInput" id="cdktfprovideroktaappsignonpolicypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.property.idInput" id="cdktfprovideroktaappsignonpolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.property.nameInput" id="cdktfprovideroktaappsignonpolicypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.property.description" id="cdktfprovideroktaappsignonpolicypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.property.id" id="cdktfprovideroktaappsignonpolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicy.property.name" id="cdktfprovideroktaappsignonpolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappsignonpolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppSignonPolicy.property.tfResourceType" id="cdktfprovideroktaappsignonpolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### AppSignonPolicyRule <a name="@cdktf/provider-okta.AppSignonPolicyRule" id="cdktfprovideroktaappsignonpolicyrule"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule okta_app_signon_policy_rule}.

#### Initializers <a name="@cdktf/provider-okta.AppSignonPolicyRule.Initializer" id="cdktfprovideroktaappsignonpolicyruleinitializer"></a>

```typescript
import { AppSignonPolicyRule } from '@cdktf/provider-okta'

new AppSignonPolicyRule(scope: Construct, id: string, config: AppSignonPolicyRuleConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsignonpolicyruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappsignonpolicyruleparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappsignonpolicyruleparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSignonPolicyRuleConfig`](#@cdktf/provider-okta.AppSignonPolicyRuleConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.parameter.scope" id="cdktfprovideroktaappsignonpolicyruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.parameter.id" id="cdktfprovideroktaappsignonpolicyruleparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.parameter.config" id="cdktfprovideroktaappsignonpolicyruleparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppSignonPolicyRuleConfig`](#@cdktf/provider-okta.AppSignonPolicyRuleConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putPlatformInclude`](#cdktfprovideroktaappsignonpolicyruleputplatforminclude) | *No description.* |
| [`resetAccess`](#cdktfprovideroktaappsignonpolicyruleresetaccess) | *No description.* |
| [`resetConstraints`](#cdktfprovideroktaappsignonpolicyruleresetconstraints) | *No description.* |
| [`resetCustomExpression`](#cdktfprovideroktaappsignonpolicyruleresetcustomexpression) | *No description.* |
| [`resetDeviceIsManaged`](#cdktfprovideroktaappsignonpolicyruleresetdeviceismanaged) | *No description.* |
| [`resetDeviceIsRegistered`](#cdktfprovideroktaappsignonpolicyruleresetdeviceisregistered) | *No description.* |
| [`resetFactorMode`](#cdktfprovideroktaappsignonpolicyruleresetfactormode) | *No description.* |
| [`resetGroupsExcluded`](#cdktfprovideroktaappsignonpolicyruleresetgroupsexcluded) | *No description.* |
| [`resetGroupsIncluded`](#cdktfprovideroktaappsignonpolicyruleresetgroupsincluded) | *No description.* |
| [`resetId`](#cdktfprovideroktaappsignonpolicyruleresetid) | *No description.* |
| [`resetInactivityPeriod`](#cdktfprovideroktaappsignonpolicyruleresetinactivityperiod) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktaappsignonpolicyruleresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktaappsignonpolicyruleresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktaappsignonpolicyruleresetnetworkincludes) | *No description.* |
| [`resetPlatformInclude`](#cdktfprovideroktaappsignonpolicyruleresetplatforminclude) | *No description.* |
| [`resetPriority`](#cdktfprovideroktaappsignonpolicyruleresetpriority) | *No description.* |
| [`resetReAuthenticationFrequency`](#cdktfprovideroktaappsignonpolicyruleresetreauthenticationfrequency) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappsignonpolicyruleresetstatus) | *No description.* |
| [`resetType`](#cdktfprovideroktaappsignonpolicyruleresettype) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktaappsignonpolicyruleresetusersexcluded) | *No description.* |
| [`resetUsersIncluded`](#cdktfprovideroktaappsignonpolicyruleresetusersincluded) | *No description.* |
| [`resetUserTypesExcluded`](#cdktfprovideroktaappsignonpolicyruleresetusertypesexcluded) | *No description.* |
| [`resetUserTypesIncluded`](#cdktfprovideroktaappsignonpolicyruleresetusertypesincluded) | *No description.* |

---

##### `putPlatformInclude` <a name="@cdktf/provider-okta.AppSignonPolicyRule.putPlatformInclude" id="cdktfprovideroktaappsignonpolicyruleputplatforminclude"></a>

```typescript
public putPlatformInclude(value: IResolvable | AppSignonPolicyRulePlatformInclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.parameter.value" id="cdktfprovideroktaappsignonpolicyruleparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)[]

---

##### `resetAccess` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetAccess" id="cdktfprovideroktaappsignonpolicyruleresetaccess"></a>

```typescript
public resetAccess()
```

##### `resetConstraints` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetConstraints" id="cdktfprovideroktaappsignonpolicyruleresetconstraints"></a>

```typescript
public resetConstraints()
```

##### `resetCustomExpression` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetCustomExpression" id="cdktfprovideroktaappsignonpolicyruleresetcustomexpression"></a>

```typescript
public resetCustomExpression()
```

##### `resetDeviceIsManaged` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetDeviceIsManaged" id="cdktfprovideroktaappsignonpolicyruleresetdeviceismanaged"></a>

```typescript
public resetDeviceIsManaged()
```

##### `resetDeviceIsRegistered` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetDeviceIsRegistered" id="cdktfprovideroktaappsignonpolicyruleresetdeviceisregistered"></a>

```typescript
public resetDeviceIsRegistered()
```

##### `resetFactorMode` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetFactorMode" id="cdktfprovideroktaappsignonpolicyruleresetfactormode"></a>

```typescript
public resetFactorMode()
```

##### `resetGroupsExcluded` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetGroupsExcluded" id="cdktfprovideroktaappsignonpolicyruleresetgroupsexcluded"></a>

```typescript
public resetGroupsExcluded()
```

##### `resetGroupsIncluded` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetGroupsIncluded" id="cdktfprovideroktaappsignonpolicyruleresetgroupsincluded"></a>

```typescript
public resetGroupsIncluded()
```

##### `resetId` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetId" id="cdktfprovideroktaappsignonpolicyruleresetid"></a>

```typescript
public resetId()
```

##### `resetInactivityPeriod` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetInactivityPeriod" id="cdktfprovideroktaappsignonpolicyruleresetinactivityperiod"></a>

```typescript
public resetInactivityPeriod()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetNetworkConnection" id="cdktfprovideroktaappsignonpolicyruleresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetNetworkExcludes" id="cdktfprovideroktaappsignonpolicyruleresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetNetworkIncludes" id="cdktfprovideroktaappsignonpolicyruleresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPlatformInclude` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetPlatformInclude" id="cdktfprovideroktaappsignonpolicyruleresetplatforminclude"></a>

```typescript
public resetPlatformInclude()
```

##### `resetPriority` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetPriority" id="cdktfprovideroktaappsignonpolicyruleresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetReAuthenticationFrequency` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetReAuthenticationFrequency" id="cdktfprovideroktaappsignonpolicyruleresetreauthenticationfrequency"></a>

```typescript
public resetReAuthenticationFrequency()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetStatus" id="cdktfprovideroktaappsignonpolicyruleresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetType` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetType" id="cdktfprovideroktaappsignonpolicyruleresettype"></a>

```typescript
public resetType()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetUsersExcluded" id="cdktfprovideroktaappsignonpolicyruleresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```

##### `resetUsersIncluded` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetUsersIncluded" id="cdktfprovideroktaappsignonpolicyruleresetusersincluded"></a>

```typescript
public resetUsersIncluded()
```

##### `resetUserTypesExcluded` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetUserTypesExcluded" id="cdktfprovideroktaappsignonpolicyruleresetusertypesexcluded"></a>

```typescript
public resetUserTypesExcluded()
```

##### `resetUserTypesIncluded` <a name="@cdktf/provider-okta.AppSignonPolicyRule.resetUserTypesIncluded" id="cdktfprovideroktaappsignonpolicyruleresetusertypesincluded"></a>

```typescript
public resetUserTypesIncluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`platformInclude`](#cdktfprovideroktaappsignonpolicyrulepropertyplatforminclude)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList) | *No description.* |
| [`accessInput`](#cdktfprovideroktaappsignonpolicyrulepropertyaccessinput) | `string` | *No description.* |
| [`constraintsInput`](#cdktfprovideroktaappsignonpolicyrulepropertyconstraintsinput) | `string`[] | *No description.* |
| [`customExpressionInput`](#cdktfprovideroktaappsignonpolicyrulepropertycustomexpressioninput) | `string` | *No description.* |
| [`deviceIsManagedInput`](#cdktfprovideroktaappsignonpolicyrulepropertydeviceismanagedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`deviceIsRegisteredInput`](#cdktfprovideroktaappsignonpolicyrulepropertydeviceisregisteredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`factorModeInput`](#cdktfprovideroktaappsignonpolicyrulepropertyfactormodeinput) | `string` | *No description.* |
| [`groupsExcludedInput`](#cdktfprovideroktaappsignonpolicyrulepropertygroupsexcludedinput) | `string`[] | *No description.* |
| [`groupsIncludedInput`](#cdktfprovideroktaappsignonpolicyrulepropertygroupsincludedinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktaappsignonpolicyrulepropertyidinput) | `string` | *No description.* |
| [`inactivityPeriodInput`](#cdktfprovideroktaappsignonpolicyrulepropertyinactivityperiodinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaappsignonpolicyrulepropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktaappsignonpolicyrulepropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktaappsignonpolicyrulepropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktaappsignonpolicyrulepropertynetworkincludesinput) | `string`[] | *No description.* |
| [`platformIncludeInput`](#cdktfprovideroktaappsignonpolicyrulepropertyplatformincludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)[] | *No description.* |
| [`policyIdInput`](#cdktfprovideroktaappsignonpolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktaappsignonpolicyrulepropertypriorityinput) | `number` | *No description.* |
| [`reAuthenticationFrequencyInput`](#cdktfprovideroktaappsignonpolicyrulepropertyreauthenticationfrequencyinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktaappsignonpolicyrulepropertystatusinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappsignonpolicyrulepropertytypeinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktaappsignonpolicyrulepropertyusersexcludedinput) | `string`[] | *No description.* |
| [`usersIncludedInput`](#cdktfprovideroktaappsignonpolicyrulepropertyusersincludedinput) | `string`[] | *No description.* |
| [`userTypesExcludedInput`](#cdktfprovideroktaappsignonpolicyrulepropertyusertypesexcludedinput) | `string`[] | *No description.* |
| [`userTypesIncludedInput`](#cdktfprovideroktaappsignonpolicyrulepropertyusertypesincludedinput) | `string`[] | *No description.* |
| [`access`](#cdktfprovideroktaappsignonpolicyrulepropertyaccess)<span title="Required">*</span> | `string` | *No description.* |
| [`constraints`](#cdktfprovideroktaappsignonpolicyrulepropertyconstraints)<span title="Required">*</span> | `string`[] | *No description.* |
| [`customExpression`](#cdktfprovideroktaappsignonpolicyrulepropertycustomexpression)<span title="Required">*</span> | `string` | *No description.* |
| [`deviceIsManaged`](#cdktfprovideroktaappsignonpolicyrulepropertydeviceismanaged)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`deviceIsRegistered`](#cdktfprovideroktaappsignonpolicyrulepropertydeviceisregistered)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`factorMode`](#cdktfprovideroktaappsignonpolicyrulepropertyfactormode)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsExcluded`](#cdktfprovideroktaappsignonpolicyrulepropertygroupsexcluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsIncluded`](#cdktfprovideroktaappsignonpolicyrulepropertygroupsincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaappsignonpolicyrulepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`inactivityPeriod`](#cdktfprovideroktaappsignonpolicyrulepropertyinactivityperiod)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappsignonpolicyrulepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktaappsignonpolicyrulepropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktaappsignonpolicyrulepropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktaappsignonpolicyrulepropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`policyId`](#cdktfprovideroktaappsignonpolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktaappsignonpolicyrulepropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`reAuthenticationFrequency`](#cdktfprovideroktaappsignonpolicyrulepropertyreauthenticationfrequency)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaappsignonpolicyrulepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappsignonpolicyrulepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktaappsignonpolicyrulepropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`usersIncluded`](#cdktfprovideroktaappsignonpolicyrulepropertyusersincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`userTypesExcluded`](#cdktfprovideroktaappsignonpolicyrulepropertyusertypesexcluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`userTypesIncluded`](#cdktfprovideroktaappsignonpolicyrulepropertyusertypesincluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `platformInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.platformInclude" id="cdktfprovideroktaappsignonpolicyrulepropertyplatforminclude"></a>

```typescript
public readonly platformInclude: AppSignonPolicyRulePlatformIncludeList;
```

- *Type:* [`@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList)

---

##### `accessInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.accessInput" id="cdktfprovideroktaappsignonpolicyrulepropertyaccessinput"></a>

```typescript
public readonly accessInput: string;
```

- *Type:* `string`

---

##### `constraintsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.constraintsInput" id="cdktfprovideroktaappsignonpolicyrulepropertyconstraintsinput"></a>

```typescript
public readonly constraintsInput: string[];
```

- *Type:* `string`[]

---

##### `customExpressionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.customExpressionInput" id="cdktfprovideroktaappsignonpolicyrulepropertycustomexpressioninput"></a>

```typescript
public readonly customExpressionInput: string;
```

- *Type:* `string`

---

##### `deviceIsManagedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.deviceIsManagedInput" id="cdktfprovideroktaappsignonpolicyrulepropertydeviceismanagedinput"></a>

```typescript
public readonly deviceIsManagedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `deviceIsRegisteredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.deviceIsRegisteredInput" id="cdktfprovideroktaappsignonpolicyrulepropertydeviceisregisteredinput"></a>

```typescript
public readonly deviceIsRegisteredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `factorModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.factorModeInput" id="cdktfprovideroktaappsignonpolicyrulepropertyfactormodeinput"></a>

```typescript
public readonly factorModeInput: string;
```

- *Type:* `string`

---

##### `groupsExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.groupsExcludedInput" id="cdktfprovideroktaappsignonpolicyrulepropertygroupsexcludedinput"></a>

```typescript
public readonly groupsExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `groupsIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.groupsIncludedInput" id="cdktfprovideroktaappsignonpolicyrulepropertygroupsincludedinput"></a>

```typescript
public readonly groupsIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.idInput" id="cdktfprovideroktaappsignonpolicyrulepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `inactivityPeriodInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.inactivityPeriodInput" id="cdktfprovideroktaappsignonpolicyrulepropertyinactivityperiodinput"></a>

```typescript
public readonly inactivityPeriodInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.nameInput" id="cdktfprovideroktaappsignonpolicyrulepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.networkConnectionInput" id="cdktfprovideroktaappsignonpolicyrulepropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.networkExcludesInput" id="cdktfprovideroktaappsignonpolicyrulepropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.networkIncludesInput" id="cdktfprovideroktaappsignonpolicyrulepropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `platformIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.platformIncludeInput" id="cdktfprovideroktaappsignonpolicyrulepropertyplatformincludeinput"></a>

```typescript
public readonly platformIncludeInput: IResolvable | AppSignonPolicyRulePlatformInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)[]

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.policyIdInput" id="cdktfprovideroktaappsignonpolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.priorityInput" id="cdktfprovideroktaappsignonpolicyrulepropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `reAuthenticationFrequencyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.reAuthenticationFrequencyInput" id="cdktfprovideroktaappsignonpolicyrulepropertyreauthenticationfrequencyinput"></a>

```typescript
public readonly reAuthenticationFrequencyInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.statusInput" id="cdktfprovideroktaappsignonpolicyrulepropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.typeInput" id="cdktfprovideroktaappsignonpolicyrulepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.usersExcludedInput" id="cdktfprovideroktaappsignonpolicyrulepropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `usersIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.usersIncludedInput" id="cdktfprovideroktaappsignonpolicyrulepropertyusersincludedinput"></a>

```typescript
public readonly usersIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `userTypesExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.userTypesExcludedInput" id="cdktfprovideroktaappsignonpolicyrulepropertyusertypesexcludedinput"></a>

```typescript
public readonly userTypesExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `userTypesIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.userTypesIncludedInput" id="cdktfprovideroktaappsignonpolicyrulepropertyusertypesincludedinput"></a>

```typescript
public readonly userTypesIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `access`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.access" id="cdktfprovideroktaappsignonpolicyrulepropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

---

##### `constraints`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.constraints" id="cdktfprovideroktaappsignonpolicyrulepropertyconstraints"></a>

```typescript
public readonly constraints: string[];
```

- *Type:* `string`[]

---

##### `customExpression`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.customExpression" id="cdktfprovideroktaappsignonpolicyrulepropertycustomexpression"></a>

```typescript
public readonly customExpression: string;
```

- *Type:* `string`

---

##### `deviceIsManaged`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.deviceIsManaged" id="cdktfprovideroktaappsignonpolicyrulepropertydeviceismanaged"></a>

```typescript
public readonly deviceIsManaged: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `deviceIsRegistered`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.deviceIsRegistered" id="cdktfprovideroktaappsignonpolicyrulepropertydeviceisregistered"></a>

```typescript
public readonly deviceIsRegistered: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `factorMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.factorMode" id="cdktfprovideroktaappsignonpolicyrulepropertyfactormode"></a>

```typescript
public readonly factorMode: string;
```

- *Type:* `string`

---

##### `groupsExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.groupsExcluded" id="cdktfprovideroktaappsignonpolicyrulepropertygroupsexcluded"></a>

```typescript
public readonly groupsExcluded: string[];
```

- *Type:* `string`[]

---

##### `groupsIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.groupsIncluded" id="cdktfprovideroktaappsignonpolicyrulepropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.id" id="cdktfprovideroktaappsignonpolicyrulepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `inactivityPeriod`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.inactivityPeriod" id="cdktfprovideroktaappsignonpolicyrulepropertyinactivityperiod"></a>

```typescript
public readonly inactivityPeriod: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.name" id="cdktfprovideroktaappsignonpolicyrulepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.networkConnection" id="cdktfprovideroktaappsignonpolicyrulepropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.networkExcludes" id="cdktfprovideroktaappsignonpolicyrulepropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.networkIncludes" id="cdktfprovideroktaappsignonpolicyrulepropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.policyId" id="cdktfprovideroktaappsignonpolicyrulepropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.priority" id="cdktfprovideroktaappsignonpolicyrulepropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `reAuthenticationFrequency`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.reAuthenticationFrequency" id="cdktfprovideroktaappsignonpolicyrulepropertyreauthenticationfrequency"></a>

```typescript
public readonly reAuthenticationFrequency: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.status" id="cdktfprovideroktaappsignonpolicyrulepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.type" id="cdktfprovideroktaappsignonpolicyrulepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.usersExcluded" id="cdktfprovideroktaappsignonpolicyrulepropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

##### `usersIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.usersIncluded" id="cdktfprovideroktaappsignonpolicyrulepropertyusersincluded"></a>

```typescript
public readonly usersIncluded: string[];
```

- *Type:* `string`[]

---

##### `userTypesExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.userTypesExcluded" id="cdktfprovideroktaappsignonpolicyrulepropertyusertypesexcluded"></a>

```typescript
public readonly userTypesExcluded: string[];
```

- *Type:* `string`[]

---

##### `userTypesIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.userTypesIncluded" id="cdktfprovideroktaappsignonpolicyrulepropertyusertypesincluded"></a>

```typescript
public readonly userTypesIncluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappsignonpolicyrulepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppSignonPolicyRule.property.tfResourceType" id="cdktfprovideroktaappsignonpolicyrulepropertytfresourcetype"></a>

- *Type:* `string`

---

### AppSwa <a name="@cdktf/provider-okta.AppSwa" id="cdktfprovideroktaappswa"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_swa okta_app_swa}.

#### Initializers <a name="@cdktf/provider-okta.AppSwa.Initializer" id="cdktfprovideroktaappswainitializer"></a>

```typescript
import { AppSwa } from '@cdktf/provider-okta'

new AppSwa(scope: Construct, id: string, config: AppSwaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappswaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappswaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappswaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSwaConfig`](#@cdktf/provider-okta.AppSwaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.parameter.scope" id="cdktfprovideroktaappswaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.parameter.id" id="cdktfprovideroktaappswaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.parameter.config" id="cdktfprovideroktaappswaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppSwaConfig`](#@cdktf/provider-okta.AppSwaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaappswaputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappswaresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappswaresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappswaresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappswaresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappswaresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappswaresetautosubmittoolbar) | *No description.* |
| [`resetButtonField`](#cdktfprovideroktaappswaresetbuttonfield) | *No description.* |
| [`resetCheckbox`](#cdktfprovideroktaappswaresetcheckbox) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappswaresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappswaresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappswaresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappswaresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappswaresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappswaresetlogo) | *No description.* |
| [`resetPasswordField`](#cdktfprovideroktaappswaresetpasswordfield) | *No description.* |
| [`resetPreconfiguredApp`](#cdktfprovideroktaappswaresetpreconfiguredapp) | *No description.* |
| [`resetRedirectUrl`](#cdktfprovideroktaappswaresetredirecturl) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappswaresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappswaresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappswaresetstatus) | *No description.* |
| [`resetUrl`](#cdktfprovideroktaappswareseturl) | *No description.* |
| [`resetUrlRegex`](#cdktfprovideroktaappswareseturlregex) | *No description.* |
| [`resetUsernameField`](#cdktfprovideroktaappswaresetusernamefield) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaappswaresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaappswaresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaappswaresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaappswaresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappswaresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AppSwa.putUsers" id="cdktfprovideroktaappswaputusers"></a>

```typescript
public putUsers(value: IResolvable | AppSwaUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.parameter.value" id="cdktfprovideroktaappswaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppSwa.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappswaresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppSwa.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappswaresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppSwa.resetAccessibilitySelfService" id="cdktfprovideroktaappswaresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppSwa.resetAdminNote" id="cdktfprovideroktaappswaresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppSwa.resetAppLinksJson" id="cdktfprovideroktaappswaresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppSwa.resetAutoSubmitToolbar" id="cdktfprovideroktaappswaresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetButtonField` <a name="@cdktf/provider-okta.AppSwa.resetButtonField" id="cdktfprovideroktaappswaresetbuttonfield"></a>

```typescript
public resetButtonField()
```

##### `resetCheckbox` <a name="@cdktf/provider-okta.AppSwa.resetCheckbox" id="cdktfprovideroktaappswaresetcheckbox"></a>

```typescript
public resetCheckbox()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppSwa.resetEnduserNote" id="cdktfprovideroktaappswaresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppSwa.resetGroups" id="cdktfprovideroktaappswaresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppSwa.resetHideIos" id="cdktfprovideroktaappswaresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppSwa.resetHideWeb" id="cdktfprovideroktaappswaresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppSwa.resetId" id="cdktfprovideroktaappswaresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppSwa.resetLogo" id="cdktfprovideroktaappswaresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPasswordField` <a name="@cdktf/provider-okta.AppSwa.resetPasswordField" id="cdktfprovideroktaappswaresetpasswordfield"></a>

```typescript
public resetPasswordField()
```

##### `resetPreconfiguredApp` <a name="@cdktf/provider-okta.AppSwa.resetPreconfiguredApp" id="cdktfprovideroktaappswaresetpreconfiguredapp"></a>

```typescript
public resetPreconfiguredApp()
```

##### `resetRedirectUrl` <a name="@cdktf/provider-okta.AppSwa.resetRedirectUrl" id="cdktfprovideroktaappswaresetredirecturl"></a>

```typescript
public resetRedirectUrl()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppSwa.resetSkipGroups" id="cdktfprovideroktaappswaresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppSwa.resetSkipUsers" id="cdktfprovideroktaappswaresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppSwa.resetStatus" id="cdktfprovideroktaappswaresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUrl` <a name="@cdktf/provider-okta.AppSwa.resetUrl" id="cdktfprovideroktaappswareseturl"></a>

```typescript
public resetUrl()
```

##### `resetUrlRegex` <a name="@cdktf/provider-okta.AppSwa.resetUrlRegex" id="cdktfprovideroktaappswareseturlregex"></a>

```typescript
public resetUrlRegex()
```

##### `resetUsernameField` <a name="@cdktf/provider-okta.AppSwa.resetUsernameField" id="cdktfprovideroktaappswaresetusernamefield"></a>

```typescript
public resetUsernameField()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AppSwa.resetUserNameTemplate" id="cdktfprovideroktaappswaresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AppSwa.resetUserNameTemplatePushStatus" id="cdktfprovideroktaappswaresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AppSwa.resetUserNameTemplateSuffix" id="cdktfprovideroktaappswaresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AppSwa.resetUserNameTemplateType" id="cdktfprovideroktaappswaresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppSwa.resetUsers" id="cdktfprovideroktaappswaresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaappswapropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappswapropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappswapropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappswapropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppSwaUsersList`](#@cdktf/provider-okta.AppSwaUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappswapropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappswapropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappswapropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappswapropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappswapropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappswapropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonFieldInput`](#cdktfprovideroktaappswapropertybuttonfieldinput) | `string` | *No description.* |
| [`checkboxInput`](#cdktfprovideroktaappswapropertycheckboxinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappswapropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappswapropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappswapropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappswapropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappswapropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappswapropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappswapropertylogoinput) | `string` | *No description.* |
| [`passwordFieldInput`](#cdktfprovideroktaappswapropertypasswordfieldinput) | `string` | *No description.* |
| [`preconfiguredAppInput`](#cdktfprovideroktaappswapropertypreconfiguredappinput) | `string` | *No description.* |
| [`redirectUrlInput`](#cdktfprovideroktaappswapropertyredirecturlinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappswapropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappswapropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappswapropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktaappswapropertyurlinput) | `string` | *No description.* |
| [`urlRegexInput`](#cdktfprovideroktaappswapropertyurlregexinput) | `string` | *No description.* |
| [`usernameFieldInput`](#cdktfprovideroktaappswapropertyusernamefieldinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaappswapropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaappswapropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaappswapropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaappswapropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappswapropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappswapropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappswapropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappswapropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappswapropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappswapropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappswapropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonField`](#cdktfprovideroktaappswapropertybuttonfield)<span title="Required">*</span> | `string` | *No description.* |
| [`checkbox`](#cdktfprovideroktaappswapropertycheckbox)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappswapropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaappswapropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappswapropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappswapropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappswapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappswapropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappswapropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordField`](#cdktfprovideroktaappswapropertypasswordfield)<span title="Required">*</span> | `string` | *No description.* |
| [`preconfiguredApp`](#cdktfprovideroktaappswapropertypreconfiguredapp)<span title="Required">*</span> | `string` | *No description.* |
| [`redirectUrl`](#cdktfprovideroktaappswapropertyredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappswapropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappswapropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappswapropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktaappswapropertyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`urlRegex`](#cdktfprovideroktaappswapropertyurlregex)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameField`](#cdktfprovideroktaappswapropertyusernamefield)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaappswapropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappswapropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappswapropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaappswapropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.logoUrl" id="cdktfprovideroktaappswapropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.name" id="cdktfprovideroktaappswapropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.signOnMode" id="cdktfprovideroktaappswapropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.users" id="cdktfprovideroktaappswapropertyusers"></a>

```typescript
public readonly users: AppSwaUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppSwaUsersList`](#@cdktf/provider-okta.AppSwaUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappswapropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappswapropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappswapropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.adminNoteInput" id="cdktfprovideroktaappswapropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.appLinksJsonInput" id="cdktfprovideroktaappswapropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.autoSubmitToolbarInput" id="cdktfprovideroktaappswapropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.buttonFieldInput" id="cdktfprovideroktaappswapropertybuttonfieldinput"></a>

```typescript
public readonly buttonFieldInput: string;
```

- *Type:* `string`

---

##### `checkboxInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.checkboxInput" id="cdktfprovideroktaappswapropertycheckboxinput"></a>

```typescript
public readonly checkboxInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.enduserNoteInput" id="cdktfprovideroktaappswapropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.groupsInput" id="cdktfprovideroktaappswapropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.hideIosInput" id="cdktfprovideroktaappswapropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.hideWebInput" id="cdktfprovideroktaappswapropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.idInput" id="cdktfprovideroktaappswapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.labelInput" id="cdktfprovideroktaappswapropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.logoInput" id="cdktfprovideroktaappswapropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `passwordFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.passwordFieldInput" id="cdktfprovideroktaappswapropertypasswordfieldinput"></a>

```typescript
public readonly passwordFieldInput: string;
```

- *Type:* `string`

---

##### `preconfiguredAppInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.preconfiguredAppInput" id="cdktfprovideroktaappswapropertypreconfiguredappinput"></a>

```typescript
public readonly preconfiguredAppInput: string;
```

- *Type:* `string`

---

##### `redirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.redirectUrlInput" id="cdktfprovideroktaappswapropertyredirecturlinput"></a>

```typescript
public readonly redirectUrlInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.skipGroupsInput" id="cdktfprovideroktaappswapropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.skipUsersInput" id="cdktfprovideroktaappswapropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.statusInput" id="cdktfprovideroktaappswapropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.urlInput" id="cdktfprovideroktaappswapropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `urlRegexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.urlRegexInput" id="cdktfprovideroktaappswapropertyurlregexinput"></a>

```typescript
public readonly urlRegexInput: string;
```

- *Type:* `string`

---

##### `usernameFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.usernameFieldInput" id="cdktfprovideroktaappswapropertyusernamefieldinput"></a>

```typescript
public readonly usernameFieldInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplateInput" id="cdktfprovideroktaappswapropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaappswapropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplateSuffixInput" id="cdktfprovideroktaappswapropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplateTypeInput" id="cdktfprovideroktaappswapropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwa.property.usersInput" id="cdktfprovideroktaappswapropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppSwaUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappswapropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappswapropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.accessibilitySelfService" id="cdktfprovideroktaappswapropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.adminNote" id="cdktfprovideroktaappswapropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.appLinksJson" id="cdktfprovideroktaappswapropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.autoSubmitToolbar" id="cdktfprovideroktaappswapropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.buttonField" id="cdktfprovideroktaappswapropertybuttonfield"></a>

```typescript
public readonly buttonField: string;
```

- *Type:* `string`

---

##### `checkbox`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.checkbox" id="cdktfprovideroktaappswapropertycheckbox"></a>

```typescript
public readonly checkbox: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.enduserNote" id="cdktfprovideroktaappswapropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.groups" id="cdktfprovideroktaappswapropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.hideIos" id="cdktfprovideroktaappswapropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.hideWeb" id="cdktfprovideroktaappswapropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.id" id="cdktfprovideroktaappswapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.label" id="cdktfprovideroktaappswapropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.logo" id="cdktfprovideroktaappswapropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `passwordField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.passwordField" id="cdktfprovideroktaappswapropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

---

##### `preconfiguredApp`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.preconfiguredApp" id="cdktfprovideroktaappswapropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

---

##### `redirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.redirectUrl" id="cdktfprovideroktaappswapropertyredirecturl"></a>

```typescript
public readonly redirectUrl: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.skipGroups" id="cdktfprovideroktaappswapropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.skipUsers" id="cdktfprovideroktaappswapropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.status" id="cdktfprovideroktaappswapropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.url" id="cdktfprovideroktaappswapropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

##### `urlRegex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.urlRegex" id="cdktfprovideroktaappswapropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

---

##### `usernameField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.usernameField" id="cdktfprovideroktaappswapropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplate" id="cdktfprovideroktaappswapropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplatePushStatus" id="cdktfprovideroktaappswapropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplateSuffix" id="cdktfprovideroktaappswapropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwa.property.userNameTemplateType" id="cdktfprovideroktaappswapropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappswapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppSwa.property.tfResourceType" id="cdktfprovideroktaappswapropertytfresourcetype"></a>

- *Type:* `string`

---

### AppThreeField <a name="@cdktf/provider-okta.AppThreeField" id="cdktfprovideroktaappthreefield"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_three_field okta_app_three_field}.

#### Initializers <a name="@cdktf/provider-okta.AppThreeField.Initializer" id="cdktfprovideroktaappthreefieldinitializer"></a>

```typescript
import { AppThreeField } from '@cdktf/provider-okta'

new AppThreeField(scope: Construct, id: string, config: AppThreeFieldConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappthreefieldparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappthreefieldparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappthreefieldparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppThreeFieldConfig`](#@cdktf/provider-okta.AppThreeFieldConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.parameter.scope" id="cdktfprovideroktaappthreefieldparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.parameter.id" id="cdktfprovideroktaappthreefieldparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.parameter.config" id="cdktfprovideroktaappthreefieldparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppThreeFieldConfig`](#@cdktf/provider-okta.AppThreeFieldConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaappthreefieldputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaappthreefieldresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaappthreefieldresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaappthreefieldresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaappthreefieldresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaappthreefieldresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaappthreefieldresetautosubmittoolbar) | *No description.* |
| [`resetCredentialsScheme`](#cdktfprovideroktaappthreefieldresetcredentialsscheme) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaappthreefieldresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaappthreefieldresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaappthreefieldresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaappthreefieldresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaappthreefieldresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaappthreefieldresetlogo) | *No description.* |
| [`resetRevealPassword`](#cdktfprovideroktaappthreefieldresetrevealpassword) | *No description.* |
| [`resetSharedPassword`](#cdktfprovideroktaappthreefieldresetsharedpassword) | *No description.* |
| [`resetSharedUsername`](#cdktfprovideroktaappthreefieldresetsharedusername) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaappthreefieldresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaappthreefieldresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaappthreefieldresetstatus) | *No description.* |
| [`resetUrlRegex`](#cdktfprovideroktaappthreefieldreseturlregex) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaappthreefieldresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaappthreefieldresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaappthreefieldresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaappthreefieldresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaappthreefieldresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AppThreeField.putUsers" id="cdktfprovideroktaappthreefieldputusers"></a>

```typescript
public putUsers(value: IResolvable | AppThreeFieldUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.parameter.value" id="cdktfprovideroktaappthreefieldparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AppThreeField.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaappthreefieldresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AppThreeField.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaappthreefieldresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AppThreeField.resetAccessibilitySelfService" id="cdktfprovideroktaappthreefieldresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AppThreeField.resetAdminNote" id="cdktfprovideroktaappthreefieldresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AppThreeField.resetAppLinksJson" id="cdktfprovideroktaappthreefieldresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AppThreeField.resetAutoSubmitToolbar" id="cdktfprovideroktaappthreefieldresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetCredentialsScheme` <a name="@cdktf/provider-okta.AppThreeField.resetCredentialsScheme" id="cdktfprovideroktaappthreefieldresetcredentialsscheme"></a>

```typescript
public resetCredentialsScheme()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AppThreeField.resetEnduserNote" id="cdktfprovideroktaappthreefieldresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AppThreeField.resetGroups" id="cdktfprovideroktaappthreefieldresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AppThreeField.resetHideIos" id="cdktfprovideroktaappthreefieldresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AppThreeField.resetHideWeb" id="cdktfprovideroktaappthreefieldresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AppThreeField.resetId" id="cdktfprovideroktaappthreefieldresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AppThreeField.resetLogo" id="cdktfprovideroktaappthreefieldresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetRevealPassword` <a name="@cdktf/provider-okta.AppThreeField.resetRevealPassword" id="cdktfprovideroktaappthreefieldresetrevealpassword"></a>

```typescript
public resetRevealPassword()
```

##### `resetSharedPassword` <a name="@cdktf/provider-okta.AppThreeField.resetSharedPassword" id="cdktfprovideroktaappthreefieldresetsharedpassword"></a>

```typescript
public resetSharedPassword()
```

##### `resetSharedUsername` <a name="@cdktf/provider-okta.AppThreeField.resetSharedUsername" id="cdktfprovideroktaappthreefieldresetsharedusername"></a>

```typescript
public resetSharedUsername()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AppThreeField.resetSkipGroups" id="cdktfprovideroktaappthreefieldresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AppThreeField.resetSkipUsers" id="cdktfprovideroktaappthreefieldresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AppThreeField.resetStatus" id="cdktfprovideroktaappthreefieldresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUrlRegex` <a name="@cdktf/provider-okta.AppThreeField.resetUrlRegex" id="cdktfprovideroktaappthreefieldreseturlregex"></a>

```typescript
public resetUrlRegex()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AppThreeField.resetUserNameTemplate" id="cdktfprovideroktaappthreefieldresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AppThreeField.resetUserNameTemplatePushStatus" id="cdktfprovideroktaappthreefieldresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AppThreeField.resetUserNameTemplateSuffix" id="cdktfprovideroktaappthreefieldresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AppThreeField.resetUserNameTemplateType" id="cdktfprovideroktaappthreefieldresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AppThreeField.resetUsers" id="cdktfprovideroktaappthreefieldresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaappthreefieldpropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappthreefieldpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaappthreefieldpropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaappthreefieldpropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AppThreeFieldUsersList`](#@cdktf/provider-okta.AppThreeFieldUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaappthreefieldpropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaappthreefieldpropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaappthreefieldpropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaappthreefieldpropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaappthreefieldpropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaappthreefieldpropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonSelectorInput`](#cdktfprovideroktaappthreefieldpropertybuttonselectorinput) | `string` | *No description.* |
| [`credentialsSchemeInput`](#cdktfprovideroktaappthreefieldpropertycredentialsschemeinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaappthreefieldpropertyendusernoteinput) | `string` | *No description.* |
| [`extraFieldSelectorInput`](#cdktfprovideroktaappthreefieldpropertyextrafieldselectorinput) | `string` | *No description.* |
| [`extraFieldValueInput`](#cdktfprovideroktaappthreefieldpropertyextrafieldvalueinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaappthreefieldpropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaappthreefieldpropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaappthreefieldpropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaappthreefieldpropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaappthreefieldpropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaappthreefieldpropertylogoinput) | `string` | *No description.* |
| [`passwordSelectorInput`](#cdktfprovideroktaappthreefieldpropertypasswordselectorinput) | `string` | *No description.* |
| [`revealPasswordInput`](#cdktfprovideroktaappthreefieldpropertyrevealpasswordinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPasswordInput`](#cdktfprovideroktaappthreefieldpropertysharedpasswordinput) | `string` | *No description.* |
| [`sharedUsernameInput`](#cdktfprovideroktaappthreefieldpropertysharedusernameinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaappthreefieldpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaappthreefieldpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaappthreefieldpropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktaappthreefieldpropertyurlinput) | `string` | *No description.* |
| [`urlRegexInput`](#cdktfprovideroktaappthreefieldpropertyurlregexinput) | `string` | *No description.* |
| [`usernameSelectorInput`](#cdktfprovideroktaappthreefieldpropertyusernameselectorinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaappthreefieldpropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaappthreefieldpropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaappthreefieldpropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaappthreefieldpropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaappthreefieldpropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappthreefieldpropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappthreefieldpropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaappthreefieldpropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaappthreefieldpropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaappthreefieldpropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaappthreefieldpropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonSelector`](#cdktfprovideroktaappthreefieldpropertybuttonselector)<span title="Required">*</span> | `string` | *No description.* |
| [`credentialsScheme`](#cdktfprovideroktaappthreefieldpropertycredentialsscheme)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaappthreefieldpropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`extraFieldSelector`](#cdktfprovideroktaappthreefieldpropertyextrafieldselector)<span title="Required">*</span> | `string` | *No description.* |
| [`extraFieldValue`](#cdktfprovideroktaappthreefieldpropertyextrafieldvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaappthreefieldpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaappthreefieldpropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaappthreefieldpropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaappthreefieldpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaappthreefieldpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaappthreefieldpropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordSelector`](#cdktfprovideroktaappthreefieldpropertypasswordselector)<span title="Required">*</span> | `string` | *No description.* |
| [`revealPassword`](#cdktfprovideroktaappthreefieldpropertyrevealpassword)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPassword`](#cdktfprovideroktaappthreefieldpropertysharedpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedUsername`](#cdktfprovideroktaappthreefieldpropertysharedusername)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaappthreefieldpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaappthreefieldpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaappthreefieldpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktaappthreefieldpropertyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`urlRegex`](#cdktfprovideroktaappthreefieldpropertyurlregex)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameSelector`](#cdktfprovideroktaappthreefieldpropertyusernameselector)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaappthreefieldpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappthreefieldpropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappthreefieldpropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaappthreefieldpropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.logoUrl" id="cdktfprovideroktaappthreefieldpropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.name" id="cdktfprovideroktaappthreefieldpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.signOnMode" id="cdktfprovideroktaappthreefieldpropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.users" id="cdktfprovideroktaappthreefieldpropertyusers"></a>

```typescript
public readonly users: AppThreeFieldUsersList;
```

- *Type:* [`@cdktf/provider-okta.AppThreeFieldUsersList`](#@cdktf/provider-okta.AppThreeFieldUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaappthreefieldpropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaappthreefieldpropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.accessibilitySelfServiceInput" id="cdktfprovideroktaappthreefieldpropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.adminNoteInput" id="cdktfprovideroktaappthreefieldpropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.appLinksJsonInput" id="cdktfprovideroktaappthreefieldpropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.autoSubmitToolbarInput" id="cdktfprovideroktaappthreefieldpropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.buttonSelectorInput" id="cdktfprovideroktaappthreefieldpropertybuttonselectorinput"></a>

```typescript
public readonly buttonSelectorInput: string;
```

- *Type:* `string`

---

##### `credentialsSchemeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.credentialsSchemeInput" id="cdktfprovideroktaappthreefieldpropertycredentialsschemeinput"></a>

```typescript
public readonly credentialsSchemeInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.enduserNoteInput" id="cdktfprovideroktaappthreefieldpropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `extraFieldSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.extraFieldSelectorInput" id="cdktfprovideroktaappthreefieldpropertyextrafieldselectorinput"></a>

```typescript
public readonly extraFieldSelectorInput: string;
```

- *Type:* `string`

---

##### `extraFieldValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.extraFieldValueInput" id="cdktfprovideroktaappthreefieldpropertyextrafieldvalueinput"></a>

```typescript
public readonly extraFieldValueInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.groupsInput" id="cdktfprovideroktaappthreefieldpropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.hideIosInput" id="cdktfprovideroktaappthreefieldpropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.hideWebInput" id="cdktfprovideroktaappthreefieldpropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.idInput" id="cdktfprovideroktaappthreefieldpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.labelInput" id="cdktfprovideroktaappthreefieldpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.logoInput" id="cdktfprovideroktaappthreefieldpropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `passwordSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.passwordSelectorInput" id="cdktfprovideroktaappthreefieldpropertypasswordselectorinput"></a>

```typescript
public readonly passwordSelectorInput: string;
```

- *Type:* `string`

---

##### `revealPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.revealPasswordInput" id="cdktfprovideroktaappthreefieldpropertyrevealpasswordinput"></a>

```typescript
public readonly revealPasswordInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.sharedPasswordInput" id="cdktfprovideroktaappthreefieldpropertysharedpasswordinput"></a>

```typescript
public readonly sharedPasswordInput: string;
```

- *Type:* `string`

---

##### `sharedUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.sharedUsernameInput" id="cdktfprovideroktaappthreefieldpropertysharedusernameinput"></a>

```typescript
public readonly sharedUsernameInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.skipGroupsInput" id="cdktfprovideroktaappthreefieldpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.skipUsersInput" id="cdktfprovideroktaappthreefieldpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.statusInput" id="cdktfprovideroktaappthreefieldpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.urlInput" id="cdktfprovideroktaappthreefieldpropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `urlRegexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.urlRegexInput" id="cdktfprovideroktaappthreefieldpropertyurlregexinput"></a>

```typescript
public readonly urlRegexInput: string;
```

- *Type:* `string`

---

##### `usernameSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.usernameSelectorInput" id="cdktfprovideroktaappthreefieldpropertyusernameselectorinput"></a>

```typescript
public readonly usernameSelectorInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplateInput" id="cdktfprovideroktaappthreefieldpropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaappthreefieldpropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplateSuffixInput" id="cdktfprovideroktaappthreefieldpropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplateTypeInput" id="cdktfprovideroktaappthreefieldpropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeField.property.usersInput" id="cdktfprovideroktaappthreefieldpropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AppThreeFieldUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappthreefieldpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappthreefieldpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.accessibilitySelfService" id="cdktfprovideroktaappthreefieldpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.adminNote" id="cdktfprovideroktaappthreefieldpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.appLinksJson" id="cdktfprovideroktaappthreefieldpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.autoSubmitToolbar" id="cdktfprovideroktaappthreefieldpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.buttonSelector" id="cdktfprovideroktaappthreefieldpropertybuttonselector"></a>

```typescript
public readonly buttonSelector: string;
```

- *Type:* `string`

---

##### `credentialsScheme`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.credentialsScheme" id="cdktfprovideroktaappthreefieldpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.enduserNote" id="cdktfprovideroktaappthreefieldpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `extraFieldSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.extraFieldSelector" id="cdktfprovideroktaappthreefieldpropertyextrafieldselector"></a>

```typescript
public readonly extraFieldSelector: string;
```

- *Type:* `string`

---

##### `extraFieldValue`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.extraFieldValue" id="cdktfprovideroktaappthreefieldpropertyextrafieldvalue"></a>

```typescript
public readonly extraFieldValue: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.groups" id="cdktfprovideroktaappthreefieldpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.hideIos" id="cdktfprovideroktaappthreefieldpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.hideWeb" id="cdktfprovideroktaappthreefieldpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.id" id="cdktfprovideroktaappthreefieldpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.label" id="cdktfprovideroktaappthreefieldpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.logo" id="cdktfprovideroktaappthreefieldpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `passwordSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.passwordSelector" id="cdktfprovideroktaappthreefieldpropertypasswordselector"></a>

```typescript
public readonly passwordSelector: string;
```

- *Type:* `string`

---

##### `revealPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.revealPassword" id="cdktfprovideroktaappthreefieldpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.sharedPassword" id="cdktfprovideroktaappthreefieldpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

---

##### `sharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.sharedUsername" id="cdktfprovideroktaappthreefieldpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.skipGroups" id="cdktfprovideroktaappthreefieldpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.skipUsers" id="cdktfprovideroktaappthreefieldpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.status" id="cdktfprovideroktaappthreefieldpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.url" id="cdktfprovideroktaappthreefieldpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

##### `urlRegex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.urlRegex" id="cdktfprovideroktaappthreefieldpropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

---

##### `usernameSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.usernameSelector" id="cdktfprovideroktaappthreefieldpropertyusernameselector"></a>

```typescript
public readonly usernameSelector: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplate" id="cdktfprovideroktaappthreefieldpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplatePushStatus" id="cdktfprovideroktaappthreefieldpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplateSuffix" id="cdktfprovideroktaappthreefieldpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeField.property.userNameTemplateType" id="cdktfprovideroktaappthreefieldpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappthreefieldpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppThreeField.property.tfResourceType" id="cdktfprovideroktaappthreefieldpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppUser <a name="@cdktf/provider-okta.AppUser" id="cdktfprovideroktaappuser"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_user okta_app_user}.

#### Initializers <a name="@cdktf/provider-okta.AppUser.Initializer" id="cdktfprovideroktaappuserinitializer"></a>

```typescript
import { AppUser } from '@cdktf/provider-okta'

new AppUser(scope: Construct, id: string, config: AppUserConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappuserparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappuserparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappuserparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserConfig`](#@cdktf/provider-okta.AppUserConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.parameter.scope" id="cdktfprovideroktaappuserparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.parameter.id" id="cdktfprovideroktaappuserparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.parameter.config" id="cdktfprovideroktaappuserparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppUserConfig`](#@cdktf/provider-okta.AppUserConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappuserresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappuserresetpassword) | *No description.* |
| [`resetProfile`](#cdktfprovideroktaappuserresetprofile) | *No description.* |
| [`resetRetainAssignment`](#cdktfprovideroktaappuserresetretainassignment) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappuserresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppUser.resetId" id="cdktfprovideroktaappuserresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppUser.resetPassword" id="cdktfprovideroktaappuserresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetProfile` <a name="@cdktf/provider-okta.AppUser.resetProfile" id="cdktfprovideroktaappuserresetprofile"></a>

```typescript
public resetProfile()
```

##### `resetRetainAssignment` <a name="@cdktf/provider-okta.AppUser.resetRetainAssignment" id="cdktfprovideroktaappuserresetretainassignment"></a>

```typescript
public resetRetainAssignment()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppUser.resetUsername" id="cdktfprovideroktaappuserresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`hasSharedUsername`](#cdktfprovideroktaappuserpropertyhassharedusername)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`appIdInput`](#cdktfprovideroktaappuserpropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappuserpropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappuserpropertypasswordinput) | `string` | *No description.* |
| [`profileInput`](#cdktfprovideroktaappuserpropertyprofileinput) | `string` | *No description.* |
| [`retainAssignmentInput`](#cdktfprovideroktaappuserpropertyretainassignmentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`userIdInput`](#cdktfprovideroktaappuserpropertyuseridinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappuserpropertyusernameinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappuserpropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappuserpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappuserpropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`profile`](#cdktfprovideroktaappuserpropertyprofile)<span title="Required">*</span> | `string` | *No description.* |
| [`retainAssignment`](#cdktfprovideroktaappuserpropertyretainassignment)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`userId`](#cdktfprovideroktaappuserpropertyuserid)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappuserpropertyusername)<span title="Required">*</span> | `string` | *No description.* |

---

##### `hasSharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.hasSharedUsername" id="cdktfprovideroktaappuserpropertyhassharedusername"></a>

```typescript
public readonly hasSharedUsername: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUser.property.appIdInput" id="cdktfprovideroktaappuserpropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUser.property.idInput" id="cdktfprovideroktaappuserpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUser.property.passwordInput" id="cdktfprovideroktaappuserpropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `profileInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUser.property.profileInput" id="cdktfprovideroktaappuserpropertyprofileinput"></a>

```typescript
public readonly profileInput: string;
```

- *Type:* `string`

---

##### `retainAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUser.property.retainAssignmentInput" id="cdktfprovideroktaappuserpropertyretainassignmentinput"></a>

```typescript
public readonly retainAssignmentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUser.property.userIdInput" id="cdktfprovideroktaappuserpropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUser.property.usernameInput" id="cdktfprovideroktaappuserpropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.appId" id="cdktfprovideroktaappuserpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.id" id="cdktfprovideroktaappuserpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.password" id="cdktfprovideroktaappuserpropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `profile`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.profile" id="cdktfprovideroktaappuserpropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

---

##### `retainAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.retainAssignment" id="cdktfprovideroktaappuserpropertyretainassignment"></a>

```typescript
public readonly retainAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.userId" id="cdktfprovideroktaappuserpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUser.property.username" id="cdktfprovideroktaappuserpropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappuserpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppUser.property.tfResourceType" id="cdktfprovideroktaappuserpropertytfresourcetype"></a>

- *Type:* `string`

---

### AppUserBaseSchema <a name="@cdktf/provider-okta.AppUserBaseSchema" id="cdktfprovideroktaappuserbaseschema"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema okta_app_user_base_schema}.

#### Initializers <a name="@cdktf/provider-okta.AppUserBaseSchema.Initializer" id="cdktfprovideroktaappuserbaseschemainitializer"></a>

```typescript
import { AppUserBaseSchema } from '@cdktf/provider-okta'

new AppUserBaseSchema(scope: Construct, id: string, config: AppUserBaseSchemaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappuserbaseschemaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappuserbaseschemaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappuserbaseschemaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserBaseSchemaConfig`](#@cdktf/provider-okta.AppUserBaseSchemaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.parameter.scope" id="cdktfprovideroktaappuserbaseschemaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.parameter.id" id="cdktfprovideroktaappuserbaseschemaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.parameter.config" id="cdktfprovideroktaappuserbaseschemaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppUserBaseSchemaConfig`](#@cdktf/provider-okta.AppUserBaseSchemaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappuserbaseschemaresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktaappuserbaseschemaresetmaster) | *No description.* |
| [`resetPattern`](#cdktfprovideroktaappuserbaseschemaresetpattern) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktaappuserbaseschemaresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktaappuserbaseschemaresetrequired) | *No description.* |
| [`resetUserType`](#cdktfprovideroktaappuserbaseschemaresetusertype) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppUserBaseSchema.resetId" id="cdktfprovideroktaappuserbaseschemaresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.AppUserBaseSchema.resetMaster" id="cdktfprovideroktaappuserbaseschemaresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetPattern` <a name="@cdktf/provider-okta.AppUserBaseSchema.resetPattern" id="cdktfprovideroktaappuserbaseschemaresetpattern"></a>

```typescript
public resetPattern()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.AppUserBaseSchema.resetPermissions" id="cdktfprovideroktaappuserbaseschemaresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.AppUserBaseSchema.resetRequired" id="cdktfprovideroktaappuserbaseschemaresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetUserType` <a name="@cdktf/provider-okta.AppUserBaseSchema.resetUserType" id="cdktfprovideroktaappuserbaseschemaresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaappuserbaseschemapropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappuserbaseschemapropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktaappuserbaseschemapropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktaappuserbaseschemapropertymasterinput) | `string` | *No description.* |
| [`patternInput`](#cdktfprovideroktaappuserbaseschemapropertypatterninput) | `string` | *No description.* |
| [`permissionsInput`](#cdktfprovideroktaappuserbaseschemapropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktaappuserbaseschemapropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserbaseschemapropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappuserbaseschemapropertytypeinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktaappuserbaseschemapropertyusertypeinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappuserbaseschemapropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappuserbaseschemapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktaappuserbaseschemapropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktaappuserbaseschemapropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`pattern`](#cdktfprovideroktaappuserbaseschemapropertypattern)<span title="Required">*</span> | `string` | *No description.* |
| [`permissions`](#cdktfprovideroktaappuserbaseschemapropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktaappuserbaseschemapropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`title`](#cdktfprovideroktaappuserbaseschemapropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappuserbaseschemapropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktaappuserbaseschemapropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.appIdInput" id="cdktfprovideroktaappuserbaseschemapropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.idInput" id="cdktfprovideroktaappuserbaseschemapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.indexInput" id="cdktfprovideroktaappuserbaseschemapropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.masterInput" id="cdktfprovideroktaappuserbaseschemapropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `patternInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.patternInput" id="cdktfprovideroktaappuserbaseschemapropertypatterninput"></a>

```typescript
public readonly patternInput: string;
```

- *Type:* `string`

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.permissionsInput" id="cdktfprovideroktaappuserbaseschemapropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.requiredInput" id="cdktfprovideroktaappuserbaseschemapropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.titleInput" id="cdktfprovideroktaappuserbaseschemapropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.typeInput" id="cdktfprovideroktaappuserbaseschemapropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.userTypeInput" id="cdktfprovideroktaappuserbaseschemapropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.appId" id="cdktfprovideroktaappuserbaseschemapropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.id" id="cdktfprovideroktaappuserbaseschemapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.index" id="cdktfprovideroktaappuserbaseschemapropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.master" id="cdktfprovideroktaappuserbaseschemapropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `pattern`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.pattern" id="cdktfprovideroktaappuserbaseschemapropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.permissions" id="cdktfprovideroktaappuserbaseschemapropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.required" id="cdktfprovideroktaappuserbaseschemapropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.title" id="cdktfprovideroktaappuserbaseschemapropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.type" id="cdktfprovideroktaappuserbaseschemapropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchema.property.userType" id="cdktfprovideroktaappuserbaseschemapropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappuserbaseschemapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppUserBaseSchema.property.tfResourceType" id="cdktfprovideroktaappuserbaseschemapropertytfresourcetype"></a>

- *Type:* `string`

---

### AppUserBaseSchemaProperty <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty" id="cdktfprovideroktaappuserbaseschemaproperty"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property okta_app_user_base_schema_property}.

#### Initializers <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.Initializer" id="cdktfprovideroktaappuserbaseschemapropertyinitializer"></a>

```typescript
import { AppUserBaseSchemaProperty } from '@cdktf/provider-okta'

new AppUserBaseSchemaProperty(scope: Construct, id: string, config: AppUserBaseSchemaPropertyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappuserbaseschemapropertyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappuserbaseschemapropertyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappuserbaseschemapropertyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig`](#@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.parameter.scope" id="cdktfprovideroktaappuserbaseschemapropertyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.parameter.id" id="cdktfprovideroktaappuserbaseschemapropertyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.parameter.config" id="cdktfprovideroktaappuserbaseschemapropertyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig`](#@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappuserbaseschemapropertyresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktaappuserbaseschemapropertyresetmaster) | *No description.* |
| [`resetPattern`](#cdktfprovideroktaappuserbaseschemapropertyresetpattern) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktaappuserbaseschemapropertyresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktaappuserbaseschemapropertyresetrequired) | *No description.* |
| [`resetUserType`](#cdktfprovideroktaappuserbaseschemapropertyresetusertype) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.resetId" id="cdktfprovideroktaappuserbaseschemapropertyresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.resetMaster" id="cdktfprovideroktaappuserbaseschemapropertyresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetPattern` <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.resetPattern" id="cdktfprovideroktaappuserbaseschemapropertyresetpattern"></a>

```typescript
public resetPattern()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.resetPermissions" id="cdktfprovideroktaappuserbaseschemapropertyresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.resetRequired" id="cdktfprovideroktaappuserbaseschemapropertyresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetUserType` <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.resetUserType" id="cdktfprovideroktaappuserbaseschemapropertyresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaappuserbaseschemapropertypropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappuserbaseschemapropertypropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktaappuserbaseschemapropertypropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktaappuserbaseschemapropertypropertymasterinput) | `string` | *No description.* |
| [`patternInput`](#cdktfprovideroktaappuserbaseschemapropertypropertypatterninput) | `string` | *No description.* |
| [`permissionsInput`](#cdktfprovideroktaappuserbaseschemapropertypropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktaappuserbaseschemapropertypropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserbaseschemapropertypropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappuserbaseschemapropertypropertytypeinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktaappuserbaseschemapropertypropertyusertypeinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappuserbaseschemapropertypropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappuserbaseschemapropertypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktaappuserbaseschemapropertypropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktaappuserbaseschemapropertypropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`pattern`](#cdktfprovideroktaappuserbaseschemapropertypropertypattern)<span title="Required">*</span> | `string` | *No description.* |
| [`permissions`](#cdktfprovideroktaappuserbaseschemapropertypropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktaappuserbaseschemapropertypropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`title`](#cdktfprovideroktaappuserbaseschemapropertypropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappuserbaseschemapropertypropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktaappuserbaseschemapropertypropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.appIdInput" id="cdktfprovideroktaappuserbaseschemapropertypropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.idInput" id="cdktfprovideroktaappuserbaseschemapropertypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.indexInput" id="cdktfprovideroktaappuserbaseschemapropertypropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.masterInput" id="cdktfprovideroktaappuserbaseschemapropertypropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `patternInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.patternInput" id="cdktfprovideroktaappuserbaseschemapropertypropertypatterninput"></a>

```typescript
public readonly patternInput: string;
```

- *Type:* `string`

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.permissionsInput" id="cdktfprovideroktaappuserbaseschemapropertypropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.requiredInput" id="cdktfprovideroktaappuserbaseschemapropertypropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.titleInput" id="cdktfprovideroktaappuserbaseschemapropertypropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.typeInput" id="cdktfprovideroktaappuserbaseschemapropertypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.userTypeInput" id="cdktfprovideroktaappuserbaseschemapropertypropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.appId" id="cdktfprovideroktaappuserbaseschemapropertypropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.id" id="cdktfprovideroktaappuserbaseschemapropertypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.index" id="cdktfprovideroktaappuserbaseschemapropertypropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.master" id="cdktfprovideroktaappuserbaseschemapropertypropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `pattern`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.pattern" id="cdktfprovideroktaappuserbaseschemapropertypropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.permissions" id="cdktfprovideroktaappuserbaseschemapropertypropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.required" id="cdktfprovideroktaappuserbaseschemapropertypropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.title" id="cdktfprovideroktaappuserbaseschemapropertypropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.type" id="cdktfprovideroktaappuserbaseschemapropertypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.userType" id="cdktfprovideroktaappuserbaseschemapropertypropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappuserbaseschemapropertypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppUserBaseSchemaProperty.property.tfResourceType" id="cdktfprovideroktaappuserbaseschemapropertypropertytfresourcetype"></a>

- *Type:* `string`

---

### AppUserSchema <a name="@cdktf/provider-okta.AppUserSchema" id="cdktfprovideroktaappuserschema"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema okta_app_user_schema}.

#### Initializers <a name="@cdktf/provider-okta.AppUserSchema.Initializer" id="cdktfprovideroktaappuserschemainitializer"></a>

```typescript
import { AppUserSchema } from '@cdktf/provider-okta'

new AppUserSchema(scope: Construct, id: string, config: AppUserSchemaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappuserschemaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappuserschemaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappuserschemaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserSchemaConfig`](#@cdktf/provider-okta.AppUserSchemaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.parameter.scope" id="cdktfprovideroktaappuserschemaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.parameter.id" id="cdktfprovideroktaappuserschemaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.parameter.config" id="cdktfprovideroktaappuserschemaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppUserSchemaConfig`](#@cdktf/provider-okta.AppUserSchemaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putArrayOneOf`](#cdktfprovideroktaappuserschemaputarrayoneof) | *No description.* |
| [`putOneOf`](#cdktfprovideroktaappuserschemaputoneof) | *No description.* |
| [`resetArrayEnum`](#cdktfprovideroktaappuserschemaresetarrayenum) | *No description.* |
| [`resetArrayOneOf`](#cdktfprovideroktaappuserschemaresetarrayoneof) | *No description.* |
| [`resetArrayType`](#cdktfprovideroktaappuserschemaresetarraytype) | *No description.* |
| [`resetDescription`](#cdktfprovideroktaappuserschemaresetdescription) | *No description.* |
| [`resetEnum`](#cdktfprovideroktaappuserschemaresetenum) | *No description.* |
| [`resetExternalName`](#cdktfprovideroktaappuserschemaresetexternalname) | *No description.* |
| [`resetExternalNamespace`](#cdktfprovideroktaappuserschemaresetexternalnamespace) | *No description.* |
| [`resetId`](#cdktfprovideroktaappuserschemaresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktaappuserschemaresetmaster) | *No description.* |
| [`resetMaxLength`](#cdktfprovideroktaappuserschemaresetmaxlength) | *No description.* |
| [`resetMinLength`](#cdktfprovideroktaappuserschemaresetminlength) | *No description.* |
| [`resetOneOf`](#cdktfprovideroktaappuserschemaresetoneof) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktaappuserschemaresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktaappuserschemaresetrequired) | *No description.* |
| [`resetScope`](#cdktfprovideroktaappuserschemaresetscope) | *No description.* |
| [`resetUnion`](#cdktfprovideroktaappuserschemaresetunion) | *No description.* |
| [`resetUnique`](#cdktfprovideroktaappuserschemaresetunique) | *No description.* |
| [`resetUserType`](#cdktfprovideroktaappuserschemaresetusertype) | *No description.* |

---

##### `putArrayOneOf` <a name="@cdktf/provider-okta.AppUserSchema.putArrayOneOf" id="cdktfprovideroktaappuserschemaputarrayoneof"></a>

```typescript
public putArrayOneOf(value: IResolvable | AppUserSchemaArrayOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.parameter.value" id="cdktfprovideroktaappuserschemaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)[]

---

##### `putOneOf` <a name="@cdktf/provider-okta.AppUserSchema.putOneOf" id="cdktfprovideroktaappuserschemaputoneof"></a>

```typescript
public putOneOf(value: IResolvable | AppUserSchemaOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.parameter.value" id="cdktfprovideroktaappuserschemaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)[]

---

##### `resetArrayEnum` <a name="@cdktf/provider-okta.AppUserSchema.resetArrayEnum" id="cdktfprovideroktaappuserschemaresetarrayenum"></a>

```typescript
public resetArrayEnum()
```

##### `resetArrayOneOf` <a name="@cdktf/provider-okta.AppUserSchema.resetArrayOneOf" id="cdktfprovideroktaappuserschemaresetarrayoneof"></a>

```typescript
public resetArrayOneOf()
```

##### `resetArrayType` <a name="@cdktf/provider-okta.AppUserSchema.resetArrayType" id="cdktfprovideroktaappuserschemaresetarraytype"></a>

```typescript
public resetArrayType()
```

##### `resetDescription` <a name="@cdktf/provider-okta.AppUserSchema.resetDescription" id="cdktfprovideroktaappuserschemaresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetEnum` <a name="@cdktf/provider-okta.AppUserSchema.resetEnum" id="cdktfprovideroktaappuserschemaresetenum"></a>

```typescript
public resetEnum()
```

##### `resetExternalName` <a name="@cdktf/provider-okta.AppUserSchema.resetExternalName" id="cdktfprovideroktaappuserschemaresetexternalname"></a>

```typescript
public resetExternalName()
```

##### `resetExternalNamespace` <a name="@cdktf/provider-okta.AppUserSchema.resetExternalNamespace" id="cdktfprovideroktaappuserschemaresetexternalnamespace"></a>

```typescript
public resetExternalNamespace()
```

##### `resetId` <a name="@cdktf/provider-okta.AppUserSchema.resetId" id="cdktfprovideroktaappuserschemaresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.AppUserSchema.resetMaster" id="cdktfprovideroktaappuserschemaresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetMaxLength` <a name="@cdktf/provider-okta.AppUserSchema.resetMaxLength" id="cdktfprovideroktaappuserschemaresetmaxlength"></a>

```typescript
public resetMaxLength()
```

##### `resetMinLength` <a name="@cdktf/provider-okta.AppUserSchema.resetMinLength" id="cdktfprovideroktaappuserschemaresetminlength"></a>

```typescript
public resetMinLength()
```

##### `resetOneOf` <a name="@cdktf/provider-okta.AppUserSchema.resetOneOf" id="cdktfprovideroktaappuserschemaresetoneof"></a>

```typescript
public resetOneOf()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.AppUserSchema.resetPermissions" id="cdktfprovideroktaappuserschemaresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.AppUserSchema.resetRequired" id="cdktfprovideroktaappuserschemaresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetScope` <a name="@cdktf/provider-okta.AppUserSchema.resetScope" id="cdktfprovideroktaappuserschemaresetscope"></a>

```typescript
public resetScope()
```

##### `resetUnion` <a name="@cdktf/provider-okta.AppUserSchema.resetUnion" id="cdktfprovideroktaappuserschemaresetunion"></a>

```typescript
public resetUnion()
```

##### `resetUnique` <a name="@cdktf/provider-okta.AppUserSchema.resetUnique" id="cdktfprovideroktaappuserschemaresetunique"></a>

```typescript
public resetUnique()
```

##### `resetUserType` <a name="@cdktf/provider-okta.AppUserSchema.resetUserType" id="cdktfprovideroktaappuserschemaresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`arrayOneOf`](#cdktfprovideroktaappuserschemapropertyarrayoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserSchemaArrayOneOfList`](#@cdktf/provider-okta.AppUserSchemaArrayOneOfList) | *No description.* |
| [`oneOf`](#cdktfprovideroktaappuserschemapropertyoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserSchemaOneOfList`](#@cdktf/provider-okta.AppUserSchemaOneOfList) | *No description.* |
| [`appIdInput`](#cdktfprovideroktaappuserschemapropertyappidinput) | `string` | *No description.* |
| [`arrayEnumInput`](#cdktfprovideroktaappuserschemapropertyarrayenuminput) | `string`[] | *No description.* |
| [`arrayOneOfInput`](#cdktfprovideroktaappuserschemapropertyarrayoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)[] | *No description.* |
| [`arrayTypeInput`](#cdktfprovideroktaappuserschemapropertyarraytypeinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktaappuserschemapropertydescriptioninput) | `string` | *No description.* |
| [`enumInput`](#cdktfprovideroktaappuserschemapropertyenuminput) | `string`[] | *No description.* |
| [`externalNameInput`](#cdktfprovideroktaappuserschemapropertyexternalnameinput) | `string` | *No description.* |
| [`externalNamespaceInput`](#cdktfprovideroktaappuserschemapropertyexternalnamespaceinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappuserschemapropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktaappuserschemapropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktaappuserschemapropertymasterinput) | `string` | *No description.* |
| [`maxLengthInput`](#cdktfprovideroktaappuserschemapropertymaxlengthinput) | `number` | *No description.* |
| [`minLengthInput`](#cdktfprovideroktaappuserschemapropertyminlengthinput) | `number` | *No description.* |
| [`oneOfInput`](#cdktfprovideroktaappuserschemapropertyoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)[] | *No description.* |
| [`permissionsInput`](#cdktfprovideroktaappuserschemapropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktaappuserschemapropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scopeInput`](#cdktfprovideroktaappuserschemapropertyscopeinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserschemapropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappuserschemapropertytypeinput) | `string` | *No description.* |
| [`unionInput`](#cdktfprovideroktaappuserschemapropertyunioninput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`uniqueInput`](#cdktfprovideroktaappuserschemapropertyuniqueinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktaappuserschemapropertyusertypeinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappuserschemapropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`arrayEnum`](#cdktfprovideroktaappuserschemapropertyarrayenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`arrayType`](#cdktfprovideroktaappuserschemapropertyarraytype)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktaappuserschemapropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`enum`](#cdktfprovideroktaappuserschemapropertyenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`externalName`](#cdktfprovideroktaappuserschemapropertyexternalname)<span title="Required">*</span> | `string` | *No description.* |
| [`externalNamespace`](#cdktfprovideroktaappuserschemapropertyexternalnamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappuserschemapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktaappuserschemapropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktaappuserschemapropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`maxLength`](#cdktfprovideroktaappuserschemapropertymaxlength)<span title="Required">*</span> | `number` | *No description.* |
| [`minLength`](#cdktfprovideroktaappuserschemapropertyminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`permissions`](#cdktfprovideroktaappuserschemapropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktaappuserschemapropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scope`](#cdktfprovideroktaappuserschemapropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktaappuserschemapropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappuserschemapropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`union`](#cdktfprovideroktaappuserschemapropertyunion)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`unique`](#cdktfprovideroktaappuserschemapropertyunique)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktaappuserschemapropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `arrayOneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.arrayOneOf" id="cdktfprovideroktaappuserschemapropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: AppUserSchemaArrayOneOfList;
```

- *Type:* [`@cdktf/provider-okta.AppUserSchemaArrayOneOfList`](#@cdktf/provider-okta.AppUserSchemaArrayOneOfList)

---

##### `oneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.oneOf" id="cdktfprovideroktaappuserschemapropertyoneof"></a>

```typescript
public readonly oneOf: AppUserSchemaOneOfList;
```

- *Type:* [`@cdktf/provider-okta.AppUserSchemaOneOfList`](#@cdktf/provider-okta.AppUserSchemaOneOfList)

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.appIdInput" id="cdktfprovideroktaappuserschemapropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `arrayEnumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.arrayEnumInput" id="cdktfprovideroktaappuserschemapropertyarrayenuminput"></a>

```typescript
public readonly arrayEnumInput: string[];
```

- *Type:* `string`[]

---

##### `arrayOneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.arrayOneOfInput" id="cdktfprovideroktaappuserschemapropertyarrayoneofinput"></a>

```typescript
public readonly arrayOneOfInput: IResolvable | AppUserSchemaArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)[]

---

##### `arrayTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.arrayTypeInput" id="cdktfprovideroktaappuserschemapropertyarraytypeinput"></a>

```typescript
public readonly arrayTypeInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.descriptionInput" id="cdktfprovideroktaappuserschemapropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `enumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.enumInput" id="cdktfprovideroktaappuserschemapropertyenuminput"></a>

```typescript
public readonly enumInput: string[];
```

- *Type:* `string`[]

---

##### `externalNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.externalNameInput" id="cdktfprovideroktaappuserschemapropertyexternalnameinput"></a>

```typescript
public readonly externalNameInput: string;
```

- *Type:* `string`

---

##### `externalNamespaceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.externalNamespaceInput" id="cdktfprovideroktaappuserschemapropertyexternalnamespaceinput"></a>

```typescript
public readonly externalNamespaceInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.idInput" id="cdktfprovideroktaappuserschemapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.indexInput" id="cdktfprovideroktaappuserschemapropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.masterInput" id="cdktfprovideroktaappuserschemapropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `maxLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.maxLengthInput" id="cdktfprovideroktaappuserschemapropertymaxlengthinput"></a>

```typescript
public readonly maxLengthInput: number;
```

- *Type:* `number`

---

##### `minLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.minLengthInput" id="cdktfprovideroktaappuserschemapropertyminlengthinput"></a>

```typescript
public readonly minLengthInput: number;
```

- *Type:* `number`

---

##### `oneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.oneOfInput" id="cdktfprovideroktaappuserschemapropertyoneofinput"></a>

```typescript
public readonly oneOfInput: IResolvable | AppUserSchemaOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)[]

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.permissionsInput" id="cdktfprovideroktaappuserschemapropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.requiredInput" id="cdktfprovideroktaappuserschemapropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.scopeInput" id="cdktfprovideroktaappuserschemapropertyscopeinput"></a>

```typescript
public readonly scopeInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.titleInput" id="cdktfprovideroktaappuserschemapropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.typeInput" id="cdktfprovideroktaappuserschemapropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `unionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.unionInput" id="cdktfprovideroktaappuserschemapropertyunioninput"></a>

```typescript
public readonly unionInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `uniqueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.uniqueInput" id="cdktfprovideroktaappuserschemapropertyuniqueinput"></a>

```typescript
public readonly uniqueInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.userTypeInput" id="cdktfprovideroktaappuserschemapropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.appId" id="cdktfprovideroktaappuserschemapropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `arrayEnum`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.arrayEnum" id="cdktfprovideroktaappuserschemapropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

---

##### `arrayType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.arrayType" id="cdktfprovideroktaappuserschemapropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.description" id="cdktfprovideroktaappuserschemapropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `enum`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.enum" id="cdktfprovideroktaappuserschemapropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

---

##### `externalName`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.externalName" id="cdktfprovideroktaappuserschemapropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

---

##### `externalNamespace`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.externalNamespace" id="cdktfprovideroktaappuserschemapropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.id" id="cdktfprovideroktaappuserschemapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.index" id="cdktfprovideroktaappuserschemapropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.master" id="cdktfprovideroktaappuserschemapropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `maxLength`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.maxLength" id="cdktfprovideroktaappuserschemapropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

---

##### `minLength`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.minLength" id="cdktfprovideroktaappuserschemapropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.permissions" id="cdktfprovideroktaappuserschemapropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.required" id="cdktfprovideroktaappuserschemapropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.scope" id="cdktfprovideroktaappuserschemapropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.title" id="cdktfprovideroktaappuserschemapropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.type" id="cdktfprovideroktaappuserschemapropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `union`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.union" id="cdktfprovideroktaappuserschemapropertyunion"></a>

```typescript
public readonly union: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `unique`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.unique" id="cdktfprovideroktaappuserschemapropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchema.property.userType" id="cdktfprovideroktaappuserschemapropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappuserschemapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppUserSchema.property.tfResourceType" id="cdktfprovideroktaappuserschemapropertytfresourcetype"></a>

- *Type:* `string`

---

### AppUserSchemaProperty <a name="@cdktf/provider-okta.AppUserSchemaProperty" id="cdktfprovideroktaappuserschemaproperty"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property okta_app_user_schema_property}.

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaProperty.Initializer" id="cdktfprovideroktaappuserschemapropertyinitializer"></a>

```typescript
import { AppUserSchemaProperty } from '@cdktf/provider-okta'

new AppUserSchemaProperty(scope: Construct, id: string, config: AppUserSchemaPropertyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappuserschemapropertyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaappuserschemapropertyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaappuserschemapropertyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserSchemaPropertyConfig`](#@cdktf/provider-okta.AppUserSchemaPropertyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.parameter.scope" id="cdktfprovideroktaappuserschemapropertyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.parameter.id" id="cdktfprovideroktaappuserschemapropertyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.parameter.config" id="cdktfprovideroktaappuserschemapropertyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AppUserSchemaPropertyConfig`](#@cdktf/provider-okta.AppUserSchemaPropertyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putArrayOneOf`](#cdktfprovideroktaappuserschemapropertyputarrayoneof) | *No description.* |
| [`putOneOf`](#cdktfprovideroktaappuserschemapropertyputoneof) | *No description.* |
| [`resetArrayEnum`](#cdktfprovideroktaappuserschemapropertyresetarrayenum) | *No description.* |
| [`resetArrayOneOf`](#cdktfprovideroktaappuserschemapropertyresetarrayoneof) | *No description.* |
| [`resetArrayType`](#cdktfprovideroktaappuserschemapropertyresetarraytype) | *No description.* |
| [`resetDescription`](#cdktfprovideroktaappuserschemapropertyresetdescription) | *No description.* |
| [`resetEnum`](#cdktfprovideroktaappuserschemapropertyresetenum) | *No description.* |
| [`resetExternalName`](#cdktfprovideroktaappuserschemapropertyresetexternalname) | *No description.* |
| [`resetExternalNamespace`](#cdktfprovideroktaappuserschemapropertyresetexternalnamespace) | *No description.* |
| [`resetId`](#cdktfprovideroktaappuserschemapropertyresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktaappuserschemapropertyresetmaster) | *No description.* |
| [`resetMaxLength`](#cdktfprovideroktaappuserschemapropertyresetmaxlength) | *No description.* |
| [`resetMinLength`](#cdktfprovideroktaappuserschemapropertyresetminlength) | *No description.* |
| [`resetOneOf`](#cdktfprovideroktaappuserschemapropertyresetoneof) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktaappuserschemapropertyresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktaappuserschemapropertyresetrequired) | *No description.* |
| [`resetScope`](#cdktfprovideroktaappuserschemapropertyresetscope) | *No description.* |
| [`resetUnion`](#cdktfprovideroktaappuserschemapropertyresetunion) | *No description.* |
| [`resetUnique`](#cdktfprovideroktaappuserschemapropertyresetunique) | *No description.* |
| [`resetUserType`](#cdktfprovideroktaappuserschemapropertyresetusertype) | *No description.* |

---

##### `putArrayOneOf` <a name="@cdktf/provider-okta.AppUserSchemaProperty.putArrayOneOf" id="cdktfprovideroktaappuserschemapropertyputarrayoneof"></a>

```typescript
public putArrayOneOf(value: IResolvable | AppUserSchemaPropertyArrayOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.parameter.value" id="cdktfprovideroktaappuserschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)[]

---

##### `putOneOf` <a name="@cdktf/provider-okta.AppUserSchemaProperty.putOneOf" id="cdktfprovideroktaappuserschemapropertyputoneof"></a>

```typescript
public putOneOf(value: IResolvable | AppUserSchemaPropertyOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.parameter.value" id="cdktfprovideroktaappuserschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)[]

---

##### `resetArrayEnum` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetArrayEnum" id="cdktfprovideroktaappuserschemapropertyresetarrayenum"></a>

```typescript
public resetArrayEnum()
```

##### `resetArrayOneOf` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetArrayOneOf" id="cdktfprovideroktaappuserschemapropertyresetarrayoneof"></a>

```typescript
public resetArrayOneOf()
```

##### `resetArrayType` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetArrayType" id="cdktfprovideroktaappuserschemapropertyresetarraytype"></a>

```typescript
public resetArrayType()
```

##### `resetDescription` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetDescription" id="cdktfprovideroktaappuserschemapropertyresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetEnum` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetEnum" id="cdktfprovideroktaappuserschemapropertyresetenum"></a>

```typescript
public resetEnum()
```

##### `resetExternalName` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetExternalName" id="cdktfprovideroktaappuserschemapropertyresetexternalname"></a>

```typescript
public resetExternalName()
```

##### `resetExternalNamespace` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetExternalNamespace" id="cdktfprovideroktaappuserschemapropertyresetexternalnamespace"></a>

```typescript
public resetExternalNamespace()
```

##### `resetId` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetId" id="cdktfprovideroktaappuserschemapropertyresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetMaster" id="cdktfprovideroktaappuserschemapropertyresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetMaxLength` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetMaxLength" id="cdktfprovideroktaappuserschemapropertyresetmaxlength"></a>

```typescript
public resetMaxLength()
```

##### `resetMinLength` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetMinLength" id="cdktfprovideroktaappuserschemapropertyresetminlength"></a>

```typescript
public resetMinLength()
```

##### `resetOneOf` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetOneOf" id="cdktfprovideroktaappuserschemapropertyresetoneof"></a>

```typescript
public resetOneOf()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetPermissions" id="cdktfprovideroktaappuserschemapropertyresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetRequired" id="cdktfprovideroktaappuserschemapropertyresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetScope` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetScope" id="cdktfprovideroktaappuserschemapropertyresetscope"></a>

```typescript
public resetScope()
```

##### `resetUnion` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetUnion" id="cdktfprovideroktaappuserschemapropertyresetunion"></a>

```typescript
public resetUnion()
```

##### `resetUnique` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetUnique" id="cdktfprovideroktaappuserschemapropertyresetunique"></a>

```typescript
public resetUnique()
```

##### `resetUserType` <a name="@cdktf/provider-okta.AppUserSchemaProperty.resetUserType" id="cdktfprovideroktaappuserschemapropertyresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`arrayOneOf`](#cdktfprovideroktaappuserschemapropertypropertyarrayoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList) | *No description.* |
| [`oneOf`](#cdktfprovideroktaappuserschemapropertypropertyoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.AppUserSchemaPropertyOneOfList`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOfList) | *No description.* |
| [`appIdInput`](#cdktfprovideroktaappuserschemapropertypropertyappidinput) | `string` | *No description.* |
| [`arrayEnumInput`](#cdktfprovideroktaappuserschemapropertypropertyarrayenuminput) | `string`[] | *No description.* |
| [`arrayOneOfInput`](#cdktfprovideroktaappuserschemapropertypropertyarrayoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)[] | *No description.* |
| [`arrayTypeInput`](#cdktfprovideroktaappuserschemapropertypropertyarraytypeinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktaappuserschemapropertypropertydescriptioninput) | `string` | *No description.* |
| [`enumInput`](#cdktfprovideroktaappuserschemapropertypropertyenuminput) | `string`[] | *No description.* |
| [`externalNameInput`](#cdktfprovideroktaappuserschemapropertypropertyexternalnameinput) | `string` | *No description.* |
| [`externalNamespaceInput`](#cdktfprovideroktaappuserschemapropertypropertyexternalnamespaceinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappuserschemapropertypropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktaappuserschemapropertypropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktaappuserschemapropertypropertymasterinput) | `string` | *No description.* |
| [`maxLengthInput`](#cdktfprovideroktaappuserschemapropertypropertymaxlengthinput) | `number` | *No description.* |
| [`minLengthInput`](#cdktfprovideroktaappuserschemapropertypropertyminlengthinput) | `number` | *No description.* |
| [`oneOfInput`](#cdktfprovideroktaappuserschemapropertypropertyoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)[] | *No description.* |
| [`permissionsInput`](#cdktfprovideroktaappuserschemapropertypropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktaappuserschemapropertypropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scopeInput`](#cdktfprovideroktaappuserschemapropertypropertyscopeinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserschemapropertypropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappuserschemapropertypropertytypeinput) | `string` | *No description.* |
| [`unionInput`](#cdktfprovideroktaappuserschemapropertypropertyunioninput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`uniqueInput`](#cdktfprovideroktaappuserschemapropertypropertyuniqueinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktaappuserschemapropertypropertyusertypeinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaappuserschemapropertypropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`arrayEnum`](#cdktfprovideroktaappuserschemapropertypropertyarrayenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`arrayType`](#cdktfprovideroktaappuserschemapropertypropertyarraytype)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktaappuserschemapropertypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`enum`](#cdktfprovideroktaappuserschemapropertypropertyenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`externalName`](#cdktfprovideroktaappuserschemapropertypropertyexternalname)<span title="Required">*</span> | `string` | *No description.* |
| [`externalNamespace`](#cdktfprovideroktaappuserschemapropertypropertyexternalnamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappuserschemapropertypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktaappuserschemapropertypropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktaappuserschemapropertypropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`maxLength`](#cdktfprovideroktaappuserschemapropertypropertymaxlength)<span title="Required">*</span> | `number` | *No description.* |
| [`minLength`](#cdktfprovideroktaappuserschemapropertypropertyminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`permissions`](#cdktfprovideroktaappuserschemapropertypropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktaappuserschemapropertypropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scope`](#cdktfprovideroktaappuserschemapropertypropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktaappuserschemapropertypropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappuserschemapropertypropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`union`](#cdktfprovideroktaappuserschemapropertypropertyunion)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`unique`](#cdktfprovideroktaappuserschemapropertypropertyunique)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktaappuserschemapropertypropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `arrayOneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.arrayOneOf" id="cdktfprovideroktaappuserschemapropertypropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: AppUserSchemaPropertyArrayOneOfList;
```

- *Type:* [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList)

---

##### `oneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.oneOf" id="cdktfprovideroktaappuserschemapropertypropertyoneof"></a>

```typescript
public readonly oneOf: AppUserSchemaPropertyOneOfList;
```

- *Type:* [`@cdktf/provider-okta.AppUserSchemaPropertyOneOfList`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOfList)

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.appIdInput" id="cdktfprovideroktaappuserschemapropertypropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `arrayEnumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.arrayEnumInput" id="cdktfprovideroktaappuserschemapropertypropertyarrayenuminput"></a>

```typescript
public readonly arrayEnumInput: string[];
```

- *Type:* `string`[]

---

##### `arrayOneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.arrayOneOfInput" id="cdktfprovideroktaappuserschemapropertypropertyarrayoneofinput"></a>

```typescript
public readonly arrayOneOfInput: IResolvable | AppUserSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)[]

---

##### `arrayTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.arrayTypeInput" id="cdktfprovideroktaappuserschemapropertypropertyarraytypeinput"></a>

```typescript
public readonly arrayTypeInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.descriptionInput" id="cdktfprovideroktaappuserschemapropertypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `enumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.enumInput" id="cdktfprovideroktaappuserschemapropertypropertyenuminput"></a>

```typescript
public readonly enumInput: string[];
```

- *Type:* `string`[]

---

##### `externalNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.externalNameInput" id="cdktfprovideroktaappuserschemapropertypropertyexternalnameinput"></a>

```typescript
public readonly externalNameInput: string;
```

- *Type:* `string`

---

##### `externalNamespaceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.externalNamespaceInput" id="cdktfprovideroktaappuserschemapropertypropertyexternalnamespaceinput"></a>

```typescript
public readonly externalNamespaceInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.idInput" id="cdktfprovideroktaappuserschemapropertypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.indexInput" id="cdktfprovideroktaappuserschemapropertypropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.masterInput" id="cdktfprovideroktaappuserschemapropertypropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `maxLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.maxLengthInput" id="cdktfprovideroktaappuserschemapropertypropertymaxlengthinput"></a>

```typescript
public readonly maxLengthInput: number;
```

- *Type:* `number`

---

##### `minLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.minLengthInput" id="cdktfprovideroktaappuserschemapropertypropertyminlengthinput"></a>

```typescript
public readonly minLengthInput: number;
```

- *Type:* `number`

---

##### `oneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.oneOfInput" id="cdktfprovideroktaappuserschemapropertypropertyoneofinput"></a>

```typescript
public readonly oneOfInput: IResolvable | AppUserSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)[]

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.permissionsInput" id="cdktfprovideroktaappuserschemapropertypropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.requiredInput" id="cdktfprovideroktaappuserschemapropertypropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.scopeInput" id="cdktfprovideroktaappuserschemapropertypropertyscopeinput"></a>

```typescript
public readonly scopeInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.titleInput" id="cdktfprovideroktaappuserschemapropertypropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.typeInput" id="cdktfprovideroktaappuserschemapropertypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `unionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.unionInput" id="cdktfprovideroktaappuserschemapropertypropertyunioninput"></a>

```typescript
public readonly unionInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `uniqueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.uniqueInput" id="cdktfprovideroktaappuserschemapropertypropertyuniqueinput"></a>

```typescript
public readonly uniqueInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.userTypeInput" id="cdktfprovideroktaappuserschemapropertypropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.appId" id="cdktfprovideroktaappuserschemapropertypropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `arrayEnum`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.arrayEnum" id="cdktfprovideroktaappuserschemapropertypropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

---

##### `arrayType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.arrayType" id="cdktfprovideroktaappuserschemapropertypropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.description" id="cdktfprovideroktaappuserschemapropertypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `enum`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.enum" id="cdktfprovideroktaappuserschemapropertypropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

---

##### `externalName`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.externalName" id="cdktfprovideroktaappuserschemapropertypropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

---

##### `externalNamespace`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.externalNamespace" id="cdktfprovideroktaappuserschemapropertypropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.id" id="cdktfprovideroktaappuserschemapropertypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.index" id="cdktfprovideroktaappuserschemapropertypropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.master" id="cdktfprovideroktaappuserschemapropertypropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `maxLength`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.maxLength" id="cdktfprovideroktaappuserschemapropertypropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

---

##### `minLength`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.minLength" id="cdktfprovideroktaappuserschemapropertypropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.permissions" id="cdktfprovideroktaappuserschemapropertypropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.required" id="cdktfprovideroktaappuserschemapropertypropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.scope" id="cdktfprovideroktaappuserschemapropertypropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.title" id="cdktfprovideroktaappuserschemapropertypropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.type" id="cdktfprovideroktaappuserschemapropertypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `union`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.union" id="cdktfprovideroktaappuserschemapropertypropertyunion"></a>

```typescript
public readonly union: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `unique`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.unique" id="cdktfprovideroktaappuserschemapropertypropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.userType" id="cdktfprovideroktaappuserschemapropertypropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaappuserschemapropertypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AppUserSchemaProperty.property.tfResourceType" id="cdktfprovideroktaappuserschemapropertypropertytfresourcetype"></a>

- *Type:* `string`

---

### Authenticator <a name="@cdktf/provider-okta.Authenticator" id="cdktfprovideroktaauthenticator"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/authenticator okta_authenticator}.

#### Initializers <a name="@cdktf/provider-okta.Authenticator.Initializer" id="cdktfprovideroktaauthenticatorinitializer"></a>

```typescript
import { Authenticator } from '@cdktf/provider-okta'

new Authenticator(scope: Construct, id: string, config: AuthenticatorConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthenticatorparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthenticatorparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthenticatorparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthenticatorConfig`](#@cdktf/provider-okta.AuthenticatorConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.parameter.scope" id="cdktfprovideroktaauthenticatorparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.parameter.id" id="cdktfprovideroktaauthenticatorparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.parameter.config" id="cdktfprovideroktaauthenticatorparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthenticatorConfig`](#@cdktf/provider-okta.AuthenticatorConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaauthenticatorresetid) | *No description.* |
| [`resetProviderAuthPort`](#cdktfprovideroktaauthenticatorresetproviderauthport) | *No description.* |
| [`resetProviderHostname`](#cdktfprovideroktaauthenticatorresetproviderhostname) | *No description.* |
| [`resetProviderSharedSecret`](#cdktfprovideroktaauthenticatorresetprovidersharedsecret) | *No description.* |
| [`resetProviderUserNameTemplate`](#cdktfprovideroktaauthenticatorresetproviderusernametemplate) | *No description.* |
| [`resetSettings`](#cdktfprovideroktaauthenticatorresetsettings) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaauthenticatorresetstatus) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.Authenticator.resetId" id="cdktfprovideroktaauthenticatorresetid"></a>

```typescript
public resetId()
```

##### `resetProviderAuthPort` <a name="@cdktf/provider-okta.Authenticator.resetProviderAuthPort" id="cdktfprovideroktaauthenticatorresetproviderauthport"></a>

```typescript
public resetProviderAuthPort()
```

##### `resetProviderHostname` <a name="@cdktf/provider-okta.Authenticator.resetProviderHostname" id="cdktfprovideroktaauthenticatorresetproviderhostname"></a>

```typescript
public resetProviderHostname()
```

##### `resetProviderSharedSecret` <a name="@cdktf/provider-okta.Authenticator.resetProviderSharedSecret" id="cdktfprovideroktaauthenticatorresetprovidersharedsecret"></a>

```typescript
public resetProviderSharedSecret()
```

##### `resetProviderUserNameTemplate` <a name="@cdktf/provider-okta.Authenticator.resetProviderUserNameTemplate" id="cdktfprovideroktaauthenticatorresetproviderusernametemplate"></a>

```typescript
public resetProviderUserNameTemplate()
```

##### `resetSettings` <a name="@cdktf/provider-okta.Authenticator.resetSettings" id="cdktfprovideroktaauthenticatorresetsettings"></a>

```typescript
public resetSettings()
```

##### `resetStatus` <a name="@cdktf/provider-okta.Authenticator.resetStatus" id="cdktfprovideroktaauthenticatorresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`providerInstanceId`](#cdktfprovideroktaauthenticatorpropertyproviderinstanceid)<span title="Required">*</span> | `string` | *No description.* |
| [`providerType`](#cdktfprovideroktaauthenticatorpropertyprovidertype)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaauthenticatorpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaauthenticatorpropertyidinput) | `string` | *No description.* |
| [`keyInput`](#cdktfprovideroktaauthenticatorpropertykeyinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthenticatorpropertynameinput) | `string` | *No description.* |
| [`providerAuthPortInput`](#cdktfprovideroktaauthenticatorpropertyproviderauthportinput) | `number` | *No description.* |
| [`providerHostnameInput`](#cdktfprovideroktaauthenticatorpropertyproviderhostnameinput) | `string` | *No description.* |
| [`providerSharedSecretInput`](#cdktfprovideroktaauthenticatorpropertyprovidersharedsecretinput) | `string` | *No description.* |
| [`providerUserNameTemplateInput`](#cdktfprovideroktaauthenticatorpropertyproviderusernametemplateinput) | `string` | *No description.* |
| [`settingsInput`](#cdktfprovideroktaauthenticatorpropertysettingsinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktaauthenticatorpropertystatusinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaauthenticatorpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`key`](#cdktfprovideroktaauthenticatorpropertykey)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthenticatorpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`providerAuthPort`](#cdktfprovideroktaauthenticatorpropertyproviderauthport)<span title="Required">*</span> | `number` | *No description.* |
| [`providerHostname`](#cdktfprovideroktaauthenticatorpropertyproviderhostname)<span title="Required">*</span> | `string` | *No description.* |
| [`providerSharedSecret`](#cdktfprovideroktaauthenticatorpropertyprovidersharedsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`providerUserNameTemplate`](#cdktfprovideroktaauthenticatorpropertyproviderusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`settings`](#cdktfprovideroktaauthenticatorpropertysettings)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaauthenticatorpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `providerInstanceId`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerInstanceId" id="cdktfprovideroktaauthenticatorpropertyproviderinstanceid"></a>

```typescript
public readonly providerInstanceId: string;
```

- *Type:* `string`

---

##### `providerType`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerType" id="cdktfprovideroktaauthenticatorpropertyprovidertype"></a>

```typescript
public readonly providerType: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.type" id="cdktfprovideroktaauthenticatorpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.idInput" id="cdktfprovideroktaauthenticatorpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `keyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.keyInput" id="cdktfprovideroktaauthenticatorpropertykeyinput"></a>

```typescript
public readonly keyInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.nameInput" id="cdktfprovideroktaauthenticatorpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `providerAuthPortInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerAuthPortInput" id="cdktfprovideroktaauthenticatorpropertyproviderauthportinput"></a>

```typescript
public readonly providerAuthPortInput: number;
```

- *Type:* `number`

---

##### `providerHostnameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerHostnameInput" id="cdktfprovideroktaauthenticatorpropertyproviderhostnameinput"></a>

```typescript
public readonly providerHostnameInput: string;
```

- *Type:* `string`

---

##### `providerSharedSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerSharedSecretInput" id="cdktfprovideroktaauthenticatorpropertyprovidersharedsecretinput"></a>

```typescript
public readonly providerSharedSecretInput: string;
```

- *Type:* `string`

---

##### `providerUserNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerUserNameTemplateInput" id="cdktfprovideroktaauthenticatorpropertyproviderusernametemplateinput"></a>

```typescript
public readonly providerUserNameTemplateInput: string;
```

- *Type:* `string`

---

##### `settingsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.settingsInput" id="cdktfprovideroktaauthenticatorpropertysettingsinput"></a>

```typescript
public readonly settingsInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Authenticator.property.statusInput" id="cdktfprovideroktaauthenticatorpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.id" id="cdktfprovideroktaauthenticatorpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.key" id="cdktfprovideroktaauthenticatorpropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.name" id="cdktfprovideroktaauthenticatorpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `providerAuthPort`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerAuthPort" id="cdktfprovideroktaauthenticatorpropertyproviderauthport"></a>

```typescript
public readonly providerAuthPort: number;
```

- *Type:* `number`

---

##### `providerHostname`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerHostname" id="cdktfprovideroktaauthenticatorpropertyproviderhostname"></a>

```typescript
public readonly providerHostname: string;
```

- *Type:* `string`

---

##### `providerSharedSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerSharedSecret" id="cdktfprovideroktaauthenticatorpropertyprovidersharedsecret"></a>

```typescript
public readonly providerSharedSecret: string;
```

- *Type:* `string`

---

##### `providerUserNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.providerUserNameTemplate" id="cdktfprovideroktaauthenticatorpropertyproviderusernametemplate"></a>

```typescript
public readonly providerUserNameTemplate: string;
```

- *Type:* `string`

---

##### `settings`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.settings" id="cdktfprovideroktaauthenticatorpropertysettings"></a>

```typescript
public readonly settings: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.Authenticator.property.status" id="cdktfprovideroktaauthenticatorpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthenticatorpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Authenticator.property.tfResourceType" id="cdktfprovideroktaauthenticatorpropertytfresourcetype"></a>

- *Type:* `string`

---

### AuthServer <a name="@cdktf/provider-okta.AuthServer" id="cdktfprovideroktaauthserver"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auth_server okta_auth_server}.

#### Initializers <a name="@cdktf/provider-okta.AuthServer.Initializer" id="cdktfprovideroktaauthserverinitializer"></a>

```typescript
import { AuthServer } from '@cdktf/provider-okta'

new AuthServer(scope: Construct, id: string, config: AuthServerConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthserverparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthserverparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthserverparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthServerConfig`](#@cdktf/provider-okta.AuthServerConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.parameter.scope" id="cdktfprovideroktaauthserverparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.parameter.id" id="cdktfprovideroktaauthserverparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.parameter.config" id="cdktfprovideroktaauthserverparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthServerConfig`](#@cdktf/provider-okta.AuthServerConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetCredentialsRotationMode`](#cdktfprovideroktaauthserverresetcredentialsrotationmode) | *No description.* |
| [`resetDescription`](#cdktfprovideroktaauthserverresetdescription) | *No description.* |
| [`resetId`](#cdktfprovideroktaauthserverresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaauthserverresetissuermode) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaauthserverresetstatus) | *No description.* |

---

##### `resetCredentialsRotationMode` <a name="@cdktf/provider-okta.AuthServer.resetCredentialsRotationMode" id="cdktfprovideroktaauthserverresetcredentialsrotationmode"></a>

```typescript
public resetCredentialsRotationMode()
```

##### `resetDescription` <a name="@cdktf/provider-okta.AuthServer.resetDescription" id="cdktfprovideroktaauthserverresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetId` <a name="@cdktf/provider-okta.AuthServer.resetId" id="cdktfprovideroktaauthserverresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.AuthServer.resetIssuerMode" id="cdktfprovideroktaauthserverresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AuthServer.resetStatus" id="cdktfprovideroktaauthserverresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`credentialsLastRotated`](#cdktfprovideroktaauthserverpropertycredentialslastrotated)<span title="Required">*</span> | `string` | *No description.* |
| [`credentialsNextRotation`](#cdktfprovideroktaauthserverpropertycredentialsnextrotation)<span title="Required">*</span> | `string` | *No description.* |
| [`issuer`](#cdktfprovideroktaauthserverpropertyissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktaauthserverpropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`audiencesInput`](#cdktfprovideroktaauthserverpropertyaudiencesinput) | `string`[] | *No description.* |
| [`credentialsRotationModeInput`](#cdktfprovideroktaauthserverpropertycredentialsrotationmodeinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktaauthserverpropertydescriptioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaauthserverpropertyidinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaauthserverpropertyissuermodeinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthserverpropertynameinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktaauthserverpropertystatusinput) | `string` | *No description.* |
| [`audiences`](#cdktfprovideroktaauthserverpropertyaudiences)<span title="Required">*</span> | `string`[] | *No description.* |
| [`credentialsRotationMode`](#cdktfprovideroktaauthserverpropertycredentialsrotationmode)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktaauthserverpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaauthserverpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktaauthserverpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthserverpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaauthserverpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `credentialsLastRotated`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.credentialsLastRotated" id="cdktfprovideroktaauthserverpropertycredentialslastrotated"></a>

```typescript
public readonly credentialsLastRotated: string;
```

- *Type:* `string`

---

##### `credentialsNextRotation`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.credentialsNextRotation" id="cdktfprovideroktaauthserverpropertycredentialsnextrotation"></a>

```typescript
public readonly credentialsNextRotation: string;
```

- *Type:* `string`

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.issuer" id="cdktfprovideroktaauthserverpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.kid" id="cdktfprovideroktaauthserverpropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `audiencesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServer.property.audiencesInput" id="cdktfprovideroktaauthserverpropertyaudiencesinput"></a>

```typescript
public readonly audiencesInput: string[];
```

- *Type:* `string`[]

---

##### `credentialsRotationModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServer.property.credentialsRotationModeInput" id="cdktfprovideroktaauthserverpropertycredentialsrotationmodeinput"></a>

```typescript
public readonly credentialsRotationModeInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServer.property.descriptionInput" id="cdktfprovideroktaauthserverpropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServer.property.idInput" id="cdktfprovideroktaauthserverpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServer.property.issuerModeInput" id="cdktfprovideroktaauthserverpropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServer.property.nameInput" id="cdktfprovideroktaauthserverpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServer.property.statusInput" id="cdktfprovideroktaauthserverpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `audiences`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.audiences" id="cdktfprovideroktaauthserverpropertyaudiences"></a>

```typescript
public readonly audiences: string[];
```

- *Type:* `string`[]

---

##### `credentialsRotationMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.credentialsRotationMode" id="cdktfprovideroktaauthserverpropertycredentialsrotationmode"></a>

```typescript
public readonly credentialsRotationMode: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.description" id="cdktfprovideroktaauthserverpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.id" id="cdktfprovideroktaauthserverpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.issuerMode" id="cdktfprovideroktaauthserverpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.name" id="cdktfprovideroktaauthserverpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServer.property.status" id="cdktfprovideroktaauthserverpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthserverpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AuthServer.property.tfResourceType" id="cdktfprovideroktaauthserverpropertytfresourcetype"></a>

- *Type:* `string`

---

### AuthServerClaim <a name="@cdktf/provider-okta.AuthServerClaim" id="cdktfprovideroktaauthserverclaim"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim okta_auth_server_claim}.

#### Initializers <a name="@cdktf/provider-okta.AuthServerClaim.Initializer" id="cdktfprovideroktaauthserverclaiminitializer"></a>

```typescript
import { AuthServerClaim } from '@cdktf/provider-okta'

new AuthServerClaim(scope: Construct, id: string, config: AuthServerClaimConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthserverclaimparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthserverclaimparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthserverclaimparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthServerClaimConfig`](#@cdktf/provider-okta.AuthServerClaimConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.parameter.scope" id="cdktfprovideroktaauthserverclaimparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.parameter.id" id="cdktfprovideroktaauthserverclaimparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.parameter.config" id="cdktfprovideroktaauthserverclaimparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthServerClaimConfig`](#@cdktf/provider-okta.AuthServerClaimConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAlwaysIncludeInToken`](#cdktfprovideroktaauthserverclaimresetalwaysincludeintoken) | *No description.* |
| [`resetGroupFilterType`](#cdktfprovideroktaauthserverclaimresetgroupfiltertype) | *No description.* |
| [`resetId`](#cdktfprovideroktaauthserverclaimresetid) | *No description.* |
| [`resetScopes`](#cdktfprovideroktaauthserverclaimresetscopes) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaauthserverclaimresetstatus) | *No description.* |
| [`resetValueType`](#cdktfprovideroktaauthserverclaimresetvaluetype) | *No description.* |

---

##### `resetAlwaysIncludeInToken` <a name="@cdktf/provider-okta.AuthServerClaim.resetAlwaysIncludeInToken" id="cdktfprovideroktaauthserverclaimresetalwaysincludeintoken"></a>

```typescript
public resetAlwaysIncludeInToken()
```

##### `resetGroupFilterType` <a name="@cdktf/provider-okta.AuthServerClaim.resetGroupFilterType" id="cdktfprovideroktaauthserverclaimresetgroupfiltertype"></a>

```typescript
public resetGroupFilterType()
```

##### `resetId` <a name="@cdktf/provider-okta.AuthServerClaim.resetId" id="cdktfprovideroktaauthserverclaimresetid"></a>

```typescript
public resetId()
```

##### `resetScopes` <a name="@cdktf/provider-okta.AuthServerClaim.resetScopes" id="cdktfprovideroktaauthserverclaimresetscopes"></a>

```typescript
public resetScopes()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AuthServerClaim.resetStatus" id="cdktfprovideroktaauthserverclaimresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetValueType` <a name="@cdktf/provider-okta.AuthServerClaim.resetValueType" id="cdktfprovideroktaauthserverclaimresetvaluetype"></a>

```typescript
public resetValueType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`alwaysIncludeInTokenInput`](#cdktfprovideroktaauthserverclaimpropertyalwaysincludeintokeninput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktaauthserverclaimpropertyauthserveridinput) | `string` | *No description.* |
| [`claimTypeInput`](#cdktfprovideroktaauthserverclaimpropertyclaimtypeinput) | `string` | *No description.* |
| [`groupFilterTypeInput`](#cdktfprovideroktaauthserverclaimpropertygroupfiltertypeinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaauthserverclaimpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthserverclaimpropertynameinput) | `string` | *No description.* |
| [`scopesInput`](#cdktfprovideroktaauthserverclaimpropertyscopesinput) | `string`[] | *No description.* |
| [`statusInput`](#cdktfprovideroktaauthserverclaimpropertystatusinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktaauthserverclaimpropertyvalueinput) | `string` | *No description.* |
| [`valueTypeInput`](#cdktfprovideroktaauthserverclaimpropertyvaluetypeinput) | `string` | *No description.* |
| [`alwaysIncludeInToken`](#cdktfprovideroktaauthserverclaimpropertyalwaysincludeintoken)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverclaimpropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`claimType`](#cdktfprovideroktaauthserverclaimpropertyclaimtype)<span title="Required">*</span> | `string` | *No description.* |
| [`groupFilterType`](#cdktfprovideroktaauthserverclaimpropertygroupfiltertype)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaauthserverclaimpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthserverclaimpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktaauthserverclaimpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktaauthserverclaimpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktaauthserverclaimpropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`valueType`](#cdktfprovideroktaauthserverclaimpropertyvaluetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `alwaysIncludeInTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.alwaysIncludeInTokenInput" id="cdktfprovideroktaauthserverclaimpropertyalwaysincludeintokeninput"></a>

```typescript
public readonly alwaysIncludeInTokenInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.authServerIdInput" id="cdktfprovideroktaauthserverclaimpropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `claimTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.claimTypeInput" id="cdktfprovideroktaauthserverclaimpropertyclaimtypeinput"></a>

```typescript
public readonly claimTypeInput: string;
```

- *Type:* `string`

---

##### `groupFilterTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.groupFilterTypeInput" id="cdktfprovideroktaauthserverclaimpropertygroupfiltertypeinput"></a>

```typescript
public readonly groupFilterTypeInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.idInput" id="cdktfprovideroktaauthserverclaimpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.nameInput" id="cdktfprovideroktaauthserverclaimpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.scopesInput" id="cdktfprovideroktaauthserverclaimpropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.statusInput" id="cdktfprovideroktaauthserverclaimpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.valueInput" id="cdktfprovideroktaauthserverclaimpropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `valueTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.valueTypeInput" id="cdktfprovideroktaauthserverclaimpropertyvaluetypeinput"></a>

```typescript
public readonly valueTypeInput: string;
```

- *Type:* `string`

---

##### `alwaysIncludeInToken`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.alwaysIncludeInToken" id="cdktfprovideroktaauthserverclaimpropertyalwaysincludeintoken"></a>

```typescript
public readonly alwaysIncludeInToken: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.authServerId" id="cdktfprovideroktaauthserverclaimpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `claimType`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.claimType" id="cdktfprovideroktaauthserverclaimpropertyclaimtype"></a>

```typescript
public readonly claimType: string;
```

- *Type:* `string`

---

##### `groupFilterType`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.groupFilterType" id="cdktfprovideroktaauthserverclaimpropertygroupfiltertype"></a>

```typescript
public readonly groupFilterType: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.id" id="cdktfprovideroktaauthserverclaimpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.name" id="cdktfprovideroktaauthserverclaimpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.scopes" id="cdktfprovideroktaauthserverclaimpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.status" id="cdktfprovideroktaauthserverclaimpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.value" id="cdktfprovideroktaauthserverclaimpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `valueType`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaim.property.valueType" id="cdktfprovideroktaauthserverclaimpropertyvaluetype"></a>

```typescript
public readonly valueType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthserverclaimpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AuthServerClaim.property.tfResourceType" id="cdktfprovideroktaauthserverclaimpropertytfresourcetype"></a>

- *Type:* `string`

---

### AuthServerClaimDefault <a name="@cdktf/provider-okta.AuthServerClaimDefault" id="cdktfprovideroktaauthserverclaimdefault"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default okta_auth_server_claim_default}.

#### Initializers <a name="@cdktf/provider-okta.AuthServerClaimDefault.Initializer" id="cdktfprovideroktaauthserverclaimdefaultinitializer"></a>

```typescript
import { AuthServerClaimDefault } from '@cdktf/provider-okta'

new AuthServerClaimDefault(scope: Construct, id: string, config: AuthServerClaimDefaultConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthserverclaimdefaultparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthserverclaimdefaultparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthserverclaimdefaultparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthServerClaimDefaultConfig`](#@cdktf/provider-okta.AuthServerClaimDefaultConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.parameter.scope" id="cdktfprovideroktaauthserverclaimdefaultparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.parameter.id" id="cdktfprovideroktaauthserverclaimdefaultparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.parameter.config" id="cdktfprovideroktaauthserverclaimdefaultparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthServerClaimDefaultConfig`](#@cdktf/provider-okta.AuthServerClaimDefaultConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAlwaysIncludeInToken`](#cdktfprovideroktaauthserverclaimdefaultresetalwaysincludeintoken) | *No description.* |
| [`resetId`](#cdktfprovideroktaauthserverclaimdefaultresetid) | *No description.* |
| [`resetValue`](#cdktfprovideroktaauthserverclaimdefaultresetvalue) | *No description.* |

---

##### `resetAlwaysIncludeInToken` <a name="@cdktf/provider-okta.AuthServerClaimDefault.resetAlwaysIncludeInToken" id="cdktfprovideroktaauthserverclaimdefaultresetalwaysincludeintoken"></a>

```typescript
public resetAlwaysIncludeInToken()
```

##### `resetId` <a name="@cdktf/provider-okta.AuthServerClaimDefault.resetId" id="cdktfprovideroktaauthserverclaimdefaultresetid"></a>

```typescript
public resetId()
```

##### `resetValue` <a name="@cdktf/provider-okta.AuthServerClaimDefault.resetValue" id="cdktfprovideroktaauthserverclaimdefaultresetvalue"></a>

```typescript
public resetValue()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`claimType`](#cdktfprovideroktaauthserverclaimdefaultpropertyclaimtype)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktaauthserverclaimdefaultpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktaauthserverclaimdefaultpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`valueType`](#cdktfprovideroktaauthserverclaimdefaultpropertyvaluetype)<span title="Required">*</span> | `string` | *No description.* |
| [`alwaysIncludeInTokenInput`](#cdktfprovideroktaauthserverclaimdefaultpropertyalwaysincludeintokeninput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktaauthserverclaimdefaultpropertyauthserveridinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaauthserverclaimdefaultpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthserverclaimdefaultpropertynameinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktaauthserverclaimdefaultpropertyvalueinput) | `string` | *No description.* |
| [`alwaysIncludeInToken`](#cdktfprovideroktaauthserverclaimdefaultpropertyalwaysincludeintoken)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverclaimdefaultpropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaauthserverclaimdefaultpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthserverclaimdefaultpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktaauthserverclaimdefaultpropertyvalue)<span title="Required">*</span> | `string` | *No description.* |

---

##### `claimType`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.claimType" id="cdktfprovideroktaauthserverclaimdefaultpropertyclaimtype"></a>

```typescript
public readonly claimType: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.scopes" id="cdktfprovideroktaauthserverclaimdefaultpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.status" id="cdktfprovideroktaauthserverclaimdefaultpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `valueType`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.valueType" id="cdktfprovideroktaauthserverclaimdefaultpropertyvaluetype"></a>

```typescript
public readonly valueType: string;
```

- *Type:* `string`

---

##### `alwaysIncludeInTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.alwaysIncludeInTokenInput" id="cdktfprovideroktaauthserverclaimdefaultpropertyalwaysincludeintokeninput"></a>

```typescript
public readonly alwaysIncludeInTokenInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.authServerIdInput" id="cdktfprovideroktaauthserverclaimdefaultpropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.idInput" id="cdktfprovideroktaauthserverclaimdefaultpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.nameInput" id="cdktfprovideroktaauthserverclaimdefaultpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.valueInput" id="cdktfprovideroktaauthserverclaimdefaultpropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `alwaysIncludeInToken`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.alwaysIncludeInToken" id="cdktfprovideroktaauthserverclaimdefaultpropertyalwaysincludeintoken"></a>

```typescript
public readonly alwaysIncludeInToken: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.authServerId" id="cdktfprovideroktaauthserverclaimdefaultpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.id" id="cdktfprovideroktaauthserverclaimdefaultpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.name" id="cdktfprovideroktaauthserverclaimdefaultpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.value" id="cdktfprovideroktaauthserverclaimdefaultpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthserverclaimdefaultpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AuthServerClaimDefault.property.tfResourceType" id="cdktfprovideroktaauthserverclaimdefaultpropertytfresourcetype"></a>

- *Type:* `string`

---

### AuthServerDefault <a name="@cdktf/provider-okta.AuthServerDefault" id="cdktfprovideroktaauthserverdefault"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default okta_auth_server_default}.

#### Initializers <a name="@cdktf/provider-okta.AuthServerDefault.Initializer" id="cdktfprovideroktaauthserverdefaultinitializer"></a>

```typescript
import { AuthServerDefault } from '@cdktf/provider-okta'

new AuthServerDefault(scope: Construct, id: string, config: AuthServerDefaultConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthserverdefaultparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthserverdefaultparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthserverdefaultparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthServerDefaultConfig`](#@cdktf/provider-okta.AuthServerDefaultConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.parameter.scope" id="cdktfprovideroktaauthserverdefaultparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.parameter.id" id="cdktfprovideroktaauthserverdefaultparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.parameter.config" id="cdktfprovideroktaauthserverdefaultparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthServerDefaultConfig`](#@cdktf/provider-okta.AuthServerDefaultConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAudiences`](#cdktfprovideroktaauthserverdefaultresetaudiences) | *No description.* |
| [`resetCredentialsRotationMode`](#cdktfprovideroktaauthserverdefaultresetcredentialsrotationmode) | *No description.* |
| [`resetDescription`](#cdktfprovideroktaauthserverdefaultresetdescription) | *No description.* |
| [`resetId`](#cdktfprovideroktaauthserverdefaultresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaauthserverdefaultresetissuermode) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaauthserverdefaultresetstatus) | *No description.* |

---

##### `resetAudiences` <a name="@cdktf/provider-okta.AuthServerDefault.resetAudiences" id="cdktfprovideroktaauthserverdefaultresetaudiences"></a>

```typescript
public resetAudiences()
```

##### `resetCredentialsRotationMode` <a name="@cdktf/provider-okta.AuthServerDefault.resetCredentialsRotationMode" id="cdktfprovideroktaauthserverdefaultresetcredentialsrotationmode"></a>

```typescript
public resetCredentialsRotationMode()
```

##### `resetDescription` <a name="@cdktf/provider-okta.AuthServerDefault.resetDescription" id="cdktfprovideroktaauthserverdefaultresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetId` <a name="@cdktf/provider-okta.AuthServerDefault.resetId" id="cdktfprovideroktaauthserverdefaultresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.AuthServerDefault.resetIssuerMode" id="cdktfprovideroktaauthserverdefaultresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AuthServerDefault.resetStatus" id="cdktfprovideroktaauthserverdefaultresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`credentialsLastRotated`](#cdktfprovideroktaauthserverdefaultpropertycredentialslastrotated)<span title="Required">*</span> | `string` | *No description.* |
| [`credentialsNextRotation`](#cdktfprovideroktaauthserverdefaultpropertycredentialsnextrotation)<span title="Required">*</span> | `string` | *No description.* |
| [`issuer`](#cdktfprovideroktaauthserverdefaultpropertyissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktaauthserverdefaultpropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`audiencesInput`](#cdktfprovideroktaauthserverdefaultpropertyaudiencesinput) | `string`[] | *No description.* |
| [`credentialsRotationModeInput`](#cdktfprovideroktaauthserverdefaultpropertycredentialsrotationmodeinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktaauthserverdefaultpropertydescriptioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaauthserverdefaultpropertyidinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaauthserverdefaultpropertyissuermodeinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthserverdefaultpropertynameinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktaauthserverdefaultpropertystatusinput) | `string` | *No description.* |
| [`audiences`](#cdktfprovideroktaauthserverdefaultpropertyaudiences)<span title="Required">*</span> | `string`[] | *No description.* |
| [`credentialsRotationMode`](#cdktfprovideroktaauthserverdefaultpropertycredentialsrotationmode)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktaauthserverdefaultpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaauthserverdefaultpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktaauthserverdefaultpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthserverdefaultpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaauthserverdefaultpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `credentialsLastRotated`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.credentialsLastRotated" id="cdktfprovideroktaauthserverdefaultpropertycredentialslastrotated"></a>

```typescript
public readonly credentialsLastRotated: string;
```

- *Type:* `string`

---

##### `credentialsNextRotation`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.credentialsNextRotation" id="cdktfprovideroktaauthserverdefaultpropertycredentialsnextrotation"></a>

```typescript
public readonly credentialsNextRotation: string;
```

- *Type:* `string`

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.issuer" id="cdktfprovideroktaauthserverdefaultpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.kid" id="cdktfprovideroktaauthserverdefaultpropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `audiencesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.audiencesInput" id="cdktfprovideroktaauthserverdefaultpropertyaudiencesinput"></a>

```typescript
public readonly audiencesInput: string[];
```

- *Type:* `string`[]

---

##### `credentialsRotationModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.credentialsRotationModeInput" id="cdktfprovideroktaauthserverdefaultpropertycredentialsrotationmodeinput"></a>

```typescript
public readonly credentialsRotationModeInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.descriptionInput" id="cdktfprovideroktaauthserverdefaultpropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.idInput" id="cdktfprovideroktaauthserverdefaultpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.issuerModeInput" id="cdktfprovideroktaauthserverdefaultpropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.nameInput" id="cdktfprovideroktaauthserverdefaultpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.statusInput" id="cdktfprovideroktaauthserverdefaultpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `audiences`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.audiences" id="cdktfprovideroktaauthserverdefaultpropertyaudiences"></a>

```typescript
public readonly audiences: string[];
```

- *Type:* `string`[]

---

##### `credentialsRotationMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.credentialsRotationMode" id="cdktfprovideroktaauthserverdefaultpropertycredentialsrotationmode"></a>

```typescript
public readonly credentialsRotationMode: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.description" id="cdktfprovideroktaauthserverdefaultpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.id" id="cdktfprovideroktaauthserverdefaultpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.issuerMode" id="cdktfprovideroktaauthserverdefaultpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.name" id="cdktfprovideroktaauthserverdefaultpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefault.property.status" id="cdktfprovideroktaauthserverdefaultpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthserverdefaultpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AuthServerDefault.property.tfResourceType" id="cdktfprovideroktaauthserverdefaultpropertytfresourcetype"></a>

- *Type:* `string`

---

### AuthServerPolicy <a name="@cdktf/provider-okta.AuthServerPolicy" id="cdktfprovideroktaauthserverpolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy okta_auth_server_policy}.

#### Initializers <a name="@cdktf/provider-okta.AuthServerPolicy.Initializer" id="cdktfprovideroktaauthserverpolicyinitializer"></a>

```typescript
import { AuthServerPolicy } from '@cdktf/provider-okta'

new AuthServerPolicy(scope: Construct, id: string, config: AuthServerPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthserverpolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthserverpolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthserverpolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthServerPolicyConfig`](#@cdktf/provider-okta.AuthServerPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.parameter.scope" id="cdktfprovideroktaauthserverpolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.parameter.id" id="cdktfprovideroktaauthserverpolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.parameter.config" id="cdktfprovideroktaauthserverpolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthServerPolicyConfig`](#@cdktf/provider-okta.AuthServerPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaauthserverpolicyresetid) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaauthserverpolicyresetstatus) | *No description.* |
| [`resetType`](#cdktfprovideroktaauthserverpolicyresettype) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AuthServerPolicy.resetId" id="cdktfprovideroktaauthserverpolicyresetid"></a>

```typescript
public resetId()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AuthServerPolicy.resetStatus" id="cdktfprovideroktaauthserverpolicyresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetType` <a name="@cdktf/provider-okta.AuthServerPolicy.resetType" id="cdktfprovideroktaauthserverpolicyresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`authServerIdInput`](#cdktfprovideroktaauthserverpolicypropertyauthserveridinput) | `string` | *No description.* |
| [`clientWhitelistInput`](#cdktfprovideroktaauthserverpolicypropertyclientwhitelistinput) | `string`[] | *No description.* |
| [`descriptionInput`](#cdktfprovideroktaauthserverpolicypropertydescriptioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaauthserverpolicypropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthserverpolicypropertynameinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktaauthserverpolicypropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktaauthserverpolicypropertystatusinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaauthserverpolicypropertytypeinput) | `string` | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverpolicypropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientWhitelist`](#cdktfprovideroktaauthserverpolicypropertyclientwhitelist)<span title="Required">*</span> | `string`[] | *No description.* |
| [`description`](#cdktfprovideroktaauthserverpolicypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaauthserverpolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthserverpolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktaauthserverpolicypropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktaauthserverpolicypropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaauthserverpolicypropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.authServerIdInput" id="cdktfprovideroktaauthserverpolicypropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `clientWhitelistInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.clientWhitelistInput" id="cdktfprovideroktaauthserverpolicypropertyclientwhitelistinput"></a>

```typescript
public readonly clientWhitelistInput: string[];
```

- *Type:* `string`[]

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.descriptionInput" id="cdktfprovideroktaauthserverpolicypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.idInput" id="cdktfprovideroktaauthserverpolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.nameInput" id="cdktfprovideroktaauthserverpolicypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.priorityInput" id="cdktfprovideroktaauthserverpolicypropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.statusInput" id="cdktfprovideroktaauthserverpolicypropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.typeInput" id="cdktfprovideroktaauthserverpolicypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.authServerId" id="cdktfprovideroktaauthserverpolicypropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `clientWhitelist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.clientWhitelist" id="cdktfprovideroktaauthserverpolicypropertyclientwhitelist"></a>

```typescript
public readonly clientWhitelist: string[];
```

- *Type:* `string`[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.description" id="cdktfprovideroktaauthserverpolicypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.id" id="cdktfprovideroktaauthserverpolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.name" id="cdktfprovideroktaauthserverpolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.priority" id="cdktfprovideroktaauthserverpolicypropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.status" id="cdktfprovideroktaauthserverpolicypropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicy.property.type" id="cdktfprovideroktaauthserverpolicypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthserverpolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AuthServerPolicy.property.tfResourceType" id="cdktfprovideroktaauthserverpolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### AuthServerPolicyRule <a name="@cdktf/provider-okta.AuthServerPolicyRule" id="cdktfprovideroktaauthserverpolicyrule"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule okta_auth_server_policy_rule}.

#### Initializers <a name="@cdktf/provider-okta.AuthServerPolicyRule.Initializer" id="cdktfprovideroktaauthserverpolicyruleinitializer"></a>

```typescript
import { AuthServerPolicyRule } from '@cdktf/provider-okta'

new AuthServerPolicyRule(scope: Construct, id: string, config: AuthServerPolicyRuleConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthserverpolicyruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthserverpolicyruleparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthserverpolicyruleparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthServerPolicyRuleConfig`](#@cdktf/provider-okta.AuthServerPolicyRuleConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.parameter.scope" id="cdktfprovideroktaauthserverpolicyruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.parameter.id" id="cdktfprovideroktaauthserverpolicyruleparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.parameter.config" id="cdktfprovideroktaauthserverpolicyruleparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthServerPolicyRuleConfig`](#@cdktf/provider-okta.AuthServerPolicyRuleConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccessTokenLifetimeMinutes`](#cdktfprovideroktaauthserverpolicyruleresetaccesstokenlifetimeminutes) | *No description.* |
| [`resetGroupBlacklist`](#cdktfprovideroktaauthserverpolicyruleresetgroupblacklist) | *No description.* |
| [`resetGroupWhitelist`](#cdktfprovideroktaauthserverpolicyruleresetgroupwhitelist) | *No description.* |
| [`resetId`](#cdktfprovideroktaauthserverpolicyruleresetid) | *No description.* |
| [`resetInlineHookId`](#cdktfprovideroktaauthserverpolicyruleresetinlinehookid) | *No description.* |
| [`resetRefreshTokenLifetimeMinutes`](#cdktfprovideroktaauthserverpolicyruleresetrefreshtokenlifetimeminutes) | *No description.* |
| [`resetRefreshTokenWindowMinutes`](#cdktfprovideroktaauthserverpolicyruleresetrefreshtokenwindowminutes) | *No description.* |
| [`resetScopeWhitelist`](#cdktfprovideroktaauthserverpolicyruleresetscopewhitelist) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaauthserverpolicyruleresetstatus) | *No description.* |
| [`resetType`](#cdktfprovideroktaauthserverpolicyruleresettype) | *No description.* |
| [`resetUserBlacklist`](#cdktfprovideroktaauthserverpolicyruleresetuserblacklist) | *No description.* |
| [`resetUserWhitelist`](#cdktfprovideroktaauthserverpolicyruleresetuserwhitelist) | *No description.* |

---

##### `resetAccessTokenLifetimeMinutes` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetAccessTokenLifetimeMinutes" id="cdktfprovideroktaauthserverpolicyruleresetaccesstokenlifetimeminutes"></a>

```typescript
public resetAccessTokenLifetimeMinutes()
```

##### `resetGroupBlacklist` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetGroupBlacklist" id="cdktfprovideroktaauthserverpolicyruleresetgroupblacklist"></a>

```typescript
public resetGroupBlacklist()
```

##### `resetGroupWhitelist` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetGroupWhitelist" id="cdktfprovideroktaauthserverpolicyruleresetgroupwhitelist"></a>

```typescript
public resetGroupWhitelist()
```

##### `resetId` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetId" id="cdktfprovideroktaauthserverpolicyruleresetid"></a>

```typescript
public resetId()
```

##### `resetInlineHookId` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetInlineHookId" id="cdktfprovideroktaauthserverpolicyruleresetinlinehookid"></a>

```typescript
public resetInlineHookId()
```

##### `resetRefreshTokenLifetimeMinutes` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetRefreshTokenLifetimeMinutes" id="cdktfprovideroktaauthserverpolicyruleresetrefreshtokenlifetimeminutes"></a>

```typescript
public resetRefreshTokenLifetimeMinutes()
```

##### `resetRefreshTokenWindowMinutes` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetRefreshTokenWindowMinutes" id="cdktfprovideroktaauthserverpolicyruleresetrefreshtokenwindowminutes"></a>

```typescript
public resetRefreshTokenWindowMinutes()
```

##### `resetScopeWhitelist` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetScopeWhitelist" id="cdktfprovideroktaauthserverpolicyruleresetscopewhitelist"></a>

```typescript
public resetScopeWhitelist()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetStatus" id="cdktfprovideroktaauthserverpolicyruleresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetType` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetType" id="cdktfprovideroktaauthserverpolicyruleresettype"></a>

```typescript
public resetType()
```

##### `resetUserBlacklist` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetUserBlacklist" id="cdktfprovideroktaauthserverpolicyruleresetuserblacklist"></a>

```typescript
public resetUserBlacklist()
```

##### `resetUserWhitelist` <a name="@cdktf/provider-okta.AuthServerPolicyRule.resetUserWhitelist" id="cdktfprovideroktaauthserverpolicyruleresetuserwhitelist"></a>

```typescript
public resetUserWhitelist()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`accessTokenLifetimeMinutesInput`](#cdktfprovideroktaauthserverpolicyrulepropertyaccesstokenlifetimeminutesinput) | `number` | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktaauthserverpolicyrulepropertyauthserveridinput) | `string` | *No description.* |
| [`grantTypeWhitelistInput`](#cdktfprovideroktaauthserverpolicyrulepropertygranttypewhitelistinput) | `string`[] | *No description.* |
| [`groupBlacklistInput`](#cdktfprovideroktaauthserverpolicyrulepropertygroupblacklistinput) | `string`[] | *No description.* |
| [`groupWhitelistInput`](#cdktfprovideroktaauthserverpolicyrulepropertygroupwhitelistinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktaauthserverpolicyrulepropertyidinput) | `string` | *No description.* |
| [`inlineHookIdInput`](#cdktfprovideroktaauthserverpolicyrulepropertyinlinehookidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthserverpolicyrulepropertynameinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktaauthserverpolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktaauthserverpolicyrulepropertypriorityinput) | `number` | *No description.* |
| [`refreshTokenLifetimeMinutesInput`](#cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenlifetimeminutesinput) | `number` | *No description.* |
| [`refreshTokenWindowMinutesInput`](#cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenwindowminutesinput) | `number` | *No description.* |
| [`scopeWhitelistInput`](#cdktfprovideroktaauthserverpolicyrulepropertyscopewhitelistinput) | `string`[] | *No description.* |
| [`statusInput`](#cdktfprovideroktaauthserverpolicyrulepropertystatusinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaauthserverpolicyrulepropertytypeinput) | `string` | *No description.* |
| [`userBlacklistInput`](#cdktfprovideroktaauthserverpolicyrulepropertyuserblacklistinput) | `string`[] | *No description.* |
| [`userWhitelistInput`](#cdktfprovideroktaauthserverpolicyrulepropertyuserwhitelistinput) | `string`[] | *No description.* |
| [`accessTokenLifetimeMinutes`](#cdktfprovideroktaauthserverpolicyrulepropertyaccesstokenlifetimeminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverpolicyrulepropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`grantTypeWhitelist`](#cdktfprovideroktaauthserverpolicyrulepropertygranttypewhitelist)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupBlacklist`](#cdktfprovideroktaauthserverpolicyrulepropertygroupblacklist)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupWhitelist`](#cdktfprovideroktaauthserverpolicyrulepropertygroupwhitelist)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaauthserverpolicyrulepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`inlineHookId`](#cdktfprovideroktaauthserverpolicyrulepropertyinlinehookid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthserverpolicyrulepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktaauthserverpolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktaauthserverpolicyrulepropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`refreshTokenLifetimeMinutes`](#cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenlifetimeminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`refreshTokenWindowMinutes`](#cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenwindowminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`scopeWhitelist`](#cdktfprovideroktaauthserverpolicyrulepropertyscopewhitelist)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktaauthserverpolicyrulepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaauthserverpolicyrulepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userBlacklist`](#cdktfprovideroktaauthserverpolicyrulepropertyuserblacklist)<span title="Required">*</span> | `string`[] | *No description.* |
| [`userWhitelist`](#cdktfprovideroktaauthserverpolicyrulepropertyuserwhitelist)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `accessTokenLifetimeMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.accessTokenLifetimeMinutesInput" id="cdktfprovideroktaauthserverpolicyrulepropertyaccesstokenlifetimeminutesinput"></a>

```typescript
public readonly accessTokenLifetimeMinutesInput: number;
```

- *Type:* `number`

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.authServerIdInput" id="cdktfprovideroktaauthserverpolicyrulepropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `grantTypeWhitelistInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.grantTypeWhitelistInput" id="cdktfprovideroktaauthserverpolicyrulepropertygranttypewhitelistinput"></a>

```typescript
public readonly grantTypeWhitelistInput: string[];
```

- *Type:* `string`[]

---

##### `groupBlacklistInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.groupBlacklistInput" id="cdktfprovideroktaauthserverpolicyrulepropertygroupblacklistinput"></a>

```typescript
public readonly groupBlacklistInput: string[];
```

- *Type:* `string`[]

---

##### `groupWhitelistInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.groupWhitelistInput" id="cdktfprovideroktaauthserverpolicyrulepropertygroupwhitelistinput"></a>

```typescript
public readonly groupWhitelistInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.idInput" id="cdktfprovideroktaauthserverpolicyrulepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `inlineHookIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.inlineHookIdInput" id="cdktfprovideroktaauthserverpolicyrulepropertyinlinehookidinput"></a>

```typescript
public readonly inlineHookIdInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.nameInput" id="cdktfprovideroktaauthserverpolicyrulepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.policyIdInput" id="cdktfprovideroktaauthserverpolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.priorityInput" id="cdktfprovideroktaauthserverpolicyrulepropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `refreshTokenLifetimeMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.refreshTokenLifetimeMinutesInput" id="cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenlifetimeminutesinput"></a>

```typescript
public readonly refreshTokenLifetimeMinutesInput: number;
```

- *Type:* `number`

---

##### `refreshTokenWindowMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.refreshTokenWindowMinutesInput" id="cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenwindowminutesinput"></a>

```typescript
public readonly refreshTokenWindowMinutesInput: number;
```

- *Type:* `number`

---

##### `scopeWhitelistInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.scopeWhitelistInput" id="cdktfprovideroktaauthserverpolicyrulepropertyscopewhitelistinput"></a>

```typescript
public readonly scopeWhitelistInput: string[];
```

- *Type:* `string`[]

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.statusInput" id="cdktfprovideroktaauthserverpolicyrulepropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.typeInput" id="cdktfprovideroktaauthserverpolicyrulepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `userBlacklistInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.userBlacklistInput" id="cdktfprovideroktaauthserverpolicyrulepropertyuserblacklistinput"></a>

```typescript
public readonly userBlacklistInput: string[];
```

- *Type:* `string`[]

---

##### `userWhitelistInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.userWhitelistInput" id="cdktfprovideroktaauthserverpolicyrulepropertyuserwhitelistinput"></a>

```typescript
public readonly userWhitelistInput: string[];
```

- *Type:* `string`[]

---

##### `accessTokenLifetimeMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.accessTokenLifetimeMinutes" id="cdktfprovideroktaauthserverpolicyrulepropertyaccesstokenlifetimeminutes"></a>

```typescript
public readonly accessTokenLifetimeMinutes: number;
```

- *Type:* `number`

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.authServerId" id="cdktfprovideroktaauthserverpolicyrulepropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `grantTypeWhitelist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.grantTypeWhitelist" id="cdktfprovideroktaauthserverpolicyrulepropertygranttypewhitelist"></a>

```typescript
public readonly grantTypeWhitelist: string[];
```

- *Type:* `string`[]

---

##### `groupBlacklist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.groupBlacklist" id="cdktfprovideroktaauthserverpolicyrulepropertygroupblacklist"></a>

```typescript
public readonly groupBlacklist: string[];
```

- *Type:* `string`[]

---

##### `groupWhitelist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.groupWhitelist" id="cdktfprovideroktaauthserverpolicyrulepropertygroupwhitelist"></a>

```typescript
public readonly groupWhitelist: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.id" id="cdktfprovideroktaauthserverpolicyrulepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `inlineHookId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.inlineHookId" id="cdktfprovideroktaauthserverpolicyrulepropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.name" id="cdktfprovideroktaauthserverpolicyrulepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.policyId" id="cdktfprovideroktaauthserverpolicyrulepropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.priority" id="cdktfprovideroktaauthserverpolicyrulepropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `refreshTokenLifetimeMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.refreshTokenLifetimeMinutes" id="cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenlifetimeminutes"></a>

```typescript
public readonly refreshTokenLifetimeMinutes: number;
```

- *Type:* `number`

---

##### `refreshTokenWindowMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.refreshTokenWindowMinutes" id="cdktfprovideroktaauthserverpolicyrulepropertyrefreshtokenwindowminutes"></a>

```typescript
public readonly refreshTokenWindowMinutes: number;
```

- *Type:* `number`

---

##### `scopeWhitelist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.scopeWhitelist" id="cdktfprovideroktaauthserverpolicyrulepropertyscopewhitelist"></a>

```typescript
public readonly scopeWhitelist: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.status" id="cdktfprovideroktaauthserverpolicyrulepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.type" id="cdktfprovideroktaauthserverpolicyrulepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userBlacklist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.userBlacklist" id="cdktfprovideroktaauthserverpolicyrulepropertyuserblacklist"></a>

```typescript
public readonly userBlacklist: string[];
```

- *Type:* `string`[]

---

##### `userWhitelist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.userWhitelist" id="cdktfprovideroktaauthserverpolicyrulepropertyuserwhitelist"></a>

```typescript
public readonly userWhitelist: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthserverpolicyrulepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AuthServerPolicyRule.property.tfResourceType" id="cdktfprovideroktaauthserverpolicyrulepropertytfresourcetype"></a>

- *Type:* `string`

---

### AuthServerScope <a name="@cdktf/provider-okta.AuthServerScope" id="cdktfprovideroktaauthserverscope"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope okta_auth_server_scope}.

#### Initializers <a name="@cdktf/provider-okta.AuthServerScope.Initializer" id="cdktfprovideroktaauthserverscopeinitializer"></a>

```typescript
import { AuthServerScope } from '@cdktf/provider-okta'

new AuthServerScope(scope: Construct, id: string, config: AuthServerScopeConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaauthserverscopeparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaauthserverscopeparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaauthserverscopeparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AuthServerScopeConfig`](#@cdktf/provider-okta.AuthServerScopeConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.parameter.scope" id="cdktfprovideroktaauthserverscopeparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.parameter.id" id="cdktfprovideroktaauthserverscopeparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.parameter.config" id="cdktfprovideroktaauthserverscopeparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AuthServerScopeConfig`](#@cdktf/provider-okta.AuthServerScopeConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetConsent`](#cdktfprovideroktaauthserverscoperesetconsent) | *No description.* |
| [`resetDefault`](#cdktfprovideroktaauthserverscoperesetdefault) | *No description.* |
| [`resetDescription`](#cdktfprovideroktaauthserverscoperesetdescription) | *No description.* |
| [`resetDisplayName`](#cdktfprovideroktaauthserverscoperesetdisplayname) | *No description.* |
| [`resetId`](#cdktfprovideroktaauthserverscoperesetid) | *No description.* |
| [`resetMetadataPublish`](#cdktfprovideroktaauthserverscoperesetmetadatapublish) | *No description.* |

---

##### `resetConsent` <a name="@cdktf/provider-okta.AuthServerScope.resetConsent" id="cdktfprovideroktaauthserverscoperesetconsent"></a>

```typescript
public resetConsent()
```

##### `resetDefault` <a name="@cdktf/provider-okta.AuthServerScope.resetDefault" id="cdktfprovideroktaauthserverscoperesetdefault"></a>

```typescript
public resetDefault()
```

##### `resetDescription` <a name="@cdktf/provider-okta.AuthServerScope.resetDescription" id="cdktfprovideroktaauthserverscoperesetdescription"></a>

```typescript
public resetDescription()
```

##### `resetDisplayName` <a name="@cdktf/provider-okta.AuthServerScope.resetDisplayName" id="cdktfprovideroktaauthserverscoperesetdisplayname"></a>

```typescript
public resetDisplayName()
```

##### `resetId` <a name="@cdktf/provider-okta.AuthServerScope.resetId" id="cdktfprovideroktaauthserverscoperesetid"></a>

```typescript
public resetId()
```

##### `resetMetadataPublish` <a name="@cdktf/provider-okta.AuthServerScope.resetMetadataPublish" id="cdktfprovideroktaauthserverscoperesetmetadatapublish"></a>

```typescript
public resetMetadataPublish()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`systemAttribute`](#cdktfprovideroktaauthserverscopepropertysystemattribute)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktaauthserverscopepropertyauthserveridinput) | `string` | *No description.* |
| [`consentInput`](#cdktfprovideroktaauthserverscopepropertyconsentinput) | `string` | *No description.* |
| [`defaultInput`](#cdktfprovideroktaauthserverscopepropertydefaultinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`descriptionInput`](#cdktfprovideroktaauthserverscopepropertydescriptioninput) | `string` | *No description.* |
| [`displayNameInput`](#cdktfprovideroktaauthserverscopepropertydisplaynameinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaauthserverscopepropertyidinput) | `string` | *No description.* |
| [`metadataPublishInput`](#cdktfprovideroktaauthserverscopepropertymetadatapublishinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaauthserverscopepropertynameinput) | `string` | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverscopepropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`consent`](#cdktfprovideroktaauthserverscopepropertyconsent)<span title="Required">*</span> | `string` | *No description.* |
| [`default`](#cdktfprovideroktaauthserverscopepropertydefault)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`description`](#cdktfprovideroktaauthserverscopepropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`displayName`](#cdktfprovideroktaauthserverscopepropertydisplayname)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaauthserverscopepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`metadataPublish`](#cdktfprovideroktaauthserverscopepropertymetadatapublish)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaauthserverscopepropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `systemAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.systemAttribute" id="cdktfprovideroktaauthserverscopepropertysystemattribute"></a>

```typescript
public readonly systemAttribute: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.authServerIdInput" id="cdktfprovideroktaauthserverscopepropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `consentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.consentInput" id="cdktfprovideroktaauthserverscopepropertyconsentinput"></a>

```typescript
public readonly consentInput: string;
```

- *Type:* `string`

---

##### `defaultInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.defaultInput" id="cdktfprovideroktaauthserverscopepropertydefaultinput"></a>

```typescript
public readonly defaultInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.descriptionInput" id="cdktfprovideroktaauthserverscopepropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `displayNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.displayNameInput" id="cdktfprovideroktaauthserverscopepropertydisplaynameinput"></a>

```typescript
public readonly displayNameInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.idInput" id="cdktfprovideroktaauthserverscopepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `metadataPublishInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.metadataPublishInput" id="cdktfprovideroktaauthserverscopepropertymetadatapublishinput"></a>

```typescript
public readonly metadataPublishInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.nameInput" id="cdktfprovideroktaauthserverscopepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.authServerId" id="cdktfprovideroktaauthserverscopepropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `consent`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.consent" id="cdktfprovideroktaauthserverscopepropertyconsent"></a>

```typescript
public readonly consent: string;
```

- *Type:* `string`

---

##### `default`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.default" id="cdktfprovideroktaauthserverscopepropertydefault"></a>

```typescript
public readonly default: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.description" id="cdktfprovideroktaauthserverscopepropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.displayName" id="cdktfprovideroktaauthserverscopepropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.id" id="cdktfprovideroktaauthserverscopepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `metadataPublish`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.metadataPublish" id="cdktfprovideroktaauthserverscopepropertymetadatapublish"></a>

```typescript
public readonly metadataPublish: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScope.property.name" id="cdktfprovideroktaauthserverscopepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaauthserverscopepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AuthServerScope.property.tfResourceType" id="cdktfprovideroktaauthserverscopepropertytfresourcetype"></a>

- *Type:* `string`

---

### AutoLoginApp <a name="@cdktf/provider-okta.AutoLoginApp" id="cdktfprovideroktaautologinapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app okta_auto_login_app}.

#### Initializers <a name="@cdktf/provider-okta.AutoLoginApp.Initializer" id="cdktfprovideroktaautologinappinitializer"></a>

```typescript
import { AutoLoginApp } from '@cdktf/provider-okta'

new AutoLoginApp(scope: Construct, id: string, config: AutoLoginAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaautologinappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaautologinappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaautologinappparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.AutoLoginAppConfig`](#@cdktf/provider-okta.AutoLoginAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.parameter.scope" id="cdktfprovideroktaautologinappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.parameter.id" id="cdktfprovideroktaautologinappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.parameter.config" id="cdktfprovideroktaautologinappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.AutoLoginAppConfig`](#@cdktf/provider-okta.AutoLoginAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaautologinappputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaautologinappresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaautologinappresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaautologinappresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaautologinappresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaautologinappresetapplinksjson) | *No description.* |
| [`resetAppSettingsJson`](#cdktfprovideroktaautologinappresetappsettingsjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaautologinappresetautosubmittoolbar) | *No description.* |
| [`resetCredentialsScheme`](#cdktfprovideroktaautologinappresetcredentialsscheme) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaautologinappresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaautologinappresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaautologinappresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaautologinappresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaautologinappresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaautologinappresetlogo) | *No description.* |
| [`resetPreconfiguredApp`](#cdktfprovideroktaautologinappresetpreconfiguredapp) | *No description.* |
| [`resetRevealPassword`](#cdktfprovideroktaautologinappresetrevealpassword) | *No description.* |
| [`resetSharedPassword`](#cdktfprovideroktaautologinappresetsharedpassword) | *No description.* |
| [`resetSharedUsername`](#cdktfprovideroktaautologinappresetsharedusername) | *No description.* |
| [`resetSignOnRedirectUrl`](#cdktfprovideroktaautologinappresetsignonredirecturl) | *No description.* |
| [`resetSignOnUrl`](#cdktfprovideroktaautologinappresetsignonurl) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaautologinappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaautologinappresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaautologinappresetstatus) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaautologinappresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaautologinappresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaautologinappresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaautologinappresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaautologinappresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.AutoLoginApp.putUsers" id="cdktfprovideroktaautologinappputusers"></a>

```typescript
public putUsers(value: IResolvable | AutoLoginAppUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.parameter.value" id="cdktfprovideroktaautologinappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.AutoLoginApp.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaautologinappresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.AutoLoginApp.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaautologinappresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.AutoLoginApp.resetAccessibilitySelfService" id="cdktfprovideroktaautologinappresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.AutoLoginApp.resetAdminNote" id="cdktfprovideroktaautologinappresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.AutoLoginApp.resetAppLinksJson" id="cdktfprovideroktaautologinappresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAppSettingsJson` <a name="@cdktf/provider-okta.AutoLoginApp.resetAppSettingsJson" id="cdktfprovideroktaautologinappresetappsettingsjson"></a>

```typescript
public resetAppSettingsJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.AutoLoginApp.resetAutoSubmitToolbar" id="cdktfprovideroktaautologinappresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetCredentialsScheme` <a name="@cdktf/provider-okta.AutoLoginApp.resetCredentialsScheme" id="cdktfprovideroktaautologinappresetcredentialsscheme"></a>

```typescript
public resetCredentialsScheme()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.AutoLoginApp.resetEnduserNote" id="cdktfprovideroktaautologinappresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.AutoLoginApp.resetGroups" id="cdktfprovideroktaautologinappresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.AutoLoginApp.resetHideIos" id="cdktfprovideroktaautologinappresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.AutoLoginApp.resetHideWeb" id="cdktfprovideroktaautologinappresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.AutoLoginApp.resetId" id="cdktfprovideroktaautologinappresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.AutoLoginApp.resetLogo" id="cdktfprovideroktaautologinappresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPreconfiguredApp` <a name="@cdktf/provider-okta.AutoLoginApp.resetPreconfiguredApp" id="cdktfprovideroktaautologinappresetpreconfiguredapp"></a>

```typescript
public resetPreconfiguredApp()
```

##### `resetRevealPassword` <a name="@cdktf/provider-okta.AutoLoginApp.resetRevealPassword" id="cdktfprovideroktaautologinappresetrevealpassword"></a>

```typescript
public resetRevealPassword()
```

##### `resetSharedPassword` <a name="@cdktf/provider-okta.AutoLoginApp.resetSharedPassword" id="cdktfprovideroktaautologinappresetsharedpassword"></a>

```typescript
public resetSharedPassword()
```

##### `resetSharedUsername` <a name="@cdktf/provider-okta.AutoLoginApp.resetSharedUsername" id="cdktfprovideroktaautologinappresetsharedusername"></a>

```typescript
public resetSharedUsername()
```

##### `resetSignOnRedirectUrl` <a name="@cdktf/provider-okta.AutoLoginApp.resetSignOnRedirectUrl" id="cdktfprovideroktaautologinappresetsignonredirecturl"></a>

```typescript
public resetSignOnRedirectUrl()
```

##### `resetSignOnUrl` <a name="@cdktf/provider-okta.AutoLoginApp.resetSignOnUrl" id="cdktfprovideroktaautologinappresetsignonurl"></a>

```typescript
public resetSignOnUrl()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.AutoLoginApp.resetSkipGroups" id="cdktfprovideroktaautologinappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.AutoLoginApp.resetSkipUsers" id="cdktfprovideroktaautologinappresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.AutoLoginApp.resetStatus" id="cdktfprovideroktaautologinappresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.AutoLoginApp.resetUserNameTemplate" id="cdktfprovideroktaautologinappresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.AutoLoginApp.resetUserNameTemplatePushStatus" id="cdktfprovideroktaautologinappresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.AutoLoginApp.resetUserNameTemplateSuffix" id="cdktfprovideroktaautologinappresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.AutoLoginApp.resetUserNameTemplateType" id="cdktfprovideroktaautologinappresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.AutoLoginApp.resetUsers" id="cdktfprovideroktaautologinappresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaautologinapppropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaautologinapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaautologinapppropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaautologinapppropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.AutoLoginAppUsersList`](#@cdktf/provider-okta.AutoLoginAppUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaautologinapppropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaautologinapppropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaautologinapppropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaautologinapppropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaautologinapppropertyapplinksjsoninput) | `string` | *No description.* |
| [`appSettingsJsonInput`](#cdktfprovideroktaautologinapppropertyappsettingsjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaautologinapppropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsSchemeInput`](#cdktfprovideroktaautologinapppropertycredentialsschemeinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaautologinapppropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaautologinapppropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaautologinapppropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaautologinapppropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaautologinapppropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaautologinapppropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaautologinapppropertylogoinput) | `string` | *No description.* |
| [`preconfiguredAppInput`](#cdktfprovideroktaautologinapppropertypreconfiguredappinput) | `string` | *No description.* |
| [`revealPasswordInput`](#cdktfprovideroktaautologinapppropertyrevealpasswordinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPasswordInput`](#cdktfprovideroktaautologinapppropertysharedpasswordinput) | `string` | *No description.* |
| [`sharedUsernameInput`](#cdktfprovideroktaautologinapppropertysharedusernameinput) | `string` | *No description.* |
| [`signOnRedirectUrlInput`](#cdktfprovideroktaautologinapppropertysignonredirecturlinput) | `string` | *No description.* |
| [`signOnUrlInput`](#cdktfprovideroktaautologinapppropertysignonurlinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaautologinapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaautologinapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaautologinapppropertystatusinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaautologinapppropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaautologinapppropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaautologinapppropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaautologinapppropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaautologinapppropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaautologinapppropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaautologinapppropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaautologinapppropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaautologinapppropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaautologinapppropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`appSettingsJson`](#cdktfprovideroktaautologinapppropertyappsettingsjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaautologinapppropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsScheme`](#cdktfprovideroktaautologinapppropertycredentialsscheme)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaautologinapppropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaautologinapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaautologinapppropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaautologinapppropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaautologinapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaautologinapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaautologinapppropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`preconfiguredApp`](#cdktfprovideroktaautologinapppropertypreconfiguredapp)<span title="Required">*</span> | `string` | *No description.* |
| [`revealPassword`](#cdktfprovideroktaautologinapppropertyrevealpassword)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPassword`](#cdktfprovideroktaautologinapppropertysharedpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedUsername`](#cdktfprovideroktaautologinapppropertysharedusername)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnRedirectUrl`](#cdktfprovideroktaautologinapppropertysignonredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnUrl`](#cdktfprovideroktaautologinapppropertysignonurl)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaautologinapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaautologinapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaautologinapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaautologinapppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaautologinapppropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaautologinapppropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaautologinapppropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.logoUrl" id="cdktfprovideroktaautologinapppropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.name" id="cdktfprovideroktaautologinapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.signOnMode" id="cdktfprovideroktaautologinapppropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.users" id="cdktfprovideroktaautologinapppropertyusers"></a>

```typescript
public readonly users: AutoLoginAppUsersList;
```

- *Type:* [`@cdktf/provider-okta.AutoLoginAppUsersList`](#@cdktf/provider-okta.AutoLoginAppUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaautologinapppropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaautologinapppropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.accessibilitySelfServiceInput" id="cdktfprovideroktaautologinapppropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.adminNoteInput" id="cdktfprovideroktaautologinapppropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.appLinksJsonInput" id="cdktfprovideroktaautologinapppropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `appSettingsJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.appSettingsJsonInput" id="cdktfprovideroktaautologinapppropertyappsettingsjsoninput"></a>

```typescript
public readonly appSettingsJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.autoSubmitToolbarInput" id="cdktfprovideroktaautologinapppropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsSchemeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.credentialsSchemeInput" id="cdktfprovideroktaautologinapppropertycredentialsschemeinput"></a>

```typescript
public readonly credentialsSchemeInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.enduserNoteInput" id="cdktfprovideroktaautologinapppropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.groupsInput" id="cdktfprovideroktaautologinapppropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.hideIosInput" id="cdktfprovideroktaautologinapppropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.hideWebInput" id="cdktfprovideroktaautologinapppropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.idInput" id="cdktfprovideroktaautologinapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.labelInput" id="cdktfprovideroktaautologinapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.logoInput" id="cdktfprovideroktaautologinapppropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `preconfiguredAppInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.preconfiguredAppInput" id="cdktfprovideroktaautologinapppropertypreconfiguredappinput"></a>

```typescript
public readonly preconfiguredAppInput: string;
```

- *Type:* `string`

---

##### `revealPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.revealPasswordInput" id="cdktfprovideroktaautologinapppropertyrevealpasswordinput"></a>

```typescript
public readonly revealPasswordInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.sharedPasswordInput" id="cdktfprovideroktaautologinapppropertysharedpasswordinput"></a>

```typescript
public readonly sharedPasswordInput: string;
```

- *Type:* `string`

---

##### `sharedUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.sharedUsernameInput" id="cdktfprovideroktaautologinapppropertysharedusernameinput"></a>

```typescript
public readonly sharedUsernameInput: string;
```

- *Type:* `string`

---

##### `signOnRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.signOnRedirectUrlInput" id="cdktfprovideroktaautologinapppropertysignonredirecturlinput"></a>

```typescript
public readonly signOnRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `signOnUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.signOnUrlInput" id="cdktfprovideroktaautologinapppropertysignonurlinput"></a>

```typescript
public readonly signOnUrlInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.skipGroupsInput" id="cdktfprovideroktaautologinapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.skipUsersInput" id="cdktfprovideroktaautologinapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.statusInput" id="cdktfprovideroktaautologinapppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplateInput" id="cdktfprovideroktaautologinapppropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaautologinapppropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplateSuffixInput" id="cdktfprovideroktaautologinapppropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplateTypeInput" id="cdktfprovideroktaautologinapppropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.usersInput" id="cdktfprovideroktaautologinapppropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | AutoLoginAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaautologinapppropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaautologinapppropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.accessibilitySelfService" id="cdktfprovideroktaautologinapppropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.adminNote" id="cdktfprovideroktaautologinapppropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.appLinksJson" id="cdktfprovideroktaautologinapppropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `appSettingsJson`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.appSettingsJson" id="cdktfprovideroktaautologinapppropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.autoSubmitToolbar" id="cdktfprovideroktaautologinapppropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsScheme`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.credentialsScheme" id="cdktfprovideroktaautologinapppropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.enduserNote" id="cdktfprovideroktaautologinapppropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.groups" id="cdktfprovideroktaautologinapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.hideIos" id="cdktfprovideroktaautologinapppropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.hideWeb" id="cdktfprovideroktaautologinapppropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.id" id="cdktfprovideroktaautologinapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.label" id="cdktfprovideroktaautologinapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.logo" id="cdktfprovideroktaautologinapppropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `preconfiguredApp`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.preconfiguredApp" id="cdktfprovideroktaautologinapppropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

---

##### `revealPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.revealPassword" id="cdktfprovideroktaautologinapppropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.sharedPassword" id="cdktfprovideroktaautologinapppropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

---

##### `sharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.sharedUsername" id="cdktfprovideroktaautologinapppropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

---

##### `signOnRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.signOnRedirectUrl" id="cdktfprovideroktaautologinapppropertysignonredirecturl"></a>

```typescript
public readonly signOnRedirectUrl: string;
```

- *Type:* `string`

---

##### `signOnUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.signOnUrl" id="cdktfprovideroktaautologinapppropertysignonurl"></a>

```typescript
public readonly signOnUrl: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.skipGroups" id="cdktfprovideroktaautologinapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.skipUsers" id="cdktfprovideroktaautologinapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.status" id="cdktfprovideroktaautologinapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplate" id="cdktfprovideroktaautologinapppropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplatePushStatus" id="cdktfprovideroktaautologinapppropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplateSuffix" id="cdktfprovideroktaautologinapppropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginApp.property.userNameTemplateType" id="cdktfprovideroktaautologinapppropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaautologinapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.AutoLoginApp.property.tfResourceType" id="cdktfprovideroktaautologinapppropertytfresourcetype"></a>

- *Type:* `string`

---

### Behavior <a name="@cdktf/provider-okta.Behavior" id="cdktfprovideroktabehavior"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/behavior okta_behavior}.

#### Initializers <a name="@cdktf/provider-okta.Behavior.Initializer" id="cdktfprovideroktabehaviorinitializer"></a>

```typescript
import { Behavior } from '@cdktf/provider-okta'

new Behavior(scope: Construct, id: string, config: BehaviorConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktabehaviorparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktabehaviorparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktabehaviorparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.BehaviorConfig`](#@cdktf/provider-okta.BehaviorConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.parameter.scope" id="cdktfprovideroktabehaviorparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.parameter.id" id="cdktfprovideroktabehaviorparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.parameter.config" id="cdktfprovideroktabehaviorparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.BehaviorConfig`](#@cdktf/provider-okta.BehaviorConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktabehaviorresetid) | *No description.* |
| [`resetLocationGranularityType`](#cdktfprovideroktabehaviorresetlocationgranularitytype) | *No description.* |
| [`resetNumberOfAuthentications`](#cdktfprovideroktabehaviorresetnumberofauthentications) | *No description.* |
| [`resetRadiusFromLocation`](#cdktfprovideroktabehaviorresetradiusfromlocation) | *No description.* |
| [`resetStatus`](#cdktfprovideroktabehaviorresetstatus) | *No description.* |
| [`resetVelocity`](#cdktfprovideroktabehaviorresetvelocity) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.Behavior.resetId" id="cdktfprovideroktabehaviorresetid"></a>

```typescript
public resetId()
```

##### `resetLocationGranularityType` <a name="@cdktf/provider-okta.Behavior.resetLocationGranularityType" id="cdktfprovideroktabehaviorresetlocationgranularitytype"></a>

```typescript
public resetLocationGranularityType()
```

##### `resetNumberOfAuthentications` <a name="@cdktf/provider-okta.Behavior.resetNumberOfAuthentications" id="cdktfprovideroktabehaviorresetnumberofauthentications"></a>

```typescript
public resetNumberOfAuthentications()
```

##### `resetRadiusFromLocation` <a name="@cdktf/provider-okta.Behavior.resetRadiusFromLocation" id="cdktfprovideroktabehaviorresetradiusfromlocation"></a>

```typescript
public resetRadiusFromLocation()
```

##### `resetStatus` <a name="@cdktf/provider-okta.Behavior.resetStatus" id="cdktfprovideroktabehaviorresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetVelocity` <a name="@cdktf/provider-okta.Behavior.resetVelocity" id="cdktfprovideroktabehaviorresetvelocity"></a>

```typescript
public resetVelocity()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktabehaviorpropertyidinput) | `string` | *No description.* |
| [`locationGranularityTypeInput`](#cdktfprovideroktabehaviorpropertylocationgranularitytypeinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktabehaviorpropertynameinput) | `string` | *No description.* |
| [`numberOfAuthenticationsInput`](#cdktfprovideroktabehaviorpropertynumberofauthenticationsinput) | `number` | *No description.* |
| [`radiusFromLocationInput`](#cdktfprovideroktabehaviorpropertyradiusfromlocationinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktabehaviorpropertystatusinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktabehaviorpropertytypeinput) | `string` | *No description.* |
| [`velocityInput`](#cdktfprovideroktabehaviorpropertyvelocityinput) | `number` | *No description.* |
| [`id`](#cdktfprovideroktabehaviorpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`locationGranularityType`](#cdktfprovideroktabehaviorpropertylocationgranularitytype)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktabehaviorpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`numberOfAuthentications`](#cdktfprovideroktabehaviorpropertynumberofauthentications)<span title="Required">*</span> | `number` | *No description.* |
| [`radiusFromLocation`](#cdktfprovideroktabehaviorpropertyradiusfromlocation)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktabehaviorpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktabehaviorpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`velocity`](#cdktfprovideroktabehaviorpropertyvelocity)<span title="Required">*</span> | `number` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.idInput" id="cdktfprovideroktabehaviorpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `locationGranularityTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.locationGranularityTypeInput" id="cdktfprovideroktabehaviorpropertylocationgranularitytypeinput"></a>

```typescript
public readonly locationGranularityTypeInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.nameInput" id="cdktfprovideroktabehaviorpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `numberOfAuthenticationsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.numberOfAuthenticationsInput" id="cdktfprovideroktabehaviorpropertynumberofauthenticationsinput"></a>

```typescript
public readonly numberOfAuthenticationsInput: number;
```

- *Type:* `number`

---

##### `radiusFromLocationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.radiusFromLocationInput" id="cdktfprovideroktabehaviorpropertyradiusfromlocationinput"></a>

```typescript
public readonly radiusFromLocationInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.statusInput" id="cdktfprovideroktabehaviorpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.typeInput" id="cdktfprovideroktabehaviorpropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `velocityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Behavior.property.velocityInput" id="cdktfprovideroktabehaviorpropertyvelocityinput"></a>

```typescript
public readonly velocityInput: number;
```

- *Type:* `number`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.id" id="cdktfprovideroktabehaviorpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `locationGranularityType`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.locationGranularityType" id="cdktfprovideroktabehaviorpropertylocationgranularitytype"></a>

```typescript
public readonly locationGranularityType: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.name" id="cdktfprovideroktabehaviorpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `numberOfAuthentications`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.numberOfAuthentications" id="cdktfprovideroktabehaviorpropertynumberofauthentications"></a>

```typescript
public readonly numberOfAuthentications: number;
```

- *Type:* `number`

---

##### `radiusFromLocation`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.radiusFromLocation" id="cdktfprovideroktabehaviorpropertyradiusfromlocation"></a>

```typescript
public readonly radiusFromLocation: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.status" id="cdktfprovideroktabehaviorpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.type" id="cdktfprovideroktabehaviorpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `velocity`<sup>Required</sup> <a name="@cdktf/provider-okta.Behavior.property.velocity" id="cdktfprovideroktabehaviorpropertyvelocity"></a>

```typescript
public readonly velocity: number;
```

- *Type:* `number`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktabehaviorpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Behavior.property.tfResourceType" id="cdktfprovideroktabehaviorpropertytfresourcetype"></a>

- *Type:* `string`

---

### BookmarkApp <a name="@cdktf/provider-okta.BookmarkApp" id="cdktfprovideroktabookmarkapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app okta_bookmark_app}.

#### Initializers <a name="@cdktf/provider-okta.BookmarkApp.Initializer" id="cdktfprovideroktabookmarkappinitializer"></a>

```typescript
import { BookmarkApp } from '@cdktf/provider-okta'

new BookmarkApp(scope: Construct, id: string, config: BookmarkAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktabookmarkappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktabookmarkappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktabookmarkappparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.BookmarkAppConfig`](#@cdktf/provider-okta.BookmarkAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.parameter.scope" id="cdktfprovideroktabookmarkappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.parameter.id" id="cdktfprovideroktabookmarkappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.parameter.config" id="cdktfprovideroktabookmarkappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.BookmarkAppConfig`](#@cdktf/provider-okta.BookmarkAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktabookmarkappputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktabookmarkappresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktabookmarkappresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktabookmarkappresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktabookmarkappresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktabookmarkappresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktabookmarkappresetautosubmittoolbar) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktabookmarkappresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktabookmarkappresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktabookmarkappresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktabookmarkappresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktabookmarkappresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktabookmarkappresetlogo) | *No description.* |
| [`resetRequestIntegration`](#cdktfprovideroktabookmarkappresetrequestintegration) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktabookmarkappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktabookmarkappresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktabookmarkappresetstatus) | *No description.* |
| [`resetUsers`](#cdktfprovideroktabookmarkappresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.BookmarkApp.putUsers" id="cdktfprovideroktabookmarkappputusers"></a>

```typescript
public putUsers(value: IResolvable | BookmarkAppUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.parameter.value" id="cdktfprovideroktabookmarkappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.BookmarkApp.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktabookmarkappresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.BookmarkApp.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktabookmarkappresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.BookmarkApp.resetAccessibilitySelfService" id="cdktfprovideroktabookmarkappresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.BookmarkApp.resetAdminNote" id="cdktfprovideroktabookmarkappresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.BookmarkApp.resetAppLinksJson" id="cdktfprovideroktabookmarkappresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.BookmarkApp.resetAutoSubmitToolbar" id="cdktfprovideroktabookmarkappresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.BookmarkApp.resetEnduserNote" id="cdktfprovideroktabookmarkappresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.BookmarkApp.resetGroups" id="cdktfprovideroktabookmarkappresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.BookmarkApp.resetHideIos" id="cdktfprovideroktabookmarkappresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.BookmarkApp.resetHideWeb" id="cdktfprovideroktabookmarkappresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.BookmarkApp.resetId" id="cdktfprovideroktabookmarkappresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.BookmarkApp.resetLogo" id="cdktfprovideroktabookmarkappresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetRequestIntegration` <a name="@cdktf/provider-okta.BookmarkApp.resetRequestIntegration" id="cdktfprovideroktabookmarkappresetrequestintegration"></a>

```typescript
public resetRequestIntegration()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.BookmarkApp.resetSkipGroups" id="cdktfprovideroktabookmarkappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.BookmarkApp.resetSkipUsers" id="cdktfprovideroktabookmarkappresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.BookmarkApp.resetStatus" id="cdktfprovideroktabookmarkappresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsers` <a name="@cdktf/provider-okta.BookmarkApp.resetUsers" id="cdktfprovideroktabookmarkappresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktabookmarkapppropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktabookmarkapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktabookmarkapppropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktabookmarkapppropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.BookmarkAppUsersList`](#@cdktf/provider-okta.BookmarkAppUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktabookmarkapppropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktabookmarkapppropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktabookmarkapppropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktabookmarkapppropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktabookmarkapppropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktabookmarkapppropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktabookmarkapppropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktabookmarkapppropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktabookmarkapppropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktabookmarkapppropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktabookmarkapppropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktabookmarkapppropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktabookmarkapppropertylogoinput) | `string` | *No description.* |
| [`requestIntegrationInput`](#cdktfprovideroktabookmarkapppropertyrequestintegrationinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktabookmarkapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktabookmarkapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktabookmarkapppropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktabookmarkapppropertyurlinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktabookmarkapppropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktabookmarkapppropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktabookmarkapppropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktabookmarkapppropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktabookmarkapppropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktabookmarkapppropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktabookmarkapppropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`enduserNote`](#cdktfprovideroktabookmarkapppropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktabookmarkapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktabookmarkapppropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktabookmarkapppropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktabookmarkapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktabookmarkapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktabookmarkapppropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`requestIntegration`](#cdktfprovideroktabookmarkapppropertyrequestintegration)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipGroups`](#cdktfprovideroktabookmarkapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktabookmarkapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktabookmarkapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktabookmarkapppropertyurl)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.logoUrl" id="cdktfprovideroktabookmarkapppropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.name" id="cdktfprovideroktabookmarkapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.signOnMode" id="cdktfprovideroktabookmarkapppropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.users" id="cdktfprovideroktabookmarkapppropertyusers"></a>

```typescript
public readonly users: BookmarkAppUsersList;
```

- *Type:* [`@cdktf/provider-okta.BookmarkAppUsersList`](#@cdktf/provider-okta.BookmarkAppUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktabookmarkapppropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktabookmarkapppropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.accessibilitySelfServiceInput" id="cdktfprovideroktabookmarkapppropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.adminNoteInput" id="cdktfprovideroktabookmarkapppropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.appLinksJsonInput" id="cdktfprovideroktabookmarkapppropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.autoSubmitToolbarInput" id="cdktfprovideroktabookmarkapppropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.enduserNoteInput" id="cdktfprovideroktabookmarkapppropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.groupsInput" id="cdktfprovideroktabookmarkapppropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.hideIosInput" id="cdktfprovideroktabookmarkapppropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.hideWebInput" id="cdktfprovideroktabookmarkapppropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.idInput" id="cdktfprovideroktabookmarkapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.labelInput" id="cdktfprovideroktabookmarkapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.logoInput" id="cdktfprovideroktabookmarkapppropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `requestIntegrationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.requestIntegrationInput" id="cdktfprovideroktabookmarkapppropertyrequestintegrationinput"></a>

```typescript
public readonly requestIntegrationInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.skipGroupsInput" id="cdktfprovideroktabookmarkapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.skipUsersInput" id="cdktfprovideroktabookmarkapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.statusInput" id="cdktfprovideroktabookmarkapppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.urlInput" id="cdktfprovideroktabookmarkapppropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.usersInput" id="cdktfprovideroktabookmarkapppropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | BookmarkAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktabookmarkapppropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktabookmarkapppropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.accessibilitySelfService" id="cdktfprovideroktabookmarkapppropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.adminNote" id="cdktfprovideroktabookmarkapppropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.appLinksJson" id="cdktfprovideroktabookmarkapppropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.autoSubmitToolbar" id="cdktfprovideroktabookmarkapppropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.enduserNote" id="cdktfprovideroktabookmarkapppropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.groups" id="cdktfprovideroktabookmarkapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.hideIos" id="cdktfprovideroktabookmarkapppropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.hideWeb" id="cdktfprovideroktabookmarkapppropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.id" id="cdktfprovideroktabookmarkapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.label" id="cdktfprovideroktabookmarkapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.logo" id="cdktfprovideroktabookmarkapppropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `requestIntegration`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.requestIntegration" id="cdktfprovideroktabookmarkapppropertyrequestintegration"></a>

```typescript
public readonly requestIntegration: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.skipGroups" id="cdktfprovideroktabookmarkapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.skipUsers" id="cdktfprovideroktabookmarkapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.status" id="cdktfprovideroktabookmarkapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkApp.property.url" id="cdktfprovideroktabookmarkapppropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktabookmarkapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.BookmarkApp.property.tfResourceType" id="cdktfprovideroktabookmarkapppropertytfresourcetype"></a>

- *Type:* `string`

---

### Brand <a name="@cdktf/provider-okta.Brand" id="cdktfprovideroktabrand"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/brand okta_brand}.

#### Initializers <a name="@cdktf/provider-okta.Brand.Initializer" id="cdktfprovideroktabrandinitializer"></a>

```typescript
import { Brand } from '@cdktf/provider-okta'

new Brand(scope: Construct, id: string, config?: BrandConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktabrandparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktabrandparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktabrandparameterconfig) | [`@cdktf/provider-okta.BrandConfig`](#@cdktf/provider-okta.BrandConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.parameter.scope" id="cdktfprovideroktabrandparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.parameter.id" id="cdktfprovideroktabrandparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.Brand.parameter.config" id="cdktfprovideroktabrandparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.BrandConfig`](#@cdktf/provider-okta.BrandConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAgreeToCustomPrivacyPolicy`](#cdktfprovideroktabrandresetagreetocustomprivacypolicy) | *No description.* |
| [`resetBrandId`](#cdktfprovideroktabrandresetbrandid) | *No description.* |
| [`resetCustomPrivacyPolicyUrl`](#cdktfprovideroktabrandresetcustomprivacypolicyurl) | *No description.* |
| [`resetRemovePoweredByOkta`](#cdktfprovideroktabrandresetremovepoweredbyokta) | *No description.* |

---

##### `resetAgreeToCustomPrivacyPolicy` <a name="@cdktf/provider-okta.Brand.resetAgreeToCustomPrivacyPolicy" id="cdktfprovideroktabrandresetagreetocustomprivacypolicy"></a>

```typescript
public resetAgreeToCustomPrivacyPolicy()
```

##### `resetBrandId` <a name="@cdktf/provider-okta.Brand.resetBrandId" id="cdktfprovideroktabrandresetbrandid"></a>

```typescript
public resetBrandId()
```

##### `resetCustomPrivacyPolicyUrl` <a name="@cdktf/provider-okta.Brand.resetCustomPrivacyPolicyUrl" id="cdktfprovideroktabrandresetcustomprivacypolicyurl"></a>

```typescript
public resetCustomPrivacyPolicyUrl()
```

##### `resetRemovePoweredByOkta` <a name="@cdktf/provider-okta.Brand.resetRemovePoweredByOkta" id="cdktfprovideroktabrandresetremovepoweredbyokta"></a>

```typescript
public resetRemovePoweredByOkta()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktabrandpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktabrandpropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`agreeToCustomPrivacyPolicyInput`](#cdktfprovideroktabrandpropertyagreetocustomprivacypolicyinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`brandIdInput`](#cdktfprovideroktabrandpropertybrandidinput) | `string` | *No description.* |
| [`customPrivacyPolicyUrlInput`](#cdktfprovideroktabrandpropertycustomprivacypolicyurlinput) | `string` | *No description.* |
| [`removePoweredByOktaInput`](#cdktfprovideroktabrandpropertyremovepoweredbyoktainput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`agreeToCustomPrivacyPolicy`](#cdktfprovideroktabrandpropertyagreetocustomprivacypolicy)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`brandId`](#cdktfprovideroktabrandpropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`customPrivacyPolicyUrl`](#cdktfprovideroktabrandpropertycustomprivacypolicyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`removePoweredByOkta`](#cdktfprovideroktabrandpropertyremovepoweredbyokta)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.property.id" id="cdktfprovideroktabrandpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.property.links" id="cdktfprovideroktabrandpropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `agreeToCustomPrivacyPolicyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Brand.property.agreeToCustomPrivacyPolicyInput" id="cdktfprovideroktabrandpropertyagreetocustomprivacypolicyinput"></a>

```typescript
public readonly agreeToCustomPrivacyPolicyInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Brand.property.brandIdInput" id="cdktfprovideroktabrandpropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `customPrivacyPolicyUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Brand.property.customPrivacyPolicyUrlInput" id="cdktfprovideroktabrandpropertycustomprivacypolicyurlinput"></a>

```typescript
public readonly customPrivacyPolicyUrlInput: string;
```

- *Type:* `string`

---

##### `removePoweredByOktaInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Brand.property.removePoweredByOktaInput" id="cdktfprovideroktabrandpropertyremovepoweredbyoktainput"></a>

```typescript
public readonly removePoweredByOktaInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `agreeToCustomPrivacyPolicy`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.property.agreeToCustomPrivacyPolicy" id="cdktfprovideroktabrandpropertyagreetocustomprivacypolicy"></a>

```typescript
public readonly agreeToCustomPrivacyPolicy: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.property.brandId" id="cdktfprovideroktabrandpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `customPrivacyPolicyUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.property.customPrivacyPolicyUrl" id="cdktfprovideroktabrandpropertycustomprivacypolicyurl"></a>

```typescript
public readonly customPrivacyPolicyUrl: string;
```

- *Type:* `string`

---

##### `removePoweredByOkta`<sup>Required</sup> <a name="@cdktf/provider-okta.Brand.property.removePoweredByOkta" id="cdktfprovideroktabrandpropertyremovepoweredbyokta"></a>

```typescript
public readonly removePoweredByOkta: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktabrandpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Brand.property.tfResourceType" id="cdktfprovideroktabrandpropertytfresourcetype"></a>

- *Type:* `string`

---

### Captcha <a name="@cdktf/provider-okta.Captcha" id="cdktfprovideroktacaptcha"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/captcha okta_captcha}.

#### Initializers <a name="@cdktf/provider-okta.Captcha.Initializer" id="cdktfprovideroktacaptchainitializer"></a>

```typescript
import { Captcha } from '@cdktf/provider-okta'

new Captcha(scope: Construct, id: string, config: CaptchaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktacaptchaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktacaptchaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktacaptchaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.CaptchaConfig`](#@cdktf/provider-okta.CaptchaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.parameter.scope" id="cdktfprovideroktacaptchaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.parameter.id" id="cdktfprovideroktacaptchaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.parameter.config" id="cdktfprovideroktacaptchaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.CaptchaConfig`](#@cdktf/provider-okta.CaptchaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktacaptcharesetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.Captcha.resetId" id="cdktfprovideroktacaptcharesetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktacaptchapropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktacaptchapropertynameinput) | `string` | *No description.* |
| [`secretKeyInput`](#cdktfprovideroktacaptchapropertysecretkeyinput) | `string` | *No description.* |
| [`siteKeyInput`](#cdktfprovideroktacaptchapropertysitekeyinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktacaptchapropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktacaptchapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktacaptchapropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`secretKey`](#cdktfprovideroktacaptchapropertysecretkey)<span title="Required">*</span> | `string` | *No description.* |
| [`siteKey`](#cdktfprovideroktacaptchapropertysitekey)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktacaptchapropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Captcha.property.idInput" id="cdktfprovideroktacaptchapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Captcha.property.nameInput" id="cdktfprovideroktacaptchapropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `secretKeyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Captcha.property.secretKeyInput" id="cdktfprovideroktacaptchapropertysecretkeyinput"></a>

```typescript
public readonly secretKeyInput: string;
```

- *Type:* `string`

---

##### `siteKeyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Captcha.property.siteKeyInput" id="cdktfprovideroktacaptchapropertysitekeyinput"></a>

```typescript
public readonly siteKeyInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Captcha.property.typeInput" id="cdktfprovideroktacaptchapropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.property.id" id="cdktfprovideroktacaptchapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.property.name" id="cdktfprovideroktacaptchapropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `secretKey`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.property.secretKey" id="cdktfprovideroktacaptchapropertysecretkey"></a>

```typescript
public readonly secretKey: string;
```

- *Type:* `string`

---

##### `siteKey`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.property.siteKey" id="cdktfprovideroktacaptchapropertysitekey"></a>

```typescript
public readonly siteKey: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.Captcha.property.type" id="cdktfprovideroktacaptchapropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktacaptchapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Captcha.property.tfResourceType" id="cdktfprovideroktacaptchapropertytfresourcetype"></a>

- *Type:* `string`

---

### CaptchaOrgWideSettings <a name="@cdktf/provider-okta.CaptchaOrgWideSettings" id="cdktfprovideroktacaptchaorgwidesettings"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/captcha_org_wide_settings okta_captcha_org_wide_settings}.

#### Initializers <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.Initializer" id="cdktfprovideroktacaptchaorgwidesettingsinitializer"></a>

```typescript
import { CaptchaOrgWideSettings } from '@cdktf/provider-okta'

new CaptchaOrgWideSettings(scope: Construct, id: string, config?: CaptchaOrgWideSettingsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktacaptchaorgwidesettingsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktacaptchaorgwidesettingsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktacaptchaorgwidesettingsparameterconfig) | [`@cdktf/provider-okta.CaptchaOrgWideSettingsConfig`](#@cdktf/provider-okta.CaptchaOrgWideSettingsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.parameter.scope" id="cdktfprovideroktacaptchaorgwidesettingsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.parameter.id" id="cdktfprovideroktacaptchaorgwidesettingsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.parameter.config" id="cdktfprovideroktacaptchaorgwidesettingsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.CaptchaOrgWideSettingsConfig`](#@cdktf/provider-okta.CaptchaOrgWideSettingsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetCaptchaId`](#cdktfprovideroktacaptchaorgwidesettingsresetcaptchaid) | *No description.* |
| [`resetEnabledFor`](#cdktfprovideroktacaptchaorgwidesettingsresetenabledfor) | *No description.* |
| [`resetId`](#cdktfprovideroktacaptchaorgwidesettingsresetid) | *No description.* |

---

##### `resetCaptchaId` <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.resetCaptchaId" id="cdktfprovideroktacaptchaorgwidesettingsresetcaptchaid"></a>

```typescript
public resetCaptchaId()
```

##### `resetEnabledFor` <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.resetEnabledFor" id="cdktfprovideroktacaptchaorgwidesettingsresetenabledfor"></a>

```typescript
public resetEnabledFor()
```

##### `resetId` <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.resetId" id="cdktfprovideroktacaptchaorgwidesettingsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`captchaIdInput`](#cdktfprovideroktacaptchaorgwidesettingspropertycaptchaidinput) | `string` | *No description.* |
| [`enabledForInput`](#cdktfprovideroktacaptchaorgwidesettingspropertyenabledforinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktacaptchaorgwidesettingspropertyidinput) | `string` | *No description.* |
| [`captchaId`](#cdktfprovideroktacaptchaorgwidesettingspropertycaptchaid)<span title="Required">*</span> | `string` | *No description.* |
| [`enabledFor`](#cdktfprovideroktacaptchaorgwidesettingspropertyenabledfor)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktacaptchaorgwidesettingspropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `captchaIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.property.captchaIdInput" id="cdktfprovideroktacaptchaorgwidesettingspropertycaptchaidinput"></a>

```typescript
public readonly captchaIdInput: string;
```

- *Type:* `string`

---

##### `enabledForInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.property.enabledForInput" id="cdktfprovideroktacaptchaorgwidesettingspropertyenabledforinput"></a>

```typescript
public readonly enabledForInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.property.idInput" id="cdktfprovideroktacaptchaorgwidesettingspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `captchaId`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.property.captchaId" id="cdktfprovideroktacaptchaorgwidesettingspropertycaptchaid"></a>

```typescript
public readonly captchaId: string;
```

- *Type:* `string`

---

##### `enabledFor`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.property.enabledFor" id="cdktfprovideroktacaptchaorgwidesettingspropertyenabledfor"></a>

```typescript
public readonly enabledFor: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.property.id" id="cdktfprovideroktacaptchaorgwidesettingspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktacaptchaorgwidesettingspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.CaptchaOrgWideSettings.property.tfResourceType" id="cdktfprovideroktacaptchaorgwidesettingspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaApp <a name="@cdktf/provider-okta.DataOktaApp" id="cdktfprovideroktadataoktaapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/app okta_app}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaApp.Initializer" id="cdktfprovideroktadataoktaappinitializer"></a>

```typescript
import { DataOktaApp } from '@cdktf/provider-okta'

new DataOktaApp(scope: Construct, id: string, config?: DataOktaAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaappparameterconfig) | [`@cdktf/provider-okta.DataOktaAppConfig`](#@cdktf/provider-okta.DataOktaAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.parameter.scope" id="cdktfprovideroktadataoktaappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.parameter.id" id="cdktfprovideroktadataoktaappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaApp.parameter.config" id="cdktfprovideroktadataoktaappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAppConfig`](#@cdktf/provider-okta.DataOktaAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetActiveOnly`](#cdktfprovideroktadataoktaappresetactiveonly) | *No description.* |
| [`resetId`](#cdktfprovideroktadataoktaappresetid) | *No description.* |
| [`resetLabel`](#cdktfprovideroktadataoktaappresetlabel) | *No description.* |
| [`resetLabelPrefix`](#cdktfprovideroktadataoktaappresetlabelprefix) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktadataoktaappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktadataoktaappresetskipusers) | *No description.* |

---

##### `resetActiveOnly` <a name="@cdktf/provider-okta.DataOktaApp.resetActiveOnly" id="cdktfprovideroktadataoktaappresetactiveonly"></a>

```typescript
public resetActiveOnly()
```

##### `resetId` <a name="@cdktf/provider-okta.DataOktaApp.resetId" id="cdktfprovideroktadataoktaappresetid"></a>

```typescript
public resetId()
```

##### `resetLabel` <a name="@cdktf/provider-okta.DataOktaApp.resetLabel" id="cdktfprovideroktadataoktaappresetlabel"></a>

```typescript
public resetLabel()
```

##### `resetLabelPrefix` <a name="@cdktf/provider-okta.DataOktaApp.resetLabelPrefix" id="cdktfprovideroktadataoktaappresetlabelprefix"></a>

```typescript
public resetLabelPrefix()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.DataOktaApp.resetSkipGroups" id="cdktfprovideroktadataoktaappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.DataOktaApp.resetSkipUsers" id="cdktfprovideroktadataoktaappresetskipusers"></a>

```typescript
public resetSkipUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`groups`](#cdktfprovideroktadataoktaapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`links`](#cdktfprovideroktadataoktaapppropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktadataoktaapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktadataoktaapppropertyusers)<span title="Required">*</span> | `string`[] | *No description.* |
| [`activeOnlyInput`](#cdktfprovideroktadataoktaapppropertyactiveonlyinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaapppropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktadataoktaapppropertylabelinput) | `string` | *No description.* |
| [`labelPrefixInput`](#cdktfprovideroktadataoktaapppropertylabelprefixinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktadataoktaapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktadataoktaapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`activeOnly`](#cdktfprovideroktadataoktaapppropertyactiveonly)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktadataoktaapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktadataoktaapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`labelPrefix`](#cdktfprovideroktadataoktaapppropertylabelprefix)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktadataoktaapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktadataoktaapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.groups" id="cdktfprovideroktadataoktaapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.links" id="cdktfprovideroktadataoktaapppropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.name" id="cdktfprovideroktadataoktaapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.status" id="cdktfprovideroktadataoktaapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.users" id="cdktfprovideroktadataoktaapppropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

---

##### `activeOnlyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.activeOnlyInput" id="cdktfprovideroktadataoktaapppropertyactiveonlyinput"></a>

```typescript
public readonly activeOnlyInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.idInput" id="cdktfprovideroktadataoktaapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.labelInput" id="cdktfprovideroktadataoktaapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `labelPrefixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.labelPrefixInput" id="cdktfprovideroktadataoktaapppropertylabelprefixinput"></a>

```typescript
public readonly labelPrefixInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.skipGroupsInput" id="cdktfprovideroktadataoktaapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.skipUsersInput" id="cdktfprovideroktadataoktaapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `activeOnly`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.activeOnly" id="cdktfprovideroktadataoktaapppropertyactiveonly"></a>

```typescript
public readonly activeOnly: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.id" id="cdktfprovideroktadataoktaapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.label" id="cdktfprovideroktadataoktaapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `labelPrefix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.labelPrefix" id="cdktfprovideroktadataoktaapppropertylabelprefix"></a>

```typescript
public readonly labelPrefix: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.skipGroups" id="cdktfprovideroktadataoktaapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaApp.property.skipUsers" id="cdktfprovideroktadataoktaapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaApp.property.tfResourceType" id="cdktfprovideroktadataoktaapppropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAppGroupAssignments <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments" id="cdktfprovideroktadataoktaappgroupassignments"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/app_group_assignments okta_app_group_assignments}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.Initializer" id="cdktfprovideroktadataoktaappgroupassignmentsinitializer"></a>

```typescript
import { DataOktaAppGroupAssignments } from '@cdktf/provider-okta'

new DataOktaAppGroupAssignments(scope: Construct, id: string, config: DataOktaAppGroupAssignmentsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaappgroupassignmentsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaappgroupassignmentsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaappgroupassignmentsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig`](#@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.parameter.scope" id="cdktfprovideroktadataoktaappgroupassignmentsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.parameter.id" id="cdktfprovideroktadataoktaappgroupassignmentsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.parameter.config" id="cdktfprovideroktadataoktaappgroupassignmentsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig`](#@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`groups`](#cdktfprovideroktadataoktaappgroupassignmentspropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaappgroupassignmentspropertyidinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappgroupassignmentspropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.property.groups" id="cdktfprovideroktadataoktaappgroupassignmentspropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.property.idInput" id="cdktfprovideroktadataoktaappgroupassignmentspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.property.id" id="cdktfprovideroktadataoktaappgroupassignmentspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaappgroupassignmentspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAppGroupAssignments.property.tfResourceType" id="cdktfprovideroktadataoktaappgroupassignmentspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAppMetadataSaml <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml" id="cdktfprovideroktadataoktaappmetadatasaml"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/app_metadata_saml okta_app_metadata_saml}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.Initializer" id="cdktfprovideroktadataoktaappmetadatasamlinitializer"></a>

```typescript
import { DataOktaAppMetadataSaml } from '@cdktf/provider-okta'

new DataOktaAppMetadataSaml(scope: Construct, id: string, config: DataOktaAppMetadataSamlConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaappmetadatasamlparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaappmetadatasamlparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaappmetadatasamlparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAppMetadataSamlConfig`](#@cdktf/provider-okta.DataOktaAppMetadataSamlConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.parameter.scope" id="cdktfprovideroktadataoktaappmetadatasamlparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.parameter.id" id="cdktfprovideroktadataoktaappmetadatasamlparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.parameter.config" id="cdktfprovideroktadataoktaappmetadatasamlparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAppMetadataSamlConfig`](#@cdktf/provider-okta.DataOktaAppMetadataSamlConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaappmetadatasamlresetid) | *No description.* |
| [`resetKeyId`](#cdktfprovideroktadataoktaappmetadatasamlresetkeyid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.resetId" id="cdktfprovideroktadataoktaappmetadatasamlresetid"></a>

```typescript
public resetId()
```

##### `resetKeyId` <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.resetKeyId" id="cdktfprovideroktadataoktaappmetadatasamlresetkeyid"></a>

```typescript
public resetKeyId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`certificate`](#cdktfprovideroktadataoktaappmetadatasamlpropertycertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`entityId`](#cdktfprovideroktadataoktaappmetadatasamlpropertyentityid)<span title="Required">*</span> | `string` | *No description.* |
| [`httpPostBinding`](#cdktfprovideroktadataoktaappmetadatasamlpropertyhttppostbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`httpRedirectBinding`](#cdktfprovideroktadataoktaappmetadatasamlpropertyhttpredirectbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`metadata`](#cdktfprovideroktadataoktaappmetadatasamlpropertymetadata)<span title="Required">*</span> | `string` | *No description.* |
| [`wantAuthnRequestsSigned`](#cdktfprovideroktadataoktaappmetadatasamlpropertywantauthnrequestssigned)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`appIdInput`](#cdktfprovideroktadataoktaappmetadatasamlpropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaappmetadatasamlpropertyidinput) | `string` | *No description.* |
| [`keyIdInput`](#cdktfprovideroktadataoktaappmetadatasamlpropertykeyidinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktadataoktaappmetadatasamlpropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappmetadatasamlpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`keyId`](#cdktfprovideroktadataoktaappmetadatasamlpropertykeyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `certificate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.certificate" id="cdktfprovideroktadataoktaappmetadatasamlpropertycertificate"></a>

```typescript
public readonly certificate: string;
```

- *Type:* `string`

---

##### `entityId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.entityId" id="cdktfprovideroktadataoktaappmetadatasamlpropertyentityid"></a>

```typescript
public readonly entityId: string;
```

- *Type:* `string`

---

##### `httpPostBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.httpPostBinding" id="cdktfprovideroktadataoktaappmetadatasamlpropertyhttppostbinding"></a>

```typescript
public readonly httpPostBinding: string;
```

- *Type:* `string`

---

##### `httpRedirectBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.httpRedirectBinding" id="cdktfprovideroktadataoktaappmetadatasamlpropertyhttpredirectbinding"></a>

```typescript
public readonly httpRedirectBinding: string;
```

- *Type:* `string`

---

##### `metadata`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.metadata" id="cdktfprovideroktadataoktaappmetadatasamlpropertymetadata"></a>

```typescript
public readonly metadata: string;
```

- *Type:* `string`

---

##### `wantAuthnRequestsSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.wantAuthnRequestsSigned" id="cdktfprovideroktadataoktaappmetadatasamlpropertywantauthnrequestssigned"></a>

```typescript
public readonly wantAuthnRequestsSigned: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.appIdInput" id="cdktfprovideroktadataoktaappmetadatasamlpropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.idInput" id="cdktfprovideroktadataoktaappmetadatasamlpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `keyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.keyIdInput" id="cdktfprovideroktadataoktaappmetadatasamlpropertykeyidinput"></a>

```typescript
public readonly keyIdInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.appId" id="cdktfprovideroktadataoktaappmetadatasamlpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.id" id="cdktfprovideroktadataoktaappmetadatasamlpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `keyId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.keyId" id="cdktfprovideroktadataoktaappmetadatasamlpropertykeyid"></a>

```typescript
public readonly keyId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaappmetadatasamlpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAppMetadataSaml.property.tfResourceType" id="cdktfprovideroktadataoktaappmetadatasamlpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAppOauth <a name="@cdktf/provider-okta.DataOktaAppOauth" id="cdktfprovideroktadataoktaappoauth"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/app_oauth okta_app_oauth}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppOauth.Initializer" id="cdktfprovideroktadataoktaappoauthinitializer"></a>

```typescript
import { DataOktaAppOauth } from '@cdktf/provider-okta'

new DataOktaAppOauth(scope: Construct, id: string, config?: DataOktaAppOauthConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaappoauthparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaappoauthparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaappoauthparameterconfig) | [`@cdktf/provider-okta.DataOktaAppOauthConfig`](#@cdktf/provider-okta.DataOktaAppOauthConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.parameter.scope" id="cdktfprovideroktadataoktaappoauthparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.parameter.id" id="cdktfprovideroktadataoktaappoauthparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.parameter.config" id="cdktfprovideroktadataoktaappoauthparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAppOauthConfig`](#@cdktf/provider-okta.DataOktaAppOauthConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetActiveOnly`](#cdktfprovideroktadataoktaappoauthresetactiveonly) | *No description.* |
| [`resetId`](#cdktfprovideroktadataoktaappoauthresetid) | *No description.* |
| [`resetLabel`](#cdktfprovideroktadataoktaappoauthresetlabel) | *No description.* |
| [`resetLabelPrefix`](#cdktfprovideroktadataoktaappoauthresetlabelprefix) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktadataoktaappoauthresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktadataoktaappoauthresetskipusers) | *No description.* |

---

##### `resetActiveOnly` <a name="@cdktf/provider-okta.DataOktaAppOauth.resetActiveOnly" id="cdktfprovideroktadataoktaappoauthresetactiveonly"></a>

```typescript
public resetActiveOnly()
```

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAppOauth.resetId" id="cdktfprovideroktadataoktaappoauthresetid"></a>

```typescript
public resetId()
```

##### `resetLabel` <a name="@cdktf/provider-okta.DataOktaAppOauth.resetLabel" id="cdktfprovideroktadataoktaappoauthresetlabel"></a>

```typescript
public resetLabel()
```

##### `resetLabelPrefix` <a name="@cdktf/provider-okta.DataOktaAppOauth.resetLabelPrefix" id="cdktfprovideroktadataoktaappoauthresetlabelprefix"></a>

```typescript
public resetLabelPrefix()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.DataOktaAppOauth.resetSkipGroups" id="cdktfprovideroktadataoktaappoauthresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.DataOktaAppOauth.resetSkipUsers" id="cdktfprovideroktadataoktaappoauthresetskipusers"></a>

```typescript
public resetSkipUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`autoSubmitToolbar`](#cdktfprovideroktadataoktaappoauthpropertyautosubmittoolbar)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`clientId`](#cdktfprovideroktadataoktaappoauthpropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientUri`](#cdktfprovideroktadataoktaappoauthpropertyclienturi)<span title="Required">*</span> | `string` | *No description.* |
| [`grantTypes`](#cdktfprovideroktadataoktaappoauthpropertygranttypes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groups`](#cdktfprovideroktadataoktaappoauthpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktadataoktaappoauthpropertyhideios)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktadataoktaappoauthpropertyhideweb)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`links`](#cdktfprovideroktadataoktaappoauthpropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`loginMode`](#cdktfprovideroktadataoktaappoauthpropertyloginmode)<span title="Required">*</span> | `string` | *No description.* |
| [`loginScopes`](#cdktfprovideroktadataoktaappoauthpropertyloginscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`loginUri`](#cdktfprovideroktadataoktaappoauthpropertyloginuri)<span title="Required">*</span> | `string` | *No description.* |
| [`logoUri`](#cdktfprovideroktadataoktaappoauthpropertylogouri)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaappoauthpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`policyUri`](#cdktfprovideroktadataoktaappoauthpropertypolicyuri)<span title="Required">*</span> | `string` | *No description.* |
| [`postLogoutRedirectUris`](#cdktfprovideroktadataoktaappoauthpropertypostlogoutredirecturis)<span title="Required">*</span> | `string`[] | *No description.* |
| [`redirectUris`](#cdktfprovideroktadataoktaappoauthpropertyredirecturis)<span title="Required">*</span> | `string`[] | *No description.* |
| [`responseTypes`](#cdktfprovideroktadataoktaappoauthpropertyresponsetypes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktadataoktaappoauthpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktaappoauthpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktadataoktaappoauthpropertyusers)<span title="Required">*</span> | `string`[] | *No description.* |
| [`wildcardRedirect`](#cdktfprovideroktadataoktaappoauthpropertywildcardredirect)<span title="Required">*</span> | `string` | *No description.* |
| [`activeOnlyInput`](#cdktfprovideroktadataoktaappoauthpropertyactiveonlyinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaappoauthpropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktadataoktaappoauthpropertylabelinput) | `string` | *No description.* |
| [`labelPrefixInput`](#cdktfprovideroktadataoktaappoauthpropertylabelprefixinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktadataoktaappoauthpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktadataoktaappoauthpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`activeOnly`](#cdktfprovideroktadataoktaappoauthpropertyactiveonly)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappoauthpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktadataoktaappoauthpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`labelPrefix`](#cdktfprovideroktadataoktaappoauthpropertylabelprefix)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktadataoktaappoauthpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktadataoktaappoauthpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.autoSubmitToolbar" id="cdktfprovideroktadataoktaappoauthpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.clientId" id="cdktfprovideroktadataoktaappoauthpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientUri`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.clientUri" id="cdktfprovideroktadataoktaappoauthpropertyclienturi"></a>

```typescript
public readonly clientUri: string;
```

- *Type:* `string`

---

##### `grantTypes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.grantTypes" id="cdktfprovideroktadataoktaappoauthpropertygranttypes"></a>

```typescript
public readonly grantTypes: string[];
```

- *Type:* `string`[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.groups" id="cdktfprovideroktadataoktaappoauthpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.hideIos" id="cdktfprovideroktadataoktaappoauthpropertyhideios"></a>

```typescript
public readonly hideIos: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.hideWeb" id="cdktfprovideroktadataoktaappoauthpropertyhideweb"></a>

```typescript
public readonly hideWeb: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.links" id="cdktfprovideroktadataoktaappoauthpropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `loginMode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.loginMode" id="cdktfprovideroktadataoktaappoauthpropertyloginmode"></a>

```typescript
public readonly loginMode: string;
```

- *Type:* `string`

---

##### `loginScopes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.loginScopes" id="cdktfprovideroktadataoktaappoauthpropertyloginscopes"></a>

```typescript
public readonly loginScopes: string[];
```

- *Type:* `string`[]

---

##### `loginUri`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.loginUri" id="cdktfprovideroktadataoktaappoauthpropertyloginuri"></a>

```typescript
public readonly loginUri: string;
```

- *Type:* `string`

---

##### `logoUri`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.logoUri" id="cdktfprovideroktadataoktaappoauthpropertylogouri"></a>

```typescript
public readonly logoUri: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.name" id="cdktfprovideroktadataoktaappoauthpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `policyUri`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.policyUri" id="cdktfprovideroktadataoktaappoauthpropertypolicyuri"></a>

```typescript
public readonly policyUri: string;
```

- *Type:* `string`

---

##### `postLogoutRedirectUris`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.postLogoutRedirectUris" id="cdktfprovideroktadataoktaappoauthpropertypostlogoutredirecturis"></a>

```typescript
public readonly postLogoutRedirectUris: string[];
```

- *Type:* `string`[]

---

##### `redirectUris`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.redirectUris" id="cdktfprovideroktadataoktaappoauthpropertyredirecturis"></a>

```typescript
public readonly redirectUris: string[];
```

- *Type:* `string`[]

---

##### `responseTypes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.responseTypes" id="cdktfprovideroktadataoktaappoauthpropertyresponsetypes"></a>

```typescript
public readonly responseTypes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.status" id="cdktfprovideroktadataoktaappoauthpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.type" id="cdktfprovideroktadataoktaappoauthpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.users" id="cdktfprovideroktadataoktaappoauthpropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

---

##### `wildcardRedirect`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.wildcardRedirect" id="cdktfprovideroktadataoktaappoauthpropertywildcardredirect"></a>

```typescript
public readonly wildcardRedirect: string;
```

- *Type:* `string`

---

##### `activeOnlyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.activeOnlyInput" id="cdktfprovideroktadataoktaappoauthpropertyactiveonlyinput"></a>

```typescript
public readonly activeOnlyInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.idInput" id="cdktfprovideroktadataoktaappoauthpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.labelInput" id="cdktfprovideroktadataoktaappoauthpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `labelPrefixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.labelPrefixInput" id="cdktfprovideroktadataoktaappoauthpropertylabelprefixinput"></a>

```typescript
public readonly labelPrefixInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.skipGroupsInput" id="cdktfprovideroktadataoktaappoauthpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.skipUsersInput" id="cdktfprovideroktadataoktaappoauthpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `activeOnly`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.activeOnly" id="cdktfprovideroktadataoktaappoauthpropertyactiveonly"></a>

```typescript
public readonly activeOnly: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.id" id="cdktfprovideroktadataoktaappoauthpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.label" id="cdktfprovideroktadataoktaappoauthpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `labelPrefix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.labelPrefix" id="cdktfprovideroktadataoktaappoauthpropertylabelprefix"></a>

```typescript
public readonly labelPrefix: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.skipGroups" id="cdktfprovideroktadataoktaappoauthpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppOauth.property.skipUsers" id="cdktfprovideroktadataoktaappoauthpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaappoauthpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAppOauth.property.tfResourceType" id="cdktfprovideroktadataoktaappoauthpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAppSaml <a name="@cdktf/provider-okta.DataOktaAppSaml" id="cdktfprovideroktadataoktaappsaml"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/app_saml okta_app_saml}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppSaml.Initializer" id="cdktfprovideroktadataoktaappsamlinitializer"></a>

```typescript
import { DataOktaAppSaml } from '@cdktf/provider-okta'

new DataOktaAppSaml(scope: Construct, id: string, config?: DataOktaAppSamlConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaappsamlparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaappsamlparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaappsamlparameterconfig) | [`@cdktf/provider-okta.DataOktaAppSamlConfig`](#@cdktf/provider-okta.DataOktaAppSamlConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.parameter.scope" id="cdktfprovideroktadataoktaappsamlparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.parameter.id" id="cdktfprovideroktadataoktaappsamlparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.parameter.config" id="cdktfprovideroktadataoktaappsamlparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAppSamlConfig`](#@cdktf/provider-okta.DataOktaAppSamlConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetActiveOnly`](#cdktfprovideroktadataoktaappsamlresetactiveonly) | *No description.* |
| [`resetId`](#cdktfprovideroktadataoktaappsamlresetid) | *No description.* |
| [`resetLabel`](#cdktfprovideroktadataoktaappsamlresetlabel) | *No description.* |
| [`resetLabelPrefix`](#cdktfprovideroktadataoktaappsamlresetlabelprefix) | *No description.* |
| [`resetRequestCompressed`](#cdktfprovideroktadataoktaappsamlresetrequestcompressed) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktadataoktaappsamlresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktadataoktaappsamlresetskipusers) | *No description.* |

---

##### `resetActiveOnly` <a name="@cdktf/provider-okta.DataOktaAppSaml.resetActiveOnly" id="cdktfprovideroktadataoktaappsamlresetactiveonly"></a>

```typescript
public resetActiveOnly()
```

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAppSaml.resetId" id="cdktfprovideroktadataoktaappsamlresetid"></a>

```typescript
public resetId()
```

##### `resetLabel` <a name="@cdktf/provider-okta.DataOktaAppSaml.resetLabel" id="cdktfprovideroktadataoktaappsamlresetlabel"></a>

```typescript
public resetLabel()
```

##### `resetLabelPrefix` <a name="@cdktf/provider-okta.DataOktaAppSaml.resetLabelPrefix" id="cdktfprovideroktadataoktaappsamlresetlabelprefix"></a>

```typescript
public resetLabelPrefix()
```

##### `resetRequestCompressed` <a name="@cdktf/provider-okta.DataOktaAppSaml.resetRequestCompressed" id="cdktfprovideroktadataoktaappsamlresetrequestcompressed"></a>

```typescript
public resetRequestCompressed()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.DataOktaAppSaml.resetSkipGroups" id="cdktfprovideroktadataoktaappsamlresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.DataOktaAppSaml.resetSkipUsers" id="cdktfprovideroktadataoktaappsamlresetskipusers"></a>

```typescript
public resetSkipUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktadataoktaappsamlpropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktadataoktaappsamlpropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktadataoktaappsamlpropertyaccessibilityselfservice)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`acsEndpoints`](#cdktfprovideroktadataoktaappsamlpropertyacsendpoints)<span title="Required">*</span> | `string`[] | *No description.* |
| [`appSettingsJson`](#cdktfprovideroktadataoktaappsamlpropertyappsettingsjson)<span title="Required">*</span> | `string` | *No description.* |
| [`assertionSigned`](#cdktfprovideroktadataoktaappsamlpropertyassertionsigned)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`attributeStatements`](#cdktfprovideroktadataoktaappsamlpropertyattributestatements)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList`](#@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList) | *No description.* |
| [`audience`](#cdktfprovideroktadataoktaappsamlpropertyaudience)<span title="Required">*</span> | `string` | *No description.* |
| [`authnContextClassRef`](#cdktfprovideroktadataoktaappsamlpropertyauthncontextclassref)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktadataoktaappsamlpropertyautosubmittoolbar)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`defaultRelayState`](#cdktfprovideroktadataoktaappsamlpropertydefaultrelaystate)<span title="Required">*</span> | `string` | *No description.* |
| [`destination`](#cdktfprovideroktadataoktaappsamlpropertydestination)<span title="Required">*</span> | `string` | *No description.* |
| [`digestAlgorithm`](#cdktfprovideroktadataoktaappsamlpropertydigestalgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`features`](#cdktfprovideroktadataoktaappsamlpropertyfeatures)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groups`](#cdktfprovideroktadataoktaappsamlpropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktadataoktaappsamlpropertyhideios)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktadataoktaappsamlpropertyhideweb)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`honorForceAuthn`](#cdktfprovideroktadataoktaappsamlpropertyhonorforceauthn)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idpIssuer`](#cdktfprovideroktadataoktaappsamlpropertyidpissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`inlineHookId`](#cdktfprovideroktadataoktaappsamlpropertyinlinehookid)<span title="Required">*</span> | `string` | *No description.* |
| [`keyId`](#cdktfprovideroktadataoktaappsamlpropertykeyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktadataoktaappsamlpropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaappsamlpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`recipient`](#cdktfprovideroktadataoktaappsamlpropertyrecipient)<span title="Required">*</span> | `string` | *No description.* |
| [`responseSigned`](#cdktfprovideroktadataoktaappsamlpropertyresponsesigned)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`signatureAlgorithm`](#cdktfprovideroktadataoktaappsamlpropertysignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutCertificate`](#cdktfprovideroktadataoktaappsamlpropertysinglelogoutcertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutIssuer`](#cdktfprovideroktadataoktaappsamlpropertysinglelogoutissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutUrl`](#cdktfprovideroktadataoktaappsamlpropertysinglelogouturl)<span title="Required">*</span> | `string` | *No description.* |
| [`spIssuer`](#cdktfprovideroktadataoktaappsamlpropertyspissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoUrl`](#cdktfprovideroktadataoktaappsamlpropertyssourl)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktadataoktaappsamlpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectNameIdFormat`](#cdktfprovideroktadataoktaappsamlpropertysubjectnameidformat)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectNameIdTemplate`](#cdktfprovideroktadataoktaappsamlpropertysubjectnameidtemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktadataoktaappsamlpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktadataoktaappsamlpropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktadataoktaappsamlpropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktadataoktaappsamlpropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktadataoktaappsamlpropertyusers)<span title="Required">*</span> | `string`[] | *No description.* |
| [`activeOnlyInput`](#cdktfprovideroktadataoktaappsamlpropertyactiveonlyinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaappsamlpropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktadataoktaappsamlpropertylabelinput) | `string` | *No description.* |
| [`labelPrefixInput`](#cdktfprovideroktadataoktaappsamlpropertylabelprefixinput) | `string` | *No description.* |
| [`requestCompressedInput`](#cdktfprovideroktadataoktaappsamlpropertyrequestcompressedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktadataoktaappsamlpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktadataoktaappsamlpropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`activeOnly`](#cdktfprovideroktadataoktaappsamlpropertyactiveonly)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappsamlpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktadataoktaappsamlpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`labelPrefix`](#cdktfprovideroktadataoktaappsamlpropertylabelprefix)<span title="Required">*</span> | `string` | *No description.* |
| [`requestCompressed`](#cdktfprovideroktadataoktaappsamlpropertyrequestcompressed)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipGroups`](#cdktfprovideroktadataoktaappsamlpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktadataoktaappsamlpropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktadataoktaappsamlpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktadataoktaappsamlpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.accessibilitySelfService" id="cdktfprovideroktadataoktaappsamlpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `acsEndpoints`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.acsEndpoints" id="cdktfprovideroktadataoktaappsamlpropertyacsendpoints"></a>

```typescript
public readonly acsEndpoints: string[];
```

- *Type:* `string`[]

---

##### `appSettingsJson`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.appSettingsJson" id="cdktfprovideroktadataoktaappsamlpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

---

##### `assertionSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.assertionSigned" id="cdktfprovideroktadataoktaappsamlpropertyassertionsigned"></a>

```typescript
public readonly assertionSigned: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `attributeStatements`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.attributeStatements" id="cdktfprovideroktadataoktaappsamlpropertyattributestatements"></a>

```typescript
public readonly attributeStatements: DataOktaAppSamlAttributeStatementsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList`](#@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList)

---

##### `audience`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.audience" id="cdktfprovideroktadataoktaappsamlpropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

---

##### `authnContextClassRef`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.authnContextClassRef" id="cdktfprovideroktadataoktaappsamlpropertyauthncontextclassref"></a>

```typescript
public readonly authnContextClassRef: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.autoSubmitToolbar" id="cdktfprovideroktadataoktaappsamlpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `defaultRelayState`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.defaultRelayState" id="cdktfprovideroktadataoktaappsamlpropertydefaultrelaystate"></a>

```typescript
public readonly defaultRelayState: string;
```

- *Type:* `string`

---

##### `destination`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.destination" id="cdktfprovideroktadataoktaappsamlpropertydestination"></a>

```typescript
public readonly destination: string;
```

- *Type:* `string`

---

##### `digestAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.digestAlgorithm" id="cdktfprovideroktadataoktaappsamlpropertydigestalgorithm"></a>

```typescript
public readonly digestAlgorithm: string;
```

- *Type:* `string`

---

##### `features`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.features" id="cdktfprovideroktadataoktaappsamlpropertyfeatures"></a>

```typescript
public readonly features: string[];
```

- *Type:* `string`[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.groups" id="cdktfprovideroktadataoktaappsamlpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.hideIos" id="cdktfprovideroktadataoktaappsamlpropertyhideios"></a>

```typescript
public readonly hideIos: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.hideWeb" id="cdktfprovideroktadataoktaappsamlpropertyhideweb"></a>

```typescript
public readonly hideWeb: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `honorForceAuthn`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.honorForceAuthn" id="cdktfprovideroktadataoktaappsamlpropertyhonorforceauthn"></a>

```typescript
public readonly honorForceAuthn: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idpIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.idpIssuer" id="cdktfprovideroktadataoktaappsamlpropertyidpissuer"></a>

```typescript
public readonly idpIssuer: string;
```

- *Type:* `string`

---

##### `inlineHookId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.inlineHookId" id="cdktfprovideroktadataoktaappsamlpropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

---

##### `keyId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.keyId" id="cdktfprovideroktadataoktaappsamlpropertykeyid"></a>

```typescript
public readonly keyId: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.links" id="cdktfprovideroktadataoktaappsamlpropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.name" id="cdktfprovideroktadataoktaappsamlpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `recipient`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.recipient" id="cdktfprovideroktadataoktaappsamlpropertyrecipient"></a>

```typescript
public readonly recipient: string;
```

- *Type:* `string`

---

##### `responseSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.responseSigned" id="cdktfprovideroktadataoktaappsamlpropertyresponsesigned"></a>

```typescript
public readonly responseSigned: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `signatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.signatureAlgorithm" id="cdktfprovideroktadataoktaappsamlpropertysignaturealgorithm"></a>

```typescript
public readonly signatureAlgorithm: string;
```

- *Type:* `string`

---

##### `singleLogoutCertificate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.singleLogoutCertificate" id="cdktfprovideroktadataoktaappsamlpropertysinglelogoutcertificate"></a>

```typescript
public readonly singleLogoutCertificate: string;
```

- *Type:* `string`

---

##### `singleLogoutIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.singleLogoutIssuer" id="cdktfprovideroktadataoktaappsamlpropertysinglelogoutissuer"></a>

```typescript
public readonly singleLogoutIssuer: string;
```

- *Type:* `string`

---

##### `singleLogoutUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.singleLogoutUrl" id="cdktfprovideroktadataoktaappsamlpropertysinglelogouturl"></a>

```typescript
public readonly singleLogoutUrl: string;
```

- *Type:* `string`

---

##### `spIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.spIssuer" id="cdktfprovideroktadataoktaappsamlpropertyspissuer"></a>

```typescript
public readonly spIssuer: string;
```

- *Type:* `string`

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.ssoUrl" id="cdktfprovideroktadataoktaappsamlpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.status" id="cdktfprovideroktadataoktaappsamlpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectNameIdFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.subjectNameIdFormat" id="cdktfprovideroktadataoktaappsamlpropertysubjectnameidformat"></a>

```typescript
public readonly subjectNameIdFormat: string;
```

- *Type:* `string`

---

##### `subjectNameIdTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.subjectNameIdTemplate" id="cdktfprovideroktadataoktaappsamlpropertysubjectnameidtemplate"></a>

```typescript
public readonly subjectNameIdTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.userNameTemplate" id="cdktfprovideroktadataoktaappsamlpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.userNameTemplatePushStatus" id="cdktfprovideroktadataoktaappsamlpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.userNameTemplateSuffix" id="cdktfprovideroktadataoktaappsamlpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.userNameTemplateType" id="cdktfprovideroktadataoktaappsamlpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.users" id="cdktfprovideroktadataoktaappsamlpropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

---

##### `activeOnlyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.activeOnlyInput" id="cdktfprovideroktadataoktaappsamlpropertyactiveonlyinput"></a>

```typescript
public readonly activeOnlyInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.idInput" id="cdktfprovideroktadataoktaappsamlpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.labelInput" id="cdktfprovideroktadataoktaappsamlpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `labelPrefixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.labelPrefixInput" id="cdktfprovideroktadataoktaappsamlpropertylabelprefixinput"></a>

```typescript
public readonly labelPrefixInput: string;
```

- *Type:* `string`

---

##### `requestCompressedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.requestCompressedInput" id="cdktfprovideroktadataoktaappsamlpropertyrequestcompressedinput"></a>

```typescript
public readonly requestCompressedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.skipGroupsInput" id="cdktfprovideroktadataoktaappsamlpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.skipUsersInput" id="cdktfprovideroktadataoktaappsamlpropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `activeOnly`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.activeOnly" id="cdktfprovideroktadataoktaappsamlpropertyactiveonly"></a>

```typescript
public readonly activeOnly: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.id" id="cdktfprovideroktadataoktaappsamlpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.label" id="cdktfprovideroktadataoktaappsamlpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `labelPrefix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.labelPrefix" id="cdktfprovideroktadataoktaappsamlpropertylabelprefix"></a>

```typescript
public readonly labelPrefix: string;
```

- *Type:* `string`

---

##### `requestCompressed`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.requestCompressed" id="cdktfprovideroktadataoktaappsamlpropertyrequestcompressed"></a>

```typescript
public readonly requestCompressed: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.skipGroups" id="cdktfprovideroktadataoktaappsamlpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSaml.property.skipUsers" id="cdktfprovideroktadataoktaappsamlpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaappsamlpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAppSaml.property.tfResourceType" id="cdktfprovideroktadataoktaappsamlpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAppSignonPolicy <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy" id="cdktfprovideroktadataoktaappsignonpolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/app_signon_policy okta_app_signon_policy}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.Initializer" id="cdktfprovideroktadataoktaappsignonpolicyinitializer"></a>

```typescript
import { DataOktaAppSignonPolicy } from '@cdktf/provider-okta'

new DataOktaAppSignonPolicy(scope: Construct, id: string, config: DataOktaAppSignonPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaappsignonpolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaappsignonpolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaappsignonpolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAppSignonPolicyConfig`](#@cdktf/provider-okta.DataOktaAppSignonPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.parameter.scope" id="cdktfprovideroktadataoktaappsignonpolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.parameter.id" id="cdktfprovideroktadataoktaappsignonpolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.parameter.config" id="cdktfprovideroktadataoktaappsignonpolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAppSignonPolicyConfig`](#@cdktf/provider-okta.DataOktaAppSignonPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaappsignonpolicyresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.resetId" id="cdktfprovideroktadataoktaappsignonpolicyresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`name`](#cdktfprovideroktadataoktaappsignonpolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`appIdInput`](#cdktfprovideroktadataoktaappsignonpolicypropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaappsignonpolicypropertyidinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktadataoktaappsignonpolicypropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappsignonpolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.property.name" id="cdktfprovideroktadataoktaappsignonpolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.property.appIdInput" id="cdktfprovideroktadataoktaappsignonpolicypropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.property.idInput" id="cdktfprovideroktadataoktaappsignonpolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.property.appId" id="cdktfprovideroktadataoktaappsignonpolicypropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.property.id" id="cdktfprovideroktadataoktaappsignonpolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaappsignonpolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAppSignonPolicy.property.tfResourceType" id="cdktfprovideroktadataoktaappsignonpolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAppUserAssignments <a name="@cdktf/provider-okta.DataOktaAppUserAssignments" id="cdktfprovideroktadataoktaappuserassignments"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/app_user_assignments okta_app_user_assignments}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.Initializer" id="cdktfprovideroktadataoktaappuserassignmentsinitializer"></a>

```typescript
import { DataOktaAppUserAssignments } from '@cdktf/provider-okta'

new DataOktaAppUserAssignments(scope: Construct, id: string, config: DataOktaAppUserAssignmentsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaappuserassignmentsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaappuserassignmentsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaappuserassignmentsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig`](#@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.parameter.scope" id="cdktfprovideroktadataoktaappuserassignmentsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.parameter.id" id="cdktfprovideroktadataoktaappuserassignmentsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.parameter.config" id="cdktfprovideroktadataoktaappuserassignmentsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig`](#@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`users`](#cdktfprovideroktadataoktaappuserassignmentspropertyusers)<span title="Required">*</span> | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaappuserassignmentspropertyidinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappuserassignmentspropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.property.users" id="cdktfprovideroktadataoktaappuserassignmentspropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.property.idInput" id="cdktfprovideroktadataoktaappuserassignmentspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.property.id" id="cdktfprovideroktadataoktaappuserassignmentspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaappuserassignmentspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAppUserAssignments.property.tfResourceType" id="cdktfprovideroktadataoktaappuserassignmentspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAuthenticator <a name="@cdktf/provider-okta.DataOktaAuthenticator" id="cdktfprovideroktadataoktaauthenticator"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/authenticator okta_authenticator}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthenticator.Initializer" id="cdktfprovideroktadataoktaauthenticatorinitializer"></a>

```typescript
import { DataOktaAuthenticator } from '@cdktf/provider-okta'

new DataOktaAuthenticator(scope: Construct, id: string, config?: DataOktaAuthenticatorConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaauthenticatorparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaauthenticatorparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaauthenticatorparameterconfig) | [`@cdktf/provider-okta.DataOktaAuthenticatorConfig`](#@cdktf/provider-okta.DataOktaAuthenticatorConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.parameter.scope" id="cdktfprovideroktadataoktaauthenticatorparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.parameter.id" id="cdktfprovideroktadataoktaauthenticatorparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.parameter.config" id="cdktfprovideroktadataoktaauthenticatorparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAuthenticatorConfig`](#@cdktf/provider-okta.DataOktaAuthenticatorConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaauthenticatorresetid) | *No description.* |
| [`resetKey`](#cdktfprovideroktadataoktaauthenticatorresetkey) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktaauthenticatorresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAuthenticator.resetId" id="cdktfprovideroktadataoktaauthenticatorresetid"></a>

```typescript
public resetId()
```

##### `resetKey` <a name="@cdktf/provider-okta.DataOktaAuthenticator.resetKey" id="cdktfprovideroktadataoktaauthenticatorresetkey"></a>

```typescript
public resetKey()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaAuthenticator.resetName" id="cdktfprovideroktadataoktaauthenticatorresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`providerAuthPort`](#cdktfprovideroktadataoktaauthenticatorpropertyproviderauthport)<span title="Required">*</span> | `number` | *No description.* |
| [`providerHostname`](#cdktfprovideroktadataoktaauthenticatorpropertyproviderhostname)<span title="Required">*</span> | `string` | *No description.* |
| [`providerInstanceId`](#cdktfprovideroktadataoktaauthenticatorpropertyproviderinstanceid)<span title="Required">*</span> | `string` | *No description.* |
| [`providerType`](#cdktfprovideroktadataoktaauthenticatorpropertyprovidertype)<span title="Required">*</span> | `string` | *No description.* |
| [`providerUserNameTemplate`](#cdktfprovideroktadataoktaauthenticatorpropertyproviderusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`settings`](#cdktfprovideroktadataoktaauthenticatorpropertysettings)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktadataoktaauthenticatorpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktaauthenticatorpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaauthenticatorpropertyidinput) | `string` | *No description.* |
| [`keyInput`](#cdktfprovideroktadataoktaauthenticatorpropertykeyinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaauthenticatorpropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthenticatorpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`key`](#cdktfprovideroktadataoktaauthenticatorpropertykey)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaauthenticatorpropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `providerAuthPort`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.providerAuthPort" id="cdktfprovideroktadataoktaauthenticatorpropertyproviderauthport"></a>

```typescript
public readonly providerAuthPort: number;
```

- *Type:* `number`

---

##### `providerHostname`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.providerHostname" id="cdktfprovideroktadataoktaauthenticatorpropertyproviderhostname"></a>

```typescript
public readonly providerHostname: string;
```

- *Type:* `string`

---

##### `providerInstanceId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.providerInstanceId" id="cdktfprovideroktadataoktaauthenticatorpropertyproviderinstanceid"></a>

```typescript
public readonly providerInstanceId: string;
```

- *Type:* `string`

---

##### `providerType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.providerType" id="cdktfprovideroktadataoktaauthenticatorpropertyprovidertype"></a>

```typescript
public readonly providerType: string;
```

- *Type:* `string`

---

##### `providerUserNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.providerUserNameTemplate" id="cdktfprovideroktadataoktaauthenticatorpropertyproviderusernametemplate"></a>

```typescript
public readonly providerUserNameTemplate: string;
```

- *Type:* `string`

---

##### `settings`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.settings" id="cdktfprovideroktadataoktaauthenticatorpropertysettings"></a>

```typescript
public readonly settings: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.status" id="cdktfprovideroktadataoktaauthenticatorpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.type" id="cdktfprovideroktadataoktaauthenticatorpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.idInput" id="cdktfprovideroktadataoktaauthenticatorpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `keyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.keyInput" id="cdktfprovideroktadataoktaauthenticatorpropertykeyinput"></a>

```typescript
public readonly keyInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.nameInput" id="cdktfprovideroktadataoktaauthenticatorpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.id" id="cdktfprovideroktadataoktaauthenticatorpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.key" id="cdktfprovideroktadataoktaauthenticatorpropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.name" id="cdktfprovideroktadataoktaauthenticatorpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaauthenticatorpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAuthenticator.property.tfResourceType" id="cdktfprovideroktadataoktaauthenticatorpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAuthServer <a name="@cdktf/provider-okta.DataOktaAuthServer" id="cdktfprovideroktadataoktaauthserver"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/auth_server okta_auth_server}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServer.Initializer" id="cdktfprovideroktadataoktaauthserverinitializer"></a>

```typescript
import { DataOktaAuthServer } from '@cdktf/provider-okta'

new DataOktaAuthServer(scope: Construct, id: string, config: DataOktaAuthServerConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaauthserverparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaauthserverparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaauthserverparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAuthServerConfig`](#@cdktf/provider-okta.DataOktaAuthServerConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.parameter.scope" id="cdktfprovideroktadataoktaauthserverparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.parameter.id" id="cdktfprovideroktadataoktaauthserverparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.parameter.config" id="cdktfprovideroktadataoktaauthserverparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerConfig`](#@cdktf/provider-okta.DataOktaAuthServerConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaauthserverresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAuthServer.resetId" id="cdktfprovideroktadataoktaauthserverresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`audiences`](#cdktfprovideroktadataoktaauthserverpropertyaudiences)<span title="Required">*</span> | `string`[] | *No description.* |
| [`credentialsLastRotated`](#cdktfprovideroktadataoktaauthserverpropertycredentialslastrotated)<span title="Required">*</span> | `string` | *No description.* |
| [`credentialsNextRotation`](#cdktfprovideroktadataoktaauthserverpropertycredentialsnextrotation)<span title="Required">*</span> | `string` | *No description.* |
| [`credentialsRotationMode`](#cdktfprovideroktadataoktaauthserverpropertycredentialsrotationmode)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktadataoktaauthserverpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`issuer`](#cdktfprovideroktadataoktaauthserverpropertyissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktadataoktaauthserverpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktadataoktaauthserverpropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktadataoktaauthserverpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaauthserverpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaauthserverpropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthserverpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaauthserverpropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `audiences`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.audiences" id="cdktfprovideroktadataoktaauthserverpropertyaudiences"></a>

```typescript
public readonly audiences: string[];
```

- *Type:* `string`[]

---

##### `credentialsLastRotated`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.credentialsLastRotated" id="cdktfprovideroktadataoktaauthserverpropertycredentialslastrotated"></a>

```typescript
public readonly credentialsLastRotated: string;
```

- *Type:* `string`

---

##### `credentialsNextRotation`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.credentialsNextRotation" id="cdktfprovideroktadataoktaauthserverpropertycredentialsnextrotation"></a>

```typescript
public readonly credentialsNextRotation: string;
```

- *Type:* `string`

---

##### `credentialsRotationMode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.credentialsRotationMode" id="cdktfprovideroktadataoktaauthserverpropertycredentialsrotationmode"></a>

```typescript
public readonly credentialsRotationMode: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.description" id="cdktfprovideroktadataoktaauthserverpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.issuer" id="cdktfprovideroktadataoktaauthserverpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.issuerMode" id="cdktfprovideroktadataoktaauthserverpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.kid" id="cdktfprovideroktadataoktaauthserverpropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.status" id="cdktfprovideroktadataoktaauthserverpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.idInput" id="cdktfprovideroktadataoktaauthserverpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.nameInput" id="cdktfprovideroktadataoktaauthserverpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.id" id="cdktfprovideroktadataoktaauthserverpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServer.property.name" id="cdktfprovideroktadataoktaauthserverpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaauthserverpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAuthServer.property.tfResourceType" id="cdktfprovideroktadataoktaauthserverpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAuthServerClaim <a name="@cdktf/provider-okta.DataOktaAuthServerClaim" id="cdktfprovideroktadataoktaauthserverclaim"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claim okta_auth_server_claim}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.Initializer" id="cdktfprovideroktadataoktaauthserverclaiminitializer"></a>

```typescript
import { DataOktaAuthServerClaim } from '@cdktf/provider-okta'

new DataOktaAuthServerClaim(scope: Construct, id: string, config: DataOktaAuthServerClaimConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaauthserverclaimparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaauthserverclaimparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaauthserverclaimparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAuthServerClaimConfig`](#@cdktf/provider-okta.DataOktaAuthServerClaimConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.parameter.scope" id="cdktfprovideroktadataoktaauthserverclaimparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.parameter.id" id="cdktfprovideroktadataoktaauthserverclaimparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.parameter.config" id="cdktfprovideroktadataoktaauthserverclaimparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerClaimConfig`](#@cdktf/provider-okta.DataOktaAuthServerClaimConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaauthserverclaimresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktaauthserverclaimresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.resetId" id="cdktfprovideroktadataoktaauthserverclaimresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.resetName" id="cdktfprovideroktadataoktaauthserverclaimresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`alwaysIncludeInToken`](#cdktfprovideroktadataoktaauthserverclaimpropertyalwaysincludeintoken)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`claimType`](#cdktfprovideroktadataoktaauthserverclaimpropertyclaimtype)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktadataoktaauthserverclaimpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktadataoktaauthserverclaimpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktadataoktaauthserverclaimpropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`valueType`](#cdktfprovideroktadataoktaauthserverclaimpropertyvaluetype)<span title="Required">*</span> | `string` | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktadataoktaauthserverclaimpropertyauthserveridinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaauthserverclaimpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaauthserverclaimpropertynameinput) | `string` | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverclaimpropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthserverclaimpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaauthserverclaimpropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `alwaysIncludeInToken`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.alwaysIncludeInToken" id="cdktfprovideroktadataoktaauthserverclaimpropertyalwaysincludeintoken"></a>

```typescript
public readonly alwaysIncludeInToken: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `claimType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.claimType" id="cdktfprovideroktadataoktaauthserverclaimpropertyclaimtype"></a>

```typescript
public readonly claimType: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.scopes" id="cdktfprovideroktadataoktaauthserverclaimpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.status" id="cdktfprovideroktadataoktaauthserverclaimpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.value" id="cdktfprovideroktadataoktaauthserverclaimpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `valueType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.valueType" id="cdktfprovideroktadataoktaauthserverclaimpropertyvaluetype"></a>

```typescript
public readonly valueType: string;
```

- *Type:* `string`

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.authServerIdInput" id="cdktfprovideroktadataoktaauthserverclaimpropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.idInput" id="cdktfprovideroktadataoktaauthserverclaimpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.nameInput" id="cdktfprovideroktadataoktaauthserverclaimpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.authServerId" id="cdktfprovideroktadataoktaauthserverclaimpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.id" id="cdktfprovideroktadataoktaauthserverclaimpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.name" id="cdktfprovideroktadataoktaauthserverclaimpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaauthserverclaimpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAuthServerClaim.property.tfResourceType" id="cdktfprovideroktadataoktaauthserverclaimpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAuthServerClaims <a name="@cdktf/provider-okta.DataOktaAuthServerClaims" id="cdktfprovideroktadataoktaauthserverclaims"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claims okta_auth_server_claims}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.Initializer" id="cdktfprovideroktadataoktaauthserverclaimsinitializer"></a>

```typescript
import { DataOktaAuthServerClaims } from '@cdktf/provider-okta'

new DataOktaAuthServerClaims(scope: Construct, id: string, config: DataOktaAuthServerClaimsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaauthserverclaimsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaauthserverclaimsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaauthserverclaimsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAuthServerClaimsConfig`](#@cdktf/provider-okta.DataOktaAuthServerClaimsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.parameter.scope" id="cdktfprovideroktadataoktaauthserverclaimsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.parameter.id" id="cdktfprovideroktadataoktaauthserverclaimsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.parameter.config" id="cdktfprovideroktadataoktaauthserverclaimsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerClaimsConfig`](#@cdktf/provider-okta.DataOktaAuthServerClaimsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaauthserverclaimsresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.resetId" id="cdktfprovideroktadataoktaauthserverclaimsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`claims`](#cdktfprovideroktadataoktaauthserverclaimspropertyclaims)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList`](#@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList) | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktadataoktaauthserverclaimspropertyauthserveridinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaauthserverclaimspropertyidinput) | `string` | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverclaimspropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthserverclaimspropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `claims`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.property.claims" id="cdktfprovideroktadataoktaauthserverclaimspropertyclaims"></a>

```typescript
public readonly claims: DataOktaAuthServerClaimsClaimsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList`](#@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList)

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.property.authServerIdInput" id="cdktfprovideroktadataoktaauthserverclaimspropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.property.idInput" id="cdktfprovideroktadataoktaauthserverclaimspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.property.authServerId" id="cdktfprovideroktadataoktaauthserverclaimspropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.property.id" id="cdktfprovideroktadataoktaauthserverclaimspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaauthserverclaimspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAuthServerClaims.property.tfResourceType" id="cdktfprovideroktadataoktaauthserverclaimspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAuthServerPolicy <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy" id="cdktfprovideroktadataoktaauthserverpolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/auth_server_policy okta_auth_server_policy}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.Initializer" id="cdktfprovideroktadataoktaauthserverpolicyinitializer"></a>

```typescript
import { DataOktaAuthServerPolicy } from '@cdktf/provider-okta'

new DataOktaAuthServerPolicy(scope: Construct, id: string, config: DataOktaAuthServerPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaauthserverpolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaauthserverpolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaauthserverpolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAuthServerPolicyConfig`](#@cdktf/provider-okta.DataOktaAuthServerPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.parameter.scope" id="cdktfprovideroktadataoktaauthserverpolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.parameter.id" id="cdktfprovideroktadataoktaauthserverpolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.parameter.config" id="cdktfprovideroktadataoktaauthserverpolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerPolicyConfig`](#@cdktf/provider-okta.DataOktaAuthServerPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaauthserverpolicyresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.resetId" id="cdktfprovideroktadataoktaauthserverpolicyresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`assignedClients`](#cdktfprovideroktadataoktaauthserverpolicypropertyassignedclients)<span title="Required">*</span> | `string`[] | *No description.* |
| [`description`](#cdktfprovideroktadataoktaauthserverpolicypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktadataoktaauthserverpolicypropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktadataoktaauthserverpolicypropertyauthserveridinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaauthserverpolicypropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaauthserverpolicypropertynameinput) | `string` | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverpolicypropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthserverpolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaauthserverpolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `assignedClients`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.assignedClients" id="cdktfprovideroktadataoktaauthserverpolicypropertyassignedclients"></a>

```typescript
public readonly assignedClients: string[];
```

- *Type:* `string`[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.description" id="cdktfprovideroktadataoktaauthserverpolicypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.priority" id="cdktfprovideroktadataoktaauthserverpolicypropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.authServerIdInput" id="cdktfprovideroktadataoktaauthserverpolicypropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.idInput" id="cdktfprovideroktadataoktaauthserverpolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.nameInput" id="cdktfprovideroktadataoktaauthserverpolicypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.authServerId" id="cdktfprovideroktadataoktaauthserverpolicypropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.id" id="cdktfprovideroktadataoktaauthserverpolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.name" id="cdktfprovideroktadataoktaauthserverpolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaauthserverpolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAuthServerPolicy.property.tfResourceType" id="cdktfprovideroktadataoktaauthserverpolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaAuthServerScopes <a name="@cdktf/provider-okta.DataOktaAuthServerScopes" id="cdktfprovideroktadataoktaauthserverscopes"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/auth_server_scopes okta_auth_server_scopes}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.Initializer" id="cdktfprovideroktadataoktaauthserverscopesinitializer"></a>

```typescript
import { DataOktaAuthServerScopes } from '@cdktf/provider-okta'

new DataOktaAuthServerScopes(scope: Construct, id: string, config: DataOktaAuthServerScopesConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaauthserverscopesparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaauthserverscopesparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaauthserverscopesparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAuthServerScopesConfig`](#@cdktf/provider-okta.DataOktaAuthServerScopesConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.parameter.scope" id="cdktfprovideroktadataoktaauthserverscopesparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.parameter.id" id="cdktfprovideroktadataoktaauthserverscopesparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.parameter.config" id="cdktfprovideroktadataoktaauthserverscopesparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerScopesConfig`](#@cdktf/provider-okta.DataOktaAuthServerScopesConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaauthserverscopesresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.resetId" id="cdktfprovideroktadataoktaauthserverscopesresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scopes`](#cdktfprovideroktadataoktaauthserverscopespropertyscopes)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaAuthServerScopesScopesList`](#@cdktf/provider-okta.DataOktaAuthServerScopesScopesList) | *No description.* |
| [`authServerIdInput`](#cdktfprovideroktadataoktaauthserverscopespropertyauthserveridinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaauthserverscopespropertyidinput) | `string` | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverscopespropertyauthserverid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthserverscopespropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.property.scopes" id="cdktfprovideroktadataoktaauthserverscopespropertyscopes"></a>

```typescript
public readonly scopes: DataOktaAuthServerScopesScopesList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerScopesScopesList`](#@cdktf/provider-okta.DataOktaAuthServerScopesScopesList)

---

##### `authServerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.property.authServerIdInput" id="cdktfprovideroktadataoktaauthserverscopespropertyauthserveridinput"></a>

```typescript
public readonly authServerIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.property.idInput" id="cdktfprovideroktadataoktaauthserverscopespropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.property.authServerId" id="cdktfprovideroktadataoktaauthserverscopespropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.property.id" id="cdktfprovideroktadataoktaauthserverscopespropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaauthserverscopespropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaAuthServerScopes.property.tfResourceType" id="cdktfprovideroktadataoktaauthserverscopespropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaBehavior <a name="@cdktf/provider-okta.DataOktaBehavior" id="cdktfprovideroktadataoktabehavior"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/behavior okta_behavior}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaBehavior.Initializer" id="cdktfprovideroktadataoktabehaviorinitializer"></a>

```typescript
import { DataOktaBehavior } from '@cdktf/provider-okta'

new DataOktaBehavior(scope: Construct, id: string, config?: DataOktaBehaviorConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktabehaviorparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktabehaviorparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktabehaviorparameterconfig) | [`@cdktf/provider-okta.DataOktaBehaviorConfig`](#@cdktf/provider-okta.DataOktaBehaviorConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.parameter.scope" id="cdktfprovideroktadataoktabehaviorparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.parameter.id" id="cdktfprovideroktadataoktabehaviorparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.parameter.config" id="cdktfprovideroktadataoktabehaviorparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaBehaviorConfig`](#@cdktf/provider-okta.DataOktaBehaviorConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktabehaviorresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktabehaviorresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaBehavior.resetId" id="cdktfprovideroktadataoktabehaviorresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaBehavior.resetName" id="cdktfprovideroktadataoktabehaviorresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`settings`](#cdktfprovideroktadataoktabehaviorpropertysettings)<span title="Required">*</span> | [`cdktf.StringMap`](#cdktf.StringMap) | *No description.* |
| [`status`](#cdktfprovideroktadataoktabehaviorpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktabehaviorpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktabehaviorpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktabehaviorpropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktabehaviorpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktabehaviorpropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `settings`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.property.settings" id="cdktfprovideroktadataoktabehaviorpropertysettings"></a>

```typescript
public readonly settings: StringMap;
```

- *Type:* [`cdktf.StringMap`](#cdktf.StringMap)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.property.status" id="cdktfprovideroktadataoktabehaviorpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.property.type" id="cdktfprovideroktadataoktabehaviorpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.property.idInput" id="cdktfprovideroktadataoktabehaviorpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.property.nameInput" id="cdktfprovideroktadataoktabehaviorpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.property.id" id="cdktfprovideroktadataoktabehaviorpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehavior.property.name" id="cdktfprovideroktadataoktabehaviorpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktabehaviorpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaBehavior.property.tfResourceType" id="cdktfprovideroktadataoktabehaviorpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaBehaviors <a name="@cdktf/provider-okta.DataOktaBehaviors" id="cdktfprovideroktadataoktabehaviors"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/behaviors okta_behaviors}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaBehaviors.Initializer" id="cdktfprovideroktadataoktabehaviorsinitializer"></a>

```typescript
import { DataOktaBehaviors } from '@cdktf/provider-okta'

new DataOktaBehaviors(scope: Construct, id: string, config?: DataOktaBehaviorsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktabehaviorsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktabehaviorsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktabehaviorsparameterconfig) | [`@cdktf/provider-okta.DataOktaBehaviorsConfig`](#@cdktf/provider-okta.DataOktaBehaviorsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.parameter.scope" id="cdktfprovideroktadataoktabehaviorsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.parameter.id" id="cdktfprovideroktadataoktabehaviorsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.parameter.config" id="cdktfprovideroktadataoktabehaviorsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaBehaviorsConfig`](#@cdktf/provider-okta.DataOktaBehaviorsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktabehaviorsresetid) | *No description.* |
| [`resetQ`](#cdktfprovideroktadataoktabehaviorsresetq) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaBehaviors.resetId" id="cdktfprovideroktadataoktabehaviorsresetid"></a>

```typescript
public resetId()
```

##### `resetQ` <a name="@cdktf/provider-okta.DataOktaBehaviors.resetQ" id="cdktfprovideroktadataoktabehaviorsresetq"></a>

```typescript
public resetQ()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`behaviors`](#cdktfprovideroktadataoktabehaviorspropertybehaviors)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList`](#@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList) | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktabehaviorspropertyidinput) | `string` | *No description.* |
| [`qInput`](#cdktfprovideroktadataoktabehaviorspropertyqinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktabehaviorspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`q`](#cdktfprovideroktadataoktabehaviorspropertyq)<span title="Required">*</span> | `string` | *No description.* |

---

##### `behaviors`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.property.behaviors" id="cdktfprovideroktadataoktabehaviorspropertybehaviors"></a>

```typescript
public readonly behaviors: DataOktaBehaviorsBehaviorsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList`](#@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.property.idInput" id="cdktfprovideroktadataoktabehaviorspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `qInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.property.qInput" id="cdktfprovideroktadataoktabehaviorspropertyqinput"></a>

```typescript
public readonly qInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.property.id" id="cdktfprovideroktadataoktabehaviorspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `q`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviors.property.q" id="cdktfprovideroktadataoktabehaviorspropertyq"></a>

```typescript
public readonly q: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktabehaviorspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaBehaviors.property.tfResourceType" id="cdktfprovideroktadataoktabehaviorspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaBrand <a name="@cdktf/provider-okta.DataOktaBrand" id="cdktfprovideroktadataoktabrand"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/brand okta_brand}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaBrand.Initializer" id="cdktfprovideroktadataoktabrandinitializer"></a>

```typescript
import { DataOktaBrand } from '@cdktf/provider-okta'

new DataOktaBrand(scope: Construct, id: string, config: DataOktaBrandConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktabrandparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktabrandparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktabrandparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaBrandConfig`](#@cdktf/provider-okta.DataOktaBrandConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.parameter.scope" id="cdktfprovideroktadataoktabrandparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.parameter.id" id="cdktfprovideroktadataoktabrandparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.parameter.config" id="cdktfprovideroktadataoktabrandparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaBrandConfig`](#@cdktf/provider-okta.DataOktaBrandConfig)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`customPrivacyPolicyUrl`](#cdktfprovideroktadataoktabrandpropertycustomprivacypolicyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktabrandpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktadataoktabrandpropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`removePoweredByOkta`](#cdktfprovideroktadataoktabrandpropertyremovepoweredbyokta)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`brandIdInput`](#cdktfprovideroktadataoktabrandpropertybrandidinput) | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktabrandpropertybrandid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `customPrivacyPolicyUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.property.customPrivacyPolicyUrl" id="cdktfprovideroktadataoktabrandpropertycustomprivacypolicyurl"></a>

```typescript
public readonly customPrivacyPolicyUrl: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.property.id" id="cdktfprovideroktadataoktabrandpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.property.links" id="cdktfprovideroktadataoktabrandpropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `removePoweredByOkta`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.property.removePoweredByOkta" id="cdktfprovideroktadataoktabrandpropertyremovepoweredbyokta"></a>

```typescript
public readonly removePoweredByOkta: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrand.property.brandIdInput" id="cdktfprovideroktadataoktabrandpropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrand.property.brandId" id="cdktfprovideroktadataoktabrandpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktabrandpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaBrand.property.tfResourceType" id="cdktfprovideroktadataoktabrandpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaBrands <a name="@cdktf/provider-okta.DataOktaBrands" id="cdktfprovideroktadataoktabrands"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/brands okta_brands}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaBrands.Initializer" id="cdktfprovideroktadataoktabrandsinitializer"></a>

```typescript
import { DataOktaBrands } from '@cdktf/provider-okta'

new DataOktaBrands(scope: Construct, id: string, config?: DataOktaBrandsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktabrandsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktabrandsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktabrandsparameterconfig) | [`@cdktf/provider-okta.DataOktaBrandsConfig`](#@cdktf/provider-okta.DataOktaBrandsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrands.parameter.scope" id="cdktfprovideroktadataoktabrandsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrands.parameter.id" id="cdktfprovideroktadataoktabrandsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrands.parameter.config" id="cdktfprovideroktadataoktabrandsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaBrandsConfig`](#@cdktf/provider-okta.DataOktaBrandsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktabrandsresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaBrands.resetId" id="cdktfprovideroktadataoktabrandsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`brands`](#cdktfprovideroktadataoktabrandspropertybrands)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaBrandsBrandsList`](#@cdktf/provider-okta.DataOktaBrandsBrandsList) | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktabrandspropertyidinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktabrandspropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `brands`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrands.property.brands" id="cdktfprovideroktadataoktabrandspropertybrands"></a>

```typescript
public readonly brands: DataOktaBrandsBrandsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaBrandsBrandsList`](#@cdktf/provider-okta.DataOktaBrandsBrandsList)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrands.property.idInput" id="cdktfprovideroktadataoktabrandspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrands.property.id" id="cdktfprovideroktadataoktabrandspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktabrandspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaBrands.property.tfResourceType" id="cdktfprovideroktadataoktabrandspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaDefaultPolicies <a name="@cdktf/provider-okta.DataOktaDefaultPolicies" id="cdktfprovideroktadataoktadefaultpolicies"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/default_policies okta_default_policies}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.Initializer" id="cdktfprovideroktadataoktadefaultpoliciesinitializer"></a>

```typescript
import { DataOktaDefaultPolicies } from '@cdktf/provider-okta'

new DataOktaDefaultPolicies(scope: Construct, id: string, config: DataOktaDefaultPoliciesConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktadefaultpoliciesparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktadefaultpoliciesparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktadefaultpoliciesparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaDefaultPoliciesConfig`](#@cdktf/provider-okta.DataOktaDefaultPoliciesConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.parameter.scope" id="cdktfprovideroktadataoktadefaultpoliciesparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.parameter.id" id="cdktfprovideroktadataoktadefaultpoliciesparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.parameter.config" id="cdktfprovideroktadataoktadefaultpoliciesparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaDefaultPoliciesConfig`](#@cdktf/provider-okta.DataOktaDefaultPoliciesConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktadefaultpoliciesresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.resetId" id="cdktfprovideroktadataoktadefaultpoliciesresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktadataoktadefaultpoliciespropertyidinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktadataoktadefaultpoliciespropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktadefaultpoliciespropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktadefaultpoliciespropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.property.idInput" id="cdktfprovideroktadataoktadefaultpoliciespropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.property.typeInput" id="cdktfprovideroktadataoktadefaultpoliciespropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.property.id" id="cdktfprovideroktadataoktadefaultpoliciespropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.property.type" id="cdktfprovideroktadataoktadefaultpoliciespropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktadefaultpoliciespropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaDefaultPolicies.property.tfResourceType" id="cdktfprovideroktadataoktadefaultpoliciespropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaDefaultPolicy <a name="@cdktf/provider-okta.DataOktaDefaultPolicy" id="cdktfprovideroktadataoktadefaultpolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/default_policy okta_default_policy}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.Initializer" id="cdktfprovideroktadataoktadefaultpolicyinitializer"></a>

```typescript
import { DataOktaDefaultPolicy } from '@cdktf/provider-okta'

new DataOktaDefaultPolicy(scope: Construct, id: string, config: DataOktaDefaultPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktadefaultpolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktadefaultpolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktadefaultpolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaDefaultPolicyConfig`](#@cdktf/provider-okta.DataOktaDefaultPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.parameter.scope" id="cdktfprovideroktadataoktadefaultpolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.parameter.id" id="cdktfprovideroktadataoktadefaultpolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.parameter.config" id="cdktfprovideroktadataoktadefaultpolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaDefaultPolicyConfig`](#@cdktf/provider-okta.DataOktaDefaultPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktadefaultpolicyresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.resetId" id="cdktfprovideroktadataoktadefaultpolicyresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktadataoktadefaultpolicypropertyidinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktadataoktadefaultpolicypropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktadefaultpolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktadefaultpolicypropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.property.idInput" id="cdktfprovideroktadataoktadefaultpolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.property.typeInput" id="cdktfprovideroktadataoktadefaultpolicypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.property.id" id="cdktfprovideroktadataoktadefaultpolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.property.type" id="cdktfprovideroktadataoktadefaultpolicypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktadefaultpolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaDefaultPolicy.property.tfResourceType" id="cdktfprovideroktadataoktadefaultpolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaEmailCustomization <a name="@cdktf/provider-okta.DataOktaEmailCustomization" id="cdktfprovideroktadataoktaemailcustomization"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/email_customization okta_email_customization}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailCustomization.Initializer" id="cdktfprovideroktadataoktaemailcustomizationinitializer"></a>

```typescript
import { DataOktaEmailCustomization } from '@cdktf/provider-okta'

new DataOktaEmailCustomization(scope: Construct, id: string, config: DataOktaEmailCustomizationConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaemailcustomizationparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaemailcustomizationparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaemailcustomizationparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaEmailCustomizationConfig`](#@cdktf/provider-okta.DataOktaEmailCustomizationConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.parameter.scope" id="cdktfprovideroktadataoktaemailcustomizationparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.parameter.id" id="cdktfprovideroktadataoktaemailcustomizationparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.parameter.config" id="cdktfprovideroktadataoktaemailcustomizationparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaEmailCustomizationConfig`](#@cdktf/provider-okta.DataOktaEmailCustomizationConfig)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`body`](#cdktfprovideroktadataoktaemailcustomizationpropertybody)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaemailcustomizationpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`isDefault`](#cdktfprovideroktadataoktaemailcustomizationpropertyisdefault)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`language`](#cdktfprovideroktadataoktaemailcustomizationpropertylanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktadataoktaemailcustomizationpropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`subject`](#cdktfprovideroktadataoktaemailcustomizationpropertysubject)<span title="Required">*</span> | `string` | *No description.* |
| [`brandIdInput`](#cdktfprovideroktadataoktaemailcustomizationpropertybrandidinput) | `string` | *No description.* |
| [`customizationIdInput`](#cdktfprovideroktadataoktaemailcustomizationpropertycustomizationidinput) | `string` | *No description.* |
| [`templateNameInput`](#cdktfprovideroktadataoktaemailcustomizationpropertytemplatenameinput) | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailcustomizationpropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`customizationId`](#cdktfprovideroktadataoktaemailcustomizationpropertycustomizationid)<span title="Required">*</span> | `string` | *No description.* |
| [`templateName`](#cdktfprovideroktadataoktaemailcustomizationpropertytemplatename)<span title="Required">*</span> | `string` | *No description.* |

---

##### `body`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.body" id="cdktfprovideroktadataoktaemailcustomizationpropertybody"></a>

```typescript
public readonly body: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.id" id="cdktfprovideroktadataoktaemailcustomizationpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `isDefault`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.isDefault" id="cdktfprovideroktadataoktaemailcustomizationpropertyisdefault"></a>

```typescript
public readonly isDefault: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `language`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.language" id="cdktfprovideroktadataoktaemailcustomizationpropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.links" id="cdktfprovideroktadataoktaemailcustomizationpropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `subject`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.subject" id="cdktfprovideroktadataoktaemailcustomizationpropertysubject"></a>

```typescript
public readonly subject: string;
```

- *Type:* `string`

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.brandIdInput" id="cdktfprovideroktadataoktaemailcustomizationpropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `customizationIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.customizationIdInput" id="cdktfprovideroktadataoktaemailcustomizationpropertycustomizationidinput"></a>

```typescript
public readonly customizationIdInput: string;
```

- *Type:* `string`

---

##### `templateNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.templateNameInput" id="cdktfprovideroktadataoktaemailcustomizationpropertytemplatenameinput"></a>

```typescript
public readonly templateNameInput: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.brandId" id="cdktfprovideroktadataoktaemailcustomizationpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `customizationId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.customizationId" id="cdktfprovideroktadataoktaemailcustomizationpropertycustomizationid"></a>

```typescript
public readonly customizationId: string;
```

- *Type:* `string`

---

##### `templateName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.templateName" id="cdktfprovideroktadataoktaemailcustomizationpropertytemplatename"></a>

```typescript
public readonly templateName: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaemailcustomizationpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaEmailCustomization.property.tfResourceType" id="cdktfprovideroktadataoktaemailcustomizationpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaEmailCustomizations <a name="@cdktf/provider-okta.DataOktaEmailCustomizations" id="cdktfprovideroktadataoktaemailcustomizations"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/email_customizations okta_email_customizations}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.Initializer" id="cdktfprovideroktadataoktaemailcustomizationsinitializer"></a>

```typescript
import { DataOktaEmailCustomizations } from '@cdktf/provider-okta'

new DataOktaEmailCustomizations(scope: Construct, id: string, config: DataOktaEmailCustomizationsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaemailcustomizationsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaemailcustomizationsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaemailcustomizationsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaEmailCustomizationsConfig`](#@cdktf/provider-okta.DataOktaEmailCustomizationsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.parameter.scope" id="cdktfprovideroktadataoktaemailcustomizationsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.parameter.id" id="cdktfprovideroktadataoktaemailcustomizationsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.parameter.config" id="cdktfprovideroktadataoktaemailcustomizationsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaEmailCustomizationsConfig`](#@cdktf/provider-okta.DataOktaEmailCustomizationsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaemailcustomizationsresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.resetId" id="cdktfprovideroktadataoktaemailcustomizationsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`emailCustomizations`](#cdktfprovideroktadataoktaemailcustomizationspropertyemailcustomizations)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList`](#@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList) | *No description.* |
| [`brandIdInput`](#cdktfprovideroktadataoktaemailcustomizationspropertybrandidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaemailcustomizationspropertyidinput) | `string` | *No description.* |
| [`templateNameInput`](#cdktfprovideroktadataoktaemailcustomizationspropertytemplatenameinput) | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailcustomizationspropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaemailcustomizationspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`templateName`](#cdktfprovideroktadataoktaemailcustomizationspropertytemplatename)<span title="Required">*</span> | `string` | *No description.* |

---

##### `emailCustomizations`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.emailCustomizations" id="cdktfprovideroktadataoktaemailcustomizationspropertyemailcustomizations"></a>

```typescript
public readonly emailCustomizations: DataOktaEmailCustomizationsEmailCustomizationsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList`](#@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList)

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.brandIdInput" id="cdktfprovideroktadataoktaemailcustomizationspropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.idInput" id="cdktfprovideroktadataoktaemailcustomizationspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `templateNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.templateNameInput" id="cdktfprovideroktadataoktaemailcustomizationspropertytemplatenameinput"></a>

```typescript
public readonly templateNameInput: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.brandId" id="cdktfprovideroktadataoktaemailcustomizationspropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.id" id="cdktfprovideroktadataoktaemailcustomizationspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `templateName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.templateName" id="cdktfprovideroktadataoktaemailcustomizationspropertytemplatename"></a>

```typescript
public readonly templateName: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaemailcustomizationspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaEmailCustomizations.property.tfResourceType" id="cdktfprovideroktadataoktaemailcustomizationspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaEmailTemplate <a name="@cdktf/provider-okta.DataOktaEmailTemplate" id="cdktfprovideroktadataoktaemailtemplate"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/email_template okta_email_template}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailTemplate.Initializer" id="cdktfprovideroktadataoktaemailtemplateinitializer"></a>

```typescript
import { DataOktaEmailTemplate } from '@cdktf/provider-okta'

new DataOktaEmailTemplate(scope: Construct, id: string, config: DataOktaEmailTemplateConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaemailtemplateparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaemailtemplateparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaemailtemplateparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaEmailTemplateConfig`](#@cdktf/provider-okta.DataOktaEmailTemplateConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.parameter.scope" id="cdktfprovideroktadataoktaemailtemplateparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.parameter.id" id="cdktfprovideroktadataoktaemailtemplateparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.parameter.config" id="cdktfprovideroktadataoktaemailtemplateparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaEmailTemplateConfig`](#@cdktf/provider-okta.DataOktaEmailTemplateConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaemailtemplateresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaEmailTemplate.resetId" id="cdktfprovideroktadataoktaemailtemplateresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`links`](#cdktfprovideroktadataoktaemailtemplatepropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`brandIdInput`](#cdktfprovideroktadataoktaemailtemplatepropertybrandidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaemailtemplatepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaemailtemplatepropertynameinput) | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailtemplatepropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaemailtemplatepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaemailtemplatepropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.links" id="cdktfprovideroktadataoktaemailtemplatepropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.brandIdInput" id="cdktfprovideroktadataoktaemailtemplatepropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.idInput" id="cdktfprovideroktadataoktaemailtemplatepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.nameInput" id="cdktfprovideroktadataoktaemailtemplatepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.brandId" id="cdktfprovideroktadataoktaemailtemplatepropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.id" id="cdktfprovideroktadataoktaemailtemplatepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.name" id="cdktfprovideroktadataoktaemailtemplatepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaemailtemplatepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaEmailTemplate.property.tfResourceType" id="cdktfprovideroktadataoktaemailtemplatepropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaEmailTemplates <a name="@cdktf/provider-okta.DataOktaEmailTemplates" id="cdktfprovideroktadataoktaemailtemplates"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/email_templates okta_email_templates}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailTemplates.Initializer" id="cdktfprovideroktadataoktaemailtemplatesinitializer"></a>

```typescript
import { DataOktaEmailTemplates } from '@cdktf/provider-okta'

new DataOktaEmailTemplates(scope: Construct, id: string, config: DataOktaEmailTemplatesConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaemailtemplatesparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaemailtemplatesparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaemailtemplatesparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaEmailTemplatesConfig`](#@cdktf/provider-okta.DataOktaEmailTemplatesConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.parameter.scope" id="cdktfprovideroktadataoktaemailtemplatesparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.parameter.id" id="cdktfprovideroktadataoktaemailtemplatesparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.parameter.config" id="cdktfprovideroktadataoktaemailtemplatesparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaEmailTemplatesConfig`](#@cdktf/provider-okta.DataOktaEmailTemplatesConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaemailtemplatesresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaEmailTemplates.resetId" id="cdktfprovideroktadataoktaemailtemplatesresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`emailTemplates`](#cdktfprovideroktadataoktaemailtemplatespropertyemailtemplates)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList`](#@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList) | *No description.* |
| [`brandIdInput`](#cdktfprovideroktadataoktaemailtemplatespropertybrandidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaemailtemplatespropertyidinput) | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailtemplatespropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaemailtemplatespropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `emailTemplates`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.property.emailTemplates" id="cdktfprovideroktadataoktaemailtemplatespropertyemailtemplates"></a>

```typescript
public readonly emailTemplates: DataOktaEmailTemplatesEmailTemplatesList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList`](#@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList)

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.property.brandIdInput" id="cdktfprovideroktadataoktaemailtemplatespropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.property.idInput" id="cdktfprovideroktadataoktaemailtemplatespropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.property.brandId" id="cdktfprovideroktadataoktaemailtemplatespropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplates.property.id" id="cdktfprovideroktadataoktaemailtemplatespropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaemailtemplatespropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaEmailTemplates.property.tfResourceType" id="cdktfprovideroktadataoktaemailtemplatespropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaEveryoneGroup <a name="@cdktf/provider-okta.DataOktaEveryoneGroup" id="cdktfprovideroktadataoktaeveryonegroup"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/everyone_group okta_everyone_group}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.Initializer" id="cdktfprovideroktadataoktaeveryonegroupinitializer"></a>

```typescript
import { DataOktaEveryoneGroup } from '@cdktf/provider-okta'

new DataOktaEveryoneGroup(scope: Construct, id: string, config?: DataOktaEveryoneGroupConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaeveryonegroupparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaeveryonegroupparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaeveryonegroupparameterconfig) | [`@cdktf/provider-okta.DataOktaEveryoneGroupConfig`](#@cdktf/provider-okta.DataOktaEveryoneGroupConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.parameter.scope" id="cdktfprovideroktadataoktaeveryonegroupparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.parameter.id" id="cdktfprovideroktadataoktaeveryonegroupparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.parameter.config" id="cdktfprovideroktadataoktaeveryonegroupparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaEveryoneGroupConfig`](#@cdktf/provider-okta.DataOktaEveryoneGroupConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaeveryonegroupresetid) | *No description.* |
| [`resetIncludeUsers`](#cdktfprovideroktadataoktaeveryonegroupresetincludeusers) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.resetId" id="cdktfprovideroktadataoktaeveryonegroupresetid"></a>

```typescript
public resetId()
```

##### `resetIncludeUsers` <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.resetIncludeUsers" id="cdktfprovideroktadataoktaeveryonegroupresetincludeusers"></a>

```typescript
public resetIncludeUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`description`](#cdktfprovideroktadataoktaeveryonegrouppropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaeveryonegrouppropertyidinput) | `string` | *No description.* |
| [`includeUsersInput`](#cdktfprovideroktadataoktaeveryonegrouppropertyincludeusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktadataoktaeveryonegrouppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`includeUsers`](#cdktfprovideroktadataoktaeveryonegrouppropertyincludeusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.property.description" id="cdktfprovideroktadataoktaeveryonegrouppropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.property.idInput" id="cdktfprovideroktadataoktaeveryonegrouppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `includeUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.property.includeUsersInput" id="cdktfprovideroktadataoktaeveryonegrouppropertyincludeusersinput"></a>

```typescript
public readonly includeUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.property.id" id="cdktfprovideroktadataoktaeveryonegrouppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `includeUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.property.includeUsers" id="cdktfprovideroktadataoktaeveryonegrouppropertyincludeusers"></a>

```typescript
public readonly includeUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaeveryonegrouppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaEveryoneGroup.property.tfResourceType" id="cdktfprovideroktadataoktaeveryonegrouppropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaGroup <a name="@cdktf/provider-okta.DataOktaGroup" id="cdktfprovideroktadataoktagroup"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/group okta_group}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaGroup.Initializer" id="cdktfprovideroktadataoktagroupinitializer"></a>

```typescript
import { DataOktaGroup } from '@cdktf/provider-okta'

new DataOktaGroup(scope: Construct, id: string, config?: DataOktaGroupConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktagroupparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktagroupparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktagroupparameterconfig) | [`@cdktf/provider-okta.DataOktaGroupConfig`](#@cdktf/provider-okta.DataOktaGroupConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.parameter.scope" id="cdktfprovideroktadataoktagroupparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.parameter.id" id="cdktfprovideroktadataoktagroupparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroup.parameter.config" id="cdktfprovideroktadataoktagroupparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaGroupConfig`](#@cdktf/provider-okta.DataOktaGroupConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDelayReadSeconds`](#cdktfprovideroktadataoktagroupresetdelayreadseconds) | *No description.* |
| [`resetId`](#cdktfprovideroktadataoktagroupresetid) | *No description.* |
| [`resetIncludeUsers`](#cdktfprovideroktadataoktagroupresetincludeusers) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktagroupresetname) | *No description.* |
| [`resetType`](#cdktfprovideroktadataoktagroupresettype) | *No description.* |

---

##### `resetDelayReadSeconds` <a name="@cdktf/provider-okta.DataOktaGroup.resetDelayReadSeconds" id="cdktfprovideroktadataoktagroupresetdelayreadseconds"></a>

```typescript
public resetDelayReadSeconds()
```

##### `resetId` <a name="@cdktf/provider-okta.DataOktaGroup.resetId" id="cdktfprovideroktadataoktagroupresetid"></a>

```typescript
public resetId()
```

##### `resetIncludeUsers` <a name="@cdktf/provider-okta.DataOktaGroup.resetIncludeUsers" id="cdktfprovideroktadataoktagroupresetincludeusers"></a>

```typescript
public resetIncludeUsers()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaGroup.resetName" id="cdktfprovideroktadataoktagroupresetname"></a>

```typescript
public resetName()
```

##### `resetType` <a name="@cdktf/provider-okta.DataOktaGroup.resetType" id="cdktfprovideroktadataoktagroupresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`description`](#cdktfprovideroktadataoktagrouppropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktadataoktagrouppropertyusers)<span title="Required">*</span> | `string`[] | *No description.* |
| [`delayReadSecondsInput`](#cdktfprovideroktadataoktagrouppropertydelayreadsecondsinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktagrouppropertyidinput) | `string` | *No description.* |
| [`includeUsersInput`](#cdktfprovideroktadataoktagrouppropertyincludeusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktagrouppropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktadataoktagrouppropertytypeinput) | `string` | *No description.* |
| [`delayReadSeconds`](#cdktfprovideroktadataoktagrouppropertydelayreadseconds)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktagrouppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`includeUsers`](#cdktfprovideroktadataoktagrouppropertyincludeusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`name`](#cdktfprovideroktadataoktagrouppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktagrouppropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.description" id="cdktfprovideroktadataoktagrouppropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.users" id="cdktfprovideroktadataoktagrouppropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

---

##### `delayReadSecondsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.delayReadSecondsInput" id="cdktfprovideroktadataoktagrouppropertydelayreadsecondsinput"></a>

```typescript
public readonly delayReadSecondsInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.idInput" id="cdktfprovideroktadataoktagrouppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `includeUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.includeUsersInput" id="cdktfprovideroktadataoktagrouppropertyincludeusersinput"></a>

```typescript
public readonly includeUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.nameInput" id="cdktfprovideroktadataoktagrouppropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.typeInput" id="cdktfprovideroktadataoktagrouppropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `delayReadSeconds`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.delayReadSeconds" id="cdktfprovideroktadataoktagrouppropertydelayreadseconds"></a>

```typescript
public readonly delayReadSeconds: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.id" id="cdktfprovideroktadataoktagrouppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `includeUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.includeUsers" id="cdktfprovideroktadataoktagrouppropertyincludeusers"></a>

```typescript
public readonly includeUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.name" id="cdktfprovideroktadataoktagrouppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroup.property.type" id="cdktfprovideroktadataoktagrouppropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktagrouppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaGroup.property.tfResourceType" id="cdktfprovideroktadataoktagrouppropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaGroups <a name="@cdktf/provider-okta.DataOktaGroups" id="cdktfprovideroktadataoktagroups"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/groups okta_groups}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaGroups.Initializer" id="cdktfprovideroktadataoktagroupsinitializer"></a>

```typescript
import { DataOktaGroups } from '@cdktf/provider-okta'

new DataOktaGroups(scope: Construct, id: string, config?: DataOktaGroupsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktagroupsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktagroupsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktagroupsparameterconfig) | [`@cdktf/provider-okta.DataOktaGroupsConfig`](#@cdktf/provider-okta.DataOktaGroupsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroups.parameter.scope" id="cdktfprovideroktadataoktagroupsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroups.parameter.id" id="cdktfprovideroktadataoktagroupsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroups.parameter.config" id="cdktfprovideroktadataoktagroupsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaGroupsConfig`](#@cdktf/provider-okta.DataOktaGroupsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktagroupsresetid) | *No description.* |
| [`resetQ`](#cdktfprovideroktadataoktagroupsresetq) | *No description.* |
| [`resetSearch`](#cdktfprovideroktadataoktagroupsresetsearch) | *No description.* |
| [`resetType`](#cdktfprovideroktadataoktagroupsresettype) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaGroups.resetId" id="cdktfprovideroktadataoktagroupsresetid"></a>

```typescript
public resetId()
```

##### `resetQ` <a name="@cdktf/provider-okta.DataOktaGroups.resetQ" id="cdktfprovideroktadataoktagroupsresetq"></a>

```typescript
public resetQ()
```

##### `resetSearch` <a name="@cdktf/provider-okta.DataOktaGroups.resetSearch" id="cdktfprovideroktadataoktagroupsresetsearch"></a>

```typescript
public resetSearch()
```

##### `resetType` <a name="@cdktf/provider-okta.DataOktaGroups.resetType" id="cdktfprovideroktadataoktagroupsresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`groups`](#cdktfprovideroktadataoktagroupspropertygroups)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaGroupsGroupsList`](#@cdktf/provider-okta.DataOktaGroupsGroupsList) | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktagroupspropertyidinput) | `string` | *No description.* |
| [`qInput`](#cdktfprovideroktadataoktagroupspropertyqinput) | `string` | *No description.* |
| [`searchInput`](#cdktfprovideroktadataoktagroupspropertysearchinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktadataoktagroupspropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktagroupspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`q`](#cdktfprovideroktadataoktagroupspropertyq)<span title="Required">*</span> | `string` | *No description.* |
| [`search`](#cdktfprovideroktadataoktagroupspropertysearch)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktagroupspropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.groups" id="cdktfprovideroktadataoktagroupspropertygroups"></a>

```typescript
public readonly groups: DataOktaGroupsGroupsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaGroupsGroupsList`](#@cdktf/provider-okta.DataOktaGroupsGroupsList)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.idInput" id="cdktfprovideroktadataoktagroupspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `qInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.qInput" id="cdktfprovideroktadataoktagroupspropertyqinput"></a>

```typescript
public readonly qInput: string;
```

- *Type:* `string`

---

##### `searchInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.searchInput" id="cdktfprovideroktadataoktagroupspropertysearchinput"></a>

```typescript
public readonly searchInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.typeInput" id="cdktfprovideroktadataoktagroupspropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.id" id="cdktfprovideroktadataoktagroupspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `q`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.q" id="cdktfprovideroktadataoktagroupspropertyq"></a>

```typescript
public readonly q: string;
```

- *Type:* `string`

---

##### `search`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.search" id="cdktfprovideroktadataoktagroupspropertysearch"></a>

```typescript
public readonly search: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroups.property.type" id="cdktfprovideroktadataoktagroupspropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktagroupspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaGroups.property.tfResourceType" id="cdktfprovideroktadataoktagroupspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaIdpMetadataSaml <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml" id="cdktfprovideroktadataoktaidpmetadatasaml"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/idp_metadata_saml okta_idp_metadata_saml}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.Initializer" id="cdktfprovideroktadataoktaidpmetadatasamlinitializer"></a>

```typescript
import { DataOktaIdpMetadataSaml } from '@cdktf/provider-okta'

new DataOktaIdpMetadataSaml(scope: Construct, id: string, config?: DataOktaIdpMetadataSamlConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaidpmetadatasamlparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaidpmetadatasamlparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaidpmetadatasamlparameterconfig) | [`@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig`](#@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.parameter.scope" id="cdktfprovideroktadataoktaidpmetadatasamlparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.parameter.id" id="cdktfprovideroktadataoktaidpmetadatasamlparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.parameter.config" id="cdktfprovideroktadataoktaidpmetadatasamlparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig`](#@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaidpmetadatasamlresetid) | *No description.* |
| [`resetIdpId`](#cdktfprovideroktadataoktaidpmetadatasamlresetidpid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.resetId" id="cdktfprovideroktadataoktaidpmetadatasamlresetid"></a>

```typescript
public resetId()
```

##### `resetIdpId` <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.resetIdpId" id="cdktfprovideroktadataoktaidpmetadatasamlresetidpid"></a>

```typescript
public resetIdpId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`assertionsSigned`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyassertionssigned)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`authnRequestSigned`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyauthnrequestsigned)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`encryptionCertificate`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyencryptioncertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`entityId`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyentityid)<span title="Required">*</span> | `string` | *No description.* |
| [`httpPostBinding`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyhttppostbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`httpRedirectBinding`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyhttpredirectbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`metadata`](#cdktfprovideroktadataoktaidpmetadatasamlpropertymetadata)<span title="Required">*</span> | `string` | *No description.* |
| [`signingCertificate`](#cdktfprovideroktadataoktaidpmetadatasamlpropertysigningcertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyidinput) | `string` | *No description.* |
| [`idpIdInput`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyidpidinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`idpId`](#cdktfprovideroktadataoktaidpmetadatasamlpropertyidpid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `assertionsSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.assertionsSigned" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyassertionssigned"></a>

```typescript
public readonly assertionsSigned: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `authnRequestSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.authnRequestSigned" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyauthnrequestsigned"></a>

```typescript
public readonly authnRequestSigned: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `encryptionCertificate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.encryptionCertificate" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyencryptioncertificate"></a>

```typescript
public readonly encryptionCertificate: string;
```

- *Type:* `string`

---

##### `entityId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.entityId" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyentityid"></a>

```typescript
public readonly entityId: string;
```

- *Type:* `string`

---

##### `httpPostBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.httpPostBinding" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyhttppostbinding"></a>

```typescript
public readonly httpPostBinding: string;
```

- *Type:* `string`

---

##### `httpRedirectBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.httpRedirectBinding" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyhttpredirectbinding"></a>

```typescript
public readonly httpRedirectBinding: string;
```

- *Type:* `string`

---

##### `metadata`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.metadata" id="cdktfprovideroktadataoktaidpmetadatasamlpropertymetadata"></a>

```typescript
public readonly metadata: string;
```

- *Type:* `string`

---

##### `signingCertificate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.signingCertificate" id="cdktfprovideroktadataoktaidpmetadatasamlpropertysigningcertificate"></a>

```typescript
public readonly signingCertificate: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.idInput" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `idpIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.idpIdInput" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyidpidinput"></a>

```typescript
public readonly idpIdInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.id" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `idpId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.idpId" id="cdktfprovideroktadataoktaidpmetadatasamlpropertyidpid"></a>

```typescript
public readonly idpId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaidpmetadatasamlpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaIdpMetadataSaml.property.tfResourceType" id="cdktfprovideroktadataoktaidpmetadatasamlpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaIdpOidc <a name="@cdktf/provider-okta.DataOktaIdpOidc" id="cdktfprovideroktadataoktaidpoidc"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/idp_oidc okta_idp_oidc}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaIdpOidc.Initializer" id="cdktfprovideroktadataoktaidpoidcinitializer"></a>

```typescript
import { DataOktaIdpOidc } from '@cdktf/provider-okta'

new DataOktaIdpOidc(scope: Construct, id: string, config?: DataOktaIdpOidcConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaidpoidcparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaidpoidcparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaidpoidcparameterconfig) | [`@cdktf/provider-okta.DataOktaIdpOidcConfig`](#@cdktf/provider-okta.DataOktaIdpOidcConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.parameter.scope" id="cdktfprovideroktadataoktaidpoidcparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.parameter.id" id="cdktfprovideroktadataoktaidpoidcparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.parameter.config" id="cdktfprovideroktadataoktaidpoidcparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaIdpOidcConfig`](#@cdktf/provider-okta.DataOktaIdpOidcConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaidpoidcresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktaidpoidcresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaIdpOidc.resetId" id="cdktfprovideroktadataoktaidpoidcresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaIdpOidc.resetName" id="cdktfprovideroktadataoktaidpoidcresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`authorizationBinding`](#cdktfprovideroktadataoktaidpoidcpropertyauthorizationbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`authorizationUrl`](#cdktfprovideroktadataoktaidpoidcpropertyauthorizationurl)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktadataoktaidpoidcpropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientSecret`](#cdktfprovideroktadataoktaidpoidcpropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktadataoktaidpoidcpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerUrl`](#cdktfprovideroktadataoktaidpoidcpropertyissuerurl)<span title="Required">*</span> | `string` | *No description.* |
| [`jwksBinding`](#cdktfprovideroktadataoktaidpoidcpropertyjwksbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`jwksUrl`](#cdktfprovideroktadataoktaidpoidcpropertyjwksurl)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktadataoktaidpoidcpropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`protocolType`](#cdktfprovideroktadataoktaidpoidcpropertyprotocoltype)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktadataoktaidpoidcpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`tokenBinding`](#cdktfprovideroktadataoktaidpoidcpropertytokenbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenUrl`](#cdktfprovideroktadataoktaidpoidcpropertytokenurl)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktaidpoidcpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userInfoBinding`](#cdktfprovideroktadataoktaidpoidcpropertyuserinfobinding)<span title="Required">*</span> | `string` | *No description.* |
| [`userInfoUrl`](#cdktfprovideroktadataoktaidpoidcpropertyuserinfourl)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaidpoidcpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaidpoidcpropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpoidcpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaidpoidcpropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.authorizationBinding" id="cdktfprovideroktadataoktaidpoidcpropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.authorizationUrl" id="cdktfprovideroktadataoktaidpoidcpropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.clientId" id="cdktfprovideroktadataoktaidpoidcpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.clientSecret" id="cdktfprovideroktadataoktaidpoidcpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.issuerMode" id="cdktfprovideroktadataoktaidpoidcpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `issuerUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.issuerUrl" id="cdktfprovideroktadataoktaidpoidcpropertyissuerurl"></a>

```typescript
public readonly issuerUrl: string;
```

- *Type:* `string`

---

##### `jwksBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.jwksBinding" id="cdktfprovideroktadataoktaidpoidcpropertyjwksbinding"></a>

```typescript
public readonly jwksBinding: string;
```

- *Type:* `string`

---

##### `jwksUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.jwksUrl" id="cdktfprovideroktadataoktaidpoidcpropertyjwksurl"></a>

```typescript
public readonly jwksUrl: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.maxClockSkew" id="cdktfprovideroktadataoktaidpoidcpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `protocolType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.protocolType" id="cdktfprovideroktadataoktaidpoidcpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.scopes" id="cdktfprovideroktadataoktaidpoidcpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.tokenBinding" id="cdktfprovideroktadataoktaidpoidcpropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.tokenUrl" id="cdktfprovideroktadataoktaidpoidcpropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.type" id="cdktfprovideroktadataoktaidpoidcpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userInfoBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.userInfoBinding" id="cdktfprovideroktadataoktaidpoidcpropertyuserinfobinding"></a>

```typescript
public readonly userInfoBinding: string;
```

- *Type:* `string`

---

##### `userInfoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.userInfoUrl" id="cdktfprovideroktadataoktaidpoidcpropertyuserinfourl"></a>

```typescript
public readonly userInfoUrl: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.idInput" id="cdktfprovideroktadataoktaidpoidcpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.nameInput" id="cdktfprovideroktadataoktaidpoidcpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.id" id="cdktfprovideroktadataoktaidpoidcpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.name" id="cdktfprovideroktadataoktaidpoidcpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaidpoidcpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaIdpOidc.property.tfResourceType" id="cdktfprovideroktadataoktaidpoidcpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaIdpSaml <a name="@cdktf/provider-okta.DataOktaIdpSaml" id="cdktfprovideroktadataoktaidpsaml"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/idp_saml okta_idp_saml}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaIdpSaml.Initializer" id="cdktfprovideroktadataoktaidpsamlinitializer"></a>

```typescript
import { DataOktaIdpSaml } from '@cdktf/provider-okta'

new DataOktaIdpSaml(scope: Construct, id: string, config?: DataOktaIdpSamlConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaidpsamlparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaidpsamlparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaidpsamlparameterconfig) | [`@cdktf/provider-okta.DataOktaIdpSamlConfig`](#@cdktf/provider-okta.DataOktaIdpSamlConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.parameter.scope" id="cdktfprovideroktadataoktaidpsamlparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.parameter.id" id="cdktfprovideroktadataoktaidpsamlparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.parameter.config" id="cdktfprovideroktadataoktaidpsamlparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaIdpSamlConfig`](#@cdktf/provider-okta.DataOktaIdpSamlConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaidpsamlresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktaidpsamlresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaIdpSaml.resetId" id="cdktfprovideroktadataoktaidpsamlresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaIdpSaml.resetName" id="cdktfprovideroktadataoktaidpsamlresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`acsBinding`](#cdktfprovideroktadataoktaidpsamlpropertyacsbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`acsType`](#cdktfprovideroktadataoktaidpsamlpropertyacstype)<span title="Required">*</span> | `string` | *No description.* |
| [`audience`](#cdktfprovideroktadataoktaidpsamlpropertyaudience)<span title="Required">*</span> | `string` | *No description.* |
| [`issuer`](#cdktfprovideroktadataoktaidpsamlpropertyissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktadataoktaidpsamlpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktadataoktaidpsamlpropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoBinding`](#cdktfprovideroktadataoktaidpsamlpropertyssobinding)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoDestination`](#cdktfprovideroktadataoktaidpsamlpropertyssodestination)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoUrl`](#cdktfprovideroktadataoktaidpsamlpropertyssourl)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectFilter`](#cdktfprovideroktadataoktaidpsamlpropertysubjectfilter)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectFormat`](#cdktfprovideroktadataoktaidpsamlpropertysubjectformat)<span title="Required">*</span> | `string`[] | *No description.* |
| [`type`](#cdktfprovideroktadataoktaidpsamlpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaidpsamlpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaidpsamlpropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpsamlpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaidpsamlpropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `acsBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.acsBinding" id="cdktfprovideroktadataoktaidpsamlpropertyacsbinding"></a>

```typescript
public readonly acsBinding: string;
```

- *Type:* `string`

---

##### `acsType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.acsType" id="cdktfprovideroktadataoktaidpsamlpropertyacstype"></a>

```typescript
public readonly acsType: string;
```

- *Type:* `string`

---

##### `audience`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.audience" id="cdktfprovideroktadataoktaidpsamlpropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.issuer" id="cdktfprovideroktadataoktaidpsamlpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.issuerMode" id="cdktfprovideroktadataoktaidpsamlpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.kid" id="cdktfprovideroktadataoktaidpsamlpropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `ssoBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.ssoBinding" id="cdktfprovideroktadataoktaidpsamlpropertyssobinding"></a>

```typescript
public readonly ssoBinding: string;
```

- *Type:* `string`

---

##### `ssoDestination`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.ssoDestination" id="cdktfprovideroktadataoktaidpsamlpropertyssodestination"></a>

```typescript
public readonly ssoDestination: string;
```

- *Type:* `string`

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.ssoUrl" id="cdktfprovideroktadataoktaidpsamlpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

---

##### `subjectFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.subjectFilter" id="cdktfprovideroktadataoktaidpsamlpropertysubjectfilter"></a>

```typescript
public readonly subjectFilter: string;
```

- *Type:* `string`

---

##### `subjectFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.subjectFormat" id="cdktfprovideroktadataoktaidpsamlpropertysubjectformat"></a>

```typescript
public readonly subjectFormat: string[];
```

- *Type:* `string`[]

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.type" id="cdktfprovideroktadataoktaidpsamlpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.idInput" id="cdktfprovideroktadataoktaidpsamlpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.nameInput" id="cdktfprovideroktadataoktaidpsamlpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.id" id="cdktfprovideroktadataoktaidpsamlpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.name" id="cdktfprovideroktadataoktaidpsamlpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaidpsamlpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaIdpSaml.property.tfResourceType" id="cdktfprovideroktadataoktaidpsamlpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaIdpSocial <a name="@cdktf/provider-okta.DataOktaIdpSocial" id="cdktfprovideroktadataoktaidpsocial"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/idp_social okta_idp_social}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaIdpSocial.Initializer" id="cdktfprovideroktadataoktaidpsocialinitializer"></a>

```typescript
import { DataOktaIdpSocial } from '@cdktf/provider-okta'

new DataOktaIdpSocial(scope: Construct, id: string, config?: DataOktaIdpSocialConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktaidpsocialparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktaidpsocialparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktaidpsocialparameterconfig) | [`@cdktf/provider-okta.DataOktaIdpSocialConfig`](#@cdktf/provider-okta.DataOktaIdpSocialConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.parameter.scope" id="cdktfprovideroktadataoktaidpsocialparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.parameter.id" id="cdktfprovideroktadataoktaidpsocialparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.parameter.config" id="cdktfprovideroktadataoktaidpsocialparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaIdpSocialConfig`](#@cdktf/provider-okta.DataOktaIdpSocialConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktaidpsocialresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktaidpsocialresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaIdpSocial.resetId" id="cdktfprovideroktadataoktaidpsocialresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaIdpSocial.resetName" id="cdktfprovideroktadataoktaidpsocialresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`accountLinkAction`](#cdktfprovideroktadataoktaidpsocialpropertyaccountlinkaction)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkGroupInclude`](#cdktfprovideroktadataoktaidpsocialpropertyaccountlinkgroupinclude)<span title="Required">*</span> | `string`[] | *No description.* |
| [`authorizationBinding`](#cdktfprovideroktadataoktaidpsocialpropertyauthorizationbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`authorizationUrl`](#cdktfprovideroktadataoktaidpsocialpropertyauthorizationurl)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktadataoktaidpsocialpropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientSecret`](#cdktfprovideroktadataoktaidpsocialpropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`deprovisionedAction`](#cdktfprovideroktadataoktaidpsocialpropertydeprovisionedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAction`](#cdktfprovideroktadataoktaidpsocialpropertygroupsaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAssignment`](#cdktfprovideroktadataoktaidpsocialpropertygroupsassignment)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsAttribute`](#cdktfprovideroktadataoktaidpsocialpropertygroupsattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsFilter`](#cdktfprovideroktadataoktaidpsocialpropertygroupsfilter)<span title="Required">*</span> | `string`[] | *No description.* |
| [`issuerMode`](#cdktfprovideroktadataoktaidpsocialpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktadataoktaidpsocialpropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`profileMaster`](#cdktfprovideroktadataoktaidpsocialpropertyprofilemaster)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolType`](#cdktfprovideroktadataoktaidpsocialpropertyprotocoltype)<span title="Required">*</span> | `string` | *No description.* |
| [`provisioningAction`](#cdktfprovideroktadataoktaidpsocialpropertyprovisioningaction)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktadataoktaidpsocialpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktadataoktaidpsocialpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchAttribute`](#cdktfprovideroktadataoktaidpsocialpropertysubjectmatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchType`](#cdktfprovideroktadataoktaidpsocialpropertysubjectmatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`suspendedAction`](#cdktfprovideroktadataoktaidpsocialpropertysuspendedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenBinding`](#cdktfprovideroktadataoktaidpsocialpropertytokenbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenUrl`](#cdktfprovideroktadataoktaidpsocialpropertytokenurl)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktaidpsocialpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameTemplate`](#cdktfprovideroktadataoktaidpsocialpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktaidpsocialpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktaidpsocialpropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpsocialpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaidpsocialpropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `accountLinkAction`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.accountLinkAction" id="cdktfprovideroktadataoktaidpsocialpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

---

##### `accountLinkGroupInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.accountLinkGroupInclude" id="cdktfprovideroktadataoktaidpsocialpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.authorizationBinding" id="cdktfprovideroktadataoktaidpsocialpropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.authorizationUrl" id="cdktfprovideroktadataoktaidpsocialpropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.clientId" id="cdktfprovideroktadataoktaidpsocialpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.clientSecret" id="cdktfprovideroktadataoktaidpsocialpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `deprovisionedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.deprovisionedAction" id="cdktfprovideroktadataoktaidpsocialpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

---

##### `groupsAction`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.groupsAction" id="cdktfprovideroktadataoktaidpsocialpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

---

##### `groupsAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.groupsAssignment" id="cdktfprovideroktadataoktaidpsocialpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

---

##### `groupsAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.groupsAttribute" id="cdktfprovideroktadataoktaidpsocialpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

---

##### `groupsFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.groupsFilter" id="cdktfprovideroktadataoktaidpsocialpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.issuerMode" id="cdktfprovideroktadataoktaidpsocialpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.maxClockSkew" id="cdktfprovideroktadataoktaidpsocialpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `profileMaster`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.profileMaster" id="cdktfprovideroktadataoktaidpsocialpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.protocolType" id="cdktfprovideroktadataoktaidpsocialpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

---

##### `provisioningAction`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.provisioningAction" id="cdktfprovideroktadataoktaidpsocialpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.scopes" id="cdktfprovideroktadataoktaidpsocialpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.status" id="cdktfprovideroktadataoktaidpsocialpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectMatchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.subjectMatchAttribute" id="cdktfprovideroktadataoktaidpsocialpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

---

##### `subjectMatchType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.subjectMatchType" id="cdktfprovideroktadataoktaidpsocialpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

---

##### `suspendedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.suspendedAction" id="cdktfprovideroktadataoktaidpsocialpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.tokenBinding" id="cdktfprovideroktadataoktaidpsocialpropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.tokenUrl" id="cdktfprovideroktadataoktaidpsocialpropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.type" id="cdktfprovideroktadataoktaidpsocialpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `usernameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.usernameTemplate" id="cdktfprovideroktadataoktaidpsocialpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.idInput" id="cdktfprovideroktadataoktaidpsocialpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.nameInput" id="cdktfprovideroktadataoktaidpsocialpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.id" id="cdktfprovideroktadataoktaidpsocialpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.name" id="cdktfprovideroktadataoktaidpsocialpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktaidpsocialpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaIdpSocial.property.tfResourceType" id="cdktfprovideroktadataoktaidpsocialpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaNetworkZone <a name="@cdktf/provider-okta.DataOktaNetworkZone" id="cdktfprovideroktadataoktanetworkzone"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/network_zone okta_network_zone}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaNetworkZone.Initializer" id="cdktfprovideroktadataoktanetworkzoneinitializer"></a>

```typescript
import { DataOktaNetworkZone } from '@cdktf/provider-okta'

new DataOktaNetworkZone(scope: Construct, id: string, config?: DataOktaNetworkZoneConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktanetworkzoneparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktanetworkzoneparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktanetworkzoneparameterconfig) | [`@cdktf/provider-okta.DataOktaNetworkZoneConfig`](#@cdktf/provider-okta.DataOktaNetworkZoneConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.parameter.scope" id="cdktfprovideroktadataoktanetworkzoneparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.parameter.id" id="cdktfprovideroktadataoktanetworkzoneparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.parameter.config" id="cdktfprovideroktadataoktanetworkzoneparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaNetworkZoneConfig`](#@cdktf/provider-okta.DataOktaNetworkZoneConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktanetworkzoneresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktanetworkzoneresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaNetworkZone.resetId" id="cdktfprovideroktadataoktanetworkzoneresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaNetworkZone.resetName" id="cdktfprovideroktadataoktanetworkzoneresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`asns`](#cdktfprovideroktadataoktanetworkzonepropertyasns)<span title="Required">*</span> | `string`[] | *No description.* |
| [`dynamicLocations`](#cdktfprovideroktadataoktanetworkzonepropertydynamiclocations)<span title="Required">*</span> | `string`[] | *No description.* |
| [`dynamicProxyType`](#cdktfprovideroktadataoktanetworkzonepropertydynamicproxytype)<span title="Required">*</span> | `string` | *No description.* |
| [`gateways`](#cdktfprovideroktadataoktanetworkzonepropertygateways)<span title="Required">*</span> | `string`[] | *No description.* |
| [`proxies`](#cdktfprovideroktadataoktanetworkzonepropertyproxies)<span title="Required">*</span> | `string`[] | *No description.* |
| [`type`](#cdktfprovideroktadataoktanetworkzonepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`usage`](#cdktfprovideroktadataoktanetworkzonepropertyusage)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktanetworkzonepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktanetworkzonepropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktanetworkzonepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktanetworkzonepropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `asns`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.asns" id="cdktfprovideroktadataoktanetworkzonepropertyasns"></a>

```typescript
public readonly asns: string[];
```

- *Type:* `string`[]

---

##### `dynamicLocations`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.dynamicLocations" id="cdktfprovideroktadataoktanetworkzonepropertydynamiclocations"></a>

```typescript
public readonly dynamicLocations: string[];
```

- *Type:* `string`[]

---

##### `dynamicProxyType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.dynamicProxyType" id="cdktfprovideroktadataoktanetworkzonepropertydynamicproxytype"></a>

```typescript
public readonly dynamicProxyType: string;
```

- *Type:* `string`

---

##### `gateways`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.gateways" id="cdktfprovideroktadataoktanetworkzonepropertygateways"></a>

```typescript
public readonly gateways: string[];
```

- *Type:* `string`[]

---

##### `proxies`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.proxies" id="cdktfprovideroktadataoktanetworkzonepropertyproxies"></a>

```typescript
public readonly proxies: string[];
```

- *Type:* `string`[]

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.type" id="cdktfprovideroktadataoktanetworkzonepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `usage`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.usage" id="cdktfprovideroktadataoktanetworkzonepropertyusage"></a>

```typescript
public readonly usage: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.idInput" id="cdktfprovideroktadataoktanetworkzonepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.nameInput" id="cdktfprovideroktadataoktanetworkzonepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.id" id="cdktfprovideroktadataoktanetworkzonepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.name" id="cdktfprovideroktadataoktanetworkzonepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktanetworkzonepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaNetworkZone.property.tfResourceType" id="cdktfprovideroktadataoktanetworkzonepropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaPolicy <a name="@cdktf/provider-okta.DataOktaPolicy" id="cdktfprovideroktadataoktapolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/policy okta_policy}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaPolicy.Initializer" id="cdktfprovideroktadataoktapolicyinitializer"></a>

```typescript
import { DataOktaPolicy } from '@cdktf/provider-okta'

new DataOktaPolicy(scope: Construct, id: string, config: DataOktaPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktapolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktapolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktapolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaPolicyConfig`](#@cdktf/provider-okta.DataOktaPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.parameter.scope" id="cdktfprovideroktadataoktapolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.parameter.id" id="cdktfprovideroktadataoktapolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.parameter.config" id="cdktfprovideroktadataoktapolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaPolicyConfig`](#@cdktf/provider-okta.DataOktaPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktapolicyresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaPolicy.resetId" id="cdktfprovideroktadataoktapolicyresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`status`](#cdktfprovideroktadataoktapolicypropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktapolicypropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktapolicypropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktadataoktapolicypropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktapolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktapolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktapolicypropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.property.status" id="cdktfprovideroktadataoktapolicypropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.property.idInput" id="cdktfprovideroktadataoktapolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.property.nameInput" id="cdktfprovideroktadataoktapolicypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.property.typeInput" id="cdktfprovideroktadataoktapolicypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.property.id" id="cdktfprovideroktadataoktapolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.property.name" id="cdktfprovideroktadataoktapolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicy.property.type" id="cdktfprovideroktadataoktapolicypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktapolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaPolicy.property.tfResourceType" id="cdktfprovideroktadataoktapolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaRoleSubscription <a name="@cdktf/provider-okta.DataOktaRoleSubscription" id="cdktfprovideroktadataoktarolesubscription"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/role_subscription okta_role_subscription}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaRoleSubscription.Initializer" id="cdktfprovideroktadataoktarolesubscriptioninitializer"></a>

```typescript
import { DataOktaRoleSubscription } from '@cdktf/provider-okta'

new DataOktaRoleSubscription(scope: Construct, id: string, config: DataOktaRoleSubscriptionConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktarolesubscriptionparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktarolesubscriptionparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktarolesubscriptionparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaRoleSubscriptionConfig`](#@cdktf/provider-okta.DataOktaRoleSubscriptionConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.parameter.scope" id="cdktfprovideroktadataoktarolesubscriptionparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.parameter.id" id="cdktfprovideroktadataoktarolesubscriptionparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.parameter.config" id="cdktfprovideroktadataoktarolesubscriptionparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaRoleSubscriptionConfig`](#@cdktf/provider-okta.DataOktaRoleSubscriptionConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktarolesubscriptionresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaRoleSubscription.resetId" id="cdktfprovideroktadataoktarolesubscriptionresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`status`](#cdktfprovideroktadataoktarolesubscriptionpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktarolesubscriptionpropertyidinput) | `string` | *No description.* |
| [`notificationTypeInput`](#cdktfprovideroktadataoktarolesubscriptionpropertynotificationtypeinput) | `string` | *No description.* |
| [`roleTypeInput`](#cdktfprovideroktadataoktarolesubscriptionpropertyroletypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktarolesubscriptionpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`notificationType`](#cdktfprovideroktadataoktarolesubscriptionpropertynotificationtype)<span title="Required">*</span> | `string` | *No description.* |
| [`roleType`](#cdktfprovideroktadataoktarolesubscriptionpropertyroletype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.status" id="cdktfprovideroktadataoktarolesubscriptionpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.idInput" id="cdktfprovideroktadataoktarolesubscriptionpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `notificationTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.notificationTypeInput" id="cdktfprovideroktadataoktarolesubscriptionpropertynotificationtypeinput"></a>

```typescript
public readonly notificationTypeInput: string;
```

- *Type:* `string`

---

##### `roleTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.roleTypeInput" id="cdktfprovideroktadataoktarolesubscriptionpropertyroletypeinput"></a>

```typescript
public readonly roleTypeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.id" id="cdktfprovideroktadataoktarolesubscriptionpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `notificationType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.notificationType" id="cdktfprovideroktadataoktarolesubscriptionpropertynotificationtype"></a>

```typescript
public readonly notificationType: string;
```

- *Type:* `string`

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.roleType" id="cdktfprovideroktadataoktarolesubscriptionpropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktarolesubscriptionpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaRoleSubscription.property.tfResourceType" id="cdktfprovideroktadataoktarolesubscriptionpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaTheme <a name="@cdktf/provider-okta.DataOktaTheme" id="cdktfprovideroktadataoktatheme"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/theme okta_theme}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaTheme.Initializer" id="cdktfprovideroktadataoktathemeinitializer"></a>

```typescript
import { DataOktaTheme } from '@cdktf/provider-okta'

new DataOktaTheme(scope: Construct, id: string, config: DataOktaThemeConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktathemeparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktathemeparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktathemeparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaThemeConfig`](#@cdktf/provider-okta.DataOktaThemeConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.parameter.scope" id="cdktfprovideroktadataoktathemeparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.parameter.id" id="cdktfprovideroktadataoktathemeparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.parameter.config" id="cdktfprovideroktadataoktathemeparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaThemeConfig`](#@cdktf/provider-okta.DataOktaThemeConfig)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`backgroundImageUrl`](#cdktfprovideroktadataoktathemepropertybackgroundimageurl)<span title="Required">*</span> | `string` | *No description.* |
| [`emailTemplateTouchPointVariant`](#cdktfprovideroktadataoktathemepropertyemailtemplatetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`endUserDashboardTouchPointVariant`](#cdktfprovideroktadataoktathemepropertyenduserdashboardtouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`errorPageTouchPointVariant`](#cdktfprovideroktadataoktathemepropertyerrorpagetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`faviconUrl`](#cdktfprovideroktadataoktathemepropertyfaviconurl)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktathemepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktadataoktathemepropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`logoUrl`](#cdktfprovideroktadataoktathemepropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryColorContrastHex`](#cdktfprovideroktadataoktathemepropertyprimarycolorcontrasthex)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryColorHex`](#cdktfprovideroktadataoktathemepropertyprimarycolorhex)<span title="Required">*</span> | `string` | *No description.* |
| [`secondaryColorContrastHex`](#cdktfprovideroktadataoktathemepropertysecondarycolorcontrasthex)<span title="Required">*</span> | `string` | *No description.* |
| [`secondaryColorHex`](#cdktfprovideroktadataoktathemepropertysecondarycolorhex)<span title="Required">*</span> | `string` | *No description.* |
| [`signInPageTouchPointVariant`](#cdktfprovideroktadataoktathemepropertysigninpagetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`brandIdInput`](#cdktfprovideroktadataoktathemepropertybrandidinput) | `string` | *No description.* |
| [`themeIdInput`](#cdktfprovideroktadataoktathemepropertythemeidinput) | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktathemepropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`themeId`](#cdktfprovideroktadataoktathemepropertythemeid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `backgroundImageUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.backgroundImageUrl" id="cdktfprovideroktadataoktathemepropertybackgroundimageurl"></a>

```typescript
public readonly backgroundImageUrl: string;
```

- *Type:* `string`

---

##### `emailTemplateTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.emailTemplateTouchPointVariant" id="cdktfprovideroktadataoktathemepropertyemailtemplatetouchpointvariant"></a>

```typescript
public readonly emailTemplateTouchPointVariant: string;
```

- *Type:* `string`

---

##### `endUserDashboardTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.endUserDashboardTouchPointVariant" id="cdktfprovideroktadataoktathemepropertyenduserdashboardtouchpointvariant"></a>

```typescript
public readonly endUserDashboardTouchPointVariant: string;
```

- *Type:* `string`

---

##### `errorPageTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.errorPageTouchPointVariant" id="cdktfprovideroktadataoktathemepropertyerrorpagetouchpointvariant"></a>

```typescript
public readonly errorPageTouchPointVariant: string;
```

- *Type:* `string`

---

##### `faviconUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.faviconUrl" id="cdktfprovideroktadataoktathemepropertyfaviconurl"></a>

```typescript
public readonly faviconUrl: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.id" id="cdktfprovideroktadataoktathemepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.links" id="cdktfprovideroktadataoktathemepropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.logoUrl" id="cdktfprovideroktadataoktathemepropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `primaryColorContrastHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.primaryColorContrastHex" id="cdktfprovideroktadataoktathemepropertyprimarycolorcontrasthex"></a>

```typescript
public readonly primaryColorContrastHex: string;
```

- *Type:* `string`

---

##### `primaryColorHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.primaryColorHex" id="cdktfprovideroktadataoktathemepropertyprimarycolorhex"></a>

```typescript
public readonly primaryColorHex: string;
```

- *Type:* `string`

---

##### `secondaryColorContrastHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.secondaryColorContrastHex" id="cdktfprovideroktadataoktathemepropertysecondarycolorcontrasthex"></a>

```typescript
public readonly secondaryColorContrastHex: string;
```

- *Type:* `string`

---

##### `secondaryColorHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.secondaryColorHex" id="cdktfprovideroktadataoktathemepropertysecondarycolorhex"></a>

```typescript
public readonly secondaryColorHex: string;
```

- *Type:* `string`

---

##### `signInPageTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.signInPageTouchPointVariant" id="cdktfprovideroktadataoktathemepropertysigninpagetouchpointvariant"></a>

```typescript
public readonly signInPageTouchPointVariant: string;
```

- *Type:* `string`

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.brandIdInput" id="cdktfprovideroktadataoktathemepropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `themeIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.themeIdInput" id="cdktfprovideroktadataoktathemepropertythemeidinput"></a>

```typescript
public readonly themeIdInput: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.brandId" id="cdktfprovideroktadataoktathemepropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `themeId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTheme.property.themeId" id="cdktfprovideroktadataoktathemepropertythemeid"></a>

```typescript
public readonly themeId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktathemepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaTheme.property.tfResourceType" id="cdktfprovideroktadataoktathemepropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaThemes <a name="@cdktf/provider-okta.DataOktaThemes" id="cdktfprovideroktadataoktathemes"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/themes okta_themes}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaThemes.Initializer" id="cdktfprovideroktadataoktathemesinitializer"></a>

```typescript
import { DataOktaThemes } from '@cdktf/provider-okta'

new DataOktaThemes(scope: Construct, id: string, config: DataOktaThemesConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktathemesparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktathemesparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktathemesparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaThemesConfig`](#@cdktf/provider-okta.DataOktaThemesConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemes.parameter.scope" id="cdktfprovideroktadataoktathemesparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemes.parameter.id" id="cdktfprovideroktadataoktathemesparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemes.parameter.config" id="cdktfprovideroktadataoktathemesparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaThemesConfig`](#@cdktf/provider-okta.DataOktaThemesConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktathemesresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaThemes.resetId" id="cdktfprovideroktadataoktathemesresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`themes`](#cdktfprovideroktadataoktathemespropertythemes)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaThemesThemesList`](#@cdktf/provider-okta.DataOktaThemesThemesList) | *No description.* |
| [`brandIdInput`](#cdktfprovideroktadataoktathemespropertybrandidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktathemespropertyidinput) | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktathemespropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktathemespropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `themes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemes.property.themes" id="cdktfprovideroktadataoktathemespropertythemes"></a>

```typescript
public readonly themes: DataOktaThemesThemesList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaThemesThemesList`](#@cdktf/provider-okta.DataOktaThemesThemesList)

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemes.property.brandIdInput" id="cdktfprovideroktadataoktathemespropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemes.property.idInput" id="cdktfprovideroktadataoktathemespropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemes.property.brandId" id="cdktfprovideroktadataoktathemespropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemes.property.id" id="cdktfprovideroktadataoktathemespropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktathemespropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaThemes.property.tfResourceType" id="cdktfprovideroktadataoktathemespropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaTrustedOrigins <a name="@cdktf/provider-okta.DataOktaTrustedOrigins" id="cdktfprovideroktadataoktatrustedorigins"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/trusted_origins okta_trusted_origins}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.Initializer" id="cdktfprovideroktadataoktatrustedoriginsinitializer"></a>

```typescript
import { DataOktaTrustedOrigins } from '@cdktf/provider-okta'

new DataOktaTrustedOrigins(scope: Construct, id: string, config?: DataOktaTrustedOriginsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktatrustedoriginsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktatrustedoriginsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktatrustedoriginsparameterconfig) | [`@cdktf/provider-okta.DataOktaTrustedOriginsConfig`](#@cdktf/provider-okta.DataOktaTrustedOriginsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.parameter.scope" id="cdktfprovideroktadataoktatrustedoriginsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.parameter.id" id="cdktfprovideroktadataoktatrustedoriginsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.parameter.config" id="cdktfprovideroktadataoktatrustedoriginsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaTrustedOriginsConfig`](#@cdktf/provider-okta.DataOktaTrustedOriginsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetFilter`](#cdktfprovideroktadataoktatrustedoriginsresetfilter) | *No description.* |
| [`resetId`](#cdktfprovideroktadataoktatrustedoriginsresetid) | *No description.* |

---

##### `resetFilter` <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.resetFilter" id="cdktfprovideroktadataoktatrustedoriginsresetfilter"></a>

```typescript
public resetFilter()
```

##### `resetId` <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.resetId" id="cdktfprovideroktadataoktatrustedoriginsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`trustedOrigins`](#cdktfprovideroktadataoktatrustedoriginspropertytrustedorigins)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList`](#@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList) | *No description.* |
| [`filterInput`](#cdktfprovideroktadataoktatrustedoriginspropertyfilterinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktatrustedoriginspropertyidinput) | `string` | *No description.* |
| [`filter`](#cdktfprovideroktadataoktatrustedoriginspropertyfilter)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktatrustedoriginspropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `trustedOrigins`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.property.trustedOrigins" id="cdktfprovideroktadataoktatrustedoriginspropertytrustedorigins"></a>

```typescript
public readonly trustedOrigins: DataOktaTrustedOriginsTrustedOriginsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList`](#@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList)

---

##### `filterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.property.filterInput" id="cdktfprovideroktadataoktatrustedoriginspropertyfilterinput"></a>

```typescript
public readonly filterInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.property.idInput" id="cdktfprovideroktadataoktatrustedoriginspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `filter`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.property.filter" id="cdktfprovideroktadataoktatrustedoriginspropertyfilter"></a>

```typescript
public readonly filter: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.property.id" id="cdktfprovideroktadataoktatrustedoriginspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktatrustedoriginspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaTrustedOrigins.property.tfResourceType" id="cdktfprovideroktadataoktatrustedoriginspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaUser <a name="@cdktf/provider-okta.DataOktaUser" id="cdktfprovideroktadataoktauser"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/user okta_user}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaUser.Initializer" id="cdktfprovideroktadataoktauserinitializer"></a>

```typescript
import { DataOktaUser } from '@cdktf/provider-okta'

new DataOktaUser(scope: Construct, id: string, config?: DataOktaUserConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktauserparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktauserparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktauserparameterconfig) | [`@cdktf/provider-okta.DataOktaUserConfig`](#@cdktf/provider-okta.DataOktaUserConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.parameter.scope" id="cdktfprovideroktadataoktauserparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.parameter.id" id="cdktfprovideroktadataoktauserparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.parameter.config" id="cdktfprovideroktadataoktauserparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaUserConfig`](#@cdktf/provider-okta.DataOktaUserConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putSearch`](#cdktfprovideroktadataoktauserputsearch) | *No description.* |
| [`resetCompoundSearchOperator`](#cdktfprovideroktadataoktauserresetcompoundsearchoperator) | *No description.* |
| [`resetDelayReadSeconds`](#cdktfprovideroktadataoktauserresetdelayreadseconds) | *No description.* |
| [`resetId`](#cdktfprovideroktadataoktauserresetid) | *No description.* |
| [`resetSearch`](#cdktfprovideroktadataoktauserresetsearch) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktadataoktauserresetskipgroups) | *No description.* |
| [`resetSkipRoles`](#cdktfprovideroktadataoktauserresetskiproles) | *No description.* |
| [`resetUserId`](#cdktfprovideroktadataoktauserresetuserid) | *No description.* |

---

##### `putSearch` <a name="@cdktf/provider-okta.DataOktaUser.putSearch" id="cdktfprovideroktadataoktauserputsearch"></a>

```typescript
public putSearch(value: IResolvable | DataOktaUserSearch[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.parameter.value" id="cdktfprovideroktadataoktauserparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)[]

---

##### `resetCompoundSearchOperator` <a name="@cdktf/provider-okta.DataOktaUser.resetCompoundSearchOperator" id="cdktfprovideroktadataoktauserresetcompoundsearchoperator"></a>

```typescript
public resetCompoundSearchOperator()
```

##### `resetDelayReadSeconds` <a name="@cdktf/provider-okta.DataOktaUser.resetDelayReadSeconds" id="cdktfprovideroktadataoktauserresetdelayreadseconds"></a>

```typescript
public resetDelayReadSeconds()
```

##### `resetId` <a name="@cdktf/provider-okta.DataOktaUser.resetId" id="cdktfprovideroktadataoktauserresetid"></a>

```typescript
public resetId()
```

##### `resetSearch` <a name="@cdktf/provider-okta.DataOktaUser.resetSearch" id="cdktfprovideroktadataoktauserresetsearch"></a>

```typescript
public resetSearch()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.DataOktaUser.resetSkipGroups" id="cdktfprovideroktadataoktauserresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipRoles` <a name="@cdktf/provider-okta.DataOktaUser.resetSkipRoles" id="cdktfprovideroktadataoktauserresetskiproles"></a>

```typescript
public resetSkipRoles()
```

##### `resetUserId` <a name="@cdktf/provider-okta.DataOktaUser.resetUserId" id="cdktfprovideroktadataoktauserresetuserid"></a>

```typescript
public resetUserId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`adminRoles`](#cdktfprovideroktadataoktauserpropertyadminroles)<span title="Required">*</span> | `string`[] | *No description.* |
| [`city`](#cdktfprovideroktadataoktauserpropertycity)<span title="Required">*</span> | `string` | *No description.* |
| [`costCenter`](#cdktfprovideroktadataoktauserpropertycostcenter)<span title="Required">*</span> | `string` | *No description.* |
| [`countryCode`](#cdktfprovideroktadataoktauserpropertycountrycode)<span title="Required">*</span> | `string` | *No description.* |
| [`customProfileAttributes`](#cdktfprovideroktadataoktauserpropertycustomprofileattributes)<span title="Required">*</span> | `string` | *No description.* |
| [`department`](#cdktfprovideroktadataoktauserpropertydepartment)<span title="Required">*</span> | `string` | *No description.* |
| [`displayName`](#cdktfprovideroktadataoktauserpropertydisplayname)<span title="Required">*</span> | `string` | *No description.* |
| [`division`](#cdktfprovideroktadataoktauserpropertydivision)<span title="Required">*</span> | `string` | *No description.* |
| [`email`](#cdktfprovideroktadataoktauserpropertyemail)<span title="Required">*</span> | `string` | *No description.* |
| [`employeeNumber`](#cdktfprovideroktadataoktauserpropertyemployeenumber)<span title="Required">*</span> | `string` | *No description.* |
| [`firstName`](#cdktfprovideroktadataoktauserpropertyfirstname)<span title="Required">*</span> | `string` | *No description.* |
| [`groupMemberships`](#cdktfprovideroktadataoktauserpropertygroupmemberships)<span title="Required">*</span> | `string`[] | *No description.* |
| [`honorificPrefix`](#cdktfprovideroktadataoktauserpropertyhonorificprefix)<span title="Required">*</span> | `string` | *No description.* |
| [`honorificSuffix`](#cdktfprovideroktadataoktauserpropertyhonorificsuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`lastName`](#cdktfprovideroktadataoktauserpropertylastname)<span title="Required">*</span> | `string` | *No description.* |
| [`locale`](#cdktfprovideroktadataoktauserpropertylocale)<span title="Required">*</span> | `string` | *No description.* |
| [`login`](#cdktfprovideroktadataoktauserpropertylogin)<span title="Required">*</span> | `string` | *No description.* |
| [`manager`](#cdktfprovideroktadataoktauserpropertymanager)<span title="Required">*</span> | `string` | *No description.* |
| [`managerId`](#cdktfprovideroktadataoktauserpropertymanagerid)<span title="Required">*</span> | `string` | *No description.* |
| [`middleName`](#cdktfprovideroktadataoktauserpropertymiddlename)<span title="Required">*</span> | `string` | *No description.* |
| [`mobilePhone`](#cdktfprovideroktadataoktauserpropertymobilephone)<span title="Required">*</span> | `string` | *No description.* |
| [`nickName`](#cdktfprovideroktadataoktauserpropertynickname)<span title="Required">*</span> | `string` | *No description.* |
| [`organization`](#cdktfprovideroktadataoktauserpropertyorganization)<span title="Required">*</span> | `string` | *No description.* |
| [`postalAddress`](#cdktfprovideroktadataoktauserpropertypostaladdress)<span title="Required">*</span> | `string` | *No description.* |
| [`preferredLanguage`](#cdktfprovideroktadataoktauserpropertypreferredlanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryPhone`](#cdktfprovideroktadataoktauserpropertyprimaryphone)<span title="Required">*</span> | `string` | *No description.* |
| [`profileUrl`](#cdktfprovideroktadataoktauserpropertyprofileurl)<span title="Required">*</span> | `string` | *No description.* |
| [`search`](#cdktfprovideroktadataoktauserpropertysearch)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaUserSearchList`](#@cdktf/provider-okta.DataOktaUserSearchList) | *No description.* |
| [`secondEmail`](#cdktfprovideroktadataoktauserpropertysecondemail)<span title="Required">*</span> | `string` | *No description.* |
| [`state`](#cdktfprovideroktadataoktauserpropertystate)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktadataoktauserpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`streetAddress`](#cdktfprovideroktadataoktauserpropertystreetaddress)<span title="Required">*</span> | `string` | *No description.* |
| [`timezone`](#cdktfprovideroktadataoktauserpropertytimezone)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktadataoktauserpropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktadataoktauserpropertyusertype)<span title="Required">*</span> | `string` | *No description.* |
| [`zipCode`](#cdktfprovideroktadataoktauserpropertyzipcode)<span title="Required">*</span> | `string` | *No description.* |
| [`compoundSearchOperatorInput`](#cdktfprovideroktadataoktauserpropertycompoundsearchoperatorinput) | `string` | *No description.* |
| [`delayReadSecondsInput`](#cdktfprovideroktadataoktauserpropertydelayreadsecondsinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktauserpropertyidinput) | `string` | *No description.* |
| [`searchInput`](#cdktfprovideroktadataoktauserpropertysearchinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)[] | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktadataoktauserpropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipRolesInput`](#cdktfprovideroktadataoktauserpropertyskiprolesinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`userIdInput`](#cdktfprovideroktadataoktauserpropertyuseridinput) | `string` | *No description.* |
| [`compoundSearchOperator`](#cdktfprovideroktadataoktauserpropertycompoundsearchoperator)<span title="Required">*</span> | `string` | *No description.* |
| [`delayReadSeconds`](#cdktfprovideroktadataoktauserpropertydelayreadseconds)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktauserpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktadataoktauserpropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipRoles`](#cdktfprovideroktadataoktauserpropertyskiproles)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`userId`](#cdktfprovideroktadataoktauserpropertyuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `adminRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.adminRoles" id="cdktfprovideroktadataoktauserpropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

---

##### `city`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.city" id="cdktfprovideroktadataoktauserpropertycity"></a>

```typescript
public readonly city: string;
```

- *Type:* `string`

---

##### `costCenter`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.costCenter" id="cdktfprovideroktadataoktauserpropertycostcenter"></a>

```typescript
public readonly costCenter: string;
```

- *Type:* `string`

---

##### `countryCode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.countryCode" id="cdktfprovideroktadataoktauserpropertycountrycode"></a>

```typescript
public readonly countryCode: string;
```

- *Type:* `string`

---

##### `customProfileAttributes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.customProfileAttributes" id="cdktfprovideroktadataoktauserpropertycustomprofileattributes"></a>

```typescript
public readonly customProfileAttributes: string;
```

- *Type:* `string`

---

##### `department`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.department" id="cdktfprovideroktadataoktauserpropertydepartment"></a>

```typescript
public readonly department: string;
```

- *Type:* `string`

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.displayName" id="cdktfprovideroktadataoktauserpropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

---

##### `division`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.division" id="cdktfprovideroktadataoktauserpropertydivision"></a>

```typescript
public readonly division: string;
```

- *Type:* `string`

---

##### `email`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.email" id="cdktfprovideroktadataoktauserpropertyemail"></a>

```typescript
public readonly email: string;
```

- *Type:* `string`

---

##### `employeeNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.employeeNumber" id="cdktfprovideroktadataoktauserpropertyemployeenumber"></a>

```typescript
public readonly employeeNumber: string;
```

- *Type:* `string`

---

##### `firstName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.firstName" id="cdktfprovideroktadataoktauserpropertyfirstname"></a>

```typescript
public readonly firstName: string;
```

- *Type:* `string`

---

##### `groupMemberships`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.groupMemberships" id="cdktfprovideroktadataoktauserpropertygroupmemberships"></a>

```typescript
public readonly groupMemberships: string[];
```

- *Type:* `string`[]

---

##### `honorificPrefix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.honorificPrefix" id="cdktfprovideroktadataoktauserpropertyhonorificprefix"></a>

```typescript
public readonly honorificPrefix: string;
```

- *Type:* `string`

---

##### `honorificSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.honorificSuffix" id="cdktfprovideroktadataoktauserpropertyhonorificsuffix"></a>

```typescript
public readonly honorificSuffix: string;
```

- *Type:* `string`

---

##### `lastName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.lastName" id="cdktfprovideroktadataoktauserpropertylastname"></a>

```typescript
public readonly lastName: string;
```

- *Type:* `string`

---

##### `locale`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.locale" id="cdktfprovideroktadataoktauserpropertylocale"></a>

```typescript
public readonly locale: string;
```

- *Type:* `string`

---

##### `login`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.login" id="cdktfprovideroktadataoktauserpropertylogin"></a>

```typescript
public readonly login: string;
```

- *Type:* `string`

---

##### `manager`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.manager" id="cdktfprovideroktadataoktauserpropertymanager"></a>

```typescript
public readonly manager: string;
```

- *Type:* `string`

---

##### `managerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.managerId" id="cdktfprovideroktadataoktauserpropertymanagerid"></a>

```typescript
public readonly managerId: string;
```

- *Type:* `string`

---

##### `middleName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.middleName" id="cdktfprovideroktadataoktauserpropertymiddlename"></a>

```typescript
public readonly middleName: string;
```

- *Type:* `string`

---

##### `mobilePhone`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.mobilePhone" id="cdktfprovideroktadataoktauserpropertymobilephone"></a>

```typescript
public readonly mobilePhone: string;
```

- *Type:* `string`

---

##### `nickName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.nickName" id="cdktfprovideroktadataoktauserpropertynickname"></a>

```typescript
public readonly nickName: string;
```

- *Type:* `string`

---

##### `organization`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.organization" id="cdktfprovideroktadataoktauserpropertyorganization"></a>

```typescript
public readonly organization: string;
```

- *Type:* `string`

---

##### `postalAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.postalAddress" id="cdktfprovideroktadataoktauserpropertypostaladdress"></a>

```typescript
public readonly postalAddress: string;
```

- *Type:* `string`

---

##### `preferredLanguage`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.preferredLanguage" id="cdktfprovideroktadataoktauserpropertypreferredlanguage"></a>

```typescript
public readonly preferredLanguage: string;
```

- *Type:* `string`

---

##### `primaryPhone`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.primaryPhone" id="cdktfprovideroktadataoktauserpropertyprimaryphone"></a>

```typescript
public readonly primaryPhone: string;
```

- *Type:* `string`

---

##### `profileUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.profileUrl" id="cdktfprovideroktadataoktauserpropertyprofileurl"></a>

```typescript
public readonly profileUrl: string;
```

- *Type:* `string`

---

##### `search`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.search" id="cdktfprovideroktadataoktauserpropertysearch"></a>

```typescript
public readonly search: DataOktaUserSearchList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaUserSearchList`](#@cdktf/provider-okta.DataOktaUserSearchList)

---

##### `secondEmail`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.secondEmail" id="cdktfprovideroktadataoktauserpropertysecondemail"></a>

```typescript
public readonly secondEmail: string;
```

- *Type:* `string`

---

##### `state`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.state" id="cdktfprovideroktadataoktauserpropertystate"></a>

```typescript
public readonly state: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.status" id="cdktfprovideroktadataoktauserpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `streetAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.streetAddress" id="cdktfprovideroktadataoktauserpropertystreetaddress"></a>

```typescript
public readonly streetAddress: string;
```

- *Type:* `string`

---

##### `timezone`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.timezone" id="cdktfprovideroktadataoktauserpropertytimezone"></a>

```typescript
public readonly timezone: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.title" id="cdktfprovideroktadataoktauserpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.userType" id="cdktfprovideroktadataoktauserpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

##### `zipCode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.zipCode" id="cdktfprovideroktadataoktauserpropertyzipcode"></a>

```typescript
public readonly zipCode: string;
```

- *Type:* `string`

---

##### `compoundSearchOperatorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.compoundSearchOperatorInput" id="cdktfprovideroktadataoktauserpropertycompoundsearchoperatorinput"></a>

```typescript
public readonly compoundSearchOperatorInput: string;
```

- *Type:* `string`

---

##### `delayReadSecondsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.delayReadSecondsInput" id="cdktfprovideroktadataoktauserpropertydelayreadsecondsinput"></a>

```typescript
public readonly delayReadSecondsInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.idInput" id="cdktfprovideroktadataoktauserpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `searchInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.searchInput" id="cdktfprovideroktadataoktauserpropertysearchinput"></a>

```typescript
public readonly searchInput: IResolvable | DataOktaUserSearch[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)[]

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.skipGroupsInput" id="cdktfprovideroktadataoktauserpropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipRolesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.skipRolesInput" id="cdktfprovideroktadataoktauserpropertyskiprolesinput"></a>

```typescript
public readonly skipRolesInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.userIdInput" id="cdktfprovideroktadataoktauserpropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `compoundSearchOperator`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.compoundSearchOperator" id="cdktfprovideroktadataoktauserpropertycompoundsearchoperator"></a>

```typescript
public readonly compoundSearchOperator: string;
```

- *Type:* `string`

---

##### `delayReadSeconds`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.delayReadSeconds" id="cdktfprovideroktadataoktauserpropertydelayreadseconds"></a>

```typescript
public readonly delayReadSeconds: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.id" id="cdktfprovideroktadataoktauserpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.skipGroups" id="cdktfprovideroktadataoktauserpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.skipRoles" id="cdktfprovideroktadataoktauserpropertyskiproles"></a>

```typescript
public readonly skipRoles: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUser.property.userId" id="cdktfprovideroktadataoktauserpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktauserpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaUser.property.tfResourceType" id="cdktfprovideroktadataoktauserpropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaUserProfileMappingSource <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource" id="cdktfprovideroktadataoktauserprofilemappingsource"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/user_profile_mapping_source okta_user_profile_mapping_source}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.Initializer" id="cdktfprovideroktadataoktauserprofilemappingsourceinitializer"></a>

```typescript
import { DataOktaUserProfileMappingSource } from '@cdktf/provider-okta'

new DataOktaUserProfileMappingSource(scope: Construct, id: string, config?: DataOktaUserProfileMappingSourceConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktauserprofilemappingsourceparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktauserprofilemappingsourceparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktauserprofilemappingsourceparameterconfig) | [`@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig`](#@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.parameter.scope" id="cdktfprovideroktadataoktauserprofilemappingsourceparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.parameter.id" id="cdktfprovideroktadataoktauserprofilemappingsourceparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.parameter.config" id="cdktfprovideroktadataoktauserprofilemappingsourceparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig`](#@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktadataoktauserprofilemappingsourcepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktauserprofilemappingsourcepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktauserprofilemappingsourcepropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.property.id" id="cdktfprovideroktadataoktauserprofilemappingsourcepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.property.name" id="cdktfprovideroktadataoktauserprofilemappingsourcepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.property.type" id="cdktfprovideroktadataoktauserprofilemappingsourcepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktauserprofilemappingsourcepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSource.property.tfResourceType" id="cdktfprovideroktadataoktauserprofilemappingsourcepropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaUsers <a name="@cdktf/provider-okta.DataOktaUsers" id="cdktfprovideroktadataoktausers"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/users okta_users}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaUsers.Initializer" id="cdktfprovideroktadataoktausersinitializer"></a>

```typescript
import { DataOktaUsers } from '@cdktf/provider-okta'

new DataOktaUsers(scope: Construct, id: string, config?: DataOktaUsersConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktausersparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktausersparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktausersparameterconfig) | [`@cdktf/provider-okta.DataOktaUsersConfig`](#@cdktf/provider-okta.DataOktaUsersConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.parameter.scope" id="cdktfprovideroktadataoktausersparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.parameter.id" id="cdktfprovideroktadataoktausersparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.parameter.config" id="cdktfprovideroktadataoktausersparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaUsersConfig`](#@cdktf/provider-okta.DataOktaUsersConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putSearch`](#cdktfprovideroktadataoktausersputsearch) | *No description.* |
| [`resetCompoundSearchOperator`](#cdktfprovideroktadataoktausersresetcompoundsearchoperator) | *No description.* |
| [`resetDelayReadSeconds`](#cdktfprovideroktadataoktausersresetdelayreadseconds) | *No description.* |
| [`resetGroupId`](#cdktfprovideroktadataoktausersresetgroupid) | *No description.* |
| [`resetId`](#cdktfprovideroktadataoktausersresetid) | *No description.* |
| [`resetIncludeGroups`](#cdktfprovideroktadataoktausersresetincludegroups) | *No description.* |
| [`resetIncludeRoles`](#cdktfprovideroktadataoktausersresetincluderoles) | *No description.* |
| [`resetSearch`](#cdktfprovideroktadataoktausersresetsearch) | *No description.* |

---

##### `putSearch` <a name="@cdktf/provider-okta.DataOktaUsers.putSearch" id="cdktfprovideroktadataoktausersputsearch"></a>

```typescript
public putSearch(value: IResolvable | DataOktaUsersSearch[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.parameter.value" id="cdktfprovideroktadataoktausersparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)[]

---

##### `resetCompoundSearchOperator` <a name="@cdktf/provider-okta.DataOktaUsers.resetCompoundSearchOperator" id="cdktfprovideroktadataoktausersresetcompoundsearchoperator"></a>

```typescript
public resetCompoundSearchOperator()
```

##### `resetDelayReadSeconds` <a name="@cdktf/provider-okta.DataOktaUsers.resetDelayReadSeconds" id="cdktfprovideroktadataoktausersresetdelayreadseconds"></a>

```typescript
public resetDelayReadSeconds()
```

##### `resetGroupId` <a name="@cdktf/provider-okta.DataOktaUsers.resetGroupId" id="cdktfprovideroktadataoktausersresetgroupid"></a>

```typescript
public resetGroupId()
```

##### `resetId` <a name="@cdktf/provider-okta.DataOktaUsers.resetId" id="cdktfprovideroktadataoktausersresetid"></a>

```typescript
public resetId()
```

##### `resetIncludeGroups` <a name="@cdktf/provider-okta.DataOktaUsers.resetIncludeGroups" id="cdktfprovideroktadataoktausersresetincludegroups"></a>

```typescript
public resetIncludeGroups()
```

##### `resetIncludeRoles` <a name="@cdktf/provider-okta.DataOktaUsers.resetIncludeRoles" id="cdktfprovideroktadataoktausersresetincluderoles"></a>

```typescript
public resetIncludeRoles()
```

##### `resetSearch` <a name="@cdktf/provider-okta.DataOktaUsers.resetSearch" id="cdktfprovideroktadataoktausersresetsearch"></a>

```typescript
public resetSearch()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`search`](#cdktfprovideroktadataoktauserspropertysearch)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaUsersSearchList`](#@cdktf/provider-okta.DataOktaUsersSearchList) | *No description.* |
| [`users`](#cdktfprovideroktadataoktauserspropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaUsersUsersList`](#@cdktf/provider-okta.DataOktaUsersUsersList) | *No description.* |
| [`compoundSearchOperatorInput`](#cdktfprovideroktadataoktauserspropertycompoundsearchoperatorinput) | `string` | *No description.* |
| [`delayReadSecondsInput`](#cdktfprovideroktadataoktauserspropertydelayreadsecondsinput) | `string` | *No description.* |
| [`groupIdInput`](#cdktfprovideroktadataoktauserspropertygroupidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktauserspropertyidinput) | `string` | *No description.* |
| [`includeGroupsInput`](#cdktfprovideroktadataoktauserspropertyincludegroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`includeRolesInput`](#cdktfprovideroktadataoktauserspropertyincluderolesinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`searchInput`](#cdktfprovideroktadataoktauserspropertysearchinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)[] | *No description.* |
| [`compoundSearchOperator`](#cdktfprovideroktadataoktauserspropertycompoundsearchoperator)<span title="Required">*</span> | `string` | *No description.* |
| [`delayReadSeconds`](#cdktfprovideroktadataoktauserspropertydelayreadseconds)<span title="Required">*</span> | `string` | *No description.* |
| [`groupId`](#cdktfprovideroktadataoktauserspropertygroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktauserspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`includeGroups`](#cdktfprovideroktadataoktauserspropertyincludegroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`includeRoles`](#cdktfprovideroktadataoktauserspropertyincluderoles)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `search`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.search" id="cdktfprovideroktadataoktauserspropertysearch"></a>

```typescript
public readonly search: DataOktaUsersSearchList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaUsersSearchList`](#@cdktf/provider-okta.DataOktaUsersSearchList)

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.users" id="cdktfprovideroktadataoktauserspropertyusers"></a>

```typescript
public readonly users: DataOktaUsersUsersList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaUsersUsersList`](#@cdktf/provider-okta.DataOktaUsersUsersList)

---

##### `compoundSearchOperatorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.compoundSearchOperatorInput" id="cdktfprovideroktadataoktauserspropertycompoundsearchoperatorinput"></a>

```typescript
public readonly compoundSearchOperatorInput: string;
```

- *Type:* `string`

---

##### `delayReadSecondsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.delayReadSecondsInput" id="cdktfprovideroktadataoktauserspropertydelayreadsecondsinput"></a>

```typescript
public readonly delayReadSecondsInput: string;
```

- *Type:* `string`

---

##### `groupIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.groupIdInput" id="cdktfprovideroktadataoktauserspropertygroupidinput"></a>

```typescript
public readonly groupIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.idInput" id="cdktfprovideroktadataoktauserspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `includeGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.includeGroupsInput" id="cdktfprovideroktadataoktauserspropertyincludegroupsinput"></a>

```typescript
public readonly includeGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `includeRolesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.includeRolesInput" id="cdktfprovideroktadataoktauserspropertyincluderolesinput"></a>

```typescript
public readonly includeRolesInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `searchInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.searchInput" id="cdktfprovideroktadataoktauserspropertysearchinput"></a>

```typescript
public readonly searchInput: IResolvable | DataOktaUsersSearch[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)[]

---

##### `compoundSearchOperator`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.compoundSearchOperator" id="cdktfprovideroktadataoktauserspropertycompoundsearchoperator"></a>

```typescript
public readonly compoundSearchOperator: string;
```

- *Type:* `string`

---

##### `delayReadSeconds`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.delayReadSeconds" id="cdktfprovideroktadataoktauserspropertydelayreadseconds"></a>

```typescript
public readonly delayReadSeconds: string;
```

- *Type:* `string`

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.groupId" id="cdktfprovideroktadataoktauserspropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.id" id="cdktfprovideroktadataoktauserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `includeGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.includeGroups" id="cdktfprovideroktadataoktauserspropertyincludegroups"></a>

```typescript
public readonly includeGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `includeRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsers.property.includeRoles" id="cdktfprovideroktadataoktauserspropertyincluderoles"></a>

```typescript
public readonly includeRoles: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktauserspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaUsers.property.tfResourceType" id="cdktfprovideroktadataoktauserspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaUserSecurityQuestions <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions" id="cdktfprovideroktadataoktausersecurityquestions"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/user_security_questions okta_user_security_questions}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.Initializer" id="cdktfprovideroktadataoktausersecurityquestionsinitializer"></a>

```typescript
import { DataOktaUserSecurityQuestions } from '@cdktf/provider-okta'

new DataOktaUserSecurityQuestions(scope: Construct, id: string, config: DataOktaUserSecurityQuestionsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktausersecurityquestionsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktausersecurityquestionsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktausersecurityquestionsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig`](#@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.parameter.scope" id="cdktfprovideroktadataoktausersecurityquestionsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.parameter.id" id="cdktfprovideroktadataoktausersecurityquestionsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.parameter.config" id="cdktfprovideroktadataoktausersecurityquestionsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig`](#@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktausersecurityquestionsresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.resetId" id="cdktfprovideroktadataoktausersecurityquestionsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`questions`](#cdktfprovideroktadataoktausersecurityquestionspropertyquestions)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList`](#@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList) | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktausersecurityquestionspropertyidinput) | `string` | *No description.* |
| [`userIdInput`](#cdktfprovideroktadataoktausersecurityquestionspropertyuseridinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktausersecurityquestionspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`userId`](#cdktfprovideroktadataoktausersecurityquestionspropertyuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `questions`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.property.questions" id="cdktfprovideroktadataoktausersecurityquestionspropertyquestions"></a>

```typescript
public readonly questions: DataOktaUserSecurityQuestionsQuestionsList;
```

- *Type:* [`@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList`](#@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.property.idInput" id="cdktfprovideroktadataoktausersecurityquestionspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.property.userIdInput" id="cdktfprovideroktadataoktausersecurityquestionspropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.property.id" id="cdktfprovideroktadataoktausersecurityquestionspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.property.userId" id="cdktfprovideroktadataoktausersecurityquestionspropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktausersecurityquestionspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestions.property.tfResourceType" id="cdktfprovideroktadataoktausersecurityquestionspropertytfresourcetype"></a>

- *Type:* `string`

---

### DataOktaUserType <a name="@cdktf/provider-okta.DataOktaUserType" id="cdktfprovideroktadataoktausertype"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/d/user_type okta_user_type}.

#### Initializers <a name="@cdktf/provider-okta.DataOktaUserType.Initializer" id="cdktfprovideroktadataoktausertypeinitializer"></a>

```typescript
import { DataOktaUserType } from '@cdktf/provider-okta'

new DataOktaUserType(scope: Construct, id: string, config: DataOktaUserTypeConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadataoktausertypeparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadataoktausertypeparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadataoktausertypeparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DataOktaUserTypeConfig`](#@cdktf/provider-okta.DataOktaUserTypeConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserType.parameter.scope" id="cdktfprovideroktadataoktausertypeparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserType.parameter.id" id="cdktfprovideroktadataoktausertypeparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserType.parameter.config" id="cdktfprovideroktadataoktausertypeparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DataOktaUserTypeConfig`](#@cdktf/provider-okta.DataOktaUserTypeConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadataoktausertyperesetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DataOktaUserType.resetId" id="cdktfprovideroktadataoktausertyperesetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`description`](#cdktfprovideroktadataoktausertypepropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`displayName`](#cdktfprovideroktadataoktausertypepropertydisplayname)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadataoktausertypepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktausertypepropertynameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktausertypepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktausertypepropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserType.property.description" id="cdktfprovideroktadataoktausertypepropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserType.property.displayName" id="cdktfprovideroktadataoktausertypepropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserType.property.idInput" id="cdktfprovideroktadataoktausertypepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserType.property.nameInput" id="cdktfprovideroktadataoktausertypepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserType.property.id" id="cdktfprovideroktadataoktausertypepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserType.property.name" id="cdktfprovideroktadataoktausertypepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadataoktausertypepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DataOktaUserType.property.tfResourceType" id="cdktfprovideroktadataoktausertypepropertytfresourcetype"></a>

- *Type:* `string`

---

### Domain <a name="@cdktf/provider-okta.Domain" id="cdktfprovideroktadomain"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/domain okta_domain}.

#### Initializers <a name="@cdktf/provider-okta.Domain.Initializer" id="cdktfprovideroktadomaininitializer"></a>

```typescript
import { Domain } from '@cdktf/provider-okta'

new Domain(scope: Construct, id: string, config: DomainConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadomainparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadomainparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadomainparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DomainConfig`](#@cdktf/provider-okta.DomainConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.parameter.scope" id="cdktfprovideroktadomainparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.parameter.id" id="cdktfprovideroktadomainparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.parameter.config" id="cdktfprovideroktadomainparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DomainConfig`](#@cdktf/provider-okta.DomainConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetCertificateSourceType`](#cdktfprovideroktadomainresetcertificatesourcetype) | *No description.* |
| [`resetId`](#cdktfprovideroktadomainresetid) | *No description.* |
| [`resetVerify`](#cdktfprovideroktadomainresetverify) | *No description.* |

---

##### `resetCertificateSourceType` <a name="@cdktf/provider-okta.Domain.resetCertificateSourceType" id="cdktfprovideroktadomainresetcertificatesourcetype"></a>

```typescript
public resetCertificateSourceType()
```

##### `resetId` <a name="@cdktf/provider-okta.Domain.resetId" id="cdktfprovideroktadomainresetid"></a>

```typescript
public resetId()
```

##### `resetVerify` <a name="@cdktf/provider-okta.Domain.resetVerify" id="cdktfprovideroktadomainresetverify"></a>

```typescript
public resetVerify()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`dnsRecords`](#cdktfprovideroktadomainpropertydnsrecords)<span title="Required">*</span> | [`@cdktf/provider-okta.DomainDnsRecordsList`](#@cdktf/provider-okta.DomainDnsRecordsList) | *No description.* |
| [`validationStatus`](#cdktfprovideroktadomainpropertyvalidationstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`certificateSourceTypeInput`](#cdktfprovideroktadomainpropertycertificatesourcetypeinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadomainpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadomainpropertynameinput) | `string` | *No description.* |
| [`verifyInput`](#cdktfprovideroktadomainpropertyverifyinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`certificateSourceType`](#cdktfprovideroktadomainpropertycertificatesourcetype)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadomainpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadomainpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`verify`](#cdktfprovideroktadomainpropertyverify)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `dnsRecords`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.property.dnsRecords" id="cdktfprovideroktadomainpropertydnsrecords"></a>

```typescript
public readonly dnsRecords: DomainDnsRecordsList;
```

- *Type:* [`@cdktf/provider-okta.DomainDnsRecordsList`](#@cdktf/provider-okta.DomainDnsRecordsList)

---

##### `validationStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.property.validationStatus" id="cdktfprovideroktadomainpropertyvalidationstatus"></a>

```typescript
public readonly validationStatus: string;
```

- *Type:* `string`

---

##### `certificateSourceTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Domain.property.certificateSourceTypeInput" id="cdktfprovideroktadomainpropertycertificatesourcetypeinput"></a>

```typescript
public readonly certificateSourceTypeInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Domain.property.idInput" id="cdktfprovideroktadomainpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Domain.property.nameInput" id="cdktfprovideroktadomainpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `verifyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Domain.property.verifyInput" id="cdktfprovideroktadomainpropertyverifyinput"></a>

```typescript
public readonly verifyInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `certificateSourceType`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.property.certificateSourceType" id="cdktfprovideroktadomainpropertycertificatesourcetype"></a>

```typescript
public readonly certificateSourceType: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.property.id" id="cdktfprovideroktadomainpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.property.name" id="cdktfprovideroktadomainpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `verify`<sup>Required</sup> <a name="@cdktf/provider-okta.Domain.property.verify" id="cdktfprovideroktadomainpropertyverify"></a>

```typescript
public readonly verify: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadomainpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Domain.property.tfResourceType" id="cdktfprovideroktadomainpropertytfresourcetype"></a>

- *Type:* `string`

---

### DomainCertificate <a name="@cdktf/provider-okta.DomainCertificate" id="cdktfprovideroktadomaincertificate"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate okta_domain_certificate}.

#### Initializers <a name="@cdktf/provider-okta.DomainCertificate.Initializer" id="cdktfprovideroktadomaincertificateinitializer"></a>

```typescript
import { DomainCertificate } from '@cdktf/provider-okta'

new DomainCertificate(scope: Construct, id: string, config: DomainCertificateConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadomaincertificateparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadomaincertificateparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadomaincertificateparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DomainCertificateConfig`](#@cdktf/provider-okta.DomainCertificateConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.parameter.scope" id="cdktfprovideroktadomaincertificateparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.parameter.id" id="cdktfprovideroktadomaincertificateparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.parameter.config" id="cdktfprovideroktadomaincertificateparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DomainCertificateConfig`](#@cdktf/provider-okta.DomainCertificateConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadomaincertificateresetid) | *No description.* |
| [`resetType`](#cdktfprovideroktadomaincertificateresettype) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DomainCertificate.resetId" id="cdktfprovideroktadomaincertificateresetid"></a>

```typescript
public resetId()
```

##### `resetType` <a name="@cdktf/provider-okta.DomainCertificate.resetType" id="cdktfprovideroktadomaincertificateresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`certificateChainInput`](#cdktfprovideroktadomaincertificatepropertycertificatechaininput) | `string` | *No description.* |
| [`certificateInput`](#cdktfprovideroktadomaincertificatepropertycertificateinput) | `string` | *No description.* |
| [`domainIdInput`](#cdktfprovideroktadomaincertificatepropertydomainidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadomaincertificatepropertyidinput) | `string` | *No description.* |
| [`privateKeyInput`](#cdktfprovideroktadomaincertificatepropertyprivatekeyinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktadomaincertificatepropertytypeinput) | `string` | *No description.* |
| [`certificate`](#cdktfprovideroktadomaincertificatepropertycertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`certificateChain`](#cdktfprovideroktadomaincertificatepropertycertificatechain)<span title="Required">*</span> | `string` | *No description.* |
| [`domainId`](#cdktfprovideroktadomaincertificatepropertydomainid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadomaincertificatepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`privateKey`](#cdktfprovideroktadomaincertificatepropertyprivatekey)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadomaincertificatepropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `certificateChainInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.certificateChainInput" id="cdktfprovideroktadomaincertificatepropertycertificatechaininput"></a>

```typescript
public readonly certificateChainInput: string;
```

- *Type:* `string`

---

##### `certificateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.certificateInput" id="cdktfprovideroktadomaincertificatepropertycertificateinput"></a>

```typescript
public readonly certificateInput: string;
```

- *Type:* `string`

---

##### `domainIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.domainIdInput" id="cdktfprovideroktadomaincertificatepropertydomainidinput"></a>

```typescript
public readonly domainIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.idInput" id="cdktfprovideroktadomaincertificatepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `privateKeyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.privateKeyInput" id="cdktfprovideroktadomaincertificatepropertyprivatekeyinput"></a>

```typescript
public readonly privateKeyInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.typeInput" id="cdktfprovideroktadomaincertificatepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `certificate`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.certificate" id="cdktfprovideroktadomaincertificatepropertycertificate"></a>

```typescript
public readonly certificate: string;
```

- *Type:* `string`

---

##### `certificateChain`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.certificateChain" id="cdktfprovideroktadomaincertificatepropertycertificatechain"></a>

```typescript
public readonly certificateChain: string;
```

- *Type:* `string`

---

##### `domainId`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.domainId" id="cdktfprovideroktadomaincertificatepropertydomainid"></a>

```typescript
public readonly domainId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.id" id="cdktfprovideroktadomaincertificatepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `privateKey`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.privateKey" id="cdktfprovideroktadomaincertificatepropertyprivatekey"></a>

```typescript
public readonly privateKey: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificate.property.type" id="cdktfprovideroktadomaincertificatepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadomaincertificatepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DomainCertificate.property.tfResourceType" id="cdktfprovideroktadomaincertificatepropertytfresourcetype"></a>

- *Type:* `string`

---

### DomainVerification <a name="@cdktf/provider-okta.DomainVerification" id="cdktfprovideroktadomainverification"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/domain_verification okta_domain_verification}.

#### Initializers <a name="@cdktf/provider-okta.DomainVerification.Initializer" id="cdktfprovideroktadomainverificationinitializer"></a>

```typescript
import { DomainVerification } from '@cdktf/provider-okta'

new DomainVerification(scope: Construct, id: string, config: DomainVerificationConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktadomainverificationparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktadomainverificationparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktadomainverificationparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.DomainVerificationConfig`](#@cdktf/provider-okta.DomainVerificationConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainVerification.parameter.scope" id="cdktfprovideroktadomainverificationparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainVerification.parameter.id" id="cdktfprovideroktadomainverificationparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainVerification.parameter.config" id="cdktfprovideroktadomainverificationparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.DomainVerificationConfig`](#@cdktf/provider-okta.DomainVerificationConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktadomainverificationresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.DomainVerification.resetId" id="cdktfprovideroktadomainverificationresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`domainIdInput`](#cdktfprovideroktadomainverificationpropertydomainidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktadomainverificationpropertyidinput) | `string` | *No description.* |
| [`domainId`](#cdktfprovideroktadomainverificationpropertydomainid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadomainverificationpropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `domainIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerification.property.domainIdInput" id="cdktfprovideroktadomainverificationpropertydomainidinput"></a>

```typescript
public readonly domainIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerification.property.idInput" id="cdktfprovideroktadomainverificationpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `domainId`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainVerification.property.domainId" id="cdktfprovideroktadomainverificationpropertydomainid"></a>

```typescript
public readonly domainId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainVerification.property.id" id="cdktfprovideroktadomainverificationpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktadomainverificationpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.DomainVerification.property.tfResourceType" id="cdktfprovideroktadomainverificationpropertytfresourcetype"></a>

- *Type:* `string`

---

### EmailCustomization <a name="@cdktf/provider-okta.EmailCustomization" id="cdktfprovideroktaemailcustomization"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/email_customization okta_email_customization}.

#### Initializers <a name="@cdktf/provider-okta.EmailCustomization.Initializer" id="cdktfprovideroktaemailcustomizationinitializer"></a>

```typescript
import { EmailCustomization } from '@cdktf/provider-okta'

new EmailCustomization(scope: Construct, id: string, config: EmailCustomizationConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaemailcustomizationparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaemailcustomizationparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaemailcustomizationparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.EmailCustomizationConfig`](#@cdktf/provider-okta.EmailCustomizationConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.parameter.scope" id="cdktfprovideroktaemailcustomizationparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.parameter.id" id="cdktfprovideroktaemailcustomizationparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.parameter.config" id="cdktfprovideroktaemailcustomizationparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.EmailCustomizationConfig`](#@cdktf/provider-okta.EmailCustomizationConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetBody`](#cdktfprovideroktaemailcustomizationresetbody) | *No description.* |
| [`resetIsDefault`](#cdktfprovideroktaemailcustomizationresetisdefault) | *No description.* |
| [`resetLanguage`](#cdktfprovideroktaemailcustomizationresetlanguage) | *No description.* |
| [`resetSubject`](#cdktfprovideroktaemailcustomizationresetsubject) | *No description.* |

---

##### `resetBody` <a name="@cdktf/provider-okta.EmailCustomization.resetBody" id="cdktfprovideroktaemailcustomizationresetbody"></a>

```typescript
public resetBody()
```

##### `resetIsDefault` <a name="@cdktf/provider-okta.EmailCustomization.resetIsDefault" id="cdktfprovideroktaemailcustomizationresetisdefault"></a>

```typescript
public resetIsDefault()
```

##### `resetLanguage` <a name="@cdktf/provider-okta.EmailCustomization.resetLanguage" id="cdktfprovideroktaemailcustomizationresetlanguage"></a>

```typescript
public resetLanguage()
```

##### `resetSubject` <a name="@cdktf/provider-okta.EmailCustomization.resetSubject" id="cdktfprovideroktaemailcustomizationresetsubject"></a>

```typescript
public resetSubject()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaemailcustomizationpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktaemailcustomizationpropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`bodyInput`](#cdktfprovideroktaemailcustomizationpropertybodyinput) | `string` | *No description.* |
| [`brandIdInput`](#cdktfprovideroktaemailcustomizationpropertybrandidinput) | `string` | *No description.* |
| [`isDefaultInput`](#cdktfprovideroktaemailcustomizationpropertyisdefaultinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`languageInput`](#cdktfprovideroktaemailcustomizationpropertylanguageinput) | `string` | *No description.* |
| [`subjectInput`](#cdktfprovideroktaemailcustomizationpropertysubjectinput) | `string` | *No description.* |
| [`templateNameInput`](#cdktfprovideroktaemailcustomizationpropertytemplatenameinput) | `string` | *No description.* |
| [`body`](#cdktfprovideroktaemailcustomizationpropertybody)<span title="Required">*</span> | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktaemailcustomizationpropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`isDefault`](#cdktfprovideroktaemailcustomizationpropertyisdefault)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`language`](#cdktfprovideroktaemailcustomizationpropertylanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`subject`](#cdktfprovideroktaemailcustomizationpropertysubject)<span title="Required">*</span> | `string` | *No description.* |
| [`templateName`](#cdktfprovideroktaemailcustomizationpropertytemplatename)<span title="Required">*</span> | `string` | *No description.* |

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.id" id="cdktfprovideroktaemailcustomizationpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.links" id="cdktfprovideroktaemailcustomizationpropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `bodyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.bodyInput" id="cdktfprovideroktaemailcustomizationpropertybodyinput"></a>

```typescript
public readonly bodyInput: string;
```

- *Type:* `string`

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.brandIdInput" id="cdktfprovideroktaemailcustomizationpropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `isDefaultInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.isDefaultInput" id="cdktfprovideroktaemailcustomizationpropertyisdefaultinput"></a>

```typescript
public readonly isDefaultInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `languageInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.languageInput" id="cdktfprovideroktaemailcustomizationpropertylanguageinput"></a>

```typescript
public readonly languageInput: string;
```

- *Type:* `string`

---

##### `subjectInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.subjectInput" id="cdktfprovideroktaemailcustomizationpropertysubjectinput"></a>

```typescript
public readonly subjectInput: string;
```

- *Type:* `string`

---

##### `templateNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.templateNameInput" id="cdktfprovideroktaemailcustomizationpropertytemplatenameinput"></a>

```typescript
public readonly templateNameInput: string;
```

- *Type:* `string`

---

##### `body`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.body" id="cdktfprovideroktaemailcustomizationpropertybody"></a>

```typescript
public readonly body: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.brandId" id="cdktfprovideroktaemailcustomizationpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `isDefault`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.isDefault" id="cdktfprovideroktaemailcustomizationpropertyisdefault"></a>

```typescript
public readonly isDefault: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `language`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.language" id="cdktfprovideroktaemailcustomizationpropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

---

##### `subject`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.subject" id="cdktfprovideroktaemailcustomizationpropertysubject"></a>

```typescript
public readonly subject: string;
```

- *Type:* `string`

---

##### `templateName`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomization.property.templateName" id="cdktfprovideroktaemailcustomizationpropertytemplatename"></a>

```typescript
public readonly templateName: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaemailcustomizationpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.EmailCustomization.property.tfResourceType" id="cdktfprovideroktaemailcustomizationpropertytfresourcetype"></a>

- *Type:* `string`

---

### EmailSender <a name="@cdktf/provider-okta.EmailSender" id="cdktfprovideroktaemailsender"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/email_sender okta_email_sender}.

#### Initializers <a name="@cdktf/provider-okta.EmailSender.Initializer" id="cdktfprovideroktaemailsenderinitializer"></a>

```typescript
import { EmailSender } from '@cdktf/provider-okta'

new EmailSender(scope: Construct, id: string, config: EmailSenderConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaemailsenderparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaemailsenderparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaemailsenderparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.EmailSenderConfig`](#@cdktf/provider-okta.EmailSenderConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.parameter.scope" id="cdktfprovideroktaemailsenderparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.parameter.id" id="cdktfprovideroktaemailsenderparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.parameter.config" id="cdktfprovideroktaemailsenderparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.EmailSenderConfig`](#@cdktf/provider-okta.EmailSenderConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaemailsenderresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.EmailSender.resetId" id="cdktfprovideroktaemailsenderresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`dnsRecords`](#cdktfprovideroktaemailsenderpropertydnsrecords)<span title="Required">*</span> | [`@cdktf/provider-okta.EmailSenderDnsRecordsList`](#@cdktf/provider-okta.EmailSenderDnsRecordsList) | *No description.* |
| [`status`](#cdktfprovideroktaemailsenderpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`fromAddressInput`](#cdktfprovideroktaemailsenderpropertyfromaddressinput) | `string` | *No description.* |
| [`fromNameInput`](#cdktfprovideroktaemailsenderpropertyfromnameinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaemailsenderpropertyidinput) | `string` | *No description.* |
| [`subdomainInput`](#cdktfprovideroktaemailsenderpropertysubdomaininput) | `string` | *No description.* |
| [`fromAddress`](#cdktfprovideroktaemailsenderpropertyfromaddress)<span title="Required">*</span> | `string` | *No description.* |
| [`fromName`](#cdktfprovideroktaemailsenderpropertyfromname)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaemailsenderpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`subdomain`](#cdktfprovideroktaemailsenderpropertysubdomain)<span title="Required">*</span> | `string` | *No description.* |

---

##### `dnsRecords`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.property.dnsRecords" id="cdktfprovideroktaemailsenderpropertydnsrecords"></a>

```typescript
public readonly dnsRecords: EmailSenderDnsRecordsList;
```

- *Type:* [`@cdktf/provider-okta.EmailSenderDnsRecordsList`](#@cdktf/provider-okta.EmailSenderDnsRecordsList)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.property.status" id="cdktfprovideroktaemailsenderpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `fromAddressInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSender.property.fromAddressInput" id="cdktfprovideroktaemailsenderpropertyfromaddressinput"></a>

```typescript
public readonly fromAddressInput: string;
```

- *Type:* `string`

---

##### `fromNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSender.property.fromNameInput" id="cdktfprovideroktaemailsenderpropertyfromnameinput"></a>

```typescript
public readonly fromNameInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSender.property.idInput" id="cdktfprovideroktaemailsenderpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `subdomainInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSender.property.subdomainInput" id="cdktfprovideroktaemailsenderpropertysubdomaininput"></a>

```typescript
public readonly subdomainInput: string;
```

- *Type:* `string`

---

##### `fromAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.property.fromAddress" id="cdktfprovideroktaemailsenderpropertyfromaddress"></a>

```typescript
public readonly fromAddress: string;
```

- *Type:* `string`

---

##### `fromName`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.property.fromName" id="cdktfprovideroktaemailsenderpropertyfromname"></a>

```typescript
public readonly fromName: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.property.id" id="cdktfprovideroktaemailsenderpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `subdomain`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSender.property.subdomain" id="cdktfprovideroktaemailsenderpropertysubdomain"></a>

```typescript
public readonly subdomain: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaemailsenderpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.EmailSender.property.tfResourceType" id="cdktfprovideroktaemailsenderpropertytfresourcetype"></a>

- *Type:* `string`

---

### EmailSenderVerification <a name="@cdktf/provider-okta.EmailSenderVerification" id="cdktfprovideroktaemailsenderverification"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/email_sender_verification okta_email_sender_verification}.

#### Initializers <a name="@cdktf/provider-okta.EmailSenderVerification.Initializer" id="cdktfprovideroktaemailsenderverificationinitializer"></a>

```typescript
import { EmailSenderVerification } from '@cdktf/provider-okta'

new EmailSenderVerification(scope: Construct, id: string, config: EmailSenderVerificationConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaemailsenderverificationparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaemailsenderverificationparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaemailsenderverificationparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.EmailSenderVerificationConfig`](#@cdktf/provider-okta.EmailSenderVerificationConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderVerification.parameter.scope" id="cdktfprovideroktaemailsenderverificationparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderVerification.parameter.id" id="cdktfprovideroktaemailsenderverificationparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderVerification.parameter.config" id="cdktfprovideroktaemailsenderverificationparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.EmailSenderVerificationConfig`](#@cdktf/provider-okta.EmailSenderVerificationConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaemailsenderverificationresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.EmailSenderVerification.resetId" id="cdktfprovideroktaemailsenderverificationresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktaemailsenderverificationpropertyidinput) | `string` | *No description.* |
| [`senderIdInput`](#cdktfprovideroktaemailsenderverificationpropertysenderidinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaemailsenderverificationpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`senderId`](#cdktfprovideroktaemailsenderverificationpropertysenderid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerification.property.idInput" id="cdktfprovideroktaemailsenderverificationpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `senderIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerification.property.senderIdInput" id="cdktfprovideroktaemailsenderverificationpropertysenderidinput"></a>

```typescript
public readonly senderIdInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderVerification.property.id" id="cdktfprovideroktaemailsenderverificationpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `senderId`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderVerification.property.senderId" id="cdktfprovideroktaemailsenderverificationpropertysenderid"></a>

```typescript
public readonly senderId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaemailsenderverificationpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.EmailSenderVerification.property.tfResourceType" id="cdktfprovideroktaemailsenderverificationpropertytfresourcetype"></a>

- *Type:* `string`

---

### EventHook <a name="@cdktf/provider-okta.EventHook" id="cdktfprovideroktaeventhook"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/event_hook okta_event_hook}.

#### Initializers <a name="@cdktf/provider-okta.EventHook.Initializer" id="cdktfprovideroktaeventhookinitializer"></a>

```typescript
import { EventHook } from '@cdktf/provider-okta'

new EventHook(scope: Construct, id: string, config: EventHookConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaeventhookparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaeventhookparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaeventhookparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.EventHookConfig`](#@cdktf/provider-okta.EventHookConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.parameter.scope" id="cdktfprovideroktaeventhookparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.parameter.id" id="cdktfprovideroktaeventhookparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.parameter.config" id="cdktfprovideroktaeventhookparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.EventHookConfig`](#@cdktf/provider-okta.EventHookConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putHeaders`](#cdktfprovideroktaeventhookputheaders) | *No description.* |
| [`resetAuth`](#cdktfprovideroktaeventhookresetauth) | *No description.* |
| [`resetHeaders`](#cdktfprovideroktaeventhookresetheaders) | *No description.* |
| [`resetId`](#cdktfprovideroktaeventhookresetid) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaeventhookresetstatus) | *No description.* |

---

##### `putHeaders` <a name="@cdktf/provider-okta.EventHook.putHeaders" id="cdktfprovideroktaeventhookputheaders"></a>

```typescript
public putHeaders(value: IResolvable | EventHookHeaders[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.parameter.value" id="cdktfprovideroktaeventhookparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)[]

---

##### `resetAuth` <a name="@cdktf/provider-okta.EventHook.resetAuth" id="cdktfprovideroktaeventhookresetauth"></a>

```typescript
public resetAuth()
```

##### `resetHeaders` <a name="@cdktf/provider-okta.EventHook.resetHeaders" id="cdktfprovideroktaeventhookresetheaders"></a>

```typescript
public resetHeaders()
```

##### `resetId` <a name="@cdktf/provider-okta.EventHook.resetId" id="cdktfprovideroktaeventhookresetid"></a>

```typescript
public resetId()
```

##### `resetStatus` <a name="@cdktf/provider-okta.EventHook.resetStatus" id="cdktfprovideroktaeventhookresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`headers`](#cdktfprovideroktaeventhookpropertyheaders)<span title="Required">*</span> | [`@cdktf/provider-okta.EventHookHeadersList`](#@cdktf/provider-okta.EventHookHeadersList) | *No description.* |
| [`authInput`](#cdktfprovideroktaeventhookpropertyauthinput) | {[ key: string ]: `string`} | *No description.* |
| [`channelInput`](#cdktfprovideroktaeventhookpropertychannelinput) | {[ key: string ]: `string`} | *No description.* |
| [`eventsInput`](#cdktfprovideroktaeventhookpropertyeventsinput) | `string`[] | *No description.* |
| [`headersInput`](#cdktfprovideroktaeventhookpropertyheadersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)[] | *No description.* |
| [`idInput`](#cdktfprovideroktaeventhookpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaeventhookpropertynameinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktaeventhookpropertystatusinput) | `string` | *No description.* |
| [`auth`](#cdktfprovideroktaeventhookpropertyauth)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`channel`](#cdktfprovideroktaeventhookpropertychannel)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`events`](#cdktfprovideroktaeventhookpropertyevents)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaeventhookpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaeventhookpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaeventhookpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `headers`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.property.headers" id="cdktfprovideroktaeventhookpropertyheaders"></a>

```typescript
public readonly headers: EventHookHeadersList;
```

- *Type:* [`@cdktf/provider-okta.EventHookHeadersList`](#@cdktf/provider-okta.EventHookHeadersList)

---

##### `authInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHook.property.authInput" id="cdktfprovideroktaeventhookpropertyauthinput"></a>

```typescript
public readonly authInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `channelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHook.property.channelInput" id="cdktfprovideroktaeventhookpropertychannelinput"></a>

```typescript
public readonly channelInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `eventsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHook.property.eventsInput" id="cdktfprovideroktaeventhookpropertyeventsinput"></a>

```typescript
public readonly eventsInput: string[];
```

- *Type:* `string`[]

---

##### `headersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHook.property.headersInput" id="cdktfprovideroktaeventhookpropertyheadersinput"></a>

```typescript
public readonly headersInput: IResolvable | EventHookHeaders[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHook.property.idInput" id="cdktfprovideroktaeventhookpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHook.property.nameInput" id="cdktfprovideroktaeventhookpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHook.property.statusInput" id="cdktfprovideroktaeventhookpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `auth`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.property.auth" id="cdktfprovideroktaeventhookpropertyauth"></a>

```typescript
public readonly auth: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `channel`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.property.channel" id="cdktfprovideroktaeventhookpropertychannel"></a>

```typescript
public readonly channel: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `events`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.property.events" id="cdktfprovideroktaeventhookpropertyevents"></a>

```typescript
public readonly events: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.property.id" id="cdktfprovideroktaeventhookpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.property.name" id="cdktfprovideroktaeventhookpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHook.property.status" id="cdktfprovideroktaeventhookpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaeventhookpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.EventHook.property.tfResourceType" id="cdktfprovideroktaeventhookpropertytfresourcetype"></a>

- *Type:* `string`

---

### EventHookVerification <a name="@cdktf/provider-okta.EventHookVerification" id="cdktfprovideroktaeventhookverification"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/event_hook_verification okta_event_hook_verification}.

#### Initializers <a name="@cdktf/provider-okta.EventHookVerification.Initializer" id="cdktfprovideroktaeventhookverificationinitializer"></a>

```typescript
import { EventHookVerification } from '@cdktf/provider-okta'

new EventHookVerification(scope: Construct, id: string, config: EventHookVerificationConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaeventhookverificationparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaeventhookverificationparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaeventhookverificationparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.EventHookVerificationConfig`](#@cdktf/provider-okta.EventHookVerificationConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookVerification.parameter.scope" id="cdktfprovideroktaeventhookverificationparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookVerification.parameter.id" id="cdktfprovideroktaeventhookverificationparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookVerification.parameter.config" id="cdktfprovideroktaeventhookverificationparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.EventHookVerificationConfig`](#@cdktf/provider-okta.EventHookVerificationConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaeventhookverificationresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.EventHookVerification.resetId" id="cdktfprovideroktaeventhookverificationresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`eventHookIdInput`](#cdktfprovideroktaeventhookverificationpropertyeventhookidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaeventhookverificationpropertyidinput) | `string` | *No description.* |
| [`eventHookId`](#cdktfprovideroktaeventhookverificationpropertyeventhookid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaeventhookverificationpropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `eventHookIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerification.property.eventHookIdInput" id="cdktfprovideroktaeventhookverificationpropertyeventhookidinput"></a>

```typescript
public readonly eventHookIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerification.property.idInput" id="cdktfprovideroktaeventhookverificationpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `eventHookId`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookVerification.property.eventHookId" id="cdktfprovideroktaeventhookverificationpropertyeventhookid"></a>

```typescript
public readonly eventHookId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookVerification.property.id" id="cdktfprovideroktaeventhookverificationpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaeventhookverificationpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.EventHookVerification.property.tfResourceType" id="cdktfprovideroktaeventhookverificationpropertytfresourcetype"></a>

- *Type:* `string`

---

### Factor <a name="@cdktf/provider-okta.Factor" id="cdktfprovideroktafactor"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/factor okta_factor}.

#### Initializers <a name="@cdktf/provider-okta.Factor.Initializer" id="cdktfprovideroktafactorinitializer"></a>

```typescript
import { Factor } from '@cdktf/provider-okta'

new Factor(scope: Construct, id: string, config: FactorConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktafactorparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktafactorparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktafactorparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.FactorConfig`](#@cdktf/provider-okta.FactorConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Factor.parameter.scope" id="cdktfprovideroktafactorparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Factor.parameter.id" id="cdktfprovideroktafactorparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Factor.parameter.config" id="cdktfprovideroktafactorparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.FactorConfig`](#@cdktf/provider-okta.FactorConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetActive`](#cdktfprovideroktafactorresetactive) | *No description.* |
| [`resetId`](#cdktfprovideroktafactorresetid) | *No description.* |

---

##### `resetActive` <a name="@cdktf/provider-okta.Factor.resetActive" id="cdktfprovideroktafactorresetactive"></a>

```typescript
public resetActive()
```

##### `resetId` <a name="@cdktf/provider-okta.Factor.resetId" id="cdktfprovideroktafactorresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`activeInput`](#cdktfprovideroktafactorpropertyactiveinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktafactorpropertyidinput) | `string` | *No description.* |
| [`providerIdInput`](#cdktfprovideroktafactorpropertyprovideridinput) | `string` | *No description.* |
| [`active`](#cdktfprovideroktafactorpropertyactive)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktafactorpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`providerId`](#cdktfprovideroktafactorpropertyproviderid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `activeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Factor.property.activeInput" id="cdktfprovideroktafactorpropertyactiveinput"></a>

```typescript
public readonly activeInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Factor.property.idInput" id="cdktfprovideroktafactorpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `providerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Factor.property.providerIdInput" id="cdktfprovideroktafactorpropertyprovideridinput"></a>

```typescript
public readonly providerIdInput: string;
```

- *Type:* `string`

---

##### `active`<sup>Required</sup> <a name="@cdktf/provider-okta.Factor.property.active" id="cdktfprovideroktafactorpropertyactive"></a>

```typescript
public readonly active: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Factor.property.id" id="cdktfprovideroktafactorpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `providerId`<sup>Required</sup> <a name="@cdktf/provider-okta.Factor.property.providerId" id="cdktfprovideroktafactorpropertyproviderid"></a>

```typescript
public readonly providerId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktafactorpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Factor.property.tfResourceType" id="cdktfprovideroktafactorpropertytfresourcetype"></a>

- *Type:* `string`

---

### FactorTotp <a name="@cdktf/provider-okta.FactorTotp" id="cdktfprovideroktafactortotp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/factor_totp okta_factor_totp}.

#### Initializers <a name="@cdktf/provider-okta.FactorTotp.Initializer" id="cdktfprovideroktafactortotpinitializer"></a>

```typescript
import { FactorTotp } from '@cdktf/provider-okta'

new FactorTotp(scope: Construct, id: string, config: FactorTotpConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktafactortotpparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktafactortotpparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktafactortotpparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.FactorTotpConfig`](#@cdktf/provider-okta.FactorTotpConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.parameter.scope" id="cdktfprovideroktafactortotpparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.parameter.id" id="cdktfprovideroktafactortotpparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.parameter.config" id="cdktfprovideroktafactortotpparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.FactorTotpConfig`](#@cdktf/provider-okta.FactorTotpConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetClockDriftInterval`](#cdktfprovideroktafactortotpresetclockdriftinterval) | *No description.* |
| [`resetHmacAlgorithm`](#cdktfprovideroktafactortotpresethmacalgorithm) | *No description.* |
| [`resetId`](#cdktfprovideroktafactortotpresetid) | *No description.* |
| [`resetOtpLength`](#cdktfprovideroktafactortotpresetotplength) | *No description.* |
| [`resetSharedSecretEncoding`](#cdktfprovideroktafactortotpresetsharedsecretencoding) | *No description.* |
| [`resetTimeStep`](#cdktfprovideroktafactortotpresettimestep) | *No description.* |

---

##### `resetClockDriftInterval` <a name="@cdktf/provider-okta.FactorTotp.resetClockDriftInterval" id="cdktfprovideroktafactortotpresetclockdriftinterval"></a>

```typescript
public resetClockDriftInterval()
```

##### `resetHmacAlgorithm` <a name="@cdktf/provider-okta.FactorTotp.resetHmacAlgorithm" id="cdktfprovideroktafactortotpresethmacalgorithm"></a>

```typescript
public resetHmacAlgorithm()
```

##### `resetId` <a name="@cdktf/provider-okta.FactorTotp.resetId" id="cdktfprovideroktafactortotpresetid"></a>

```typescript
public resetId()
```

##### `resetOtpLength` <a name="@cdktf/provider-okta.FactorTotp.resetOtpLength" id="cdktfprovideroktafactortotpresetotplength"></a>

```typescript
public resetOtpLength()
```

##### `resetSharedSecretEncoding` <a name="@cdktf/provider-okta.FactorTotp.resetSharedSecretEncoding" id="cdktfprovideroktafactortotpresetsharedsecretencoding"></a>

```typescript
public resetSharedSecretEncoding()
```

##### `resetTimeStep` <a name="@cdktf/provider-okta.FactorTotp.resetTimeStep" id="cdktfprovideroktafactortotpresettimestep"></a>

```typescript
public resetTimeStep()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`clockDriftIntervalInput`](#cdktfprovideroktafactortotppropertyclockdriftintervalinput) | `number` | *No description.* |
| [`hmacAlgorithmInput`](#cdktfprovideroktafactortotppropertyhmacalgorithminput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktafactortotppropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktafactortotppropertynameinput) | `string` | *No description.* |
| [`otpLengthInput`](#cdktfprovideroktafactortotppropertyotplengthinput) | `number` | *No description.* |
| [`sharedSecretEncodingInput`](#cdktfprovideroktafactortotppropertysharedsecretencodinginput) | `string` | *No description.* |
| [`timeStepInput`](#cdktfprovideroktafactortotppropertytimestepinput) | `number` | *No description.* |
| [`clockDriftInterval`](#cdktfprovideroktafactortotppropertyclockdriftinterval)<span title="Required">*</span> | `number` | *No description.* |
| [`hmacAlgorithm`](#cdktfprovideroktafactortotppropertyhmacalgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktafactortotppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktafactortotppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`otpLength`](#cdktfprovideroktafactortotppropertyotplength)<span title="Required">*</span> | `number` | *No description.* |
| [`sharedSecretEncoding`](#cdktfprovideroktafactortotppropertysharedsecretencoding)<span title="Required">*</span> | `string` | *No description.* |
| [`timeStep`](#cdktfprovideroktafactortotppropertytimestep)<span title="Required">*</span> | `number` | *No description.* |

---

##### `clockDriftIntervalInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotp.property.clockDriftIntervalInput" id="cdktfprovideroktafactortotppropertyclockdriftintervalinput"></a>

```typescript
public readonly clockDriftIntervalInput: number;
```

- *Type:* `number`

---

##### `hmacAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotp.property.hmacAlgorithmInput" id="cdktfprovideroktafactortotppropertyhmacalgorithminput"></a>

```typescript
public readonly hmacAlgorithmInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotp.property.idInput" id="cdktfprovideroktafactortotppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotp.property.nameInput" id="cdktfprovideroktafactortotppropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `otpLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotp.property.otpLengthInput" id="cdktfprovideroktafactortotppropertyotplengthinput"></a>

```typescript
public readonly otpLengthInput: number;
```

- *Type:* `number`

---

##### `sharedSecretEncodingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotp.property.sharedSecretEncodingInput" id="cdktfprovideroktafactortotppropertysharedsecretencodinginput"></a>

```typescript
public readonly sharedSecretEncodingInput: string;
```

- *Type:* `string`

---

##### `timeStepInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotp.property.timeStepInput" id="cdktfprovideroktafactortotppropertytimestepinput"></a>

```typescript
public readonly timeStepInput: number;
```

- *Type:* `number`

---

##### `clockDriftInterval`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.property.clockDriftInterval" id="cdktfprovideroktafactortotppropertyclockdriftinterval"></a>

```typescript
public readonly clockDriftInterval: number;
```

- *Type:* `number`

---

##### `hmacAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.property.hmacAlgorithm" id="cdktfprovideroktafactortotppropertyhmacalgorithm"></a>

```typescript
public readonly hmacAlgorithm: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.property.id" id="cdktfprovideroktafactortotppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.property.name" id="cdktfprovideroktafactortotppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `otpLength`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.property.otpLength" id="cdktfprovideroktafactortotppropertyotplength"></a>

```typescript
public readonly otpLength: number;
```

- *Type:* `number`

---

##### `sharedSecretEncoding`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.property.sharedSecretEncoding" id="cdktfprovideroktafactortotppropertysharedsecretencoding"></a>

```typescript
public readonly sharedSecretEncoding: string;
```

- *Type:* `string`

---

##### `timeStep`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotp.property.timeStep" id="cdktfprovideroktafactortotppropertytimestep"></a>

```typescript
public readonly timeStep: number;
```

- *Type:* `number`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktafactortotppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.FactorTotp.property.tfResourceType" id="cdktfprovideroktafactortotppropertytfresourcetype"></a>

- *Type:* `string`

---

### Group <a name="@cdktf/provider-okta.Group" id="cdktfprovideroktagroup"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/group okta_group}.

#### Initializers <a name="@cdktf/provider-okta.Group.Initializer" id="cdktfprovideroktagroupinitializer"></a>

```typescript
import { Group } from '@cdktf/provider-okta'

new Group(scope: Construct, id: string, config: GroupConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktagroupparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktagroupparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktagroupparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupConfig`](#@cdktf/provider-okta.GroupConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.parameter.scope" id="cdktfprovideroktagroupparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.parameter.id" id="cdktfprovideroktagroupparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.parameter.config" id="cdktfprovideroktagroupparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.GroupConfig`](#@cdktf/provider-okta.GroupConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetCustomProfileAttributes`](#cdktfprovideroktagroupresetcustomprofileattributes) | *No description.* |
| [`resetDescription`](#cdktfprovideroktagroupresetdescription) | *No description.* |
| [`resetId`](#cdktfprovideroktagroupresetid) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktagroupresetskipusers) | *No description.* |
| [`resetUsers`](#cdktfprovideroktagroupresetusers) | *No description.* |

---

##### `resetCustomProfileAttributes` <a name="@cdktf/provider-okta.Group.resetCustomProfileAttributes" id="cdktfprovideroktagroupresetcustomprofileattributes"></a>

```typescript
public resetCustomProfileAttributes()
```

##### `resetDescription` <a name="@cdktf/provider-okta.Group.resetDescription" id="cdktfprovideroktagroupresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetId` <a name="@cdktf/provider-okta.Group.resetId" id="cdktfprovideroktagroupresetid"></a>

```typescript
public resetId()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.Group.resetSkipUsers" id="cdktfprovideroktagroupresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetUsers` <a name="@cdktf/provider-okta.Group.resetUsers" id="cdktfprovideroktagroupresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`customProfileAttributesInput`](#cdktfprovideroktagrouppropertycustomprofileattributesinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktagrouppropertydescriptioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktagrouppropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktagrouppropertynameinput) | `string` | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktagrouppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`usersInput`](#cdktfprovideroktagrouppropertyusersinput) | `string`[] | *No description.* |
| [`customProfileAttributes`](#cdktfprovideroktagrouppropertycustomprofileattributes)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktagrouppropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktagrouppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktagrouppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`skipUsers`](#cdktfprovideroktagrouppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`users`](#cdktfprovideroktagrouppropertyusers)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `customProfileAttributesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Group.property.customProfileAttributesInput" id="cdktfprovideroktagrouppropertycustomprofileattributesinput"></a>

```typescript
public readonly customProfileAttributesInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Group.property.descriptionInput" id="cdktfprovideroktagrouppropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Group.property.idInput" id="cdktfprovideroktagrouppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Group.property.nameInput" id="cdktfprovideroktagrouppropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Group.property.skipUsersInput" id="cdktfprovideroktagrouppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Group.property.usersInput" id="cdktfprovideroktagrouppropertyusersinput"></a>

```typescript
public readonly usersInput: string[];
```

- *Type:* `string`[]

---

##### `customProfileAttributes`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.property.customProfileAttributes" id="cdktfprovideroktagrouppropertycustomprofileattributes"></a>

```typescript
public readonly customProfileAttributes: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.property.description" id="cdktfprovideroktagrouppropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.property.id" id="cdktfprovideroktagrouppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.property.name" id="cdktfprovideroktagrouppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.property.skipUsers" id="cdktfprovideroktagrouppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.Group.property.users" id="cdktfprovideroktagrouppropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktagrouppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Group.property.tfResourceType" id="cdktfprovideroktagrouppropertytfresourcetype"></a>

- *Type:* `string`

---

### GroupMembership <a name="@cdktf/provider-okta.GroupMembership" id="cdktfprovideroktagroupmembership"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/group_membership okta_group_membership}.

#### Initializers <a name="@cdktf/provider-okta.GroupMembership.Initializer" id="cdktfprovideroktagroupmembershipinitializer"></a>

```typescript
import { GroupMembership } from '@cdktf/provider-okta'

new GroupMembership(scope: Construct, id: string, config: GroupMembershipConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktagroupmembershipparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktagroupmembershipparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktagroupmembershipparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupMembershipConfig`](#@cdktf/provider-okta.GroupMembershipConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembership.parameter.scope" id="cdktfprovideroktagroupmembershipparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembership.parameter.id" id="cdktfprovideroktagroupmembershipparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembership.parameter.config" id="cdktfprovideroktagroupmembershipparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.GroupMembershipConfig`](#@cdktf/provider-okta.GroupMembershipConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktagroupmembershipresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.GroupMembership.resetId" id="cdktfprovideroktagroupmembershipresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`groupIdInput`](#cdktfprovideroktagroupmembershippropertygroupidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktagroupmembershippropertyidinput) | `string` | *No description.* |
| [`userIdInput`](#cdktfprovideroktagroupmembershippropertyuseridinput) | `string` | *No description.* |
| [`groupId`](#cdktfprovideroktagroupmembershippropertygroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktagroupmembershippropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`userId`](#cdktfprovideroktagroupmembershippropertyuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `groupIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembership.property.groupIdInput" id="cdktfprovideroktagroupmembershippropertygroupidinput"></a>

```typescript
public readonly groupIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembership.property.idInput" id="cdktfprovideroktagroupmembershippropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembership.property.userIdInput" id="cdktfprovideroktagroupmembershippropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembership.property.groupId" id="cdktfprovideroktagroupmembershippropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembership.property.id" id="cdktfprovideroktagroupmembershippropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembership.property.userId" id="cdktfprovideroktagroupmembershippropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktagroupmembershippropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.GroupMembership.property.tfResourceType" id="cdktfprovideroktagroupmembershippropertytfresourcetype"></a>

- *Type:* `string`

---

### GroupMemberships <a name="@cdktf/provider-okta.GroupMemberships" id="cdktfprovideroktagroupmemberships"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/group_memberships okta_group_memberships}.

#### Initializers <a name="@cdktf/provider-okta.GroupMemberships.Initializer" id="cdktfprovideroktagroupmembershipsinitializer"></a>

```typescript
import { GroupMemberships } from '@cdktf/provider-okta'

new GroupMemberships(scope: Construct, id: string, config: GroupMembershipsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktagroupmembershipsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktagroupmembershipsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktagroupmembershipsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupMembershipsConfig`](#@cdktf/provider-okta.GroupMembershipsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMemberships.parameter.scope" id="cdktfprovideroktagroupmembershipsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMemberships.parameter.id" id="cdktfprovideroktagroupmembershipsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMemberships.parameter.config" id="cdktfprovideroktagroupmembershipsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.GroupMembershipsConfig`](#@cdktf/provider-okta.GroupMembershipsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktagroupmembershipsresetid) | *No description.* |
| [`resetTrackAllUsers`](#cdktfprovideroktagroupmembershipsresettrackallusers) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.GroupMemberships.resetId" id="cdktfprovideroktagroupmembershipsresetid"></a>

```typescript
public resetId()
```

##### `resetTrackAllUsers` <a name="@cdktf/provider-okta.GroupMemberships.resetTrackAllUsers" id="cdktfprovideroktagroupmembershipsresettrackallusers"></a>

```typescript
public resetTrackAllUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`groupIdInput`](#cdktfprovideroktagroupmembershipspropertygroupidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktagroupmembershipspropertyidinput) | `string` | *No description.* |
| [`trackAllUsersInput`](#cdktfprovideroktagroupmembershipspropertytrackallusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`usersInput`](#cdktfprovideroktagroupmembershipspropertyusersinput) | `string`[] | *No description.* |
| [`groupId`](#cdktfprovideroktagroupmembershipspropertygroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktagroupmembershipspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`trackAllUsers`](#cdktfprovideroktagroupmembershipspropertytrackallusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`users`](#cdktfprovideroktagroupmembershipspropertyusers)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `groupIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.groupIdInput" id="cdktfprovideroktagroupmembershipspropertygroupidinput"></a>

```typescript
public readonly groupIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.idInput" id="cdktfprovideroktagroupmembershipspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `trackAllUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.trackAllUsersInput" id="cdktfprovideroktagroupmembershipspropertytrackallusersinput"></a>

```typescript
public readonly trackAllUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.usersInput" id="cdktfprovideroktagroupmembershipspropertyusersinput"></a>

```typescript
public readonly usersInput: string[];
```

- *Type:* `string`[]

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.groupId" id="cdktfprovideroktagroupmembershipspropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.id" id="cdktfprovideroktagroupmembershipspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `trackAllUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.trackAllUsers" id="cdktfprovideroktagroupmembershipspropertytrackallusers"></a>

```typescript
public readonly trackAllUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMemberships.property.users" id="cdktfprovideroktagroupmembershipspropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktagroupmembershipspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.GroupMemberships.property.tfResourceType" id="cdktfprovideroktagroupmembershipspropertytfresourcetype"></a>

- *Type:* `string`

---

### GroupRole <a name="@cdktf/provider-okta.GroupRole" id="cdktfprovideroktagrouprole"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/group_role okta_group_role}.

#### Initializers <a name="@cdktf/provider-okta.GroupRole.Initializer" id="cdktfprovideroktagrouproleinitializer"></a>

```typescript
import { GroupRole } from '@cdktf/provider-okta'

new GroupRole(scope: Construct, id: string, config: GroupRoleConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktagrouproleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktagrouproleparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktagrouproleparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupRoleConfig`](#@cdktf/provider-okta.GroupRoleConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.parameter.scope" id="cdktfprovideroktagrouproleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.parameter.id" id="cdktfprovideroktagrouproleparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.parameter.config" id="cdktfprovideroktagrouproleparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.GroupRoleConfig`](#@cdktf/provider-okta.GroupRoleConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDisableNotifications`](#cdktfprovideroktagrouproleresetdisablenotifications) | *No description.* |
| [`resetId`](#cdktfprovideroktagrouproleresetid) | *No description.* |
| [`resetTargetAppList`](#cdktfprovideroktagrouproleresettargetapplist) | *No description.* |
| [`resetTargetGroupList`](#cdktfprovideroktagrouproleresettargetgrouplist) | *No description.* |

---

##### `resetDisableNotifications` <a name="@cdktf/provider-okta.GroupRole.resetDisableNotifications" id="cdktfprovideroktagrouproleresetdisablenotifications"></a>

```typescript
public resetDisableNotifications()
```

##### `resetId` <a name="@cdktf/provider-okta.GroupRole.resetId" id="cdktfprovideroktagrouproleresetid"></a>

```typescript
public resetId()
```

##### `resetTargetAppList` <a name="@cdktf/provider-okta.GroupRole.resetTargetAppList" id="cdktfprovideroktagrouproleresettargetapplist"></a>

```typescript
public resetTargetAppList()
```

##### `resetTargetGroupList` <a name="@cdktf/provider-okta.GroupRole.resetTargetGroupList" id="cdktfprovideroktagrouproleresettargetgrouplist"></a>

```typescript
public resetTargetGroupList()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`disableNotificationsInput`](#cdktfprovideroktagrouprolepropertydisablenotificationsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`groupIdInput`](#cdktfprovideroktagrouprolepropertygroupidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktagrouprolepropertyidinput) | `string` | *No description.* |
| [`roleTypeInput`](#cdktfprovideroktagrouprolepropertyroletypeinput) | `string` | *No description.* |
| [`targetAppListInput`](#cdktfprovideroktagrouprolepropertytargetapplistinput) | `string`[] | *No description.* |
| [`targetGroupListInput`](#cdktfprovideroktagrouprolepropertytargetgrouplistinput) | `string`[] | *No description.* |
| [`disableNotifications`](#cdktfprovideroktagrouprolepropertydisablenotifications)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`groupId`](#cdktfprovideroktagrouprolepropertygroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktagrouprolepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`roleType`](#cdktfprovideroktagrouprolepropertyroletype)<span title="Required">*</span> | `string` | *No description.* |
| [`targetAppList`](#cdktfprovideroktagrouprolepropertytargetapplist)<span title="Required">*</span> | `string`[] | *No description.* |
| [`targetGroupList`](#cdktfprovideroktagrouprolepropertytargetgrouplist)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `disableNotificationsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRole.property.disableNotificationsInput" id="cdktfprovideroktagrouprolepropertydisablenotificationsinput"></a>

```typescript
public readonly disableNotificationsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `groupIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRole.property.groupIdInput" id="cdktfprovideroktagrouprolepropertygroupidinput"></a>

```typescript
public readonly groupIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRole.property.idInput" id="cdktfprovideroktagrouprolepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `roleTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRole.property.roleTypeInput" id="cdktfprovideroktagrouprolepropertyroletypeinput"></a>

```typescript
public readonly roleTypeInput: string;
```

- *Type:* `string`

---

##### `targetAppListInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRole.property.targetAppListInput" id="cdktfprovideroktagrouprolepropertytargetapplistinput"></a>

```typescript
public readonly targetAppListInput: string[];
```

- *Type:* `string`[]

---

##### `targetGroupListInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRole.property.targetGroupListInput" id="cdktfprovideroktagrouprolepropertytargetgrouplistinput"></a>

```typescript
public readonly targetGroupListInput: string[];
```

- *Type:* `string`[]

---

##### `disableNotifications`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.property.disableNotifications" id="cdktfprovideroktagrouprolepropertydisablenotifications"></a>

```typescript
public readonly disableNotifications: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.property.groupId" id="cdktfprovideroktagrouprolepropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.property.id" id="cdktfprovideroktagrouprolepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.property.roleType" id="cdktfprovideroktagrouprolepropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

---

##### `targetAppList`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.property.targetAppList" id="cdktfprovideroktagrouprolepropertytargetapplist"></a>

```typescript
public readonly targetAppList: string[];
```

- *Type:* `string`[]

---

##### `targetGroupList`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRole.property.targetGroupList" id="cdktfprovideroktagrouprolepropertytargetgrouplist"></a>

```typescript
public readonly targetGroupList: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktagrouprolepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.GroupRole.property.tfResourceType" id="cdktfprovideroktagrouprolepropertytfresourcetype"></a>

- *Type:* `string`

---

### GroupRoles <a name="@cdktf/provider-okta.GroupRoles" id="cdktfprovideroktagrouproles"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/group_roles okta_group_roles}.

#### Initializers <a name="@cdktf/provider-okta.GroupRoles.Initializer" id="cdktfprovideroktagrouprolesinitializer"></a>

```typescript
import { GroupRoles } from '@cdktf/provider-okta'

new GroupRoles(scope: Construct, id: string, config: GroupRolesConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktagrouprolesparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktagrouprolesparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktagrouprolesparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupRolesConfig`](#@cdktf/provider-okta.GroupRolesConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoles.parameter.scope" id="cdktfprovideroktagrouprolesparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoles.parameter.id" id="cdktfprovideroktagrouprolesparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoles.parameter.config" id="cdktfprovideroktagrouprolesparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.GroupRolesConfig`](#@cdktf/provider-okta.GroupRolesConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAdminRoles`](#cdktfprovideroktagrouprolesresetadminroles) | *No description.* |
| [`resetId`](#cdktfprovideroktagrouprolesresetid) | *No description.* |

---

##### `resetAdminRoles` <a name="@cdktf/provider-okta.GroupRoles.resetAdminRoles" id="cdktfprovideroktagrouprolesresetadminroles"></a>

```typescript
public resetAdminRoles()
```

##### `resetId` <a name="@cdktf/provider-okta.GroupRoles.resetId" id="cdktfprovideroktagrouprolesresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`adminRolesInput`](#cdktfprovideroktagrouprolespropertyadminrolesinput) | `string`[] | *No description.* |
| [`groupIdInput`](#cdktfprovideroktagrouprolespropertygroupidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktagrouprolespropertyidinput) | `string` | *No description.* |
| [`adminRoles`](#cdktfprovideroktagrouprolespropertyadminroles)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupId`](#cdktfprovideroktagrouprolespropertygroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktagrouprolespropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `adminRolesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoles.property.adminRolesInput" id="cdktfprovideroktagrouprolespropertyadminrolesinput"></a>

```typescript
public readonly adminRolesInput: string[];
```

- *Type:* `string`[]

---

##### `groupIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoles.property.groupIdInput" id="cdktfprovideroktagrouprolespropertygroupidinput"></a>

```typescript
public readonly groupIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoles.property.idInput" id="cdktfprovideroktagrouprolespropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `adminRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoles.property.adminRoles" id="cdktfprovideroktagrouprolespropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoles.property.groupId" id="cdktfprovideroktagrouprolespropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoles.property.id" id="cdktfprovideroktagrouprolespropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktagrouprolespropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.GroupRoles.property.tfResourceType" id="cdktfprovideroktagrouprolespropertytfresourcetype"></a>

- *Type:* `string`

---

### GroupRule <a name="@cdktf/provider-okta.GroupRule" id="cdktfprovideroktagrouprule"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/group_rule okta_group_rule}.

#### Initializers <a name="@cdktf/provider-okta.GroupRule.Initializer" id="cdktfprovideroktagroupruleinitializer"></a>

```typescript
import { GroupRule } from '@cdktf/provider-okta'

new GroupRule(scope: Construct, id: string, config: GroupRuleConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktagroupruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktagroupruleparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktagroupruleparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupRuleConfig`](#@cdktf/provider-okta.GroupRuleConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.parameter.scope" id="cdktfprovideroktagroupruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.parameter.id" id="cdktfprovideroktagroupruleparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.parameter.config" id="cdktfprovideroktagroupruleparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.GroupRuleConfig`](#@cdktf/provider-okta.GroupRuleConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetExpressionType`](#cdktfprovideroktagroupruleresetexpressiontype) | *No description.* |
| [`resetId`](#cdktfprovideroktagroupruleresetid) | *No description.* |
| [`resetRemoveAssignedUsers`](#cdktfprovideroktagroupruleresetremoveassignedusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktagroupruleresetstatus) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktagroupruleresetusersexcluded) | *No description.* |

---

##### `resetExpressionType` <a name="@cdktf/provider-okta.GroupRule.resetExpressionType" id="cdktfprovideroktagroupruleresetexpressiontype"></a>

```typescript
public resetExpressionType()
```

##### `resetId` <a name="@cdktf/provider-okta.GroupRule.resetId" id="cdktfprovideroktagroupruleresetid"></a>

```typescript
public resetId()
```

##### `resetRemoveAssignedUsers` <a name="@cdktf/provider-okta.GroupRule.resetRemoveAssignedUsers" id="cdktfprovideroktagroupruleresetremoveassignedusers"></a>

```typescript
public resetRemoveAssignedUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.GroupRule.resetStatus" id="cdktfprovideroktagroupruleresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.GroupRule.resetUsersExcluded" id="cdktfprovideroktagroupruleresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`expressionTypeInput`](#cdktfprovideroktagrouprulepropertyexpressiontypeinput) | `string` | *No description.* |
| [`expressionValueInput`](#cdktfprovideroktagrouprulepropertyexpressionvalueinput) | `string` | *No description.* |
| [`groupAssignmentsInput`](#cdktfprovideroktagrouprulepropertygroupassignmentsinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktagrouprulepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktagrouprulepropertynameinput) | `string` | *No description.* |
| [`removeAssignedUsersInput`](#cdktfprovideroktagrouprulepropertyremoveassignedusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktagrouprulepropertystatusinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktagrouprulepropertyusersexcludedinput) | `string`[] | *No description.* |
| [`expressionType`](#cdktfprovideroktagrouprulepropertyexpressiontype)<span title="Required">*</span> | `string` | *No description.* |
| [`expressionValue`](#cdktfprovideroktagrouprulepropertyexpressionvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`groupAssignments`](#cdktfprovideroktagrouprulepropertygroupassignments)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktagrouprulepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktagrouprulepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`removeAssignedUsers`](#cdktfprovideroktagrouprulepropertyremoveassignedusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktagrouprulepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktagrouprulepropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `expressionTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.expressionTypeInput" id="cdktfprovideroktagrouprulepropertyexpressiontypeinput"></a>

```typescript
public readonly expressionTypeInput: string;
```

- *Type:* `string`

---

##### `expressionValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.expressionValueInput" id="cdktfprovideroktagrouprulepropertyexpressionvalueinput"></a>

```typescript
public readonly expressionValueInput: string;
```

- *Type:* `string`

---

##### `groupAssignmentsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.groupAssignmentsInput" id="cdktfprovideroktagrouprulepropertygroupassignmentsinput"></a>

```typescript
public readonly groupAssignmentsInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.idInput" id="cdktfprovideroktagrouprulepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.nameInput" id="cdktfprovideroktagrouprulepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `removeAssignedUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.removeAssignedUsersInput" id="cdktfprovideroktagrouprulepropertyremoveassignedusersinput"></a>

```typescript
public readonly removeAssignedUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.statusInput" id="cdktfprovideroktagrouprulepropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRule.property.usersExcludedInput" id="cdktfprovideroktagrouprulepropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `expressionType`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.expressionType" id="cdktfprovideroktagrouprulepropertyexpressiontype"></a>

```typescript
public readonly expressionType: string;
```

- *Type:* `string`

---

##### `expressionValue`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.expressionValue" id="cdktfprovideroktagrouprulepropertyexpressionvalue"></a>

```typescript
public readonly expressionValue: string;
```

- *Type:* `string`

---

##### `groupAssignments`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.groupAssignments" id="cdktfprovideroktagrouprulepropertygroupassignments"></a>

```typescript
public readonly groupAssignments: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.id" id="cdktfprovideroktagrouprulepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.name" id="cdktfprovideroktagrouprulepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `removeAssignedUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.removeAssignedUsers" id="cdktfprovideroktagrouprulepropertyremoveassignedusers"></a>

```typescript
public readonly removeAssignedUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.status" id="cdktfprovideroktagrouprulepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRule.property.usersExcluded" id="cdktfprovideroktagrouprulepropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktagrouprulepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.GroupRule.property.tfResourceType" id="cdktfprovideroktagrouprulepropertytfresourcetype"></a>

- *Type:* `string`

---

### GroupSchemaProperty <a name="@cdktf/provider-okta.GroupSchemaProperty" id="cdktfprovideroktagroupschemaproperty"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property okta_group_schema_property}.

#### Initializers <a name="@cdktf/provider-okta.GroupSchemaProperty.Initializer" id="cdktfprovideroktagroupschemapropertyinitializer"></a>

```typescript
import { GroupSchemaProperty } from '@cdktf/provider-okta'

new GroupSchemaProperty(scope: Construct, id: string, config: GroupSchemaPropertyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktagroupschemapropertyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktagroupschemapropertyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktagroupschemapropertyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupSchemaPropertyConfig`](#@cdktf/provider-okta.GroupSchemaPropertyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.parameter.scope" id="cdktfprovideroktagroupschemapropertyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.parameter.id" id="cdktfprovideroktagroupschemapropertyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.parameter.config" id="cdktfprovideroktagroupschemapropertyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.GroupSchemaPropertyConfig`](#@cdktf/provider-okta.GroupSchemaPropertyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putArrayOneOf`](#cdktfprovideroktagroupschemapropertyputarrayoneof) | *No description.* |
| [`putMasterOverridePriority`](#cdktfprovideroktagroupschemapropertyputmasteroverridepriority) | *No description.* |
| [`putOneOf`](#cdktfprovideroktagroupschemapropertyputoneof) | *No description.* |
| [`resetArrayEnum`](#cdktfprovideroktagroupschemapropertyresetarrayenum) | *No description.* |
| [`resetArrayOneOf`](#cdktfprovideroktagroupschemapropertyresetarrayoneof) | *No description.* |
| [`resetArrayType`](#cdktfprovideroktagroupschemapropertyresetarraytype) | *No description.* |
| [`resetDescription`](#cdktfprovideroktagroupschemapropertyresetdescription) | *No description.* |
| [`resetEnum`](#cdktfprovideroktagroupschemapropertyresetenum) | *No description.* |
| [`resetExternalName`](#cdktfprovideroktagroupschemapropertyresetexternalname) | *No description.* |
| [`resetExternalNamespace`](#cdktfprovideroktagroupschemapropertyresetexternalnamespace) | *No description.* |
| [`resetId`](#cdktfprovideroktagroupschemapropertyresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktagroupschemapropertyresetmaster) | *No description.* |
| [`resetMasterOverridePriority`](#cdktfprovideroktagroupschemapropertyresetmasteroverridepriority) | *No description.* |
| [`resetMaxLength`](#cdktfprovideroktagroupschemapropertyresetmaxlength) | *No description.* |
| [`resetMinLength`](#cdktfprovideroktagroupschemapropertyresetminlength) | *No description.* |
| [`resetOneOf`](#cdktfprovideroktagroupschemapropertyresetoneof) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktagroupschemapropertyresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktagroupschemapropertyresetrequired) | *No description.* |
| [`resetScope`](#cdktfprovideroktagroupschemapropertyresetscope) | *No description.* |
| [`resetUnique`](#cdktfprovideroktagroupschemapropertyresetunique) | *No description.* |

---

##### `putArrayOneOf` <a name="@cdktf/provider-okta.GroupSchemaProperty.putArrayOneOf" id="cdktfprovideroktagroupschemapropertyputarrayoneof"></a>

```typescript
public putArrayOneOf(value: IResolvable | GroupSchemaPropertyArrayOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.parameter.value" id="cdktfprovideroktagroupschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)[]

---

##### `putMasterOverridePriority` <a name="@cdktf/provider-okta.GroupSchemaProperty.putMasterOverridePriority" id="cdktfprovideroktagroupschemapropertyputmasteroverridepriority"></a>

```typescript
public putMasterOverridePriority(value: IResolvable | GroupSchemaPropertyMasterOverridePriority[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.parameter.value" id="cdktfprovideroktagroupschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)[]

---

##### `putOneOf` <a name="@cdktf/provider-okta.GroupSchemaProperty.putOneOf" id="cdktfprovideroktagroupschemapropertyputoneof"></a>

```typescript
public putOneOf(value: IResolvable | GroupSchemaPropertyOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.parameter.value" id="cdktfprovideroktagroupschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)[]

---

##### `resetArrayEnum` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetArrayEnum" id="cdktfprovideroktagroupschemapropertyresetarrayenum"></a>

```typescript
public resetArrayEnum()
```

##### `resetArrayOneOf` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetArrayOneOf" id="cdktfprovideroktagroupschemapropertyresetarrayoneof"></a>

```typescript
public resetArrayOneOf()
```

##### `resetArrayType` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetArrayType" id="cdktfprovideroktagroupschemapropertyresetarraytype"></a>

```typescript
public resetArrayType()
```

##### `resetDescription` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetDescription" id="cdktfprovideroktagroupschemapropertyresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetEnum` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetEnum" id="cdktfprovideroktagroupschemapropertyresetenum"></a>

```typescript
public resetEnum()
```

##### `resetExternalName` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetExternalName" id="cdktfprovideroktagroupschemapropertyresetexternalname"></a>

```typescript
public resetExternalName()
```

##### `resetExternalNamespace` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetExternalNamespace" id="cdktfprovideroktagroupschemapropertyresetexternalnamespace"></a>

```typescript
public resetExternalNamespace()
```

##### `resetId` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetId" id="cdktfprovideroktagroupschemapropertyresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetMaster" id="cdktfprovideroktagroupschemapropertyresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetMasterOverridePriority` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetMasterOverridePriority" id="cdktfprovideroktagroupschemapropertyresetmasteroverridepriority"></a>

```typescript
public resetMasterOverridePriority()
```

##### `resetMaxLength` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetMaxLength" id="cdktfprovideroktagroupschemapropertyresetmaxlength"></a>

```typescript
public resetMaxLength()
```

##### `resetMinLength` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetMinLength" id="cdktfprovideroktagroupschemapropertyresetminlength"></a>

```typescript
public resetMinLength()
```

##### `resetOneOf` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetOneOf" id="cdktfprovideroktagroupschemapropertyresetoneof"></a>

```typescript
public resetOneOf()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetPermissions" id="cdktfprovideroktagroupschemapropertyresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetRequired" id="cdktfprovideroktagroupschemapropertyresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetScope` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetScope" id="cdktfprovideroktagroupschemapropertyresetscope"></a>

```typescript
public resetScope()
```

##### `resetUnique` <a name="@cdktf/provider-okta.GroupSchemaProperty.resetUnique" id="cdktfprovideroktagroupschemapropertyresetunique"></a>

```typescript
public resetUnique()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`arrayOneOf`](#cdktfprovideroktagroupschemapropertypropertyarrayoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList) | *No description.* |
| [`masterOverridePriority`](#cdktfprovideroktagroupschemapropertypropertymasteroverridepriority)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList) | *No description.* |
| [`oneOf`](#cdktfprovideroktagroupschemapropertypropertyoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.GroupSchemaPropertyOneOfList`](#@cdktf/provider-okta.GroupSchemaPropertyOneOfList) | *No description.* |
| [`arrayEnumInput`](#cdktfprovideroktagroupschemapropertypropertyarrayenuminput) | `string`[] | *No description.* |
| [`arrayOneOfInput`](#cdktfprovideroktagroupschemapropertypropertyarrayoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)[] | *No description.* |
| [`arrayTypeInput`](#cdktfprovideroktagroupschemapropertypropertyarraytypeinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktagroupschemapropertypropertydescriptioninput) | `string` | *No description.* |
| [`enumInput`](#cdktfprovideroktagroupschemapropertypropertyenuminput) | `string`[] | *No description.* |
| [`externalNameInput`](#cdktfprovideroktagroupschemapropertypropertyexternalnameinput) | `string` | *No description.* |
| [`externalNamespaceInput`](#cdktfprovideroktagroupschemapropertypropertyexternalnamespaceinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktagroupschemapropertypropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktagroupschemapropertypropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktagroupschemapropertypropertymasterinput) | `string` | *No description.* |
| [`masterOverridePriorityInput`](#cdktfprovideroktagroupschemapropertypropertymasteroverridepriorityinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)[] | *No description.* |
| [`maxLengthInput`](#cdktfprovideroktagroupschemapropertypropertymaxlengthinput) | `number` | *No description.* |
| [`minLengthInput`](#cdktfprovideroktagroupschemapropertypropertyminlengthinput) | `number` | *No description.* |
| [`oneOfInput`](#cdktfprovideroktagroupschemapropertypropertyoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)[] | *No description.* |
| [`permissionsInput`](#cdktfprovideroktagroupschemapropertypropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktagroupschemapropertypropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scopeInput`](#cdktfprovideroktagroupschemapropertypropertyscopeinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktagroupschemapropertypropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktagroupschemapropertypropertytypeinput) | `string` | *No description.* |
| [`uniqueInput`](#cdktfprovideroktagroupschemapropertypropertyuniqueinput) | `string` | *No description.* |
| [`arrayEnum`](#cdktfprovideroktagroupschemapropertypropertyarrayenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`arrayType`](#cdktfprovideroktagroupschemapropertypropertyarraytype)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktagroupschemapropertypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`enum`](#cdktfprovideroktagroupschemapropertypropertyenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`externalName`](#cdktfprovideroktagroupschemapropertypropertyexternalname)<span title="Required">*</span> | `string` | *No description.* |
| [`externalNamespace`](#cdktfprovideroktagroupschemapropertypropertyexternalnamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktagroupschemapropertypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktagroupschemapropertypropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktagroupschemapropertypropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`maxLength`](#cdktfprovideroktagroupschemapropertypropertymaxlength)<span title="Required">*</span> | `number` | *No description.* |
| [`minLength`](#cdktfprovideroktagroupschemapropertypropertyminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`permissions`](#cdktfprovideroktagroupschemapropertypropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktagroupschemapropertypropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scope`](#cdktfprovideroktagroupschemapropertypropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktagroupschemapropertypropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktagroupschemapropertypropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`unique`](#cdktfprovideroktagroupschemapropertypropertyunique)<span title="Required">*</span> | `string` | *No description.* |

---

##### `arrayOneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.arrayOneOf" id="cdktfprovideroktagroupschemapropertypropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: GroupSchemaPropertyArrayOneOfList;
```

- *Type:* [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList)

---

##### `masterOverridePriority`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.masterOverridePriority" id="cdktfprovideroktagroupschemapropertypropertymasteroverridepriority"></a>

```typescript
public readonly masterOverridePriority: GroupSchemaPropertyMasterOverridePriorityList;
```

- *Type:* [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList)

---

##### `oneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.oneOf" id="cdktfprovideroktagroupschemapropertypropertyoneof"></a>

```typescript
public readonly oneOf: GroupSchemaPropertyOneOfList;
```

- *Type:* [`@cdktf/provider-okta.GroupSchemaPropertyOneOfList`](#@cdktf/provider-okta.GroupSchemaPropertyOneOfList)

---

##### `arrayEnumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.arrayEnumInput" id="cdktfprovideroktagroupschemapropertypropertyarrayenuminput"></a>

```typescript
public readonly arrayEnumInput: string[];
```

- *Type:* `string`[]

---

##### `arrayOneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.arrayOneOfInput" id="cdktfprovideroktagroupschemapropertypropertyarrayoneofinput"></a>

```typescript
public readonly arrayOneOfInput: IResolvable | GroupSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)[]

---

##### `arrayTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.arrayTypeInput" id="cdktfprovideroktagroupschemapropertypropertyarraytypeinput"></a>

```typescript
public readonly arrayTypeInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.descriptionInput" id="cdktfprovideroktagroupschemapropertypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `enumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.enumInput" id="cdktfprovideroktagroupschemapropertypropertyenuminput"></a>

```typescript
public readonly enumInput: string[];
```

- *Type:* `string`[]

---

##### `externalNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.externalNameInput" id="cdktfprovideroktagroupschemapropertypropertyexternalnameinput"></a>

```typescript
public readonly externalNameInput: string;
```

- *Type:* `string`

---

##### `externalNamespaceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.externalNamespaceInput" id="cdktfprovideroktagroupschemapropertypropertyexternalnamespaceinput"></a>

```typescript
public readonly externalNamespaceInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.idInput" id="cdktfprovideroktagroupschemapropertypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.indexInput" id="cdktfprovideroktagroupschemapropertypropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.masterInput" id="cdktfprovideroktagroupschemapropertypropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `masterOverridePriorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.masterOverridePriorityInput" id="cdktfprovideroktagroupschemapropertypropertymasteroverridepriorityinput"></a>

```typescript
public readonly masterOverridePriorityInput: IResolvable | GroupSchemaPropertyMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)[]

---

##### `maxLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.maxLengthInput" id="cdktfprovideroktagroupschemapropertypropertymaxlengthinput"></a>

```typescript
public readonly maxLengthInput: number;
```

- *Type:* `number`

---

##### `minLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.minLengthInput" id="cdktfprovideroktagroupschemapropertypropertyminlengthinput"></a>

```typescript
public readonly minLengthInput: number;
```

- *Type:* `number`

---

##### `oneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.oneOfInput" id="cdktfprovideroktagroupschemapropertypropertyoneofinput"></a>

```typescript
public readonly oneOfInput: IResolvable | GroupSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)[]

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.permissionsInput" id="cdktfprovideroktagroupschemapropertypropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.requiredInput" id="cdktfprovideroktagroupschemapropertypropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.scopeInput" id="cdktfprovideroktagroupschemapropertypropertyscopeinput"></a>

```typescript
public readonly scopeInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.titleInput" id="cdktfprovideroktagroupschemapropertypropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.typeInput" id="cdktfprovideroktagroupschemapropertypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `uniqueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.uniqueInput" id="cdktfprovideroktagroupschemapropertypropertyuniqueinput"></a>

```typescript
public readonly uniqueInput: string;
```

- *Type:* `string`

---

##### `arrayEnum`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.arrayEnum" id="cdktfprovideroktagroupschemapropertypropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

---

##### `arrayType`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.arrayType" id="cdktfprovideroktagroupschemapropertypropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.description" id="cdktfprovideroktagroupschemapropertypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `enum`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.enum" id="cdktfprovideroktagroupschemapropertypropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

---

##### `externalName`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.externalName" id="cdktfprovideroktagroupschemapropertypropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

---

##### `externalNamespace`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.externalNamespace" id="cdktfprovideroktagroupschemapropertypropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.id" id="cdktfprovideroktagroupschemapropertypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.index" id="cdktfprovideroktagroupschemapropertypropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.master" id="cdktfprovideroktagroupschemapropertypropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `maxLength`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.maxLength" id="cdktfprovideroktagroupschemapropertypropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

---

##### `minLength`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.minLength" id="cdktfprovideroktagroupschemapropertypropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.permissions" id="cdktfprovideroktagroupschemapropertypropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.required" id="cdktfprovideroktagroupschemapropertypropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.scope" id="cdktfprovideroktagroupschemapropertypropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.title" id="cdktfprovideroktagroupschemapropertypropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.type" id="cdktfprovideroktagroupschemapropertypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `unique`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaProperty.property.unique" id="cdktfprovideroktagroupschemapropertypropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktagroupschemapropertypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.GroupSchemaProperty.property.tfResourceType" id="cdktfprovideroktagroupschemapropertypropertytfresourcetype"></a>

- *Type:* `string`

---

### Idp <a name="@cdktf/provider-okta.Idp" id="cdktfprovideroktaidp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/idp okta_idp}.

#### Initializers <a name="@cdktf/provider-okta.Idp.Initializer" id="cdktfprovideroktaidpinitializer"></a>

```typescript
import { Idp } from '@cdktf/provider-okta'

new Idp(scope: Construct, id: string, config: IdpConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaidpparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaidpparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaidpparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.IdpConfig`](#@cdktf/provider-okta.IdpConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.parameter.scope" id="cdktfprovideroktaidpparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.parameter.id" id="cdktfprovideroktaidpparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.parameter.config" id="cdktfprovideroktaidpparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.IdpConfig`](#@cdktf/provider-okta.IdpConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccountLinkAction`](#cdktfprovideroktaidpresetaccountlinkaction) | *No description.* |
| [`resetAccountLinkGroupInclude`](#cdktfprovideroktaidpresetaccountlinkgroupinclude) | *No description.* |
| [`resetDeprovisionedAction`](#cdktfprovideroktaidpresetdeprovisionedaction) | *No description.* |
| [`resetGroupsAction`](#cdktfprovideroktaidpresetgroupsaction) | *No description.* |
| [`resetGroupsAssignment`](#cdktfprovideroktaidpresetgroupsassignment) | *No description.* |
| [`resetGroupsAttribute`](#cdktfprovideroktaidpresetgroupsattribute) | *No description.* |
| [`resetGroupsFilter`](#cdktfprovideroktaidpresetgroupsfilter) | *No description.* |
| [`resetId`](#cdktfprovideroktaidpresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaidpresetissuermode) | *No description.* |
| [`resetMaxClockSkew`](#cdktfprovideroktaidpresetmaxclockskew) | *No description.* |
| [`resetProfileMaster`](#cdktfprovideroktaidpresetprofilemaster) | *No description.* |
| [`resetProtocolType`](#cdktfprovideroktaidpresetprotocoltype) | *No description.* |
| [`resetProvisioningAction`](#cdktfprovideroktaidpresetprovisioningaction) | *No description.* |
| [`resetRequestSignatureAlgorithm`](#cdktfprovideroktaidpresetrequestsignaturealgorithm) | *No description.* |
| [`resetRequestSignatureScope`](#cdktfprovideroktaidpresetrequestsignaturescope) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaidpresetstatus) | *No description.* |
| [`resetSubjectMatchAttribute`](#cdktfprovideroktaidpresetsubjectmatchattribute) | *No description.* |
| [`resetSubjectMatchType`](#cdktfprovideroktaidpresetsubjectmatchtype) | *No description.* |
| [`resetSuspendedAction`](#cdktfprovideroktaidpresetsuspendedaction) | *No description.* |
| [`resetUserInfoBinding`](#cdktfprovideroktaidpresetuserinfobinding) | *No description.* |
| [`resetUserInfoUrl`](#cdktfprovideroktaidpresetuserinfourl) | *No description.* |
| [`resetUsernameTemplate`](#cdktfprovideroktaidpresetusernametemplate) | *No description.* |

---

##### `resetAccountLinkAction` <a name="@cdktf/provider-okta.Idp.resetAccountLinkAction" id="cdktfprovideroktaidpresetaccountlinkaction"></a>

```typescript
public resetAccountLinkAction()
```

##### `resetAccountLinkGroupInclude` <a name="@cdktf/provider-okta.Idp.resetAccountLinkGroupInclude" id="cdktfprovideroktaidpresetaccountlinkgroupinclude"></a>

```typescript
public resetAccountLinkGroupInclude()
```

##### `resetDeprovisionedAction` <a name="@cdktf/provider-okta.Idp.resetDeprovisionedAction" id="cdktfprovideroktaidpresetdeprovisionedaction"></a>

```typescript
public resetDeprovisionedAction()
```

##### `resetGroupsAction` <a name="@cdktf/provider-okta.Idp.resetGroupsAction" id="cdktfprovideroktaidpresetgroupsaction"></a>

```typescript
public resetGroupsAction()
```

##### `resetGroupsAssignment` <a name="@cdktf/provider-okta.Idp.resetGroupsAssignment" id="cdktfprovideroktaidpresetgroupsassignment"></a>

```typescript
public resetGroupsAssignment()
```

##### `resetGroupsAttribute` <a name="@cdktf/provider-okta.Idp.resetGroupsAttribute" id="cdktfprovideroktaidpresetgroupsattribute"></a>

```typescript
public resetGroupsAttribute()
```

##### `resetGroupsFilter` <a name="@cdktf/provider-okta.Idp.resetGroupsFilter" id="cdktfprovideroktaidpresetgroupsfilter"></a>

```typescript
public resetGroupsFilter()
```

##### `resetId` <a name="@cdktf/provider-okta.Idp.resetId" id="cdktfprovideroktaidpresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.Idp.resetIssuerMode" id="cdktfprovideroktaidpresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetMaxClockSkew` <a name="@cdktf/provider-okta.Idp.resetMaxClockSkew" id="cdktfprovideroktaidpresetmaxclockskew"></a>

```typescript
public resetMaxClockSkew()
```

##### `resetProfileMaster` <a name="@cdktf/provider-okta.Idp.resetProfileMaster" id="cdktfprovideroktaidpresetprofilemaster"></a>

```typescript
public resetProfileMaster()
```

##### `resetProtocolType` <a name="@cdktf/provider-okta.Idp.resetProtocolType" id="cdktfprovideroktaidpresetprotocoltype"></a>

```typescript
public resetProtocolType()
```

##### `resetProvisioningAction` <a name="@cdktf/provider-okta.Idp.resetProvisioningAction" id="cdktfprovideroktaidpresetprovisioningaction"></a>

```typescript
public resetProvisioningAction()
```

##### `resetRequestSignatureAlgorithm` <a name="@cdktf/provider-okta.Idp.resetRequestSignatureAlgorithm" id="cdktfprovideroktaidpresetrequestsignaturealgorithm"></a>

```typescript
public resetRequestSignatureAlgorithm()
```

##### `resetRequestSignatureScope` <a name="@cdktf/provider-okta.Idp.resetRequestSignatureScope" id="cdktfprovideroktaidpresetrequestsignaturescope"></a>

```typescript
public resetRequestSignatureScope()
```

##### `resetStatus` <a name="@cdktf/provider-okta.Idp.resetStatus" id="cdktfprovideroktaidpresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectMatchAttribute` <a name="@cdktf/provider-okta.Idp.resetSubjectMatchAttribute" id="cdktfprovideroktaidpresetsubjectmatchattribute"></a>

```typescript
public resetSubjectMatchAttribute()
```

##### `resetSubjectMatchType` <a name="@cdktf/provider-okta.Idp.resetSubjectMatchType" id="cdktfprovideroktaidpresetsubjectmatchtype"></a>

```typescript
public resetSubjectMatchType()
```

##### `resetSuspendedAction` <a name="@cdktf/provider-okta.Idp.resetSuspendedAction" id="cdktfprovideroktaidpresetsuspendedaction"></a>

```typescript
public resetSuspendedAction()
```

##### `resetUserInfoBinding` <a name="@cdktf/provider-okta.Idp.resetUserInfoBinding" id="cdktfprovideroktaidpresetuserinfobinding"></a>

```typescript
public resetUserInfoBinding()
```

##### `resetUserInfoUrl` <a name="@cdktf/provider-okta.Idp.resetUserInfoUrl" id="cdktfprovideroktaidpresetuserinfourl"></a>

```typescript
public resetUserInfoUrl()
```

##### `resetUsernameTemplate` <a name="@cdktf/provider-okta.Idp.resetUsernameTemplate" id="cdktfprovideroktaidpresetusernametemplate"></a>

```typescript
public resetUsernameTemplate()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktaidppropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userTypeId`](#cdktfprovideroktaidppropertyusertypeid)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkActionInput`](#cdktfprovideroktaidppropertyaccountlinkactioninput) | `string` | *No description.* |
| [`accountLinkGroupIncludeInput`](#cdktfprovideroktaidppropertyaccountlinkgroupincludeinput) | `string`[] | *No description.* |
| [`authorizationBindingInput`](#cdktfprovideroktaidppropertyauthorizationbindinginput) | `string` | *No description.* |
| [`authorizationUrlInput`](#cdktfprovideroktaidppropertyauthorizationurlinput) | `string` | *No description.* |
| [`clientIdInput`](#cdktfprovideroktaidppropertyclientidinput) | `string` | *No description.* |
| [`clientSecretInput`](#cdktfprovideroktaidppropertyclientsecretinput) | `string` | *No description.* |
| [`deprovisionedActionInput`](#cdktfprovideroktaidppropertydeprovisionedactioninput) | `string` | *No description.* |
| [`groupsActionInput`](#cdktfprovideroktaidppropertygroupsactioninput) | `string` | *No description.* |
| [`groupsAssignmentInput`](#cdktfprovideroktaidppropertygroupsassignmentinput) | `string`[] | *No description.* |
| [`groupsAttributeInput`](#cdktfprovideroktaidppropertygroupsattributeinput) | `string` | *No description.* |
| [`groupsFilterInput`](#cdktfprovideroktaidppropertygroupsfilterinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktaidppropertyidinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaidppropertyissuermodeinput) | `string` | *No description.* |
| [`issuerUrlInput`](#cdktfprovideroktaidppropertyissuerurlinput) | `string` | *No description.* |
| [`jwksBindingInput`](#cdktfprovideroktaidppropertyjwksbindinginput) | `string` | *No description.* |
| [`jwksUrlInput`](#cdktfprovideroktaidppropertyjwksurlinput) | `string` | *No description.* |
| [`maxClockSkewInput`](#cdktfprovideroktaidppropertymaxclockskewinput) | `number` | *No description.* |
| [`nameInput`](#cdktfprovideroktaidppropertynameinput) | `string` | *No description.* |
| [`profileMasterInput`](#cdktfprovideroktaidppropertyprofilemasterinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolTypeInput`](#cdktfprovideroktaidppropertyprotocoltypeinput) | `string` | *No description.* |
| [`provisioningActionInput`](#cdktfprovideroktaidppropertyprovisioningactioninput) | `string` | *No description.* |
| [`requestSignatureAlgorithmInput`](#cdktfprovideroktaidppropertyrequestsignaturealgorithminput) | `string` | *No description.* |
| [`requestSignatureScopeInput`](#cdktfprovideroktaidppropertyrequestsignaturescopeinput) | `string` | *No description.* |
| [`scopesInput`](#cdktfprovideroktaidppropertyscopesinput) | `string`[] | *No description.* |
| [`statusInput`](#cdktfprovideroktaidppropertystatusinput) | `string` | *No description.* |
| [`subjectMatchAttributeInput`](#cdktfprovideroktaidppropertysubjectmatchattributeinput) | `string` | *No description.* |
| [`subjectMatchTypeInput`](#cdktfprovideroktaidppropertysubjectmatchtypeinput) | `string` | *No description.* |
| [`suspendedActionInput`](#cdktfprovideroktaidppropertysuspendedactioninput) | `string` | *No description.* |
| [`tokenBindingInput`](#cdktfprovideroktaidppropertytokenbindinginput) | `string` | *No description.* |
| [`tokenUrlInput`](#cdktfprovideroktaidppropertytokenurlinput) | `string` | *No description.* |
| [`userInfoBindingInput`](#cdktfprovideroktaidppropertyuserinfobindinginput) | `string` | *No description.* |
| [`userInfoUrlInput`](#cdktfprovideroktaidppropertyuserinfourlinput) | `string` | *No description.* |
| [`usernameTemplateInput`](#cdktfprovideroktaidppropertyusernametemplateinput) | `string` | *No description.* |
| [`accountLinkAction`](#cdktfprovideroktaidppropertyaccountlinkaction)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidppropertyaccountlinkgroupinclude)<span title="Required">*</span> | `string`[] | *No description.* |
| [`authorizationBinding`](#cdktfprovideroktaidppropertyauthorizationbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`authorizationUrl`](#cdktfprovideroktaidppropertyauthorizationurl)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktaidppropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientSecret`](#cdktfprovideroktaidppropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`deprovisionedAction`](#cdktfprovideroktaidppropertydeprovisionedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAction`](#cdktfprovideroktaidppropertygroupsaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAssignment`](#cdktfprovideroktaidppropertygroupsassignment)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsAttribute`](#cdktfprovideroktaidppropertygroupsattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsFilter`](#cdktfprovideroktaidppropertygroupsfilter)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaidppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktaidppropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerUrl`](#cdktfprovideroktaidppropertyissuerurl)<span title="Required">*</span> | `string` | *No description.* |
| [`jwksBinding`](#cdktfprovideroktaidppropertyjwksbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`jwksUrl`](#cdktfprovideroktaidppropertyjwksurl)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktaidppropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`name`](#cdktfprovideroktaidppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`profileMaster`](#cdktfprovideroktaidppropertyprofilemaster)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolType`](#cdktfprovideroktaidppropertyprotocoltype)<span title="Required">*</span> | `string` | *No description.* |
| [`provisioningAction`](#cdktfprovideroktaidppropertyprovisioningaction)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureAlgorithm`](#cdktfprovideroktaidppropertyrequestsignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureScope`](#cdktfprovideroktaidppropertyrequestsignaturescope)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktaidppropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktaidppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchAttribute`](#cdktfprovideroktaidppropertysubjectmatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchType`](#cdktfprovideroktaidppropertysubjectmatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`suspendedAction`](#cdktfprovideroktaidppropertysuspendedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenBinding`](#cdktfprovideroktaidppropertytokenbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenUrl`](#cdktfprovideroktaidppropertytokenurl)<span title="Required">*</span> | `string` | *No description.* |
| [`userInfoBinding`](#cdktfprovideroktaidppropertyuserinfobinding)<span title="Required">*</span> | `string` | *No description.* |
| [`userInfoUrl`](#cdktfprovideroktaidppropertyuserinfourl)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameTemplate`](#cdktfprovideroktaidppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.type" id="cdktfprovideroktaidppropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userTypeId`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.userTypeId" id="cdktfprovideroktaidppropertyusertypeid"></a>

```typescript
public readonly userTypeId: string;
```

- *Type:* `string`

---

##### `accountLinkActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.accountLinkActionInput" id="cdktfprovideroktaidppropertyaccountlinkactioninput"></a>

```typescript
public readonly accountLinkActionInput: string;
```

- *Type:* `string`

---

##### `accountLinkGroupIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.accountLinkGroupIncludeInput" id="cdktfprovideroktaidppropertyaccountlinkgroupincludeinput"></a>

```typescript
public readonly accountLinkGroupIncludeInput: string[];
```

- *Type:* `string`[]

---

##### `authorizationBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.authorizationBindingInput" id="cdktfprovideroktaidppropertyauthorizationbindinginput"></a>

```typescript
public readonly authorizationBindingInput: string;
```

- *Type:* `string`

---

##### `authorizationUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.authorizationUrlInput" id="cdktfprovideroktaidppropertyauthorizationurlinput"></a>

```typescript
public readonly authorizationUrlInput: string;
```

- *Type:* `string`

---

##### `clientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.clientIdInput" id="cdktfprovideroktaidppropertyclientidinput"></a>

```typescript
public readonly clientIdInput: string;
```

- *Type:* `string`

---

##### `clientSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.clientSecretInput" id="cdktfprovideroktaidppropertyclientsecretinput"></a>

```typescript
public readonly clientSecretInput: string;
```

- *Type:* `string`

---

##### `deprovisionedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.deprovisionedActionInput" id="cdktfprovideroktaidppropertydeprovisionedactioninput"></a>

```typescript
public readonly deprovisionedActionInput: string;
```

- *Type:* `string`

---

##### `groupsActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.groupsActionInput" id="cdktfprovideroktaidppropertygroupsactioninput"></a>

```typescript
public readonly groupsActionInput: string;
```

- *Type:* `string`

---

##### `groupsAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.groupsAssignmentInput" id="cdktfprovideroktaidppropertygroupsassignmentinput"></a>

```typescript
public readonly groupsAssignmentInput: string[];
```

- *Type:* `string`[]

---

##### `groupsAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.groupsAttributeInput" id="cdktfprovideroktaidppropertygroupsattributeinput"></a>

```typescript
public readonly groupsAttributeInput: string;
```

- *Type:* `string`

---

##### `groupsFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.groupsFilterInput" id="cdktfprovideroktaidppropertygroupsfilterinput"></a>

```typescript
public readonly groupsFilterInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.idInput" id="cdktfprovideroktaidppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.issuerModeInput" id="cdktfprovideroktaidppropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `issuerUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.issuerUrlInput" id="cdktfprovideroktaidppropertyissuerurlinput"></a>

```typescript
public readonly issuerUrlInput: string;
```

- *Type:* `string`

---

##### `jwksBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.jwksBindingInput" id="cdktfprovideroktaidppropertyjwksbindinginput"></a>

```typescript
public readonly jwksBindingInput: string;
```

- *Type:* `string`

---

##### `jwksUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.jwksUrlInput" id="cdktfprovideroktaidppropertyjwksurlinput"></a>

```typescript
public readonly jwksUrlInput: string;
```

- *Type:* `string`

---

##### `maxClockSkewInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.maxClockSkewInput" id="cdktfprovideroktaidppropertymaxclockskewinput"></a>

```typescript
public readonly maxClockSkewInput: number;
```

- *Type:* `number`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.nameInput" id="cdktfprovideroktaidppropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `profileMasterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.profileMasterInput" id="cdktfprovideroktaidppropertyprofilemasterinput"></a>

```typescript
public readonly profileMasterInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.protocolTypeInput" id="cdktfprovideroktaidppropertyprotocoltypeinput"></a>

```typescript
public readonly protocolTypeInput: string;
```

- *Type:* `string`

---

##### `provisioningActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.provisioningActionInput" id="cdktfprovideroktaidppropertyprovisioningactioninput"></a>

```typescript
public readonly provisioningActionInput: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.requestSignatureAlgorithmInput" id="cdktfprovideroktaidppropertyrequestsignaturealgorithminput"></a>

```typescript
public readonly requestSignatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `requestSignatureScopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.requestSignatureScopeInput" id="cdktfprovideroktaidppropertyrequestsignaturescopeinput"></a>

```typescript
public readonly requestSignatureScopeInput: string;
```

- *Type:* `string`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.scopesInput" id="cdktfprovideroktaidppropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.statusInput" id="cdktfprovideroktaidppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectMatchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.subjectMatchAttributeInput" id="cdktfprovideroktaidppropertysubjectmatchattributeinput"></a>

```typescript
public readonly subjectMatchAttributeInput: string;
```

- *Type:* `string`

---

##### `subjectMatchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.subjectMatchTypeInput" id="cdktfprovideroktaidppropertysubjectmatchtypeinput"></a>

```typescript
public readonly subjectMatchTypeInput: string;
```

- *Type:* `string`

---

##### `suspendedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.suspendedActionInput" id="cdktfprovideroktaidppropertysuspendedactioninput"></a>

```typescript
public readonly suspendedActionInput: string;
```

- *Type:* `string`

---

##### `tokenBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.tokenBindingInput" id="cdktfprovideroktaidppropertytokenbindinginput"></a>

```typescript
public readonly tokenBindingInput: string;
```

- *Type:* `string`

---

##### `tokenUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.tokenUrlInput" id="cdktfprovideroktaidppropertytokenurlinput"></a>

```typescript
public readonly tokenUrlInput: string;
```

- *Type:* `string`

---

##### `userInfoBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.userInfoBindingInput" id="cdktfprovideroktaidppropertyuserinfobindinginput"></a>

```typescript
public readonly userInfoBindingInput: string;
```

- *Type:* `string`

---

##### `userInfoUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.userInfoUrlInput" id="cdktfprovideroktaidppropertyuserinfourlinput"></a>

```typescript
public readonly userInfoUrlInput: string;
```

- *Type:* `string`

---

##### `usernameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Idp.property.usernameTemplateInput" id="cdktfprovideroktaidppropertyusernametemplateinput"></a>

```typescript
public readonly usernameTemplateInput: string;
```

- *Type:* `string`

---

##### `accountLinkAction`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.accountLinkAction" id="cdktfprovideroktaidppropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

---

##### `accountLinkGroupInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.accountLinkGroupInclude" id="cdktfprovideroktaidppropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.authorizationBinding" id="cdktfprovideroktaidppropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.authorizationUrl" id="cdktfprovideroktaidppropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.clientId" id="cdktfprovideroktaidppropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.clientSecret" id="cdktfprovideroktaidppropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `deprovisionedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.deprovisionedAction" id="cdktfprovideroktaidppropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

---

##### `groupsAction`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.groupsAction" id="cdktfprovideroktaidppropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

---

##### `groupsAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.groupsAssignment" id="cdktfprovideroktaidppropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

---

##### `groupsAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.groupsAttribute" id="cdktfprovideroktaidppropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

---

##### `groupsFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.groupsFilter" id="cdktfprovideroktaidppropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.id" id="cdktfprovideroktaidppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.issuerMode" id="cdktfprovideroktaidppropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `issuerUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.issuerUrl" id="cdktfprovideroktaidppropertyissuerurl"></a>

```typescript
public readonly issuerUrl: string;
```

- *Type:* `string`

---

##### `jwksBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.jwksBinding" id="cdktfprovideroktaidppropertyjwksbinding"></a>

```typescript
public readonly jwksBinding: string;
```

- *Type:* `string`

---

##### `jwksUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.jwksUrl" id="cdktfprovideroktaidppropertyjwksurl"></a>

```typescript
public readonly jwksUrl: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.maxClockSkew" id="cdktfprovideroktaidppropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.name" id="cdktfprovideroktaidppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `profileMaster`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.profileMaster" id="cdktfprovideroktaidppropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolType`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.protocolType" id="cdktfprovideroktaidppropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

---

##### `provisioningAction`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.provisioningAction" id="cdktfprovideroktaidppropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.requestSignatureAlgorithm" id="cdktfprovideroktaidppropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

---

##### `requestSignatureScope`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.requestSignatureScope" id="cdktfprovideroktaidppropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.scopes" id="cdktfprovideroktaidppropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.status" id="cdktfprovideroktaidppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectMatchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.subjectMatchAttribute" id="cdktfprovideroktaidppropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

---

##### `subjectMatchType`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.subjectMatchType" id="cdktfprovideroktaidppropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

---

##### `suspendedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.suspendedAction" id="cdktfprovideroktaidppropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.tokenBinding" id="cdktfprovideroktaidppropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.tokenUrl" id="cdktfprovideroktaidppropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

---

##### `userInfoBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.userInfoBinding" id="cdktfprovideroktaidppropertyuserinfobinding"></a>

```typescript
public readonly userInfoBinding: string;
```

- *Type:* `string`

---

##### `userInfoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.userInfoUrl" id="cdktfprovideroktaidppropertyuserinfourl"></a>

```typescript
public readonly userInfoUrl: string;
```

- *Type:* `string`

---

##### `usernameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.Idp.property.usernameTemplate" id="cdktfprovideroktaidppropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaidppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Idp.property.tfResourceType" id="cdktfprovideroktaidppropertytfresourcetype"></a>

- *Type:* `string`

---

### IdpOidc <a name="@cdktf/provider-okta.IdpOidc" id="cdktfprovideroktaidpoidc"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc okta_idp_oidc}.

#### Initializers <a name="@cdktf/provider-okta.IdpOidc.Initializer" id="cdktfprovideroktaidpoidcinitializer"></a>

```typescript
import { IdpOidc } from '@cdktf/provider-okta'

new IdpOidc(scope: Construct, id: string, config: IdpOidcConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaidpoidcparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaidpoidcparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaidpoidcparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.IdpOidcConfig`](#@cdktf/provider-okta.IdpOidcConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.parameter.scope" id="cdktfprovideroktaidpoidcparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.parameter.id" id="cdktfprovideroktaidpoidcparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.parameter.config" id="cdktfprovideroktaidpoidcparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.IdpOidcConfig`](#@cdktf/provider-okta.IdpOidcConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccountLinkAction`](#cdktfprovideroktaidpoidcresetaccountlinkaction) | *No description.* |
| [`resetAccountLinkGroupInclude`](#cdktfprovideroktaidpoidcresetaccountlinkgroupinclude) | *No description.* |
| [`resetDeprovisionedAction`](#cdktfprovideroktaidpoidcresetdeprovisionedaction) | *No description.* |
| [`resetGroupsAction`](#cdktfprovideroktaidpoidcresetgroupsaction) | *No description.* |
| [`resetGroupsAssignment`](#cdktfprovideroktaidpoidcresetgroupsassignment) | *No description.* |
| [`resetGroupsAttribute`](#cdktfprovideroktaidpoidcresetgroupsattribute) | *No description.* |
| [`resetGroupsFilter`](#cdktfprovideroktaidpoidcresetgroupsfilter) | *No description.* |
| [`resetId`](#cdktfprovideroktaidpoidcresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaidpoidcresetissuermode) | *No description.* |
| [`resetMaxClockSkew`](#cdktfprovideroktaidpoidcresetmaxclockskew) | *No description.* |
| [`resetProfileMaster`](#cdktfprovideroktaidpoidcresetprofilemaster) | *No description.* |
| [`resetProtocolType`](#cdktfprovideroktaidpoidcresetprotocoltype) | *No description.* |
| [`resetProvisioningAction`](#cdktfprovideroktaidpoidcresetprovisioningaction) | *No description.* |
| [`resetRequestSignatureAlgorithm`](#cdktfprovideroktaidpoidcresetrequestsignaturealgorithm) | *No description.* |
| [`resetRequestSignatureScope`](#cdktfprovideroktaidpoidcresetrequestsignaturescope) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaidpoidcresetstatus) | *No description.* |
| [`resetSubjectMatchAttribute`](#cdktfprovideroktaidpoidcresetsubjectmatchattribute) | *No description.* |
| [`resetSubjectMatchType`](#cdktfprovideroktaidpoidcresetsubjectmatchtype) | *No description.* |
| [`resetSuspendedAction`](#cdktfprovideroktaidpoidcresetsuspendedaction) | *No description.* |
| [`resetUserInfoBinding`](#cdktfprovideroktaidpoidcresetuserinfobinding) | *No description.* |
| [`resetUserInfoUrl`](#cdktfprovideroktaidpoidcresetuserinfourl) | *No description.* |
| [`resetUsernameTemplate`](#cdktfprovideroktaidpoidcresetusernametemplate) | *No description.* |

---

##### `resetAccountLinkAction` <a name="@cdktf/provider-okta.IdpOidc.resetAccountLinkAction" id="cdktfprovideroktaidpoidcresetaccountlinkaction"></a>

```typescript
public resetAccountLinkAction()
```

##### `resetAccountLinkGroupInclude` <a name="@cdktf/provider-okta.IdpOidc.resetAccountLinkGroupInclude" id="cdktfprovideroktaidpoidcresetaccountlinkgroupinclude"></a>

```typescript
public resetAccountLinkGroupInclude()
```

##### `resetDeprovisionedAction` <a name="@cdktf/provider-okta.IdpOidc.resetDeprovisionedAction" id="cdktfprovideroktaidpoidcresetdeprovisionedaction"></a>

```typescript
public resetDeprovisionedAction()
```

##### `resetGroupsAction` <a name="@cdktf/provider-okta.IdpOidc.resetGroupsAction" id="cdktfprovideroktaidpoidcresetgroupsaction"></a>

```typescript
public resetGroupsAction()
```

##### `resetGroupsAssignment` <a name="@cdktf/provider-okta.IdpOidc.resetGroupsAssignment" id="cdktfprovideroktaidpoidcresetgroupsassignment"></a>

```typescript
public resetGroupsAssignment()
```

##### `resetGroupsAttribute` <a name="@cdktf/provider-okta.IdpOidc.resetGroupsAttribute" id="cdktfprovideroktaidpoidcresetgroupsattribute"></a>

```typescript
public resetGroupsAttribute()
```

##### `resetGroupsFilter` <a name="@cdktf/provider-okta.IdpOidc.resetGroupsFilter" id="cdktfprovideroktaidpoidcresetgroupsfilter"></a>

```typescript
public resetGroupsFilter()
```

##### `resetId` <a name="@cdktf/provider-okta.IdpOidc.resetId" id="cdktfprovideroktaidpoidcresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.IdpOidc.resetIssuerMode" id="cdktfprovideroktaidpoidcresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetMaxClockSkew` <a name="@cdktf/provider-okta.IdpOidc.resetMaxClockSkew" id="cdktfprovideroktaidpoidcresetmaxclockskew"></a>

```typescript
public resetMaxClockSkew()
```

##### `resetProfileMaster` <a name="@cdktf/provider-okta.IdpOidc.resetProfileMaster" id="cdktfprovideroktaidpoidcresetprofilemaster"></a>

```typescript
public resetProfileMaster()
```

##### `resetProtocolType` <a name="@cdktf/provider-okta.IdpOidc.resetProtocolType" id="cdktfprovideroktaidpoidcresetprotocoltype"></a>

```typescript
public resetProtocolType()
```

##### `resetProvisioningAction` <a name="@cdktf/provider-okta.IdpOidc.resetProvisioningAction" id="cdktfprovideroktaidpoidcresetprovisioningaction"></a>

```typescript
public resetProvisioningAction()
```

##### `resetRequestSignatureAlgorithm` <a name="@cdktf/provider-okta.IdpOidc.resetRequestSignatureAlgorithm" id="cdktfprovideroktaidpoidcresetrequestsignaturealgorithm"></a>

```typescript
public resetRequestSignatureAlgorithm()
```

##### `resetRequestSignatureScope` <a name="@cdktf/provider-okta.IdpOidc.resetRequestSignatureScope" id="cdktfprovideroktaidpoidcresetrequestsignaturescope"></a>

```typescript
public resetRequestSignatureScope()
```

##### `resetStatus` <a name="@cdktf/provider-okta.IdpOidc.resetStatus" id="cdktfprovideroktaidpoidcresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectMatchAttribute` <a name="@cdktf/provider-okta.IdpOidc.resetSubjectMatchAttribute" id="cdktfprovideroktaidpoidcresetsubjectmatchattribute"></a>

```typescript
public resetSubjectMatchAttribute()
```

##### `resetSubjectMatchType` <a name="@cdktf/provider-okta.IdpOidc.resetSubjectMatchType" id="cdktfprovideroktaidpoidcresetsubjectmatchtype"></a>

```typescript
public resetSubjectMatchType()
```

##### `resetSuspendedAction` <a name="@cdktf/provider-okta.IdpOidc.resetSuspendedAction" id="cdktfprovideroktaidpoidcresetsuspendedaction"></a>

```typescript
public resetSuspendedAction()
```

##### `resetUserInfoBinding` <a name="@cdktf/provider-okta.IdpOidc.resetUserInfoBinding" id="cdktfprovideroktaidpoidcresetuserinfobinding"></a>

```typescript
public resetUserInfoBinding()
```

##### `resetUserInfoUrl` <a name="@cdktf/provider-okta.IdpOidc.resetUserInfoUrl" id="cdktfprovideroktaidpoidcresetuserinfourl"></a>

```typescript
public resetUserInfoUrl()
```

##### `resetUsernameTemplate` <a name="@cdktf/provider-okta.IdpOidc.resetUsernameTemplate" id="cdktfprovideroktaidpoidcresetusernametemplate"></a>

```typescript
public resetUsernameTemplate()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktaidpoidcpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userTypeId`](#cdktfprovideroktaidpoidcpropertyusertypeid)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkActionInput`](#cdktfprovideroktaidpoidcpropertyaccountlinkactioninput) | `string` | *No description.* |
| [`accountLinkGroupIncludeInput`](#cdktfprovideroktaidpoidcpropertyaccountlinkgroupincludeinput) | `string`[] | *No description.* |
| [`authorizationBindingInput`](#cdktfprovideroktaidpoidcpropertyauthorizationbindinginput) | `string` | *No description.* |
| [`authorizationUrlInput`](#cdktfprovideroktaidpoidcpropertyauthorizationurlinput) | `string` | *No description.* |
| [`clientIdInput`](#cdktfprovideroktaidpoidcpropertyclientidinput) | `string` | *No description.* |
| [`clientSecretInput`](#cdktfprovideroktaidpoidcpropertyclientsecretinput) | `string` | *No description.* |
| [`deprovisionedActionInput`](#cdktfprovideroktaidpoidcpropertydeprovisionedactioninput) | `string` | *No description.* |
| [`groupsActionInput`](#cdktfprovideroktaidpoidcpropertygroupsactioninput) | `string` | *No description.* |
| [`groupsAssignmentInput`](#cdktfprovideroktaidpoidcpropertygroupsassignmentinput) | `string`[] | *No description.* |
| [`groupsAttributeInput`](#cdktfprovideroktaidpoidcpropertygroupsattributeinput) | `string` | *No description.* |
| [`groupsFilterInput`](#cdktfprovideroktaidpoidcpropertygroupsfilterinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktaidpoidcpropertyidinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaidpoidcpropertyissuermodeinput) | `string` | *No description.* |
| [`issuerUrlInput`](#cdktfprovideroktaidpoidcpropertyissuerurlinput) | `string` | *No description.* |
| [`jwksBindingInput`](#cdktfprovideroktaidpoidcpropertyjwksbindinginput) | `string` | *No description.* |
| [`jwksUrlInput`](#cdktfprovideroktaidpoidcpropertyjwksurlinput) | `string` | *No description.* |
| [`maxClockSkewInput`](#cdktfprovideroktaidpoidcpropertymaxclockskewinput) | `number` | *No description.* |
| [`nameInput`](#cdktfprovideroktaidpoidcpropertynameinput) | `string` | *No description.* |
| [`profileMasterInput`](#cdktfprovideroktaidpoidcpropertyprofilemasterinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolTypeInput`](#cdktfprovideroktaidpoidcpropertyprotocoltypeinput) | `string` | *No description.* |
| [`provisioningActionInput`](#cdktfprovideroktaidpoidcpropertyprovisioningactioninput) | `string` | *No description.* |
| [`requestSignatureAlgorithmInput`](#cdktfprovideroktaidpoidcpropertyrequestsignaturealgorithminput) | `string` | *No description.* |
| [`requestSignatureScopeInput`](#cdktfprovideroktaidpoidcpropertyrequestsignaturescopeinput) | `string` | *No description.* |
| [`scopesInput`](#cdktfprovideroktaidpoidcpropertyscopesinput) | `string`[] | *No description.* |
| [`statusInput`](#cdktfprovideroktaidpoidcpropertystatusinput) | `string` | *No description.* |
| [`subjectMatchAttributeInput`](#cdktfprovideroktaidpoidcpropertysubjectmatchattributeinput) | `string` | *No description.* |
| [`subjectMatchTypeInput`](#cdktfprovideroktaidpoidcpropertysubjectmatchtypeinput) | `string` | *No description.* |
| [`suspendedActionInput`](#cdktfprovideroktaidpoidcpropertysuspendedactioninput) | `string` | *No description.* |
| [`tokenBindingInput`](#cdktfprovideroktaidpoidcpropertytokenbindinginput) | `string` | *No description.* |
| [`tokenUrlInput`](#cdktfprovideroktaidpoidcpropertytokenurlinput) | `string` | *No description.* |
| [`userInfoBindingInput`](#cdktfprovideroktaidpoidcpropertyuserinfobindinginput) | `string` | *No description.* |
| [`userInfoUrlInput`](#cdktfprovideroktaidpoidcpropertyuserinfourlinput) | `string` | *No description.* |
| [`usernameTemplateInput`](#cdktfprovideroktaidpoidcpropertyusernametemplateinput) | `string` | *No description.* |
| [`accountLinkAction`](#cdktfprovideroktaidpoidcpropertyaccountlinkaction)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidpoidcpropertyaccountlinkgroupinclude)<span title="Required">*</span> | `string`[] | *No description.* |
| [`authorizationBinding`](#cdktfprovideroktaidpoidcpropertyauthorizationbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`authorizationUrl`](#cdktfprovideroktaidpoidcpropertyauthorizationurl)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktaidpoidcpropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientSecret`](#cdktfprovideroktaidpoidcpropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`deprovisionedAction`](#cdktfprovideroktaidpoidcpropertydeprovisionedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAction`](#cdktfprovideroktaidpoidcpropertygroupsaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAssignment`](#cdktfprovideroktaidpoidcpropertygroupsassignment)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsAttribute`](#cdktfprovideroktaidpoidcpropertygroupsattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsFilter`](#cdktfprovideroktaidpoidcpropertygroupsfilter)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaidpoidcpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktaidpoidcpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerUrl`](#cdktfprovideroktaidpoidcpropertyissuerurl)<span title="Required">*</span> | `string` | *No description.* |
| [`jwksBinding`](#cdktfprovideroktaidpoidcpropertyjwksbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`jwksUrl`](#cdktfprovideroktaidpoidcpropertyjwksurl)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktaidpoidcpropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`name`](#cdktfprovideroktaidpoidcpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`profileMaster`](#cdktfprovideroktaidpoidcpropertyprofilemaster)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolType`](#cdktfprovideroktaidpoidcpropertyprotocoltype)<span title="Required">*</span> | `string` | *No description.* |
| [`provisioningAction`](#cdktfprovideroktaidpoidcpropertyprovisioningaction)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureAlgorithm`](#cdktfprovideroktaidpoidcpropertyrequestsignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureScope`](#cdktfprovideroktaidpoidcpropertyrequestsignaturescope)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktaidpoidcpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktaidpoidcpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchAttribute`](#cdktfprovideroktaidpoidcpropertysubjectmatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchType`](#cdktfprovideroktaidpoidcpropertysubjectmatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`suspendedAction`](#cdktfprovideroktaidpoidcpropertysuspendedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenBinding`](#cdktfprovideroktaidpoidcpropertytokenbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenUrl`](#cdktfprovideroktaidpoidcpropertytokenurl)<span title="Required">*</span> | `string` | *No description.* |
| [`userInfoBinding`](#cdktfprovideroktaidpoidcpropertyuserinfobinding)<span title="Required">*</span> | `string` | *No description.* |
| [`userInfoUrl`](#cdktfprovideroktaidpoidcpropertyuserinfourl)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameTemplate`](#cdktfprovideroktaidpoidcpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.type" id="cdktfprovideroktaidpoidcpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userTypeId`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.userTypeId" id="cdktfprovideroktaidpoidcpropertyusertypeid"></a>

```typescript
public readonly userTypeId: string;
```

- *Type:* `string`

---

##### `accountLinkActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.accountLinkActionInput" id="cdktfprovideroktaidpoidcpropertyaccountlinkactioninput"></a>

```typescript
public readonly accountLinkActionInput: string;
```

- *Type:* `string`

---

##### `accountLinkGroupIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.accountLinkGroupIncludeInput" id="cdktfprovideroktaidpoidcpropertyaccountlinkgroupincludeinput"></a>

```typescript
public readonly accountLinkGroupIncludeInput: string[];
```

- *Type:* `string`[]

---

##### `authorizationBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.authorizationBindingInput" id="cdktfprovideroktaidpoidcpropertyauthorizationbindinginput"></a>

```typescript
public readonly authorizationBindingInput: string;
```

- *Type:* `string`

---

##### `authorizationUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.authorizationUrlInput" id="cdktfprovideroktaidpoidcpropertyauthorizationurlinput"></a>

```typescript
public readonly authorizationUrlInput: string;
```

- *Type:* `string`

---

##### `clientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.clientIdInput" id="cdktfprovideroktaidpoidcpropertyclientidinput"></a>

```typescript
public readonly clientIdInput: string;
```

- *Type:* `string`

---

##### `clientSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.clientSecretInput" id="cdktfprovideroktaidpoidcpropertyclientsecretinput"></a>

```typescript
public readonly clientSecretInput: string;
```

- *Type:* `string`

---

##### `deprovisionedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.deprovisionedActionInput" id="cdktfprovideroktaidpoidcpropertydeprovisionedactioninput"></a>

```typescript
public readonly deprovisionedActionInput: string;
```

- *Type:* `string`

---

##### `groupsActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsActionInput" id="cdktfprovideroktaidpoidcpropertygroupsactioninput"></a>

```typescript
public readonly groupsActionInput: string;
```

- *Type:* `string`

---

##### `groupsAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsAssignmentInput" id="cdktfprovideroktaidpoidcpropertygroupsassignmentinput"></a>

```typescript
public readonly groupsAssignmentInput: string[];
```

- *Type:* `string`[]

---

##### `groupsAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsAttributeInput" id="cdktfprovideroktaidpoidcpropertygroupsattributeinput"></a>

```typescript
public readonly groupsAttributeInput: string;
```

- *Type:* `string`

---

##### `groupsFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsFilterInput" id="cdktfprovideroktaidpoidcpropertygroupsfilterinput"></a>

```typescript
public readonly groupsFilterInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.idInput" id="cdktfprovideroktaidpoidcpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.issuerModeInput" id="cdktfprovideroktaidpoidcpropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `issuerUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.issuerUrlInput" id="cdktfprovideroktaidpoidcpropertyissuerurlinput"></a>

```typescript
public readonly issuerUrlInput: string;
```

- *Type:* `string`

---

##### `jwksBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.jwksBindingInput" id="cdktfprovideroktaidpoidcpropertyjwksbindinginput"></a>

```typescript
public readonly jwksBindingInput: string;
```

- *Type:* `string`

---

##### `jwksUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.jwksUrlInput" id="cdktfprovideroktaidpoidcpropertyjwksurlinput"></a>

```typescript
public readonly jwksUrlInput: string;
```

- *Type:* `string`

---

##### `maxClockSkewInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.maxClockSkewInput" id="cdktfprovideroktaidpoidcpropertymaxclockskewinput"></a>

```typescript
public readonly maxClockSkewInput: number;
```

- *Type:* `number`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.nameInput" id="cdktfprovideroktaidpoidcpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `profileMasterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.profileMasterInput" id="cdktfprovideroktaidpoidcpropertyprofilemasterinput"></a>

```typescript
public readonly profileMasterInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.protocolTypeInput" id="cdktfprovideroktaidpoidcpropertyprotocoltypeinput"></a>

```typescript
public readonly protocolTypeInput: string;
```

- *Type:* `string`

---

##### `provisioningActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.provisioningActionInput" id="cdktfprovideroktaidpoidcpropertyprovisioningactioninput"></a>

```typescript
public readonly provisioningActionInput: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.requestSignatureAlgorithmInput" id="cdktfprovideroktaidpoidcpropertyrequestsignaturealgorithminput"></a>

```typescript
public readonly requestSignatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `requestSignatureScopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.requestSignatureScopeInput" id="cdktfprovideroktaidpoidcpropertyrequestsignaturescopeinput"></a>

```typescript
public readonly requestSignatureScopeInput: string;
```

- *Type:* `string`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.scopesInput" id="cdktfprovideroktaidpoidcpropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.statusInput" id="cdktfprovideroktaidpoidcpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectMatchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.subjectMatchAttributeInput" id="cdktfprovideroktaidpoidcpropertysubjectmatchattributeinput"></a>

```typescript
public readonly subjectMatchAttributeInput: string;
```

- *Type:* `string`

---

##### `subjectMatchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.subjectMatchTypeInput" id="cdktfprovideroktaidpoidcpropertysubjectmatchtypeinput"></a>

```typescript
public readonly subjectMatchTypeInput: string;
```

- *Type:* `string`

---

##### `suspendedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.suspendedActionInput" id="cdktfprovideroktaidpoidcpropertysuspendedactioninput"></a>

```typescript
public readonly suspendedActionInput: string;
```

- *Type:* `string`

---

##### `tokenBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.tokenBindingInput" id="cdktfprovideroktaidpoidcpropertytokenbindinginput"></a>

```typescript
public readonly tokenBindingInput: string;
```

- *Type:* `string`

---

##### `tokenUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.tokenUrlInput" id="cdktfprovideroktaidpoidcpropertytokenurlinput"></a>

```typescript
public readonly tokenUrlInput: string;
```

- *Type:* `string`

---

##### `userInfoBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.userInfoBindingInput" id="cdktfprovideroktaidpoidcpropertyuserinfobindinginput"></a>

```typescript
public readonly userInfoBindingInput: string;
```

- *Type:* `string`

---

##### `userInfoUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.userInfoUrlInput" id="cdktfprovideroktaidpoidcpropertyuserinfourlinput"></a>

```typescript
public readonly userInfoUrlInput: string;
```

- *Type:* `string`

---

##### `usernameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidc.property.usernameTemplateInput" id="cdktfprovideroktaidpoidcpropertyusernametemplateinput"></a>

```typescript
public readonly usernameTemplateInput: string;
```

- *Type:* `string`

---

##### `accountLinkAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.accountLinkAction" id="cdktfprovideroktaidpoidcpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

---

##### `accountLinkGroupInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.accountLinkGroupInclude" id="cdktfprovideroktaidpoidcpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.authorizationBinding" id="cdktfprovideroktaidpoidcpropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.authorizationUrl" id="cdktfprovideroktaidpoidcpropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.clientId" id="cdktfprovideroktaidpoidcpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.clientSecret" id="cdktfprovideroktaidpoidcpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `deprovisionedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.deprovisionedAction" id="cdktfprovideroktaidpoidcpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

---

##### `groupsAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsAction" id="cdktfprovideroktaidpoidcpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

---

##### `groupsAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsAssignment" id="cdktfprovideroktaidpoidcpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

---

##### `groupsAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsAttribute" id="cdktfprovideroktaidpoidcpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

---

##### `groupsFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.groupsFilter" id="cdktfprovideroktaidpoidcpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.id" id="cdktfprovideroktaidpoidcpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.issuerMode" id="cdktfprovideroktaidpoidcpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `issuerUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.issuerUrl" id="cdktfprovideroktaidpoidcpropertyissuerurl"></a>

```typescript
public readonly issuerUrl: string;
```

- *Type:* `string`

---

##### `jwksBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.jwksBinding" id="cdktfprovideroktaidpoidcpropertyjwksbinding"></a>

```typescript
public readonly jwksBinding: string;
```

- *Type:* `string`

---

##### `jwksUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.jwksUrl" id="cdktfprovideroktaidpoidcpropertyjwksurl"></a>

```typescript
public readonly jwksUrl: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.maxClockSkew" id="cdktfprovideroktaidpoidcpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.name" id="cdktfprovideroktaidpoidcpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `profileMaster`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.profileMaster" id="cdktfprovideroktaidpoidcpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolType`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.protocolType" id="cdktfprovideroktaidpoidcpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

---

##### `provisioningAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.provisioningAction" id="cdktfprovideroktaidpoidcpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.requestSignatureAlgorithm" id="cdktfprovideroktaidpoidcpropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

---

##### `requestSignatureScope`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.requestSignatureScope" id="cdktfprovideroktaidpoidcpropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.scopes" id="cdktfprovideroktaidpoidcpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.status" id="cdktfprovideroktaidpoidcpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectMatchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.subjectMatchAttribute" id="cdktfprovideroktaidpoidcpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

---

##### `subjectMatchType`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.subjectMatchType" id="cdktfprovideroktaidpoidcpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

---

##### `suspendedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.suspendedAction" id="cdktfprovideroktaidpoidcpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.tokenBinding" id="cdktfprovideroktaidpoidcpropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.tokenUrl" id="cdktfprovideroktaidpoidcpropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

---

##### `userInfoBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.userInfoBinding" id="cdktfprovideroktaidpoidcpropertyuserinfobinding"></a>

```typescript
public readonly userInfoBinding: string;
```

- *Type:* `string`

---

##### `userInfoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.userInfoUrl" id="cdktfprovideroktaidpoidcpropertyuserinfourl"></a>

```typescript
public readonly userInfoUrl: string;
```

- *Type:* `string`

---

##### `usernameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidc.property.usernameTemplate" id="cdktfprovideroktaidpoidcpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaidpoidcpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.IdpOidc.property.tfResourceType" id="cdktfprovideroktaidpoidcpropertytfresourcetype"></a>

- *Type:* `string`

---

### IdpSaml <a name="@cdktf/provider-okta.IdpSaml" id="cdktfprovideroktaidpsaml"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/idp_saml okta_idp_saml}.

#### Initializers <a name="@cdktf/provider-okta.IdpSaml.Initializer" id="cdktfprovideroktaidpsamlinitializer"></a>

```typescript
import { IdpSaml } from '@cdktf/provider-okta'

new IdpSaml(scope: Construct, id: string, config: IdpSamlConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaidpsamlparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaidpsamlparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaidpsamlparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.IdpSamlConfig`](#@cdktf/provider-okta.IdpSamlConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.parameter.scope" id="cdktfprovideroktaidpsamlparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.parameter.id" id="cdktfprovideroktaidpsamlparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.parameter.config" id="cdktfprovideroktaidpsamlparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.IdpSamlConfig`](#@cdktf/provider-okta.IdpSamlConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccountLinkAction`](#cdktfprovideroktaidpsamlresetaccountlinkaction) | *No description.* |
| [`resetAccountLinkGroupInclude`](#cdktfprovideroktaidpsamlresetaccountlinkgroupinclude) | *No description.* |
| [`resetAcsBinding`](#cdktfprovideroktaidpsamlresetacsbinding) | *No description.* |
| [`resetAcsType`](#cdktfprovideroktaidpsamlresetacstype) | *No description.* |
| [`resetDeprovisionedAction`](#cdktfprovideroktaidpsamlresetdeprovisionedaction) | *No description.* |
| [`resetGroupsAction`](#cdktfprovideroktaidpsamlresetgroupsaction) | *No description.* |
| [`resetGroupsAssignment`](#cdktfprovideroktaidpsamlresetgroupsassignment) | *No description.* |
| [`resetGroupsAttribute`](#cdktfprovideroktaidpsamlresetgroupsattribute) | *No description.* |
| [`resetGroupsFilter`](#cdktfprovideroktaidpsamlresetgroupsfilter) | *No description.* |
| [`resetId`](#cdktfprovideroktaidpsamlresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaidpsamlresetissuermode) | *No description.* |
| [`resetMaxClockSkew`](#cdktfprovideroktaidpsamlresetmaxclockskew) | *No description.* |
| [`resetNameFormat`](#cdktfprovideroktaidpsamlresetnameformat) | *No description.* |
| [`resetProfileMaster`](#cdktfprovideroktaidpsamlresetprofilemaster) | *No description.* |
| [`resetProvisioningAction`](#cdktfprovideroktaidpsamlresetprovisioningaction) | *No description.* |
| [`resetRequestSignatureAlgorithm`](#cdktfprovideroktaidpsamlresetrequestsignaturealgorithm) | *No description.* |
| [`resetRequestSignatureScope`](#cdktfprovideroktaidpsamlresetrequestsignaturescope) | *No description.* |
| [`resetResponseSignatureAlgorithm`](#cdktfprovideroktaidpsamlresetresponsesignaturealgorithm) | *No description.* |
| [`resetResponseSignatureScope`](#cdktfprovideroktaidpsamlresetresponsesignaturescope) | *No description.* |
| [`resetSsoBinding`](#cdktfprovideroktaidpsamlresetssobinding) | *No description.* |
| [`resetSsoDestination`](#cdktfprovideroktaidpsamlresetssodestination) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaidpsamlresetstatus) | *No description.* |
| [`resetSubjectFilter`](#cdktfprovideroktaidpsamlresetsubjectfilter) | *No description.* |
| [`resetSubjectFormat`](#cdktfprovideroktaidpsamlresetsubjectformat) | *No description.* |
| [`resetSubjectMatchAttribute`](#cdktfprovideroktaidpsamlresetsubjectmatchattribute) | *No description.* |
| [`resetSubjectMatchType`](#cdktfprovideroktaidpsamlresetsubjectmatchtype) | *No description.* |
| [`resetSuspendedAction`](#cdktfprovideroktaidpsamlresetsuspendedaction) | *No description.* |
| [`resetUsernameTemplate`](#cdktfprovideroktaidpsamlresetusernametemplate) | *No description.* |

---

##### `resetAccountLinkAction` <a name="@cdktf/provider-okta.IdpSaml.resetAccountLinkAction" id="cdktfprovideroktaidpsamlresetaccountlinkaction"></a>

```typescript
public resetAccountLinkAction()
```

##### `resetAccountLinkGroupInclude` <a name="@cdktf/provider-okta.IdpSaml.resetAccountLinkGroupInclude" id="cdktfprovideroktaidpsamlresetaccountlinkgroupinclude"></a>

```typescript
public resetAccountLinkGroupInclude()
```

##### `resetAcsBinding` <a name="@cdktf/provider-okta.IdpSaml.resetAcsBinding" id="cdktfprovideroktaidpsamlresetacsbinding"></a>

```typescript
public resetAcsBinding()
```

##### `resetAcsType` <a name="@cdktf/provider-okta.IdpSaml.resetAcsType" id="cdktfprovideroktaidpsamlresetacstype"></a>

```typescript
public resetAcsType()
```

##### `resetDeprovisionedAction` <a name="@cdktf/provider-okta.IdpSaml.resetDeprovisionedAction" id="cdktfprovideroktaidpsamlresetdeprovisionedaction"></a>

```typescript
public resetDeprovisionedAction()
```

##### `resetGroupsAction` <a name="@cdktf/provider-okta.IdpSaml.resetGroupsAction" id="cdktfprovideroktaidpsamlresetgroupsaction"></a>

```typescript
public resetGroupsAction()
```

##### `resetGroupsAssignment` <a name="@cdktf/provider-okta.IdpSaml.resetGroupsAssignment" id="cdktfprovideroktaidpsamlresetgroupsassignment"></a>

```typescript
public resetGroupsAssignment()
```

##### `resetGroupsAttribute` <a name="@cdktf/provider-okta.IdpSaml.resetGroupsAttribute" id="cdktfprovideroktaidpsamlresetgroupsattribute"></a>

```typescript
public resetGroupsAttribute()
```

##### `resetGroupsFilter` <a name="@cdktf/provider-okta.IdpSaml.resetGroupsFilter" id="cdktfprovideroktaidpsamlresetgroupsfilter"></a>

```typescript
public resetGroupsFilter()
```

##### `resetId` <a name="@cdktf/provider-okta.IdpSaml.resetId" id="cdktfprovideroktaidpsamlresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.IdpSaml.resetIssuerMode" id="cdktfprovideroktaidpsamlresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetMaxClockSkew` <a name="@cdktf/provider-okta.IdpSaml.resetMaxClockSkew" id="cdktfprovideroktaidpsamlresetmaxclockskew"></a>

```typescript
public resetMaxClockSkew()
```

##### `resetNameFormat` <a name="@cdktf/provider-okta.IdpSaml.resetNameFormat" id="cdktfprovideroktaidpsamlresetnameformat"></a>

```typescript
public resetNameFormat()
```

##### `resetProfileMaster` <a name="@cdktf/provider-okta.IdpSaml.resetProfileMaster" id="cdktfprovideroktaidpsamlresetprofilemaster"></a>

```typescript
public resetProfileMaster()
```

##### `resetProvisioningAction` <a name="@cdktf/provider-okta.IdpSaml.resetProvisioningAction" id="cdktfprovideroktaidpsamlresetprovisioningaction"></a>

```typescript
public resetProvisioningAction()
```

##### `resetRequestSignatureAlgorithm` <a name="@cdktf/provider-okta.IdpSaml.resetRequestSignatureAlgorithm" id="cdktfprovideroktaidpsamlresetrequestsignaturealgorithm"></a>

```typescript
public resetRequestSignatureAlgorithm()
```

##### `resetRequestSignatureScope` <a name="@cdktf/provider-okta.IdpSaml.resetRequestSignatureScope" id="cdktfprovideroktaidpsamlresetrequestsignaturescope"></a>

```typescript
public resetRequestSignatureScope()
```

##### `resetResponseSignatureAlgorithm` <a name="@cdktf/provider-okta.IdpSaml.resetResponseSignatureAlgorithm" id="cdktfprovideroktaidpsamlresetresponsesignaturealgorithm"></a>

```typescript
public resetResponseSignatureAlgorithm()
```

##### `resetResponseSignatureScope` <a name="@cdktf/provider-okta.IdpSaml.resetResponseSignatureScope" id="cdktfprovideroktaidpsamlresetresponsesignaturescope"></a>

```typescript
public resetResponseSignatureScope()
```

##### `resetSsoBinding` <a name="@cdktf/provider-okta.IdpSaml.resetSsoBinding" id="cdktfprovideroktaidpsamlresetssobinding"></a>

```typescript
public resetSsoBinding()
```

##### `resetSsoDestination` <a name="@cdktf/provider-okta.IdpSaml.resetSsoDestination" id="cdktfprovideroktaidpsamlresetssodestination"></a>

```typescript
public resetSsoDestination()
```

##### `resetStatus` <a name="@cdktf/provider-okta.IdpSaml.resetStatus" id="cdktfprovideroktaidpsamlresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectFilter` <a name="@cdktf/provider-okta.IdpSaml.resetSubjectFilter" id="cdktfprovideroktaidpsamlresetsubjectfilter"></a>

```typescript
public resetSubjectFilter()
```

##### `resetSubjectFormat` <a name="@cdktf/provider-okta.IdpSaml.resetSubjectFormat" id="cdktfprovideroktaidpsamlresetsubjectformat"></a>

```typescript
public resetSubjectFormat()
```

##### `resetSubjectMatchAttribute` <a name="@cdktf/provider-okta.IdpSaml.resetSubjectMatchAttribute" id="cdktfprovideroktaidpsamlresetsubjectmatchattribute"></a>

```typescript
public resetSubjectMatchAttribute()
```

##### `resetSubjectMatchType` <a name="@cdktf/provider-okta.IdpSaml.resetSubjectMatchType" id="cdktfprovideroktaidpsamlresetsubjectmatchtype"></a>

```typescript
public resetSubjectMatchType()
```

##### `resetSuspendedAction` <a name="@cdktf/provider-okta.IdpSaml.resetSuspendedAction" id="cdktfprovideroktaidpsamlresetsuspendedaction"></a>

```typescript
public resetSuspendedAction()
```

##### `resetUsernameTemplate` <a name="@cdktf/provider-okta.IdpSaml.resetUsernameTemplate" id="cdktfprovideroktaidpsamlresetusernametemplate"></a>

```typescript
public resetUsernameTemplate()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`audience`](#cdktfprovideroktaidpsamlpropertyaudience)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaidpsamlpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userTypeId`](#cdktfprovideroktaidpsamlpropertyusertypeid)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkActionInput`](#cdktfprovideroktaidpsamlpropertyaccountlinkactioninput) | `string` | *No description.* |
| [`accountLinkGroupIncludeInput`](#cdktfprovideroktaidpsamlpropertyaccountlinkgroupincludeinput) | `string`[] | *No description.* |
| [`acsBindingInput`](#cdktfprovideroktaidpsamlpropertyacsbindinginput) | `string` | *No description.* |
| [`acsTypeInput`](#cdktfprovideroktaidpsamlpropertyacstypeinput) | `string` | *No description.* |
| [`deprovisionedActionInput`](#cdktfprovideroktaidpsamlpropertydeprovisionedactioninput) | `string` | *No description.* |
| [`groupsActionInput`](#cdktfprovideroktaidpsamlpropertygroupsactioninput) | `string` | *No description.* |
| [`groupsAssignmentInput`](#cdktfprovideroktaidpsamlpropertygroupsassignmentinput) | `string`[] | *No description.* |
| [`groupsAttributeInput`](#cdktfprovideroktaidpsamlpropertygroupsattributeinput) | `string` | *No description.* |
| [`groupsFilterInput`](#cdktfprovideroktaidpsamlpropertygroupsfilterinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktaidpsamlpropertyidinput) | `string` | *No description.* |
| [`issuerInput`](#cdktfprovideroktaidpsamlpropertyissuerinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaidpsamlpropertyissuermodeinput) | `string` | *No description.* |
| [`kidInput`](#cdktfprovideroktaidpsamlpropertykidinput) | `string` | *No description.* |
| [`maxClockSkewInput`](#cdktfprovideroktaidpsamlpropertymaxclockskewinput) | `number` | *No description.* |
| [`nameFormatInput`](#cdktfprovideroktaidpsamlpropertynameformatinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaidpsamlpropertynameinput) | `string` | *No description.* |
| [`profileMasterInput`](#cdktfprovideroktaidpsamlpropertyprofilemasterinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`provisioningActionInput`](#cdktfprovideroktaidpsamlpropertyprovisioningactioninput) | `string` | *No description.* |
| [`requestSignatureAlgorithmInput`](#cdktfprovideroktaidpsamlpropertyrequestsignaturealgorithminput) | `string` | *No description.* |
| [`requestSignatureScopeInput`](#cdktfprovideroktaidpsamlpropertyrequestsignaturescopeinput) | `string` | *No description.* |
| [`responseSignatureAlgorithmInput`](#cdktfprovideroktaidpsamlpropertyresponsesignaturealgorithminput) | `string` | *No description.* |
| [`responseSignatureScopeInput`](#cdktfprovideroktaidpsamlpropertyresponsesignaturescopeinput) | `string` | *No description.* |
| [`ssoBindingInput`](#cdktfprovideroktaidpsamlpropertyssobindinginput) | `string` | *No description.* |
| [`ssoDestinationInput`](#cdktfprovideroktaidpsamlpropertyssodestinationinput) | `string` | *No description.* |
| [`ssoUrlInput`](#cdktfprovideroktaidpsamlpropertyssourlinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktaidpsamlpropertystatusinput) | `string` | *No description.* |
| [`subjectFilterInput`](#cdktfprovideroktaidpsamlpropertysubjectfilterinput) | `string` | *No description.* |
| [`subjectFormatInput`](#cdktfprovideroktaidpsamlpropertysubjectformatinput) | `string`[] | *No description.* |
| [`subjectMatchAttributeInput`](#cdktfprovideroktaidpsamlpropertysubjectmatchattributeinput) | `string` | *No description.* |
| [`subjectMatchTypeInput`](#cdktfprovideroktaidpsamlpropertysubjectmatchtypeinput) | `string` | *No description.* |
| [`suspendedActionInput`](#cdktfprovideroktaidpsamlpropertysuspendedactioninput) | `string` | *No description.* |
| [`usernameTemplateInput`](#cdktfprovideroktaidpsamlpropertyusernametemplateinput) | `string` | *No description.* |
| [`accountLinkAction`](#cdktfprovideroktaidpsamlpropertyaccountlinkaction)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidpsamlpropertyaccountlinkgroupinclude)<span title="Required">*</span> | `string`[] | *No description.* |
| [`acsBinding`](#cdktfprovideroktaidpsamlpropertyacsbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`acsType`](#cdktfprovideroktaidpsamlpropertyacstype)<span title="Required">*</span> | `string` | *No description.* |
| [`deprovisionedAction`](#cdktfprovideroktaidpsamlpropertydeprovisionedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAction`](#cdktfprovideroktaidpsamlpropertygroupsaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAssignment`](#cdktfprovideroktaidpsamlpropertygroupsassignment)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsAttribute`](#cdktfprovideroktaidpsamlpropertygroupsattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsFilter`](#cdktfprovideroktaidpsamlpropertygroupsfilter)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaidpsamlpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuer`](#cdktfprovideroktaidpsamlpropertyissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktaidpsamlpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktaidpsamlpropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktaidpsamlpropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`name`](#cdktfprovideroktaidpsamlpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`nameFormat`](#cdktfprovideroktaidpsamlpropertynameformat)<span title="Required">*</span> | `string` | *No description.* |
| [`profileMaster`](#cdktfprovideroktaidpsamlpropertyprofilemaster)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`provisioningAction`](#cdktfprovideroktaidpsamlpropertyprovisioningaction)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureAlgorithm`](#cdktfprovideroktaidpsamlpropertyrequestsignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureScope`](#cdktfprovideroktaidpsamlpropertyrequestsignaturescope)<span title="Required">*</span> | `string` | *No description.* |
| [`responseSignatureAlgorithm`](#cdktfprovideroktaidpsamlpropertyresponsesignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`responseSignatureScope`](#cdktfprovideroktaidpsamlpropertyresponsesignaturescope)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoBinding`](#cdktfprovideroktaidpsamlpropertyssobinding)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoDestination`](#cdktfprovideroktaidpsamlpropertyssodestination)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoUrl`](#cdktfprovideroktaidpsamlpropertyssourl)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaidpsamlpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectFilter`](#cdktfprovideroktaidpsamlpropertysubjectfilter)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectFormat`](#cdktfprovideroktaidpsamlpropertysubjectformat)<span title="Required">*</span> | `string`[] | *No description.* |
| [`subjectMatchAttribute`](#cdktfprovideroktaidpsamlpropertysubjectmatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchType`](#cdktfprovideroktaidpsamlpropertysubjectmatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`suspendedAction`](#cdktfprovideroktaidpsamlpropertysuspendedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameTemplate`](#cdktfprovideroktaidpsamlpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |

---

##### `audience`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.audience" id="cdktfprovideroktaidpsamlpropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.type" id="cdktfprovideroktaidpsamlpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userTypeId`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.userTypeId" id="cdktfprovideroktaidpsamlpropertyusertypeid"></a>

```typescript
public readonly userTypeId: string;
```

- *Type:* `string`

---

##### `accountLinkActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.accountLinkActionInput" id="cdktfprovideroktaidpsamlpropertyaccountlinkactioninput"></a>

```typescript
public readonly accountLinkActionInput: string;
```

- *Type:* `string`

---

##### `accountLinkGroupIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.accountLinkGroupIncludeInput" id="cdktfprovideroktaidpsamlpropertyaccountlinkgroupincludeinput"></a>

```typescript
public readonly accountLinkGroupIncludeInput: string[];
```

- *Type:* `string`[]

---

##### `acsBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.acsBindingInput" id="cdktfprovideroktaidpsamlpropertyacsbindinginput"></a>

```typescript
public readonly acsBindingInput: string;
```

- *Type:* `string`

---

##### `acsTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.acsTypeInput" id="cdktfprovideroktaidpsamlpropertyacstypeinput"></a>

```typescript
public readonly acsTypeInput: string;
```

- *Type:* `string`

---

##### `deprovisionedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.deprovisionedActionInput" id="cdktfprovideroktaidpsamlpropertydeprovisionedactioninput"></a>

```typescript
public readonly deprovisionedActionInput: string;
```

- *Type:* `string`

---

##### `groupsActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsActionInput" id="cdktfprovideroktaidpsamlpropertygroupsactioninput"></a>

```typescript
public readonly groupsActionInput: string;
```

- *Type:* `string`

---

##### `groupsAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsAssignmentInput" id="cdktfprovideroktaidpsamlpropertygroupsassignmentinput"></a>

```typescript
public readonly groupsAssignmentInput: string[];
```

- *Type:* `string`[]

---

##### `groupsAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsAttributeInput" id="cdktfprovideroktaidpsamlpropertygroupsattributeinput"></a>

```typescript
public readonly groupsAttributeInput: string;
```

- *Type:* `string`

---

##### `groupsFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsFilterInput" id="cdktfprovideroktaidpsamlpropertygroupsfilterinput"></a>

```typescript
public readonly groupsFilterInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.idInput" id="cdktfprovideroktaidpsamlpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.issuerInput" id="cdktfprovideroktaidpsamlpropertyissuerinput"></a>

```typescript
public readonly issuerInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.issuerModeInput" id="cdktfprovideroktaidpsamlpropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `kidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.kidInput" id="cdktfprovideroktaidpsamlpropertykidinput"></a>

```typescript
public readonly kidInput: string;
```

- *Type:* `string`

---

##### `maxClockSkewInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.maxClockSkewInput" id="cdktfprovideroktaidpsamlpropertymaxclockskewinput"></a>

```typescript
public readonly maxClockSkewInput: number;
```

- *Type:* `number`

---

##### `nameFormatInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.nameFormatInput" id="cdktfprovideroktaidpsamlpropertynameformatinput"></a>

```typescript
public readonly nameFormatInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.nameInput" id="cdktfprovideroktaidpsamlpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `profileMasterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.profileMasterInput" id="cdktfprovideroktaidpsamlpropertyprofilemasterinput"></a>

```typescript
public readonly profileMasterInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `provisioningActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.provisioningActionInput" id="cdktfprovideroktaidpsamlpropertyprovisioningactioninput"></a>

```typescript
public readonly provisioningActionInput: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.requestSignatureAlgorithmInput" id="cdktfprovideroktaidpsamlpropertyrequestsignaturealgorithminput"></a>

```typescript
public readonly requestSignatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `requestSignatureScopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.requestSignatureScopeInput" id="cdktfprovideroktaidpsamlpropertyrequestsignaturescopeinput"></a>

```typescript
public readonly requestSignatureScopeInput: string;
```

- *Type:* `string`

---

##### `responseSignatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.responseSignatureAlgorithmInput" id="cdktfprovideroktaidpsamlpropertyresponsesignaturealgorithminput"></a>

```typescript
public readonly responseSignatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `responseSignatureScopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.responseSignatureScopeInput" id="cdktfprovideroktaidpsamlpropertyresponsesignaturescopeinput"></a>

```typescript
public readonly responseSignatureScopeInput: string;
```

- *Type:* `string`

---

##### `ssoBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.ssoBindingInput" id="cdktfprovideroktaidpsamlpropertyssobindinginput"></a>

```typescript
public readonly ssoBindingInput: string;
```

- *Type:* `string`

---

##### `ssoDestinationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.ssoDestinationInput" id="cdktfprovideroktaidpsamlpropertyssodestinationinput"></a>

```typescript
public readonly ssoDestinationInput: string;
```

- *Type:* `string`

---

##### `ssoUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.ssoUrlInput" id="cdktfprovideroktaidpsamlpropertyssourlinput"></a>

```typescript
public readonly ssoUrlInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.statusInput" id="cdktfprovideroktaidpsamlpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectFilterInput" id="cdktfprovideroktaidpsamlpropertysubjectfilterinput"></a>

```typescript
public readonly subjectFilterInput: string;
```

- *Type:* `string`

---

##### `subjectFormatInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectFormatInput" id="cdktfprovideroktaidpsamlpropertysubjectformatinput"></a>

```typescript
public readonly subjectFormatInput: string[];
```

- *Type:* `string`[]

---

##### `subjectMatchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectMatchAttributeInput" id="cdktfprovideroktaidpsamlpropertysubjectmatchattributeinput"></a>

```typescript
public readonly subjectMatchAttributeInput: string;
```

- *Type:* `string`

---

##### `subjectMatchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectMatchTypeInput" id="cdktfprovideroktaidpsamlpropertysubjectmatchtypeinput"></a>

```typescript
public readonly subjectMatchTypeInput: string;
```

- *Type:* `string`

---

##### `suspendedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.suspendedActionInput" id="cdktfprovideroktaidpsamlpropertysuspendedactioninput"></a>

```typescript
public readonly suspendedActionInput: string;
```

- *Type:* `string`

---

##### `usernameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSaml.property.usernameTemplateInput" id="cdktfprovideroktaidpsamlpropertyusernametemplateinput"></a>

```typescript
public readonly usernameTemplateInput: string;
```

- *Type:* `string`

---

##### `accountLinkAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.accountLinkAction" id="cdktfprovideroktaidpsamlpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

---

##### `accountLinkGroupInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.accountLinkGroupInclude" id="cdktfprovideroktaidpsamlpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

---

##### `acsBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.acsBinding" id="cdktfprovideroktaidpsamlpropertyacsbinding"></a>

```typescript
public readonly acsBinding: string;
```

- *Type:* `string`

---

##### `acsType`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.acsType" id="cdktfprovideroktaidpsamlpropertyacstype"></a>

```typescript
public readonly acsType: string;
```

- *Type:* `string`

---

##### `deprovisionedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.deprovisionedAction" id="cdktfprovideroktaidpsamlpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

---

##### `groupsAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsAction" id="cdktfprovideroktaidpsamlpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

---

##### `groupsAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsAssignment" id="cdktfprovideroktaidpsamlpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

---

##### `groupsAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsAttribute" id="cdktfprovideroktaidpsamlpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

---

##### `groupsFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.groupsFilter" id="cdktfprovideroktaidpsamlpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.id" id="cdktfprovideroktaidpsamlpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.issuer" id="cdktfprovideroktaidpsamlpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.issuerMode" id="cdktfprovideroktaidpsamlpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.kid" id="cdktfprovideroktaidpsamlpropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.maxClockSkew" id="cdktfprovideroktaidpsamlpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.name" id="cdktfprovideroktaidpsamlpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `nameFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.nameFormat" id="cdktfprovideroktaidpsamlpropertynameformat"></a>

```typescript
public readonly nameFormat: string;
```

- *Type:* `string`

---

##### `profileMaster`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.profileMaster" id="cdktfprovideroktaidpsamlpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `provisioningAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.provisioningAction" id="cdktfprovideroktaidpsamlpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.requestSignatureAlgorithm" id="cdktfprovideroktaidpsamlpropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

---

##### `requestSignatureScope`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.requestSignatureScope" id="cdktfprovideroktaidpsamlpropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

---

##### `responseSignatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.responseSignatureAlgorithm" id="cdktfprovideroktaidpsamlpropertyresponsesignaturealgorithm"></a>

```typescript
public readonly responseSignatureAlgorithm: string;
```

- *Type:* `string`

---

##### `responseSignatureScope`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.responseSignatureScope" id="cdktfprovideroktaidpsamlpropertyresponsesignaturescope"></a>

```typescript
public readonly responseSignatureScope: string;
```

- *Type:* `string`

---

##### `ssoBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.ssoBinding" id="cdktfprovideroktaidpsamlpropertyssobinding"></a>

```typescript
public readonly ssoBinding: string;
```

- *Type:* `string`

---

##### `ssoDestination`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.ssoDestination" id="cdktfprovideroktaidpsamlpropertyssodestination"></a>

```typescript
public readonly ssoDestination: string;
```

- *Type:* `string`

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.ssoUrl" id="cdktfprovideroktaidpsamlpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.status" id="cdktfprovideroktaidpsamlpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectFilter" id="cdktfprovideroktaidpsamlpropertysubjectfilter"></a>

```typescript
public readonly subjectFilter: string;
```

- *Type:* `string`

---

##### `subjectFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectFormat" id="cdktfprovideroktaidpsamlpropertysubjectformat"></a>

```typescript
public readonly subjectFormat: string[];
```

- *Type:* `string`[]

---

##### `subjectMatchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectMatchAttribute" id="cdktfprovideroktaidpsamlpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

---

##### `subjectMatchType`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.subjectMatchType" id="cdktfprovideroktaidpsamlpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

---

##### `suspendedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.suspendedAction" id="cdktfprovideroktaidpsamlpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

---

##### `usernameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSaml.property.usernameTemplate" id="cdktfprovideroktaidpsamlpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaidpsamlpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.IdpSaml.property.tfResourceType" id="cdktfprovideroktaidpsamlpropertytfresourcetype"></a>

- *Type:* `string`

---

### IdpSamlKey <a name="@cdktf/provider-okta.IdpSamlKey" id="cdktfprovideroktaidpsamlkey"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/idp_saml_key okta_idp_saml_key}.

#### Initializers <a name="@cdktf/provider-okta.IdpSamlKey.Initializer" id="cdktfprovideroktaidpsamlkeyinitializer"></a>

```typescript
import { IdpSamlKey } from '@cdktf/provider-okta'

new IdpSamlKey(scope: Construct, id: string, config: IdpSamlKeyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaidpsamlkeyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaidpsamlkeyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaidpsamlkeyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.IdpSamlKeyConfig`](#@cdktf/provider-okta.IdpSamlKeyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.parameter.scope" id="cdktfprovideroktaidpsamlkeyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.parameter.id" id="cdktfprovideroktaidpsamlkeyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.parameter.config" id="cdktfprovideroktaidpsamlkeyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.IdpSamlKeyConfig`](#@cdktf/provider-okta.IdpSamlKeyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaidpsamlkeyresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.IdpSamlKey.resetId" id="cdktfprovideroktaidpsamlkeyresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`created`](#cdktfprovideroktaidpsamlkeypropertycreated)<span title="Required">*</span> | `string` | *No description.* |
| [`expiresAt`](#cdktfprovideroktaidpsamlkeypropertyexpiresat)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktaidpsamlkeypropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`kty`](#cdktfprovideroktaidpsamlkeypropertykty)<span title="Required">*</span> | `string` | *No description.* |
| [`use`](#cdktfprovideroktaidpsamlkeypropertyuse)<span title="Required">*</span> | `string` | *No description.* |
| [`x5TS256`](#cdktfprovideroktaidpsamlkeypropertyx5ts256)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaidpsamlkeypropertyidinput) | `string` | *No description.* |
| [`x5CInput`](#cdktfprovideroktaidpsamlkeypropertyx5cinput) | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaidpsamlkeypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`x5C`](#cdktfprovideroktaidpsamlkeypropertyx5c)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `created`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.created" id="cdktfprovideroktaidpsamlkeypropertycreated"></a>

```typescript
public readonly created: string;
```

- *Type:* `string`

---

##### `expiresAt`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.expiresAt" id="cdktfprovideroktaidpsamlkeypropertyexpiresat"></a>

```typescript
public readonly expiresAt: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.kid" id="cdktfprovideroktaidpsamlkeypropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.kty" id="cdktfprovideroktaidpsamlkeypropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

---

##### `use`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.use" id="cdktfprovideroktaidpsamlkeypropertyuse"></a>

```typescript
public readonly use: string;
```

- *Type:* `string`

---

##### `x5TS256`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.x5TS256" id="cdktfprovideroktaidpsamlkeypropertyx5ts256"></a>

```typescript
public readonly x5TS256: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.idInput" id="cdktfprovideroktaidpsamlkeypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `x5CInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.x5CInput" id="cdktfprovideroktaidpsamlkeypropertyx5cinput"></a>

```typescript
public readonly x5CInput: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.id" id="cdktfprovideroktaidpsamlkeypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `x5C`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKey.property.x5C" id="cdktfprovideroktaidpsamlkeypropertyx5c"></a>

```typescript
public readonly x5C: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaidpsamlkeypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.IdpSamlKey.property.tfResourceType" id="cdktfprovideroktaidpsamlkeypropertytfresourcetype"></a>

- *Type:* `string`

---

### IdpSocial <a name="@cdktf/provider-okta.IdpSocial" id="cdktfprovideroktaidpsocial"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/idp_social okta_idp_social}.

#### Initializers <a name="@cdktf/provider-okta.IdpSocial.Initializer" id="cdktfprovideroktaidpsocialinitializer"></a>

```typescript
import { IdpSocial } from '@cdktf/provider-okta'

new IdpSocial(scope: Construct, id: string, config: IdpSocialConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaidpsocialparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaidpsocialparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaidpsocialparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.IdpSocialConfig`](#@cdktf/provider-okta.IdpSocialConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.parameter.scope" id="cdktfprovideroktaidpsocialparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.parameter.id" id="cdktfprovideroktaidpsocialparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.parameter.config" id="cdktfprovideroktaidpsocialparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.IdpSocialConfig`](#@cdktf/provider-okta.IdpSocialConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccountLinkAction`](#cdktfprovideroktaidpsocialresetaccountlinkaction) | *No description.* |
| [`resetAccountLinkGroupInclude`](#cdktfprovideroktaidpsocialresetaccountlinkgroupinclude) | *No description.* |
| [`resetAppleKid`](#cdktfprovideroktaidpsocialresetapplekid) | *No description.* |
| [`resetApplePrivateKey`](#cdktfprovideroktaidpsocialresetappleprivatekey) | *No description.* |
| [`resetAppleTeamId`](#cdktfprovideroktaidpsocialresetappleteamid) | *No description.* |
| [`resetClientId`](#cdktfprovideroktaidpsocialresetclientid) | *No description.* |
| [`resetClientSecret`](#cdktfprovideroktaidpsocialresetclientsecret) | *No description.* |
| [`resetDeprovisionedAction`](#cdktfprovideroktaidpsocialresetdeprovisionedaction) | *No description.* |
| [`resetGroupsAction`](#cdktfprovideroktaidpsocialresetgroupsaction) | *No description.* |
| [`resetGroupsAssignment`](#cdktfprovideroktaidpsocialresetgroupsassignment) | *No description.* |
| [`resetGroupsAttribute`](#cdktfprovideroktaidpsocialresetgroupsattribute) | *No description.* |
| [`resetGroupsFilter`](#cdktfprovideroktaidpsocialresetgroupsfilter) | *No description.* |
| [`resetId`](#cdktfprovideroktaidpsocialresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaidpsocialresetissuermode) | *No description.* |
| [`resetMatchAttribute`](#cdktfprovideroktaidpsocialresetmatchattribute) | *No description.* |
| [`resetMatchType`](#cdktfprovideroktaidpsocialresetmatchtype) | *No description.* |
| [`resetMaxClockSkew`](#cdktfprovideroktaidpsocialresetmaxclockskew) | *No description.* |
| [`resetProfileMaster`](#cdktfprovideroktaidpsocialresetprofilemaster) | *No description.* |
| [`resetProtocolType`](#cdktfprovideroktaidpsocialresetprotocoltype) | *No description.* |
| [`resetProvisioningAction`](#cdktfprovideroktaidpsocialresetprovisioningaction) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaidpsocialresetstatus) | *No description.* |
| [`resetSubjectMatchAttribute`](#cdktfprovideroktaidpsocialresetsubjectmatchattribute) | *No description.* |
| [`resetSubjectMatchType`](#cdktfprovideroktaidpsocialresetsubjectmatchtype) | *No description.* |
| [`resetSuspendedAction`](#cdktfprovideroktaidpsocialresetsuspendedaction) | *No description.* |
| [`resetUsernameTemplate`](#cdktfprovideroktaidpsocialresetusernametemplate) | *No description.* |

---

##### `resetAccountLinkAction` <a name="@cdktf/provider-okta.IdpSocial.resetAccountLinkAction" id="cdktfprovideroktaidpsocialresetaccountlinkaction"></a>

```typescript
public resetAccountLinkAction()
```

##### `resetAccountLinkGroupInclude` <a name="@cdktf/provider-okta.IdpSocial.resetAccountLinkGroupInclude" id="cdktfprovideroktaidpsocialresetaccountlinkgroupinclude"></a>

```typescript
public resetAccountLinkGroupInclude()
```

##### `resetAppleKid` <a name="@cdktf/provider-okta.IdpSocial.resetAppleKid" id="cdktfprovideroktaidpsocialresetapplekid"></a>

```typescript
public resetAppleKid()
```

##### `resetApplePrivateKey` <a name="@cdktf/provider-okta.IdpSocial.resetApplePrivateKey" id="cdktfprovideroktaidpsocialresetappleprivatekey"></a>

```typescript
public resetApplePrivateKey()
```

##### `resetAppleTeamId` <a name="@cdktf/provider-okta.IdpSocial.resetAppleTeamId" id="cdktfprovideroktaidpsocialresetappleteamid"></a>

```typescript
public resetAppleTeamId()
```

##### `resetClientId` <a name="@cdktf/provider-okta.IdpSocial.resetClientId" id="cdktfprovideroktaidpsocialresetclientid"></a>

```typescript
public resetClientId()
```

##### `resetClientSecret` <a name="@cdktf/provider-okta.IdpSocial.resetClientSecret" id="cdktfprovideroktaidpsocialresetclientsecret"></a>

```typescript
public resetClientSecret()
```

##### `resetDeprovisionedAction` <a name="@cdktf/provider-okta.IdpSocial.resetDeprovisionedAction" id="cdktfprovideroktaidpsocialresetdeprovisionedaction"></a>

```typescript
public resetDeprovisionedAction()
```

##### `resetGroupsAction` <a name="@cdktf/provider-okta.IdpSocial.resetGroupsAction" id="cdktfprovideroktaidpsocialresetgroupsaction"></a>

```typescript
public resetGroupsAction()
```

##### `resetGroupsAssignment` <a name="@cdktf/provider-okta.IdpSocial.resetGroupsAssignment" id="cdktfprovideroktaidpsocialresetgroupsassignment"></a>

```typescript
public resetGroupsAssignment()
```

##### `resetGroupsAttribute` <a name="@cdktf/provider-okta.IdpSocial.resetGroupsAttribute" id="cdktfprovideroktaidpsocialresetgroupsattribute"></a>

```typescript
public resetGroupsAttribute()
```

##### `resetGroupsFilter` <a name="@cdktf/provider-okta.IdpSocial.resetGroupsFilter" id="cdktfprovideroktaidpsocialresetgroupsfilter"></a>

```typescript
public resetGroupsFilter()
```

##### `resetId` <a name="@cdktf/provider-okta.IdpSocial.resetId" id="cdktfprovideroktaidpsocialresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.IdpSocial.resetIssuerMode" id="cdktfprovideroktaidpsocialresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetMatchAttribute` <a name="@cdktf/provider-okta.IdpSocial.resetMatchAttribute" id="cdktfprovideroktaidpsocialresetmatchattribute"></a>

```typescript
public resetMatchAttribute()
```

##### `resetMatchType` <a name="@cdktf/provider-okta.IdpSocial.resetMatchType" id="cdktfprovideroktaidpsocialresetmatchtype"></a>

```typescript
public resetMatchType()
```

##### `resetMaxClockSkew` <a name="@cdktf/provider-okta.IdpSocial.resetMaxClockSkew" id="cdktfprovideroktaidpsocialresetmaxclockskew"></a>

```typescript
public resetMaxClockSkew()
```

##### `resetProfileMaster` <a name="@cdktf/provider-okta.IdpSocial.resetProfileMaster" id="cdktfprovideroktaidpsocialresetprofilemaster"></a>

```typescript
public resetProfileMaster()
```

##### `resetProtocolType` <a name="@cdktf/provider-okta.IdpSocial.resetProtocolType" id="cdktfprovideroktaidpsocialresetprotocoltype"></a>

```typescript
public resetProtocolType()
```

##### `resetProvisioningAction` <a name="@cdktf/provider-okta.IdpSocial.resetProvisioningAction" id="cdktfprovideroktaidpsocialresetprovisioningaction"></a>

```typescript
public resetProvisioningAction()
```

##### `resetStatus` <a name="@cdktf/provider-okta.IdpSocial.resetStatus" id="cdktfprovideroktaidpsocialresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectMatchAttribute` <a name="@cdktf/provider-okta.IdpSocial.resetSubjectMatchAttribute" id="cdktfprovideroktaidpsocialresetsubjectmatchattribute"></a>

```typescript
public resetSubjectMatchAttribute()
```

##### `resetSubjectMatchType` <a name="@cdktf/provider-okta.IdpSocial.resetSubjectMatchType" id="cdktfprovideroktaidpsocialresetsubjectmatchtype"></a>

```typescript
public resetSubjectMatchType()
```

##### `resetSuspendedAction` <a name="@cdktf/provider-okta.IdpSocial.resetSuspendedAction" id="cdktfprovideroktaidpsocialresetsuspendedaction"></a>

```typescript
public resetSuspendedAction()
```

##### `resetUsernameTemplate` <a name="@cdktf/provider-okta.IdpSocial.resetUsernameTemplate" id="cdktfprovideroktaidpsocialresetusernametemplate"></a>

```typescript
public resetUsernameTemplate()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`authorizationBinding`](#cdktfprovideroktaidpsocialpropertyauthorizationbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`authorizationUrl`](#cdktfprovideroktaidpsocialpropertyauthorizationurl)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenBinding`](#cdktfprovideroktaidpsocialpropertytokenbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenUrl`](#cdktfprovideroktaidpsocialpropertytokenurl)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkActionInput`](#cdktfprovideroktaidpsocialpropertyaccountlinkactioninput) | `string` | *No description.* |
| [`accountLinkGroupIncludeInput`](#cdktfprovideroktaidpsocialpropertyaccountlinkgroupincludeinput) | `string`[] | *No description.* |
| [`appleKidInput`](#cdktfprovideroktaidpsocialpropertyapplekidinput) | `string` | *No description.* |
| [`applePrivateKeyInput`](#cdktfprovideroktaidpsocialpropertyappleprivatekeyinput) | `string` | *No description.* |
| [`appleTeamIdInput`](#cdktfprovideroktaidpsocialpropertyappleteamidinput) | `string` | *No description.* |
| [`clientIdInput`](#cdktfprovideroktaidpsocialpropertyclientidinput) | `string` | *No description.* |
| [`clientSecretInput`](#cdktfprovideroktaidpsocialpropertyclientsecretinput) | `string` | *No description.* |
| [`deprovisionedActionInput`](#cdktfprovideroktaidpsocialpropertydeprovisionedactioninput) | `string` | *No description.* |
| [`groupsActionInput`](#cdktfprovideroktaidpsocialpropertygroupsactioninput) | `string` | *No description.* |
| [`groupsAssignmentInput`](#cdktfprovideroktaidpsocialpropertygroupsassignmentinput) | `string`[] | *No description.* |
| [`groupsAttributeInput`](#cdktfprovideroktaidpsocialpropertygroupsattributeinput) | `string` | *No description.* |
| [`groupsFilterInput`](#cdktfprovideroktaidpsocialpropertygroupsfilterinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktaidpsocialpropertyidinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaidpsocialpropertyissuermodeinput) | `string` | *No description.* |
| [`matchAttributeInput`](#cdktfprovideroktaidpsocialpropertymatchattributeinput) | `string` | *No description.* |
| [`matchTypeInput`](#cdktfprovideroktaidpsocialpropertymatchtypeinput) | `string` | *No description.* |
| [`maxClockSkewInput`](#cdktfprovideroktaidpsocialpropertymaxclockskewinput) | `number` | *No description.* |
| [`nameInput`](#cdktfprovideroktaidpsocialpropertynameinput) | `string` | *No description.* |
| [`profileMasterInput`](#cdktfprovideroktaidpsocialpropertyprofilemasterinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolTypeInput`](#cdktfprovideroktaidpsocialpropertyprotocoltypeinput) | `string` | *No description.* |
| [`provisioningActionInput`](#cdktfprovideroktaidpsocialpropertyprovisioningactioninput) | `string` | *No description.* |
| [`scopesInput`](#cdktfprovideroktaidpsocialpropertyscopesinput) | `string`[] | *No description.* |
| [`statusInput`](#cdktfprovideroktaidpsocialpropertystatusinput) | `string` | *No description.* |
| [`subjectMatchAttributeInput`](#cdktfprovideroktaidpsocialpropertysubjectmatchattributeinput) | `string` | *No description.* |
| [`subjectMatchTypeInput`](#cdktfprovideroktaidpsocialpropertysubjectmatchtypeinput) | `string` | *No description.* |
| [`suspendedActionInput`](#cdktfprovideroktaidpsocialpropertysuspendedactioninput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaidpsocialpropertytypeinput) | `string` | *No description.* |
| [`usernameTemplateInput`](#cdktfprovideroktaidpsocialpropertyusernametemplateinput) | `string` | *No description.* |
| [`accountLinkAction`](#cdktfprovideroktaidpsocialpropertyaccountlinkaction)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidpsocialpropertyaccountlinkgroupinclude)<span title="Required">*</span> | `string`[] | *No description.* |
| [`appleKid`](#cdktfprovideroktaidpsocialpropertyapplekid)<span title="Required">*</span> | `string` | *No description.* |
| [`applePrivateKey`](#cdktfprovideroktaidpsocialpropertyappleprivatekey)<span title="Required">*</span> | `string` | *No description.* |
| [`appleTeamId`](#cdktfprovideroktaidpsocialpropertyappleteamid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktaidpsocialpropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientSecret`](#cdktfprovideroktaidpsocialpropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`deprovisionedAction`](#cdktfprovideroktaidpsocialpropertydeprovisionedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAction`](#cdktfprovideroktaidpsocialpropertygroupsaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAssignment`](#cdktfprovideroktaidpsocialpropertygroupsassignment)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsAttribute`](#cdktfprovideroktaidpsocialpropertygroupsattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsFilter`](#cdktfprovideroktaidpsocialpropertygroupsfilter)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktaidpsocialpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktaidpsocialpropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`matchAttribute`](#cdktfprovideroktaidpsocialpropertymatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`matchType`](#cdktfprovideroktaidpsocialpropertymatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktaidpsocialpropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`name`](#cdktfprovideroktaidpsocialpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`profileMaster`](#cdktfprovideroktaidpsocialpropertyprofilemaster)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolType`](#cdktfprovideroktaidpsocialpropertyprotocoltype)<span title="Required">*</span> | `string` | *No description.* |
| [`provisioningAction`](#cdktfprovideroktaidpsocialpropertyprovisioningaction)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktaidpsocialpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktaidpsocialpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchAttribute`](#cdktfprovideroktaidpsocialpropertysubjectmatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchType`](#cdktfprovideroktaidpsocialpropertysubjectmatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`suspendedAction`](#cdktfprovideroktaidpsocialpropertysuspendedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaidpsocialpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameTemplate`](#cdktfprovideroktaidpsocialpropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.authorizationBinding" id="cdktfprovideroktaidpsocialpropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.authorizationUrl" id="cdktfprovideroktaidpsocialpropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.tokenBinding" id="cdktfprovideroktaidpsocialpropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.tokenUrl" id="cdktfprovideroktaidpsocialpropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

---

##### `accountLinkActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.accountLinkActionInput" id="cdktfprovideroktaidpsocialpropertyaccountlinkactioninput"></a>

```typescript
public readonly accountLinkActionInput: string;
```

- *Type:* `string`

---

##### `accountLinkGroupIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.accountLinkGroupIncludeInput" id="cdktfprovideroktaidpsocialpropertyaccountlinkgroupincludeinput"></a>

```typescript
public readonly accountLinkGroupIncludeInput: string[];
```

- *Type:* `string`[]

---

##### `appleKidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.appleKidInput" id="cdktfprovideroktaidpsocialpropertyapplekidinput"></a>

```typescript
public readonly appleKidInput: string;
```

- *Type:* `string`

---

##### `applePrivateKeyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.applePrivateKeyInput" id="cdktfprovideroktaidpsocialpropertyappleprivatekeyinput"></a>

```typescript
public readonly applePrivateKeyInput: string;
```

- *Type:* `string`

---

##### `appleTeamIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.appleTeamIdInput" id="cdktfprovideroktaidpsocialpropertyappleteamidinput"></a>

```typescript
public readonly appleTeamIdInput: string;
```

- *Type:* `string`

---

##### `clientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.clientIdInput" id="cdktfprovideroktaidpsocialpropertyclientidinput"></a>

```typescript
public readonly clientIdInput: string;
```

- *Type:* `string`

---

##### `clientSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.clientSecretInput" id="cdktfprovideroktaidpsocialpropertyclientsecretinput"></a>

```typescript
public readonly clientSecretInput: string;
```

- *Type:* `string`

---

##### `deprovisionedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.deprovisionedActionInput" id="cdktfprovideroktaidpsocialpropertydeprovisionedactioninput"></a>

```typescript
public readonly deprovisionedActionInput: string;
```

- *Type:* `string`

---

##### `groupsActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsActionInput" id="cdktfprovideroktaidpsocialpropertygroupsactioninput"></a>

```typescript
public readonly groupsActionInput: string;
```

- *Type:* `string`

---

##### `groupsAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsAssignmentInput" id="cdktfprovideroktaidpsocialpropertygroupsassignmentinput"></a>

```typescript
public readonly groupsAssignmentInput: string[];
```

- *Type:* `string`[]

---

##### `groupsAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsAttributeInput" id="cdktfprovideroktaidpsocialpropertygroupsattributeinput"></a>

```typescript
public readonly groupsAttributeInput: string;
```

- *Type:* `string`

---

##### `groupsFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsFilterInput" id="cdktfprovideroktaidpsocialpropertygroupsfilterinput"></a>

```typescript
public readonly groupsFilterInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.idInput" id="cdktfprovideroktaidpsocialpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.issuerModeInput" id="cdktfprovideroktaidpsocialpropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `matchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.matchAttributeInput" id="cdktfprovideroktaidpsocialpropertymatchattributeinput"></a>

```typescript
public readonly matchAttributeInput: string;
```

- *Type:* `string`

---

##### `matchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.matchTypeInput" id="cdktfprovideroktaidpsocialpropertymatchtypeinput"></a>

```typescript
public readonly matchTypeInput: string;
```

- *Type:* `string`

---

##### `maxClockSkewInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.maxClockSkewInput" id="cdktfprovideroktaidpsocialpropertymaxclockskewinput"></a>

```typescript
public readonly maxClockSkewInput: number;
```

- *Type:* `number`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.nameInput" id="cdktfprovideroktaidpsocialpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `profileMasterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.profileMasterInput" id="cdktfprovideroktaidpsocialpropertyprofilemasterinput"></a>

```typescript
public readonly profileMasterInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.protocolTypeInput" id="cdktfprovideroktaidpsocialpropertyprotocoltypeinput"></a>

```typescript
public readonly protocolTypeInput: string;
```

- *Type:* `string`

---

##### `provisioningActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.provisioningActionInput" id="cdktfprovideroktaidpsocialpropertyprovisioningactioninput"></a>

```typescript
public readonly provisioningActionInput: string;
```

- *Type:* `string`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.scopesInput" id="cdktfprovideroktaidpsocialpropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.statusInput" id="cdktfprovideroktaidpsocialpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectMatchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.subjectMatchAttributeInput" id="cdktfprovideroktaidpsocialpropertysubjectmatchattributeinput"></a>

```typescript
public readonly subjectMatchAttributeInput: string;
```

- *Type:* `string`

---

##### `subjectMatchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.subjectMatchTypeInput" id="cdktfprovideroktaidpsocialpropertysubjectmatchtypeinput"></a>

```typescript
public readonly subjectMatchTypeInput: string;
```

- *Type:* `string`

---

##### `suspendedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.suspendedActionInput" id="cdktfprovideroktaidpsocialpropertysuspendedactioninput"></a>

```typescript
public readonly suspendedActionInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.typeInput" id="cdktfprovideroktaidpsocialpropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `usernameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocial.property.usernameTemplateInput" id="cdktfprovideroktaidpsocialpropertyusernametemplateinput"></a>

```typescript
public readonly usernameTemplateInput: string;
```

- *Type:* `string`

---

##### `accountLinkAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.accountLinkAction" id="cdktfprovideroktaidpsocialpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

---

##### `accountLinkGroupInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.accountLinkGroupInclude" id="cdktfprovideroktaidpsocialpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

---

##### `appleKid`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.appleKid" id="cdktfprovideroktaidpsocialpropertyapplekid"></a>

```typescript
public readonly appleKid: string;
```

- *Type:* `string`

---

##### `applePrivateKey`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.applePrivateKey" id="cdktfprovideroktaidpsocialpropertyappleprivatekey"></a>

```typescript
public readonly applePrivateKey: string;
```

- *Type:* `string`

---

##### `appleTeamId`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.appleTeamId" id="cdktfprovideroktaidpsocialpropertyappleteamid"></a>

```typescript
public readonly appleTeamId: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.clientId" id="cdktfprovideroktaidpsocialpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.clientSecret" id="cdktfprovideroktaidpsocialpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `deprovisionedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.deprovisionedAction" id="cdktfprovideroktaidpsocialpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

---

##### `groupsAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsAction" id="cdktfprovideroktaidpsocialpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

---

##### `groupsAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsAssignment" id="cdktfprovideroktaidpsocialpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

---

##### `groupsAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsAttribute" id="cdktfprovideroktaidpsocialpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

---

##### `groupsFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.groupsFilter" id="cdktfprovideroktaidpsocialpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.id" id="cdktfprovideroktaidpsocialpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.issuerMode" id="cdktfprovideroktaidpsocialpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `matchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.matchAttribute" id="cdktfprovideroktaidpsocialpropertymatchattribute"></a>

```typescript
public readonly matchAttribute: string;
```

- *Type:* `string`

---

##### `matchType`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.matchType" id="cdktfprovideroktaidpsocialpropertymatchtype"></a>

```typescript
public readonly matchType: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.maxClockSkew" id="cdktfprovideroktaidpsocialpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.name" id="cdktfprovideroktaidpsocialpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `profileMaster`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.profileMaster" id="cdktfprovideroktaidpsocialpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolType`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.protocolType" id="cdktfprovideroktaidpsocialpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

---

##### `provisioningAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.provisioningAction" id="cdktfprovideroktaidpsocialpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.scopes" id="cdktfprovideroktaidpsocialpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.status" id="cdktfprovideroktaidpsocialpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectMatchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.subjectMatchAttribute" id="cdktfprovideroktaidpsocialpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

---

##### `subjectMatchType`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.subjectMatchType" id="cdktfprovideroktaidpsocialpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

---

##### `suspendedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.suspendedAction" id="cdktfprovideroktaidpsocialpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.type" id="cdktfprovideroktaidpsocialpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `usernameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocial.property.usernameTemplate" id="cdktfprovideroktaidpsocialpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaidpsocialpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.IdpSocial.property.tfResourceType" id="cdktfprovideroktaidpsocialpropertytfresourcetype"></a>

- *Type:* `string`

---

### InlineHook <a name="@cdktf/provider-okta.InlineHook" id="cdktfprovideroktainlinehook"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/inline_hook okta_inline_hook}.

#### Initializers <a name="@cdktf/provider-okta.InlineHook.Initializer" id="cdktfprovideroktainlinehookinitializer"></a>

```typescript
import { InlineHook } from '@cdktf/provider-okta'

new InlineHook(scope: Construct, id: string, config: InlineHookConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktainlinehookparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktainlinehookparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktainlinehookparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.InlineHookConfig`](#@cdktf/provider-okta.InlineHookConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.parameter.scope" id="cdktfprovideroktainlinehookparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.parameter.id" id="cdktfprovideroktainlinehookparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.parameter.config" id="cdktfprovideroktainlinehookparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.InlineHookConfig`](#@cdktf/provider-okta.InlineHookConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putHeaders`](#cdktfprovideroktainlinehookputheaders) | *No description.* |
| [`resetAuth`](#cdktfprovideroktainlinehookresetauth) | *No description.* |
| [`resetHeaders`](#cdktfprovideroktainlinehookresetheaders) | *No description.* |
| [`resetId`](#cdktfprovideroktainlinehookresetid) | *No description.* |
| [`resetStatus`](#cdktfprovideroktainlinehookresetstatus) | *No description.* |

---

##### `putHeaders` <a name="@cdktf/provider-okta.InlineHook.putHeaders" id="cdktfprovideroktainlinehookputheaders"></a>

```typescript
public putHeaders(value: IResolvable | InlineHookHeaders[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.parameter.value" id="cdktfprovideroktainlinehookparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)[]

---

##### `resetAuth` <a name="@cdktf/provider-okta.InlineHook.resetAuth" id="cdktfprovideroktainlinehookresetauth"></a>

```typescript
public resetAuth()
```

##### `resetHeaders` <a name="@cdktf/provider-okta.InlineHook.resetHeaders" id="cdktfprovideroktainlinehookresetheaders"></a>

```typescript
public resetHeaders()
```

##### `resetId` <a name="@cdktf/provider-okta.InlineHook.resetId" id="cdktfprovideroktainlinehookresetid"></a>

```typescript
public resetId()
```

##### `resetStatus` <a name="@cdktf/provider-okta.InlineHook.resetStatus" id="cdktfprovideroktainlinehookresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`headers`](#cdktfprovideroktainlinehookpropertyheaders)<span title="Required">*</span> | [`@cdktf/provider-okta.InlineHookHeadersList`](#@cdktf/provider-okta.InlineHookHeadersList) | *No description.* |
| [`authInput`](#cdktfprovideroktainlinehookpropertyauthinput) | {[ key: string ]: `string`} | *No description.* |
| [`channelInput`](#cdktfprovideroktainlinehookpropertychannelinput) | {[ key: string ]: `string`} | *No description.* |
| [`headersInput`](#cdktfprovideroktainlinehookpropertyheadersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)[] | *No description.* |
| [`idInput`](#cdktfprovideroktainlinehookpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktainlinehookpropertynameinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktainlinehookpropertystatusinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktainlinehookpropertytypeinput) | `string` | *No description.* |
| [`versionInput`](#cdktfprovideroktainlinehookpropertyversioninput) | `string` | *No description.* |
| [`auth`](#cdktfprovideroktainlinehookpropertyauth)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`channel`](#cdktfprovideroktainlinehookpropertychannel)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`id`](#cdktfprovideroktainlinehookpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktainlinehookpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktainlinehookpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktainlinehookpropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`version`](#cdktfprovideroktainlinehookpropertyversion)<span title="Required">*</span> | `string` | *No description.* |

---

##### `headers`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.headers" id="cdktfprovideroktainlinehookpropertyheaders"></a>

```typescript
public readonly headers: InlineHookHeadersList;
```

- *Type:* [`@cdktf/provider-okta.InlineHookHeadersList`](#@cdktf/provider-okta.InlineHookHeadersList)

---

##### `authInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.authInput" id="cdktfprovideroktainlinehookpropertyauthinput"></a>

```typescript
public readonly authInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `channelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.channelInput" id="cdktfprovideroktainlinehookpropertychannelinput"></a>

```typescript
public readonly channelInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `headersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.headersInput" id="cdktfprovideroktainlinehookpropertyheadersinput"></a>

```typescript
public readonly headersInput: IResolvable | InlineHookHeaders[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.idInput" id="cdktfprovideroktainlinehookpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.nameInput" id="cdktfprovideroktainlinehookpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.statusInput" id="cdktfprovideroktainlinehookpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.typeInput" id="cdktfprovideroktainlinehookpropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `versionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHook.property.versionInput" id="cdktfprovideroktainlinehookpropertyversioninput"></a>

```typescript
public readonly versionInput: string;
```

- *Type:* `string`

---

##### `auth`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.auth" id="cdktfprovideroktainlinehookpropertyauth"></a>

```typescript
public readonly auth: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `channel`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.channel" id="cdktfprovideroktainlinehookpropertychannel"></a>

```typescript
public readonly channel: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.id" id="cdktfprovideroktainlinehookpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.name" id="cdktfprovideroktainlinehookpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.status" id="cdktfprovideroktainlinehookpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.type" id="cdktfprovideroktainlinehookpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `version`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHook.property.version" id="cdktfprovideroktainlinehookpropertyversion"></a>

```typescript
public readonly version: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktainlinehookpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.InlineHook.property.tfResourceType" id="cdktfprovideroktainlinehookpropertytfresourcetype"></a>

- *Type:* `string`

---

### LinkDefinition <a name="@cdktf/provider-okta.LinkDefinition" id="cdktfprovideroktalinkdefinition"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/link_definition okta_link_definition}.

#### Initializers <a name="@cdktf/provider-okta.LinkDefinition.Initializer" id="cdktfprovideroktalinkdefinitioninitializer"></a>

```typescript
import { LinkDefinition } from '@cdktf/provider-okta'

new LinkDefinition(scope: Construct, id: string, config: LinkDefinitionConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktalinkdefinitionparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktalinkdefinitionparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktalinkdefinitionparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.LinkDefinitionConfig`](#@cdktf/provider-okta.LinkDefinitionConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.parameter.scope" id="cdktfprovideroktalinkdefinitionparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.parameter.id" id="cdktfprovideroktalinkdefinitionparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.parameter.config" id="cdktfprovideroktalinkdefinitionparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.LinkDefinitionConfig`](#@cdktf/provider-okta.LinkDefinitionConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktalinkdefinitionresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.LinkDefinition.resetId" id="cdktfprovideroktalinkdefinitionresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`associatedDescriptionInput`](#cdktfprovideroktalinkdefinitionpropertyassociateddescriptioninput) | `string` | *No description.* |
| [`associatedNameInput`](#cdktfprovideroktalinkdefinitionpropertyassociatednameinput) | `string` | *No description.* |
| [`associatedTitleInput`](#cdktfprovideroktalinkdefinitionpropertyassociatedtitleinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktalinkdefinitionpropertyidinput) | `string` | *No description.* |
| [`primaryDescriptionInput`](#cdktfprovideroktalinkdefinitionpropertyprimarydescriptioninput) | `string` | *No description.* |
| [`primaryNameInput`](#cdktfprovideroktalinkdefinitionpropertyprimarynameinput) | `string` | *No description.* |
| [`primaryTitleInput`](#cdktfprovideroktalinkdefinitionpropertyprimarytitleinput) | `string` | *No description.* |
| [`associatedDescription`](#cdktfprovideroktalinkdefinitionpropertyassociateddescription)<span title="Required">*</span> | `string` | *No description.* |
| [`associatedName`](#cdktfprovideroktalinkdefinitionpropertyassociatedname)<span title="Required">*</span> | `string` | *No description.* |
| [`associatedTitle`](#cdktfprovideroktalinkdefinitionpropertyassociatedtitle)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktalinkdefinitionpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryDescription`](#cdktfprovideroktalinkdefinitionpropertyprimarydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryName`](#cdktfprovideroktalinkdefinitionpropertyprimaryname)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryTitle`](#cdktfprovideroktalinkdefinitionpropertyprimarytitle)<span title="Required">*</span> | `string` | *No description.* |

---

##### `associatedDescriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.associatedDescriptionInput" id="cdktfprovideroktalinkdefinitionpropertyassociateddescriptioninput"></a>

```typescript
public readonly associatedDescriptionInput: string;
```

- *Type:* `string`

---

##### `associatedNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.associatedNameInput" id="cdktfprovideroktalinkdefinitionpropertyassociatednameinput"></a>

```typescript
public readonly associatedNameInput: string;
```

- *Type:* `string`

---

##### `associatedTitleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.associatedTitleInput" id="cdktfprovideroktalinkdefinitionpropertyassociatedtitleinput"></a>

```typescript
public readonly associatedTitleInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.idInput" id="cdktfprovideroktalinkdefinitionpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `primaryDescriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.primaryDescriptionInput" id="cdktfprovideroktalinkdefinitionpropertyprimarydescriptioninput"></a>

```typescript
public readonly primaryDescriptionInput: string;
```

- *Type:* `string`

---

##### `primaryNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.primaryNameInput" id="cdktfprovideroktalinkdefinitionpropertyprimarynameinput"></a>

```typescript
public readonly primaryNameInput: string;
```

- *Type:* `string`

---

##### `primaryTitleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.primaryTitleInput" id="cdktfprovideroktalinkdefinitionpropertyprimarytitleinput"></a>

```typescript
public readonly primaryTitleInput: string;
```

- *Type:* `string`

---

##### `associatedDescription`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.associatedDescription" id="cdktfprovideroktalinkdefinitionpropertyassociateddescription"></a>

```typescript
public readonly associatedDescription: string;
```

- *Type:* `string`

---

##### `associatedName`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.associatedName" id="cdktfprovideroktalinkdefinitionpropertyassociatedname"></a>

```typescript
public readonly associatedName: string;
```

- *Type:* `string`

---

##### `associatedTitle`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.associatedTitle" id="cdktfprovideroktalinkdefinitionpropertyassociatedtitle"></a>

```typescript
public readonly associatedTitle: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.id" id="cdktfprovideroktalinkdefinitionpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `primaryDescription`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.primaryDescription" id="cdktfprovideroktalinkdefinitionpropertyprimarydescription"></a>

```typescript
public readonly primaryDescription: string;
```

- *Type:* `string`

---

##### `primaryName`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.primaryName" id="cdktfprovideroktalinkdefinitionpropertyprimaryname"></a>

```typescript
public readonly primaryName: string;
```

- *Type:* `string`

---

##### `primaryTitle`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinition.property.primaryTitle" id="cdktfprovideroktalinkdefinitionpropertyprimarytitle"></a>

```typescript
public readonly primaryTitle: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktalinkdefinitionpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.LinkDefinition.property.tfResourceType" id="cdktfprovideroktalinkdefinitionpropertytfresourcetype"></a>

- *Type:* `string`

---

### LinkValue <a name="@cdktf/provider-okta.LinkValue" id="cdktfprovideroktalinkvalue"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/link_value okta_link_value}.

#### Initializers <a name="@cdktf/provider-okta.LinkValue.Initializer" id="cdktfprovideroktalinkvalueinitializer"></a>

```typescript
import { LinkValue } from '@cdktf/provider-okta'

new LinkValue(scope: Construct, id: string, config: LinkValueConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktalinkvalueparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktalinkvalueparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktalinkvalueparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.LinkValueConfig`](#@cdktf/provider-okta.LinkValueConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValue.parameter.scope" id="cdktfprovideroktalinkvalueparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValue.parameter.id" id="cdktfprovideroktalinkvalueparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValue.parameter.config" id="cdktfprovideroktalinkvalueparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.LinkValueConfig`](#@cdktf/provider-okta.LinkValueConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAssociatedUserIds`](#cdktfprovideroktalinkvalueresetassociateduserids) | *No description.* |
| [`resetId`](#cdktfprovideroktalinkvalueresetid) | *No description.* |

---

##### `resetAssociatedUserIds` <a name="@cdktf/provider-okta.LinkValue.resetAssociatedUserIds" id="cdktfprovideroktalinkvalueresetassociateduserids"></a>

```typescript
public resetAssociatedUserIds()
```

##### `resetId` <a name="@cdktf/provider-okta.LinkValue.resetId" id="cdktfprovideroktalinkvalueresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`associatedUserIdsInput`](#cdktfprovideroktalinkvaluepropertyassociateduseridsinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktalinkvaluepropertyidinput) | `string` | *No description.* |
| [`primaryNameInput`](#cdktfprovideroktalinkvaluepropertyprimarynameinput) | `string` | *No description.* |
| [`primaryUserIdInput`](#cdktfprovideroktalinkvaluepropertyprimaryuseridinput) | `string` | *No description.* |
| [`associatedUserIds`](#cdktfprovideroktalinkvaluepropertyassociateduserids)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktalinkvaluepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryName`](#cdktfprovideroktalinkvaluepropertyprimaryname)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryUserId`](#cdktfprovideroktalinkvaluepropertyprimaryuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `associatedUserIdsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValue.property.associatedUserIdsInput" id="cdktfprovideroktalinkvaluepropertyassociateduseridsinput"></a>

```typescript
public readonly associatedUserIdsInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValue.property.idInput" id="cdktfprovideroktalinkvaluepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `primaryNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValue.property.primaryNameInput" id="cdktfprovideroktalinkvaluepropertyprimarynameinput"></a>

```typescript
public readonly primaryNameInput: string;
```

- *Type:* `string`

---

##### `primaryUserIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValue.property.primaryUserIdInput" id="cdktfprovideroktalinkvaluepropertyprimaryuseridinput"></a>

```typescript
public readonly primaryUserIdInput: string;
```

- *Type:* `string`

---

##### `associatedUserIds`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValue.property.associatedUserIds" id="cdktfprovideroktalinkvaluepropertyassociateduserids"></a>

```typescript
public readonly associatedUserIds: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValue.property.id" id="cdktfprovideroktalinkvaluepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `primaryName`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValue.property.primaryName" id="cdktfprovideroktalinkvaluepropertyprimaryname"></a>

```typescript
public readonly primaryName: string;
```

- *Type:* `string`

---

##### `primaryUserId`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValue.property.primaryUserId" id="cdktfprovideroktalinkvaluepropertyprimaryuserid"></a>

```typescript
public readonly primaryUserId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktalinkvaluepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.LinkValue.property.tfResourceType" id="cdktfprovideroktalinkvaluepropertytfresourcetype"></a>

- *Type:* `string`

---

### MfaPolicy <a name="@cdktf/provider-okta.MfaPolicy" id="cdktfprovideroktamfapolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy okta_mfa_policy}.

#### Initializers <a name="@cdktf/provider-okta.MfaPolicy.Initializer" id="cdktfprovideroktamfapolicyinitializer"></a>

```typescript
import { MfaPolicy } from '@cdktf/provider-okta'

new MfaPolicy(scope: Construct, id: string, config: MfaPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktamfapolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktamfapolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktamfapolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.MfaPolicyConfig`](#@cdktf/provider-okta.MfaPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.parameter.scope" id="cdktfprovideroktamfapolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.parameter.id" id="cdktfprovideroktamfapolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.parameter.config" id="cdktfprovideroktamfapolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.MfaPolicyConfig`](#@cdktf/provider-okta.MfaPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDescription`](#cdktfprovideroktamfapolicyresetdescription) | *No description.* |
| [`resetDuo`](#cdktfprovideroktamfapolicyresetduo) | *No description.* |
| [`resetExternalIdp`](#cdktfprovideroktamfapolicyresetexternalidp) | *No description.* |
| [`resetFidoU2F`](#cdktfprovideroktamfapolicyresetfidou2f) | *No description.* |
| [`resetFidoWebauthn`](#cdktfprovideroktamfapolicyresetfidowebauthn) | *No description.* |
| [`resetGoogleOtp`](#cdktfprovideroktamfapolicyresetgoogleotp) | *No description.* |
| [`resetGroupsIncluded`](#cdktfprovideroktamfapolicyresetgroupsincluded) | *No description.* |
| [`resetHotp`](#cdktfprovideroktamfapolicyresethotp) | *No description.* |
| [`resetId`](#cdktfprovideroktamfapolicyresetid) | *No description.* |
| [`resetIsOie`](#cdktfprovideroktamfapolicyresetisoie) | *No description.* |
| [`resetOktaCall`](#cdktfprovideroktamfapolicyresetoktacall) | *No description.* |
| [`resetOktaEmail`](#cdktfprovideroktamfapolicyresetoktaemail) | *No description.* |
| [`resetOktaOtp`](#cdktfprovideroktamfapolicyresetoktaotp) | *No description.* |
| [`resetOktaPassword`](#cdktfprovideroktamfapolicyresetoktapassword) | *No description.* |
| [`resetOktaPush`](#cdktfprovideroktamfapolicyresetoktapush) | *No description.* |
| [`resetOktaQuestion`](#cdktfprovideroktamfapolicyresetoktaquestion) | *No description.* |
| [`resetOktaSms`](#cdktfprovideroktamfapolicyresetoktasms) | *No description.* |
| [`resetOktaVerify`](#cdktfprovideroktamfapolicyresetoktaverify) | *No description.* |
| [`resetOnpremMfa`](#cdktfprovideroktamfapolicyresetonpremmfa) | *No description.* |
| [`resetPhoneNumber`](#cdktfprovideroktamfapolicyresetphonenumber) | *No description.* |
| [`resetPriority`](#cdktfprovideroktamfapolicyresetpriority) | *No description.* |
| [`resetRsaToken`](#cdktfprovideroktamfapolicyresetrsatoken) | *No description.* |
| [`resetSecurityQuestion`](#cdktfprovideroktamfapolicyresetsecurityquestion) | *No description.* |
| [`resetStatus`](#cdktfprovideroktamfapolicyresetstatus) | *No description.* |
| [`resetSymantecVip`](#cdktfprovideroktamfapolicyresetsymantecvip) | *No description.* |
| [`resetWebauthn`](#cdktfprovideroktamfapolicyresetwebauthn) | *No description.* |
| [`resetYubikeyToken`](#cdktfprovideroktamfapolicyresetyubikeytoken) | *No description.* |

---

##### `resetDescription` <a name="@cdktf/provider-okta.MfaPolicy.resetDescription" id="cdktfprovideroktamfapolicyresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetDuo` <a name="@cdktf/provider-okta.MfaPolicy.resetDuo" id="cdktfprovideroktamfapolicyresetduo"></a>

```typescript
public resetDuo()
```

##### `resetExternalIdp` <a name="@cdktf/provider-okta.MfaPolicy.resetExternalIdp" id="cdktfprovideroktamfapolicyresetexternalidp"></a>

```typescript
public resetExternalIdp()
```

##### `resetFidoU2F` <a name="@cdktf/provider-okta.MfaPolicy.resetFidoU2F" id="cdktfprovideroktamfapolicyresetfidou2f"></a>

```typescript
public resetFidoU2F()
```

##### `resetFidoWebauthn` <a name="@cdktf/provider-okta.MfaPolicy.resetFidoWebauthn" id="cdktfprovideroktamfapolicyresetfidowebauthn"></a>

```typescript
public resetFidoWebauthn()
```

##### `resetGoogleOtp` <a name="@cdktf/provider-okta.MfaPolicy.resetGoogleOtp" id="cdktfprovideroktamfapolicyresetgoogleotp"></a>

```typescript
public resetGoogleOtp()
```

##### `resetGroupsIncluded` <a name="@cdktf/provider-okta.MfaPolicy.resetGroupsIncluded" id="cdktfprovideroktamfapolicyresetgroupsincluded"></a>

```typescript
public resetGroupsIncluded()
```

##### `resetHotp` <a name="@cdktf/provider-okta.MfaPolicy.resetHotp" id="cdktfprovideroktamfapolicyresethotp"></a>

```typescript
public resetHotp()
```

##### `resetId` <a name="@cdktf/provider-okta.MfaPolicy.resetId" id="cdktfprovideroktamfapolicyresetid"></a>

```typescript
public resetId()
```

##### `resetIsOie` <a name="@cdktf/provider-okta.MfaPolicy.resetIsOie" id="cdktfprovideroktamfapolicyresetisoie"></a>

```typescript
public resetIsOie()
```

##### `resetOktaCall` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaCall" id="cdktfprovideroktamfapolicyresetoktacall"></a>

```typescript
public resetOktaCall()
```

##### `resetOktaEmail` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaEmail" id="cdktfprovideroktamfapolicyresetoktaemail"></a>

```typescript
public resetOktaEmail()
```

##### `resetOktaOtp` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaOtp" id="cdktfprovideroktamfapolicyresetoktaotp"></a>

```typescript
public resetOktaOtp()
```

##### `resetOktaPassword` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaPassword" id="cdktfprovideroktamfapolicyresetoktapassword"></a>

```typescript
public resetOktaPassword()
```

##### `resetOktaPush` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaPush" id="cdktfprovideroktamfapolicyresetoktapush"></a>

```typescript
public resetOktaPush()
```

##### `resetOktaQuestion` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaQuestion" id="cdktfprovideroktamfapolicyresetoktaquestion"></a>

```typescript
public resetOktaQuestion()
```

##### `resetOktaSms` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaSms" id="cdktfprovideroktamfapolicyresetoktasms"></a>

```typescript
public resetOktaSms()
```

##### `resetOktaVerify` <a name="@cdktf/provider-okta.MfaPolicy.resetOktaVerify" id="cdktfprovideroktamfapolicyresetoktaverify"></a>

```typescript
public resetOktaVerify()
```

##### `resetOnpremMfa` <a name="@cdktf/provider-okta.MfaPolicy.resetOnpremMfa" id="cdktfprovideroktamfapolicyresetonpremmfa"></a>

```typescript
public resetOnpremMfa()
```

##### `resetPhoneNumber` <a name="@cdktf/provider-okta.MfaPolicy.resetPhoneNumber" id="cdktfprovideroktamfapolicyresetphonenumber"></a>

```typescript
public resetPhoneNumber()
```

##### `resetPriority` <a name="@cdktf/provider-okta.MfaPolicy.resetPriority" id="cdktfprovideroktamfapolicyresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetRsaToken` <a name="@cdktf/provider-okta.MfaPolicy.resetRsaToken" id="cdktfprovideroktamfapolicyresetrsatoken"></a>

```typescript
public resetRsaToken()
```

##### `resetSecurityQuestion` <a name="@cdktf/provider-okta.MfaPolicy.resetSecurityQuestion" id="cdktfprovideroktamfapolicyresetsecurityquestion"></a>

```typescript
public resetSecurityQuestion()
```

##### `resetStatus` <a name="@cdktf/provider-okta.MfaPolicy.resetStatus" id="cdktfprovideroktamfapolicyresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSymantecVip` <a name="@cdktf/provider-okta.MfaPolicy.resetSymantecVip" id="cdktfprovideroktamfapolicyresetsymantecvip"></a>

```typescript
public resetSymantecVip()
```

##### `resetWebauthn` <a name="@cdktf/provider-okta.MfaPolicy.resetWebauthn" id="cdktfprovideroktamfapolicyresetwebauthn"></a>

```typescript
public resetWebauthn()
```

##### `resetYubikeyToken` <a name="@cdktf/provider-okta.MfaPolicy.resetYubikeyToken" id="cdktfprovideroktamfapolicyresetyubikeytoken"></a>

```typescript
public resetYubikeyToken()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktamfapolicypropertydescriptioninput) | `string` | *No description.* |
| [`duoInput`](#cdktfprovideroktamfapolicypropertyduoinput) | {[ key: string ]: `string`} | *No description.* |
| [`externalIdpInput`](#cdktfprovideroktamfapolicypropertyexternalidpinput) | {[ key: string ]: `string`} | *No description.* |
| [`fidoU2FInput`](#cdktfprovideroktamfapolicypropertyfidou2finput) | {[ key: string ]: `string`} | *No description.* |
| [`fidoWebauthnInput`](#cdktfprovideroktamfapolicypropertyfidowebauthninput) | {[ key: string ]: `string`} | *No description.* |
| [`googleOtpInput`](#cdktfprovideroktamfapolicypropertygoogleotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`groupsIncludedInput`](#cdktfprovideroktamfapolicypropertygroupsincludedinput) | `string`[] | *No description.* |
| [`hotpInput`](#cdktfprovideroktamfapolicypropertyhotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`idInput`](#cdktfprovideroktamfapolicypropertyidinput) | `string` | *No description.* |
| [`isOieInput`](#cdktfprovideroktamfapolicypropertyisoieinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`nameInput`](#cdktfprovideroktamfapolicypropertynameinput) | `string` | *No description.* |
| [`oktaCallInput`](#cdktfprovideroktamfapolicypropertyoktacallinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaEmailInput`](#cdktfprovideroktamfapolicypropertyoktaemailinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaOtpInput`](#cdktfprovideroktamfapolicypropertyoktaotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaPasswordInput`](#cdktfprovideroktamfapolicypropertyoktapasswordinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaPushInput`](#cdktfprovideroktamfapolicypropertyoktapushinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaQuestionInput`](#cdktfprovideroktamfapolicypropertyoktaquestioninput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaSmsInput`](#cdktfprovideroktamfapolicypropertyoktasmsinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaVerifyInput`](#cdktfprovideroktamfapolicypropertyoktaverifyinput) | {[ key: string ]: `string`} | *No description.* |
| [`onpremMfaInput`](#cdktfprovideroktamfapolicypropertyonpremmfainput) | {[ key: string ]: `string`} | *No description.* |
| [`phoneNumberInput`](#cdktfprovideroktamfapolicypropertyphonenumberinput) | {[ key: string ]: `string`} | *No description.* |
| [`priorityInput`](#cdktfprovideroktamfapolicypropertypriorityinput) | `number` | *No description.* |
| [`rsaTokenInput`](#cdktfprovideroktamfapolicypropertyrsatokeninput) | {[ key: string ]: `string`} | *No description.* |
| [`securityQuestionInput`](#cdktfprovideroktamfapolicypropertysecurityquestioninput) | {[ key: string ]: `string`} | *No description.* |
| [`statusInput`](#cdktfprovideroktamfapolicypropertystatusinput) | `string` | *No description.* |
| [`symantecVipInput`](#cdktfprovideroktamfapolicypropertysymantecvipinput) | {[ key: string ]: `string`} | *No description.* |
| [`webauthnInput`](#cdktfprovideroktamfapolicypropertywebauthninput) | {[ key: string ]: `string`} | *No description.* |
| [`yubikeyTokenInput`](#cdktfprovideroktamfapolicypropertyyubikeytokeninput) | {[ key: string ]: `string`} | *No description.* |
| [`description`](#cdktfprovideroktamfapolicypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`duo`](#cdktfprovideroktamfapolicypropertyduo)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`externalIdp`](#cdktfprovideroktamfapolicypropertyexternalidp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`fidoU2F`](#cdktfprovideroktamfapolicypropertyfidou2f)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`fidoWebauthn`](#cdktfprovideroktamfapolicypropertyfidowebauthn)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`googleOtp`](#cdktfprovideroktamfapolicypropertygoogleotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`groupsIncluded`](#cdktfprovideroktamfapolicypropertygroupsincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hotp`](#cdktfprovideroktamfapolicypropertyhotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`id`](#cdktfprovideroktamfapolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`isOie`](#cdktfprovideroktamfapolicypropertyisoie)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`name`](#cdktfprovideroktamfapolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`oktaCall`](#cdktfprovideroktamfapolicypropertyoktacall)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaEmail`](#cdktfprovideroktamfapolicypropertyoktaemail)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaOtp`](#cdktfprovideroktamfapolicypropertyoktaotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaPassword`](#cdktfprovideroktamfapolicypropertyoktapassword)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaPush`](#cdktfprovideroktamfapolicypropertyoktapush)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaQuestion`](#cdktfprovideroktamfapolicypropertyoktaquestion)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaSms`](#cdktfprovideroktamfapolicypropertyoktasms)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaVerify`](#cdktfprovideroktamfapolicypropertyoktaverify)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`onpremMfa`](#cdktfprovideroktamfapolicypropertyonpremmfa)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`phoneNumber`](#cdktfprovideroktamfapolicypropertyphonenumber)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`priority`](#cdktfprovideroktamfapolicypropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`rsaToken`](#cdktfprovideroktamfapolicypropertyrsatoken)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`securityQuestion`](#cdktfprovideroktamfapolicypropertysecurityquestion)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`status`](#cdktfprovideroktamfapolicypropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`symantecVip`](#cdktfprovideroktamfapolicypropertysymantecvip)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`webauthn`](#cdktfprovideroktamfapolicypropertywebauthn)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`yubikeyToken`](#cdktfprovideroktamfapolicypropertyyubikeytoken)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.descriptionInput" id="cdktfprovideroktamfapolicypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `duoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.duoInput" id="cdktfprovideroktamfapolicypropertyduoinput"></a>

```typescript
public readonly duoInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `externalIdpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.externalIdpInput" id="cdktfprovideroktamfapolicypropertyexternalidpinput"></a>

```typescript
public readonly externalIdpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoU2FInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.fidoU2FInput" id="cdktfprovideroktamfapolicypropertyfidou2finput"></a>

```typescript
public readonly fidoU2FInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoWebauthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.fidoWebauthnInput" id="cdktfprovideroktamfapolicypropertyfidowebauthninput"></a>

```typescript
public readonly fidoWebauthnInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `googleOtpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.googleOtpInput" id="cdktfprovideroktamfapolicypropertygoogleotpinput"></a>

```typescript
public readonly googleOtpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `groupsIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.groupsIncludedInput" id="cdktfprovideroktamfapolicypropertygroupsincludedinput"></a>

```typescript
public readonly groupsIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `hotpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.hotpInput" id="cdktfprovideroktamfapolicypropertyhotpinput"></a>

```typescript
public readonly hotpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.idInput" id="cdktfprovideroktamfapolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `isOieInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.isOieInput" id="cdktfprovideroktamfapolicypropertyisoieinput"></a>

```typescript
public readonly isOieInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.nameInput" id="cdktfprovideroktamfapolicypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `oktaCallInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaCallInput" id="cdktfprovideroktamfapolicypropertyoktacallinput"></a>

```typescript
public readonly oktaCallInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaEmailInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaEmailInput" id="cdktfprovideroktamfapolicypropertyoktaemailinput"></a>

```typescript
public readonly oktaEmailInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaOtpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaOtpInput" id="cdktfprovideroktamfapolicypropertyoktaotpinput"></a>

```typescript
public readonly oktaOtpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaPasswordInput" id="cdktfprovideroktamfapolicypropertyoktapasswordinput"></a>

```typescript
public readonly oktaPasswordInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPushInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaPushInput" id="cdktfprovideroktamfapolicypropertyoktapushinput"></a>

```typescript
public readonly oktaPushInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaQuestionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaQuestionInput" id="cdktfprovideroktamfapolicypropertyoktaquestioninput"></a>

```typescript
public readonly oktaQuestionInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaSmsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaSmsInput" id="cdktfprovideroktamfapolicypropertyoktasmsinput"></a>

```typescript
public readonly oktaSmsInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaVerifyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaVerifyInput" id="cdktfprovideroktamfapolicypropertyoktaverifyinput"></a>

```typescript
public readonly oktaVerifyInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `onpremMfaInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.onpremMfaInput" id="cdktfprovideroktamfapolicypropertyonpremmfainput"></a>

```typescript
public readonly onpremMfaInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `phoneNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.phoneNumberInput" id="cdktfprovideroktamfapolicypropertyphonenumberinput"></a>

```typescript
public readonly phoneNumberInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.priorityInput" id="cdktfprovideroktamfapolicypropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `rsaTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.rsaTokenInput" id="cdktfprovideroktamfapolicypropertyrsatokeninput"></a>

```typescript
public readonly rsaTokenInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `securityQuestionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.securityQuestionInput" id="cdktfprovideroktamfapolicypropertysecurityquestioninput"></a>

```typescript
public readonly securityQuestionInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.statusInput" id="cdktfprovideroktamfapolicypropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `symantecVipInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.symantecVipInput" id="cdktfprovideroktamfapolicypropertysymantecvipinput"></a>

```typescript
public readonly symantecVipInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `webauthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.webauthnInput" id="cdktfprovideroktamfapolicypropertywebauthninput"></a>

```typescript
public readonly webauthnInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `yubikeyTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.yubikeyTokenInput" id="cdktfprovideroktamfapolicypropertyyubikeytokeninput"></a>

```typescript
public readonly yubikeyTokenInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.description" id="cdktfprovideroktamfapolicypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `duo`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.duo" id="cdktfprovideroktamfapolicypropertyduo"></a>

```typescript
public readonly duo: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `externalIdp`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.externalIdp" id="cdktfprovideroktamfapolicypropertyexternalidp"></a>

```typescript
public readonly externalIdp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoU2F`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.fidoU2F" id="cdktfprovideroktamfapolicypropertyfidou2f"></a>

```typescript
public readonly fidoU2F: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoWebauthn`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.fidoWebauthn" id="cdktfprovideroktamfapolicypropertyfidowebauthn"></a>

```typescript
public readonly fidoWebauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `googleOtp`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.googleOtp" id="cdktfprovideroktamfapolicypropertygoogleotp"></a>

```typescript
public readonly googleOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `groupsIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.groupsIncluded" id="cdktfprovideroktamfapolicypropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

---

##### `hotp`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.hotp" id="cdktfprovideroktamfapolicypropertyhotp"></a>

```typescript
public readonly hotp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.id" id="cdktfprovideroktamfapolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `isOie`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.isOie" id="cdktfprovideroktamfapolicypropertyisoie"></a>

```typescript
public readonly isOie: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.name" id="cdktfprovideroktamfapolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `oktaCall`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaCall" id="cdktfprovideroktamfapolicypropertyoktacall"></a>

```typescript
public readonly oktaCall: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaEmail`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaEmail" id="cdktfprovideroktamfapolicypropertyoktaemail"></a>

```typescript
public readonly oktaEmail: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaOtp`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaOtp" id="cdktfprovideroktamfapolicypropertyoktaotp"></a>

```typescript
public readonly oktaOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaPassword" id="cdktfprovideroktamfapolicypropertyoktapassword"></a>

```typescript
public readonly oktaPassword: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPush`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaPush" id="cdktfprovideroktamfapolicypropertyoktapush"></a>

```typescript
public readonly oktaPush: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaQuestion`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaQuestion" id="cdktfprovideroktamfapolicypropertyoktaquestion"></a>

```typescript
public readonly oktaQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaSms`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaSms" id="cdktfprovideroktamfapolicypropertyoktasms"></a>

```typescript
public readonly oktaSms: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaVerify`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.oktaVerify" id="cdktfprovideroktamfapolicypropertyoktaverify"></a>

```typescript
public readonly oktaVerify: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `onpremMfa`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.onpremMfa" id="cdktfprovideroktamfapolicypropertyonpremmfa"></a>

```typescript
public readonly onpremMfa: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `phoneNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.phoneNumber" id="cdktfprovideroktamfapolicypropertyphonenumber"></a>

```typescript
public readonly phoneNumber: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.priority" id="cdktfprovideroktamfapolicypropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `rsaToken`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.rsaToken" id="cdktfprovideroktamfapolicypropertyrsatoken"></a>

```typescript
public readonly rsaToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `securityQuestion`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.securityQuestion" id="cdktfprovideroktamfapolicypropertysecurityquestion"></a>

```typescript
public readonly securityQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.status" id="cdktfprovideroktamfapolicypropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `symantecVip`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.symantecVip" id="cdktfprovideroktamfapolicypropertysymantecvip"></a>

```typescript
public readonly symantecVip: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `webauthn`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.webauthn" id="cdktfprovideroktamfapolicypropertywebauthn"></a>

```typescript
public readonly webauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `yubikeyToken`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicy.property.yubikeyToken" id="cdktfprovideroktamfapolicypropertyyubikeytoken"></a>

```typescript
public readonly yubikeyToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktamfapolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.MfaPolicy.property.tfResourceType" id="cdktfprovideroktamfapolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### MfaPolicyRule <a name="@cdktf/provider-okta.MfaPolicyRule" id="cdktfprovideroktamfapolicyrule"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule okta_mfa_policy_rule}.

#### Initializers <a name="@cdktf/provider-okta.MfaPolicyRule.Initializer" id="cdktfprovideroktamfapolicyruleinitializer"></a>

```typescript
import { MfaPolicyRule } from '@cdktf/provider-okta'

new MfaPolicyRule(scope: Construct, id: string, config: MfaPolicyRuleConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktamfapolicyruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktamfapolicyruleparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktamfapolicyruleparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.MfaPolicyRuleConfig`](#@cdktf/provider-okta.MfaPolicyRuleConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.parameter.scope" id="cdktfprovideroktamfapolicyruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.parameter.id" id="cdktfprovideroktamfapolicyruleparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.parameter.config" id="cdktfprovideroktamfapolicyruleparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.MfaPolicyRuleConfig`](#@cdktf/provider-okta.MfaPolicyRuleConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putAppExclude`](#cdktfprovideroktamfapolicyruleputappexclude) | *No description.* |
| [`putAppInclude`](#cdktfprovideroktamfapolicyruleputappinclude) | *No description.* |
| [`resetAppExclude`](#cdktfprovideroktamfapolicyruleresetappexclude) | *No description.* |
| [`resetAppInclude`](#cdktfprovideroktamfapolicyruleresetappinclude) | *No description.* |
| [`resetEnroll`](#cdktfprovideroktamfapolicyruleresetenroll) | *No description.* |
| [`resetId`](#cdktfprovideroktamfapolicyruleresetid) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktamfapolicyruleresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktamfapolicyruleresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktamfapolicyruleresetnetworkincludes) | *No description.* |
| [`resetPolicyid`](#cdktfprovideroktamfapolicyruleresetpolicyid) | *No description.* |
| [`resetPolicyId`](#cdktfprovideroktamfapolicyruleresetpolicyid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktamfapolicyruleresetpriority) | *No description.* |
| [`resetStatus`](#cdktfprovideroktamfapolicyruleresetstatus) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktamfapolicyruleresetusersexcluded) | *No description.* |

---

##### `putAppExclude` <a name="@cdktf/provider-okta.MfaPolicyRule.putAppExclude" id="cdktfprovideroktamfapolicyruleputappexclude"></a>

```typescript
public putAppExclude(value: IResolvable | MfaPolicyRuleAppExclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.parameter.value" id="cdktfprovideroktamfapolicyruleparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)[]

---

##### `putAppInclude` <a name="@cdktf/provider-okta.MfaPolicyRule.putAppInclude" id="cdktfprovideroktamfapolicyruleputappinclude"></a>

```typescript
public putAppInclude(value: IResolvable | MfaPolicyRuleAppInclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.parameter.value" id="cdktfprovideroktamfapolicyruleparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)[]

---

##### `resetAppExclude` <a name="@cdktf/provider-okta.MfaPolicyRule.resetAppExclude" id="cdktfprovideroktamfapolicyruleresetappexclude"></a>

```typescript
public resetAppExclude()
```

##### `resetAppInclude` <a name="@cdktf/provider-okta.MfaPolicyRule.resetAppInclude" id="cdktfprovideroktamfapolicyruleresetappinclude"></a>

```typescript
public resetAppInclude()
```

##### `resetEnroll` <a name="@cdktf/provider-okta.MfaPolicyRule.resetEnroll" id="cdktfprovideroktamfapolicyruleresetenroll"></a>

```typescript
public resetEnroll()
```

##### `resetId` <a name="@cdktf/provider-okta.MfaPolicyRule.resetId" id="cdktfprovideroktamfapolicyruleresetid"></a>

```typescript
public resetId()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.MfaPolicyRule.resetNetworkConnection" id="cdktfprovideroktamfapolicyruleresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.MfaPolicyRule.resetNetworkExcludes" id="cdktfprovideroktamfapolicyruleresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.MfaPolicyRule.resetNetworkIncludes" id="cdktfprovideroktamfapolicyruleresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPolicyid` <a name="@cdktf/provider-okta.MfaPolicyRule.resetPolicyid" id="cdktfprovideroktamfapolicyruleresetpolicyid"></a>

```typescript
public resetPolicyid()
```

##### `resetPolicyId` <a name="@cdktf/provider-okta.MfaPolicyRule.resetPolicyId" id="cdktfprovideroktamfapolicyruleresetpolicyid"></a>

```typescript
public resetPolicyId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.MfaPolicyRule.resetPriority" id="cdktfprovideroktamfapolicyruleresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetStatus` <a name="@cdktf/provider-okta.MfaPolicyRule.resetStatus" id="cdktfprovideroktamfapolicyruleresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.MfaPolicyRule.resetUsersExcluded" id="cdktfprovideroktamfapolicyruleresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appExclude`](#cdktfprovideroktamfapolicyrulepropertyappexclude)<span title="Required">*</span> | [`@cdktf/provider-okta.MfaPolicyRuleAppExcludeList`](#@cdktf/provider-okta.MfaPolicyRuleAppExcludeList) | *No description.* |
| [`appInclude`](#cdktfprovideroktamfapolicyrulepropertyappinclude)<span title="Required">*</span> | [`@cdktf/provider-okta.MfaPolicyRuleAppIncludeList`](#@cdktf/provider-okta.MfaPolicyRuleAppIncludeList) | *No description.* |
| [`appExcludeInput`](#cdktfprovideroktamfapolicyrulepropertyappexcludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)[] | *No description.* |
| [`appIncludeInput`](#cdktfprovideroktamfapolicyrulepropertyappincludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)[] | *No description.* |
| [`enrollInput`](#cdktfprovideroktamfapolicyrulepropertyenrollinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktamfapolicyrulepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktamfapolicyrulepropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktamfapolicyrulepropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktamfapolicyrulepropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktamfapolicyrulepropertynetworkincludesinput) | `string`[] | *No description.* |
| [`policyidInput`](#cdktfprovideroktamfapolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktamfapolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktamfapolicyrulepropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktamfapolicyrulepropertystatusinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktamfapolicyrulepropertyusersexcludedinput) | `string`[] | *No description.* |
| [`enroll`](#cdktfprovideroktamfapolicyrulepropertyenroll)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktamfapolicyrulepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktamfapolicyrulepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktamfapolicyrulepropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktamfapolicyrulepropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktamfapolicyrulepropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`policyid`](#cdktfprovideroktamfapolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktamfapolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktamfapolicyrulepropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktamfapolicyrulepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktamfapolicyrulepropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `appExclude`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.appExclude" id="cdktfprovideroktamfapolicyrulepropertyappexclude"></a>

```typescript
public readonly appExclude: MfaPolicyRuleAppExcludeList;
```

- *Type:* [`@cdktf/provider-okta.MfaPolicyRuleAppExcludeList`](#@cdktf/provider-okta.MfaPolicyRuleAppExcludeList)

---

##### `appInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.appInclude" id="cdktfprovideroktamfapolicyrulepropertyappinclude"></a>

```typescript
public readonly appInclude: MfaPolicyRuleAppIncludeList;
```

- *Type:* [`@cdktf/provider-okta.MfaPolicyRuleAppIncludeList`](#@cdktf/provider-okta.MfaPolicyRuleAppIncludeList)

---

##### `appExcludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.appExcludeInput" id="cdktfprovideroktamfapolicyrulepropertyappexcludeinput"></a>

```typescript
public readonly appExcludeInput: IResolvable | MfaPolicyRuleAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)[]

---

##### `appIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.appIncludeInput" id="cdktfprovideroktamfapolicyrulepropertyappincludeinput"></a>

```typescript
public readonly appIncludeInput: IResolvable | MfaPolicyRuleAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)[]

---

##### `enrollInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.enrollInput" id="cdktfprovideroktamfapolicyrulepropertyenrollinput"></a>

```typescript
public readonly enrollInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.idInput" id="cdktfprovideroktamfapolicyrulepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.nameInput" id="cdktfprovideroktamfapolicyrulepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.networkConnectionInput" id="cdktfprovideroktamfapolicyrulepropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.networkExcludesInput" id="cdktfprovideroktamfapolicyrulepropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.networkIncludesInput" id="cdktfprovideroktamfapolicyrulepropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `policyidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.policyidInput" id="cdktfprovideroktamfapolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyidInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.policyIdInput" id="cdktfprovideroktamfapolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.priorityInput" id="cdktfprovideroktamfapolicyrulepropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.statusInput" id="cdktfprovideroktamfapolicyrulepropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.usersExcludedInput" id="cdktfprovideroktamfapolicyrulepropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `enroll`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.enroll" id="cdktfprovideroktamfapolicyrulepropertyenroll"></a>

```typescript
public readonly enroll: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.id" id="cdktfprovideroktamfapolicyrulepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.name" id="cdktfprovideroktamfapolicyrulepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.networkConnection" id="cdktfprovideroktamfapolicyrulepropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.networkExcludes" id="cdktfprovideroktamfapolicyrulepropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.networkIncludes" id="cdktfprovideroktamfapolicyrulepropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `policyid`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.policyid" id="cdktfprovideroktamfapolicyrulepropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.policyId" id="cdktfprovideroktamfapolicyrulepropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.priority" id="cdktfprovideroktamfapolicyrulepropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.status" id="cdktfprovideroktamfapolicyrulepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRule.property.usersExcluded" id="cdktfprovideroktamfapolicyrulepropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktamfapolicyrulepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.MfaPolicyRule.property.tfResourceType" id="cdktfprovideroktamfapolicyrulepropertytfresourcetype"></a>

- *Type:* `string`

---

### NetworkZone <a name="@cdktf/provider-okta.NetworkZone" id="cdktfprovideroktanetworkzone"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/network_zone okta_network_zone}.

#### Initializers <a name="@cdktf/provider-okta.NetworkZone.Initializer" id="cdktfprovideroktanetworkzoneinitializer"></a>

```typescript
import { NetworkZone } from '@cdktf/provider-okta'

new NetworkZone(scope: Construct, id: string, config: NetworkZoneConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktanetworkzoneparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktanetworkzoneparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktanetworkzoneparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.NetworkZoneConfig`](#@cdktf/provider-okta.NetworkZoneConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.parameter.scope" id="cdktfprovideroktanetworkzoneparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.parameter.id" id="cdktfprovideroktanetworkzoneparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.parameter.config" id="cdktfprovideroktanetworkzoneparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.NetworkZoneConfig`](#@cdktf/provider-okta.NetworkZoneConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAsns`](#cdktfprovideroktanetworkzoneresetasns) | *No description.* |
| [`resetDynamicLocations`](#cdktfprovideroktanetworkzoneresetdynamiclocations) | *No description.* |
| [`resetDynamicProxyType`](#cdktfprovideroktanetworkzoneresetdynamicproxytype) | *No description.* |
| [`resetGateways`](#cdktfprovideroktanetworkzoneresetgateways) | *No description.* |
| [`resetId`](#cdktfprovideroktanetworkzoneresetid) | *No description.* |
| [`resetProxies`](#cdktfprovideroktanetworkzoneresetproxies) | *No description.* |
| [`resetUsage`](#cdktfprovideroktanetworkzoneresetusage) | *No description.* |

---

##### `resetAsns` <a name="@cdktf/provider-okta.NetworkZone.resetAsns" id="cdktfprovideroktanetworkzoneresetasns"></a>

```typescript
public resetAsns()
```

##### `resetDynamicLocations` <a name="@cdktf/provider-okta.NetworkZone.resetDynamicLocations" id="cdktfprovideroktanetworkzoneresetdynamiclocations"></a>

```typescript
public resetDynamicLocations()
```

##### `resetDynamicProxyType` <a name="@cdktf/provider-okta.NetworkZone.resetDynamicProxyType" id="cdktfprovideroktanetworkzoneresetdynamicproxytype"></a>

```typescript
public resetDynamicProxyType()
```

##### `resetGateways` <a name="@cdktf/provider-okta.NetworkZone.resetGateways" id="cdktfprovideroktanetworkzoneresetgateways"></a>

```typescript
public resetGateways()
```

##### `resetId` <a name="@cdktf/provider-okta.NetworkZone.resetId" id="cdktfprovideroktanetworkzoneresetid"></a>

```typescript
public resetId()
```

##### `resetProxies` <a name="@cdktf/provider-okta.NetworkZone.resetProxies" id="cdktfprovideroktanetworkzoneresetproxies"></a>

```typescript
public resetProxies()
```

##### `resetUsage` <a name="@cdktf/provider-okta.NetworkZone.resetUsage" id="cdktfprovideroktanetworkzoneresetusage"></a>

```typescript
public resetUsage()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`asnsInput`](#cdktfprovideroktanetworkzonepropertyasnsinput) | `string`[] | *No description.* |
| [`dynamicLocationsInput`](#cdktfprovideroktanetworkzonepropertydynamiclocationsinput) | `string`[] | *No description.* |
| [`dynamicProxyTypeInput`](#cdktfprovideroktanetworkzonepropertydynamicproxytypeinput) | `string` | *No description.* |
| [`gatewaysInput`](#cdktfprovideroktanetworkzonepropertygatewaysinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktanetworkzonepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktanetworkzonepropertynameinput) | `string` | *No description.* |
| [`proxiesInput`](#cdktfprovideroktanetworkzonepropertyproxiesinput) | `string`[] | *No description.* |
| [`typeInput`](#cdktfprovideroktanetworkzonepropertytypeinput) | `string` | *No description.* |
| [`usageInput`](#cdktfprovideroktanetworkzonepropertyusageinput) | `string` | *No description.* |
| [`asns`](#cdktfprovideroktanetworkzonepropertyasns)<span title="Required">*</span> | `string`[] | *No description.* |
| [`dynamicLocations`](#cdktfprovideroktanetworkzonepropertydynamiclocations)<span title="Required">*</span> | `string`[] | *No description.* |
| [`dynamicProxyType`](#cdktfprovideroktanetworkzonepropertydynamicproxytype)<span title="Required">*</span> | `string` | *No description.* |
| [`gateways`](#cdktfprovideroktanetworkzonepropertygateways)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktanetworkzonepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktanetworkzonepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`proxies`](#cdktfprovideroktanetworkzonepropertyproxies)<span title="Required">*</span> | `string`[] | *No description.* |
| [`type`](#cdktfprovideroktanetworkzonepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`usage`](#cdktfprovideroktanetworkzonepropertyusage)<span title="Required">*</span> | `string` | *No description.* |

---

##### `asnsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.asnsInput" id="cdktfprovideroktanetworkzonepropertyasnsinput"></a>

```typescript
public readonly asnsInput: string[];
```

- *Type:* `string`[]

---

##### `dynamicLocationsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.dynamicLocationsInput" id="cdktfprovideroktanetworkzonepropertydynamiclocationsinput"></a>

```typescript
public readonly dynamicLocationsInput: string[];
```

- *Type:* `string`[]

---

##### `dynamicProxyTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.dynamicProxyTypeInput" id="cdktfprovideroktanetworkzonepropertydynamicproxytypeinput"></a>

```typescript
public readonly dynamicProxyTypeInput: string;
```

- *Type:* `string`

---

##### `gatewaysInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.gatewaysInput" id="cdktfprovideroktanetworkzonepropertygatewaysinput"></a>

```typescript
public readonly gatewaysInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.idInput" id="cdktfprovideroktanetworkzonepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.nameInput" id="cdktfprovideroktanetworkzonepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `proxiesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.proxiesInput" id="cdktfprovideroktanetworkzonepropertyproxiesinput"></a>

```typescript
public readonly proxiesInput: string[];
```

- *Type:* `string`[]

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.typeInput" id="cdktfprovideroktanetworkzonepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `usageInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZone.property.usageInput" id="cdktfprovideroktanetworkzonepropertyusageinput"></a>

```typescript
public readonly usageInput: string;
```

- *Type:* `string`

---

##### `asns`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.asns" id="cdktfprovideroktanetworkzonepropertyasns"></a>

```typescript
public readonly asns: string[];
```

- *Type:* `string`[]

---

##### `dynamicLocations`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.dynamicLocations" id="cdktfprovideroktanetworkzonepropertydynamiclocations"></a>

```typescript
public readonly dynamicLocations: string[];
```

- *Type:* `string`[]

---

##### `dynamicProxyType`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.dynamicProxyType" id="cdktfprovideroktanetworkzonepropertydynamicproxytype"></a>

```typescript
public readonly dynamicProxyType: string;
```

- *Type:* `string`

---

##### `gateways`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.gateways" id="cdktfprovideroktanetworkzonepropertygateways"></a>

```typescript
public readonly gateways: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.id" id="cdktfprovideroktanetworkzonepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.name" id="cdktfprovideroktanetworkzonepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `proxies`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.proxies" id="cdktfprovideroktanetworkzonepropertyproxies"></a>

```typescript
public readonly proxies: string[];
```

- *Type:* `string`[]

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.type" id="cdktfprovideroktanetworkzonepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `usage`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZone.property.usage" id="cdktfprovideroktanetworkzonepropertyusage"></a>

```typescript
public readonly usage: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktanetworkzonepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.NetworkZone.property.tfResourceType" id="cdktfprovideroktanetworkzonepropertytfresourcetype"></a>

- *Type:* `string`

---

### OauthApp <a name="@cdktf/provider-okta.OauthApp" id="cdktfprovideroktaoauthapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/oauth_app okta_oauth_app}.

#### Initializers <a name="@cdktf/provider-okta.OauthApp.Initializer" id="cdktfprovideroktaoauthappinitializer"></a>

```typescript
import { OauthApp } from '@cdktf/provider-okta'

new OauthApp(scope: Construct, id: string, config: OauthAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaoauthappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaoauthappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaoauthappparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.OauthAppConfig`](#@cdktf/provider-okta.OauthAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.parameter.scope" id="cdktfprovideroktaoauthappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.parameter.id" id="cdktfprovideroktaoauthappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.parameter.config" id="cdktfprovideroktaoauthappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.OauthAppConfig`](#@cdktf/provider-okta.OauthAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putGroupsClaim`](#cdktfprovideroktaoauthappputgroupsclaim) | *No description.* |
| [`putJwks`](#cdktfprovideroktaoauthappputjwks) | *No description.* |
| [`putUsers`](#cdktfprovideroktaoauthappputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaoauthappresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaoauthappresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaoauthappresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaoauthappresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaoauthappresetapplinksjson) | *No description.* |
| [`resetAppSettingsJson`](#cdktfprovideroktaoauthappresetappsettingsjson) | *No description.* |
| [`resetAuthenticationPolicy`](#cdktfprovideroktaoauthappresetauthenticationpolicy) | *No description.* |
| [`resetAutoKeyRotation`](#cdktfprovideroktaoauthappresetautokeyrotation) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaoauthappresetautosubmittoolbar) | *No description.* |
| [`resetClientBasicSecret`](#cdktfprovideroktaoauthappresetclientbasicsecret) | *No description.* |
| [`resetClientId`](#cdktfprovideroktaoauthappresetclientid) | *No description.* |
| [`resetClientUri`](#cdktfprovideroktaoauthappresetclienturi) | *No description.* |
| [`resetConsentMethod`](#cdktfprovideroktaoauthappresetconsentmethod) | *No description.* |
| [`resetCustomClientId`](#cdktfprovideroktaoauthappresetcustomclientid) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaoauthappresetendusernote) | *No description.* |
| [`resetGrantTypes`](#cdktfprovideroktaoauthappresetgranttypes) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaoauthappresetgroups) | *No description.* |
| [`resetGroupsClaim`](#cdktfprovideroktaoauthappresetgroupsclaim) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaoauthappresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaoauthappresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaoauthappresetid) | *No description.* |
| [`resetImplicitAssignment`](#cdktfprovideroktaoauthappresetimplicitassignment) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktaoauthappresetissuermode) | *No description.* |
| [`resetJwks`](#cdktfprovideroktaoauthappresetjwks) | *No description.* |
| [`resetLoginMode`](#cdktfprovideroktaoauthappresetloginmode) | *No description.* |
| [`resetLoginScopes`](#cdktfprovideroktaoauthappresetloginscopes) | *No description.* |
| [`resetLoginUri`](#cdktfprovideroktaoauthappresetloginuri) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaoauthappresetlogo) | *No description.* |
| [`resetLogoUri`](#cdktfprovideroktaoauthappresetlogouri) | *No description.* |
| [`resetOmitSecret`](#cdktfprovideroktaoauthappresetomitsecret) | *No description.* |
| [`resetPolicyUri`](#cdktfprovideroktaoauthappresetpolicyuri) | *No description.* |
| [`resetPostLogoutRedirectUris`](#cdktfprovideroktaoauthappresetpostlogoutredirecturis) | *No description.* |
| [`resetProfile`](#cdktfprovideroktaoauthappresetprofile) | *No description.* |
| [`resetRedirectUris`](#cdktfprovideroktaoauthappresetredirecturis) | *No description.* |
| [`resetRefreshTokenLeeway`](#cdktfprovideroktaoauthappresetrefreshtokenleeway) | *No description.* |
| [`resetRefreshTokenRotation`](#cdktfprovideroktaoauthappresetrefreshtokenrotation) | *No description.* |
| [`resetResponseTypes`](#cdktfprovideroktaoauthappresetresponsetypes) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaoauthappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaoauthappresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaoauthappresetstatus) | *No description.* |
| [`resetTokenEndpointAuthMethod`](#cdktfprovideroktaoauthappresettokenendpointauthmethod) | *No description.* |
| [`resetTosUri`](#cdktfprovideroktaoauthappresettosuri) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaoauthappresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaoauthappresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaoauthappresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaoauthappresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaoauthappresetusers) | *No description.* |
| [`resetWildcardRedirect`](#cdktfprovideroktaoauthappresetwildcardredirect) | *No description.* |

---

##### `putGroupsClaim` <a name="@cdktf/provider-okta.OauthApp.putGroupsClaim" id="cdktfprovideroktaoauthappputgroupsclaim"></a>

```typescript
public putGroupsClaim(value: OauthAppGroupsClaim)
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.parameter.value" id="cdktfprovideroktaoauthappparametervalue"></a>

- *Type:* [`@cdktf/provider-okta.OauthAppGroupsClaim`](#@cdktf/provider-okta.OauthAppGroupsClaim)

---

##### `putJwks` <a name="@cdktf/provider-okta.OauthApp.putJwks" id="cdktfprovideroktaoauthappputjwks"></a>

```typescript
public putJwks(value: IResolvable | OauthAppJwks[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.parameter.value" id="cdktfprovideroktaoauthappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)[]

---

##### `putUsers` <a name="@cdktf/provider-okta.OauthApp.putUsers" id="cdktfprovideroktaoauthappputusers"></a>

```typescript
public putUsers(value: IResolvable | OauthAppUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.parameter.value" id="cdktfprovideroktaoauthappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.OauthApp.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaoauthappresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.OauthApp.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaoauthappresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.OauthApp.resetAccessibilitySelfService" id="cdktfprovideroktaoauthappresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.OauthApp.resetAdminNote" id="cdktfprovideroktaoauthappresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.OauthApp.resetAppLinksJson" id="cdktfprovideroktaoauthappresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAppSettingsJson` <a name="@cdktf/provider-okta.OauthApp.resetAppSettingsJson" id="cdktfprovideroktaoauthappresetappsettingsjson"></a>

```typescript
public resetAppSettingsJson()
```

##### `resetAuthenticationPolicy` <a name="@cdktf/provider-okta.OauthApp.resetAuthenticationPolicy" id="cdktfprovideroktaoauthappresetauthenticationpolicy"></a>

```typescript
public resetAuthenticationPolicy()
```

##### `resetAutoKeyRotation` <a name="@cdktf/provider-okta.OauthApp.resetAutoKeyRotation" id="cdktfprovideroktaoauthappresetautokeyrotation"></a>

```typescript
public resetAutoKeyRotation()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.OauthApp.resetAutoSubmitToolbar" id="cdktfprovideroktaoauthappresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetClientBasicSecret` <a name="@cdktf/provider-okta.OauthApp.resetClientBasicSecret" id="cdktfprovideroktaoauthappresetclientbasicsecret"></a>

```typescript
public resetClientBasicSecret()
```

##### `resetClientId` <a name="@cdktf/provider-okta.OauthApp.resetClientId" id="cdktfprovideroktaoauthappresetclientid"></a>

```typescript
public resetClientId()
```

##### `resetClientUri` <a name="@cdktf/provider-okta.OauthApp.resetClientUri" id="cdktfprovideroktaoauthappresetclienturi"></a>

```typescript
public resetClientUri()
```

##### `resetConsentMethod` <a name="@cdktf/provider-okta.OauthApp.resetConsentMethod" id="cdktfprovideroktaoauthappresetconsentmethod"></a>

```typescript
public resetConsentMethod()
```

##### `resetCustomClientId` <a name="@cdktf/provider-okta.OauthApp.resetCustomClientId" id="cdktfprovideroktaoauthappresetcustomclientid"></a>

```typescript
public resetCustomClientId()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.OauthApp.resetEnduserNote" id="cdktfprovideroktaoauthappresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGrantTypes` <a name="@cdktf/provider-okta.OauthApp.resetGrantTypes" id="cdktfprovideroktaoauthappresetgranttypes"></a>

```typescript
public resetGrantTypes()
```

##### `resetGroups` <a name="@cdktf/provider-okta.OauthApp.resetGroups" id="cdktfprovideroktaoauthappresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetGroupsClaim` <a name="@cdktf/provider-okta.OauthApp.resetGroupsClaim" id="cdktfprovideroktaoauthappresetgroupsclaim"></a>

```typescript
public resetGroupsClaim()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.OauthApp.resetHideIos" id="cdktfprovideroktaoauthappresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.OauthApp.resetHideWeb" id="cdktfprovideroktaoauthappresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.OauthApp.resetId" id="cdktfprovideroktaoauthappresetid"></a>

```typescript
public resetId()
```

##### `resetImplicitAssignment` <a name="@cdktf/provider-okta.OauthApp.resetImplicitAssignment" id="cdktfprovideroktaoauthappresetimplicitassignment"></a>

```typescript
public resetImplicitAssignment()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.OauthApp.resetIssuerMode" id="cdktfprovideroktaoauthappresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetJwks` <a name="@cdktf/provider-okta.OauthApp.resetJwks" id="cdktfprovideroktaoauthappresetjwks"></a>

```typescript
public resetJwks()
```

##### `resetLoginMode` <a name="@cdktf/provider-okta.OauthApp.resetLoginMode" id="cdktfprovideroktaoauthappresetloginmode"></a>

```typescript
public resetLoginMode()
```

##### `resetLoginScopes` <a name="@cdktf/provider-okta.OauthApp.resetLoginScopes" id="cdktfprovideroktaoauthappresetloginscopes"></a>

```typescript
public resetLoginScopes()
```

##### `resetLoginUri` <a name="@cdktf/provider-okta.OauthApp.resetLoginUri" id="cdktfprovideroktaoauthappresetloginuri"></a>

```typescript
public resetLoginUri()
```

##### `resetLogo` <a name="@cdktf/provider-okta.OauthApp.resetLogo" id="cdktfprovideroktaoauthappresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetLogoUri` <a name="@cdktf/provider-okta.OauthApp.resetLogoUri" id="cdktfprovideroktaoauthappresetlogouri"></a>

```typescript
public resetLogoUri()
```

##### `resetOmitSecret` <a name="@cdktf/provider-okta.OauthApp.resetOmitSecret" id="cdktfprovideroktaoauthappresetomitsecret"></a>

```typescript
public resetOmitSecret()
```

##### `resetPolicyUri` <a name="@cdktf/provider-okta.OauthApp.resetPolicyUri" id="cdktfprovideroktaoauthappresetpolicyuri"></a>

```typescript
public resetPolicyUri()
```

##### `resetPostLogoutRedirectUris` <a name="@cdktf/provider-okta.OauthApp.resetPostLogoutRedirectUris" id="cdktfprovideroktaoauthappresetpostlogoutredirecturis"></a>

```typescript
public resetPostLogoutRedirectUris()
```

##### `resetProfile` <a name="@cdktf/provider-okta.OauthApp.resetProfile" id="cdktfprovideroktaoauthappresetprofile"></a>

```typescript
public resetProfile()
```

##### `resetRedirectUris` <a name="@cdktf/provider-okta.OauthApp.resetRedirectUris" id="cdktfprovideroktaoauthappresetredirecturis"></a>

```typescript
public resetRedirectUris()
```

##### `resetRefreshTokenLeeway` <a name="@cdktf/provider-okta.OauthApp.resetRefreshTokenLeeway" id="cdktfprovideroktaoauthappresetrefreshtokenleeway"></a>

```typescript
public resetRefreshTokenLeeway()
```

##### `resetRefreshTokenRotation` <a name="@cdktf/provider-okta.OauthApp.resetRefreshTokenRotation" id="cdktfprovideroktaoauthappresetrefreshtokenrotation"></a>

```typescript
public resetRefreshTokenRotation()
```

##### `resetResponseTypes` <a name="@cdktf/provider-okta.OauthApp.resetResponseTypes" id="cdktfprovideroktaoauthappresetresponsetypes"></a>

```typescript
public resetResponseTypes()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.OauthApp.resetSkipGroups" id="cdktfprovideroktaoauthappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.OauthApp.resetSkipUsers" id="cdktfprovideroktaoauthappresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.OauthApp.resetStatus" id="cdktfprovideroktaoauthappresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetTokenEndpointAuthMethod` <a name="@cdktf/provider-okta.OauthApp.resetTokenEndpointAuthMethod" id="cdktfprovideroktaoauthappresettokenendpointauthmethod"></a>

```typescript
public resetTokenEndpointAuthMethod()
```

##### `resetTosUri` <a name="@cdktf/provider-okta.OauthApp.resetTosUri" id="cdktfprovideroktaoauthappresettosuri"></a>

```typescript
public resetTosUri()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.OauthApp.resetUserNameTemplate" id="cdktfprovideroktaoauthappresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.OauthApp.resetUserNameTemplatePushStatus" id="cdktfprovideroktaoauthappresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.OauthApp.resetUserNameTemplateSuffix" id="cdktfprovideroktaoauthappresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.OauthApp.resetUserNameTemplateType" id="cdktfprovideroktaoauthappresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.OauthApp.resetUsers" id="cdktfprovideroktaoauthappresetusers"></a>

```typescript
public resetUsers()
```

##### `resetWildcardRedirect` <a name="@cdktf/provider-okta.OauthApp.resetWildcardRedirect" id="cdktfprovideroktaoauthappresetwildcardredirect"></a>

```typescript
public resetWildcardRedirect()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`clientSecret`](#cdktfprovideroktaoauthapppropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsClaim`](#cdktfprovideroktaoauthapppropertygroupsclaim)<span title="Required">*</span> | [`@cdktf/provider-okta.OauthAppGroupsClaimOutputReference`](#@cdktf/provider-okta.OauthAppGroupsClaimOutputReference) | *No description.* |
| [`jwks`](#cdktfprovideroktaoauthapppropertyjwks)<span title="Required">*</span> | [`@cdktf/provider-okta.OauthAppJwksList`](#@cdktf/provider-okta.OauthAppJwksList) | *No description.* |
| [`logoUrl`](#cdktfprovideroktaoauthapppropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaoauthapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaoauthapppropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaoauthapppropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.OauthAppUsersList`](#@cdktf/provider-okta.OauthAppUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaoauthapppropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaoauthapppropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaoauthapppropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaoauthapppropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaoauthapppropertyapplinksjsoninput) | `string` | *No description.* |
| [`appSettingsJsonInput`](#cdktfprovideroktaoauthapppropertyappsettingsjsoninput) | `string` | *No description.* |
| [`authenticationPolicyInput`](#cdktfprovideroktaoauthapppropertyauthenticationpolicyinput) | `string` | *No description.* |
| [`autoKeyRotationInput`](#cdktfprovideroktaoauthapppropertyautokeyrotationinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaoauthapppropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`clientBasicSecretInput`](#cdktfprovideroktaoauthapppropertyclientbasicsecretinput) | `string` | *No description.* |
| [`clientIdInput`](#cdktfprovideroktaoauthapppropertyclientidinput) | `string` | *No description.* |
| [`clientUriInput`](#cdktfprovideroktaoauthapppropertyclienturiinput) | `string` | *No description.* |
| [`consentMethodInput`](#cdktfprovideroktaoauthapppropertyconsentmethodinput) | `string` | *No description.* |
| [`customClientIdInput`](#cdktfprovideroktaoauthapppropertycustomclientidinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaoauthapppropertyendusernoteinput) | `string` | *No description.* |
| [`grantTypesInput`](#cdktfprovideroktaoauthapppropertygranttypesinput) | `string`[] | *No description.* |
| [`groupsClaimInput`](#cdktfprovideroktaoauthapppropertygroupsclaiminput) | [`@cdktf/provider-okta.OauthAppGroupsClaim`](#@cdktf/provider-okta.OauthAppGroupsClaim) | *No description.* |
| [`groupsInput`](#cdktfprovideroktaoauthapppropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaoauthapppropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaoauthapppropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaoauthapppropertyidinput) | `string` | *No description.* |
| [`implicitAssignmentInput`](#cdktfprovideroktaoauthapppropertyimplicitassignmentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktaoauthapppropertyissuermodeinput) | `string` | *No description.* |
| [`jwksInput`](#cdktfprovideroktaoauthapppropertyjwksinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)[] | *No description.* |
| [`labelInput`](#cdktfprovideroktaoauthapppropertylabelinput) | `string` | *No description.* |
| [`loginModeInput`](#cdktfprovideroktaoauthapppropertyloginmodeinput) | `string` | *No description.* |
| [`loginScopesInput`](#cdktfprovideroktaoauthapppropertyloginscopesinput) | `string`[] | *No description.* |
| [`loginUriInput`](#cdktfprovideroktaoauthapppropertyloginuriinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaoauthapppropertylogoinput) | `string` | *No description.* |
| [`logoUriInput`](#cdktfprovideroktaoauthapppropertylogouriinput) | `string` | *No description.* |
| [`omitSecretInput`](#cdktfprovideroktaoauthapppropertyomitsecretinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`policyUriInput`](#cdktfprovideroktaoauthapppropertypolicyuriinput) | `string` | *No description.* |
| [`postLogoutRedirectUrisInput`](#cdktfprovideroktaoauthapppropertypostlogoutredirecturisinput) | `string`[] | *No description.* |
| [`profileInput`](#cdktfprovideroktaoauthapppropertyprofileinput) | `string` | *No description.* |
| [`redirectUrisInput`](#cdktfprovideroktaoauthapppropertyredirecturisinput) | `string`[] | *No description.* |
| [`refreshTokenLeewayInput`](#cdktfprovideroktaoauthapppropertyrefreshtokenleewayinput) | `number` | *No description.* |
| [`refreshTokenRotationInput`](#cdktfprovideroktaoauthapppropertyrefreshtokenrotationinput) | `string` | *No description.* |
| [`responseTypesInput`](#cdktfprovideroktaoauthapppropertyresponsetypesinput) | `string`[] | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaoauthapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaoauthapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaoauthapppropertystatusinput) | `string` | *No description.* |
| [`tokenEndpointAuthMethodInput`](#cdktfprovideroktaoauthapppropertytokenendpointauthmethodinput) | `string` | *No description.* |
| [`tosUriInput`](#cdktfprovideroktaoauthapppropertytosuriinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaoauthapppropertytypeinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaoauthapppropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaoauthapppropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaoauthapppropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaoauthapppropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaoauthapppropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)[] | *No description.* |
| [`wildcardRedirectInput`](#cdktfprovideroktaoauthapppropertywildcardredirectinput) | `string` | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaoauthapppropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaoauthapppropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaoauthapppropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaoauthapppropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaoauthapppropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`appSettingsJson`](#cdktfprovideroktaoauthapppropertyappsettingsjson)<span title="Required">*</span> | `string` | *No description.* |
| [`authenticationPolicy`](#cdktfprovideroktaoauthapppropertyauthenticationpolicy)<span title="Required">*</span> | `string` | *No description.* |
| [`autoKeyRotation`](#cdktfprovideroktaoauthapppropertyautokeyrotation)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaoauthapppropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`clientBasicSecret`](#cdktfprovideroktaoauthapppropertyclientbasicsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktaoauthapppropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientUri`](#cdktfprovideroktaoauthapppropertyclienturi)<span title="Required">*</span> | `string` | *No description.* |
| [`consentMethod`](#cdktfprovideroktaoauthapppropertyconsentmethod)<span title="Required">*</span> | `string` | *No description.* |
| [`customClientId`](#cdktfprovideroktaoauthapppropertycustomclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaoauthapppropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`grantTypes`](#cdktfprovideroktaoauthapppropertygranttypes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groups`](#cdktfprovideroktaoauthapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaoauthapppropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaoauthapppropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaoauthapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`implicitAssignment`](#cdktfprovideroktaoauthapppropertyimplicitassignment)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`issuerMode`](#cdktfprovideroktaoauthapppropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaoauthapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`loginMode`](#cdktfprovideroktaoauthapppropertyloginmode)<span title="Required">*</span> | `string` | *No description.* |
| [`loginScopes`](#cdktfprovideroktaoauthapppropertyloginscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`loginUri`](#cdktfprovideroktaoauthapppropertyloginuri)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaoauthapppropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`logoUri`](#cdktfprovideroktaoauthapppropertylogouri)<span title="Required">*</span> | `string` | *No description.* |
| [`omitSecret`](#cdktfprovideroktaoauthapppropertyomitsecret)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`policyUri`](#cdktfprovideroktaoauthapppropertypolicyuri)<span title="Required">*</span> | `string` | *No description.* |
| [`postLogoutRedirectUris`](#cdktfprovideroktaoauthapppropertypostlogoutredirecturis)<span title="Required">*</span> | `string`[] | *No description.* |
| [`profile`](#cdktfprovideroktaoauthapppropertyprofile)<span title="Required">*</span> | `string` | *No description.* |
| [`redirectUris`](#cdktfprovideroktaoauthapppropertyredirecturis)<span title="Required">*</span> | `string`[] | *No description.* |
| [`refreshTokenLeeway`](#cdktfprovideroktaoauthapppropertyrefreshtokenleeway)<span title="Required">*</span> | `number` | *No description.* |
| [`refreshTokenRotation`](#cdktfprovideroktaoauthapppropertyrefreshtokenrotation)<span title="Required">*</span> | `string` | *No description.* |
| [`responseTypes`](#cdktfprovideroktaoauthapppropertyresponsetypes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`skipGroups`](#cdktfprovideroktaoauthapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaoauthapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaoauthapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenEndpointAuthMethod`](#cdktfprovideroktaoauthapppropertytokenendpointauthmethod)<span title="Required">*</span> | `string` | *No description.* |
| [`tosUri`](#cdktfprovideroktaoauthapppropertytosuri)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaoauthapppropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaoauthapppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaoauthapppropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaoauthapppropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaoauthapppropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |
| [`wildcardRedirect`](#cdktfprovideroktaoauthapppropertywildcardredirect)<span title="Required">*</span> | `string` | *No description.* |

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.clientSecret" id="cdktfprovideroktaoauthapppropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `groupsClaim`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.groupsClaim" id="cdktfprovideroktaoauthapppropertygroupsclaim"></a>

```typescript
public readonly groupsClaim: OauthAppGroupsClaimOutputReference;
```

- *Type:* [`@cdktf/provider-okta.OauthAppGroupsClaimOutputReference`](#@cdktf/provider-okta.OauthAppGroupsClaimOutputReference)

---

##### `jwks`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.jwks" id="cdktfprovideroktaoauthapppropertyjwks"></a>

```typescript
public readonly jwks: OauthAppJwksList;
```

- *Type:* [`@cdktf/provider-okta.OauthAppJwksList`](#@cdktf/provider-okta.OauthAppJwksList)

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.logoUrl" id="cdktfprovideroktaoauthapppropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.name" id="cdktfprovideroktaoauthapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.signOnMode" id="cdktfprovideroktaoauthapppropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.users" id="cdktfprovideroktaoauthapppropertyusers"></a>

```typescript
public readonly users: OauthAppUsersList;
```

- *Type:* [`@cdktf/provider-okta.OauthAppUsersList`](#@cdktf/provider-okta.OauthAppUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaoauthapppropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaoauthapppropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.accessibilitySelfServiceInput" id="cdktfprovideroktaoauthapppropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.adminNoteInput" id="cdktfprovideroktaoauthapppropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.appLinksJsonInput" id="cdktfprovideroktaoauthapppropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `appSettingsJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.appSettingsJsonInput" id="cdktfprovideroktaoauthapppropertyappsettingsjsoninput"></a>

```typescript
public readonly appSettingsJsonInput: string;
```

- *Type:* `string`

---

##### `authenticationPolicyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.authenticationPolicyInput" id="cdktfprovideroktaoauthapppropertyauthenticationpolicyinput"></a>

```typescript
public readonly authenticationPolicyInput: string;
```

- *Type:* `string`

---

##### `autoKeyRotationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.autoKeyRotationInput" id="cdktfprovideroktaoauthapppropertyautokeyrotationinput"></a>

```typescript
public readonly autoKeyRotationInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.autoSubmitToolbarInput" id="cdktfprovideroktaoauthapppropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `clientBasicSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.clientBasicSecretInput" id="cdktfprovideroktaoauthapppropertyclientbasicsecretinput"></a>

```typescript
public readonly clientBasicSecretInput: string;
```

- *Type:* `string`

---

##### `clientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.clientIdInput" id="cdktfprovideroktaoauthapppropertyclientidinput"></a>

```typescript
public readonly clientIdInput: string;
```

- *Type:* `string`

---

##### `clientUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.clientUriInput" id="cdktfprovideroktaoauthapppropertyclienturiinput"></a>

```typescript
public readonly clientUriInput: string;
```

- *Type:* `string`

---

##### `consentMethodInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.consentMethodInput" id="cdktfprovideroktaoauthapppropertyconsentmethodinput"></a>

```typescript
public readonly consentMethodInput: string;
```

- *Type:* `string`

---

##### `customClientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.customClientIdInput" id="cdktfprovideroktaoauthapppropertycustomclientidinput"></a>

```typescript
public readonly customClientIdInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.enduserNoteInput" id="cdktfprovideroktaoauthapppropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `grantTypesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.grantTypesInput" id="cdktfprovideroktaoauthapppropertygranttypesinput"></a>

```typescript
public readonly grantTypesInput: string[];
```

- *Type:* `string`[]

---

##### `groupsClaimInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.groupsClaimInput" id="cdktfprovideroktaoauthapppropertygroupsclaiminput"></a>

```typescript
public readonly groupsClaimInput: OauthAppGroupsClaim;
```

- *Type:* [`@cdktf/provider-okta.OauthAppGroupsClaim`](#@cdktf/provider-okta.OauthAppGroupsClaim)

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.groupsInput" id="cdktfprovideroktaoauthapppropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.hideIosInput" id="cdktfprovideroktaoauthapppropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.hideWebInput" id="cdktfprovideroktaoauthapppropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.idInput" id="cdktfprovideroktaoauthapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `implicitAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.implicitAssignmentInput" id="cdktfprovideroktaoauthapppropertyimplicitassignmentinput"></a>

```typescript
public readonly implicitAssignmentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.issuerModeInput" id="cdktfprovideroktaoauthapppropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `jwksInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.jwksInput" id="cdktfprovideroktaoauthapppropertyjwksinput"></a>

```typescript
public readonly jwksInput: IResolvable | OauthAppJwks[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)[]

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.labelInput" id="cdktfprovideroktaoauthapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `loginModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.loginModeInput" id="cdktfprovideroktaoauthapppropertyloginmodeinput"></a>

```typescript
public readonly loginModeInput: string;
```

- *Type:* `string`

---

##### `loginScopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.loginScopesInput" id="cdktfprovideroktaoauthapppropertyloginscopesinput"></a>

```typescript
public readonly loginScopesInput: string[];
```

- *Type:* `string`[]

---

##### `loginUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.loginUriInput" id="cdktfprovideroktaoauthapppropertyloginuriinput"></a>

```typescript
public readonly loginUriInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.logoInput" id="cdktfprovideroktaoauthapppropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `logoUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.logoUriInput" id="cdktfprovideroktaoauthapppropertylogouriinput"></a>

```typescript
public readonly logoUriInput: string;
```

- *Type:* `string`

---

##### `omitSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.omitSecretInput" id="cdktfprovideroktaoauthapppropertyomitsecretinput"></a>

```typescript
public readonly omitSecretInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `policyUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.policyUriInput" id="cdktfprovideroktaoauthapppropertypolicyuriinput"></a>

```typescript
public readonly policyUriInput: string;
```

- *Type:* `string`

---

##### `postLogoutRedirectUrisInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.postLogoutRedirectUrisInput" id="cdktfprovideroktaoauthapppropertypostlogoutredirecturisinput"></a>

```typescript
public readonly postLogoutRedirectUrisInput: string[];
```

- *Type:* `string`[]

---

##### `profileInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.profileInput" id="cdktfprovideroktaoauthapppropertyprofileinput"></a>

```typescript
public readonly profileInput: string;
```

- *Type:* `string`

---

##### `redirectUrisInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.redirectUrisInput" id="cdktfprovideroktaoauthapppropertyredirecturisinput"></a>

```typescript
public readonly redirectUrisInput: string[];
```

- *Type:* `string`[]

---

##### `refreshTokenLeewayInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.refreshTokenLeewayInput" id="cdktfprovideroktaoauthapppropertyrefreshtokenleewayinput"></a>

```typescript
public readonly refreshTokenLeewayInput: number;
```

- *Type:* `number`

---

##### `refreshTokenRotationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.refreshTokenRotationInput" id="cdktfprovideroktaoauthapppropertyrefreshtokenrotationinput"></a>

```typescript
public readonly refreshTokenRotationInput: string;
```

- *Type:* `string`

---

##### `responseTypesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.responseTypesInput" id="cdktfprovideroktaoauthapppropertyresponsetypesinput"></a>

```typescript
public readonly responseTypesInput: string[];
```

- *Type:* `string`[]

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.skipGroupsInput" id="cdktfprovideroktaoauthapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.skipUsersInput" id="cdktfprovideroktaoauthapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.statusInput" id="cdktfprovideroktaoauthapppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `tokenEndpointAuthMethodInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.tokenEndpointAuthMethodInput" id="cdktfprovideroktaoauthapppropertytokenendpointauthmethodinput"></a>

```typescript
public readonly tokenEndpointAuthMethodInput: string;
```

- *Type:* `string`

---

##### `tosUriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.tosUriInput" id="cdktfprovideroktaoauthapppropertytosuriinput"></a>

```typescript
public readonly tosUriInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.typeInput" id="cdktfprovideroktaoauthapppropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplateInput" id="cdktfprovideroktaoauthapppropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaoauthapppropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplateSuffixInput" id="cdktfprovideroktaoauthapppropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplateTypeInput" id="cdktfprovideroktaoauthapppropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.usersInput" id="cdktfprovideroktaoauthapppropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | OauthAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)[]

---

##### `wildcardRedirectInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthApp.property.wildcardRedirectInput" id="cdktfprovideroktaoauthapppropertywildcardredirectinput"></a>

```typescript
public readonly wildcardRedirectInput: string;
```

- *Type:* `string`

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaoauthapppropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaoauthapppropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.accessibilitySelfService" id="cdktfprovideroktaoauthapppropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.adminNote" id="cdktfprovideroktaoauthapppropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.appLinksJson" id="cdktfprovideroktaoauthapppropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `appSettingsJson`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.appSettingsJson" id="cdktfprovideroktaoauthapppropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

---

##### `authenticationPolicy`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.authenticationPolicy" id="cdktfprovideroktaoauthapppropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

---

##### `autoKeyRotation`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.autoKeyRotation" id="cdktfprovideroktaoauthapppropertyautokeyrotation"></a>

```typescript
public readonly autoKeyRotation: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.autoSubmitToolbar" id="cdktfprovideroktaoauthapppropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `clientBasicSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.clientBasicSecret" id="cdktfprovideroktaoauthapppropertyclientbasicsecret"></a>

```typescript
public readonly clientBasicSecret: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.clientId" id="cdktfprovideroktaoauthapppropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientUri`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.clientUri" id="cdktfprovideroktaoauthapppropertyclienturi"></a>

```typescript
public readonly clientUri: string;
```

- *Type:* `string`

---

##### `consentMethod`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.consentMethod" id="cdktfprovideroktaoauthapppropertyconsentmethod"></a>

```typescript
public readonly consentMethod: string;
```

- *Type:* `string`

---

##### `customClientId`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.customClientId" id="cdktfprovideroktaoauthapppropertycustomclientid"></a>

```typescript
public readonly customClientId: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.enduserNote" id="cdktfprovideroktaoauthapppropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `grantTypes`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.grantTypes" id="cdktfprovideroktaoauthapppropertygranttypes"></a>

```typescript
public readonly grantTypes: string[];
```

- *Type:* `string`[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.groups" id="cdktfprovideroktaoauthapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.hideIos" id="cdktfprovideroktaoauthapppropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.hideWeb" id="cdktfprovideroktaoauthapppropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.id" id="cdktfprovideroktaoauthapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `implicitAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.implicitAssignment" id="cdktfprovideroktaoauthapppropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.issuerMode" id="cdktfprovideroktaoauthapppropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.label" id="cdktfprovideroktaoauthapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `loginMode`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.loginMode" id="cdktfprovideroktaoauthapppropertyloginmode"></a>

```typescript
public readonly loginMode: string;
```

- *Type:* `string`

---

##### `loginScopes`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.loginScopes" id="cdktfprovideroktaoauthapppropertyloginscopes"></a>

```typescript
public readonly loginScopes: string[];
```

- *Type:* `string`[]

---

##### `loginUri`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.loginUri" id="cdktfprovideroktaoauthapppropertyloginuri"></a>

```typescript
public readonly loginUri: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.logo" id="cdktfprovideroktaoauthapppropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `logoUri`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.logoUri" id="cdktfprovideroktaoauthapppropertylogouri"></a>

```typescript
public readonly logoUri: string;
```

- *Type:* `string`

---

##### `omitSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.omitSecret" id="cdktfprovideroktaoauthapppropertyomitsecret"></a>

```typescript
public readonly omitSecret: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `policyUri`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.policyUri" id="cdktfprovideroktaoauthapppropertypolicyuri"></a>

```typescript
public readonly policyUri: string;
```

- *Type:* `string`

---

##### `postLogoutRedirectUris`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.postLogoutRedirectUris" id="cdktfprovideroktaoauthapppropertypostlogoutredirecturis"></a>

```typescript
public readonly postLogoutRedirectUris: string[];
```

- *Type:* `string`[]

---

##### `profile`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.profile" id="cdktfprovideroktaoauthapppropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

---

##### `redirectUris`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.redirectUris" id="cdktfprovideroktaoauthapppropertyredirecturis"></a>

```typescript
public readonly redirectUris: string[];
```

- *Type:* `string`[]

---

##### `refreshTokenLeeway`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.refreshTokenLeeway" id="cdktfprovideroktaoauthapppropertyrefreshtokenleeway"></a>

```typescript
public readonly refreshTokenLeeway: number;
```

- *Type:* `number`

---

##### `refreshTokenRotation`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.refreshTokenRotation" id="cdktfprovideroktaoauthapppropertyrefreshtokenrotation"></a>

```typescript
public readonly refreshTokenRotation: string;
```

- *Type:* `string`

---

##### `responseTypes`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.responseTypes" id="cdktfprovideroktaoauthapppropertyresponsetypes"></a>

```typescript
public readonly responseTypes: string[];
```

- *Type:* `string`[]

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.skipGroups" id="cdktfprovideroktaoauthapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.skipUsers" id="cdktfprovideroktaoauthapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.status" id="cdktfprovideroktaoauthapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `tokenEndpointAuthMethod`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.tokenEndpointAuthMethod" id="cdktfprovideroktaoauthapppropertytokenendpointauthmethod"></a>

```typescript
public readonly tokenEndpointAuthMethod: string;
```

- *Type:* `string`

---

##### `tosUri`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.tosUri" id="cdktfprovideroktaoauthapppropertytosuri"></a>

```typescript
public readonly tosUri: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.type" id="cdktfprovideroktaoauthapppropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplate" id="cdktfprovideroktaoauthapppropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplatePushStatus" id="cdktfprovideroktaoauthapppropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplateSuffix" id="cdktfprovideroktaoauthapppropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.userNameTemplateType" id="cdktfprovideroktaoauthapppropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

##### `wildcardRedirect`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthApp.property.wildcardRedirect" id="cdktfprovideroktaoauthapppropertywildcardredirect"></a>

```typescript
public readonly wildcardRedirect: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaoauthapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.OauthApp.property.tfResourceType" id="cdktfprovideroktaoauthapppropertytfresourcetype"></a>

- *Type:* `string`

---

### OauthAppRedirectUri <a name="@cdktf/provider-okta.OauthAppRedirectUri" id="cdktfprovideroktaoauthappredirecturi"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/oauth_app_redirect_uri okta_oauth_app_redirect_uri}.

#### Initializers <a name="@cdktf/provider-okta.OauthAppRedirectUri.Initializer" id="cdktfprovideroktaoauthappredirecturiinitializer"></a>

```typescript
import { OauthAppRedirectUri } from '@cdktf/provider-okta'

new OauthAppRedirectUri(scope: Construct, id: string, config: OauthAppRedirectUriConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaoauthappredirecturiparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaoauthappredirecturiparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaoauthappredirecturiparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.OauthAppRedirectUriConfig`](#@cdktf/provider-okta.OauthAppRedirectUriConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.parameter.scope" id="cdktfprovideroktaoauthappredirecturiparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.parameter.id" id="cdktfprovideroktaoauthappredirecturiparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.parameter.config" id="cdktfprovideroktaoauthappredirecturiparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.OauthAppRedirectUriConfig`](#@cdktf/provider-okta.OauthAppRedirectUriConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaoauthappredirecturiresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.OauthAppRedirectUri.resetId" id="cdktfprovideroktaoauthappredirecturiresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appIdInput`](#cdktfprovideroktaoauthappredirecturipropertyappidinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaoauthappredirecturipropertyidinput) | `string` | *No description.* |
| [`uriInput`](#cdktfprovideroktaoauthappredirecturipropertyuriinput) | `string` | *No description.* |
| [`appId`](#cdktfprovideroktaoauthappredirecturipropertyappid)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaoauthappredirecturipropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`uri`](#cdktfprovideroktaoauthappredirecturipropertyuri)<span title="Required">*</span> | `string` | *No description.* |

---

##### `appIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.property.appIdInput" id="cdktfprovideroktaoauthappredirecturipropertyappidinput"></a>

```typescript
public readonly appIdInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.property.idInput" id="cdktfprovideroktaoauthappredirecturipropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `uriInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.property.uriInput" id="cdktfprovideroktaoauthappredirecturipropertyuriinput"></a>

```typescript
public readonly uriInput: string;
```

- *Type:* `string`

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.property.appId" id="cdktfprovideroktaoauthappredirecturipropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.property.id" id="cdktfprovideroktaoauthappredirecturipropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `uri`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUri.property.uri" id="cdktfprovideroktaoauthappredirecturipropertyuri"></a>

```typescript
public readonly uri: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaoauthappredirecturipropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.OauthAppRedirectUri.property.tfResourceType" id="cdktfprovideroktaoauthappredirecturipropertytfresourcetype"></a>

- *Type:* `string`

---

### OktaProvider <a name="@cdktf/provider-okta.OktaProvider" id="cdktfprovideroktaoktaprovider"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta okta}.

#### Initializers <a name="@cdktf/provider-okta.OktaProvider.Initializer" id="cdktfprovideroktaoktaproviderinitializer"></a>

```typescript
import { OktaProvider } from '@cdktf/provider-okta'

new OktaProvider(scope: Construct, id: string, config?: OktaProviderConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaoktaproviderparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaoktaproviderparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaoktaproviderparameterconfig) | [`@cdktf/provider-okta.OktaProviderConfig`](#@cdktf/provider-okta.OktaProviderConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.OktaProvider.parameter.scope" id="cdktfprovideroktaoktaproviderparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OktaProvider.parameter.id" id="cdktfprovideroktaoktaproviderparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.parameter.config" id="cdktfprovideroktaoktaproviderparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.OktaProviderConfig`](#@cdktf/provider-okta.OktaProviderConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccessToken`](#cdktfprovideroktaoktaproviderresetaccesstoken) | *No description.* |
| [`resetAlias`](#cdktfprovideroktaoktaproviderresetalias) | *No description.* |
| [`resetApiToken`](#cdktfprovideroktaoktaproviderresetapitoken) | *No description.* |
| [`resetBackoff`](#cdktfprovideroktaoktaproviderresetbackoff) | *No description.* |
| [`resetBaseUrl`](#cdktfprovideroktaoktaproviderresetbaseurl) | *No description.* |
| [`resetClientId`](#cdktfprovideroktaoktaproviderresetclientid) | *No description.* |
| [`resetHttpProxy`](#cdktfprovideroktaoktaproviderresethttpproxy) | *No description.* |
| [`resetLogLevel`](#cdktfprovideroktaoktaproviderresetloglevel) | *No description.* |
| [`resetMaxApiCapacity`](#cdktfprovideroktaoktaproviderresetmaxapicapacity) | *No description.* |
| [`resetMaxRetries`](#cdktfprovideroktaoktaproviderresetmaxretries) | *No description.* |
| [`resetMaxWaitSeconds`](#cdktfprovideroktaoktaproviderresetmaxwaitseconds) | *No description.* |
| [`resetMinWaitSeconds`](#cdktfprovideroktaoktaproviderresetminwaitseconds) | *No description.* |
| [`resetOrgName`](#cdktfprovideroktaoktaproviderresetorgname) | *No description.* |
| [`resetParallelism`](#cdktfprovideroktaoktaproviderresetparallelism) | *No description.* |
| [`resetPrivateKey`](#cdktfprovideroktaoktaproviderresetprivatekey) | *No description.* |
| [`resetPrivateKeyId`](#cdktfprovideroktaoktaproviderresetprivatekeyid) | *No description.* |
| [`resetRequestTimeout`](#cdktfprovideroktaoktaproviderresetrequesttimeout) | *No description.* |
| [`resetScopes`](#cdktfprovideroktaoktaproviderresetscopes) | *No description.* |

---

##### `resetAccessToken` <a name="@cdktf/provider-okta.OktaProvider.resetAccessToken" id="cdktfprovideroktaoktaproviderresetaccesstoken"></a>

```typescript
public resetAccessToken()
```

##### `resetAlias` <a name="@cdktf/provider-okta.OktaProvider.resetAlias" id="cdktfprovideroktaoktaproviderresetalias"></a>

```typescript
public resetAlias()
```

##### `resetApiToken` <a name="@cdktf/provider-okta.OktaProvider.resetApiToken" id="cdktfprovideroktaoktaproviderresetapitoken"></a>

```typescript
public resetApiToken()
```

##### `resetBackoff` <a name="@cdktf/provider-okta.OktaProvider.resetBackoff" id="cdktfprovideroktaoktaproviderresetbackoff"></a>

```typescript
public resetBackoff()
```

##### `resetBaseUrl` <a name="@cdktf/provider-okta.OktaProvider.resetBaseUrl" id="cdktfprovideroktaoktaproviderresetbaseurl"></a>

```typescript
public resetBaseUrl()
```

##### `resetClientId` <a name="@cdktf/provider-okta.OktaProvider.resetClientId" id="cdktfprovideroktaoktaproviderresetclientid"></a>

```typescript
public resetClientId()
```

##### `resetHttpProxy` <a name="@cdktf/provider-okta.OktaProvider.resetHttpProxy" id="cdktfprovideroktaoktaproviderresethttpproxy"></a>

```typescript
public resetHttpProxy()
```

##### `resetLogLevel` <a name="@cdktf/provider-okta.OktaProvider.resetLogLevel" id="cdktfprovideroktaoktaproviderresetloglevel"></a>

```typescript
public resetLogLevel()
```

##### `resetMaxApiCapacity` <a name="@cdktf/provider-okta.OktaProvider.resetMaxApiCapacity" id="cdktfprovideroktaoktaproviderresetmaxapicapacity"></a>

```typescript
public resetMaxApiCapacity()
```

##### `resetMaxRetries` <a name="@cdktf/provider-okta.OktaProvider.resetMaxRetries" id="cdktfprovideroktaoktaproviderresetmaxretries"></a>

```typescript
public resetMaxRetries()
```

##### `resetMaxWaitSeconds` <a name="@cdktf/provider-okta.OktaProvider.resetMaxWaitSeconds" id="cdktfprovideroktaoktaproviderresetmaxwaitseconds"></a>

```typescript
public resetMaxWaitSeconds()
```

##### `resetMinWaitSeconds` <a name="@cdktf/provider-okta.OktaProvider.resetMinWaitSeconds" id="cdktfprovideroktaoktaproviderresetminwaitseconds"></a>

```typescript
public resetMinWaitSeconds()
```

##### `resetOrgName` <a name="@cdktf/provider-okta.OktaProvider.resetOrgName" id="cdktfprovideroktaoktaproviderresetorgname"></a>

```typescript
public resetOrgName()
```

##### `resetParallelism` <a name="@cdktf/provider-okta.OktaProvider.resetParallelism" id="cdktfprovideroktaoktaproviderresetparallelism"></a>

```typescript
public resetParallelism()
```

##### `resetPrivateKey` <a name="@cdktf/provider-okta.OktaProvider.resetPrivateKey" id="cdktfprovideroktaoktaproviderresetprivatekey"></a>

```typescript
public resetPrivateKey()
```

##### `resetPrivateKeyId` <a name="@cdktf/provider-okta.OktaProvider.resetPrivateKeyId" id="cdktfprovideroktaoktaproviderresetprivatekeyid"></a>

```typescript
public resetPrivateKeyId()
```

##### `resetRequestTimeout` <a name="@cdktf/provider-okta.OktaProvider.resetRequestTimeout" id="cdktfprovideroktaoktaproviderresetrequesttimeout"></a>

```typescript
public resetRequestTimeout()
```

##### `resetScopes` <a name="@cdktf/provider-okta.OktaProvider.resetScopes" id="cdktfprovideroktaoktaproviderresetscopes"></a>

```typescript
public resetScopes()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`accessTokenInput`](#cdktfprovideroktaoktaproviderpropertyaccesstokeninput) | `string` | *No description.* |
| [`aliasInput`](#cdktfprovideroktaoktaproviderpropertyaliasinput) | `string` | *No description.* |
| [`apiTokenInput`](#cdktfprovideroktaoktaproviderpropertyapitokeninput) | `string` | *No description.* |
| [`backoffInput`](#cdktfprovideroktaoktaproviderpropertybackoffinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`baseUrlInput`](#cdktfprovideroktaoktaproviderpropertybaseurlinput) | `string` | *No description.* |
| [`clientIdInput`](#cdktfprovideroktaoktaproviderpropertyclientidinput) | `string` | *No description.* |
| [`httpProxyInput`](#cdktfprovideroktaoktaproviderpropertyhttpproxyinput) | `string` | *No description.* |
| [`logLevelInput`](#cdktfprovideroktaoktaproviderpropertyloglevelinput) | `number` | *No description.* |
| [`maxApiCapacityInput`](#cdktfprovideroktaoktaproviderpropertymaxapicapacityinput) | `number` | *No description.* |
| [`maxRetriesInput`](#cdktfprovideroktaoktaproviderpropertymaxretriesinput) | `number` | *No description.* |
| [`maxWaitSecondsInput`](#cdktfprovideroktaoktaproviderpropertymaxwaitsecondsinput) | `number` | *No description.* |
| [`minWaitSecondsInput`](#cdktfprovideroktaoktaproviderpropertyminwaitsecondsinput) | `number` | *No description.* |
| [`orgNameInput`](#cdktfprovideroktaoktaproviderpropertyorgnameinput) | `string` | *No description.* |
| [`parallelismInput`](#cdktfprovideroktaoktaproviderpropertyparallelisminput) | `number` | *No description.* |
| [`privateKeyIdInput`](#cdktfprovideroktaoktaproviderpropertyprivatekeyidinput) | `string` | *No description.* |
| [`privateKeyInput`](#cdktfprovideroktaoktaproviderpropertyprivatekeyinput) | `string` | *No description.* |
| [`requestTimeoutInput`](#cdktfprovideroktaoktaproviderpropertyrequesttimeoutinput) | `number` | *No description.* |
| [`scopesInput`](#cdktfprovideroktaoktaproviderpropertyscopesinput) | `string`[] | *No description.* |
| [`accessToken`](#cdktfprovideroktaoktaproviderpropertyaccesstoken) | `string` | *No description.* |
| [`alias`](#cdktfprovideroktaoktaproviderpropertyalias) | `string` | *No description.* |
| [`apiToken`](#cdktfprovideroktaoktaproviderpropertyapitoken) | `string` | *No description.* |
| [`backoff`](#cdktfprovideroktaoktaproviderpropertybackoff) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`baseUrl`](#cdktfprovideroktaoktaproviderpropertybaseurl) | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktaoktaproviderpropertyclientid) | `string` | *No description.* |
| [`httpProxy`](#cdktfprovideroktaoktaproviderpropertyhttpproxy) | `string` | *No description.* |
| [`logLevel`](#cdktfprovideroktaoktaproviderpropertyloglevel) | `number` | *No description.* |
| [`maxApiCapacity`](#cdktfprovideroktaoktaproviderpropertymaxapicapacity) | `number` | *No description.* |
| [`maxRetries`](#cdktfprovideroktaoktaproviderpropertymaxretries) | `number` | *No description.* |
| [`maxWaitSeconds`](#cdktfprovideroktaoktaproviderpropertymaxwaitseconds) | `number` | *No description.* |
| [`minWaitSeconds`](#cdktfprovideroktaoktaproviderpropertyminwaitseconds) | `number` | *No description.* |
| [`orgName`](#cdktfprovideroktaoktaproviderpropertyorgname) | `string` | *No description.* |
| [`parallelism`](#cdktfprovideroktaoktaproviderpropertyparallelism) | `number` | *No description.* |
| [`privateKey`](#cdktfprovideroktaoktaproviderpropertyprivatekey) | `string` | *No description.* |
| [`privateKeyId`](#cdktfprovideroktaoktaproviderpropertyprivatekeyid) | `string` | *No description.* |
| [`requestTimeout`](#cdktfprovideroktaoktaproviderpropertyrequesttimeout) | `number` | *No description.* |
| [`scopes`](#cdktfprovideroktaoktaproviderpropertyscopes) | `string`[] | *No description.* |

---

##### `accessTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.accessTokenInput" id="cdktfprovideroktaoktaproviderpropertyaccesstokeninput"></a>

```typescript
public readonly accessTokenInput: string;
```

- *Type:* `string`

---

##### `aliasInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.aliasInput" id="cdktfprovideroktaoktaproviderpropertyaliasinput"></a>

```typescript
public readonly aliasInput: string;
```

- *Type:* `string`

---

##### `apiTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.apiTokenInput" id="cdktfprovideroktaoktaproviderpropertyapitokeninput"></a>

```typescript
public readonly apiTokenInput: string;
```

- *Type:* `string`

---

##### `backoffInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.backoffInput" id="cdktfprovideroktaoktaproviderpropertybackoffinput"></a>

```typescript
public readonly backoffInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `baseUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.baseUrlInput" id="cdktfprovideroktaoktaproviderpropertybaseurlinput"></a>

```typescript
public readonly baseUrlInput: string;
```

- *Type:* `string`

---

##### `clientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.clientIdInput" id="cdktfprovideroktaoktaproviderpropertyclientidinput"></a>

```typescript
public readonly clientIdInput: string;
```

- *Type:* `string`

---

##### `httpProxyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.httpProxyInput" id="cdktfprovideroktaoktaproviderpropertyhttpproxyinput"></a>

```typescript
public readonly httpProxyInput: string;
```

- *Type:* `string`

---

##### `logLevelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.logLevelInput" id="cdktfprovideroktaoktaproviderpropertyloglevelinput"></a>

```typescript
public readonly logLevelInput: number;
```

- *Type:* `number`

---

##### `maxApiCapacityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.maxApiCapacityInput" id="cdktfprovideroktaoktaproviderpropertymaxapicapacityinput"></a>

```typescript
public readonly maxApiCapacityInput: number;
```

- *Type:* `number`

---

##### `maxRetriesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.maxRetriesInput" id="cdktfprovideroktaoktaproviderpropertymaxretriesinput"></a>

```typescript
public readonly maxRetriesInput: number;
```

- *Type:* `number`

---

##### `maxWaitSecondsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.maxWaitSecondsInput" id="cdktfprovideroktaoktaproviderpropertymaxwaitsecondsinput"></a>

```typescript
public readonly maxWaitSecondsInput: number;
```

- *Type:* `number`

---

##### `minWaitSecondsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.minWaitSecondsInput" id="cdktfprovideroktaoktaproviderpropertyminwaitsecondsinput"></a>

```typescript
public readonly minWaitSecondsInput: number;
```

- *Type:* `number`

---

##### `orgNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.orgNameInput" id="cdktfprovideroktaoktaproviderpropertyorgnameinput"></a>

```typescript
public readonly orgNameInput: string;
```

- *Type:* `string`

---

##### `parallelismInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.parallelismInput" id="cdktfprovideroktaoktaproviderpropertyparallelisminput"></a>

```typescript
public readonly parallelismInput: number;
```

- *Type:* `number`

---

##### `privateKeyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.privateKeyIdInput" id="cdktfprovideroktaoktaproviderpropertyprivatekeyidinput"></a>

```typescript
public readonly privateKeyIdInput: string;
```

- *Type:* `string`

---

##### `privateKeyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.privateKeyInput" id="cdktfprovideroktaoktaproviderpropertyprivatekeyinput"></a>

```typescript
public readonly privateKeyInput: string;
```

- *Type:* `string`

---

##### `requestTimeoutInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.requestTimeoutInput" id="cdktfprovideroktaoktaproviderpropertyrequesttimeoutinput"></a>

```typescript
public readonly requestTimeoutInput: number;
```

- *Type:* `number`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.scopesInput" id="cdktfprovideroktaoktaproviderpropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `accessToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.accessToken" id="cdktfprovideroktaoktaproviderpropertyaccesstoken"></a>

```typescript
public readonly accessToken: string;
```

- *Type:* `string`

---

##### `alias`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.alias" id="cdktfprovideroktaoktaproviderpropertyalias"></a>

```typescript
public readonly alias: string;
```

- *Type:* `string`

---

##### `apiToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.apiToken" id="cdktfprovideroktaoktaproviderpropertyapitoken"></a>

```typescript
public readonly apiToken: string;
```

- *Type:* `string`

---

##### `backoff`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.backoff" id="cdktfprovideroktaoktaproviderpropertybackoff"></a>

```typescript
public readonly backoff: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `baseUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.baseUrl" id="cdktfprovideroktaoktaproviderpropertybaseurl"></a>

```typescript
public readonly baseUrl: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.clientId" id="cdktfprovideroktaoktaproviderpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `httpProxy`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.httpProxy" id="cdktfprovideroktaoktaproviderpropertyhttpproxy"></a>

```typescript
public readonly httpProxy: string;
```

- *Type:* `string`

---

##### `logLevel`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.logLevel" id="cdktfprovideroktaoktaproviderpropertyloglevel"></a>

```typescript
public readonly logLevel: number;
```

- *Type:* `number`

---

##### `maxApiCapacity`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.maxApiCapacity" id="cdktfprovideroktaoktaproviderpropertymaxapicapacity"></a>

```typescript
public readonly maxApiCapacity: number;
```

- *Type:* `number`

---

##### `maxRetries`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.maxRetries" id="cdktfprovideroktaoktaproviderpropertymaxretries"></a>

```typescript
public readonly maxRetries: number;
```

- *Type:* `number`

---

##### `maxWaitSeconds`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.maxWaitSeconds" id="cdktfprovideroktaoktaproviderpropertymaxwaitseconds"></a>

```typescript
public readonly maxWaitSeconds: number;
```

- *Type:* `number`

---

##### `minWaitSeconds`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.minWaitSeconds" id="cdktfprovideroktaoktaproviderpropertyminwaitseconds"></a>

```typescript
public readonly minWaitSeconds: number;
```

- *Type:* `number`

---

##### `orgName`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.orgName" id="cdktfprovideroktaoktaproviderpropertyorgname"></a>

```typescript
public readonly orgName: string;
```

- *Type:* `string`

---

##### `parallelism`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.parallelism" id="cdktfprovideroktaoktaproviderpropertyparallelism"></a>

```typescript
public readonly parallelism: number;
```

- *Type:* `number`

---

##### `privateKey`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.privateKey" id="cdktfprovideroktaoktaproviderpropertyprivatekey"></a>

```typescript
public readonly privateKey: string;
```

- *Type:* `string`

---

##### `privateKeyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.privateKeyId" id="cdktfprovideroktaoktaproviderpropertyprivatekeyid"></a>

```typescript
public readonly privateKeyId: string;
```

- *Type:* `string`

---

##### `requestTimeout`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.requestTimeout" id="cdktfprovideroktaoktaproviderpropertyrequesttimeout"></a>

```typescript
public readonly requestTimeout: number;
```

- *Type:* `number`

---

##### `scopes`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProvider.property.scopes" id="cdktfprovideroktaoktaproviderpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaoktaproviderpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.OktaProvider.property.tfResourceType" id="cdktfprovideroktaoktaproviderpropertytfresourcetype"></a>

- *Type:* `string`

---

### OrgConfiguration <a name="@cdktf/provider-okta.OrgConfiguration" id="cdktfprovideroktaorgconfiguration"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/org_configuration okta_org_configuration}.

#### Initializers <a name="@cdktf/provider-okta.OrgConfiguration.Initializer" id="cdktfprovideroktaorgconfigurationinitializer"></a>

```typescript
import { OrgConfiguration } from '@cdktf/provider-okta'

new OrgConfiguration(scope: Construct, id: string, config: OrgConfigurationConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaorgconfigurationparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaorgconfigurationparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaorgconfigurationparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.OrgConfigurationConfig`](#@cdktf/provider-okta.OrgConfigurationConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.parameter.scope" id="cdktfprovideroktaorgconfigurationparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.parameter.id" id="cdktfprovideroktaorgconfigurationparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.parameter.config" id="cdktfprovideroktaorgconfigurationparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.OrgConfigurationConfig`](#@cdktf/provider-okta.OrgConfigurationConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAddress1`](#cdktfprovideroktaorgconfigurationresetaddress1) | *No description.* |
| [`resetAddress2`](#cdktfprovideroktaorgconfigurationresetaddress2) | *No description.* |
| [`resetBillingContactUser`](#cdktfprovideroktaorgconfigurationresetbillingcontactuser) | *No description.* |
| [`resetCity`](#cdktfprovideroktaorgconfigurationresetcity) | *No description.* |
| [`resetCountry`](#cdktfprovideroktaorgconfigurationresetcountry) | *No description.* |
| [`resetEndUserSupportHelpUrl`](#cdktfprovideroktaorgconfigurationresetendusersupporthelpurl) | *No description.* |
| [`resetId`](#cdktfprovideroktaorgconfigurationresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaorgconfigurationresetlogo) | *No description.* |
| [`resetOptOutCommunicationEmails`](#cdktfprovideroktaorgconfigurationresetoptoutcommunicationemails) | *No description.* |
| [`resetPhoneNumber`](#cdktfprovideroktaorgconfigurationresetphonenumber) | *No description.* |
| [`resetPostalCode`](#cdktfprovideroktaorgconfigurationresetpostalcode) | *No description.* |
| [`resetState`](#cdktfprovideroktaorgconfigurationresetstate) | *No description.* |
| [`resetSupportPhoneNumber`](#cdktfprovideroktaorgconfigurationresetsupportphonenumber) | *No description.* |
| [`resetTechnicalContactUser`](#cdktfprovideroktaorgconfigurationresettechnicalcontactuser) | *No description.* |
| [`resetWebsite`](#cdktfprovideroktaorgconfigurationresetwebsite) | *No description.* |

---

##### `resetAddress1` <a name="@cdktf/provider-okta.OrgConfiguration.resetAddress1" id="cdktfprovideroktaorgconfigurationresetaddress1"></a>

```typescript
public resetAddress1()
```

##### `resetAddress2` <a name="@cdktf/provider-okta.OrgConfiguration.resetAddress2" id="cdktfprovideroktaorgconfigurationresetaddress2"></a>

```typescript
public resetAddress2()
```

##### `resetBillingContactUser` <a name="@cdktf/provider-okta.OrgConfiguration.resetBillingContactUser" id="cdktfprovideroktaorgconfigurationresetbillingcontactuser"></a>

```typescript
public resetBillingContactUser()
```

##### `resetCity` <a name="@cdktf/provider-okta.OrgConfiguration.resetCity" id="cdktfprovideroktaorgconfigurationresetcity"></a>

```typescript
public resetCity()
```

##### `resetCountry` <a name="@cdktf/provider-okta.OrgConfiguration.resetCountry" id="cdktfprovideroktaorgconfigurationresetcountry"></a>

```typescript
public resetCountry()
```

##### `resetEndUserSupportHelpUrl` <a name="@cdktf/provider-okta.OrgConfiguration.resetEndUserSupportHelpUrl" id="cdktfprovideroktaorgconfigurationresetendusersupporthelpurl"></a>

```typescript
public resetEndUserSupportHelpUrl()
```

##### `resetId` <a name="@cdktf/provider-okta.OrgConfiguration.resetId" id="cdktfprovideroktaorgconfigurationresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.OrgConfiguration.resetLogo" id="cdktfprovideroktaorgconfigurationresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetOptOutCommunicationEmails` <a name="@cdktf/provider-okta.OrgConfiguration.resetOptOutCommunicationEmails" id="cdktfprovideroktaorgconfigurationresetoptoutcommunicationemails"></a>

```typescript
public resetOptOutCommunicationEmails()
```

##### `resetPhoneNumber` <a name="@cdktf/provider-okta.OrgConfiguration.resetPhoneNumber" id="cdktfprovideroktaorgconfigurationresetphonenumber"></a>

```typescript
public resetPhoneNumber()
```

##### `resetPostalCode` <a name="@cdktf/provider-okta.OrgConfiguration.resetPostalCode" id="cdktfprovideroktaorgconfigurationresetpostalcode"></a>

```typescript
public resetPostalCode()
```

##### `resetState` <a name="@cdktf/provider-okta.OrgConfiguration.resetState" id="cdktfprovideroktaorgconfigurationresetstate"></a>

```typescript
public resetState()
```

##### `resetSupportPhoneNumber` <a name="@cdktf/provider-okta.OrgConfiguration.resetSupportPhoneNumber" id="cdktfprovideroktaorgconfigurationresetsupportphonenumber"></a>

```typescript
public resetSupportPhoneNumber()
```

##### `resetTechnicalContactUser` <a name="@cdktf/provider-okta.OrgConfiguration.resetTechnicalContactUser" id="cdktfprovideroktaorgconfigurationresettechnicalcontactuser"></a>

```typescript
public resetTechnicalContactUser()
```

##### `resetWebsite` <a name="@cdktf/provider-okta.OrgConfiguration.resetWebsite" id="cdktfprovideroktaorgconfigurationresetwebsite"></a>

```typescript
public resetWebsite()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`expiresAt`](#cdktfprovideroktaorgconfigurationpropertyexpiresat)<span title="Required">*</span> | `string` | *No description.* |
| [`subdomain`](#cdktfprovideroktaorgconfigurationpropertysubdomain)<span title="Required">*</span> | `string` | *No description.* |
| [`address1Input`](#cdktfprovideroktaorgconfigurationpropertyaddress1input) | `string` | *No description.* |
| [`address2Input`](#cdktfprovideroktaorgconfigurationpropertyaddress2input) | `string` | *No description.* |
| [`billingContactUserInput`](#cdktfprovideroktaorgconfigurationpropertybillingcontactuserinput) | `string` | *No description.* |
| [`cityInput`](#cdktfprovideroktaorgconfigurationpropertycityinput) | `string` | *No description.* |
| [`companyNameInput`](#cdktfprovideroktaorgconfigurationpropertycompanynameinput) | `string` | *No description.* |
| [`countryInput`](#cdktfprovideroktaorgconfigurationpropertycountryinput) | `string` | *No description.* |
| [`endUserSupportHelpUrlInput`](#cdktfprovideroktaorgconfigurationpropertyendusersupporthelpurlinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaorgconfigurationpropertyidinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaorgconfigurationpropertylogoinput) | `string` | *No description.* |
| [`optOutCommunicationEmailsInput`](#cdktfprovideroktaorgconfigurationpropertyoptoutcommunicationemailsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`phoneNumberInput`](#cdktfprovideroktaorgconfigurationpropertyphonenumberinput) | `string` | *No description.* |
| [`postalCodeInput`](#cdktfprovideroktaorgconfigurationpropertypostalcodeinput) | `string` | *No description.* |
| [`stateInput`](#cdktfprovideroktaorgconfigurationpropertystateinput) | `string` | *No description.* |
| [`supportPhoneNumberInput`](#cdktfprovideroktaorgconfigurationpropertysupportphonenumberinput) | `string` | *No description.* |
| [`technicalContactUserInput`](#cdktfprovideroktaorgconfigurationpropertytechnicalcontactuserinput) | `string` | *No description.* |
| [`websiteInput`](#cdktfprovideroktaorgconfigurationpropertywebsiteinput) | `string` | *No description.* |
| [`address1`](#cdktfprovideroktaorgconfigurationpropertyaddress1)<span title="Required">*</span> | `string` | *No description.* |
| [`address2`](#cdktfprovideroktaorgconfigurationpropertyaddress2)<span title="Required">*</span> | `string` | *No description.* |
| [`billingContactUser`](#cdktfprovideroktaorgconfigurationpropertybillingcontactuser)<span title="Required">*</span> | `string` | *No description.* |
| [`city`](#cdktfprovideroktaorgconfigurationpropertycity)<span title="Required">*</span> | `string` | *No description.* |
| [`companyName`](#cdktfprovideroktaorgconfigurationpropertycompanyname)<span title="Required">*</span> | `string` | *No description.* |
| [`country`](#cdktfprovideroktaorgconfigurationpropertycountry)<span title="Required">*</span> | `string` | *No description.* |
| [`endUserSupportHelpUrl`](#cdktfprovideroktaorgconfigurationpropertyendusersupporthelpurl)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaorgconfigurationpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaorgconfigurationpropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`optOutCommunicationEmails`](#cdktfprovideroktaorgconfigurationpropertyoptoutcommunicationemails)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`phoneNumber`](#cdktfprovideroktaorgconfigurationpropertyphonenumber)<span title="Required">*</span> | `string` | *No description.* |
| [`postalCode`](#cdktfprovideroktaorgconfigurationpropertypostalcode)<span title="Required">*</span> | `string` | *No description.* |
| [`state`](#cdktfprovideroktaorgconfigurationpropertystate)<span title="Required">*</span> | `string` | *No description.* |
| [`supportPhoneNumber`](#cdktfprovideroktaorgconfigurationpropertysupportphonenumber)<span title="Required">*</span> | `string` | *No description.* |
| [`technicalContactUser`](#cdktfprovideroktaorgconfigurationpropertytechnicalcontactuser)<span title="Required">*</span> | `string` | *No description.* |
| [`website`](#cdktfprovideroktaorgconfigurationpropertywebsite)<span title="Required">*</span> | `string` | *No description.* |

---

##### `expiresAt`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.expiresAt" id="cdktfprovideroktaorgconfigurationpropertyexpiresat"></a>

```typescript
public readonly expiresAt: string;
```

- *Type:* `string`

---

##### `subdomain`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.subdomain" id="cdktfprovideroktaorgconfigurationpropertysubdomain"></a>

```typescript
public readonly subdomain: string;
```

- *Type:* `string`

---

##### `address1Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.address1Input" id="cdktfprovideroktaorgconfigurationpropertyaddress1input"></a>

```typescript
public readonly address1Input: string;
```

- *Type:* `string`

---

##### `address2Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.address2Input" id="cdktfprovideroktaorgconfigurationpropertyaddress2input"></a>

```typescript
public readonly address2Input: string;
```

- *Type:* `string`

---

##### `billingContactUserInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.billingContactUserInput" id="cdktfprovideroktaorgconfigurationpropertybillingcontactuserinput"></a>

```typescript
public readonly billingContactUserInput: string;
```

- *Type:* `string`

---

##### `cityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.cityInput" id="cdktfprovideroktaorgconfigurationpropertycityinput"></a>

```typescript
public readonly cityInput: string;
```

- *Type:* `string`

---

##### `companyNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.companyNameInput" id="cdktfprovideroktaorgconfigurationpropertycompanynameinput"></a>

```typescript
public readonly companyNameInput: string;
```

- *Type:* `string`

---

##### `countryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.countryInput" id="cdktfprovideroktaorgconfigurationpropertycountryinput"></a>

```typescript
public readonly countryInput: string;
```

- *Type:* `string`

---

##### `endUserSupportHelpUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.endUserSupportHelpUrlInput" id="cdktfprovideroktaorgconfigurationpropertyendusersupporthelpurlinput"></a>

```typescript
public readonly endUserSupportHelpUrlInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.idInput" id="cdktfprovideroktaorgconfigurationpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.logoInput" id="cdktfprovideroktaorgconfigurationpropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `optOutCommunicationEmailsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.optOutCommunicationEmailsInput" id="cdktfprovideroktaorgconfigurationpropertyoptoutcommunicationemailsinput"></a>

```typescript
public readonly optOutCommunicationEmailsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `phoneNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.phoneNumberInput" id="cdktfprovideroktaorgconfigurationpropertyphonenumberinput"></a>

```typescript
public readonly phoneNumberInput: string;
```

- *Type:* `string`

---

##### `postalCodeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.postalCodeInput" id="cdktfprovideroktaorgconfigurationpropertypostalcodeinput"></a>

```typescript
public readonly postalCodeInput: string;
```

- *Type:* `string`

---

##### `stateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.stateInput" id="cdktfprovideroktaorgconfigurationpropertystateinput"></a>

```typescript
public readonly stateInput: string;
```

- *Type:* `string`

---

##### `supportPhoneNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.supportPhoneNumberInput" id="cdktfprovideroktaorgconfigurationpropertysupportphonenumberinput"></a>

```typescript
public readonly supportPhoneNumberInput: string;
```

- *Type:* `string`

---

##### `technicalContactUserInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.technicalContactUserInput" id="cdktfprovideroktaorgconfigurationpropertytechnicalcontactuserinput"></a>

```typescript
public readonly technicalContactUserInput: string;
```

- *Type:* `string`

---

##### `websiteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.websiteInput" id="cdktfprovideroktaorgconfigurationpropertywebsiteinput"></a>

```typescript
public readonly websiteInput: string;
```

- *Type:* `string`

---

##### `address1`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.address1" id="cdktfprovideroktaorgconfigurationpropertyaddress1"></a>

```typescript
public readonly address1: string;
```

- *Type:* `string`

---

##### `address2`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.address2" id="cdktfprovideroktaorgconfigurationpropertyaddress2"></a>

```typescript
public readonly address2: string;
```

- *Type:* `string`

---

##### `billingContactUser`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.billingContactUser" id="cdktfprovideroktaorgconfigurationpropertybillingcontactuser"></a>

```typescript
public readonly billingContactUser: string;
```

- *Type:* `string`

---

##### `city`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.city" id="cdktfprovideroktaorgconfigurationpropertycity"></a>

```typescript
public readonly city: string;
```

- *Type:* `string`

---

##### `companyName`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.companyName" id="cdktfprovideroktaorgconfigurationpropertycompanyname"></a>

```typescript
public readonly companyName: string;
```

- *Type:* `string`

---

##### `country`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.country" id="cdktfprovideroktaorgconfigurationpropertycountry"></a>

```typescript
public readonly country: string;
```

- *Type:* `string`

---

##### `endUserSupportHelpUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.endUserSupportHelpUrl" id="cdktfprovideroktaorgconfigurationpropertyendusersupporthelpurl"></a>

```typescript
public readonly endUserSupportHelpUrl: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.id" id="cdktfprovideroktaorgconfigurationpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.logo" id="cdktfprovideroktaorgconfigurationpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `optOutCommunicationEmails`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.optOutCommunicationEmails" id="cdktfprovideroktaorgconfigurationpropertyoptoutcommunicationemails"></a>

```typescript
public readonly optOutCommunicationEmails: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `phoneNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.phoneNumber" id="cdktfprovideroktaorgconfigurationpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: string;
```

- *Type:* `string`

---

##### `postalCode`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.postalCode" id="cdktfprovideroktaorgconfigurationpropertypostalcode"></a>

```typescript
public readonly postalCode: string;
```

- *Type:* `string`

---

##### `state`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.state" id="cdktfprovideroktaorgconfigurationpropertystate"></a>

```typescript
public readonly state: string;
```

- *Type:* `string`

---

##### `supportPhoneNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.supportPhoneNumber" id="cdktfprovideroktaorgconfigurationpropertysupportphonenumber"></a>

```typescript
public readonly supportPhoneNumber: string;
```

- *Type:* `string`

---

##### `technicalContactUser`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.technicalContactUser" id="cdktfprovideroktaorgconfigurationpropertytechnicalcontactuser"></a>

```typescript
public readonly technicalContactUser: string;
```

- *Type:* `string`

---

##### `website`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfiguration.property.website" id="cdktfprovideroktaorgconfigurationpropertywebsite"></a>

```typescript
public readonly website: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaorgconfigurationpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.OrgConfiguration.property.tfResourceType" id="cdktfprovideroktaorgconfigurationpropertytfresourcetype"></a>

- *Type:* `string`

---

### OrgSupport <a name="@cdktf/provider-okta.OrgSupport" id="cdktfprovideroktaorgsupport"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/org_support okta_org_support}.

#### Initializers <a name="@cdktf/provider-okta.OrgSupport.Initializer" id="cdktfprovideroktaorgsupportinitializer"></a>

```typescript
import { OrgSupport } from '@cdktf/provider-okta'

new OrgSupport(scope: Construct, id: string, config?: OrgSupportConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaorgsupportparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaorgsupportparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaorgsupportparameterconfig) | [`@cdktf/provider-okta.OrgSupportConfig`](#@cdktf/provider-okta.OrgSupportConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgSupport.parameter.scope" id="cdktfprovideroktaorgsupportparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgSupport.parameter.id" id="cdktfprovideroktaorgsupportparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupport.parameter.config" id="cdktfprovideroktaorgsupportparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.OrgSupportConfig`](#@cdktf/provider-okta.OrgSupportConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetExtendBy`](#cdktfprovideroktaorgsupportresetextendby) | *No description.* |
| [`resetId`](#cdktfprovideroktaorgsupportresetid) | *No description.* |

---

##### `resetExtendBy` <a name="@cdktf/provider-okta.OrgSupport.resetExtendBy" id="cdktfprovideroktaorgsupportresetextendby"></a>

```typescript
public resetExtendBy()
```

##### `resetId` <a name="@cdktf/provider-okta.OrgSupport.resetId" id="cdktfprovideroktaorgsupportresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`expiration`](#cdktfprovideroktaorgsupportpropertyexpiration)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktaorgsupportpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`extendByInput`](#cdktfprovideroktaorgsupportpropertyextendbyinput) | `number` | *No description.* |
| [`idInput`](#cdktfprovideroktaorgsupportpropertyidinput) | `string` | *No description.* |
| [`extendBy`](#cdktfprovideroktaorgsupportpropertyextendby)<span title="Required">*</span> | `number` | *No description.* |
| [`id`](#cdktfprovideroktaorgsupportpropertyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `expiration`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgSupport.property.expiration" id="cdktfprovideroktaorgsupportpropertyexpiration"></a>

```typescript
public readonly expiration: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgSupport.property.status" id="cdktfprovideroktaorgsupportpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `extendByInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupport.property.extendByInput" id="cdktfprovideroktaorgsupportpropertyextendbyinput"></a>

```typescript
public readonly extendByInput: number;
```

- *Type:* `number`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupport.property.idInput" id="cdktfprovideroktaorgsupportpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `extendBy`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgSupport.property.extendBy" id="cdktfprovideroktaorgsupportpropertyextendby"></a>

```typescript
public readonly extendBy: number;
```

- *Type:* `number`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgSupport.property.id" id="cdktfprovideroktaorgsupportpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaorgsupportpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.OrgSupport.property.tfResourceType" id="cdktfprovideroktaorgsupportpropertytfresourcetype"></a>

- *Type:* `string`

---

### PasswordPolicy <a name="@cdktf/provider-okta.PasswordPolicy" id="cdktfprovideroktapasswordpolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/password_policy okta_password_policy}.

#### Initializers <a name="@cdktf/provider-okta.PasswordPolicy.Initializer" id="cdktfprovideroktapasswordpolicyinitializer"></a>

```typescript
import { PasswordPolicy } from '@cdktf/provider-okta'

new PasswordPolicy(scope: Construct, id: string, config: PasswordPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapasswordpolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapasswordpolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapasswordpolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PasswordPolicyConfig`](#@cdktf/provider-okta.PasswordPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.parameter.scope" id="cdktfprovideroktapasswordpolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.parameter.id" id="cdktfprovideroktapasswordpolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.parameter.config" id="cdktfprovideroktapasswordpolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PasswordPolicyConfig`](#@cdktf/provider-okta.PasswordPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAuthProvider`](#cdktfprovideroktapasswordpolicyresetauthprovider) | *No description.* |
| [`resetCallRecovery`](#cdktfprovideroktapasswordpolicyresetcallrecovery) | *No description.* |
| [`resetDescription`](#cdktfprovideroktapasswordpolicyresetdescription) | *No description.* |
| [`resetEmailRecovery`](#cdktfprovideroktapasswordpolicyresetemailrecovery) | *No description.* |
| [`resetGroupsIncluded`](#cdktfprovideroktapasswordpolicyresetgroupsincluded) | *No description.* |
| [`resetId`](#cdktfprovideroktapasswordpolicyresetid) | *No description.* |
| [`resetPasswordAutoUnlockMinutes`](#cdktfprovideroktapasswordpolicyresetpasswordautounlockminutes) | *No description.* |
| [`resetPasswordDictionaryLookup`](#cdktfprovideroktapasswordpolicyresetpassworddictionarylookup) | *No description.* |
| [`resetPasswordExcludeFirstName`](#cdktfprovideroktapasswordpolicyresetpasswordexcludefirstname) | *No description.* |
| [`resetPasswordExcludeLastName`](#cdktfprovideroktapasswordpolicyresetpasswordexcludelastname) | *No description.* |
| [`resetPasswordExcludeUsername`](#cdktfprovideroktapasswordpolicyresetpasswordexcludeusername) | *No description.* |
| [`resetPasswordExpireWarnDays`](#cdktfprovideroktapasswordpolicyresetpasswordexpirewarndays) | *No description.* |
| [`resetPasswordHistoryCount`](#cdktfprovideroktapasswordpolicyresetpasswordhistorycount) | *No description.* |
| [`resetPasswordLockoutNotificationChannels`](#cdktfprovideroktapasswordpolicyresetpasswordlockoutnotificationchannels) | *No description.* |
| [`resetPasswordMaxAgeDays`](#cdktfprovideroktapasswordpolicyresetpasswordmaxagedays) | *No description.* |
| [`resetPasswordMaxLockoutAttempts`](#cdktfprovideroktapasswordpolicyresetpasswordmaxlockoutattempts) | *No description.* |
| [`resetPasswordMinAgeMinutes`](#cdktfprovideroktapasswordpolicyresetpasswordminageminutes) | *No description.* |
| [`resetPasswordMinLength`](#cdktfprovideroktapasswordpolicyresetpasswordminlength) | *No description.* |
| [`resetPasswordMinLowercase`](#cdktfprovideroktapasswordpolicyresetpasswordminlowercase) | *No description.* |
| [`resetPasswordMinNumber`](#cdktfprovideroktapasswordpolicyresetpasswordminnumber) | *No description.* |
| [`resetPasswordMinSymbol`](#cdktfprovideroktapasswordpolicyresetpasswordminsymbol) | *No description.* |
| [`resetPasswordMinUppercase`](#cdktfprovideroktapasswordpolicyresetpasswordminuppercase) | *No description.* |
| [`resetPasswordShowLockoutFailures`](#cdktfprovideroktapasswordpolicyresetpasswordshowlockoutfailures) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapasswordpolicyresetpriority) | *No description.* |
| [`resetQuestionMinLength`](#cdktfprovideroktapasswordpolicyresetquestionminlength) | *No description.* |
| [`resetQuestionRecovery`](#cdktfprovideroktapasswordpolicyresetquestionrecovery) | *No description.* |
| [`resetRecoveryEmailToken`](#cdktfprovideroktapasswordpolicyresetrecoveryemailtoken) | *No description.* |
| [`resetSkipUnlock`](#cdktfprovideroktapasswordpolicyresetskipunlock) | *No description.* |
| [`resetSmsRecovery`](#cdktfprovideroktapasswordpolicyresetsmsrecovery) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapasswordpolicyresetstatus) | *No description.* |

---

##### `resetAuthProvider` <a name="@cdktf/provider-okta.PasswordPolicy.resetAuthProvider" id="cdktfprovideroktapasswordpolicyresetauthprovider"></a>

```typescript
public resetAuthProvider()
```

##### `resetCallRecovery` <a name="@cdktf/provider-okta.PasswordPolicy.resetCallRecovery" id="cdktfprovideroktapasswordpolicyresetcallrecovery"></a>

```typescript
public resetCallRecovery()
```

##### `resetDescription` <a name="@cdktf/provider-okta.PasswordPolicy.resetDescription" id="cdktfprovideroktapasswordpolicyresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetEmailRecovery` <a name="@cdktf/provider-okta.PasswordPolicy.resetEmailRecovery" id="cdktfprovideroktapasswordpolicyresetemailrecovery"></a>

```typescript
public resetEmailRecovery()
```

##### `resetGroupsIncluded` <a name="@cdktf/provider-okta.PasswordPolicy.resetGroupsIncluded" id="cdktfprovideroktapasswordpolicyresetgroupsincluded"></a>

```typescript
public resetGroupsIncluded()
```

##### `resetId` <a name="@cdktf/provider-okta.PasswordPolicy.resetId" id="cdktfprovideroktapasswordpolicyresetid"></a>

```typescript
public resetId()
```

##### `resetPasswordAutoUnlockMinutes` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordAutoUnlockMinutes" id="cdktfprovideroktapasswordpolicyresetpasswordautounlockminutes"></a>

```typescript
public resetPasswordAutoUnlockMinutes()
```

##### `resetPasswordDictionaryLookup` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordDictionaryLookup" id="cdktfprovideroktapasswordpolicyresetpassworddictionarylookup"></a>

```typescript
public resetPasswordDictionaryLookup()
```

##### `resetPasswordExcludeFirstName` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordExcludeFirstName" id="cdktfprovideroktapasswordpolicyresetpasswordexcludefirstname"></a>

```typescript
public resetPasswordExcludeFirstName()
```

##### `resetPasswordExcludeLastName` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordExcludeLastName" id="cdktfprovideroktapasswordpolicyresetpasswordexcludelastname"></a>

```typescript
public resetPasswordExcludeLastName()
```

##### `resetPasswordExcludeUsername` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordExcludeUsername" id="cdktfprovideroktapasswordpolicyresetpasswordexcludeusername"></a>

```typescript
public resetPasswordExcludeUsername()
```

##### `resetPasswordExpireWarnDays` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordExpireWarnDays" id="cdktfprovideroktapasswordpolicyresetpasswordexpirewarndays"></a>

```typescript
public resetPasswordExpireWarnDays()
```

##### `resetPasswordHistoryCount` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordHistoryCount" id="cdktfprovideroktapasswordpolicyresetpasswordhistorycount"></a>

```typescript
public resetPasswordHistoryCount()
```

##### `resetPasswordLockoutNotificationChannels` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordLockoutNotificationChannels" id="cdktfprovideroktapasswordpolicyresetpasswordlockoutnotificationchannels"></a>

```typescript
public resetPasswordLockoutNotificationChannels()
```

##### `resetPasswordMaxAgeDays` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMaxAgeDays" id="cdktfprovideroktapasswordpolicyresetpasswordmaxagedays"></a>

```typescript
public resetPasswordMaxAgeDays()
```

##### `resetPasswordMaxLockoutAttempts` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMaxLockoutAttempts" id="cdktfprovideroktapasswordpolicyresetpasswordmaxlockoutattempts"></a>

```typescript
public resetPasswordMaxLockoutAttempts()
```

##### `resetPasswordMinAgeMinutes` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMinAgeMinutes" id="cdktfprovideroktapasswordpolicyresetpasswordminageminutes"></a>

```typescript
public resetPasswordMinAgeMinutes()
```

##### `resetPasswordMinLength` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMinLength" id="cdktfprovideroktapasswordpolicyresetpasswordminlength"></a>

```typescript
public resetPasswordMinLength()
```

##### `resetPasswordMinLowercase` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMinLowercase" id="cdktfprovideroktapasswordpolicyresetpasswordminlowercase"></a>

```typescript
public resetPasswordMinLowercase()
```

##### `resetPasswordMinNumber` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMinNumber" id="cdktfprovideroktapasswordpolicyresetpasswordminnumber"></a>

```typescript
public resetPasswordMinNumber()
```

##### `resetPasswordMinSymbol` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMinSymbol" id="cdktfprovideroktapasswordpolicyresetpasswordminsymbol"></a>

```typescript
public resetPasswordMinSymbol()
```

##### `resetPasswordMinUppercase` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordMinUppercase" id="cdktfprovideroktapasswordpolicyresetpasswordminuppercase"></a>

```typescript
public resetPasswordMinUppercase()
```

##### `resetPasswordShowLockoutFailures` <a name="@cdktf/provider-okta.PasswordPolicy.resetPasswordShowLockoutFailures" id="cdktfprovideroktapasswordpolicyresetpasswordshowlockoutfailures"></a>

```typescript
public resetPasswordShowLockoutFailures()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PasswordPolicy.resetPriority" id="cdktfprovideroktapasswordpolicyresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetQuestionMinLength` <a name="@cdktf/provider-okta.PasswordPolicy.resetQuestionMinLength" id="cdktfprovideroktapasswordpolicyresetquestionminlength"></a>

```typescript
public resetQuestionMinLength()
```

##### `resetQuestionRecovery` <a name="@cdktf/provider-okta.PasswordPolicy.resetQuestionRecovery" id="cdktfprovideroktapasswordpolicyresetquestionrecovery"></a>

```typescript
public resetQuestionRecovery()
```

##### `resetRecoveryEmailToken` <a name="@cdktf/provider-okta.PasswordPolicy.resetRecoveryEmailToken" id="cdktfprovideroktapasswordpolicyresetrecoveryemailtoken"></a>

```typescript
public resetRecoveryEmailToken()
```

##### `resetSkipUnlock` <a name="@cdktf/provider-okta.PasswordPolicy.resetSkipUnlock" id="cdktfprovideroktapasswordpolicyresetskipunlock"></a>

```typescript
public resetSkipUnlock()
```

##### `resetSmsRecovery` <a name="@cdktf/provider-okta.PasswordPolicy.resetSmsRecovery" id="cdktfprovideroktapasswordpolicyresetsmsrecovery"></a>

```typescript
public resetSmsRecovery()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PasswordPolicy.resetStatus" id="cdktfprovideroktapasswordpolicyresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`authProviderInput`](#cdktfprovideroktapasswordpolicypropertyauthproviderinput) | `string` | *No description.* |
| [`callRecoveryInput`](#cdktfprovideroktapasswordpolicypropertycallrecoveryinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktapasswordpolicypropertydescriptioninput) | `string` | *No description.* |
| [`emailRecoveryInput`](#cdktfprovideroktapasswordpolicypropertyemailrecoveryinput) | `string` | *No description.* |
| [`groupsIncludedInput`](#cdktfprovideroktapasswordpolicypropertygroupsincludedinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktapasswordpolicypropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapasswordpolicypropertynameinput) | `string` | *No description.* |
| [`passwordAutoUnlockMinutesInput`](#cdktfprovideroktapasswordpolicypropertypasswordautounlockminutesinput) | `number` | *No description.* |
| [`passwordDictionaryLookupInput`](#cdktfprovideroktapasswordpolicypropertypassworddictionarylookupinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeFirstNameInput`](#cdktfprovideroktapasswordpolicypropertypasswordexcludefirstnameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeLastNameInput`](#cdktfprovideroktapasswordpolicypropertypasswordexcludelastnameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeUsernameInput`](#cdktfprovideroktapasswordpolicypropertypasswordexcludeusernameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExpireWarnDaysInput`](#cdktfprovideroktapasswordpolicypropertypasswordexpirewarndaysinput) | `number` | *No description.* |
| [`passwordHistoryCountInput`](#cdktfprovideroktapasswordpolicypropertypasswordhistorycountinput) | `number` | *No description.* |
| [`passwordLockoutNotificationChannelsInput`](#cdktfprovideroktapasswordpolicypropertypasswordlockoutnotificationchannelsinput) | `string`[] | *No description.* |
| [`passwordMaxAgeDaysInput`](#cdktfprovideroktapasswordpolicypropertypasswordmaxagedaysinput) | `number` | *No description.* |
| [`passwordMaxLockoutAttemptsInput`](#cdktfprovideroktapasswordpolicypropertypasswordmaxlockoutattemptsinput) | `number` | *No description.* |
| [`passwordMinAgeMinutesInput`](#cdktfprovideroktapasswordpolicypropertypasswordminageminutesinput) | `number` | *No description.* |
| [`passwordMinLengthInput`](#cdktfprovideroktapasswordpolicypropertypasswordminlengthinput) | `number` | *No description.* |
| [`passwordMinLowercaseInput`](#cdktfprovideroktapasswordpolicypropertypasswordminlowercaseinput) | `number` | *No description.* |
| [`passwordMinNumberInput`](#cdktfprovideroktapasswordpolicypropertypasswordminnumberinput) | `number` | *No description.* |
| [`passwordMinSymbolInput`](#cdktfprovideroktapasswordpolicypropertypasswordminsymbolinput) | `number` | *No description.* |
| [`passwordMinUppercaseInput`](#cdktfprovideroktapasswordpolicypropertypasswordminuppercaseinput) | `number` | *No description.* |
| [`passwordShowLockoutFailuresInput`](#cdktfprovideroktapasswordpolicypropertypasswordshowlockoutfailuresinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`priorityInput`](#cdktfprovideroktapasswordpolicypropertypriorityinput) | `number` | *No description.* |
| [`questionMinLengthInput`](#cdktfprovideroktapasswordpolicypropertyquestionminlengthinput) | `number` | *No description.* |
| [`questionRecoveryInput`](#cdktfprovideroktapasswordpolicypropertyquestionrecoveryinput) | `string` | *No description.* |
| [`recoveryEmailTokenInput`](#cdktfprovideroktapasswordpolicypropertyrecoveryemailtokeninput) | `number` | *No description.* |
| [`skipUnlockInput`](#cdktfprovideroktapasswordpolicypropertyskipunlockinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`smsRecoveryInput`](#cdktfprovideroktapasswordpolicypropertysmsrecoveryinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktapasswordpolicypropertystatusinput) | `string` | *No description.* |
| [`authProvider`](#cdktfprovideroktapasswordpolicypropertyauthprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`callRecovery`](#cdktfprovideroktapasswordpolicypropertycallrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktapasswordpolicypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`emailRecovery`](#cdktfprovideroktapasswordpolicypropertyemailrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsIncluded`](#cdktfprovideroktapasswordpolicypropertygroupsincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktapasswordpolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapasswordpolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordAutoUnlockMinutes`](#cdktfprovideroktapasswordpolicypropertypasswordautounlockminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordDictionaryLookup`](#cdktfprovideroktapasswordpolicypropertypassworddictionarylookup)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeFirstName`](#cdktfprovideroktapasswordpolicypropertypasswordexcludefirstname)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeLastName`](#cdktfprovideroktapasswordpolicypropertypasswordexcludelastname)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeUsername`](#cdktfprovideroktapasswordpolicypropertypasswordexcludeusername)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExpireWarnDays`](#cdktfprovideroktapasswordpolicypropertypasswordexpirewarndays)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordHistoryCount`](#cdktfprovideroktapasswordpolicypropertypasswordhistorycount)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordLockoutNotificationChannels`](#cdktfprovideroktapasswordpolicypropertypasswordlockoutnotificationchannels)<span title="Required">*</span> | `string`[] | *No description.* |
| [`passwordMaxAgeDays`](#cdktfprovideroktapasswordpolicypropertypasswordmaxagedays)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMaxLockoutAttempts`](#cdktfprovideroktapasswordpolicypropertypasswordmaxlockoutattempts)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinAgeMinutes`](#cdktfprovideroktapasswordpolicypropertypasswordminageminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinLength`](#cdktfprovideroktapasswordpolicypropertypasswordminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinLowercase`](#cdktfprovideroktapasswordpolicypropertypasswordminlowercase)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinNumber`](#cdktfprovideroktapasswordpolicypropertypasswordminnumber)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinSymbol`](#cdktfprovideroktapasswordpolicypropertypasswordminsymbol)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinUppercase`](#cdktfprovideroktapasswordpolicypropertypasswordminuppercase)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordShowLockoutFailures`](#cdktfprovideroktapasswordpolicypropertypasswordshowlockoutfailures)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`priority`](#cdktfprovideroktapasswordpolicypropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`questionMinLength`](#cdktfprovideroktapasswordpolicypropertyquestionminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`questionRecovery`](#cdktfprovideroktapasswordpolicypropertyquestionrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`recoveryEmailToken`](#cdktfprovideroktapasswordpolicypropertyrecoveryemailtoken)<span title="Required">*</span> | `number` | *No description.* |
| [`skipUnlock`](#cdktfprovideroktapasswordpolicypropertyskipunlock)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`smsRecovery`](#cdktfprovideroktapasswordpolicypropertysmsrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktapasswordpolicypropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `authProviderInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.authProviderInput" id="cdktfprovideroktapasswordpolicypropertyauthproviderinput"></a>

```typescript
public readonly authProviderInput: string;
```

- *Type:* `string`

---

##### `callRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.callRecoveryInput" id="cdktfprovideroktapasswordpolicypropertycallrecoveryinput"></a>

```typescript
public readonly callRecoveryInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.descriptionInput" id="cdktfprovideroktapasswordpolicypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `emailRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.emailRecoveryInput" id="cdktfprovideroktapasswordpolicypropertyemailrecoveryinput"></a>

```typescript
public readonly emailRecoveryInput: string;
```

- *Type:* `string`

---

##### `groupsIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.groupsIncludedInput" id="cdktfprovideroktapasswordpolicypropertygroupsincludedinput"></a>

```typescript
public readonly groupsIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.idInput" id="cdktfprovideroktapasswordpolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.nameInput" id="cdktfprovideroktapasswordpolicypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `passwordAutoUnlockMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordAutoUnlockMinutesInput" id="cdktfprovideroktapasswordpolicypropertypasswordautounlockminutesinput"></a>

```typescript
public readonly passwordAutoUnlockMinutesInput: number;
```

- *Type:* `number`

---

##### `passwordDictionaryLookupInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordDictionaryLookupInput" id="cdktfprovideroktapasswordpolicypropertypassworddictionarylookupinput"></a>

```typescript
public readonly passwordDictionaryLookupInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeFirstNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExcludeFirstNameInput" id="cdktfprovideroktapasswordpolicypropertypasswordexcludefirstnameinput"></a>

```typescript
public readonly passwordExcludeFirstNameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeLastNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExcludeLastNameInput" id="cdktfprovideroktapasswordpolicypropertypasswordexcludelastnameinput"></a>

```typescript
public readonly passwordExcludeLastNameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExcludeUsernameInput" id="cdktfprovideroktapasswordpolicypropertypasswordexcludeusernameinput"></a>

```typescript
public readonly passwordExcludeUsernameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExpireWarnDaysInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExpireWarnDaysInput" id="cdktfprovideroktapasswordpolicypropertypasswordexpirewarndaysinput"></a>

```typescript
public readonly passwordExpireWarnDaysInput: number;
```

- *Type:* `number`

---

##### `passwordHistoryCountInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordHistoryCountInput" id="cdktfprovideroktapasswordpolicypropertypasswordhistorycountinput"></a>

```typescript
public readonly passwordHistoryCountInput: number;
```

- *Type:* `number`

---

##### `passwordLockoutNotificationChannelsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordLockoutNotificationChannelsInput" id="cdktfprovideroktapasswordpolicypropertypasswordlockoutnotificationchannelsinput"></a>

```typescript
public readonly passwordLockoutNotificationChannelsInput: string[];
```

- *Type:* `string`[]

---

##### `passwordMaxAgeDaysInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMaxAgeDaysInput" id="cdktfprovideroktapasswordpolicypropertypasswordmaxagedaysinput"></a>

```typescript
public readonly passwordMaxAgeDaysInput: number;
```

- *Type:* `number`

---

##### `passwordMaxLockoutAttemptsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMaxLockoutAttemptsInput" id="cdktfprovideroktapasswordpolicypropertypasswordmaxlockoutattemptsinput"></a>

```typescript
public readonly passwordMaxLockoutAttemptsInput: number;
```

- *Type:* `number`

---

##### `passwordMinAgeMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinAgeMinutesInput" id="cdktfprovideroktapasswordpolicypropertypasswordminageminutesinput"></a>

```typescript
public readonly passwordMinAgeMinutesInput: number;
```

- *Type:* `number`

---

##### `passwordMinLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinLengthInput" id="cdktfprovideroktapasswordpolicypropertypasswordminlengthinput"></a>

```typescript
public readonly passwordMinLengthInput: number;
```

- *Type:* `number`

---

##### `passwordMinLowercaseInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinLowercaseInput" id="cdktfprovideroktapasswordpolicypropertypasswordminlowercaseinput"></a>

```typescript
public readonly passwordMinLowercaseInput: number;
```

- *Type:* `number`

---

##### `passwordMinNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinNumberInput" id="cdktfprovideroktapasswordpolicypropertypasswordminnumberinput"></a>

```typescript
public readonly passwordMinNumberInput: number;
```

- *Type:* `number`

---

##### `passwordMinSymbolInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinSymbolInput" id="cdktfprovideroktapasswordpolicypropertypasswordminsymbolinput"></a>

```typescript
public readonly passwordMinSymbolInput: number;
```

- *Type:* `number`

---

##### `passwordMinUppercaseInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinUppercaseInput" id="cdktfprovideroktapasswordpolicypropertypasswordminuppercaseinput"></a>

```typescript
public readonly passwordMinUppercaseInput: number;
```

- *Type:* `number`

---

##### `passwordShowLockoutFailuresInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordShowLockoutFailuresInput" id="cdktfprovideroktapasswordpolicypropertypasswordshowlockoutfailuresinput"></a>

```typescript
public readonly passwordShowLockoutFailuresInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.priorityInput" id="cdktfprovideroktapasswordpolicypropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `questionMinLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.questionMinLengthInput" id="cdktfprovideroktapasswordpolicypropertyquestionminlengthinput"></a>

```typescript
public readonly questionMinLengthInput: number;
```

- *Type:* `number`

---

##### `questionRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.questionRecoveryInput" id="cdktfprovideroktapasswordpolicypropertyquestionrecoveryinput"></a>

```typescript
public readonly questionRecoveryInput: string;
```

- *Type:* `string`

---

##### `recoveryEmailTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.recoveryEmailTokenInput" id="cdktfprovideroktapasswordpolicypropertyrecoveryemailtokeninput"></a>

```typescript
public readonly recoveryEmailTokenInput: number;
```

- *Type:* `number`

---

##### `skipUnlockInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.skipUnlockInput" id="cdktfprovideroktapasswordpolicypropertyskipunlockinput"></a>

```typescript
public readonly skipUnlockInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `smsRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.smsRecoveryInput" id="cdktfprovideroktapasswordpolicypropertysmsrecoveryinput"></a>

```typescript
public readonly smsRecoveryInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.statusInput" id="cdktfprovideroktapasswordpolicypropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `authProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.authProvider" id="cdktfprovideroktapasswordpolicypropertyauthprovider"></a>

```typescript
public readonly authProvider: string;
```

- *Type:* `string`

---

##### `callRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.callRecovery" id="cdktfprovideroktapasswordpolicypropertycallrecovery"></a>

```typescript
public readonly callRecovery: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.description" id="cdktfprovideroktapasswordpolicypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `emailRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.emailRecovery" id="cdktfprovideroktapasswordpolicypropertyemailrecovery"></a>

```typescript
public readonly emailRecovery: string;
```

- *Type:* `string`

---

##### `groupsIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.groupsIncluded" id="cdktfprovideroktapasswordpolicypropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.id" id="cdktfprovideroktapasswordpolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.name" id="cdktfprovideroktapasswordpolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `passwordAutoUnlockMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordAutoUnlockMinutes" id="cdktfprovideroktapasswordpolicypropertypasswordautounlockminutes"></a>

```typescript
public readonly passwordAutoUnlockMinutes: number;
```

- *Type:* `number`

---

##### `passwordDictionaryLookup`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordDictionaryLookup" id="cdktfprovideroktapasswordpolicypropertypassworddictionarylookup"></a>

```typescript
public readonly passwordDictionaryLookup: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeFirstName`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExcludeFirstName" id="cdktfprovideroktapasswordpolicypropertypasswordexcludefirstname"></a>

```typescript
public readonly passwordExcludeFirstName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeLastName`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExcludeLastName" id="cdktfprovideroktapasswordpolicypropertypasswordexcludelastname"></a>

```typescript
public readonly passwordExcludeLastName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExcludeUsername" id="cdktfprovideroktapasswordpolicypropertypasswordexcludeusername"></a>

```typescript
public readonly passwordExcludeUsername: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExpireWarnDays`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordExpireWarnDays" id="cdktfprovideroktapasswordpolicypropertypasswordexpirewarndays"></a>

```typescript
public readonly passwordExpireWarnDays: number;
```

- *Type:* `number`

---

##### `passwordHistoryCount`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordHistoryCount" id="cdktfprovideroktapasswordpolicypropertypasswordhistorycount"></a>

```typescript
public readonly passwordHistoryCount: number;
```

- *Type:* `number`

---

##### `passwordLockoutNotificationChannels`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordLockoutNotificationChannels" id="cdktfprovideroktapasswordpolicypropertypasswordlockoutnotificationchannels"></a>

```typescript
public readonly passwordLockoutNotificationChannels: string[];
```

- *Type:* `string`[]

---

##### `passwordMaxAgeDays`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMaxAgeDays" id="cdktfprovideroktapasswordpolicypropertypasswordmaxagedays"></a>

```typescript
public readonly passwordMaxAgeDays: number;
```

- *Type:* `number`

---

##### `passwordMaxLockoutAttempts`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMaxLockoutAttempts" id="cdktfprovideroktapasswordpolicypropertypasswordmaxlockoutattempts"></a>

```typescript
public readonly passwordMaxLockoutAttempts: number;
```

- *Type:* `number`

---

##### `passwordMinAgeMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinAgeMinutes" id="cdktfprovideroktapasswordpolicypropertypasswordminageminutes"></a>

```typescript
public readonly passwordMinAgeMinutes: number;
```

- *Type:* `number`

---

##### `passwordMinLength`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinLength" id="cdktfprovideroktapasswordpolicypropertypasswordminlength"></a>

```typescript
public readonly passwordMinLength: number;
```

- *Type:* `number`

---

##### `passwordMinLowercase`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinLowercase" id="cdktfprovideroktapasswordpolicypropertypasswordminlowercase"></a>

```typescript
public readonly passwordMinLowercase: number;
```

- *Type:* `number`

---

##### `passwordMinNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinNumber" id="cdktfprovideroktapasswordpolicypropertypasswordminnumber"></a>

```typescript
public readonly passwordMinNumber: number;
```

- *Type:* `number`

---

##### `passwordMinSymbol`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinSymbol" id="cdktfprovideroktapasswordpolicypropertypasswordminsymbol"></a>

```typescript
public readonly passwordMinSymbol: number;
```

- *Type:* `number`

---

##### `passwordMinUppercase`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordMinUppercase" id="cdktfprovideroktapasswordpolicypropertypasswordminuppercase"></a>

```typescript
public readonly passwordMinUppercase: number;
```

- *Type:* `number`

---

##### `passwordShowLockoutFailures`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.passwordShowLockoutFailures" id="cdktfprovideroktapasswordpolicypropertypasswordshowlockoutfailures"></a>

```typescript
public readonly passwordShowLockoutFailures: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.priority" id="cdktfprovideroktapasswordpolicypropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `questionMinLength`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.questionMinLength" id="cdktfprovideroktapasswordpolicypropertyquestionminlength"></a>

```typescript
public readonly questionMinLength: number;
```

- *Type:* `number`

---

##### `questionRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.questionRecovery" id="cdktfprovideroktapasswordpolicypropertyquestionrecovery"></a>

```typescript
public readonly questionRecovery: string;
```

- *Type:* `string`

---

##### `recoveryEmailToken`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.recoveryEmailToken" id="cdktfprovideroktapasswordpolicypropertyrecoveryemailtoken"></a>

```typescript
public readonly recoveryEmailToken: number;
```

- *Type:* `number`

---

##### `skipUnlock`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.skipUnlock" id="cdktfprovideroktapasswordpolicypropertyskipunlock"></a>

```typescript
public readonly skipUnlock: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `smsRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.smsRecovery" id="cdktfprovideroktapasswordpolicypropertysmsrecovery"></a>

```typescript
public readonly smsRecovery: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicy.property.status" id="cdktfprovideroktapasswordpolicypropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapasswordpolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PasswordPolicy.property.tfResourceType" id="cdktfprovideroktapasswordpolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### PasswordPolicyRule <a name="@cdktf/provider-okta.PasswordPolicyRule" id="cdktfprovideroktapasswordpolicyrule"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule okta_password_policy_rule}.

#### Initializers <a name="@cdktf/provider-okta.PasswordPolicyRule.Initializer" id="cdktfprovideroktapasswordpolicyruleinitializer"></a>

```typescript
import { PasswordPolicyRule } from '@cdktf/provider-okta'

new PasswordPolicyRule(scope: Construct, id: string, config: PasswordPolicyRuleConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapasswordpolicyruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapasswordpolicyruleparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapasswordpolicyruleparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PasswordPolicyRuleConfig`](#@cdktf/provider-okta.PasswordPolicyRuleConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.parameter.scope" id="cdktfprovideroktapasswordpolicyruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.parameter.id" id="cdktfprovideroktapasswordpolicyruleparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.parameter.config" id="cdktfprovideroktapasswordpolicyruleparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PasswordPolicyRuleConfig`](#@cdktf/provider-okta.PasswordPolicyRuleConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktapasswordpolicyruleresetid) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktapasswordpolicyruleresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktapasswordpolicyruleresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktapasswordpolicyruleresetnetworkincludes) | *No description.* |
| [`resetPasswordChange`](#cdktfprovideroktapasswordpolicyruleresetpasswordchange) | *No description.* |
| [`resetPasswordReset`](#cdktfprovideroktapasswordpolicyruleresetpasswordreset) | *No description.* |
| [`resetPasswordUnlock`](#cdktfprovideroktapasswordpolicyruleresetpasswordunlock) | *No description.* |
| [`resetPolicyid`](#cdktfprovideroktapasswordpolicyruleresetpolicyid) | *No description.* |
| [`resetPolicyId`](#cdktfprovideroktapasswordpolicyruleresetpolicyid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapasswordpolicyruleresetpriority) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapasswordpolicyruleresetstatus) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktapasswordpolicyruleresetusersexcluded) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetId" id="cdktfprovideroktapasswordpolicyruleresetid"></a>

```typescript
public resetId()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetNetworkConnection" id="cdktfprovideroktapasswordpolicyruleresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetNetworkExcludes" id="cdktfprovideroktapasswordpolicyruleresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetNetworkIncludes" id="cdktfprovideroktapasswordpolicyruleresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPasswordChange` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetPasswordChange" id="cdktfprovideroktapasswordpolicyruleresetpasswordchange"></a>

```typescript
public resetPasswordChange()
```

##### `resetPasswordReset` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetPasswordReset" id="cdktfprovideroktapasswordpolicyruleresetpasswordreset"></a>

```typescript
public resetPasswordReset()
```

##### `resetPasswordUnlock` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetPasswordUnlock" id="cdktfprovideroktapasswordpolicyruleresetpasswordunlock"></a>

```typescript
public resetPasswordUnlock()
```

##### `resetPolicyid` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetPolicyid" id="cdktfprovideroktapasswordpolicyruleresetpolicyid"></a>

```typescript
public resetPolicyid()
```

##### `resetPolicyId` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetPolicyId" id="cdktfprovideroktapasswordpolicyruleresetpolicyid"></a>

```typescript
public resetPolicyId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetPriority" id="cdktfprovideroktapasswordpolicyruleresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetStatus" id="cdktfprovideroktapasswordpolicyruleresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.PasswordPolicyRule.resetUsersExcluded" id="cdktfprovideroktapasswordpolicyruleresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktapasswordpolicyrulepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapasswordpolicyrulepropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktapasswordpolicyrulepropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktapasswordpolicyrulepropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktapasswordpolicyrulepropertynetworkincludesinput) | `string`[] | *No description.* |
| [`passwordChangeInput`](#cdktfprovideroktapasswordpolicyrulepropertypasswordchangeinput) | `string` | *No description.* |
| [`passwordResetInput`](#cdktfprovideroktapasswordpolicyrulepropertypasswordresetinput) | `string` | *No description.* |
| [`passwordUnlockInput`](#cdktfprovideroktapasswordpolicyrulepropertypasswordunlockinput) | `string` | *No description.* |
| [`policyidInput`](#cdktfprovideroktapasswordpolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktapasswordpolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktapasswordpolicyrulepropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktapasswordpolicyrulepropertystatusinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktapasswordpolicyrulepropertyusersexcludedinput) | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktapasswordpolicyrulepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapasswordpolicyrulepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktapasswordpolicyrulepropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktapasswordpolicyrulepropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktapasswordpolicyrulepropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`passwordChange`](#cdktfprovideroktapasswordpolicyrulepropertypasswordchange)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordReset`](#cdktfprovideroktapasswordpolicyrulepropertypasswordreset)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordUnlock`](#cdktfprovideroktapasswordpolicyrulepropertypasswordunlock)<span title="Required">*</span> | `string` | *No description.* |
| [`policyid`](#cdktfprovideroktapasswordpolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktapasswordpolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapasswordpolicyrulepropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktapasswordpolicyrulepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktapasswordpolicyrulepropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.idInput" id="cdktfprovideroktapasswordpolicyrulepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.nameInput" id="cdktfprovideroktapasswordpolicyrulepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.networkConnectionInput" id="cdktfprovideroktapasswordpolicyrulepropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.networkExcludesInput" id="cdktfprovideroktapasswordpolicyrulepropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.networkIncludesInput" id="cdktfprovideroktapasswordpolicyrulepropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `passwordChangeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.passwordChangeInput" id="cdktfprovideroktapasswordpolicyrulepropertypasswordchangeinput"></a>

```typescript
public readonly passwordChangeInput: string;
```

- *Type:* `string`

---

##### `passwordResetInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.passwordResetInput" id="cdktfprovideroktapasswordpolicyrulepropertypasswordresetinput"></a>

```typescript
public readonly passwordResetInput: string;
```

- *Type:* `string`

---

##### `passwordUnlockInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.passwordUnlockInput" id="cdktfprovideroktapasswordpolicyrulepropertypasswordunlockinput"></a>

```typescript
public readonly passwordUnlockInput: string;
```

- *Type:* `string`

---

##### `policyidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.policyidInput" id="cdktfprovideroktapasswordpolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyidInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.policyIdInput" id="cdktfprovideroktapasswordpolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.priorityInput" id="cdktfprovideroktapasswordpolicyrulepropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.statusInput" id="cdktfprovideroktapasswordpolicyrulepropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.usersExcludedInput" id="cdktfprovideroktapasswordpolicyrulepropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.id" id="cdktfprovideroktapasswordpolicyrulepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.name" id="cdktfprovideroktapasswordpolicyrulepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.networkConnection" id="cdktfprovideroktapasswordpolicyrulepropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.networkExcludes" id="cdktfprovideroktapasswordpolicyrulepropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.networkIncludes" id="cdktfprovideroktapasswordpolicyrulepropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `passwordChange`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.passwordChange" id="cdktfprovideroktapasswordpolicyrulepropertypasswordchange"></a>

```typescript
public readonly passwordChange: string;
```

- *Type:* `string`

---

##### `passwordReset`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.passwordReset" id="cdktfprovideroktapasswordpolicyrulepropertypasswordreset"></a>

```typescript
public readonly passwordReset: string;
```

- *Type:* `string`

---

##### `passwordUnlock`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.passwordUnlock" id="cdktfprovideroktapasswordpolicyrulepropertypasswordunlock"></a>

```typescript
public readonly passwordUnlock: string;
```

- *Type:* `string`

---

##### `policyid`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.policyid" id="cdktfprovideroktapasswordpolicyrulepropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.policyId" id="cdktfprovideroktapasswordpolicyrulepropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.priority" id="cdktfprovideroktapasswordpolicyrulepropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.status" id="cdktfprovideroktapasswordpolicyrulepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRule.property.usersExcluded" id="cdktfprovideroktapasswordpolicyrulepropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapasswordpolicyrulepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PasswordPolicyRule.property.tfResourceType" id="cdktfprovideroktapasswordpolicyrulepropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyMfa <a name="@cdktf/provider-okta.PolicyMfa" id="cdktfprovideroktapolicymfa"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa okta_policy_mfa}.

#### Initializers <a name="@cdktf/provider-okta.PolicyMfa.Initializer" id="cdktfprovideroktapolicymfainitializer"></a>

```typescript
import { PolicyMfa } from '@cdktf/provider-okta'

new PolicyMfa(scope: Construct, id: string, config: PolicyMfaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicymfaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicymfaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicymfaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyMfaConfig`](#@cdktf/provider-okta.PolicyMfaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.parameter.scope" id="cdktfprovideroktapolicymfaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.parameter.id" id="cdktfprovideroktapolicymfaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.parameter.config" id="cdktfprovideroktapolicymfaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyMfaConfig`](#@cdktf/provider-okta.PolicyMfaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDescription`](#cdktfprovideroktapolicymfaresetdescription) | *No description.* |
| [`resetDuo`](#cdktfprovideroktapolicymfaresetduo) | *No description.* |
| [`resetExternalIdp`](#cdktfprovideroktapolicymfaresetexternalidp) | *No description.* |
| [`resetFidoU2F`](#cdktfprovideroktapolicymfaresetfidou2f) | *No description.* |
| [`resetFidoWebauthn`](#cdktfprovideroktapolicymfaresetfidowebauthn) | *No description.* |
| [`resetGoogleOtp`](#cdktfprovideroktapolicymfaresetgoogleotp) | *No description.* |
| [`resetGroupsIncluded`](#cdktfprovideroktapolicymfaresetgroupsincluded) | *No description.* |
| [`resetHotp`](#cdktfprovideroktapolicymfaresethotp) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicymfaresetid) | *No description.* |
| [`resetIsOie`](#cdktfprovideroktapolicymfaresetisoie) | *No description.* |
| [`resetOktaCall`](#cdktfprovideroktapolicymfaresetoktacall) | *No description.* |
| [`resetOktaEmail`](#cdktfprovideroktapolicymfaresetoktaemail) | *No description.* |
| [`resetOktaOtp`](#cdktfprovideroktapolicymfaresetoktaotp) | *No description.* |
| [`resetOktaPassword`](#cdktfprovideroktapolicymfaresetoktapassword) | *No description.* |
| [`resetOktaPush`](#cdktfprovideroktapolicymfaresetoktapush) | *No description.* |
| [`resetOktaQuestion`](#cdktfprovideroktapolicymfaresetoktaquestion) | *No description.* |
| [`resetOktaSms`](#cdktfprovideroktapolicymfaresetoktasms) | *No description.* |
| [`resetOktaVerify`](#cdktfprovideroktapolicymfaresetoktaverify) | *No description.* |
| [`resetOnpremMfa`](#cdktfprovideroktapolicymfaresetonpremmfa) | *No description.* |
| [`resetPhoneNumber`](#cdktfprovideroktapolicymfaresetphonenumber) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapolicymfaresetpriority) | *No description.* |
| [`resetRsaToken`](#cdktfprovideroktapolicymfaresetrsatoken) | *No description.* |
| [`resetSecurityQuestion`](#cdktfprovideroktapolicymfaresetsecurityquestion) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicymfaresetstatus) | *No description.* |
| [`resetSymantecVip`](#cdktfprovideroktapolicymfaresetsymantecvip) | *No description.* |
| [`resetWebauthn`](#cdktfprovideroktapolicymfaresetwebauthn) | *No description.* |
| [`resetYubikeyToken`](#cdktfprovideroktapolicymfaresetyubikeytoken) | *No description.* |

---

##### `resetDescription` <a name="@cdktf/provider-okta.PolicyMfa.resetDescription" id="cdktfprovideroktapolicymfaresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetDuo` <a name="@cdktf/provider-okta.PolicyMfa.resetDuo" id="cdktfprovideroktapolicymfaresetduo"></a>

```typescript
public resetDuo()
```

##### `resetExternalIdp` <a name="@cdktf/provider-okta.PolicyMfa.resetExternalIdp" id="cdktfprovideroktapolicymfaresetexternalidp"></a>

```typescript
public resetExternalIdp()
```

##### `resetFidoU2F` <a name="@cdktf/provider-okta.PolicyMfa.resetFidoU2F" id="cdktfprovideroktapolicymfaresetfidou2f"></a>

```typescript
public resetFidoU2F()
```

##### `resetFidoWebauthn` <a name="@cdktf/provider-okta.PolicyMfa.resetFidoWebauthn" id="cdktfprovideroktapolicymfaresetfidowebauthn"></a>

```typescript
public resetFidoWebauthn()
```

##### `resetGoogleOtp` <a name="@cdktf/provider-okta.PolicyMfa.resetGoogleOtp" id="cdktfprovideroktapolicymfaresetgoogleotp"></a>

```typescript
public resetGoogleOtp()
```

##### `resetGroupsIncluded` <a name="@cdktf/provider-okta.PolicyMfa.resetGroupsIncluded" id="cdktfprovideroktapolicymfaresetgroupsincluded"></a>

```typescript
public resetGroupsIncluded()
```

##### `resetHotp` <a name="@cdktf/provider-okta.PolicyMfa.resetHotp" id="cdktfprovideroktapolicymfaresethotp"></a>

```typescript
public resetHotp()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyMfa.resetId" id="cdktfprovideroktapolicymfaresetid"></a>

```typescript
public resetId()
```

##### `resetIsOie` <a name="@cdktf/provider-okta.PolicyMfa.resetIsOie" id="cdktfprovideroktapolicymfaresetisoie"></a>

```typescript
public resetIsOie()
```

##### `resetOktaCall` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaCall" id="cdktfprovideroktapolicymfaresetoktacall"></a>

```typescript
public resetOktaCall()
```

##### `resetOktaEmail` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaEmail" id="cdktfprovideroktapolicymfaresetoktaemail"></a>

```typescript
public resetOktaEmail()
```

##### `resetOktaOtp` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaOtp" id="cdktfprovideroktapolicymfaresetoktaotp"></a>

```typescript
public resetOktaOtp()
```

##### `resetOktaPassword` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaPassword" id="cdktfprovideroktapolicymfaresetoktapassword"></a>

```typescript
public resetOktaPassword()
```

##### `resetOktaPush` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaPush" id="cdktfprovideroktapolicymfaresetoktapush"></a>

```typescript
public resetOktaPush()
```

##### `resetOktaQuestion` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaQuestion" id="cdktfprovideroktapolicymfaresetoktaquestion"></a>

```typescript
public resetOktaQuestion()
```

##### `resetOktaSms` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaSms" id="cdktfprovideroktapolicymfaresetoktasms"></a>

```typescript
public resetOktaSms()
```

##### `resetOktaVerify` <a name="@cdktf/provider-okta.PolicyMfa.resetOktaVerify" id="cdktfprovideroktapolicymfaresetoktaverify"></a>

```typescript
public resetOktaVerify()
```

##### `resetOnpremMfa` <a name="@cdktf/provider-okta.PolicyMfa.resetOnpremMfa" id="cdktfprovideroktapolicymfaresetonpremmfa"></a>

```typescript
public resetOnpremMfa()
```

##### `resetPhoneNumber` <a name="@cdktf/provider-okta.PolicyMfa.resetPhoneNumber" id="cdktfprovideroktapolicymfaresetphonenumber"></a>

```typescript
public resetPhoneNumber()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PolicyMfa.resetPriority" id="cdktfprovideroktapolicymfaresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetRsaToken` <a name="@cdktf/provider-okta.PolicyMfa.resetRsaToken" id="cdktfprovideroktapolicymfaresetrsatoken"></a>

```typescript
public resetRsaToken()
```

##### `resetSecurityQuestion` <a name="@cdktf/provider-okta.PolicyMfa.resetSecurityQuestion" id="cdktfprovideroktapolicymfaresetsecurityquestion"></a>

```typescript
public resetSecurityQuestion()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicyMfa.resetStatus" id="cdktfprovideroktapolicymfaresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSymantecVip` <a name="@cdktf/provider-okta.PolicyMfa.resetSymantecVip" id="cdktfprovideroktapolicymfaresetsymantecvip"></a>

```typescript
public resetSymantecVip()
```

##### `resetWebauthn` <a name="@cdktf/provider-okta.PolicyMfa.resetWebauthn" id="cdktfprovideroktapolicymfaresetwebauthn"></a>

```typescript
public resetWebauthn()
```

##### `resetYubikeyToken` <a name="@cdktf/provider-okta.PolicyMfa.resetYubikeyToken" id="cdktfprovideroktapolicymfaresetyubikeytoken"></a>

```typescript
public resetYubikeyToken()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktapolicymfapropertydescriptioninput) | `string` | *No description.* |
| [`duoInput`](#cdktfprovideroktapolicymfapropertyduoinput) | {[ key: string ]: `string`} | *No description.* |
| [`externalIdpInput`](#cdktfprovideroktapolicymfapropertyexternalidpinput) | {[ key: string ]: `string`} | *No description.* |
| [`fidoU2FInput`](#cdktfprovideroktapolicymfapropertyfidou2finput) | {[ key: string ]: `string`} | *No description.* |
| [`fidoWebauthnInput`](#cdktfprovideroktapolicymfapropertyfidowebauthninput) | {[ key: string ]: `string`} | *No description.* |
| [`googleOtpInput`](#cdktfprovideroktapolicymfapropertygoogleotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`groupsIncludedInput`](#cdktfprovideroktapolicymfapropertygroupsincludedinput) | `string`[] | *No description.* |
| [`hotpInput`](#cdktfprovideroktapolicymfapropertyhotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`idInput`](#cdktfprovideroktapolicymfapropertyidinput) | `string` | *No description.* |
| [`isOieInput`](#cdktfprovideroktapolicymfapropertyisoieinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicymfapropertynameinput) | `string` | *No description.* |
| [`oktaCallInput`](#cdktfprovideroktapolicymfapropertyoktacallinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaEmailInput`](#cdktfprovideroktapolicymfapropertyoktaemailinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaOtpInput`](#cdktfprovideroktapolicymfapropertyoktaotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaPasswordInput`](#cdktfprovideroktapolicymfapropertyoktapasswordinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaPushInput`](#cdktfprovideroktapolicymfapropertyoktapushinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaQuestionInput`](#cdktfprovideroktapolicymfapropertyoktaquestioninput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaSmsInput`](#cdktfprovideroktapolicymfapropertyoktasmsinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaVerifyInput`](#cdktfprovideroktapolicymfapropertyoktaverifyinput) | {[ key: string ]: `string`} | *No description.* |
| [`onpremMfaInput`](#cdktfprovideroktapolicymfapropertyonpremmfainput) | {[ key: string ]: `string`} | *No description.* |
| [`phoneNumberInput`](#cdktfprovideroktapolicymfapropertyphonenumberinput) | {[ key: string ]: `string`} | *No description.* |
| [`priorityInput`](#cdktfprovideroktapolicymfapropertypriorityinput) | `number` | *No description.* |
| [`rsaTokenInput`](#cdktfprovideroktapolicymfapropertyrsatokeninput) | {[ key: string ]: `string`} | *No description.* |
| [`securityQuestionInput`](#cdktfprovideroktapolicymfapropertysecurityquestioninput) | {[ key: string ]: `string`} | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicymfapropertystatusinput) | `string` | *No description.* |
| [`symantecVipInput`](#cdktfprovideroktapolicymfapropertysymantecvipinput) | {[ key: string ]: `string`} | *No description.* |
| [`webauthnInput`](#cdktfprovideroktapolicymfapropertywebauthninput) | {[ key: string ]: `string`} | *No description.* |
| [`yubikeyTokenInput`](#cdktfprovideroktapolicymfapropertyyubikeytokeninput) | {[ key: string ]: `string`} | *No description.* |
| [`description`](#cdktfprovideroktapolicymfapropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`duo`](#cdktfprovideroktapolicymfapropertyduo)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`externalIdp`](#cdktfprovideroktapolicymfapropertyexternalidp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`fidoU2F`](#cdktfprovideroktapolicymfapropertyfidou2f)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`fidoWebauthn`](#cdktfprovideroktapolicymfapropertyfidowebauthn)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`googleOtp`](#cdktfprovideroktapolicymfapropertygoogleotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`groupsIncluded`](#cdktfprovideroktapolicymfapropertygroupsincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hotp`](#cdktfprovideroktapolicymfapropertyhotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`id`](#cdktfprovideroktapolicymfapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`isOie`](#cdktfprovideroktapolicymfapropertyisoie)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`name`](#cdktfprovideroktapolicymfapropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`oktaCall`](#cdktfprovideroktapolicymfapropertyoktacall)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaEmail`](#cdktfprovideroktapolicymfapropertyoktaemail)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaOtp`](#cdktfprovideroktapolicymfapropertyoktaotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaPassword`](#cdktfprovideroktapolicymfapropertyoktapassword)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaPush`](#cdktfprovideroktapolicymfapropertyoktapush)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaQuestion`](#cdktfprovideroktapolicymfapropertyoktaquestion)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaSms`](#cdktfprovideroktapolicymfapropertyoktasms)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaVerify`](#cdktfprovideroktapolicymfapropertyoktaverify)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`onpremMfa`](#cdktfprovideroktapolicymfapropertyonpremmfa)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`phoneNumber`](#cdktfprovideroktapolicymfapropertyphonenumber)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`priority`](#cdktfprovideroktapolicymfapropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`rsaToken`](#cdktfprovideroktapolicymfapropertyrsatoken)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`securityQuestion`](#cdktfprovideroktapolicymfapropertysecurityquestion)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`status`](#cdktfprovideroktapolicymfapropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`symantecVip`](#cdktfprovideroktapolicymfapropertysymantecvip)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`webauthn`](#cdktfprovideroktapolicymfapropertywebauthn)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`yubikeyToken`](#cdktfprovideroktapolicymfapropertyyubikeytoken)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.descriptionInput" id="cdktfprovideroktapolicymfapropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `duoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.duoInput" id="cdktfprovideroktapolicymfapropertyduoinput"></a>

```typescript
public readonly duoInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `externalIdpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.externalIdpInput" id="cdktfprovideroktapolicymfapropertyexternalidpinput"></a>

```typescript
public readonly externalIdpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoU2FInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.fidoU2FInput" id="cdktfprovideroktapolicymfapropertyfidou2finput"></a>

```typescript
public readonly fidoU2FInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoWebauthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.fidoWebauthnInput" id="cdktfprovideroktapolicymfapropertyfidowebauthninput"></a>

```typescript
public readonly fidoWebauthnInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `googleOtpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.googleOtpInput" id="cdktfprovideroktapolicymfapropertygoogleotpinput"></a>

```typescript
public readonly googleOtpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `groupsIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.groupsIncludedInput" id="cdktfprovideroktapolicymfapropertygroupsincludedinput"></a>

```typescript
public readonly groupsIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `hotpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.hotpInput" id="cdktfprovideroktapolicymfapropertyhotpinput"></a>

```typescript
public readonly hotpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.idInput" id="cdktfprovideroktapolicymfapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `isOieInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.isOieInput" id="cdktfprovideroktapolicymfapropertyisoieinput"></a>

```typescript
public readonly isOieInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.nameInput" id="cdktfprovideroktapolicymfapropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `oktaCallInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaCallInput" id="cdktfprovideroktapolicymfapropertyoktacallinput"></a>

```typescript
public readonly oktaCallInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaEmailInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaEmailInput" id="cdktfprovideroktapolicymfapropertyoktaemailinput"></a>

```typescript
public readonly oktaEmailInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaOtpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaOtpInput" id="cdktfprovideroktapolicymfapropertyoktaotpinput"></a>

```typescript
public readonly oktaOtpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaPasswordInput" id="cdktfprovideroktapolicymfapropertyoktapasswordinput"></a>

```typescript
public readonly oktaPasswordInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPushInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaPushInput" id="cdktfprovideroktapolicymfapropertyoktapushinput"></a>

```typescript
public readonly oktaPushInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaQuestionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaQuestionInput" id="cdktfprovideroktapolicymfapropertyoktaquestioninput"></a>

```typescript
public readonly oktaQuestionInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaSmsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaSmsInput" id="cdktfprovideroktapolicymfapropertyoktasmsinput"></a>

```typescript
public readonly oktaSmsInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaVerifyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaVerifyInput" id="cdktfprovideroktapolicymfapropertyoktaverifyinput"></a>

```typescript
public readonly oktaVerifyInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `onpremMfaInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.onpremMfaInput" id="cdktfprovideroktapolicymfapropertyonpremmfainput"></a>

```typescript
public readonly onpremMfaInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `phoneNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.phoneNumberInput" id="cdktfprovideroktapolicymfapropertyphonenumberinput"></a>

```typescript
public readonly phoneNumberInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.priorityInput" id="cdktfprovideroktapolicymfapropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `rsaTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.rsaTokenInput" id="cdktfprovideroktapolicymfapropertyrsatokeninput"></a>

```typescript
public readonly rsaTokenInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `securityQuestionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.securityQuestionInput" id="cdktfprovideroktapolicymfapropertysecurityquestioninput"></a>

```typescript
public readonly securityQuestionInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.statusInput" id="cdktfprovideroktapolicymfapropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `symantecVipInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.symantecVipInput" id="cdktfprovideroktapolicymfapropertysymantecvipinput"></a>

```typescript
public readonly symantecVipInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `webauthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.webauthnInput" id="cdktfprovideroktapolicymfapropertywebauthninput"></a>

```typescript
public readonly webauthnInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `yubikeyTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.yubikeyTokenInput" id="cdktfprovideroktapolicymfapropertyyubikeytokeninput"></a>

```typescript
public readonly yubikeyTokenInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.description" id="cdktfprovideroktapolicymfapropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `duo`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.duo" id="cdktfprovideroktapolicymfapropertyduo"></a>

```typescript
public readonly duo: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `externalIdp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.externalIdp" id="cdktfprovideroktapolicymfapropertyexternalidp"></a>

```typescript
public readonly externalIdp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoU2F`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.fidoU2F" id="cdktfprovideroktapolicymfapropertyfidou2f"></a>

```typescript
public readonly fidoU2F: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoWebauthn`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.fidoWebauthn" id="cdktfprovideroktapolicymfapropertyfidowebauthn"></a>

```typescript
public readonly fidoWebauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `googleOtp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.googleOtp" id="cdktfprovideroktapolicymfapropertygoogleotp"></a>

```typescript
public readonly googleOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `groupsIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.groupsIncluded" id="cdktfprovideroktapolicymfapropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

---

##### `hotp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.hotp" id="cdktfprovideroktapolicymfapropertyhotp"></a>

```typescript
public readonly hotp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.id" id="cdktfprovideroktapolicymfapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `isOie`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.isOie" id="cdktfprovideroktapolicymfapropertyisoie"></a>

```typescript
public readonly isOie: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.name" id="cdktfprovideroktapolicymfapropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `oktaCall`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaCall" id="cdktfprovideroktapolicymfapropertyoktacall"></a>

```typescript
public readonly oktaCall: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaEmail`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaEmail" id="cdktfprovideroktapolicymfapropertyoktaemail"></a>

```typescript
public readonly oktaEmail: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaOtp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaOtp" id="cdktfprovideroktapolicymfapropertyoktaotp"></a>

```typescript
public readonly oktaOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaPassword" id="cdktfprovideroktapolicymfapropertyoktapassword"></a>

```typescript
public readonly oktaPassword: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPush`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaPush" id="cdktfprovideroktapolicymfapropertyoktapush"></a>

```typescript
public readonly oktaPush: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaQuestion`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaQuestion" id="cdktfprovideroktapolicymfapropertyoktaquestion"></a>

```typescript
public readonly oktaQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaSms`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaSms" id="cdktfprovideroktapolicymfapropertyoktasms"></a>

```typescript
public readonly oktaSms: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaVerify`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.oktaVerify" id="cdktfprovideroktapolicymfapropertyoktaverify"></a>

```typescript
public readonly oktaVerify: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `onpremMfa`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.onpremMfa" id="cdktfprovideroktapolicymfapropertyonpremmfa"></a>

```typescript
public readonly onpremMfa: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `phoneNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.phoneNumber" id="cdktfprovideroktapolicymfapropertyphonenumber"></a>

```typescript
public readonly phoneNumber: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.priority" id="cdktfprovideroktapolicymfapropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `rsaToken`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.rsaToken" id="cdktfprovideroktapolicymfapropertyrsatoken"></a>

```typescript
public readonly rsaToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `securityQuestion`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.securityQuestion" id="cdktfprovideroktapolicymfapropertysecurityquestion"></a>

```typescript
public readonly securityQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.status" id="cdktfprovideroktapolicymfapropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `symantecVip`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.symantecVip" id="cdktfprovideroktapolicymfapropertysymantecvip"></a>

```typescript
public readonly symantecVip: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `webauthn`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.webauthn" id="cdktfprovideroktapolicymfapropertywebauthn"></a>

```typescript
public readonly webauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `yubikeyToken`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfa.property.yubikeyToken" id="cdktfprovideroktapolicymfapropertyyubikeytoken"></a>

```typescript
public readonly yubikeyToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicymfapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyMfa.property.tfResourceType" id="cdktfprovideroktapolicymfapropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyMfaDefault <a name="@cdktf/provider-okta.PolicyMfaDefault" id="cdktfprovideroktapolicymfadefault"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default okta_policy_mfa_default}.

#### Initializers <a name="@cdktf/provider-okta.PolicyMfaDefault.Initializer" id="cdktfprovideroktapolicymfadefaultinitializer"></a>

```typescript
import { PolicyMfaDefault } from '@cdktf/provider-okta'

new PolicyMfaDefault(scope: Construct, id: string, config?: PolicyMfaDefaultConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicymfadefaultparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicymfadefaultparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicymfadefaultparameterconfig) | [`@cdktf/provider-okta.PolicyMfaDefaultConfig`](#@cdktf/provider-okta.PolicyMfaDefaultConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.parameter.scope" id="cdktfprovideroktapolicymfadefaultparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.parameter.id" id="cdktfprovideroktapolicymfadefaultparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.parameter.config" id="cdktfprovideroktapolicymfadefaultparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyMfaDefaultConfig`](#@cdktf/provider-okta.PolicyMfaDefaultConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDuo`](#cdktfprovideroktapolicymfadefaultresetduo) | *No description.* |
| [`resetExternalIdp`](#cdktfprovideroktapolicymfadefaultresetexternalidp) | *No description.* |
| [`resetFidoU2F`](#cdktfprovideroktapolicymfadefaultresetfidou2f) | *No description.* |
| [`resetFidoWebauthn`](#cdktfprovideroktapolicymfadefaultresetfidowebauthn) | *No description.* |
| [`resetGoogleOtp`](#cdktfprovideroktapolicymfadefaultresetgoogleotp) | *No description.* |
| [`resetHotp`](#cdktfprovideroktapolicymfadefaultresethotp) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicymfadefaultresetid) | *No description.* |
| [`resetIsOie`](#cdktfprovideroktapolicymfadefaultresetisoie) | *No description.* |
| [`resetOktaCall`](#cdktfprovideroktapolicymfadefaultresetoktacall) | *No description.* |
| [`resetOktaEmail`](#cdktfprovideroktapolicymfadefaultresetoktaemail) | *No description.* |
| [`resetOktaOtp`](#cdktfprovideroktapolicymfadefaultresetoktaotp) | *No description.* |
| [`resetOktaPassword`](#cdktfprovideroktapolicymfadefaultresetoktapassword) | *No description.* |
| [`resetOktaPush`](#cdktfprovideroktapolicymfadefaultresetoktapush) | *No description.* |
| [`resetOktaQuestion`](#cdktfprovideroktapolicymfadefaultresetoktaquestion) | *No description.* |
| [`resetOktaSms`](#cdktfprovideroktapolicymfadefaultresetoktasms) | *No description.* |
| [`resetOktaVerify`](#cdktfprovideroktapolicymfadefaultresetoktaverify) | *No description.* |
| [`resetOnpremMfa`](#cdktfprovideroktapolicymfadefaultresetonpremmfa) | *No description.* |
| [`resetPhoneNumber`](#cdktfprovideroktapolicymfadefaultresetphonenumber) | *No description.* |
| [`resetRsaToken`](#cdktfprovideroktapolicymfadefaultresetrsatoken) | *No description.* |
| [`resetSecurityQuestion`](#cdktfprovideroktapolicymfadefaultresetsecurityquestion) | *No description.* |
| [`resetSymantecVip`](#cdktfprovideroktapolicymfadefaultresetsymantecvip) | *No description.* |
| [`resetWebauthn`](#cdktfprovideroktapolicymfadefaultresetwebauthn) | *No description.* |
| [`resetYubikeyToken`](#cdktfprovideroktapolicymfadefaultresetyubikeytoken) | *No description.* |

---

##### `resetDuo` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetDuo" id="cdktfprovideroktapolicymfadefaultresetduo"></a>

```typescript
public resetDuo()
```

##### `resetExternalIdp` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetExternalIdp" id="cdktfprovideroktapolicymfadefaultresetexternalidp"></a>

```typescript
public resetExternalIdp()
```

##### `resetFidoU2F` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetFidoU2F" id="cdktfprovideroktapolicymfadefaultresetfidou2f"></a>

```typescript
public resetFidoU2F()
```

##### `resetFidoWebauthn` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetFidoWebauthn" id="cdktfprovideroktapolicymfadefaultresetfidowebauthn"></a>

```typescript
public resetFidoWebauthn()
```

##### `resetGoogleOtp` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetGoogleOtp" id="cdktfprovideroktapolicymfadefaultresetgoogleotp"></a>

```typescript
public resetGoogleOtp()
```

##### `resetHotp` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetHotp" id="cdktfprovideroktapolicymfadefaultresethotp"></a>

```typescript
public resetHotp()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetId" id="cdktfprovideroktapolicymfadefaultresetid"></a>

```typescript
public resetId()
```

##### `resetIsOie` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetIsOie" id="cdktfprovideroktapolicymfadefaultresetisoie"></a>

```typescript
public resetIsOie()
```

##### `resetOktaCall` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaCall" id="cdktfprovideroktapolicymfadefaultresetoktacall"></a>

```typescript
public resetOktaCall()
```

##### `resetOktaEmail` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaEmail" id="cdktfprovideroktapolicymfadefaultresetoktaemail"></a>

```typescript
public resetOktaEmail()
```

##### `resetOktaOtp` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaOtp" id="cdktfprovideroktapolicymfadefaultresetoktaotp"></a>

```typescript
public resetOktaOtp()
```

##### `resetOktaPassword` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaPassword" id="cdktfprovideroktapolicymfadefaultresetoktapassword"></a>

```typescript
public resetOktaPassword()
```

##### `resetOktaPush` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaPush" id="cdktfprovideroktapolicymfadefaultresetoktapush"></a>

```typescript
public resetOktaPush()
```

##### `resetOktaQuestion` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaQuestion" id="cdktfprovideroktapolicymfadefaultresetoktaquestion"></a>

```typescript
public resetOktaQuestion()
```

##### `resetOktaSms` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaSms" id="cdktfprovideroktapolicymfadefaultresetoktasms"></a>

```typescript
public resetOktaSms()
```

##### `resetOktaVerify` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOktaVerify" id="cdktfprovideroktapolicymfadefaultresetoktaverify"></a>

```typescript
public resetOktaVerify()
```

##### `resetOnpremMfa` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetOnpremMfa" id="cdktfprovideroktapolicymfadefaultresetonpremmfa"></a>

```typescript
public resetOnpremMfa()
```

##### `resetPhoneNumber` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetPhoneNumber" id="cdktfprovideroktapolicymfadefaultresetphonenumber"></a>

```typescript
public resetPhoneNumber()
```

##### `resetRsaToken` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetRsaToken" id="cdktfprovideroktapolicymfadefaultresetrsatoken"></a>

```typescript
public resetRsaToken()
```

##### `resetSecurityQuestion` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetSecurityQuestion" id="cdktfprovideroktapolicymfadefaultresetsecurityquestion"></a>

```typescript
public resetSecurityQuestion()
```

##### `resetSymantecVip` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetSymantecVip" id="cdktfprovideroktapolicymfadefaultresetsymantecvip"></a>

```typescript
public resetSymantecVip()
```

##### `resetWebauthn` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetWebauthn" id="cdktfprovideroktapolicymfadefaultresetwebauthn"></a>

```typescript
public resetWebauthn()
```

##### `resetYubikeyToken` <a name="@cdktf/provider-okta.PolicyMfaDefault.resetYubikeyToken" id="cdktfprovideroktapolicymfadefaultresetyubikeytoken"></a>

```typescript
public resetYubikeyToken()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`defaultIncludedGroupId`](#cdktfprovideroktapolicymfadefaultpropertydefaultincludedgroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktapolicymfadefaultpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicymfadefaultpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapolicymfadefaultpropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktapolicymfadefaultpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`duoInput`](#cdktfprovideroktapolicymfadefaultpropertyduoinput) | {[ key: string ]: `string`} | *No description.* |
| [`externalIdpInput`](#cdktfprovideroktapolicymfadefaultpropertyexternalidpinput) | {[ key: string ]: `string`} | *No description.* |
| [`fidoU2FInput`](#cdktfprovideroktapolicymfadefaultpropertyfidou2finput) | {[ key: string ]: `string`} | *No description.* |
| [`fidoWebauthnInput`](#cdktfprovideroktapolicymfadefaultpropertyfidowebauthninput) | {[ key: string ]: `string`} | *No description.* |
| [`googleOtpInput`](#cdktfprovideroktapolicymfadefaultpropertygoogleotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`hotpInput`](#cdktfprovideroktapolicymfadefaultpropertyhotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`idInput`](#cdktfprovideroktapolicymfadefaultpropertyidinput) | `string` | *No description.* |
| [`isOieInput`](#cdktfprovideroktapolicymfadefaultpropertyisoieinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`oktaCallInput`](#cdktfprovideroktapolicymfadefaultpropertyoktacallinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaEmailInput`](#cdktfprovideroktapolicymfadefaultpropertyoktaemailinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaOtpInput`](#cdktfprovideroktapolicymfadefaultpropertyoktaotpinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaPasswordInput`](#cdktfprovideroktapolicymfadefaultpropertyoktapasswordinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaPushInput`](#cdktfprovideroktapolicymfadefaultpropertyoktapushinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaQuestionInput`](#cdktfprovideroktapolicymfadefaultpropertyoktaquestioninput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaSmsInput`](#cdktfprovideroktapolicymfadefaultpropertyoktasmsinput) | {[ key: string ]: `string`} | *No description.* |
| [`oktaVerifyInput`](#cdktfprovideroktapolicymfadefaultpropertyoktaverifyinput) | {[ key: string ]: `string`} | *No description.* |
| [`onpremMfaInput`](#cdktfprovideroktapolicymfadefaultpropertyonpremmfainput) | {[ key: string ]: `string`} | *No description.* |
| [`phoneNumberInput`](#cdktfprovideroktapolicymfadefaultpropertyphonenumberinput) | {[ key: string ]: `string`} | *No description.* |
| [`rsaTokenInput`](#cdktfprovideroktapolicymfadefaultpropertyrsatokeninput) | {[ key: string ]: `string`} | *No description.* |
| [`securityQuestionInput`](#cdktfprovideroktapolicymfadefaultpropertysecurityquestioninput) | {[ key: string ]: `string`} | *No description.* |
| [`symantecVipInput`](#cdktfprovideroktapolicymfadefaultpropertysymantecvipinput) | {[ key: string ]: `string`} | *No description.* |
| [`webauthnInput`](#cdktfprovideroktapolicymfadefaultpropertywebauthninput) | {[ key: string ]: `string`} | *No description.* |
| [`yubikeyTokenInput`](#cdktfprovideroktapolicymfadefaultpropertyyubikeytokeninput) | {[ key: string ]: `string`} | *No description.* |
| [`duo`](#cdktfprovideroktapolicymfadefaultpropertyduo)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`externalIdp`](#cdktfprovideroktapolicymfadefaultpropertyexternalidp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`fidoU2F`](#cdktfprovideroktapolicymfadefaultpropertyfidou2f)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`fidoWebauthn`](#cdktfprovideroktapolicymfadefaultpropertyfidowebauthn)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`googleOtp`](#cdktfprovideroktapolicymfadefaultpropertygoogleotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`hotp`](#cdktfprovideroktapolicymfadefaultpropertyhotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`id`](#cdktfprovideroktapolicymfadefaultpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`isOie`](#cdktfprovideroktapolicymfadefaultpropertyisoie)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`oktaCall`](#cdktfprovideroktapolicymfadefaultpropertyoktacall)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaEmail`](#cdktfprovideroktapolicymfadefaultpropertyoktaemail)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaOtp`](#cdktfprovideroktapolicymfadefaultpropertyoktaotp)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaPassword`](#cdktfprovideroktapolicymfadefaultpropertyoktapassword)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaPush`](#cdktfprovideroktapolicymfadefaultpropertyoktapush)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaQuestion`](#cdktfprovideroktapolicymfadefaultpropertyoktaquestion)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaSms`](#cdktfprovideroktapolicymfadefaultpropertyoktasms)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`oktaVerify`](#cdktfprovideroktapolicymfadefaultpropertyoktaverify)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`onpremMfa`](#cdktfprovideroktapolicymfadefaultpropertyonpremmfa)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`phoneNumber`](#cdktfprovideroktapolicymfadefaultpropertyphonenumber)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`rsaToken`](#cdktfprovideroktapolicymfadefaultpropertyrsatoken)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`securityQuestion`](#cdktfprovideroktapolicymfadefaultpropertysecurityquestion)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`symantecVip`](#cdktfprovideroktapolicymfadefaultpropertysymantecvip)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`webauthn`](#cdktfprovideroktapolicymfadefaultpropertywebauthn)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |
| [`yubikeyToken`](#cdktfprovideroktapolicymfadefaultpropertyyubikeytoken)<span title="Required">*</span> | {[ key: string ]: `string`} | *No description.* |

---

##### `defaultIncludedGroupId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.defaultIncludedGroupId" id="cdktfprovideroktapolicymfadefaultpropertydefaultincludedgroupid"></a>

```typescript
public readonly defaultIncludedGroupId: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.description" id="cdktfprovideroktapolicymfadefaultpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.name" id="cdktfprovideroktapolicymfadefaultpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.priority" id="cdktfprovideroktapolicymfadefaultpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.status" id="cdktfprovideroktapolicymfadefaultpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `duoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.duoInput" id="cdktfprovideroktapolicymfadefaultpropertyduoinput"></a>

```typescript
public readonly duoInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `externalIdpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.externalIdpInput" id="cdktfprovideroktapolicymfadefaultpropertyexternalidpinput"></a>

```typescript
public readonly externalIdpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoU2FInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.fidoU2FInput" id="cdktfprovideroktapolicymfadefaultpropertyfidou2finput"></a>

```typescript
public readonly fidoU2FInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoWebauthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.fidoWebauthnInput" id="cdktfprovideroktapolicymfadefaultpropertyfidowebauthninput"></a>

```typescript
public readonly fidoWebauthnInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `googleOtpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.googleOtpInput" id="cdktfprovideroktapolicymfadefaultpropertygoogleotpinput"></a>

```typescript
public readonly googleOtpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `hotpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.hotpInput" id="cdktfprovideroktapolicymfadefaultpropertyhotpinput"></a>

```typescript
public readonly hotpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.idInput" id="cdktfprovideroktapolicymfadefaultpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `isOieInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.isOieInput" id="cdktfprovideroktapolicymfadefaultpropertyisoieinput"></a>

```typescript
public readonly isOieInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `oktaCallInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaCallInput" id="cdktfprovideroktapolicymfadefaultpropertyoktacallinput"></a>

```typescript
public readonly oktaCallInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaEmailInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaEmailInput" id="cdktfprovideroktapolicymfadefaultpropertyoktaemailinput"></a>

```typescript
public readonly oktaEmailInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaOtpInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaOtpInput" id="cdktfprovideroktapolicymfadefaultpropertyoktaotpinput"></a>

```typescript
public readonly oktaOtpInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaPasswordInput" id="cdktfprovideroktapolicymfadefaultpropertyoktapasswordinput"></a>

```typescript
public readonly oktaPasswordInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPushInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaPushInput" id="cdktfprovideroktapolicymfadefaultpropertyoktapushinput"></a>

```typescript
public readonly oktaPushInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaQuestionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaQuestionInput" id="cdktfprovideroktapolicymfadefaultpropertyoktaquestioninput"></a>

```typescript
public readonly oktaQuestionInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaSmsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaSmsInput" id="cdktfprovideroktapolicymfadefaultpropertyoktasmsinput"></a>

```typescript
public readonly oktaSmsInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaVerifyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaVerifyInput" id="cdktfprovideroktapolicymfadefaultpropertyoktaverifyinput"></a>

```typescript
public readonly oktaVerifyInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `onpremMfaInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.onpremMfaInput" id="cdktfprovideroktapolicymfadefaultpropertyonpremmfainput"></a>

```typescript
public readonly onpremMfaInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `phoneNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.phoneNumberInput" id="cdktfprovideroktapolicymfadefaultpropertyphonenumberinput"></a>

```typescript
public readonly phoneNumberInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `rsaTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.rsaTokenInput" id="cdktfprovideroktapolicymfadefaultpropertyrsatokeninput"></a>

```typescript
public readonly rsaTokenInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `securityQuestionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.securityQuestionInput" id="cdktfprovideroktapolicymfadefaultpropertysecurityquestioninput"></a>

```typescript
public readonly securityQuestionInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `symantecVipInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.symantecVipInput" id="cdktfprovideroktapolicymfadefaultpropertysymantecvipinput"></a>

```typescript
public readonly symantecVipInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `webauthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.webauthnInput" id="cdktfprovideroktapolicymfadefaultpropertywebauthninput"></a>

```typescript
public readonly webauthnInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `yubikeyTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.yubikeyTokenInput" id="cdktfprovideroktapolicymfadefaultpropertyyubikeytokeninput"></a>

```typescript
public readonly yubikeyTokenInput: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `duo`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.duo" id="cdktfprovideroktapolicymfadefaultpropertyduo"></a>

```typescript
public readonly duo: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `externalIdp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.externalIdp" id="cdktfprovideroktapolicymfadefaultpropertyexternalidp"></a>

```typescript
public readonly externalIdp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoU2F`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.fidoU2F" id="cdktfprovideroktapolicymfadefaultpropertyfidou2f"></a>

```typescript
public readonly fidoU2F: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `fidoWebauthn`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.fidoWebauthn" id="cdktfprovideroktapolicymfadefaultpropertyfidowebauthn"></a>

```typescript
public readonly fidoWebauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `googleOtp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.googleOtp" id="cdktfprovideroktapolicymfadefaultpropertygoogleotp"></a>

```typescript
public readonly googleOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `hotp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.hotp" id="cdktfprovideroktapolicymfadefaultpropertyhotp"></a>

```typescript
public readonly hotp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.id" id="cdktfprovideroktapolicymfadefaultpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `isOie`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.isOie" id="cdktfprovideroktapolicymfadefaultpropertyisoie"></a>

```typescript
public readonly isOie: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `oktaCall`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaCall" id="cdktfprovideroktapolicymfadefaultpropertyoktacall"></a>

```typescript
public readonly oktaCall: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaEmail`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaEmail" id="cdktfprovideroktapolicymfadefaultpropertyoktaemail"></a>

```typescript
public readonly oktaEmail: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaOtp`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaOtp" id="cdktfprovideroktapolicymfadefaultpropertyoktaotp"></a>

```typescript
public readonly oktaOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaPassword" id="cdktfprovideroktapolicymfadefaultpropertyoktapassword"></a>

```typescript
public readonly oktaPassword: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaPush`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaPush" id="cdktfprovideroktapolicymfadefaultpropertyoktapush"></a>

```typescript
public readonly oktaPush: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaQuestion`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaQuestion" id="cdktfprovideroktapolicymfadefaultpropertyoktaquestion"></a>

```typescript
public readonly oktaQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaSms`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaSms" id="cdktfprovideroktapolicymfadefaultpropertyoktasms"></a>

```typescript
public readonly oktaSms: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `oktaVerify`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.oktaVerify" id="cdktfprovideroktapolicymfadefaultpropertyoktaverify"></a>

```typescript
public readonly oktaVerify: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `onpremMfa`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.onpremMfa" id="cdktfprovideroktapolicymfadefaultpropertyonpremmfa"></a>

```typescript
public readonly onpremMfa: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `phoneNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.phoneNumber" id="cdktfprovideroktapolicymfadefaultpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `rsaToken`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.rsaToken" id="cdktfprovideroktapolicymfadefaultpropertyrsatoken"></a>

```typescript
public readonly rsaToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `securityQuestion`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.securityQuestion" id="cdktfprovideroktapolicymfadefaultpropertysecurityquestion"></a>

```typescript
public readonly securityQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `symantecVip`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.symantecVip" id="cdktfprovideroktapolicymfadefaultpropertysymantecvip"></a>

```typescript
public readonly symantecVip: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `webauthn`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.webauthn" id="cdktfprovideroktapolicymfadefaultpropertywebauthn"></a>

```typescript
public readonly webauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

##### `yubikeyToken`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaDefault.property.yubikeyToken" id="cdktfprovideroktapolicymfadefaultpropertyyubikeytoken"></a>

```typescript
public readonly yubikeyToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicymfadefaultpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyMfaDefault.property.tfResourceType" id="cdktfprovideroktapolicymfadefaultpropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyPassword <a name="@cdktf/provider-okta.PolicyPassword" id="cdktfprovideroktapolicypassword"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_password okta_policy_password}.

#### Initializers <a name="@cdktf/provider-okta.PolicyPassword.Initializer" id="cdktfprovideroktapolicypasswordinitializer"></a>

```typescript
import { PolicyPassword } from '@cdktf/provider-okta'

new PolicyPassword(scope: Construct, id: string, config: PolicyPasswordConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicypasswordparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicypasswordparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicypasswordparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyPasswordConfig`](#@cdktf/provider-okta.PolicyPasswordConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.parameter.scope" id="cdktfprovideroktapolicypasswordparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.parameter.id" id="cdktfprovideroktapolicypasswordparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.parameter.config" id="cdktfprovideroktapolicypasswordparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyPasswordConfig`](#@cdktf/provider-okta.PolicyPasswordConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAuthProvider`](#cdktfprovideroktapolicypasswordresetauthprovider) | *No description.* |
| [`resetCallRecovery`](#cdktfprovideroktapolicypasswordresetcallrecovery) | *No description.* |
| [`resetDescription`](#cdktfprovideroktapolicypasswordresetdescription) | *No description.* |
| [`resetEmailRecovery`](#cdktfprovideroktapolicypasswordresetemailrecovery) | *No description.* |
| [`resetGroupsIncluded`](#cdktfprovideroktapolicypasswordresetgroupsincluded) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicypasswordresetid) | *No description.* |
| [`resetPasswordAutoUnlockMinutes`](#cdktfprovideroktapolicypasswordresetpasswordautounlockminutes) | *No description.* |
| [`resetPasswordDictionaryLookup`](#cdktfprovideroktapolicypasswordresetpassworddictionarylookup) | *No description.* |
| [`resetPasswordExcludeFirstName`](#cdktfprovideroktapolicypasswordresetpasswordexcludefirstname) | *No description.* |
| [`resetPasswordExcludeLastName`](#cdktfprovideroktapolicypasswordresetpasswordexcludelastname) | *No description.* |
| [`resetPasswordExcludeUsername`](#cdktfprovideroktapolicypasswordresetpasswordexcludeusername) | *No description.* |
| [`resetPasswordExpireWarnDays`](#cdktfprovideroktapolicypasswordresetpasswordexpirewarndays) | *No description.* |
| [`resetPasswordHistoryCount`](#cdktfprovideroktapolicypasswordresetpasswordhistorycount) | *No description.* |
| [`resetPasswordLockoutNotificationChannels`](#cdktfprovideroktapolicypasswordresetpasswordlockoutnotificationchannels) | *No description.* |
| [`resetPasswordMaxAgeDays`](#cdktfprovideroktapolicypasswordresetpasswordmaxagedays) | *No description.* |
| [`resetPasswordMaxLockoutAttempts`](#cdktfprovideroktapolicypasswordresetpasswordmaxlockoutattempts) | *No description.* |
| [`resetPasswordMinAgeMinutes`](#cdktfprovideroktapolicypasswordresetpasswordminageminutes) | *No description.* |
| [`resetPasswordMinLength`](#cdktfprovideroktapolicypasswordresetpasswordminlength) | *No description.* |
| [`resetPasswordMinLowercase`](#cdktfprovideroktapolicypasswordresetpasswordminlowercase) | *No description.* |
| [`resetPasswordMinNumber`](#cdktfprovideroktapolicypasswordresetpasswordminnumber) | *No description.* |
| [`resetPasswordMinSymbol`](#cdktfprovideroktapolicypasswordresetpasswordminsymbol) | *No description.* |
| [`resetPasswordMinUppercase`](#cdktfprovideroktapolicypasswordresetpasswordminuppercase) | *No description.* |
| [`resetPasswordShowLockoutFailures`](#cdktfprovideroktapolicypasswordresetpasswordshowlockoutfailures) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapolicypasswordresetpriority) | *No description.* |
| [`resetQuestionMinLength`](#cdktfprovideroktapolicypasswordresetquestionminlength) | *No description.* |
| [`resetQuestionRecovery`](#cdktfprovideroktapolicypasswordresetquestionrecovery) | *No description.* |
| [`resetRecoveryEmailToken`](#cdktfprovideroktapolicypasswordresetrecoveryemailtoken) | *No description.* |
| [`resetSkipUnlock`](#cdktfprovideroktapolicypasswordresetskipunlock) | *No description.* |
| [`resetSmsRecovery`](#cdktfprovideroktapolicypasswordresetsmsrecovery) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicypasswordresetstatus) | *No description.* |

---

##### `resetAuthProvider` <a name="@cdktf/provider-okta.PolicyPassword.resetAuthProvider" id="cdktfprovideroktapolicypasswordresetauthprovider"></a>

```typescript
public resetAuthProvider()
```

##### `resetCallRecovery` <a name="@cdktf/provider-okta.PolicyPassword.resetCallRecovery" id="cdktfprovideroktapolicypasswordresetcallrecovery"></a>

```typescript
public resetCallRecovery()
```

##### `resetDescription` <a name="@cdktf/provider-okta.PolicyPassword.resetDescription" id="cdktfprovideroktapolicypasswordresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetEmailRecovery` <a name="@cdktf/provider-okta.PolicyPassword.resetEmailRecovery" id="cdktfprovideroktapolicypasswordresetemailrecovery"></a>

```typescript
public resetEmailRecovery()
```

##### `resetGroupsIncluded` <a name="@cdktf/provider-okta.PolicyPassword.resetGroupsIncluded" id="cdktfprovideroktapolicypasswordresetgroupsincluded"></a>

```typescript
public resetGroupsIncluded()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyPassword.resetId" id="cdktfprovideroktapolicypasswordresetid"></a>

```typescript
public resetId()
```

##### `resetPasswordAutoUnlockMinutes` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordAutoUnlockMinutes" id="cdktfprovideroktapolicypasswordresetpasswordautounlockminutes"></a>

```typescript
public resetPasswordAutoUnlockMinutes()
```

##### `resetPasswordDictionaryLookup` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordDictionaryLookup" id="cdktfprovideroktapolicypasswordresetpassworddictionarylookup"></a>

```typescript
public resetPasswordDictionaryLookup()
```

##### `resetPasswordExcludeFirstName` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordExcludeFirstName" id="cdktfprovideroktapolicypasswordresetpasswordexcludefirstname"></a>

```typescript
public resetPasswordExcludeFirstName()
```

##### `resetPasswordExcludeLastName` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordExcludeLastName" id="cdktfprovideroktapolicypasswordresetpasswordexcludelastname"></a>

```typescript
public resetPasswordExcludeLastName()
```

##### `resetPasswordExcludeUsername` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordExcludeUsername" id="cdktfprovideroktapolicypasswordresetpasswordexcludeusername"></a>

```typescript
public resetPasswordExcludeUsername()
```

##### `resetPasswordExpireWarnDays` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordExpireWarnDays" id="cdktfprovideroktapolicypasswordresetpasswordexpirewarndays"></a>

```typescript
public resetPasswordExpireWarnDays()
```

##### `resetPasswordHistoryCount` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordHistoryCount" id="cdktfprovideroktapolicypasswordresetpasswordhistorycount"></a>

```typescript
public resetPasswordHistoryCount()
```

##### `resetPasswordLockoutNotificationChannels` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordLockoutNotificationChannels" id="cdktfprovideroktapolicypasswordresetpasswordlockoutnotificationchannels"></a>

```typescript
public resetPasswordLockoutNotificationChannels()
```

##### `resetPasswordMaxAgeDays` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMaxAgeDays" id="cdktfprovideroktapolicypasswordresetpasswordmaxagedays"></a>

```typescript
public resetPasswordMaxAgeDays()
```

##### `resetPasswordMaxLockoutAttempts` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMaxLockoutAttempts" id="cdktfprovideroktapolicypasswordresetpasswordmaxlockoutattempts"></a>

```typescript
public resetPasswordMaxLockoutAttempts()
```

##### `resetPasswordMinAgeMinutes` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMinAgeMinutes" id="cdktfprovideroktapolicypasswordresetpasswordminageminutes"></a>

```typescript
public resetPasswordMinAgeMinutes()
```

##### `resetPasswordMinLength` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMinLength" id="cdktfprovideroktapolicypasswordresetpasswordminlength"></a>

```typescript
public resetPasswordMinLength()
```

##### `resetPasswordMinLowercase` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMinLowercase" id="cdktfprovideroktapolicypasswordresetpasswordminlowercase"></a>

```typescript
public resetPasswordMinLowercase()
```

##### `resetPasswordMinNumber` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMinNumber" id="cdktfprovideroktapolicypasswordresetpasswordminnumber"></a>

```typescript
public resetPasswordMinNumber()
```

##### `resetPasswordMinSymbol` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMinSymbol" id="cdktfprovideroktapolicypasswordresetpasswordminsymbol"></a>

```typescript
public resetPasswordMinSymbol()
```

##### `resetPasswordMinUppercase` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordMinUppercase" id="cdktfprovideroktapolicypasswordresetpasswordminuppercase"></a>

```typescript
public resetPasswordMinUppercase()
```

##### `resetPasswordShowLockoutFailures` <a name="@cdktf/provider-okta.PolicyPassword.resetPasswordShowLockoutFailures" id="cdktfprovideroktapolicypasswordresetpasswordshowlockoutfailures"></a>

```typescript
public resetPasswordShowLockoutFailures()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PolicyPassword.resetPriority" id="cdktfprovideroktapolicypasswordresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetQuestionMinLength` <a name="@cdktf/provider-okta.PolicyPassword.resetQuestionMinLength" id="cdktfprovideroktapolicypasswordresetquestionminlength"></a>

```typescript
public resetQuestionMinLength()
```

##### `resetQuestionRecovery` <a name="@cdktf/provider-okta.PolicyPassword.resetQuestionRecovery" id="cdktfprovideroktapolicypasswordresetquestionrecovery"></a>

```typescript
public resetQuestionRecovery()
```

##### `resetRecoveryEmailToken` <a name="@cdktf/provider-okta.PolicyPassword.resetRecoveryEmailToken" id="cdktfprovideroktapolicypasswordresetrecoveryemailtoken"></a>

```typescript
public resetRecoveryEmailToken()
```

##### `resetSkipUnlock` <a name="@cdktf/provider-okta.PolicyPassword.resetSkipUnlock" id="cdktfprovideroktapolicypasswordresetskipunlock"></a>

```typescript
public resetSkipUnlock()
```

##### `resetSmsRecovery` <a name="@cdktf/provider-okta.PolicyPassword.resetSmsRecovery" id="cdktfprovideroktapolicypasswordresetsmsrecovery"></a>

```typescript
public resetSmsRecovery()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicyPassword.resetStatus" id="cdktfprovideroktapolicypasswordresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`authProviderInput`](#cdktfprovideroktapolicypasswordpropertyauthproviderinput) | `string` | *No description.* |
| [`callRecoveryInput`](#cdktfprovideroktapolicypasswordpropertycallrecoveryinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktapolicypasswordpropertydescriptioninput) | `string` | *No description.* |
| [`emailRecoveryInput`](#cdktfprovideroktapolicypasswordpropertyemailrecoveryinput) | `string` | *No description.* |
| [`groupsIncludedInput`](#cdktfprovideroktapolicypasswordpropertygroupsincludedinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktapolicypasswordpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicypasswordpropertynameinput) | `string` | *No description.* |
| [`passwordAutoUnlockMinutesInput`](#cdktfprovideroktapolicypasswordpropertypasswordautounlockminutesinput) | `number` | *No description.* |
| [`passwordDictionaryLookupInput`](#cdktfprovideroktapolicypasswordpropertypassworddictionarylookupinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeFirstNameInput`](#cdktfprovideroktapolicypasswordpropertypasswordexcludefirstnameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeLastNameInput`](#cdktfprovideroktapolicypasswordpropertypasswordexcludelastnameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeUsernameInput`](#cdktfprovideroktapolicypasswordpropertypasswordexcludeusernameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExpireWarnDaysInput`](#cdktfprovideroktapolicypasswordpropertypasswordexpirewarndaysinput) | `number` | *No description.* |
| [`passwordHistoryCountInput`](#cdktfprovideroktapolicypasswordpropertypasswordhistorycountinput) | `number` | *No description.* |
| [`passwordLockoutNotificationChannelsInput`](#cdktfprovideroktapolicypasswordpropertypasswordlockoutnotificationchannelsinput) | `string`[] | *No description.* |
| [`passwordMaxAgeDaysInput`](#cdktfprovideroktapolicypasswordpropertypasswordmaxagedaysinput) | `number` | *No description.* |
| [`passwordMaxLockoutAttemptsInput`](#cdktfprovideroktapolicypasswordpropertypasswordmaxlockoutattemptsinput) | `number` | *No description.* |
| [`passwordMinAgeMinutesInput`](#cdktfprovideroktapolicypasswordpropertypasswordminageminutesinput) | `number` | *No description.* |
| [`passwordMinLengthInput`](#cdktfprovideroktapolicypasswordpropertypasswordminlengthinput) | `number` | *No description.* |
| [`passwordMinLowercaseInput`](#cdktfprovideroktapolicypasswordpropertypasswordminlowercaseinput) | `number` | *No description.* |
| [`passwordMinNumberInput`](#cdktfprovideroktapolicypasswordpropertypasswordminnumberinput) | `number` | *No description.* |
| [`passwordMinSymbolInput`](#cdktfprovideroktapolicypasswordpropertypasswordminsymbolinput) | `number` | *No description.* |
| [`passwordMinUppercaseInput`](#cdktfprovideroktapolicypasswordpropertypasswordminuppercaseinput) | `number` | *No description.* |
| [`passwordShowLockoutFailuresInput`](#cdktfprovideroktapolicypasswordpropertypasswordshowlockoutfailuresinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`priorityInput`](#cdktfprovideroktapolicypasswordpropertypriorityinput) | `number` | *No description.* |
| [`questionMinLengthInput`](#cdktfprovideroktapolicypasswordpropertyquestionminlengthinput) | `number` | *No description.* |
| [`questionRecoveryInput`](#cdktfprovideroktapolicypasswordpropertyquestionrecoveryinput) | `string` | *No description.* |
| [`recoveryEmailTokenInput`](#cdktfprovideroktapolicypasswordpropertyrecoveryemailtokeninput) | `number` | *No description.* |
| [`skipUnlockInput`](#cdktfprovideroktapolicypasswordpropertyskipunlockinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`smsRecoveryInput`](#cdktfprovideroktapolicypasswordpropertysmsrecoveryinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicypasswordpropertystatusinput) | `string` | *No description.* |
| [`authProvider`](#cdktfprovideroktapolicypasswordpropertyauthprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`callRecovery`](#cdktfprovideroktapolicypasswordpropertycallrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktapolicypasswordpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`emailRecovery`](#cdktfprovideroktapolicypasswordpropertyemailrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsIncluded`](#cdktfprovideroktapolicypasswordpropertygroupsincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktapolicypasswordpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicypasswordpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordAutoUnlockMinutes`](#cdktfprovideroktapolicypasswordpropertypasswordautounlockminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordDictionaryLookup`](#cdktfprovideroktapolicypasswordpropertypassworddictionarylookup)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeFirstName`](#cdktfprovideroktapolicypasswordpropertypasswordexcludefirstname)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeLastName`](#cdktfprovideroktapolicypasswordpropertypasswordexcludelastname)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeUsername`](#cdktfprovideroktapolicypasswordpropertypasswordexcludeusername)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExpireWarnDays`](#cdktfprovideroktapolicypasswordpropertypasswordexpirewarndays)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordHistoryCount`](#cdktfprovideroktapolicypasswordpropertypasswordhistorycount)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordLockoutNotificationChannels`](#cdktfprovideroktapolicypasswordpropertypasswordlockoutnotificationchannels)<span title="Required">*</span> | `string`[] | *No description.* |
| [`passwordMaxAgeDays`](#cdktfprovideroktapolicypasswordpropertypasswordmaxagedays)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMaxLockoutAttempts`](#cdktfprovideroktapolicypasswordpropertypasswordmaxlockoutattempts)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinAgeMinutes`](#cdktfprovideroktapolicypasswordpropertypasswordminageminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinLength`](#cdktfprovideroktapolicypasswordpropertypasswordminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinLowercase`](#cdktfprovideroktapolicypasswordpropertypasswordminlowercase)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinNumber`](#cdktfprovideroktapolicypasswordpropertypasswordminnumber)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinSymbol`](#cdktfprovideroktapolicypasswordpropertypasswordminsymbol)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinUppercase`](#cdktfprovideroktapolicypasswordpropertypasswordminuppercase)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordShowLockoutFailures`](#cdktfprovideroktapolicypasswordpropertypasswordshowlockoutfailures)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`priority`](#cdktfprovideroktapolicypasswordpropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`questionMinLength`](#cdktfprovideroktapolicypasswordpropertyquestionminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`questionRecovery`](#cdktfprovideroktapolicypasswordpropertyquestionrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`recoveryEmailToken`](#cdktfprovideroktapolicypasswordpropertyrecoveryemailtoken)<span title="Required">*</span> | `number` | *No description.* |
| [`skipUnlock`](#cdktfprovideroktapolicypasswordpropertyskipunlock)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`smsRecovery`](#cdktfprovideroktapolicypasswordpropertysmsrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktapolicypasswordpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `authProviderInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.authProviderInput" id="cdktfprovideroktapolicypasswordpropertyauthproviderinput"></a>

```typescript
public readonly authProviderInput: string;
```

- *Type:* `string`

---

##### `callRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.callRecoveryInput" id="cdktfprovideroktapolicypasswordpropertycallrecoveryinput"></a>

```typescript
public readonly callRecoveryInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.descriptionInput" id="cdktfprovideroktapolicypasswordpropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `emailRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.emailRecoveryInput" id="cdktfprovideroktapolicypasswordpropertyemailrecoveryinput"></a>

```typescript
public readonly emailRecoveryInput: string;
```

- *Type:* `string`

---

##### `groupsIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.groupsIncludedInput" id="cdktfprovideroktapolicypasswordpropertygroupsincludedinput"></a>

```typescript
public readonly groupsIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.idInput" id="cdktfprovideroktapolicypasswordpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.nameInput" id="cdktfprovideroktapolicypasswordpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `passwordAutoUnlockMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordAutoUnlockMinutesInput" id="cdktfprovideroktapolicypasswordpropertypasswordautounlockminutesinput"></a>

```typescript
public readonly passwordAutoUnlockMinutesInput: number;
```

- *Type:* `number`

---

##### `passwordDictionaryLookupInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordDictionaryLookupInput" id="cdktfprovideroktapolicypasswordpropertypassworddictionarylookupinput"></a>

```typescript
public readonly passwordDictionaryLookupInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeFirstNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExcludeFirstNameInput" id="cdktfprovideroktapolicypasswordpropertypasswordexcludefirstnameinput"></a>

```typescript
public readonly passwordExcludeFirstNameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeLastNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExcludeLastNameInput" id="cdktfprovideroktapolicypasswordpropertypasswordexcludelastnameinput"></a>

```typescript
public readonly passwordExcludeLastNameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExcludeUsernameInput" id="cdktfprovideroktapolicypasswordpropertypasswordexcludeusernameinput"></a>

```typescript
public readonly passwordExcludeUsernameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExpireWarnDaysInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExpireWarnDaysInput" id="cdktfprovideroktapolicypasswordpropertypasswordexpirewarndaysinput"></a>

```typescript
public readonly passwordExpireWarnDaysInput: number;
```

- *Type:* `number`

---

##### `passwordHistoryCountInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordHistoryCountInput" id="cdktfprovideroktapolicypasswordpropertypasswordhistorycountinput"></a>

```typescript
public readonly passwordHistoryCountInput: number;
```

- *Type:* `number`

---

##### `passwordLockoutNotificationChannelsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordLockoutNotificationChannelsInput" id="cdktfprovideroktapolicypasswordpropertypasswordlockoutnotificationchannelsinput"></a>

```typescript
public readonly passwordLockoutNotificationChannelsInput: string[];
```

- *Type:* `string`[]

---

##### `passwordMaxAgeDaysInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMaxAgeDaysInput" id="cdktfprovideroktapolicypasswordpropertypasswordmaxagedaysinput"></a>

```typescript
public readonly passwordMaxAgeDaysInput: number;
```

- *Type:* `number`

---

##### `passwordMaxLockoutAttemptsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMaxLockoutAttemptsInput" id="cdktfprovideroktapolicypasswordpropertypasswordmaxlockoutattemptsinput"></a>

```typescript
public readonly passwordMaxLockoutAttemptsInput: number;
```

- *Type:* `number`

---

##### `passwordMinAgeMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinAgeMinutesInput" id="cdktfprovideroktapolicypasswordpropertypasswordminageminutesinput"></a>

```typescript
public readonly passwordMinAgeMinutesInput: number;
```

- *Type:* `number`

---

##### `passwordMinLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinLengthInput" id="cdktfprovideroktapolicypasswordpropertypasswordminlengthinput"></a>

```typescript
public readonly passwordMinLengthInput: number;
```

- *Type:* `number`

---

##### `passwordMinLowercaseInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinLowercaseInput" id="cdktfprovideroktapolicypasswordpropertypasswordminlowercaseinput"></a>

```typescript
public readonly passwordMinLowercaseInput: number;
```

- *Type:* `number`

---

##### `passwordMinNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinNumberInput" id="cdktfprovideroktapolicypasswordpropertypasswordminnumberinput"></a>

```typescript
public readonly passwordMinNumberInput: number;
```

- *Type:* `number`

---

##### `passwordMinSymbolInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinSymbolInput" id="cdktfprovideroktapolicypasswordpropertypasswordminsymbolinput"></a>

```typescript
public readonly passwordMinSymbolInput: number;
```

- *Type:* `number`

---

##### `passwordMinUppercaseInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinUppercaseInput" id="cdktfprovideroktapolicypasswordpropertypasswordminuppercaseinput"></a>

```typescript
public readonly passwordMinUppercaseInput: number;
```

- *Type:* `number`

---

##### `passwordShowLockoutFailuresInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordShowLockoutFailuresInput" id="cdktfprovideroktapolicypasswordpropertypasswordshowlockoutfailuresinput"></a>

```typescript
public readonly passwordShowLockoutFailuresInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.priorityInput" id="cdktfprovideroktapolicypasswordpropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `questionMinLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.questionMinLengthInput" id="cdktfprovideroktapolicypasswordpropertyquestionminlengthinput"></a>

```typescript
public readonly questionMinLengthInput: number;
```

- *Type:* `number`

---

##### `questionRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.questionRecoveryInput" id="cdktfprovideroktapolicypasswordpropertyquestionrecoveryinput"></a>

```typescript
public readonly questionRecoveryInput: string;
```

- *Type:* `string`

---

##### `recoveryEmailTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.recoveryEmailTokenInput" id="cdktfprovideroktapolicypasswordpropertyrecoveryemailtokeninput"></a>

```typescript
public readonly recoveryEmailTokenInput: number;
```

- *Type:* `number`

---

##### `skipUnlockInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.skipUnlockInput" id="cdktfprovideroktapolicypasswordpropertyskipunlockinput"></a>

```typescript
public readonly skipUnlockInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `smsRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.smsRecoveryInput" id="cdktfprovideroktapolicypasswordpropertysmsrecoveryinput"></a>

```typescript
public readonly smsRecoveryInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.statusInput" id="cdktfprovideroktapolicypasswordpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `authProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.authProvider" id="cdktfprovideroktapolicypasswordpropertyauthprovider"></a>

```typescript
public readonly authProvider: string;
```

- *Type:* `string`

---

##### `callRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.callRecovery" id="cdktfprovideroktapolicypasswordpropertycallrecovery"></a>

```typescript
public readonly callRecovery: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.description" id="cdktfprovideroktapolicypasswordpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `emailRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.emailRecovery" id="cdktfprovideroktapolicypasswordpropertyemailrecovery"></a>

```typescript
public readonly emailRecovery: string;
```

- *Type:* `string`

---

##### `groupsIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.groupsIncluded" id="cdktfprovideroktapolicypasswordpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.id" id="cdktfprovideroktapolicypasswordpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.name" id="cdktfprovideroktapolicypasswordpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `passwordAutoUnlockMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordAutoUnlockMinutes" id="cdktfprovideroktapolicypasswordpropertypasswordautounlockminutes"></a>

```typescript
public readonly passwordAutoUnlockMinutes: number;
```

- *Type:* `number`

---

##### `passwordDictionaryLookup`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordDictionaryLookup" id="cdktfprovideroktapolicypasswordpropertypassworddictionarylookup"></a>

```typescript
public readonly passwordDictionaryLookup: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeFirstName`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExcludeFirstName" id="cdktfprovideroktapolicypasswordpropertypasswordexcludefirstname"></a>

```typescript
public readonly passwordExcludeFirstName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeLastName`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExcludeLastName" id="cdktfprovideroktapolicypasswordpropertypasswordexcludelastname"></a>

```typescript
public readonly passwordExcludeLastName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExcludeUsername" id="cdktfprovideroktapolicypasswordpropertypasswordexcludeusername"></a>

```typescript
public readonly passwordExcludeUsername: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExpireWarnDays`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordExpireWarnDays" id="cdktfprovideroktapolicypasswordpropertypasswordexpirewarndays"></a>

```typescript
public readonly passwordExpireWarnDays: number;
```

- *Type:* `number`

---

##### `passwordHistoryCount`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordHistoryCount" id="cdktfprovideroktapolicypasswordpropertypasswordhistorycount"></a>

```typescript
public readonly passwordHistoryCount: number;
```

- *Type:* `number`

---

##### `passwordLockoutNotificationChannels`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordLockoutNotificationChannels" id="cdktfprovideroktapolicypasswordpropertypasswordlockoutnotificationchannels"></a>

```typescript
public readonly passwordLockoutNotificationChannels: string[];
```

- *Type:* `string`[]

---

##### `passwordMaxAgeDays`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMaxAgeDays" id="cdktfprovideroktapolicypasswordpropertypasswordmaxagedays"></a>

```typescript
public readonly passwordMaxAgeDays: number;
```

- *Type:* `number`

---

##### `passwordMaxLockoutAttempts`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMaxLockoutAttempts" id="cdktfprovideroktapolicypasswordpropertypasswordmaxlockoutattempts"></a>

```typescript
public readonly passwordMaxLockoutAttempts: number;
```

- *Type:* `number`

---

##### `passwordMinAgeMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinAgeMinutes" id="cdktfprovideroktapolicypasswordpropertypasswordminageminutes"></a>

```typescript
public readonly passwordMinAgeMinutes: number;
```

- *Type:* `number`

---

##### `passwordMinLength`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinLength" id="cdktfprovideroktapolicypasswordpropertypasswordminlength"></a>

```typescript
public readonly passwordMinLength: number;
```

- *Type:* `number`

---

##### `passwordMinLowercase`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinLowercase" id="cdktfprovideroktapolicypasswordpropertypasswordminlowercase"></a>

```typescript
public readonly passwordMinLowercase: number;
```

- *Type:* `number`

---

##### `passwordMinNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinNumber" id="cdktfprovideroktapolicypasswordpropertypasswordminnumber"></a>

```typescript
public readonly passwordMinNumber: number;
```

- *Type:* `number`

---

##### `passwordMinSymbol`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinSymbol" id="cdktfprovideroktapolicypasswordpropertypasswordminsymbol"></a>

```typescript
public readonly passwordMinSymbol: number;
```

- *Type:* `number`

---

##### `passwordMinUppercase`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordMinUppercase" id="cdktfprovideroktapolicypasswordpropertypasswordminuppercase"></a>

```typescript
public readonly passwordMinUppercase: number;
```

- *Type:* `number`

---

##### `passwordShowLockoutFailures`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.passwordShowLockoutFailures" id="cdktfprovideroktapolicypasswordpropertypasswordshowlockoutfailures"></a>

```typescript
public readonly passwordShowLockoutFailures: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.priority" id="cdktfprovideroktapolicypasswordpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `questionMinLength`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.questionMinLength" id="cdktfprovideroktapolicypasswordpropertyquestionminlength"></a>

```typescript
public readonly questionMinLength: number;
```

- *Type:* `number`

---

##### `questionRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.questionRecovery" id="cdktfprovideroktapolicypasswordpropertyquestionrecovery"></a>

```typescript
public readonly questionRecovery: string;
```

- *Type:* `string`

---

##### `recoveryEmailToken`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.recoveryEmailToken" id="cdktfprovideroktapolicypasswordpropertyrecoveryemailtoken"></a>

```typescript
public readonly recoveryEmailToken: number;
```

- *Type:* `number`

---

##### `skipUnlock`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.skipUnlock" id="cdktfprovideroktapolicypasswordpropertyskipunlock"></a>

```typescript
public readonly skipUnlock: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `smsRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.smsRecovery" id="cdktfprovideroktapolicypasswordpropertysmsrecovery"></a>

```typescript
public readonly smsRecovery: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPassword.property.status" id="cdktfprovideroktapolicypasswordpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicypasswordpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyPassword.property.tfResourceType" id="cdktfprovideroktapolicypasswordpropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyPasswordDefault <a name="@cdktf/provider-okta.PolicyPasswordDefault" id="cdktfprovideroktapolicypassworddefault"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default okta_policy_password_default}.

#### Initializers <a name="@cdktf/provider-okta.PolicyPasswordDefault.Initializer" id="cdktfprovideroktapolicypassworddefaultinitializer"></a>

```typescript
import { PolicyPasswordDefault } from '@cdktf/provider-okta'

new PolicyPasswordDefault(scope: Construct, id: string, config?: PolicyPasswordDefaultConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicypassworddefaultparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicypassworddefaultparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicypassworddefaultparameterconfig) | [`@cdktf/provider-okta.PolicyPasswordDefaultConfig`](#@cdktf/provider-okta.PolicyPasswordDefaultConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.parameter.scope" id="cdktfprovideroktapolicypassworddefaultparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.parameter.id" id="cdktfprovideroktapolicypassworddefaultparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.parameter.config" id="cdktfprovideroktapolicypassworddefaultparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyPasswordDefaultConfig`](#@cdktf/provider-okta.PolicyPasswordDefaultConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetCallRecovery`](#cdktfprovideroktapolicypassworddefaultresetcallrecovery) | *No description.* |
| [`resetEmailRecovery`](#cdktfprovideroktapolicypassworddefaultresetemailrecovery) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicypassworddefaultresetid) | *No description.* |
| [`resetPasswordAutoUnlockMinutes`](#cdktfprovideroktapolicypassworddefaultresetpasswordautounlockminutes) | *No description.* |
| [`resetPasswordDictionaryLookup`](#cdktfprovideroktapolicypassworddefaultresetpassworddictionarylookup) | *No description.* |
| [`resetPasswordExcludeFirstName`](#cdktfprovideroktapolicypassworddefaultresetpasswordexcludefirstname) | *No description.* |
| [`resetPasswordExcludeLastName`](#cdktfprovideroktapolicypassworddefaultresetpasswordexcludelastname) | *No description.* |
| [`resetPasswordExcludeUsername`](#cdktfprovideroktapolicypassworddefaultresetpasswordexcludeusername) | *No description.* |
| [`resetPasswordExpireWarnDays`](#cdktfprovideroktapolicypassworddefaultresetpasswordexpirewarndays) | *No description.* |
| [`resetPasswordHistoryCount`](#cdktfprovideroktapolicypassworddefaultresetpasswordhistorycount) | *No description.* |
| [`resetPasswordLockoutNotificationChannels`](#cdktfprovideroktapolicypassworddefaultresetpasswordlockoutnotificationchannels) | *No description.* |
| [`resetPasswordMaxAgeDays`](#cdktfprovideroktapolicypassworddefaultresetpasswordmaxagedays) | *No description.* |
| [`resetPasswordMaxLockoutAttempts`](#cdktfprovideroktapolicypassworddefaultresetpasswordmaxlockoutattempts) | *No description.* |
| [`resetPasswordMinAgeMinutes`](#cdktfprovideroktapolicypassworddefaultresetpasswordminageminutes) | *No description.* |
| [`resetPasswordMinLength`](#cdktfprovideroktapolicypassworddefaultresetpasswordminlength) | *No description.* |
| [`resetPasswordMinLowercase`](#cdktfprovideroktapolicypassworddefaultresetpasswordminlowercase) | *No description.* |
| [`resetPasswordMinNumber`](#cdktfprovideroktapolicypassworddefaultresetpasswordminnumber) | *No description.* |
| [`resetPasswordMinSymbol`](#cdktfprovideroktapolicypassworddefaultresetpasswordminsymbol) | *No description.* |
| [`resetPasswordMinUppercase`](#cdktfprovideroktapolicypassworddefaultresetpasswordminuppercase) | *No description.* |
| [`resetPasswordShowLockoutFailures`](#cdktfprovideroktapolicypassworddefaultresetpasswordshowlockoutfailures) | *No description.* |
| [`resetQuestionMinLength`](#cdktfprovideroktapolicypassworddefaultresetquestionminlength) | *No description.* |
| [`resetQuestionRecovery`](#cdktfprovideroktapolicypassworddefaultresetquestionrecovery) | *No description.* |
| [`resetRecoveryEmailToken`](#cdktfprovideroktapolicypassworddefaultresetrecoveryemailtoken) | *No description.* |
| [`resetSkipUnlock`](#cdktfprovideroktapolicypassworddefaultresetskipunlock) | *No description.* |
| [`resetSmsRecovery`](#cdktfprovideroktapolicypassworddefaultresetsmsrecovery) | *No description.* |

---

##### `resetCallRecovery` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetCallRecovery" id="cdktfprovideroktapolicypassworddefaultresetcallrecovery"></a>

```typescript
public resetCallRecovery()
```

##### `resetEmailRecovery` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetEmailRecovery" id="cdktfprovideroktapolicypassworddefaultresetemailrecovery"></a>

```typescript
public resetEmailRecovery()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetId" id="cdktfprovideroktapolicypassworddefaultresetid"></a>

```typescript
public resetId()
```

##### `resetPasswordAutoUnlockMinutes` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordAutoUnlockMinutes" id="cdktfprovideroktapolicypassworddefaultresetpasswordautounlockminutes"></a>

```typescript
public resetPasswordAutoUnlockMinutes()
```

##### `resetPasswordDictionaryLookup` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordDictionaryLookup" id="cdktfprovideroktapolicypassworddefaultresetpassworddictionarylookup"></a>

```typescript
public resetPasswordDictionaryLookup()
```

##### `resetPasswordExcludeFirstName` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordExcludeFirstName" id="cdktfprovideroktapolicypassworddefaultresetpasswordexcludefirstname"></a>

```typescript
public resetPasswordExcludeFirstName()
```

##### `resetPasswordExcludeLastName` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordExcludeLastName" id="cdktfprovideroktapolicypassworddefaultresetpasswordexcludelastname"></a>

```typescript
public resetPasswordExcludeLastName()
```

##### `resetPasswordExcludeUsername` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordExcludeUsername" id="cdktfprovideroktapolicypassworddefaultresetpasswordexcludeusername"></a>

```typescript
public resetPasswordExcludeUsername()
```

##### `resetPasswordExpireWarnDays` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordExpireWarnDays" id="cdktfprovideroktapolicypassworddefaultresetpasswordexpirewarndays"></a>

```typescript
public resetPasswordExpireWarnDays()
```

##### `resetPasswordHistoryCount` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordHistoryCount" id="cdktfprovideroktapolicypassworddefaultresetpasswordhistorycount"></a>

```typescript
public resetPasswordHistoryCount()
```

##### `resetPasswordLockoutNotificationChannels` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordLockoutNotificationChannels" id="cdktfprovideroktapolicypassworddefaultresetpasswordlockoutnotificationchannels"></a>

```typescript
public resetPasswordLockoutNotificationChannels()
```

##### `resetPasswordMaxAgeDays` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMaxAgeDays" id="cdktfprovideroktapolicypassworddefaultresetpasswordmaxagedays"></a>

```typescript
public resetPasswordMaxAgeDays()
```

##### `resetPasswordMaxLockoutAttempts` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMaxLockoutAttempts" id="cdktfprovideroktapolicypassworddefaultresetpasswordmaxlockoutattempts"></a>

```typescript
public resetPasswordMaxLockoutAttempts()
```

##### `resetPasswordMinAgeMinutes` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMinAgeMinutes" id="cdktfprovideroktapolicypassworddefaultresetpasswordminageminutes"></a>

```typescript
public resetPasswordMinAgeMinutes()
```

##### `resetPasswordMinLength` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMinLength" id="cdktfprovideroktapolicypassworddefaultresetpasswordminlength"></a>

```typescript
public resetPasswordMinLength()
```

##### `resetPasswordMinLowercase` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMinLowercase" id="cdktfprovideroktapolicypassworddefaultresetpasswordminlowercase"></a>

```typescript
public resetPasswordMinLowercase()
```

##### `resetPasswordMinNumber` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMinNumber" id="cdktfprovideroktapolicypassworddefaultresetpasswordminnumber"></a>

```typescript
public resetPasswordMinNumber()
```

##### `resetPasswordMinSymbol` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMinSymbol" id="cdktfprovideroktapolicypassworddefaultresetpasswordminsymbol"></a>

```typescript
public resetPasswordMinSymbol()
```

##### `resetPasswordMinUppercase` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordMinUppercase" id="cdktfprovideroktapolicypassworddefaultresetpasswordminuppercase"></a>

```typescript
public resetPasswordMinUppercase()
```

##### `resetPasswordShowLockoutFailures` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetPasswordShowLockoutFailures" id="cdktfprovideroktapolicypassworddefaultresetpasswordshowlockoutfailures"></a>

```typescript
public resetPasswordShowLockoutFailures()
```

##### `resetQuestionMinLength` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetQuestionMinLength" id="cdktfprovideroktapolicypassworddefaultresetquestionminlength"></a>

```typescript
public resetQuestionMinLength()
```

##### `resetQuestionRecovery` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetQuestionRecovery" id="cdktfprovideroktapolicypassworddefaultresetquestionrecovery"></a>

```typescript
public resetQuestionRecovery()
```

##### `resetRecoveryEmailToken` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetRecoveryEmailToken" id="cdktfprovideroktapolicypassworddefaultresetrecoveryemailtoken"></a>

```typescript
public resetRecoveryEmailToken()
```

##### `resetSkipUnlock` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetSkipUnlock" id="cdktfprovideroktapolicypassworddefaultresetskipunlock"></a>

```typescript
public resetSkipUnlock()
```

##### `resetSmsRecovery` <a name="@cdktf/provider-okta.PolicyPasswordDefault.resetSmsRecovery" id="cdktfprovideroktapolicypassworddefaultresetsmsrecovery"></a>

```typescript
public resetSmsRecovery()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`defaultAuthProvider`](#cdktfprovideroktapolicypassworddefaultpropertydefaultauthprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`defaultIncludedGroupId`](#cdktfprovideroktapolicypassworddefaultpropertydefaultincludedgroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktapolicypassworddefaultpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicypassworddefaultpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapolicypassworddefaultpropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktapolicypassworddefaultpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`callRecoveryInput`](#cdktfprovideroktapolicypassworddefaultpropertycallrecoveryinput) | `string` | *No description.* |
| [`emailRecoveryInput`](#cdktfprovideroktapolicypassworddefaultpropertyemailrecoveryinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktapolicypassworddefaultpropertyidinput) | `string` | *No description.* |
| [`passwordAutoUnlockMinutesInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordautounlockminutesinput) | `number` | *No description.* |
| [`passwordDictionaryLookupInput`](#cdktfprovideroktapolicypassworddefaultpropertypassworddictionarylookupinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeFirstNameInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexcludefirstnameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeLastNameInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexcludelastnameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeUsernameInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexcludeusernameinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExpireWarnDaysInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexpirewarndaysinput) | `number` | *No description.* |
| [`passwordHistoryCountInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordhistorycountinput) | `number` | *No description.* |
| [`passwordLockoutNotificationChannelsInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordlockoutnotificationchannelsinput) | `string`[] | *No description.* |
| [`passwordMaxAgeDaysInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordmaxagedaysinput) | `number` | *No description.* |
| [`passwordMaxLockoutAttemptsInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordmaxlockoutattemptsinput) | `number` | *No description.* |
| [`passwordMinAgeMinutesInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminageminutesinput) | `number` | *No description.* |
| [`passwordMinLengthInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminlengthinput) | `number` | *No description.* |
| [`passwordMinLowercaseInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminlowercaseinput) | `number` | *No description.* |
| [`passwordMinNumberInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminnumberinput) | `number` | *No description.* |
| [`passwordMinSymbolInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminsymbolinput) | `number` | *No description.* |
| [`passwordMinUppercaseInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminuppercaseinput) | `number` | *No description.* |
| [`passwordShowLockoutFailuresInput`](#cdktfprovideroktapolicypassworddefaultpropertypasswordshowlockoutfailuresinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`questionMinLengthInput`](#cdktfprovideroktapolicypassworddefaultpropertyquestionminlengthinput) | `number` | *No description.* |
| [`questionRecoveryInput`](#cdktfprovideroktapolicypassworddefaultpropertyquestionrecoveryinput) | `string` | *No description.* |
| [`recoveryEmailTokenInput`](#cdktfprovideroktapolicypassworddefaultpropertyrecoveryemailtokeninput) | `number` | *No description.* |
| [`skipUnlockInput`](#cdktfprovideroktapolicypassworddefaultpropertyskipunlockinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`smsRecoveryInput`](#cdktfprovideroktapolicypassworddefaultpropertysmsrecoveryinput) | `string` | *No description.* |
| [`callRecovery`](#cdktfprovideroktapolicypassworddefaultpropertycallrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`emailRecovery`](#cdktfprovideroktapolicypassworddefaultpropertyemailrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicypassworddefaultpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordAutoUnlockMinutes`](#cdktfprovideroktapolicypassworddefaultpropertypasswordautounlockminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordDictionaryLookup`](#cdktfprovideroktapolicypassworddefaultpropertypassworddictionarylookup)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeFirstName`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexcludefirstname)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeLastName`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexcludelastname)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExcludeUsername`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexcludeusername)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`passwordExpireWarnDays`](#cdktfprovideroktapolicypassworddefaultpropertypasswordexpirewarndays)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordHistoryCount`](#cdktfprovideroktapolicypassworddefaultpropertypasswordhistorycount)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordLockoutNotificationChannels`](#cdktfprovideroktapolicypassworddefaultpropertypasswordlockoutnotificationchannels)<span title="Required">*</span> | `string`[] | *No description.* |
| [`passwordMaxAgeDays`](#cdktfprovideroktapolicypassworddefaultpropertypasswordmaxagedays)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMaxLockoutAttempts`](#cdktfprovideroktapolicypassworddefaultpropertypasswordmaxlockoutattempts)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinAgeMinutes`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminageminutes)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinLength`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinLowercase`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminlowercase)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinNumber`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminnumber)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinSymbol`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminsymbol)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordMinUppercase`](#cdktfprovideroktapolicypassworddefaultpropertypasswordminuppercase)<span title="Required">*</span> | `number` | *No description.* |
| [`passwordShowLockoutFailures`](#cdktfprovideroktapolicypassworddefaultpropertypasswordshowlockoutfailures)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`questionMinLength`](#cdktfprovideroktapolicypassworddefaultpropertyquestionminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`questionRecovery`](#cdktfprovideroktapolicypassworddefaultpropertyquestionrecovery)<span title="Required">*</span> | `string` | *No description.* |
| [`recoveryEmailToken`](#cdktfprovideroktapolicypassworddefaultpropertyrecoveryemailtoken)<span title="Required">*</span> | `number` | *No description.* |
| [`skipUnlock`](#cdktfprovideroktapolicypassworddefaultpropertyskipunlock)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`smsRecovery`](#cdktfprovideroktapolicypassworddefaultpropertysmsrecovery)<span title="Required">*</span> | `string` | *No description.* |

---

##### `defaultAuthProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.defaultAuthProvider" id="cdktfprovideroktapolicypassworddefaultpropertydefaultauthprovider"></a>

```typescript
public readonly defaultAuthProvider: string;
```

- *Type:* `string`

---

##### `defaultIncludedGroupId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.defaultIncludedGroupId" id="cdktfprovideroktapolicypassworddefaultpropertydefaultincludedgroupid"></a>

```typescript
public readonly defaultIncludedGroupId: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.description" id="cdktfprovideroktapolicypassworddefaultpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.name" id="cdktfprovideroktapolicypassworddefaultpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.priority" id="cdktfprovideroktapolicypassworddefaultpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.status" id="cdktfprovideroktapolicypassworddefaultpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `callRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.callRecoveryInput" id="cdktfprovideroktapolicypassworddefaultpropertycallrecoveryinput"></a>

```typescript
public readonly callRecoveryInput: string;
```

- *Type:* `string`

---

##### `emailRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.emailRecoveryInput" id="cdktfprovideroktapolicypassworddefaultpropertyemailrecoveryinput"></a>

```typescript
public readonly emailRecoveryInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.idInput" id="cdktfprovideroktapolicypassworddefaultpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordAutoUnlockMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordAutoUnlockMinutesInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordautounlockminutesinput"></a>

```typescript
public readonly passwordAutoUnlockMinutesInput: number;
```

- *Type:* `number`

---

##### `passwordDictionaryLookupInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordDictionaryLookupInput" id="cdktfprovideroktapolicypassworddefaultpropertypassworddictionarylookupinput"></a>

```typescript
public readonly passwordDictionaryLookupInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeFirstNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExcludeFirstNameInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexcludefirstnameinput"></a>

```typescript
public readonly passwordExcludeFirstNameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeLastNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExcludeLastNameInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexcludelastnameinput"></a>

```typescript
public readonly passwordExcludeLastNameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExcludeUsernameInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexcludeusernameinput"></a>

```typescript
public readonly passwordExcludeUsernameInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExpireWarnDaysInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExpireWarnDaysInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexpirewarndaysinput"></a>

```typescript
public readonly passwordExpireWarnDaysInput: number;
```

- *Type:* `number`

---

##### `passwordHistoryCountInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordHistoryCountInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordhistorycountinput"></a>

```typescript
public readonly passwordHistoryCountInput: number;
```

- *Type:* `number`

---

##### `passwordLockoutNotificationChannelsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordLockoutNotificationChannelsInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordlockoutnotificationchannelsinput"></a>

```typescript
public readonly passwordLockoutNotificationChannelsInput: string[];
```

- *Type:* `string`[]

---

##### `passwordMaxAgeDaysInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMaxAgeDaysInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordmaxagedaysinput"></a>

```typescript
public readonly passwordMaxAgeDaysInput: number;
```

- *Type:* `number`

---

##### `passwordMaxLockoutAttemptsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMaxLockoutAttemptsInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordmaxlockoutattemptsinput"></a>

```typescript
public readonly passwordMaxLockoutAttemptsInput: number;
```

- *Type:* `number`

---

##### `passwordMinAgeMinutesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinAgeMinutesInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminageminutesinput"></a>

```typescript
public readonly passwordMinAgeMinutesInput: number;
```

- *Type:* `number`

---

##### `passwordMinLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinLengthInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminlengthinput"></a>

```typescript
public readonly passwordMinLengthInput: number;
```

- *Type:* `number`

---

##### `passwordMinLowercaseInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinLowercaseInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminlowercaseinput"></a>

```typescript
public readonly passwordMinLowercaseInput: number;
```

- *Type:* `number`

---

##### `passwordMinNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinNumberInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminnumberinput"></a>

```typescript
public readonly passwordMinNumberInput: number;
```

- *Type:* `number`

---

##### `passwordMinSymbolInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinSymbolInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminsymbolinput"></a>

```typescript
public readonly passwordMinSymbolInput: number;
```

- *Type:* `number`

---

##### `passwordMinUppercaseInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinUppercaseInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminuppercaseinput"></a>

```typescript
public readonly passwordMinUppercaseInput: number;
```

- *Type:* `number`

---

##### `passwordShowLockoutFailuresInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordShowLockoutFailuresInput" id="cdktfprovideroktapolicypassworddefaultpropertypasswordshowlockoutfailuresinput"></a>

```typescript
public readonly passwordShowLockoutFailuresInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `questionMinLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.questionMinLengthInput" id="cdktfprovideroktapolicypassworddefaultpropertyquestionminlengthinput"></a>

```typescript
public readonly questionMinLengthInput: number;
```

- *Type:* `number`

---

##### `questionRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.questionRecoveryInput" id="cdktfprovideroktapolicypassworddefaultpropertyquestionrecoveryinput"></a>

```typescript
public readonly questionRecoveryInput: string;
```

- *Type:* `string`

---

##### `recoveryEmailTokenInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.recoveryEmailTokenInput" id="cdktfprovideroktapolicypassworddefaultpropertyrecoveryemailtokeninput"></a>

```typescript
public readonly recoveryEmailTokenInput: number;
```

- *Type:* `number`

---

##### `skipUnlockInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.skipUnlockInput" id="cdktfprovideroktapolicypassworddefaultpropertyskipunlockinput"></a>

```typescript
public readonly skipUnlockInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `smsRecoveryInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.smsRecoveryInput" id="cdktfprovideroktapolicypassworddefaultpropertysmsrecoveryinput"></a>

```typescript
public readonly smsRecoveryInput: string;
```

- *Type:* `string`

---

##### `callRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.callRecovery" id="cdktfprovideroktapolicypassworddefaultpropertycallrecovery"></a>

```typescript
public readonly callRecovery: string;
```

- *Type:* `string`

---

##### `emailRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.emailRecovery" id="cdktfprovideroktapolicypassworddefaultpropertyemailrecovery"></a>

```typescript
public readonly emailRecovery: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.id" id="cdktfprovideroktapolicypassworddefaultpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `passwordAutoUnlockMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordAutoUnlockMinutes" id="cdktfprovideroktapolicypassworddefaultpropertypasswordautounlockminutes"></a>

```typescript
public readonly passwordAutoUnlockMinutes: number;
```

- *Type:* `number`

---

##### `passwordDictionaryLookup`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordDictionaryLookup" id="cdktfprovideroktapolicypassworddefaultpropertypassworddictionarylookup"></a>

```typescript
public readonly passwordDictionaryLookup: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeFirstName`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExcludeFirstName" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexcludefirstname"></a>

```typescript
public readonly passwordExcludeFirstName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeLastName`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExcludeLastName" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexcludelastname"></a>

```typescript
public readonly passwordExcludeLastName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExcludeUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExcludeUsername" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexcludeusername"></a>

```typescript
public readonly passwordExcludeUsername: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `passwordExpireWarnDays`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordExpireWarnDays" id="cdktfprovideroktapolicypassworddefaultpropertypasswordexpirewarndays"></a>

```typescript
public readonly passwordExpireWarnDays: number;
```

- *Type:* `number`

---

##### `passwordHistoryCount`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordHistoryCount" id="cdktfprovideroktapolicypassworddefaultpropertypasswordhistorycount"></a>

```typescript
public readonly passwordHistoryCount: number;
```

- *Type:* `number`

---

##### `passwordLockoutNotificationChannels`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordLockoutNotificationChannels" id="cdktfprovideroktapolicypassworddefaultpropertypasswordlockoutnotificationchannels"></a>

```typescript
public readonly passwordLockoutNotificationChannels: string[];
```

- *Type:* `string`[]

---

##### `passwordMaxAgeDays`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMaxAgeDays" id="cdktfprovideroktapolicypassworddefaultpropertypasswordmaxagedays"></a>

```typescript
public readonly passwordMaxAgeDays: number;
```

- *Type:* `number`

---

##### `passwordMaxLockoutAttempts`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMaxLockoutAttempts" id="cdktfprovideroktapolicypassworddefaultpropertypasswordmaxlockoutattempts"></a>

```typescript
public readonly passwordMaxLockoutAttempts: number;
```

- *Type:* `number`

---

##### `passwordMinAgeMinutes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinAgeMinutes" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminageminutes"></a>

```typescript
public readonly passwordMinAgeMinutes: number;
```

- *Type:* `number`

---

##### `passwordMinLength`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinLength" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminlength"></a>

```typescript
public readonly passwordMinLength: number;
```

- *Type:* `number`

---

##### `passwordMinLowercase`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinLowercase" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminlowercase"></a>

```typescript
public readonly passwordMinLowercase: number;
```

- *Type:* `number`

---

##### `passwordMinNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinNumber" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminnumber"></a>

```typescript
public readonly passwordMinNumber: number;
```

- *Type:* `number`

---

##### `passwordMinSymbol`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinSymbol" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminsymbol"></a>

```typescript
public readonly passwordMinSymbol: number;
```

- *Type:* `number`

---

##### `passwordMinUppercase`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordMinUppercase" id="cdktfprovideroktapolicypassworddefaultpropertypasswordminuppercase"></a>

```typescript
public readonly passwordMinUppercase: number;
```

- *Type:* `number`

---

##### `passwordShowLockoutFailures`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.passwordShowLockoutFailures" id="cdktfprovideroktapolicypassworddefaultpropertypasswordshowlockoutfailures"></a>

```typescript
public readonly passwordShowLockoutFailures: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `questionMinLength`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.questionMinLength" id="cdktfprovideroktapolicypassworddefaultpropertyquestionminlength"></a>

```typescript
public readonly questionMinLength: number;
```

- *Type:* `number`

---

##### `questionRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.questionRecovery" id="cdktfprovideroktapolicypassworddefaultpropertyquestionrecovery"></a>

```typescript
public readonly questionRecovery: string;
```

- *Type:* `string`

---

##### `recoveryEmailToken`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.recoveryEmailToken" id="cdktfprovideroktapolicypassworddefaultpropertyrecoveryemailtoken"></a>

```typescript
public readonly recoveryEmailToken: number;
```

- *Type:* `number`

---

##### `skipUnlock`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.skipUnlock" id="cdktfprovideroktapolicypassworddefaultpropertyskipunlock"></a>

```typescript
public readonly skipUnlock: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `smsRecovery`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.smsRecovery" id="cdktfprovideroktapolicypassworddefaultpropertysmsrecovery"></a>

```typescript
public readonly smsRecovery: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicypassworddefaultpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyPasswordDefault.property.tfResourceType" id="cdktfprovideroktapolicypassworddefaultpropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyProfileEnrollment <a name="@cdktf/provider-okta.PolicyProfileEnrollment" id="cdktfprovideroktapolicyprofileenrollment"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment okta_policy_profile_enrollment}.

#### Initializers <a name="@cdktf/provider-okta.PolicyProfileEnrollment.Initializer" id="cdktfprovideroktapolicyprofileenrollmentinitializer"></a>

```typescript
import { PolicyProfileEnrollment } from '@cdktf/provider-okta'

new PolicyProfileEnrollment(scope: Construct, id: string, config: PolicyProfileEnrollmentConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicyprofileenrollmentparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicyprofileenrollmentparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicyprofileenrollmentparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyProfileEnrollmentConfig`](#@cdktf/provider-okta.PolicyProfileEnrollmentConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.parameter.scope" id="cdktfprovideroktapolicyprofileenrollmentparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.parameter.id" id="cdktfprovideroktapolicyprofileenrollmentparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.parameter.config" id="cdktfprovideroktapolicyprofileenrollmentparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyProfileEnrollmentConfig`](#@cdktf/provider-okta.PolicyProfileEnrollmentConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktapolicyprofileenrollmentresetid) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicyprofileenrollmentresetstatus) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.PolicyProfileEnrollment.resetId" id="cdktfprovideroktapolicyprofileenrollmentresetid"></a>

```typescript
public resetId()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicyProfileEnrollment.resetStatus" id="cdktfprovideroktapolicyprofileenrollmentresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktapolicyprofileenrollmentpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyprofileenrollmentpropertynameinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicyprofileenrollmentpropertystatusinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicyprofileenrollmentpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyprofileenrollmentpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktapolicyprofileenrollmentpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.property.idInput" id="cdktfprovideroktapolicyprofileenrollmentpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.property.nameInput" id="cdktfprovideroktapolicyprofileenrollmentpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.property.statusInput" id="cdktfprovideroktapolicyprofileenrollmentpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.property.id" id="cdktfprovideroktapolicyprofileenrollmentpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.property.name" id="cdktfprovideroktapolicyprofileenrollmentpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollment.property.status" id="cdktfprovideroktapolicyprofileenrollmentpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicyprofileenrollmentpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyProfileEnrollment.property.tfResourceType" id="cdktfprovideroktapolicyprofileenrollmentpropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyProfileEnrollmentApps <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps" id="cdktfprovideroktapolicyprofileenrollmentapps"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment_apps okta_policy_profile_enrollment_apps}.

#### Initializers <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.Initializer" id="cdktfprovideroktapolicyprofileenrollmentappsinitializer"></a>

```typescript
import { PolicyProfileEnrollmentApps } from '@cdktf/provider-okta'

new PolicyProfileEnrollmentApps(scope: Construct, id: string, config: PolicyProfileEnrollmentAppsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicyprofileenrollmentappsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicyprofileenrollmentappsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicyprofileenrollmentappsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig`](#@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.parameter.scope" id="cdktfprovideroktapolicyprofileenrollmentappsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.parameter.id" id="cdktfprovideroktapolicyprofileenrollmentappsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.parameter.config" id="cdktfprovideroktapolicyprofileenrollmentappsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig`](#@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetApps`](#cdktfprovideroktapolicyprofileenrollmentappsresetapps) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicyprofileenrollmentappsresetid) | *No description.* |

---

##### `resetApps` <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.resetApps" id="cdktfprovideroktapolicyprofileenrollmentappsresetapps"></a>

```typescript
public resetApps()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.resetId" id="cdktfprovideroktapolicyprofileenrollmentappsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`defaultPolicyId`](#cdktfprovideroktapolicyprofileenrollmentappspropertydefaultpolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`appsInput`](#cdktfprovideroktapolicyprofileenrollmentappspropertyappsinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktapolicyprofileenrollmentappspropertyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktapolicyprofileenrollmentappspropertypolicyidinput) | `string` | *No description.* |
| [`apps`](#cdktfprovideroktapolicyprofileenrollmentappspropertyapps)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktapolicyprofileenrollmentappspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyprofileenrollmentappspropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `defaultPolicyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.defaultPolicyId" id="cdktfprovideroktapolicyprofileenrollmentappspropertydefaultpolicyid"></a>

```typescript
public readonly defaultPolicyId: string;
```

- *Type:* `string`

---

##### `appsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.appsInput" id="cdktfprovideroktapolicyprofileenrollmentappspropertyappsinput"></a>

```typescript
public readonly appsInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.idInput" id="cdktfprovideroktapolicyprofileenrollmentappspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.policyIdInput" id="cdktfprovideroktapolicyprofileenrollmentappspropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `apps`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.apps" id="cdktfprovideroktapolicyprofileenrollmentappspropertyapps"></a>

```typescript
public readonly apps: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.id" id="cdktfprovideroktapolicyprofileenrollmentappspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.policyId" id="cdktfprovideroktapolicyprofileenrollmentappspropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicyprofileenrollmentappspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyProfileEnrollmentApps.property.tfResourceType" id="cdktfprovideroktapolicyprofileenrollmentappspropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyRuleIdpDiscovery <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery" id="cdktfprovideroktapolicyruleidpdiscovery"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery okta_policy_rule_idp_discovery}.

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryinitializer"></a>

```typescript
import { PolicyRuleIdpDiscovery } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscovery(scope: Construct, id: string, config: PolicyRuleIdpDiscoveryConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicyruleidpdiscoveryparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicyruleidpdiscoveryparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicyruleidpdiscoveryparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.parameter.scope" id="cdktfprovideroktapolicyruleidpdiscoveryparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.parameter.id" id="cdktfprovideroktapolicyruleidpdiscoveryparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.parameter.config" id="cdktfprovideroktapolicyruleidpdiscoveryparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putAppExclude`](#cdktfprovideroktapolicyruleidpdiscoveryputappexclude) | *No description.* |
| [`putAppInclude`](#cdktfprovideroktapolicyruleidpdiscoveryputappinclude) | *No description.* |
| [`putPlatformInclude`](#cdktfprovideroktapolicyruleidpdiscoveryputplatforminclude) | *No description.* |
| [`putUserIdentifierPatterns`](#cdktfprovideroktapolicyruleidpdiscoveryputuseridentifierpatterns) | *No description.* |
| [`resetAppExclude`](#cdktfprovideroktapolicyruleidpdiscoveryresetappexclude) | *No description.* |
| [`resetAppInclude`](#cdktfprovideroktapolicyruleidpdiscoveryresetappinclude) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicyruleidpdiscoveryresetid) | *No description.* |
| [`resetIdpId`](#cdktfprovideroktapolicyruleidpdiscoveryresetidpid) | *No description.* |
| [`resetIdpType`](#cdktfprovideroktapolicyruleidpdiscoveryresetidptype) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktapolicyruleidpdiscoveryresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktapolicyruleidpdiscoveryresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktapolicyruleidpdiscoveryresetnetworkincludes) | *No description.* |
| [`resetPlatformInclude`](#cdktfprovideroktapolicyruleidpdiscoveryresetplatforminclude) | *No description.* |
| [`resetPolicyid`](#cdktfprovideroktapolicyruleidpdiscoveryresetpolicyid) | *No description.* |
| [`resetPolicyId`](#cdktfprovideroktapolicyruleidpdiscoveryresetpolicyid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapolicyruleidpdiscoveryresetpriority) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicyruleidpdiscoveryresetstatus) | *No description.* |
| [`resetUserIdentifierAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryresetuseridentifierattribute) | *No description.* |
| [`resetUserIdentifierPatterns`](#cdktfprovideroktapolicyruleidpdiscoveryresetuseridentifierpatterns) | *No description.* |
| [`resetUserIdentifierType`](#cdktfprovideroktapolicyruleidpdiscoveryresetuseridentifiertype) | *No description.* |

---

##### `putAppExclude` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.putAppExclude" id="cdktfprovideroktapolicyruleidpdiscoveryputappexclude"></a>

```typescript
public putAppExclude(value: IResolvable | PolicyRuleIdpDiscoveryAppExclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.parameter.value" id="cdktfprovideroktapolicyruleidpdiscoveryparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)[]

---

##### `putAppInclude` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.putAppInclude" id="cdktfprovideroktapolicyruleidpdiscoveryputappinclude"></a>

```typescript
public putAppInclude(value: IResolvable | PolicyRuleIdpDiscoveryAppInclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.parameter.value" id="cdktfprovideroktapolicyruleidpdiscoveryparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)[]

---

##### `putPlatformInclude` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.putPlatformInclude" id="cdktfprovideroktapolicyruleidpdiscoveryputplatforminclude"></a>

```typescript
public putPlatformInclude(value: IResolvable | PolicyRuleIdpDiscoveryPlatformInclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.parameter.value" id="cdktfprovideroktapolicyruleidpdiscoveryparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)[]

---

##### `putUserIdentifierPatterns` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.putUserIdentifierPatterns" id="cdktfprovideroktapolicyruleidpdiscoveryputuseridentifierpatterns"></a>

```typescript
public putUserIdentifierPatterns(value: IResolvable | PolicyRuleIdpDiscoveryUserIdentifierPatterns[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.parameter.value" id="cdktfprovideroktapolicyruleidpdiscoveryparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)[]

---

##### `resetAppExclude` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetAppExclude" id="cdktfprovideroktapolicyruleidpdiscoveryresetappexclude"></a>

```typescript
public resetAppExclude()
```

##### `resetAppInclude` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetAppInclude" id="cdktfprovideroktapolicyruleidpdiscoveryresetappinclude"></a>

```typescript
public resetAppInclude()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetId" id="cdktfprovideroktapolicyruleidpdiscoveryresetid"></a>

```typescript
public resetId()
```

##### `resetIdpId` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetIdpId" id="cdktfprovideroktapolicyruleidpdiscoveryresetidpid"></a>

```typescript
public resetIdpId()
```

##### `resetIdpType` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetIdpType" id="cdktfprovideroktapolicyruleidpdiscoveryresetidptype"></a>

```typescript
public resetIdpType()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetNetworkConnection" id="cdktfprovideroktapolicyruleidpdiscoveryresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetNetworkExcludes" id="cdktfprovideroktapolicyruleidpdiscoveryresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetNetworkIncludes" id="cdktfprovideroktapolicyruleidpdiscoveryresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPlatformInclude` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetPlatformInclude" id="cdktfprovideroktapolicyruleidpdiscoveryresetplatforminclude"></a>

```typescript
public resetPlatformInclude()
```

##### `resetPolicyid` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetPolicyid" id="cdktfprovideroktapolicyruleidpdiscoveryresetpolicyid"></a>

```typescript
public resetPolicyid()
```

##### `resetPolicyId` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetPolicyId" id="cdktfprovideroktapolicyruleidpdiscoveryresetpolicyid"></a>

```typescript
public resetPolicyId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetPriority" id="cdktfprovideroktapolicyruleidpdiscoveryresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetStatus" id="cdktfprovideroktapolicyruleidpdiscoveryresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUserIdentifierAttribute` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetUserIdentifierAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryresetuseridentifierattribute"></a>

```typescript
public resetUserIdentifierAttribute()
```

##### `resetUserIdentifierPatterns` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetUserIdentifierPatterns" id="cdktfprovideroktapolicyruleidpdiscoveryresetuseridentifierpatterns"></a>

```typescript
public resetUserIdentifierPatterns()
```

##### `resetUserIdentifierType` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.resetUserIdentifierType" id="cdktfprovideroktapolicyruleidpdiscoveryresetuseridentifiertype"></a>

```typescript
public resetUserIdentifierType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appExclude`](#cdktfprovideroktapolicyruleidpdiscoverypropertyappexclude)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList) | *No description.* |
| [`appInclude`](#cdktfprovideroktapolicyruleidpdiscoverypropertyappinclude)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList) | *No description.* |
| [`platformInclude`](#cdktfprovideroktapolicyruleidpdiscoverypropertyplatforminclude)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList) | *No description.* |
| [`userIdentifierPatterns`](#cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierpatterns)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList) | *No description.* |
| [`appExcludeInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyappexcludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)[] | *No description.* |
| [`appIncludeInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyappincludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)[] | *No description.* |
| [`idInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyidinput) | `string` | *No description.* |
| [`idpIdInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyidpidinput) | `string` | *No description.* |
| [`idpTypeInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyidptypeinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertynetworkincludesinput) | `string`[] | *No description.* |
| [`platformIncludeInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyplatformincludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)[] | *No description.* |
| [`policyidInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertypolicyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertypolicyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertystatusinput) | `string` | *No description.* |
| [`userIdentifierAttributeInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierattributeinput) | `string` | *No description.* |
| [`userIdentifierPatternsInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierpatternsinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)[] | *No description.* |
| [`userIdentifierTypeInput`](#cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifiertypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicyruleidpdiscoverypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`idpId`](#cdktfprovideroktapolicyruleidpdiscoverypropertyidpid)<span title="Required">*</span> | `string` | *No description.* |
| [`idpType`](#cdktfprovideroktapolicyruleidpdiscoverypropertyidptype)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyruleidpdiscoverypropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktapolicyruleidpdiscoverypropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktapolicyruleidpdiscoverypropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktapolicyruleidpdiscoverypropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`policyid`](#cdktfprovideroktapolicyruleidpdiscoverypropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyruleidpdiscoverypropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapolicyruleidpdiscoverypropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktapolicyruleidpdiscoverypropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userIdentifierAttribute`](#cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`userIdentifierType`](#cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifiertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `appExclude`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.appExclude" id="cdktfprovideroktapolicyruleidpdiscoverypropertyappexclude"></a>

```typescript
public readonly appExclude: PolicyRuleIdpDiscoveryAppExcludeList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList)

---

##### `appInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.appInclude" id="cdktfprovideroktapolicyruleidpdiscoverypropertyappinclude"></a>

```typescript
public readonly appInclude: PolicyRuleIdpDiscoveryAppIncludeList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList)

---

##### `platformInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.platformInclude" id="cdktfprovideroktapolicyruleidpdiscoverypropertyplatforminclude"></a>

```typescript
public readonly platformInclude: PolicyRuleIdpDiscoveryPlatformIncludeList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList)

---

##### `userIdentifierPatterns`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.userIdentifierPatterns" id="cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierpatterns"></a>

```typescript
public readonly userIdentifierPatterns: PolicyRuleIdpDiscoveryUserIdentifierPatternsList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList)

---

##### `appExcludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.appExcludeInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyappexcludeinput"></a>

```typescript
public readonly appExcludeInput: IResolvable | PolicyRuleIdpDiscoveryAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)[]

---

##### `appIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.appIncludeInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyappincludeinput"></a>

```typescript
public readonly appIncludeInput: IResolvable | PolicyRuleIdpDiscoveryAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.idInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `idpIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.idpIdInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyidpidinput"></a>

```typescript
public readonly idpIdInput: string;
```

- *Type:* `string`

---

##### `idpTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.idpTypeInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyidptypeinput"></a>

```typescript
public readonly idpTypeInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.nameInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.networkConnectionInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.networkExcludesInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.networkIncludesInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `platformIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.platformIncludeInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyplatformincludeinput"></a>

```typescript
public readonly platformIncludeInput: IResolvable | PolicyRuleIdpDiscoveryPlatformInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)[]

---

##### `policyidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.policyidInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertypolicyidinput"></a>

```typescript
public readonly policyidInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.policyIdInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.priorityInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.statusInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `userIdentifierAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.userIdentifierAttributeInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierattributeinput"></a>

```typescript
public readonly userIdentifierAttributeInput: string;
```

- *Type:* `string`

---

##### `userIdentifierPatternsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.userIdentifierPatternsInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierpatternsinput"></a>

```typescript
public readonly userIdentifierPatternsInput: IResolvable | PolicyRuleIdpDiscoveryUserIdentifierPatterns[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)[]

---

##### `userIdentifierTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.userIdentifierTypeInput" id="cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifiertypeinput"></a>

```typescript
public readonly userIdentifierTypeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.id" id="cdktfprovideroktapolicyruleidpdiscoverypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `idpId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.idpId" id="cdktfprovideroktapolicyruleidpdiscoverypropertyidpid"></a>

```typescript
public readonly idpId: string;
```

- *Type:* `string`

---

##### `idpType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.idpType" id="cdktfprovideroktapolicyruleidpdiscoverypropertyidptype"></a>

```typescript
public readonly idpType: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.name" id="cdktfprovideroktapolicyruleidpdiscoverypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.networkConnection" id="cdktfprovideroktapolicyruleidpdiscoverypropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.networkExcludes" id="cdktfprovideroktapolicyruleidpdiscoverypropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.networkIncludes" id="cdktfprovideroktapolicyruleidpdiscoverypropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `policyid`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.policyid" id="cdktfprovideroktapolicyruleidpdiscoverypropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.policyId" id="cdktfprovideroktapolicyruleidpdiscoverypropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.priority" id="cdktfprovideroktapolicyruleidpdiscoverypropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.status" id="cdktfprovideroktapolicyruleidpdiscoverypropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `userIdentifierAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.userIdentifierAttribute" id="cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifierattribute"></a>

```typescript
public readonly userIdentifierAttribute: string;
```

- *Type:* `string`

---

##### `userIdentifierType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.userIdentifierType" id="cdktfprovideroktapolicyruleidpdiscoverypropertyuseridentifiertype"></a>

```typescript
public readonly userIdentifierType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicyruleidpdiscoverypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscovery.property.tfResourceType" id="cdktfprovideroktapolicyruleidpdiscoverypropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyRuleMfa <a name="@cdktf/provider-okta.PolicyRuleMfa" id="cdktfprovideroktapolicyrulemfa"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa okta_policy_rule_mfa}.

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleMfa.Initializer" id="cdktfprovideroktapolicyrulemfainitializer"></a>

```typescript
import { PolicyRuleMfa } from '@cdktf/provider-okta'

new PolicyRuleMfa(scope: Construct, id: string, config: PolicyRuleMfaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicyrulemfaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicyrulemfaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicyrulemfaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleMfaConfig`](#@cdktf/provider-okta.PolicyRuleMfaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.parameter.scope" id="cdktfprovideroktapolicyrulemfaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.parameter.id" id="cdktfprovideroktapolicyrulemfaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.parameter.config" id="cdktfprovideroktapolicyrulemfaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyRuleMfaConfig`](#@cdktf/provider-okta.PolicyRuleMfaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putAppExclude`](#cdktfprovideroktapolicyrulemfaputappexclude) | *No description.* |
| [`putAppInclude`](#cdktfprovideroktapolicyrulemfaputappinclude) | *No description.* |
| [`resetAppExclude`](#cdktfprovideroktapolicyrulemfaresetappexclude) | *No description.* |
| [`resetAppInclude`](#cdktfprovideroktapolicyrulemfaresetappinclude) | *No description.* |
| [`resetEnroll`](#cdktfprovideroktapolicyrulemfaresetenroll) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicyrulemfaresetid) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktapolicyrulemfaresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktapolicyrulemfaresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktapolicyrulemfaresetnetworkincludes) | *No description.* |
| [`resetPolicyid`](#cdktfprovideroktapolicyrulemfaresetpolicyid) | *No description.* |
| [`resetPolicyId`](#cdktfprovideroktapolicyrulemfaresetpolicyid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapolicyrulemfaresetpriority) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicyrulemfaresetstatus) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktapolicyrulemfaresetusersexcluded) | *No description.* |

---

##### `putAppExclude` <a name="@cdktf/provider-okta.PolicyRuleMfa.putAppExclude" id="cdktfprovideroktapolicyrulemfaputappexclude"></a>

```typescript
public putAppExclude(value: IResolvable | PolicyRuleMfaAppExclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.parameter.value" id="cdktfprovideroktapolicyrulemfaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)[]

---

##### `putAppInclude` <a name="@cdktf/provider-okta.PolicyRuleMfa.putAppInclude" id="cdktfprovideroktapolicyrulemfaputappinclude"></a>

```typescript
public putAppInclude(value: IResolvable | PolicyRuleMfaAppInclude[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.parameter.value" id="cdktfprovideroktapolicyrulemfaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)[]

---

##### `resetAppExclude` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetAppExclude" id="cdktfprovideroktapolicyrulemfaresetappexclude"></a>

```typescript
public resetAppExclude()
```

##### `resetAppInclude` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetAppInclude" id="cdktfprovideroktapolicyrulemfaresetappinclude"></a>

```typescript
public resetAppInclude()
```

##### `resetEnroll` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetEnroll" id="cdktfprovideroktapolicyrulemfaresetenroll"></a>

```typescript
public resetEnroll()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetId" id="cdktfprovideroktapolicyrulemfaresetid"></a>

```typescript
public resetId()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetNetworkConnection" id="cdktfprovideroktapolicyrulemfaresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetNetworkExcludes" id="cdktfprovideroktapolicyrulemfaresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetNetworkIncludes" id="cdktfprovideroktapolicyrulemfaresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPolicyid` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetPolicyid" id="cdktfprovideroktapolicyrulemfaresetpolicyid"></a>

```typescript
public resetPolicyid()
```

##### `resetPolicyId` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetPolicyId" id="cdktfprovideroktapolicyrulemfaresetpolicyid"></a>

```typescript
public resetPolicyId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetPriority" id="cdktfprovideroktapolicyrulemfaresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetStatus" id="cdktfprovideroktapolicyrulemfaresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.PolicyRuleMfa.resetUsersExcluded" id="cdktfprovideroktapolicyrulemfaresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`appExclude`](#cdktfprovideroktapolicyrulemfapropertyappexclude)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleMfaAppExcludeList`](#@cdktf/provider-okta.PolicyRuleMfaAppExcludeList) | *No description.* |
| [`appInclude`](#cdktfprovideroktapolicyrulemfapropertyappinclude)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleMfaAppIncludeList`](#@cdktf/provider-okta.PolicyRuleMfaAppIncludeList) | *No description.* |
| [`appExcludeInput`](#cdktfprovideroktapolicyrulemfapropertyappexcludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)[] | *No description.* |
| [`appIncludeInput`](#cdktfprovideroktapolicyrulemfapropertyappincludeinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)[] | *No description.* |
| [`enrollInput`](#cdktfprovideroktapolicyrulemfapropertyenrollinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktapolicyrulemfapropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyrulemfapropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktapolicyrulemfapropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktapolicyrulemfapropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktapolicyrulemfapropertynetworkincludesinput) | `string`[] | *No description.* |
| [`policyidInput`](#cdktfprovideroktapolicyrulemfapropertypolicyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktapolicyrulemfapropertypolicyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktapolicyrulemfapropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicyrulemfapropertystatusinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktapolicyrulemfapropertyusersexcludedinput) | `string`[] | *No description.* |
| [`enroll`](#cdktfprovideroktapolicyrulemfapropertyenroll)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicyrulemfapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulemfapropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktapolicyrulemfapropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktapolicyrulemfapropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktapolicyrulemfapropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`policyid`](#cdktfprovideroktapolicyrulemfapropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyrulemfapropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapolicyrulemfapropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktapolicyrulemfapropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktapolicyrulemfapropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `appExclude`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.appExclude" id="cdktfprovideroktapolicyrulemfapropertyappexclude"></a>

```typescript
public readonly appExclude: PolicyRuleMfaAppExcludeList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleMfaAppExcludeList`](#@cdktf/provider-okta.PolicyRuleMfaAppExcludeList)

---

##### `appInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.appInclude" id="cdktfprovideroktapolicyrulemfapropertyappinclude"></a>

```typescript
public readonly appInclude: PolicyRuleMfaAppIncludeList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleMfaAppIncludeList`](#@cdktf/provider-okta.PolicyRuleMfaAppIncludeList)

---

##### `appExcludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.appExcludeInput" id="cdktfprovideroktapolicyrulemfapropertyappexcludeinput"></a>

```typescript
public readonly appExcludeInput: IResolvable | PolicyRuleMfaAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)[]

---

##### `appIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.appIncludeInput" id="cdktfprovideroktapolicyrulemfapropertyappincludeinput"></a>

```typescript
public readonly appIncludeInput: IResolvable | PolicyRuleMfaAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)[]

---

##### `enrollInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.enrollInput" id="cdktfprovideroktapolicyrulemfapropertyenrollinput"></a>

```typescript
public readonly enrollInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.idInput" id="cdktfprovideroktapolicyrulemfapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.nameInput" id="cdktfprovideroktapolicyrulemfapropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.networkConnectionInput" id="cdktfprovideroktapolicyrulemfapropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.networkExcludesInput" id="cdktfprovideroktapolicyrulemfapropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.networkIncludesInput" id="cdktfprovideroktapolicyrulemfapropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `policyidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.policyidInput" id="cdktfprovideroktapolicyrulemfapropertypolicyidinput"></a>

```typescript
public readonly policyidInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.policyIdInput" id="cdktfprovideroktapolicyrulemfapropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.priorityInput" id="cdktfprovideroktapolicyrulemfapropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.statusInput" id="cdktfprovideroktapolicyrulemfapropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.usersExcludedInput" id="cdktfprovideroktapolicyrulemfapropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `enroll`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.enroll" id="cdktfprovideroktapolicyrulemfapropertyenroll"></a>

```typescript
public readonly enroll: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.id" id="cdktfprovideroktapolicyrulemfapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.name" id="cdktfprovideroktapolicyrulemfapropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.networkConnection" id="cdktfprovideroktapolicyrulemfapropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.networkExcludes" id="cdktfprovideroktapolicyrulemfapropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.networkIncludes" id="cdktfprovideroktapolicyrulemfapropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `policyid`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.policyid" id="cdktfprovideroktapolicyrulemfapropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.policyId" id="cdktfprovideroktapolicyrulemfapropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.priority" id="cdktfprovideroktapolicyrulemfapropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.status" id="cdktfprovideroktapolicyrulemfapropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfa.property.usersExcluded" id="cdktfprovideroktapolicyrulemfapropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicyrulemfapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyRuleMfa.property.tfResourceType" id="cdktfprovideroktapolicyrulemfapropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyRulePassword <a name="@cdktf/provider-okta.PolicyRulePassword" id="cdktfprovideroktapolicyrulepassword"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password okta_policy_rule_password}.

#### Initializers <a name="@cdktf/provider-okta.PolicyRulePassword.Initializer" id="cdktfprovideroktapolicyrulepasswordinitializer"></a>

```typescript
import { PolicyRulePassword } from '@cdktf/provider-okta'

new PolicyRulePassword(scope: Construct, id: string, config: PolicyRulePasswordConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicyrulepasswordparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicyrulepasswordparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicyrulepasswordparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRulePasswordConfig`](#@cdktf/provider-okta.PolicyRulePasswordConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.parameter.scope" id="cdktfprovideroktapolicyrulepasswordparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.parameter.id" id="cdktfprovideroktapolicyrulepasswordparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.parameter.config" id="cdktfprovideroktapolicyrulepasswordparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyRulePasswordConfig`](#@cdktf/provider-okta.PolicyRulePasswordConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktapolicyrulepasswordresetid) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktapolicyrulepasswordresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktapolicyrulepasswordresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktapolicyrulepasswordresetnetworkincludes) | *No description.* |
| [`resetPasswordChange`](#cdktfprovideroktapolicyrulepasswordresetpasswordchange) | *No description.* |
| [`resetPasswordReset`](#cdktfprovideroktapolicyrulepasswordresetpasswordreset) | *No description.* |
| [`resetPasswordUnlock`](#cdktfprovideroktapolicyrulepasswordresetpasswordunlock) | *No description.* |
| [`resetPolicyid`](#cdktfprovideroktapolicyrulepasswordresetpolicyid) | *No description.* |
| [`resetPolicyId`](#cdktfprovideroktapolicyrulepasswordresetpolicyid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapolicyrulepasswordresetpriority) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicyrulepasswordresetstatus) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktapolicyrulepasswordresetusersexcluded) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.PolicyRulePassword.resetId" id="cdktfprovideroktapolicyrulepasswordresetid"></a>

```typescript
public resetId()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.PolicyRulePassword.resetNetworkConnection" id="cdktfprovideroktapolicyrulepasswordresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.PolicyRulePassword.resetNetworkExcludes" id="cdktfprovideroktapolicyrulepasswordresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.PolicyRulePassword.resetNetworkIncludes" id="cdktfprovideroktapolicyrulepasswordresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPasswordChange` <a name="@cdktf/provider-okta.PolicyRulePassword.resetPasswordChange" id="cdktfprovideroktapolicyrulepasswordresetpasswordchange"></a>

```typescript
public resetPasswordChange()
```

##### `resetPasswordReset` <a name="@cdktf/provider-okta.PolicyRulePassword.resetPasswordReset" id="cdktfprovideroktapolicyrulepasswordresetpasswordreset"></a>

```typescript
public resetPasswordReset()
```

##### `resetPasswordUnlock` <a name="@cdktf/provider-okta.PolicyRulePassword.resetPasswordUnlock" id="cdktfprovideroktapolicyrulepasswordresetpasswordunlock"></a>

```typescript
public resetPasswordUnlock()
```

##### `resetPolicyid` <a name="@cdktf/provider-okta.PolicyRulePassword.resetPolicyid" id="cdktfprovideroktapolicyrulepasswordresetpolicyid"></a>

```typescript
public resetPolicyid()
```

##### `resetPolicyId` <a name="@cdktf/provider-okta.PolicyRulePassword.resetPolicyId" id="cdktfprovideroktapolicyrulepasswordresetpolicyid"></a>

```typescript
public resetPolicyId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PolicyRulePassword.resetPriority" id="cdktfprovideroktapolicyrulepasswordresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicyRulePassword.resetStatus" id="cdktfprovideroktapolicyrulepasswordresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.PolicyRulePassword.resetUsersExcluded" id="cdktfprovideroktapolicyrulepasswordresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktapolicyrulepasswordpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyrulepasswordpropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktapolicyrulepasswordpropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktapolicyrulepasswordpropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktapolicyrulepasswordpropertynetworkincludesinput) | `string`[] | *No description.* |
| [`passwordChangeInput`](#cdktfprovideroktapolicyrulepasswordpropertypasswordchangeinput) | `string` | *No description.* |
| [`passwordResetInput`](#cdktfprovideroktapolicyrulepasswordpropertypasswordresetinput) | `string` | *No description.* |
| [`passwordUnlockInput`](#cdktfprovideroktapolicyrulepasswordpropertypasswordunlockinput) | `string` | *No description.* |
| [`policyidInput`](#cdktfprovideroktapolicyrulepasswordpropertypolicyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktapolicyrulepasswordpropertypolicyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktapolicyrulepasswordpropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicyrulepasswordpropertystatusinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktapolicyrulepasswordpropertyusersexcludedinput) | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktapolicyrulepasswordpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulepasswordpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktapolicyrulepasswordpropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktapolicyrulepasswordpropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktapolicyrulepasswordpropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`passwordChange`](#cdktfprovideroktapolicyrulepasswordpropertypasswordchange)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordReset`](#cdktfprovideroktapolicyrulepasswordpropertypasswordreset)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordUnlock`](#cdktfprovideroktapolicyrulepasswordpropertypasswordunlock)<span title="Required">*</span> | `string` | *No description.* |
| [`policyid`](#cdktfprovideroktapolicyrulepasswordpropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyrulepasswordpropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapolicyrulepasswordpropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktapolicyrulepasswordpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktapolicyrulepasswordpropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.idInput" id="cdktfprovideroktapolicyrulepasswordpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.nameInput" id="cdktfprovideroktapolicyrulepasswordpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.networkConnectionInput" id="cdktfprovideroktapolicyrulepasswordpropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.networkExcludesInput" id="cdktfprovideroktapolicyrulepasswordpropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.networkIncludesInput" id="cdktfprovideroktapolicyrulepasswordpropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `passwordChangeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.passwordChangeInput" id="cdktfprovideroktapolicyrulepasswordpropertypasswordchangeinput"></a>

```typescript
public readonly passwordChangeInput: string;
```

- *Type:* `string`

---

##### `passwordResetInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.passwordResetInput" id="cdktfprovideroktapolicyrulepasswordpropertypasswordresetinput"></a>

```typescript
public readonly passwordResetInput: string;
```

- *Type:* `string`

---

##### `passwordUnlockInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.passwordUnlockInput" id="cdktfprovideroktapolicyrulepasswordpropertypasswordunlockinput"></a>

```typescript
public readonly passwordUnlockInput: string;
```

- *Type:* `string`

---

##### `policyidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.policyidInput" id="cdktfprovideroktapolicyrulepasswordpropertypolicyidinput"></a>

```typescript
public readonly policyidInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.policyIdInput" id="cdktfprovideroktapolicyrulepasswordpropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.priorityInput" id="cdktfprovideroktapolicyrulepasswordpropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.statusInput" id="cdktfprovideroktapolicyrulepasswordpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.usersExcludedInput" id="cdktfprovideroktapolicyrulepasswordpropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.id" id="cdktfprovideroktapolicyrulepasswordpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.name" id="cdktfprovideroktapolicyrulepasswordpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.networkConnection" id="cdktfprovideroktapolicyrulepasswordpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.networkExcludes" id="cdktfprovideroktapolicyrulepasswordpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.networkIncludes" id="cdktfprovideroktapolicyrulepasswordpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `passwordChange`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.passwordChange" id="cdktfprovideroktapolicyrulepasswordpropertypasswordchange"></a>

```typescript
public readonly passwordChange: string;
```

- *Type:* `string`

---

##### `passwordReset`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.passwordReset" id="cdktfprovideroktapolicyrulepasswordpropertypasswordreset"></a>

```typescript
public readonly passwordReset: string;
```

- *Type:* `string`

---

##### `passwordUnlock`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.passwordUnlock" id="cdktfprovideroktapolicyrulepasswordpropertypasswordunlock"></a>

```typescript
public readonly passwordUnlock: string;
```

- *Type:* `string`

---

##### `policyid`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.policyid" id="cdktfprovideroktapolicyrulepasswordpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.policyId" id="cdktfprovideroktapolicyrulepasswordpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.priority" id="cdktfprovideroktapolicyrulepasswordpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.status" id="cdktfprovideroktapolicyrulepasswordpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePassword.property.usersExcluded" id="cdktfprovideroktapolicyrulepasswordpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicyrulepasswordpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyRulePassword.property.tfResourceType" id="cdktfprovideroktapolicyrulepasswordpropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyRuleProfileEnrollment <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment" id="cdktfprovideroktapolicyruleprofileenrollment"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment okta_policy_rule_profile_enrollment}.

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.Initializer" id="cdktfprovideroktapolicyruleprofileenrollmentinitializer"></a>

```typescript
import { PolicyRuleProfileEnrollment } from '@cdktf/provider-okta'

new PolicyRuleProfileEnrollment(scope: Construct, id: string, config: PolicyRuleProfileEnrollmentConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicyruleprofileenrollmentparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicyruleprofileenrollmentparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicyruleprofileenrollmentparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.parameter.scope" id="cdktfprovideroktapolicyruleprofileenrollmentparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.parameter.id" id="cdktfprovideroktapolicyruleprofileenrollmentparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.parameter.config" id="cdktfprovideroktapolicyruleprofileenrollmentparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putProfileAttributes`](#cdktfprovideroktapolicyruleprofileenrollmentputprofileattributes) | *No description.* |
| [`resetAccess`](#cdktfprovideroktapolicyruleprofileenrollmentresetaccess) | *No description.* |
| [`resetEmailVerification`](#cdktfprovideroktapolicyruleprofileenrollmentresetemailverification) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicyruleprofileenrollmentresetid) | *No description.* |
| [`resetInlineHookId`](#cdktfprovideroktapolicyruleprofileenrollmentresetinlinehookid) | *No description.* |
| [`resetProfileAttributes`](#cdktfprovideroktapolicyruleprofileenrollmentresetprofileattributes) | *No description.* |
| [`resetTargetGroupId`](#cdktfprovideroktapolicyruleprofileenrollmentresettargetgroupid) | *No description.* |

---

##### `putProfileAttributes` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.putProfileAttributes" id="cdktfprovideroktapolicyruleprofileenrollmentputprofileattributes"></a>

```typescript
public putProfileAttributes(value: IResolvable | PolicyRuleProfileEnrollmentProfileAttributes[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.parameter.value" id="cdktfprovideroktapolicyruleprofileenrollmentparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)[]

---

##### `resetAccess` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.resetAccess" id="cdktfprovideroktapolicyruleprofileenrollmentresetaccess"></a>

```typescript
public resetAccess()
```

##### `resetEmailVerification` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.resetEmailVerification" id="cdktfprovideroktapolicyruleprofileenrollmentresetemailverification"></a>

```typescript
public resetEmailVerification()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.resetId" id="cdktfprovideroktapolicyruleprofileenrollmentresetid"></a>

```typescript
public resetId()
```

##### `resetInlineHookId` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.resetInlineHookId" id="cdktfprovideroktapolicyruleprofileenrollmentresetinlinehookid"></a>

```typescript
public resetInlineHookId()
```

##### `resetProfileAttributes` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.resetProfileAttributes" id="cdktfprovideroktapolicyruleprofileenrollmentresetprofileattributes"></a>

```typescript
public resetProfileAttributes()
```

##### `resetTargetGroupId` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.resetTargetGroupId" id="cdktfprovideroktapolicyruleprofileenrollmentresettargetgroupid"></a>

```typescript
public resetTargetGroupId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`name`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`profileAttributes`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyprofileattributes)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList) | *No description.* |
| [`status`](#cdktfprovideroktapolicyruleprofileenrollmentpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`accessInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyaccessinput) | `string` | *No description.* |
| [`emailVerificationInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyemailverificationinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyidinput) | `string` | *No description.* |
| [`inlineHookIdInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyinlinehookidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertypolicyidinput) | `string` | *No description.* |
| [`profileAttributesInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyprofileattributesinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)[] | *No description.* |
| [`targetGroupIdInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertytargetgroupidinput) | `string` | *No description.* |
| [`unknownUserActionInput`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyunknownuseractioninput) | `string` | *No description.* |
| [`access`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyaccess)<span title="Required">*</span> | `string` | *No description.* |
| [`emailVerification`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyemailverification)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`inlineHookId`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyinlinehookid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyruleprofileenrollmentpropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`targetGroupId`](#cdktfprovideroktapolicyruleprofileenrollmentpropertytargetgroupid)<span title="Required">*</span> | `string` | *No description.* |
| [`unknownUserAction`](#cdktfprovideroktapolicyruleprofileenrollmentpropertyunknownuseraction)<span title="Required">*</span> | `string` | *No description.* |

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.name" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `profileAttributes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.profileAttributes" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyprofileattributes"></a>

```typescript
public readonly profileAttributes: PolicyRuleProfileEnrollmentProfileAttributesList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.status" id="cdktfprovideroktapolicyruleprofileenrollmentpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `accessInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.accessInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyaccessinput"></a>

```typescript
public readonly accessInput: string;
```

- *Type:* `string`

---

##### `emailVerificationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.emailVerificationInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyemailverificationinput"></a>

```typescript
public readonly emailVerificationInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.idInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `inlineHookIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.inlineHookIdInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyinlinehookidinput"></a>

```typescript
public readonly inlineHookIdInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.policyIdInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `profileAttributesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.profileAttributesInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyprofileattributesinput"></a>

```typescript
public readonly profileAttributesInput: IResolvable | PolicyRuleProfileEnrollmentProfileAttributes[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)[]

---

##### `targetGroupIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.targetGroupIdInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertytargetgroupidinput"></a>

```typescript
public readonly targetGroupIdInput: string;
```

- *Type:* `string`

---

##### `unknownUserActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.unknownUserActionInput" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyunknownuseractioninput"></a>

```typescript
public readonly unknownUserActionInput: string;
```

- *Type:* `string`

---

##### `access`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.access" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

---

##### `emailVerification`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.emailVerification" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyemailverification"></a>

```typescript
public readonly emailVerification: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.id" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `inlineHookId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.inlineHookId" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.policyId" id="cdktfprovideroktapolicyruleprofileenrollmentpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `targetGroupId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.targetGroupId" id="cdktfprovideroktapolicyruleprofileenrollmentpropertytargetgroupid"></a>

```typescript
public readonly targetGroupId: string;
```

- *Type:* `string`

---

##### `unknownUserAction`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.unknownUserAction" id="cdktfprovideroktapolicyruleprofileenrollmentpropertyunknownuseraction"></a>

```typescript
public readonly unknownUserAction: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicyruleprofileenrollmentpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollment.property.tfResourceType" id="cdktfprovideroktapolicyruleprofileenrollmentpropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicyRuleSignon <a name="@cdktf/provider-okta.PolicyRuleSignon" id="cdktfprovideroktapolicyrulesignon"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon okta_policy_rule_signon}.

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleSignon.Initializer" id="cdktfprovideroktapolicyrulesignoninitializer"></a>

```typescript
import { PolicyRuleSignon } from '@cdktf/provider-okta'

new PolicyRuleSignon(scope: Construct, id: string, config: PolicyRuleSignonConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicyrulesignonparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicyrulesignonparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicyrulesignonparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleSignonConfig`](#@cdktf/provider-okta.PolicyRuleSignonConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.parameter.scope" id="cdktfprovideroktapolicyrulesignonparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.parameter.id" id="cdktfprovideroktapolicyrulesignonparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.parameter.config" id="cdktfprovideroktapolicyrulesignonparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicyRuleSignonConfig`](#@cdktf/provider-okta.PolicyRuleSignonConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putFactorSequence`](#cdktfprovideroktapolicyrulesignonputfactorsequence) | *No description.* |
| [`resetAccess`](#cdktfprovideroktapolicyrulesignonresetaccess) | *No description.* |
| [`resetAuthtype`](#cdktfprovideroktapolicyrulesignonresetauthtype) | *No description.* |
| [`resetBehaviors`](#cdktfprovideroktapolicyrulesignonresetbehaviors) | *No description.* |
| [`resetFactorSequence`](#cdktfprovideroktapolicyrulesignonresetfactorsequence) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicyrulesignonresetid) | *No description.* |
| [`resetIdentityProvider`](#cdktfprovideroktapolicyrulesignonresetidentityprovider) | *No description.* |
| [`resetIdentityProviderIds`](#cdktfprovideroktapolicyrulesignonresetidentityproviderids) | *No description.* |
| [`resetMfaLifetime`](#cdktfprovideroktapolicyrulesignonresetmfalifetime) | *No description.* |
| [`resetMfaPrompt`](#cdktfprovideroktapolicyrulesignonresetmfaprompt) | *No description.* |
| [`resetMfaRememberDevice`](#cdktfprovideroktapolicyrulesignonresetmfarememberdevice) | *No description.* |
| [`resetMfaRequired`](#cdktfprovideroktapolicyrulesignonresetmfarequired) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktapolicyrulesignonresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktapolicyrulesignonresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktapolicyrulesignonresetnetworkincludes) | *No description.* |
| [`resetPolicyid`](#cdktfprovideroktapolicyrulesignonresetpolicyid) | *No description.* |
| [`resetPolicyId`](#cdktfprovideroktapolicyrulesignonresetpolicyid) | *No description.* |
| [`resetPrimaryFactor`](#cdktfprovideroktapolicyrulesignonresetprimaryfactor) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapolicyrulesignonresetpriority) | *No description.* |
| [`resetRiscLevel`](#cdktfprovideroktapolicyrulesignonresetrisclevel) | *No description.* |
| [`resetSessionIdle`](#cdktfprovideroktapolicyrulesignonresetsessionidle) | *No description.* |
| [`resetSessionLifetime`](#cdktfprovideroktapolicyrulesignonresetsessionlifetime) | *No description.* |
| [`resetSessionPersistent`](#cdktfprovideroktapolicyrulesignonresetsessionpersistent) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicyrulesignonresetstatus) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktapolicyrulesignonresetusersexcluded) | *No description.* |

---

##### `putFactorSequence` <a name="@cdktf/provider-okta.PolicyRuleSignon.putFactorSequence" id="cdktfprovideroktapolicyrulesignonputfactorsequence"></a>

```typescript
public putFactorSequence(value: IResolvable | PolicyRuleSignonFactorSequence[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.parameter.value" id="cdktfprovideroktapolicyrulesignonparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)[]

---

##### `resetAccess` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetAccess" id="cdktfprovideroktapolicyrulesignonresetaccess"></a>

```typescript
public resetAccess()
```

##### `resetAuthtype` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetAuthtype" id="cdktfprovideroktapolicyrulesignonresetauthtype"></a>

```typescript
public resetAuthtype()
```

##### `resetBehaviors` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetBehaviors" id="cdktfprovideroktapolicyrulesignonresetbehaviors"></a>

```typescript
public resetBehaviors()
```

##### `resetFactorSequence` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetFactorSequence" id="cdktfprovideroktapolicyrulesignonresetfactorsequence"></a>

```typescript
public resetFactorSequence()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetId" id="cdktfprovideroktapolicyrulesignonresetid"></a>

```typescript
public resetId()
```

##### `resetIdentityProvider` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetIdentityProvider" id="cdktfprovideroktapolicyrulesignonresetidentityprovider"></a>

```typescript
public resetIdentityProvider()
```

##### `resetIdentityProviderIds` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetIdentityProviderIds" id="cdktfprovideroktapolicyrulesignonresetidentityproviderids"></a>

```typescript
public resetIdentityProviderIds()
```

##### `resetMfaLifetime` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetMfaLifetime" id="cdktfprovideroktapolicyrulesignonresetmfalifetime"></a>

```typescript
public resetMfaLifetime()
```

##### `resetMfaPrompt` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetMfaPrompt" id="cdktfprovideroktapolicyrulesignonresetmfaprompt"></a>

```typescript
public resetMfaPrompt()
```

##### `resetMfaRememberDevice` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetMfaRememberDevice" id="cdktfprovideroktapolicyrulesignonresetmfarememberdevice"></a>

```typescript
public resetMfaRememberDevice()
```

##### `resetMfaRequired` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetMfaRequired" id="cdktfprovideroktapolicyrulesignonresetmfarequired"></a>

```typescript
public resetMfaRequired()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetNetworkConnection" id="cdktfprovideroktapolicyrulesignonresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetNetworkExcludes" id="cdktfprovideroktapolicyrulesignonresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetNetworkIncludes" id="cdktfprovideroktapolicyrulesignonresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPolicyid` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetPolicyid" id="cdktfprovideroktapolicyrulesignonresetpolicyid"></a>

```typescript
public resetPolicyid()
```

##### `resetPolicyId` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetPolicyId" id="cdktfprovideroktapolicyrulesignonresetpolicyid"></a>

```typescript
public resetPolicyId()
```

##### `resetPrimaryFactor` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetPrimaryFactor" id="cdktfprovideroktapolicyrulesignonresetprimaryfactor"></a>

```typescript
public resetPrimaryFactor()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetPriority" id="cdktfprovideroktapolicyrulesignonresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetRiscLevel` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetRiscLevel" id="cdktfprovideroktapolicyrulesignonresetrisclevel"></a>

```typescript
public resetRiscLevel()
```

##### `resetSessionIdle` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetSessionIdle" id="cdktfprovideroktapolicyrulesignonresetsessionidle"></a>

```typescript
public resetSessionIdle()
```

##### `resetSessionLifetime` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetSessionLifetime" id="cdktfprovideroktapolicyrulesignonresetsessionlifetime"></a>

```typescript
public resetSessionLifetime()
```

##### `resetSessionPersistent` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetSessionPersistent" id="cdktfprovideroktapolicyrulesignonresetsessionpersistent"></a>

```typescript
public resetSessionPersistent()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetStatus" id="cdktfprovideroktapolicyrulesignonresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.PolicyRuleSignon.resetUsersExcluded" id="cdktfprovideroktapolicyrulesignonresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`factorSequence`](#cdktfprovideroktapolicyrulesignonpropertyfactorsequence)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList) | *No description.* |
| [`accessInput`](#cdktfprovideroktapolicyrulesignonpropertyaccessinput) | `string` | *No description.* |
| [`authtypeInput`](#cdktfprovideroktapolicyrulesignonpropertyauthtypeinput) | `string` | *No description.* |
| [`behaviorsInput`](#cdktfprovideroktapolicyrulesignonpropertybehaviorsinput) | `string`[] | *No description.* |
| [`factorSequenceInput`](#cdktfprovideroktapolicyrulesignonpropertyfactorsequenceinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)[] | *No description.* |
| [`identityProviderIdsInput`](#cdktfprovideroktapolicyrulesignonpropertyidentityprovideridsinput) | `string`[] | *No description.* |
| [`identityProviderInput`](#cdktfprovideroktapolicyrulesignonpropertyidentityproviderinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktapolicyrulesignonpropertyidinput) | `string` | *No description.* |
| [`mfaLifetimeInput`](#cdktfprovideroktapolicyrulesignonpropertymfalifetimeinput) | `number` | *No description.* |
| [`mfaPromptInput`](#cdktfprovideroktapolicyrulesignonpropertymfapromptinput) | `string` | *No description.* |
| [`mfaRememberDeviceInput`](#cdktfprovideroktapolicyrulesignonpropertymfarememberdeviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`mfaRequiredInput`](#cdktfprovideroktapolicyrulesignonpropertymfarequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyrulesignonpropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktapolicyrulesignonpropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktapolicyrulesignonpropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktapolicyrulesignonpropertynetworkincludesinput) | `string`[] | *No description.* |
| [`policyidInput`](#cdktfprovideroktapolicyrulesignonpropertypolicyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktapolicyrulesignonpropertypolicyidinput) | `string` | *No description.* |
| [`primaryFactorInput`](#cdktfprovideroktapolicyrulesignonpropertyprimaryfactorinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktapolicyrulesignonpropertypriorityinput) | `number` | *No description.* |
| [`riscLevelInput`](#cdktfprovideroktapolicyrulesignonpropertyrisclevelinput) | `string` | *No description.* |
| [`sessionIdleInput`](#cdktfprovideroktapolicyrulesignonpropertysessionidleinput) | `number` | *No description.* |
| [`sessionLifetimeInput`](#cdktfprovideroktapolicyrulesignonpropertysessionlifetimeinput) | `number` | *No description.* |
| [`sessionPersistentInput`](#cdktfprovideroktapolicyrulesignonpropertysessionpersistentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicyrulesignonpropertystatusinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktapolicyrulesignonpropertyusersexcludedinput) | `string`[] | *No description.* |
| [`access`](#cdktfprovideroktapolicyrulesignonpropertyaccess)<span title="Required">*</span> | `string` | *No description.* |
| [`authtype`](#cdktfprovideroktapolicyrulesignonpropertyauthtype)<span title="Required">*</span> | `string` | *No description.* |
| [`behaviors`](#cdktfprovideroktapolicyrulesignonpropertybehaviors)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktapolicyrulesignonpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`identityProvider`](#cdktfprovideroktapolicyrulesignonpropertyidentityprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`identityProviderIds`](#cdktfprovideroktapolicyrulesignonpropertyidentityproviderids)<span title="Required">*</span> | `string`[] | *No description.* |
| [`mfaLifetime`](#cdktfprovideroktapolicyrulesignonpropertymfalifetime)<span title="Required">*</span> | `number` | *No description.* |
| [`mfaPrompt`](#cdktfprovideroktapolicyrulesignonpropertymfaprompt)<span title="Required">*</span> | `string` | *No description.* |
| [`mfaRememberDevice`](#cdktfprovideroktapolicyrulesignonpropertymfarememberdevice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`mfaRequired`](#cdktfprovideroktapolicyrulesignonpropertymfarequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulesignonpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktapolicyrulesignonpropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktapolicyrulesignonpropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktapolicyrulesignonpropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`policyid`](#cdktfprovideroktapolicyrulesignonpropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyrulesignonpropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryFactor`](#cdktfprovideroktapolicyrulesignonpropertyprimaryfactor)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapolicyrulesignonpropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`riscLevel`](#cdktfprovideroktapolicyrulesignonpropertyrisclevel)<span title="Required">*</span> | `string` | *No description.* |
| [`sessionIdle`](#cdktfprovideroktapolicyrulesignonpropertysessionidle)<span title="Required">*</span> | `number` | *No description.* |
| [`sessionLifetime`](#cdktfprovideroktapolicyrulesignonpropertysessionlifetime)<span title="Required">*</span> | `number` | *No description.* |
| [`sessionPersistent`](#cdktfprovideroktapolicyrulesignonpropertysessionpersistent)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktapolicyrulesignonpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktapolicyrulesignonpropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `factorSequence`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.factorSequence" id="cdktfprovideroktapolicyrulesignonpropertyfactorsequence"></a>

```typescript
public readonly factorSequence: PolicyRuleSignonFactorSequenceList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList)

---

##### `accessInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.accessInput" id="cdktfprovideroktapolicyrulesignonpropertyaccessinput"></a>

```typescript
public readonly accessInput: string;
```

- *Type:* `string`

---

##### `authtypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.authtypeInput" id="cdktfprovideroktapolicyrulesignonpropertyauthtypeinput"></a>

```typescript
public readonly authtypeInput: string;
```

- *Type:* `string`

---

##### `behaviorsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.behaviorsInput" id="cdktfprovideroktapolicyrulesignonpropertybehaviorsinput"></a>

```typescript
public readonly behaviorsInput: string[];
```

- *Type:* `string`[]

---

##### `factorSequenceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.factorSequenceInput" id="cdktfprovideroktapolicyrulesignonpropertyfactorsequenceinput"></a>

```typescript
public readonly factorSequenceInput: IResolvable | PolicyRuleSignonFactorSequence[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)[]

---

##### `identityProviderIdsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.identityProviderIdsInput" id="cdktfprovideroktapolicyrulesignonpropertyidentityprovideridsinput"></a>

```typescript
public readonly identityProviderIdsInput: string[];
```

- *Type:* `string`[]

---

##### `identityProviderInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.identityProviderInput" id="cdktfprovideroktapolicyrulesignonpropertyidentityproviderinput"></a>

```typescript
public readonly identityProviderInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.idInput" id="cdktfprovideroktapolicyrulesignonpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `mfaLifetimeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaLifetimeInput" id="cdktfprovideroktapolicyrulesignonpropertymfalifetimeinput"></a>

```typescript
public readonly mfaLifetimeInput: number;
```

- *Type:* `number`

---

##### `mfaPromptInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaPromptInput" id="cdktfprovideroktapolicyrulesignonpropertymfapromptinput"></a>

```typescript
public readonly mfaPromptInput: string;
```

- *Type:* `string`

---

##### `mfaRememberDeviceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaRememberDeviceInput" id="cdktfprovideroktapolicyrulesignonpropertymfarememberdeviceinput"></a>

```typescript
public readonly mfaRememberDeviceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `mfaRequiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaRequiredInput" id="cdktfprovideroktapolicyrulesignonpropertymfarequiredinput"></a>

```typescript
public readonly mfaRequiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.nameInput" id="cdktfprovideroktapolicyrulesignonpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.networkConnectionInput" id="cdktfprovideroktapolicyrulesignonpropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.networkExcludesInput" id="cdktfprovideroktapolicyrulesignonpropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.networkIncludesInput" id="cdktfprovideroktapolicyrulesignonpropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `policyidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.policyidInput" id="cdktfprovideroktapolicyrulesignonpropertypolicyidinput"></a>

```typescript
public readonly policyidInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.policyIdInput" id="cdktfprovideroktapolicyrulesignonpropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `primaryFactorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.primaryFactorInput" id="cdktfprovideroktapolicyrulesignonpropertyprimaryfactorinput"></a>

```typescript
public readonly primaryFactorInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.priorityInput" id="cdktfprovideroktapolicyrulesignonpropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `riscLevelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.riscLevelInput" id="cdktfprovideroktapolicyrulesignonpropertyrisclevelinput"></a>

```typescript
public readonly riscLevelInput: string;
```

- *Type:* `string`

---

##### `sessionIdleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.sessionIdleInput" id="cdktfprovideroktapolicyrulesignonpropertysessionidleinput"></a>

```typescript
public readonly sessionIdleInput: number;
```

- *Type:* `number`

---

##### `sessionLifetimeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.sessionLifetimeInput" id="cdktfprovideroktapolicyrulesignonpropertysessionlifetimeinput"></a>

```typescript
public readonly sessionLifetimeInput: number;
```

- *Type:* `number`

---

##### `sessionPersistentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.sessionPersistentInput" id="cdktfprovideroktapolicyrulesignonpropertysessionpersistentinput"></a>

```typescript
public readonly sessionPersistentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.statusInput" id="cdktfprovideroktapolicyrulesignonpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.usersExcludedInput" id="cdktfprovideroktapolicyrulesignonpropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `access`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.access" id="cdktfprovideroktapolicyrulesignonpropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

---

##### `authtype`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.authtype" id="cdktfprovideroktapolicyrulesignonpropertyauthtype"></a>

```typescript
public readonly authtype: string;
```

- *Type:* `string`

---

##### `behaviors`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.behaviors" id="cdktfprovideroktapolicyrulesignonpropertybehaviors"></a>

```typescript
public readonly behaviors: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.id" id="cdktfprovideroktapolicyrulesignonpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `identityProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.identityProvider" id="cdktfprovideroktapolicyrulesignonpropertyidentityprovider"></a>

```typescript
public readonly identityProvider: string;
```

- *Type:* `string`

---

##### `identityProviderIds`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.identityProviderIds" id="cdktfprovideroktapolicyrulesignonpropertyidentityproviderids"></a>

```typescript
public readonly identityProviderIds: string[];
```

- *Type:* `string`[]

---

##### `mfaLifetime`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaLifetime" id="cdktfprovideroktapolicyrulesignonpropertymfalifetime"></a>

```typescript
public readonly mfaLifetime: number;
```

- *Type:* `number`

---

##### `mfaPrompt`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaPrompt" id="cdktfprovideroktapolicyrulesignonpropertymfaprompt"></a>

```typescript
public readonly mfaPrompt: string;
```

- *Type:* `string`

---

##### `mfaRememberDevice`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaRememberDevice" id="cdktfprovideroktapolicyrulesignonpropertymfarememberdevice"></a>

```typescript
public readonly mfaRememberDevice: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `mfaRequired`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.mfaRequired" id="cdktfprovideroktapolicyrulesignonpropertymfarequired"></a>

```typescript
public readonly mfaRequired: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.name" id="cdktfprovideroktapolicyrulesignonpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.networkConnection" id="cdktfprovideroktapolicyrulesignonpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.networkExcludes" id="cdktfprovideroktapolicyrulesignonpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.networkIncludes" id="cdktfprovideroktapolicyrulesignonpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `policyid`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.policyid" id="cdktfprovideroktapolicyrulesignonpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.policyId" id="cdktfprovideroktapolicyrulesignonpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `primaryFactor`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.primaryFactor" id="cdktfprovideroktapolicyrulesignonpropertyprimaryfactor"></a>

```typescript
public readonly primaryFactor: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.priority" id="cdktfprovideroktapolicyrulesignonpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `riscLevel`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.riscLevel" id="cdktfprovideroktapolicyrulesignonpropertyrisclevel"></a>

```typescript
public readonly riscLevel: string;
```

- *Type:* `string`

---

##### `sessionIdle`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.sessionIdle" id="cdktfprovideroktapolicyrulesignonpropertysessionidle"></a>

```typescript
public readonly sessionIdle: number;
```

- *Type:* `number`

---

##### `sessionLifetime`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.sessionLifetime" id="cdktfprovideroktapolicyrulesignonpropertysessionlifetime"></a>

```typescript
public readonly sessionLifetime: number;
```

- *Type:* `number`

---

##### `sessionPersistent`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.sessionPersistent" id="cdktfprovideroktapolicyrulesignonpropertysessionpersistent"></a>

```typescript
public readonly sessionPersistent: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.status" id="cdktfprovideroktapolicyrulesignonpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignon.property.usersExcluded" id="cdktfprovideroktapolicyrulesignonpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicyrulesignonpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicyRuleSignon.property.tfResourceType" id="cdktfprovideroktapolicyrulesignonpropertytfresourcetype"></a>

- *Type:* `string`

---

### PolicySignon <a name="@cdktf/provider-okta.PolicySignon" id="cdktfprovideroktapolicysignon"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/policy_signon okta_policy_signon}.

#### Initializers <a name="@cdktf/provider-okta.PolicySignon.Initializer" id="cdktfprovideroktapolicysignoninitializer"></a>

```typescript
import { PolicySignon } from '@cdktf/provider-okta'

new PolicySignon(scope: Construct, id: string, config: PolicySignonConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktapolicysignonparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktapolicysignonparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktapolicysignonparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicySignonConfig`](#@cdktf/provider-okta.PolicySignonConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.parameter.scope" id="cdktfprovideroktapolicysignonparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.parameter.id" id="cdktfprovideroktapolicysignonparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.parameter.config" id="cdktfprovideroktapolicysignonparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.PolicySignonConfig`](#@cdktf/provider-okta.PolicySignonConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDescription`](#cdktfprovideroktapolicysignonresetdescription) | *No description.* |
| [`resetGroupsIncluded`](#cdktfprovideroktapolicysignonresetgroupsincluded) | *No description.* |
| [`resetId`](#cdktfprovideroktapolicysignonresetid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktapolicysignonresetpriority) | *No description.* |
| [`resetStatus`](#cdktfprovideroktapolicysignonresetstatus) | *No description.* |

---

##### `resetDescription` <a name="@cdktf/provider-okta.PolicySignon.resetDescription" id="cdktfprovideroktapolicysignonresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetGroupsIncluded` <a name="@cdktf/provider-okta.PolicySignon.resetGroupsIncluded" id="cdktfprovideroktapolicysignonresetgroupsincluded"></a>

```typescript
public resetGroupsIncluded()
```

##### `resetId` <a name="@cdktf/provider-okta.PolicySignon.resetId" id="cdktfprovideroktapolicysignonresetid"></a>

```typescript
public resetId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.PolicySignon.resetPriority" id="cdktfprovideroktapolicysignonresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetStatus` <a name="@cdktf/provider-okta.PolicySignon.resetStatus" id="cdktfprovideroktapolicysignonresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktapolicysignonpropertydescriptioninput) | `string` | *No description.* |
| [`groupsIncludedInput`](#cdktfprovideroktapolicysignonpropertygroupsincludedinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktapolicysignonpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicysignonpropertynameinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktapolicysignonpropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktapolicysignonpropertystatusinput) | `string` | *No description.* |
| [`description`](#cdktfprovideroktapolicysignonpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsIncluded`](#cdktfprovideroktapolicysignonpropertygroupsincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktapolicysignonpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicysignonpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktapolicysignonpropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktapolicysignonpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignon.property.descriptionInput" id="cdktfprovideroktapolicysignonpropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `groupsIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignon.property.groupsIncludedInput" id="cdktfprovideroktapolicysignonpropertygroupsincludedinput"></a>

```typescript
public readonly groupsIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignon.property.idInput" id="cdktfprovideroktapolicysignonpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignon.property.nameInput" id="cdktfprovideroktapolicysignonpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignon.property.priorityInput" id="cdktfprovideroktapolicysignonpropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignon.property.statusInput" id="cdktfprovideroktapolicysignonpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.property.description" id="cdktfprovideroktapolicysignonpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `groupsIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.property.groupsIncluded" id="cdktfprovideroktapolicysignonpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.property.id" id="cdktfprovideroktapolicysignonpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.property.name" id="cdktfprovideroktapolicysignonpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.property.priority" id="cdktfprovideroktapolicysignonpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignon.property.status" id="cdktfprovideroktapolicysignonpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktapolicysignonpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.PolicySignon.property.tfResourceType" id="cdktfprovideroktapolicysignonpropertytfresourcetype"></a>

- *Type:* `string`

---

### ProfileMapping <a name="@cdktf/provider-okta.ProfileMapping" id="cdktfprovideroktaprofilemapping"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping okta_profile_mapping}.

#### Initializers <a name="@cdktf/provider-okta.ProfileMapping.Initializer" id="cdktfprovideroktaprofilemappinginitializer"></a>

```typescript
import { ProfileMapping } from '@cdktf/provider-okta'

new ProfileMapping(scope: Construct, id: string, config: ProfileMappingConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaprofilemappingparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaprofilemappingparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaprofilemappingparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.ProfileMappingConfig`](#@cdktf/provider-okta.ProfileMappingConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.parameter.scope" id="cdktfprovideroktaprofilemappingparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.parameter.id" id="cdktfprovideroktaprofilemappingparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.parameter.config" id="cdktfprovideroktaprofilemappingparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.ProfileMappingConfig`](#@cdktf/provider-okta.ProfileMappingConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putMappings`](#cdktfprovideroktaprofilemappingputmappings) | *No description.* |
| [`resetAlwaysApply`](#cdktfprovideroktaprofilemappingresetalwaysapply) | *No description.* |
| [`resetDeleteWhenAbsent`](#cdktfprovideroktaprofilemappingresetdeletewhenabsent) | *No description.* |
| [`resetId`](#cdktfprovideroktaprofilemappingresetid) | *No description.* |
| [`resetMappings`](#cdktfprovideroktaprofilemappingresetmappings) | *No description.* |

---

##### `putMappings` <a name="@cdktf/provider-okta.ProfileMapping.putMappings" id="cdktfprovideroktaprofilemappingputmappings"></a>

```typescript
public putMappings(value: IResolvable | ProfileMappingMappings[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.parameter.value" id="cdktfprovideroktaprofilemappingparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)[]

---

##### `resetAlwaysApply` <a name="@cdktf/provider-okta.ProfileMapping.resetAlwaysApply" id="cdktfprovideroktaprofilemappingresetalwaysapply"></a>

```typescript
public resetAlwaysApply()
```

##### `resetDeleteWhenAbsent` <a name="@cdktf/provider-okta.ProfileMapping.resetDeleteWhenAbsent" id="cdktfprovideroktaprofilemappingresetdeletewhenabsent"></a>

```typescript
public resetDeleteWhenAbsent()
```

##### `resetId` <a name="@cdktf/provider-okta.ProfileMapping.resetId" id="cdktfprovideroktaprofilemappingresetid"></a>

```typescript
public resetId()
```

##### `resetMappings` <a name="@cdktf/provider-okta.ProfileMapping.resetMappings" id="cdktfprovideroktaprofilemappingresetmappings"></a>

```typescript
public resetMappings()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`mappings`](#cdktfprovideroktaprofilemappingpropertymappings)<span title="Required">*</span> | [`@cdktf/provider-okta.ProfileMappingMappingsList`](#@cdktf/provider-okta.ProfileMappingMappingsList) | *No description.* |
| [`sourceName`](#cdktfprovideroktaprofilemappingpropertysourcename)<span title="Required">*</span> | `string` | *No description.* |
| [`sourceType`](#cdktfprovideroktaprofilemappingpropertysourcetype)<span title="Required">*</span> | `string` | *No description.* |
| [`targetName`](#cdktfprovideroktaprofilemappingpropertytargetname)<span title="Required">*</span> | `string` | *No description.* |
| [`targetType`](#cdktfprovideroktaprofilemappingpropertytargettype)<span title="Required">*</span> | `string` | *No description.* |
| [`alwaysApplyInput`](#cdktfprovideroktaprofilemappingpropertyalwaysapplyinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`deleteWhenAbsentInput`](#cdktfprovideroktaprofilemappingpropertydeletewhenabsentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaprofilemappingpropertyidinput) | `string` | *No description.* |
| [`mappingsInput`](#cdktfprovideroktaprofilemappingpropertymappingsinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)[] | *No description.* |
| [`sourceIdInput`](#cdktfprovideroktaprofilemappingpropertysourceidinput) | `string` | *No description.* |
| [`targetIdInput`](#cdktfprovideroktaprofilemappingpropertytargetidinput) | `string` | *No description.* |
| [`alwaysApply`](#cdktfprovideroktaprofilemappingpropertyalwaysapply)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`deleteWhenAbsent`](#cdktfprovideroktaprofilemappingpropertydeletewhenabsent)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaprofilemappingpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`sourceId`](#cdktfprovideroktaprofilemappingpropertysourceid)<span title="Required">*</span> | `string` | *No description.* |
| [`targetId`](#cdktfprovideroktaprofilemappingpropertytargetid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `mappings`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.mappings" id="cdktfprovideroktaprofilemappingpropertymappings"></a>

```typescript
public readonly mappings: ProfileMappingMappingsList;
```

- *Type:* [`@cdktf/provider-okta.ProfileMappingMappingsList`](#@cdktf/provider-okta.ProfileMappingMappingsList)

---

##### `sourceName`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.sourceName" id="cdktfprovideroktaprofilemappingpropertysourcename"></a>

```typescript
public readonly sourceName: string;
```

- *Type:* `string`

---

##### `sourceType`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.sourceType" id="cdktfprovideroktaprofilemappingpropertysourcetype"></a>

```typescript
public readonly sourceType: string;
```

- *Type:* `string`

---

##### `targetName`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.targetName" id="cdktfprovideroktaprofilemappingpropertytargetname"></a>

```typescript
public readonly targetName: string;
```

- *Type:* `string`

---

##### `targetType`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.targetType" id="cdktfprovideroktaprofilemappingpropertytargettype"></a>

```typescript
public readonly targetType: string;
```

- *Type:* `string`

---

##### `alwaysApplyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.alwaysApplyInput" id="cdktfprovideroktaprofilemappingpropertyalwaysapplyinput"></a>

```typescript
public readonly alwaysApplyInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `deleteWhenAbsentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.deleteWhenAbsentInput" id="cdktfprovideroktaprofilemappingpropertydeletewhenabsentinput"></a>

```typescript
public readonly deleteWhenAbsentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.idInput" id="cdktfprovideroktaprofilemappingpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `mappingsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.mappingsInput" id="cdktfprovideroktaprofilemappingpropertymappingsinput"></a>

```typescript
public readonly mappingsInput: IResolvable | ProfileMappingMappings[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)[]

---

##### `sourceIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.sourceIdInput" id="cdktfprovideroktaprofilemappingpropertysourceidinput"></a>

```typescript
public readonly sourceIdInput: string;
```

- *Type:* `string`

---

##### `targetIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.targetIdInput" id="cdktfprovideroktaprofilemappingpropertytargetidinput"></a>

```typescript
public readonly targetIdInput: string;
```

- *Type:* `string`

---

##### `alwaysApply`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.alwaysApply" id="cdktfprovideroktaprofilemappingpropertyalwaysapply"></a>

```typescript
public readonly alwaysApply: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `deleteWhenAbsent`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.deleteWhenAbsent" id="cdktfprovideroktaprofilemappingpropertydeletewhenabsent"></a>

```typescript
public readonly deleteWhenAbsent: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.id" id="cdktfprovideroktaprofilemappingpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `sourceId`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.sourceId" id="cdktfprovideroktaprofilemappingpropertysourceid"></a>

```typescript
public readonly sourceId: string;
```

- *Type:* `string`

---

##### `targetId`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMapping.property.targetId" id="cdktfprovideroktaprofilemappingpropertytargetid"></a>

```typescript
public readonly targetId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaprofilemappingpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.ProfileMapping.property.tfResourceType" id="cdktfprovideroktaprofilemappingpropertytfresourcetype"></a>

- *Type:* `string`

---

### RateLimiting <a name="@cdktf/provider-okta.RateLimiting" id="cdktfprovideroktaratelimiting"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/rate_limiting okta_rate_limiting}.

#### Initializers <a name="@cdktf/provider-okta.RateLimiting.Initializer" id="cdktfprovideroktaratelimitinginitializer"></a>

```typescript
import { RateLimiting } from '@cdktf/provider-okta'

new RateLimiting(scope: Construct, id: string, config: RateLimitingConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaratelimitingparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaratelimitingparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaratelimitingparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.RateLimitingConfig`](#@cdktf/provider-okta.RateLimitingConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimiting.parameter.scope" id="cdktfprovideroktaratelimitingparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimiting.parameter.id" id="cdktfprovideroktaratelimitingparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimiting.parameter.config" id="cdktfprovideroktaratelimitingparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.RateLimitingConfig`](#@cdktf/provider-okta.RateLimitingConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetCommunicationsEnabled`](#cdktfprovideroktaratelimitingresetcommunicationsenabled) | *No description.* |
| [`resetId`](#cdktfprovideroktaratelimitingresetid) | *No description.* |

---

##### `resetCommunicationsEnabled` <a name="@cdktf/provider-okta.RateLimiting.resetCommunicationsEnabled" id="cdktfprovideroktaratelimitingresetcommunicationsenabled"></a>

```typescript
public resetCommunicationsEnabled()
```

##### `resetId` <a name="@cdktf/provider-okta.RateLimiting.resetId" id="cdktfprovideroktaratelimitingresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`authorizeInput`](#cdktfprovideroktaratelimitingpropertyauthorizeinput) | `string` | *No description.* |
| [`communicationsEnabledInput`](#cdktfprovideroktaratelimitingpropertycommunicationsenabledinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaratelimitingpropertyidinput) | `string` | *No description.* |
| [`loginInput`](#cdktfprovideroktaratelimitingpropertylogininput) | `string` | *No description.* |
| [`authorize`](#cdktfprovideroktaratelimitingpropertyauthorize)<span title="Required">*</span> | `string` | *No description.* |
| [`communicationsEnabled`](#cdktfprovideroktaratelimitingpropertycommunicationsenabled)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaratelimitingpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`login`](#cdktfprovideroktaratelimitingpropertylogin)<span title="Required">*</span> | `string` | *No description.* |

---

##### `authorizeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimiting.property.authorizeInput" id="cdktfprovideroktaratelimitingpropertyauthorizeinput"></a>

```typescript
public readonly authorizeInput: string;
```

- *Type:* `string`

---

##### `communicationsEnabledInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimiting.property.communicationsEnabledInput" id="cdktfprovideroktaratelimitingpropertycommunicationsenabledinput"></a>

```typescript
public readonly communicationsEnabledInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimiting.property.idInput" id="cdktfprovideroktaratelimitingpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `loginInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimiting.property.loginInput" id="cdktfprovideroktaratelimitingpropertylogininput"></a>

```typescript
public readonly loginInput: string;
```

- *Type:* `string`

---

##### `authorize`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimiting.property.authorize" id="cdktfprovideroktaratelimitingpropertyauthorize"></a>

```typescript
public readonly authorize: string;
```

- *Type:* `string`

---

##### `communicationsEnabled`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimiting.property.communicationsEnabled" id="cdktfprovideroktaratelimitingpropertycommunicationsenabled"></a>

```typescript
public readonly communicationsEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimiting.property.id" id="cdktfprovideroktaratelimitingpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `login`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimiting.property.login" id="cdktfprovideroktaratelimitingpropertylogin"></a>

```typescript
public readonly login: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaratelimitingpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.RateLimiting.property.tfResourceType" id="cdktfprovideroktaratelimitingpropertytfresourcetype"></a>

- *Type:* `string`

---

### ResourceSet <a name="@cdktf/provider-okta.ResourceSet" id="cdktfprovideroktaresourceset"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/resource_set okta_resource_set}.

#### Initializers <a name="@cdktf/provider-okta.ResourceSet.Initializer" id="cdktfprovideroktaresourcesetinitializer"></a>

```typescript
import { ResourceSet } from '@cdktf/provider-okta'

new ResourceSet(scope: Construct, id: string, config: ResourceSetConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaresourcesetparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaresourcesetparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaresourcesetparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.ResourceSetConfig`](#@cdktf/provider-okta.ResourceSetConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSet.parameter.scope" id="cdktfprovideroktaresourcesetparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSet.parameter.id" id="cdktfprovideroktaresourcesetparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSet.parameter.config" id="cdktfprovideroktaresourcesetparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.ResourceSetConfig`](#@cdktf/provider-okta.ResourceSetConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaresourcesetresetid) | *No description.* |
| [`resetResources`](#cdktfprovideroktaresourcesetresetresources) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.ResourceSet.resetId" id="cdktfprovideroktaresourcesetresetid"></a>

```typescript
public resetId()
```

##### `resetResources` <a name="@cdktf/provider-okta.ResourceSet.resetResources" id="cdktfprovideroktaresourcesetresetresources"></a>

```typescript
public resetResources()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktaresourcesetpropertydescriptioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaresourcesetpropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaresourcesetpropertylabelinput) | `string` | *No description.* |
| [`resourcesInput`](#cdktfprovideroktaresourcesetpropertyresourcesinput) | `string`[] | *No description.* |
| [`description`](#cdktfprovideroktaresourcesetpropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaresourcesetpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaresourcesetpropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`resources`](#cdktfprovideroktaresourcesetpropertyresources)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSet.property.descriptionInput" id="cdktfprovideroktaresourcesetpropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSet.property.idInput" id="cdktfprovideroktaresourcesetpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSet.property.labelInput" id="cdktfprovideroktaresourcesetpropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `resourcesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSet.property.resourcesInput" id="cdktfprovideroktaresourcesetpropertyresourcesinput"></a>

```typescript
public readonly resourcesInput: string[];
```

- *Type:* `string`[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSet.property.description" id="cdktfprovideroktaresourcesetpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSet.property.id" id="cdktfprovideroktaresourcesetpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSet.property.label" id="cdktfprovideroktaresourcesetpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `resources`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSet.property.resources" id="cdktfprovideroktaresourcesetpropertyresources"></a>

```typescript
public readonly resources: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaresourcesetpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.ResourceSet.property.tfResourceType" id="cdktfprovideroktaresourcesetpropertytfresourcetype"></a>

- *Type:* `string`

---

### RoleSubscription <a name="@cdktf/provider-okta.RoleSubscription" id="cdktfprovideroktarolesubscription"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/role_subscription okta_role_subscription}.

#### Initializers <a name="@cdktf/provider-okta.RoleSubscription.Initializer" id="cdktfprovideroktarolesubscriptioninitializer"></a>

```typescript
import { RoleSubscription } from '@cdktf/provider-okta'

new RoleSubscription(scope: Construct, id: string, config: RoleSubscriptionConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktarolesubscriptionparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktarolesubscriptionparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktarolesubscriptionparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.RoleSubscriptionConfig`](#@cdktf/provider-okta.RoleSubscriptionConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscription.parameter.scope" id="cdktfprovideroktarolesubscriptionparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscription.parameter.id" id="cdktfprovideroktarolesubscriptionparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscription.parameter.config" id="cdktfprovideroktarolesubscriptionparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.RoleSubscriptionConfig`](#@cdktf/provider-okta.RoleSubscriptionConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktarolesubscriptionresetid) | *No description.* |
| [`resetStatus`](#cdktfprovideroktarolesubscriptionresetstatus) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.RoleSubscription.resetId" id="cdktfprovideroktarolesubscriptionresetid"></a>

```typescript
public resetId()
```

##### `resetStatus` <a name="@cdktf/provider-okta.RoleSubscription.resetStatus" id="cdktfprovideroktarolesubscriptionresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktarolesubscriptionpropertyidinput) | `string` | *No description.* |
| [`notificationTypeInput`](#cdktfprovideroktarolesubscriptionpropertynotificationtypeinput) | `string` | *No description.* |
| [`roleTypeInput`](#cdktfprovideroktarolesubscriptionpropertyroletypeinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktarolesubscriptionpropertystatusinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktarolesubscriptionpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`notificationType`](#cdktfprovideroktarolesubscriptionpropertynotificationtype)<span title="Required">*</span> | `string` | *No description.* |
| [`roleType`](#cdktfprovideroktarolesubscriptionpropertyroletype)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktarolesubscriptionpropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.idInput" id="cdktfprovideroktarolesubscriptionpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `notificationTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.notificationTypeInput" id="cdktfprovideroktarolesubscriptionpropertynotificationtypeinput"></a>

```typescript
public readonly notificationTypeInput: string;
```

- *Type:* `string`

---

##### `roleTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.roleTypeInput" id="cdktfprovideroktarolesubscriptionpropertyroletypeinput"></a>

```typescript
public readonly roleTypeInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.statusInput" id="cdktfprovideroktarolesubscriptionpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.id" id="cdktfprovideroktarolesubscriptionpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `notificationType`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.notificationType" id="cdktfprovideroktarolesubscriptionpropertynotificationtype"></a>

```typescript
public readonly notificationType: string;
```

- *Type:* `string`

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.roleType" id="cdktfprovideroktarolesubscriptionpropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscription.property.status" id="cdktfprovideroktarolesubscriptionpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktarolesubscriptionpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.RoleSubscription.property.tfResourceType" id="cdktfprovideroktarolesubscriptionpropertytfresourcetype"></a>

- *Type:* `string`

---

### SamlApp <a name="@cdktf/provider-okta.SamlApp" id="cdktfprovideroktasamlapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/saml_app okta_saml_app}.

#### Initializers <a name="@cdktf/provider-okta.SamlApp.Initializer" id="cdktfprovideroktasamlappinitializer"></a>

```typescript
import { SamlApp } from '@cdktf/provider-okta'

new SamlApp(scope: Construct, id: string, config: SamlAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasamlappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasamlappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasamlappparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SamlAppConfig`](#@cdktf/provider-okta.SamlAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.parameter.scope" id="cdktfprovideroktasamlappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.parameter.id" id="cdktfprovideroktasamlappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.parameter.config" id="cdktfprovideroktasamlappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SamlAppConfig`](#@cdktf/provider-okta.SamlAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putAttributeStatements`](#cdktfprovideroktasamlappputattributestatements) | *No description.* |
| [`putUsers`](#cdktfprovideroktasamlappputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktasamlappresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktasamlappresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktasamlappresetaccessibilityselfservice) | *No description.* |
| [`resetAcsEndpoints`](#cdktfprovideroktasamlappresetacsendpoints) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktasamlappresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktasamlappresetapplinksjson) | *No description.* |
| [`resetAppSettingsJson`](#cdktfprovideroktasamlappresetappsettingsjson) | *No description.* |
| [`resetAssertionSigned`](#cdktfprovideroktasamlappresetassertionsigned) | *No description.* |
| [`resetAttributeStatements`](#cdktfprovideroktasamlappresetattributestatements) | *No description.* |
| [`resetAudience`](#cdktfprovideroktasamlappresetaudience) | *No description.* |
| [`resetAuthenticationPolicy`](#cdktfprovideroktasamlappresetauthenticationpolicy) | *No description.* |
| [`resetAuthnContextClassRef`](#cdktfprovideroktasamlappresetauthncontextclassref) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktasamlappresetautosubmittoolbar) | *No description.* |
| [`resetDefaultRelayState`](#cdktfprovideroktasamlappresetdefaultrelaystate) | *No description.* |
| [`resetDestination`](#cdktfprovideroktasamlappresetdestination) | *No description.* |
| [`resetDigestAlgorithm`](#cdktfprovideroktasamlappresetdigestalgorithm) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktasamlappresetendusernote) | *No description.* |
| [`resetFeatures`](#cdktfprovideroktasamlappresetfeatures) | *No description.* |
| [`resetGroups`](#cdktfprovideroktasamlappresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktasamlappresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktasamlappresethideweb) | *No description.* |
| [`resetHonorForceAuthn`](#cdktfprovideroktasamlappresethonorforceauthn) | *No description.* |
| [`resetId`](#cdktfprovideroktasamlappresetid) | *No description.* |
| [`resetIdpIssuer`](#cdktfprovideroktasamlappresetidpissuer) | *No description.* |
| [`resetImplicitAssignment`](#cdktfprovideroktasamlappresetimplicitassignment) | *No description.* |
| [`resetInlineHookId`](#cdktfprovideroktasamlappresetinlinehookid) | *No description.* |
| [`resetKeyName`](#cdktfprovideroktasamlappresetkeyname) | *No description.* |
| [`resetKeyYearsValid`](#cdktfprovideroktasamlappresetkeyyearsvalid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktasamlappresetlogo) | *No description.* |
| [`resetPreconfiguredApp`](#cdktfprovideroktasamlappresetpreconfiguredapp) | *No description.* |
| [`resetRecipient`](#cdktfprovideroktasamlappresetrecipient) | *No description.* |
| [`resetRequestCompressed`](#cdktfprovideroktasamlappresetrequestcompressed) | *No description.* |
| [`resetResponseSigned`](#cdktfprovideroktasamlappresetresponsesigned) | *No description.* |
| [`resetSamlVersion`](#cdktfprovideroktasamlappresetsamlversion) | *No description.* |
| [`resetSignatureAlgorithm`](#cdktfprovideroktasamlappresetsignaturealgorithm) | *No description.* |
| [`resetSingleLogoutCertificate`](#cdktfprovideroktasamlappresetsinglelogoutcertificate) | *No description.* |
| [`resetSingleLogoutIssuer`](#cdktfprovideroktasamlappresetsinglelogoutissuer) | *No description.* |
| [`resetSingleLogoutUrl`](#cdktfprovideroktasamlappresetsinglelogouturl) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktasamlappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktasamlappresetskipusers) | *No description.* |
| [`resetSpIssuer`](#cdktfprovideroktasamlappresetspissuer) | *No description.* |
| [`resetSsoUrl`](#cdktfprovideroktasamlappresetssourl) | *No description.* |
| [`resetStatus`](#cdktfprovideroktasamlappresetstatus) | *No description.* |
| [`resetSubjectNameIdFormat`](#cdktfprovideroktasamlappresetsubjectnameidformat) | *No description.* |
| [`resetSubjectNameIdTemplate`](#cdktfprovideroktasamlappresetsubjectnameidtemplate) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktasamlappresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktasamlappresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktasamlappresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktasamlappresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktasamlappresetusers) | *No description.* |

---

##### `putAttributeStatements` <a name="@cdktf/provider-okta.SamlApp.putAttributeStatements" id="cdktfprovideroktasamlappputattributestatements"></a>

```typescript
public putAttributeStatements(value: IResolvable | SamlAppAttributeStatements[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.parameter.value" id="cdktfprovideroktasamlappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)[]

---

##### `putUsers` <a name="@cdktf/provider-okta.SamlApp.putUsers" id="cdktfprovideroktasamlappputusers"></a>

```typescript
public putUsers(value: IResolvable | SamlAppUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.parameter.value" id="cdktfprovideroktasamlappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.SamlApp.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktasamlappresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.SamlApp.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktasamlappresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.SamlApp.resetAccessibilitySelfService" id="cdktfprovideroktasamlappresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAcsEndpoints` <a name="@cdktf/provider-okta.SamlApp.resetAcsEndpoints" id="cdktfprovideroktasamlappresetacsendpoints"></a>

```typescript
public resetAcsEndpoints()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.SamlApp.resetAdminNote" id="cdktfprovideroktasamlappresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.SamlApp.resetAppLinksJson" id="cdktfprovideroktasamlappresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAppSettingsJson` <a name="@cdktf/provider-okta.SamlApp.resetAppSettingsJson" id="cdktfprovideroktasamlappresetappsettingsjson"></a>

```typescript
public resetAppSettingsJson()
```

##### `resetAssertionSigned` <a name="@cdktf/provider-okta.SamlApp.resetAssertionSigned" id="cdktfprovideroktasamlappresetassertionsigned"></a>

```typescript
public resetAssertionSigned()
```

##### `resetAttributeStatements` <a name="@cdktf/provider-okta.SamlApp.resetAttributeStatements" id="cdktfprovideroktasamlappresetattributestatements"></a>

```typescript
public resetAttributeStatements()
```

##### `resetAudience` <a name="@cdktf/provider-okta.SamlApp.resetAudience" id="cdktfprovideroktasamlappresetaudience"></a>

```typescript
public resetAudience()
```

##### `resetAuthenticationPolicy` <a name="@cdktf/provider-okta.SamlApp.resetAuthenticationPolicy" id="cdktfprovideroktasamlappresetauthenticationpolicy"></a>

```typescript
public resetAuthenticationPolicy()
```

##### `resetAuthnContextClassRef` <a name="@cdktf/provider-okta.SamlApp.resetAuthnContextClassRef" id="cdktfprovideroktasamlappresetauthncontextclassref"></a>

```typescript
public resetAuthnContextClassRef()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.SamlApp.resetAutoSubmitToolbar" id="cdktfprovideroktasamlappresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetDefaultRelayState` <a name="@cdktf/provider-okta.SamlApp.resetDefaultRelayState" id="cdktfprovideroktasamlappresetdefaultrelaystate"></a>

```typescript
public resetDefaultRelayState()
```

##### `resetDestination` <a name="@cdktf/provider-okta.SamlApp.resetDestination" id="cdktfprovideroktasamlappresetdestination"></a>

```typescript
public resetDestination()
```

##### `resetDigestAlgorithm` <a name="@cdktf/provider-okta.SamlApp.resetDigestAlgorithm" id="cdktfprovideroktasamlappresetdigestalgorithm"></a>

```typescript
public resetDigestAlgorithm()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.SamlApp.resetEnduserNote" id="cdktfprovideroktasamlappresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetFeatures` <a name="@cdktf/provider-okta.SamlApp.resetFeatures" id="cdktfprovideroktasamlappresetfeatures"></a>

```typescript
public resetFeatures()
```

##### `resetGroups` <a name="@cdktf/provider-okta.SamlApp.resetGroups" id="cdktfprovideroktasamlappresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.SamlApp.resetHideIos" id="cdktfprovideroktasamlappresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.SamlApp.resetHideWeb" id="cdktfprovideroktasamlappresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetHonorForceAuthn` <a name="@cdktf/provider-okta.SamlApp.resetHonorForceAuthn" id="cdktfprovideroktasamlappresethonorforceauthn"></a>

```typescript
public resetHonorForceAuthn()
```

##### `resetId` <a name="@cdktf/provider-okta.SamlApp.resetId" id="cdktfprovideroktasamlappresetid"></a>

```typescript
public resetId()
```

##### `resetIdpIssuer` <a name="@cdktf/provider-okta.SamlApp.resetIdpIssuer" id="cdktfprovideroktasamlappresetidpissuer"></a>

```typescript
public resetIdpIssuer()
```

##### `resetImplicitAssignment` <a name="@cdktf/provider-okta.SamlApp.resetImplicitAssignment" id="cdktfprovideroktasamlappresetimplicitassignment"></a>

```typescript
public resetImplicitAssignment()
```

##### `resetInlineHookId` <a name="@cdktf/provider-okta.SamlApp.resetInlineHookId" id="cdktfprovideroktasamlappresetinlinehookid"></a>

```typescript
public resetInlineHookId()
```

##### `resetKeyName` <a name="@cdktf/provider-okta.SamlApp.resetKeyName" id="cdktfprovideroktasamlappresetkeyname"></a>

```typescript
public resetKeyName()
```

##### `resetKeyYearsValid` <a name="@cdktf/provider-okta.SamlApp.resetKeyYearsValid" id="cdktfprovideroktasamlappresetkeyyearsvalid"></a>

```typescript
public resetKeyYearsValid()
```

##### `resetLogo` <a name="@cdktf/provider-okta.SamlApp.resetLogo" id="cdktfprovideroktasamlappresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPreconfiguredApp` <a name="@cdktf/provider-okta.SamlApp.resetPreconfiguredApp" id="cdktfprovideroktasamlappresetpreconfiguredapp"></a>

```typescript
public resetPreconfiguredApp()
```

##### `resetRecipient` <a name="@cdktf/provider-okta.SamlApp.resetRecipient" id="cdktfprovideroktasamlappresetrecipient"></a>

```typescript
public resetRecipient()
```

##### `resetRequestCompressed` <a name="@cdktf/provider-okta.SamlApp.resetRequestCompressed" id="cdktfprovideroktasamlappresetrequestcompressed"></a>

```typescript
public resetRequestCompressed()
```

##### `resetResponseSigned` <a name="@cdktf/provider-okta.SamlApp.resetResponseSigned" id="cdktfprovideroktasamlappresetresponsesigned"></a>

```typescript
public resetResponseSigned()
```

##### `resetSamlVersion` <a name="@cdktf/provider-okta.SamlApp.resetSamlVersion" id="cdktfprovideroktasamlappresetsamlversion"></a>

```typescript
public resetSamlVersion()
```

##### `resetSignatureAlgorithm` <a name="@cdktf/provider-okta.SamlApp.resetSignatureAlgorithm" id="cdktfprovideroktasamlappresetsignaturealgorithm"></a>

```typescript
public resetSignatureAlgorithm()
```

##### `resetSingleLogoutCertificate` <a name="@cdktf/provider-okta.SamlApp.resetSingleLogoutCertificate" id="cdktfprovideroktasamlappresetsinglelogoutcertificate"></a>

```typescript
public resetSingleLogoutCertificate()
```

##### `resetSingleLogoutIssuer` <a name="@cdktf/provider-okta.SamlApp.resetSingleLogoutIssuer" id="cdktfprovideroktasamlappresetsinglelogoutissuer"></a>

```typescript
public resetSingleLogoutIssuer()
```

##### `resetSingleLogoutUrl` <a name="@cdktf/provider-okta.SamlApp.resetSingleLogoutUrl" id="cdktfprovideroktasamlappresetsinglelogouturl"></a>

```typescript
public resetSingleLogoutUrl()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.SamlApp.resetSkipGroups" id="cdktfprovideroktasamlappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.SamlApp.resetSkipUsers" id="cdktfprovideroktasamlappresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetSpIssuer` <a name="@cdktf/provider-okta.SamlApp.resetSpIssuer" id="cdktfprovideroktasamlappresetspissuer"></a>

```typescript
public resetSpIssuer()
```

##### `resetSsoUrl` <a name="@cdktf/provider-okta.SamlApp.resetSsoUrl" id="cdktfprovideroktasamlappresetssourl"></a>

```typescript
public resetSsoUrl()
```

##### `resetStatus` <a name="@cdktf/provider-okta.SamlApp.resetStatus" id="cdktfprovideroktasamlappresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectNameIdFormat` <a name="@cdktf/provider-okta.SamlApp.resetSubjectNameIdFormat" id="cdktfprovideroktasamlappresetsubjectnameidformat"></a>

```typescript
public resetSubjectNameIdFormat()
```

##### `resetSubjectNameIdTemplate` <a name="@cdktf/provider-okta.SamlApp.resetSubjectNameIdTemplate" id="cdktfprovideroktasamlappresetsubjectnameidtemplate"></a>

```typescript
public resetSubjectNameIdTemplate()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.SamlApp.resetUserNameTemplate" id="cdktfprovideroktasamlappresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.SamlApp.resetUserNameTemplatePushStatus" id="cdktfprovideroktasamlappresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.SamlApp.resetUserNameTemplateSuffix" id="cdktfprovideroktasamlappresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.SamlApp.resetUserNameTemplateType" id="cdktfprovideroktasamlappresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.SamlApp.resetUsers" id="cdktfprovideroktasamlappresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`attributeStatements`](#cdktfprovideroktasamlapppropertyattributestatements)<span title="Required">*</span> | [`@cdktf/provider-okta.SamlAppAttributeStatementsList`](#@cdktf/provider-okta.SamlAppAttributeStatementsList) | *No description.* |
| [`certificate`](#cdktfprovideroktasamlapppropertycertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`embedUrl`](#cdktfprovideroktasamlapppropertyembedurl)<span title="Required">*</span> | `string` | *No description.* |
| [`entityKey`](#cdktfprovideroktasamlapppropertyentitykey)<span title="Required">*</span> | `string` | *No description.* |
| [`entityUrl`](#cdktfprovideroktasamlapppropertyentityurl)<span title="Required">*</span> | `string` | *No description.* |
| [`httpPostBinding`](#cdktfprovideroktasamlapppropertyhttppostbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`httpRedirectBinding`](#cdktfprovideroktasamlapppropertyhttpredirectbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`keyId`](#cdktfprovideroktasamlapppropertykeyid)<span title="Required">*</span> | `string` | *No description.* |
| [`keys`](#cdktfprovideroktasamlapppropertykeys)<span title="Required">*</span> | [`@cdktf/provider-okta.SamlAppKeysList`](#@cdktf/provider-okta.SamlAppKeysList) | *No description.* |
| [`logoUrl`](#cdktfprovideroktasamlapppropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`metadata`](#cdktfprovideroktasamlapppropertymetadata)<span title="Required">*</span> | `string` | *No description.* |
| [`metadataUrl`](#cdktfprovideroktasamlapppropertymetadataurl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktasamlapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktasamlapppropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktasamlapppropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.SamlAppUsersList`](#@cdktf/provider-okta.SamlAppUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktasamlapppropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktasamlapppropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktasamlapppropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`acsEndpointsInput`](#cdktfprovideroktasamlapppropertyacsendpointsinput) | `string`[] | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktasamlapppropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktasamlapppropertyapplinksjsoninput) | `string` | *No description.* |
| [`appSettingsJsonInput`](#cdktfprovideroktasamlapppropertyappsettingsjsoninput) | `string` | *No description.* |
| [`assertionSignedInput`](#cdktfprovideroktasamlapppropertyassertionsignedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`attributeStatementsInput`](#cdktfprovideroktasamlapppropertyattributestatementsinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)[] | *No description.* |
| [`audienceInput`](#cdktfprovideroktasamlapppropertyaudienceinput) | `string` | *No description.* |
| [`authenticationPolicyInput`](#cdktfprovideroktasamlapppropertyauthenticationpolicyinput) | `string` | *No description.* |
| [`authnContextClassRefInput`](#cdktfprovideroktasamlapppropertyauthncontextclassrefinput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktasamlapppropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`defaultRelayStateInput`](#cdktfprovideroktasamlapppropertydefaultrelaystateinput) | `string` | *No description.* |
| [`destinationInput`](#cdktfprovideroktasamlapppropertydestinationinput) | `string` | *No description.* |
| [`digestAlgorithmInput`](#cdktfprovideroktasamlapppropertydigestalgorithminput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktasamlapppropertyendusernoteinput) | `string` | *No description.* |
| [`featuresInput`](#cdktfprovideroktasamlapppropertyfeaturesinput) | `string`[] | *No description.* |
| [`groupsInput`](#cdktfprovideroktasamlapppropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktasamlapppropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktasamlapppropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`honorForceAuthnInput`](#cdktfprovideroktasamlapppropertyhonorforceauthninput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktasamlapppropertyidinput) | `string` | *No description.* |
| [`idpIssuerInput`](#cdktfprovideroktasamlapppropertyidpissuerinput) | `string` | *No description.* |
| [`implicitAssignmentInput`](#cdktfprovideroktasamlapppropertyimplicitassignmentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`inlineHookIdInput`](#cdktfprovideroktasamlapppropertyinlinehookidinput) | `string` | *No description.* |
| [`keyNameInput`](#cdktfprovideroktasamlapppropertykeynameinput) | `string` | *No description.* |
| [`keyYearsValidInput`](#cdktfprovideroktasamlapppropertykeyyearsvalidinput) | `number` | *No description.* |
| [`labelInput`](#cdktfprovideroktasamlapppropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktasamlapppropertylogoinput) | `string` | *No description.* |
| [`preconfiguredAppInput`](#cdktfprovideroktasamlapppropertypreconfiguredappinput) | `string` | *No description.* |
| [`recipientInput`](#cdktfprovideroktasamlapppropertyrecipientinput) | `string` | *No description.* |
| [`requestCompressedInput`](#cdktfprovideroktasamlapppropertyrequestcompressedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`responseSignedInput`](#cdktfprovideroktasamlapppropertyresponsesignedinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`samlVersionInput`](#cdktfprovideroktasamlapppropertysamlversioninput) | `string` | *No description.* |
| [`signatureAlgorithmInput`](#cdktfprovideroktasamlapppropertysignaturealgorithminput) | `string` | *No description.* |
| [`singleLogoutCertificateInput`](#cdktfprovideroktasamlapppropertysinglelogoutcertificateinput) | `string` | *No description.* |
| [`singleLogoutIssuerInput`](#cdktfprovideroktasamlapppropertysinglelogoutissuerinput) | `string` | *No description.* |
| [`singleLogoutUrlInput`](#cdktfprovideroktasamlapppropertysinglelogouturlinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktasamlapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktasamlapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`spIssuerInput`](#cdktfprovideroktasamlapppropertyspissuerinput) | `string` | *No description.* |
| [`ssoUrlInput`](#cdktfprovideroktasamlapppropertyssourlinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktasamlapppropertystatusinput) | `string` | *No description.* |
| [`subjectNameIdFormatInput`](#cdktfprovideroktasamlapppropertysubjectnameidformatinput) | `string` | *No description.* |
| [`subjectNameIdTemplateInput`](#cdktfprovideroktasamlapppropertysubjectnameidtemplateinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktasamlapppropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktasamlapppropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktasamlapppropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktasamlapppropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktasamlapppropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktasamlapppropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktasamlapppropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktasamlapppropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`acsEndpoints`](#cdktfprovideroktasamlapppropertyacsendpoints)<span title="Required">*</span> | `string`[] | *No description.* |
| [`adminNote`](#cdktfprovideroktasamlapppropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktasamlapppropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`appSettingsJson`](#cdktfprovideroktasamlapppropertyappsettingsjson)<span title="Required">*</span> | `string` | *No description.* |
| [`assertionSigned`](#cdktfprovideroktasamlapppropertyassertionsigned)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`audience`](#cdktfprovideroktasamlapppropertyaudience)<span title="Required">*</span> | `string` | *No description.* |
| [`authenticationPolicy`](#cdktfprovideroktasamlapppropertyauthenticationpolicy)<span title="Required">*</span> | `string` | *No description.* |
| [`authnContextClassRef`](#cdktfprovideroktasamlapppropertyauthncontextclassref)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktasamlapppropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`defaultRelayState`](#cdktfprovideroktasamlapppropertydefaultrelaystate)<span title="Required">*</span> | `string` | *No description.* |
| [`destination`](#cdktfprovideroktasamlapppropertydestination)<span title="Required">*</span> | `string` | *No description.* |
| [`digestAlgorithm`](#cdktfprovideroktasamlapppropertydigestalgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktasamlapppropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`features`](#cdktfprovideroktasamlapppropertyfeatures)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groups`](#cdktfprovideroktasamlapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktasamlapppropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktasamlapppropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`honorForceAuthn`](#cdktfprovideroktasamlapppropertyhonorforceauthn)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktasamlapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`idpIssuer`](#cdktfprovideroktasamlapppropertyidpissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`implicitAssignment`](#cdktfprovideroktasamlapppropertyimplicitassignment)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`inlineHookId`](#cdktfprovideroktasamlapppropertyinlinehookid)<span title="Required">*</span> | `string` | *No description.* |
| [`keyName`](#cdktfprovideroktasamlapppropertykeyname)<span title="Required">*</span> | `string` | *No description.* |
| [`keyYearsValid`](#cdktfprovideroktasamlapppropertykeyyearsvalid)<span title="Required">*</span> | `number` | *No description.* |
| [`label`](#cdktfprovideroktasamlapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktasamlapppropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`preconfiguredApp`](#cdktfprovideroktasamlapppropertypreconfiguredapp)<span title="Required">*</span> | `string` | *No description.* |
| [`recipient`](#cdktfprovideroktasamlapppropertyrecipient)<span title="Required">*</span> | `string` | *No description.* |
| [`requestCompressed`](#cdktfprovideroktasamlapppropertyrequestcompressed)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`responseSigned`](#cdktfprovideroktasamlapppropertyresponsesigned)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`samlVersion`](#cdktfprovideroktasamlapppropertysamlversion)<span title="Required">*</span> | `string` | *No description.* |
| [`signatureAlgorithm`](#cdktfprovideroktasamlapppropertysignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutCertificate`](#cdktfprovideroktasamlapppropertysinglelogoutcertificate)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutIssuer`](#cdktfprovideroktasamlapppropertysinglelogoutissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`singleLogoutUrl`](#cdktfprovideroktasamlapppropertysinglelogouturl)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktasamlapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktasamlapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`spIssuer`](#cdktfprovideroktasamlapppropertyspissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoUrl`](#cdktfprovideroktasamlapppropertyssourl)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktasamlapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectNameIdFormat`](#cdktfprovideroktasamlapppropertysubjectnameidformat)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectNameIdTemplate`](#cdktfprovideroktasamlapppropertysubjectnameidtemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktasamlapppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktasamlapppropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktasamlapppropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktasamlapppropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `attributeStatements`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.attributeStatements" id="cdktfprovideroktasamlapppropertyattributestatements"></a>

```typescript
public readonly attributeStatements: SamlAppAttributeStatementsList;
```

- *Type:* [`@cdktf/provider-okta.SamlAppAttributeStatementsList`](#@cdktf/provider-okta.SamlAppAttributeStatementsList)

---

##### `certificate`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.certificate" id="cdktfprovideroktasamlapppropertycertificate"></a>

```typescript
public readonly certificate: string;
```

- *Type:* `string`

---

##### `embedUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.embedUrl" id="cdktfprovideroktasamlapppropertyembedurl"></a>

```typescript
public readonly embedUrl: string;
```

- *Type:* `string`

---

##### `entityKey`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.entityKey" id="cdktfprovideroktasamlapppropertyentitykey"></a>

```typescript
public readonly entityKey: string;
```

- *Type:* `string`

---

##### `entityUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.entityUrl" id="cdktfprovideroktasamlapppropertyentityurl"></a>

```typescript
public readonly entityUrl: string;
```

- *Type:* `string`

---

##### `httpPostBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.httpPostBinding" id="cdktfprovideroktasamlapppropertyhttppostbinding"></a>

```typescript
public readonly httpPostBinding: string;
```

- *Type:* `string`

---

##### `httpRedirectBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.httpRedirectBinding" id="cdktfprovideroktasamlapppropertyhttpredirectbinding"></a>

```typescript
public readonly httpRedirectBinding: string;
```

- *Type:* `string`

---

##### `keyId`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.keyId" id="cdktfprovideroktasamlapppropertykeyid"></a>

```typescript
public readonly keyId: string;
```

- *Type:* `string`

---

##### `keys`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.keys" id="cdktfprovideroktasamlapppropertykeys"></a>

```typescript
public readonly keys: SamlAppKeysList;
```

- *Type:* [`@cdktf/provider-okta.SamlAppKeysList`](#@cdktf/provider-okta.SamlAppKeysList)

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.logoUrl" id="cdktfprovideroktasamlapppropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `metadata`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.metadata" id="cdktfprovideroktasamlapppropertymetadata"></a>

```typescript
public readonly metadata: string;
```

- *Type:* `string`

---

##### `metadataUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.metadataUrl" id="cdktfprovideroktasamlapppropertymetadataurl"></a>

```typescript
public readonly metadataUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.name" id="cdktfprovideroktasamlapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.signOnMode" id="cdktfprovideroktasamlapppropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.users" id="cdktfprovideroktasamlapppropertyusers"></a>

```typescript
public readonly users: SamlAppUsersList;
```

- *Type:* [`@cdktf/provider-okta.SamlAppUsersList`](#@cdktf/provider-okta.SamlAppUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktasamlapppropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktasamlapppropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.accessibilitySelfServiceInput" id="cdktfprovideroktasamlapppropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `acsEndpointsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.acsEndpointsInput" id="cdktfprovideroktasamlapppropertyacsendpointsinput"></a>

```typescript
public readonly acsEndpointsInput: string[];
```

- *Type:* `string`[]

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.adminNoteInput" id="cdktfprovideroktasamlapppropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.appLinksJsonInput" id="cdktfprovideroktasamlapppropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `appSettingsJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.appSettingsJsonInput" id="cdktfprovideroktasamlapppropertyappsettingsjsoninput"></a>

```typescript
public readonly appSettingsJsonInput: string;
```

- *Type:* `string`

---

##### `assertionSignedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.assertionSignedInput" id="cdktfprovideroktasamlapppropertyassertionsignedinput"></a>

```typescript
public readonly assertionSignedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `attributeStatementsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.attributeStatementsInput" id="cdktfprovideroktasamlapppropertyattributestatementsinput"></a>

```typescript
public readonly attributeStatementsInput: IResolvable | SamlAppAttributeStatements[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)[]

---

##### `audienceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.audienceInput" id="cdktfprovideroktasamlapppropertyaudienceinput"></a>

```typescript
public readonly audienceInput: string;
```

- *Type:* `string`

---

##### `authenticationPolicyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.authenticationPolicyInput" id="cdktfprovideroktasamlapppropertyauthenticationpolicyinput"></a>

```typescript
public readonly authenticationPolicyInput: string;
```

- *Type:* `string`

---

##### `authnContextClassRefInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.authnContextClassRefInput" id="cdktfprovideroktasamlapppropertyauthncontextclassrefinput"></a>

```typescript
public readonly authnContextClassRefInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.autoSubmitToolbarInput" id="cdktfprovideroktasamlapppropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `defaultRelayStateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.defaultRelayStateInput" id="cdktfprovideroktasamlapppropertydefaultrelaystateinput"></a>

```typescript
public readonly defaultRelayStateInput: string;
```

- *Type:* `string`

---

##### `destinationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.destinationInput" id="cdktfprovideroktasamlapppropertydestinationinput"></a>

```typescript
public readonly destinationInput: string;
```

- *Type:* `string`

---

##### `digestAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.digestAlgorithmInput" id="cdktfprovideroktasamlapppropertydigestalgorithminput"></a>

```typescript
public readonly digestAlgorithmInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.enduserNoteInput" id="cdktfprovideroktasamlapppropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `featuresInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.featuresInput" id="cdktfprovideroktasamlapppropertyfeaturesinput"></a>

```typescript
public readonly featuresInput: string[];
```

- *Type:* `string`[]

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.groupsInput" id="cdktfprovideroktasamlapppropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.hideIosInput" id="cdktfprovideroktasamlapppropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.hideWebInput" id="cdktfprovideroktasamlapppropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `honorForceAuthnInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.honorForceAuthnInput" id="cdktfprovideroktasamlapppropertyhonorforceauthninput"></a>

```typescript
public readonly honorForceAuthnInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.idInput" id="cdktfprovideroktasamlapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `idpIssuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.idpIssuerInput" id="cdktfprovideroktasamlapppropertyidpissuerinput"></a>

```typescript
public readonly idpIssuerInput: string;
```

- *Type:* `string`

---

##### `implicitAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.implicitAssignmentInput" id="cdktfprovideroktasamlapppropertyimplicitassignmentinput"></a>

```typescript
public readonly implicitAssignmentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `inlineHookIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.inlineHookIdInput" id="cdktfprovideroktasamlapppropertyinlinehookidinput"></a>

```typescript
public readonly inlineHookIdInput: string;
```

- *Type:* `string`

---

##### `keyNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.keyNameInput" id="cdktfprovideroktasamlapppropertykeynameinput"></a>

```typescript
public readonly keyNameInput: string;
```

- *Type:* `string`

---

##### `keyYearsValidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.keyYearsValidInput" id="cdktfprovideroktasamlapppropertykeyyearsvalidinput"></a>

```typescript
public readonly keyYearsValidInput: number;
```

- *Type:* `number`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.labelInput" id="cdktfprovideroktasamlapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.logoInput" id="cdktfprovideroktasamlapppropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `preconfiguredAppInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.preconfiguredAppInput" id="cdktfprovideroktasamlapppropertypreconfiguredappinput"></a>

```typescript
public readonly preconfiguredAppInput: string;
```

- *Type:* `string`

---

##### `recipientInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.recipientInput" id="cdktfprovideroktasamlapppropertyrecipientinput"></a>

```typescript
public readonly recipientInput: string;
```

- *Type:* `string`

---

##### `requestCompressedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.requestCompressedInput" id="cdktfprovideroktasamlapppropertyrequestcompressedinput"></a>

```typescript
public readonly requestCompressedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `responseSignedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.responseSignedInput" id="cdktfprovideroktasamlapppropertyresponsesignedinput"></a>

```typescript
public readonly responseSignedInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `samlVersionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.samlVersionInput" id="cdktfprovideroktasamlapppropertysamlversioninput"></a>

```typescript
public readonly samlVersionInput: string;
```

- *Type:* `string`

---

##### `signatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.signatureAlgorithmInput" id="cdktfprovideroktasamlapppropertysignaturealgorithminput"></a>

```typescript
public readonly signatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `singleLogoutCertificateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.singleLogoutCertificateInput" id="cdktfprovideroktasamlapppropertysinglelogoutcertificateinput"></a>

```typescript
public readonly singleLogoutCertificateInput: string;
```

- *Type:* `string`

---

##### `singleLogoutIssuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.singleLogoutIssuerInput" id="cdktfprovideroktasamlapppropertysinglelogoutissuerinput"></a>

```typescript
public readonly singleLogoutIssuerInput: string;
```

- *Type:* `string`

---

##### `singleLogoutUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.singleLogoutUrlInput" id="cdktfprovideroktasamlapppropertysinglelogouturlinput"></a>

```typescript
public readonly singleLogoutUrlInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.skipGroupsInput" id="cdktfprovideroktasamlapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.skipUsersInput" id="cdktfprovideroktasamlapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `spIssuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.spIssuerInput" id="cdktfprovideroktasamlapppropertyspissuerinput"></a>

```typescript
public readonly spIssuerInput: string;
```

- *Type:* `string`

---

##### `ssoUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.ssoUrlInput" id="cdktfprovideroktasamlapppropertyssourlinput"></a>

```typescript
public readonly ssoUrlInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.statusInput" id="cdktfprovideroktasamlapppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectNameIdFormatInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.subjectNameIdFormatInput" id="cdktfprovideroktasamlapppropertysubjectnameidformatinput"></a>

```typescript
public readonly subjectNameIdFormatInput: string;
```

- *Type:* `string`

---

##### `subjectNameIdTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.subjectNameIdTemplateInput" id="cdktfprovideroktasamlapppropertysubjectnameidtemplateinput"></a>

```typescript
public readonly subjectNameIdTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplateInput" id="cdktfprovideroktasamlapppropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplatePushStatusInput" id="cdktfprovideroktasamlapppropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplateSuffixInput" id="cdktfprovideroktasamlapppropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplateTypeInput" id="cdktfprovideroktasamlapppropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlApp.property.usersInput" id="cdktfprovideroktasamlapppropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | SamlAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktasamlapppropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktasamlapppropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.accessibilitySelfService" id="cdktfprovideroktasamlapppropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `acsEndpoints`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.acsEndpoints" id="cdktfprovideroktasamlapppropertyacsendpoints"></a>

```typescript
public readonly acsEndpoints: string[];
```

- *Type:* `string`[]

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.adminNote" id="cdktfprovideroktasamlapppropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.appLinksJson" id="cdktfprovideroktasamlapppropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `appSettingsJson`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.appSettingsJson" id="cdktfprovideroktasamlapppropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

---

##### `assertionSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.assertionSigned" id="cdktfprovideroktasamlapppropertyassertionsigned"></a>

```typescript
public readonly assertionSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `audience`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.audience" id="cdktfprovideroktasamlapppropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

---

##### `authenticationPolicy`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.authenticationPolicy" id="cdktfprovideroktasamlapppropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

---

##### `authnContextClassRef`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.authnContextClassRef" id="cdktfprovideroktasamlapppropertyauthncontextclassref"></a>

```typescript
public readonly authnContextClassRef: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.autoSubmitToolbar" id="cdktfprovideroktasamlapppropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `defaultRelayState`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.defaultRelayState" id="cdktfprovideroktasamlapppropertydefaultrelaystate"></a>

```typescript
public readonly defaultRelayState: string;
```

- *Type:* `string`

---

##### `destination`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.destination" id="cdktfprovideroktasamlapppropertydestination"></a>

```typescript
public readonly destination: string;
```

- *Type:* `string`

---

##### `digestAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.digestAlgorithm" id="cdktfprovideroktasamlapppropertydigestalgorithm"></a>

```typescript
public readonly digestAlgorithm: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.enduserNote" id="cdktfprovideroktasamlapppropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `features`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.features" id="cdktfprovideroktasamlapppropertyfeatures"></a>

```typescript
public readonly features: string[];
```

- *Type:* `string`[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.groups" id="cdktfprovideroktasamlapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.hideIos" id="cdktfprovideroktasamlapppropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.hideWeb" id="cdktfprovideroktasamlapppropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `honorForceAuthn`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.honorForceAuthn" id="cdktfprovideroktasamlapppropertyhonorforceauthn"></a>

```typescript
public readonly honorForceAuthn: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.id" id="cdktfprovideroktasamlapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `idpIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.idpIssuer" id="cdktfprovideroktasamlapppropertyidpissuer"></a>

```typescript
public readonly idpIssuer: string;
```

- *Type:* `string`

---

##### `implicitAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.implicitAssignment" id="cdktfprovideroktasamlapppropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `inlineHookId`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.inlineHookId" id="cdktfprovideroktasamlapppropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

---

##### `keyName`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.keyName" id="cdktfprovideroktasamlapppropertykeyname"></a>

```typescript
public readonly keyName: string;
```

- *Type:* `string`

---

##### `keyYearsValid`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.keyYearsValid" id="cdktfprovideroktasamlapppropertykeyyearsvalid"></a>

```typescript
public readonly keyYearsValid: number;
```

- *Type:* `number`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.label" id="cdktfprovideroktasamlapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.logo" id="cdktfprovideroktasamlapppropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `preconfiguredApp`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.preconfiguredApp" id="cdktfprovideroktasamlapppropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

---

##### `recipient`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.recipient" id="cdktfprovideroktasamlapppropertyrecipient"></a>

```typescript
public readonly recipient: string;
```

- *Type:* `string`

---

##### `requestCompressed`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.requestCompressed" id="cdktfprovideroktasamlapppropertyrequestcompressed"></a>

```typescript
public readonly requestCompressed: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `responseSigned`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.responseSigned" id="cdktfprovideroktasamlapppropertyresponsesigned"></a>

```typescript
public readonly responseSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `samlVersion`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.samlVersion" id="cdktfprovideroktasamlapppropertysamlversion"></a>

```typescript
public readonly samlVersion: string;
```

- *Type:* `string`

---

##### `signatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.signatureAlgorithm" id="cdktfprovideroktasamlapppropertysignaturealgorithm"></a>

```typescript
public readonly signatureAlgorithm: string;
```

- *Type:* `string`

---

##### `singleLogoutCertificate`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.singleLogoutCertificate" id="cdktfprovideroktasamlapppropertysinglelogoutcertificate"></a>

```typescript
public readonly singleLogoutCertificate: string;
```

- *Type:* `string`

---

##### `singleLogoutIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.singleLogoutIssuer" id="cdktfprovideroktasamlapppropertysinglelogoutissuer"></a>

```typescript
public readonly singleLogoutIssuer: string;
```

- *Type:* `string`

---

##### `singleLogoutUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.singleLogoutUrl" id="cdktfprovideroktasamlapppropertysinglelogouturl"></a>

```typescript
public readonly singleLogoutUrl: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.skipGroups" id="cdktfprovideroktasamlapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.skipUsers" id="cdktfprovideroktasamlapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `spIssuer`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.spIssuer" id="cdktfprovideroktasamlapppropertyspissuer"></a>

```typescript
public readonly spIssuer: string;
```

- *Type:* `string`

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.ssoUrl" id="cdktfprovideroktasamlapppropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.status" id="cdktfprovideroktasamlapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectNameIdFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.subjectNameIdFormat" id="cdktfprovideroktasamlapppropertysubjectnameidformat"></a>

```typescript
public readonly subjectNameIdFormat: string;
```

- *Type:* `string`

---

##### `subjectNameIdTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.subjectNameIdTemplate" id="cdktfprovideroktasamlapppropertysubjectnameidtemplate"></a>

```typescript
public readonly subjectNameIdTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplate" id="cdktfprovideroktasamlapppropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplatePushStatus" id="cdktfprovideroktasamlapppropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplateSuffix" id="cdktfprovideroktasamlapppropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlApp.property.userNameTemplateType" id="cdktfprovideroktasamlapppropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasamlapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SamlApp.property.tfResourceType" id="cdktfprovideroktasamlapppropertytfresourcetype"></a>

- *Type:* `string`

---

### SamlIdp <a name="@cdktf/provider-okta.SamlIdp" id="cdktfprovideroktasamlidp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/saml_idp okta_saml_idp}.

#### Initializers <a name="@cdktf/provider-okta.SamlIdp.Initializer" id="cdktfprovideroktasamlidpinitializer"></a>

```typescript
import { SamlIdp } from '@cdktf/provider-okta'

new SamlIdp(scope: Construct, id: string, config: SamlIdpConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasamlidpparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasamlidpparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasamlidpparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SamlIdpConfig`](#@cdktf/provider-okta.SamlIdpConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.parameter.scope" id="cdktfprovideroktasamlidpparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.parameter.id" id="cdktfprovideroktasamlidpparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.parameter.config" id="cdktfprovideroktasamlidpparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SamlIdpConfig`](#@cdktf/provider-okta.SamlIdpConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccountLinkAction`](#cdktfprovideroktasamlidpresetaccountlinkaction) | *No description.* |
| [`resetAccountLinkGroupInclude`](#cdktfprovideroktasamlidpresetaccountlinkgroupinclude) | *No description.* |
| [`resetAcsBinding`](#cdktfprovideroktasamlidpresetacsbinding) | *No description.* |
| [`resetAcsType`](#cdktfprovideroktasamlidpresetacstype) | *No description.* |
| [`resetDeprovisionedAction`](#cdktfprovideroktasamlidpresetdeprovisionedaction) | *No description.* |
| [`resetGroupsAction`](#cdktfprovideroktasamlidpresetgroupsaction) | *No description.* |
| [`resetGroupsAssignment`](#cdktfprovideroktasamlidpresetgroupsassignment) | *No description.* |
| [`resetGroupsAttribute`](#cdktfprovideroktasamlidpresetgroupsattribute) | *No description.* |
| [`resetGroupsFilter`](#cdktfprovideroktasamlidpresetgroupsfilter) | *No description.* |
| [`resetId`](#cdktfprovideroktasamlidpresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktasamlidpresetissuermode) | *No description.* |
| [`resetMaxClockSkew`](#cdktfprovideroktasamlidpresetmaxclockskew) | *No description.* |
| [`resetNameFormat`](#cdktfprovideroktasamlidpresetnameformat) | *No description.* |
| [`resetProfileMaster`](#cdktfprovideroktasamlidpresetprofilemaster) | *No description.* |
| [`resetProvisioningAction`](#cdktfprovideroktasamlidpresetprovisioningaction) | *No description.* |
| [`resetRequestSignatureAlgorithm`](#cdktfprovideroktasamlidpresetrequestsignaturealgorithm) | *No description.* |
| [`resetRequestSignatureScope`](#cdktfprovideroktasamlidpresetrequestsignaturescope) | *No description.* |
| [`resetResponseSignatureAlgorithm`](#cdktfprovideroktasamlidpresetresponsesignaturealgorithm) | *No description.* |
| [`resetResponseSignatureScope`](#cdktfprovideroktasamlidpresetresponsesignaturescope) | *No description.* |
| [`resetSsoBinding`](#cdktfprovideroktasamlidpresetssobinding) | *No description.* |
| [`resetSsoDestination`](#cdktfprovideroktasamlidpresetssodestination) | *No description.* |
| [`resetStatus`](#cdktfprovideroktasamlidpresetstatus) | *No description.* |
| [`resetSubjectFilter`](#cdktfprovideroktasamlidpresetsubjectfilter) | *No description.* |
| [`resetSubjectFormat`](#cdktfprovideroktasamlidpresetsubjectformat) | *No description.* |
| [`resetSubjectMatchAttribute`](#cdktfprovideroktasamlidpresetsubjectmatchattribute) | *No description.* |
| [`resetSubjectMatchType`](#cdktfprovideroktasamlidpresetsubjectmatchtype) | *No description.* |
| [`resetSuspendedAction`](#cdktfprovideroktasamlidpresetsuspendedaction) | *No description.* |
| [`resetUsernameTemplate`](#cdktfprovideroktasamlidpresetusernametemplate) | *No description.* |

---

##### `resetAccountLinkAction` <a name="@cdktf/provider-okta.SamlIdp.resetAccountLinkAction" id="cdktfprovideroktasamlidpresetaccountlinkaction"></a>

```typescript
public resetAccountLinkAction()
```

##### `resetAccountLinkGroupInclude` <a name="@cdktf/provider-okta.SamlIdp.resetAccountLinkGroupInclude" id="cdktfprovideroktasamlidpresetaccountlinkgroupinclude"></a>

```typescript
public resetAccountLinkGroupInclude()
```

##### `resetAcsBinding` <a name="@cdktf/provider-okta.SamlIdp.resetAcsBinding" id="cdktfprovideroktasamlidpresetacsbinding"></a>

```typescript
public resetAcsBinding()
```

##### `resetAcsType` <a name="@cdktf/provider-okta.SamlIdp.resetAcsType" id="cdktfprovideroktasamlidpresetacstype"></a>

```typescript
public resetAcsType()
```

##### `resetDeprovisionedAction` <a name="@cdktf/provider-okta.SamlIdp.resetDeprovisionedAction" id="cdktfprovideroktasamlidpresetdeprovisionedaction"></a>

```typescript
public resetDeprovisionedAction()
```

##### `resetGroupsAction` <a name="@cdktf/provider-okta.SamlIdp.resetGroupsAction" id="cdktfprovideroktasamlidpresetgroupsaction"></a>

```typescript
public resetGroupsAction()
```

##### `resetGroupsAssignment` <a name="@cdktf/provider-okta.SamlIdp.resetGroupsAssignment" id="cdktfprovideroktasamlidpresetgroupsassignment"></a>

```typescript
public resetGroupsAssignment()
```

##### `resetGroupsAttribute` <a name="@cdktf/provider-okta.SamlIdp.resetGroupsAttribute" id="cdktfprovideroktasamlidpresetgroupsattribute"></a>

```typescript
public resetGroupsAttribute()
```

##### `resetGroupsFilter` <a name="@cdktf/provider-okta.SamlIdp.resetGroupsFilter" id="cdktfprovideroktasamlidpresetgroupsfilter"></a>

```typescript
public resetGroupsFilter()
```

##### `resetId` <a name="@cdktf/provider-okta.SamlIdp.resetId" id="cdktfprovideroktasamlidpresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.SamlIdp.resetIssuerMode" id="cdktfprovideroktasamlidpresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetMaxClockSkew` <a name="@cdktf/provider-okta.SamlIdp.resetMaxClockSkew" id="cdktfprovideroktasamlidpresetmaxclockskew"></a>

```typescript
public resetMaxClockSkew()
```

##### `resetNameFormat` <a name="@cdktf/provider-okta.SamlIdp.resetNameFormat" id="cdktfprovideroktasamlidpresetnameformat"></a>

```typescript
public resetNameFormat()
```

##### `resetProfileMaster` <a name="@cdktf/provider-okta.SamlIdp.resetProfileMaster" id="cdktfprovideroktasamlidpresetprofilemaster"></a>

```typescript
public resetProfileMaster()
```

##### `resetProvisioningAction` <a name="@cdktf/provider-okta.SamlIdp.resetProvisioningAction" id="cdktfprovideroktasamlidpresetprovisioningaction"></a>

```typescript
public resetProvisioningAction()
```

##### `resetRequestSignatureAlgorithm` <a name="@cdktf/provider-okta.SamlIdp.resetRequestSignatureAlgorithm" id="cdktfprovideroktasamlidpresetrequestsignaturealgorithm"></a>

```typescript
public resetRequestSignatureAlgorithm()
```

##### `resetRequestSignatureScope` <a name="@cdktf/provider-okta.SamlIdp.resetRequestSignatureScope" id="cdktfprovideroktasamlidpresetrequestsignaturescope"></a>

```typescript
public resetRequestSignatureScope()
```

##### `resetResponseSignatureAlgorithm` <a name="@cdktf/provider-okta.SamlIdp.resetResponseSignatureAlgorithm" id="cdktfprovideroktasamlidpresetresponsesignaturealgorithm"></a>

```typescript
public resetResponseSignatureAlgorithm()
```

##### `resetResponseSignatureScope` <a name="@cdktf/provider-okta.SamlIdp.resetResponseSignatureScope" id="cdktfprovideroktasamlidpresetresponsesignaturescope"></a>

```typescript
public resetResponseSignatureScope()
```

##### `resetSsoBinding` <a name="@cdktf/provider-okta.SamlIdp.resetSsoBinding" id="cdktfprovideroktasamlidpresetssobinding"></a>

```typescript
public resetSsoBinding()
```

##### `resetSsoDestination` <a name="@cdktf/provider-okta.SamlIdp.resetSsoDestination" id="cdktfprovideroktasamlidpresetssodestination"></a>

```typescript
public resetSsoDestination()
```

##### `resetStatus` <a name="@cdktf/provider-okta.SamlIdp.resetStatus" id="cdktfprovideroktasamlidpresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectFilter` <a name="@cdktf/provider-okta.SamlIdp.resetSubjectFilter" id="cdktfprovideroktasamlidpresetsubjectfilter"></a>

```typescript
public resetSubjectFilter()
```

##### `resetSubjectFormat` <a name="@cdktf/provider-okta.SamlIdp.resetSubjectFormat" id="cdktfprovideroktasamlidpresetsubjectformat"></a>

```typescript
public resetSubjectFormat()
```

##### `resetSubjectMatchAttribute` <a name="@cdktf/provider-okta.SamlIdp.resetSubjectMatchAttribute" id="cdktfprovideroktasamlidpresetsubjectmatchattribute"></a>

```typescript
public resetSubjectMatchAttribute()
```

##### `resetSubjectMatchType` <a name="@cdktf/provider-okta.SamlIdp.resetSubjectMatchType" id="cdktfprovideroktasamlidpresetsubjectmatchtype"></a>

```typescript
public resetSubjectMatchType()
```

##### `resetSuspendedAction` <a name="@cdktf/provider-okta.SamlIdp.resetSuspendedAction" id="cdktfprovideroktasamlidpresetsuspendedaction"></a>

```typescript
public resetSuspendedAction()
```

##### `resetUsernameTemplate` <a name="@cdktf/provider-okta.SamlIdp.resetUsernameTemplate" id="cdktfprovideroktasamlidpresetusernametemplate"></a>

```typescript
public resetUsernameTemplate()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`audience`](#cdktfprovideroktasamlidppropertyaudience)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktasamlidppropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userTypeId`](#cdktfprovideroktasamlidppropertyusertypeid)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkActionInput`](#cdktfprovideroktasamlidppropertyaccountlinkactioninput) | `string` | *No description.* |
| [`accountLinkGroupIncludeInput`](#cdktfprovideroktasamlidppropertyaccountlinkgroupincludeinput) | `string`[] | *No description.* |
| [`acsBindingInput`](#cdktfprovideroktasamlidppropertyacsbindinginput) | `string` | *No description.* |
| [`acsTypeInput`](#cdktfprovideroktasamlidppropertyacstypeinput) | `string` | *No description.* |
| [`deprovisionedActionInput`](#cdktfprovideroktasamlidppropertydeprovisionedactioninput) | `string` | *No description.* |
| [`groupsActionInput`](#cdktfprovideroktasamlidppropertygroupsactioninput) | `string` | *No description.* |
| [`groupsAssignmentInput`](#cdktfprovideroktasamlidppropertygroupsassignmentinput) | `string`[] | *No description.* |
| [`groupsAttributeInput`](#cdktfprovideroktasamlidppropertygroupsattributeinput) | `string` | *No description.* |
| [`groupsFilterInput`](#cdktfprovideroktasamlidppropertygroupsfilterinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktasamlidppropertyidinput) | `string` | *No description.* |
| [`issuerInput`](#cdktfprovideroktasamlidppropertyissuerinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktasamlidppropertyissuermodeinput) | `string` | *No description.* |
| [`kidInput`](#cdktfprovideroktasamlidppropertykidinput) | `string` | *No description.* |
| [`maxClockSkewInput`](#cdktfprovideroktasamlidppropertymaxclockskewinput) | `number` | *No description.* |
| [`nameFormatInput`](#cdktfprovideroktasamlidppropertynameformatinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktasamlidppropertynameinput) | `string` | *No description.* |
| [`profileMasterInput`](#cdktfprovideroktasamlidppropertyprofilemasterinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`provisioningActionInput`](#cdktfprovideroktasamlidppropertyprovisioningactioninput) | `string` | *No description.* |
| [`requestSignatureAlgorithmInput`](#cdktfprovideroktasamlidppropertyrequestsignaturealgorithminput) | `string` | *No description.* |
| [`requestSignatureScopeInput`](#cdktfprovideroktasamlidppropertyrequestsignaturescopeinput) | `string` | *No description.* |
| [`responseSignatureAlgorithmInput`](#cdktfprovideroktasamlidppropertyresponsesignaturealgorithminput) | `string` | *No description.* |
| [`responseSignatureScopeInput`](#cdktfprovideroktasamlidppropertyresponsesignaturescopeinput) | `string` | *No description.* |
| [`ssoBindingInput`](#cdktfprovideroktasamlidppropertyssobindinginput) | `string` | *No description.* |
| [`ssoDestinationInput`](#cdktfprovideroktasamlidppropertyssodestinationinput) | `string` | *No description.* |
| [`ssoUrlInput`](#cdktfprovideroktasamlidppropertyssourlinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktasamlidppropertystatusinput) | `string` | *No description.* |
| [`subjectFilterInput`](#cdktfprovideroktasamlidppropertysubjectfilterinput) | `string` | *No description.* |
| [`subjectFormatInput`](#cdktfprovideroktasamlidppropertysubjectformatinput) | `string`[] | *No description.* |
| [`subjectMatchAttributeInput`](#cdktfprovideroktasamlidppropertysubjectmatchattributeinput) | `string` | *No description.* |
| [`subjectMatchTypeInput`](#cdktfprovideroktasamlidppropertysubjectmatchtypeinput) | `string` | *No description.* |
| [`suspendedActionInput`](#cdktfprovideroktasamlidppropertysuspendedactioninput) | `string` | *No description.* |
| [`usernameTemplateInput`](#cdktfprovideroktasamlidppropertyusernametemplateinput) | `string` | *No description.* |
| [`accountLinkAction`](#cdktfprovideroktasamlidppropertyaccountlinkaction)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkGroupInclude`](#cdktfprovideroktasamlidppropertyaccountlinkgroupinclude)<span title="Required">*</span> | `string`[] | *No description.* |
| [`acsBinding`](#cdktfprovideroktasamlidppropertyacsbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`acsType`](#cdktfprovideroktasamlidppropertyacstype)<span title="Required">*</span> | `string` | *No description.* |
| [`deprovisionedAction`](#cdktfprovideroktasamlidppropertydeprovisionedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAction`](#cdktfprovideroktasamlidppropertygroupsaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAssignment`](#cdktfprovideroktasamlidppropertygroupsassignment)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsAttribute`](#cdktfprovideroktasamlidppropertygroupsattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsFilter`](#cdktfprovideroktasamlidppropertygroupsfilter)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktasamlidppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuer`](#cdktfprovideroktasamlidppropertyissuer)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktasamlidppropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktasamlidppropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktasamlidppropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`name`](#cdktfprovideroktasamlidppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`nameFormat`](#cdktfprovideroktasamlidppropertynameformat)<span title="Required">*</span> | `string` | *No description.* |
| [`profileMaster`](#cdktfprovideroktasamlidppropertyprofilemaster)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`provisioningAction`](#cdktfprovideroktasamlidppropertyprovisioningaction)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureAlgorithm`](#cdktfprovideroktasamlidppropertyrequestsignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`requestSignatureScope`](#cdktfprovideroktasamlidppropertyrequestsignaturescope)<span title="Required">*</span> | `string` | *No description.* |
| [`responseSignatureAlgorithm`](#cdktfprovideroktasamlidppropertyresponsesignaturealgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`responseSignatureScope`](#cdktfprovideroktasamlidppropertyresponsesignaturescope)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoBinding`](#cdktfprovideroktasamlidppropertyssobinding)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoDestination`](#cdktfprovideroktasamlidppropertyssodestination)<span title="Required">*</span> | `string` | *No description.* |
| [`ssoUrl`](#cdktfprovideroktasamlidppropertyssourl)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktasamlidppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectFilter`](#cdktfprovideroktasamlidppropertysubjectfilter)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectFormat`](#cdktfprovideroktasamlidppropertysubjectformat)<span title="Required">*</span> | `string`[] | *No description.* |
| [`subjectMatchAttribute`](#cdktfprovideroktasamlidppropertysubjectmatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchType`](#cdktfprovideroktasamlidppropertysubjectmatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`suspendedAction`](#cdktfprovideroktasamlidppropertysuspendedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameTemplate`](#cdktfprovideroktasamlidppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |

---

##### `audience`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.audience" id="cdktfprovideroktasamlidppropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.type" id="cdktfprovideroktasamlidppropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userTypeId`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.userTypeId" id="cdktfprovideroktasamlidppropertyusertypeid"></a>

```typescript
public readonly userTypeId: string;
```

- *Type:* `string`

---

##### `accountLinkActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.accountLinkActionInput" id="cdktfprovideroktasamlidppropertyaccountlinkactioninput"></a>

```typescript
public readonly accountLinkActionInput: string;
```

- *Type:* `string`

---

##### `accountLinkGroupIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.accountLinkGroupIncludeInput" id="cdktfprovideroktasamlidppropertyaccountlinkgroupincludeinput"></a>

```typescript
public readonly accountLinkGroupIncludeInput: string[];
```

- *Type:* `string`[]

---

##### `acsBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.acsBindingInput" id="cdktfprovideroktasamlidppropertyacsbindinginput"></a>

```typescript
public readonly acsBindingInput: string;
```

- *Type:* `string`

---

##### `acsTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.acsTypeInput" id="cdktfprovideroktasamlidppropertyacstypeinput"></a>

```typescript
public readonly acsTypeInput: string;
```

- *Type:* `string`

---

##### `deprovisionedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.deprovisionedActionInput" id="cdktfprovideroktasamlidppropertydeprovisionedactioninput"></a>

```typescript
public readonly deprovisionedActionInput: string;
```

- *Type:* `string`

---

##### `groupsActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsActionInput" id="cdktfprovideroktasamlidppropertygroupsactioninput"></a>

```typescript
public readonly groupsActionInput: string;
```

- *Type:* `string`

---

##### `groupsAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsAssignmentInput" id="cdktfprovideroktasamlidppropertygroupsassignmentinput"></a>

```typescript
public readonly groupsAssignmentInput: string[];
```

- *Type:* `string`[]

---

##### `groupsAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsAttributeInput" id="cdktfprovideroktasamlidppropertygroupsattributeinput"></a>

```typescript
public readonly groupsAttributeInput: string;
```

- *Type:* `string`

---

##### `groupsFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsFilterInput" id="cdktfprovideroktasamlidppropertygroupsfilterinput"></a>

```typescript
public readonly groupsFilterInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.idInput" id="cdktfprovideroktasamlidppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.issuerInput" id="cdktfprovideroktasamlidppropertyissuerinput"></a>

```typescript
public readonly issuerInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.issuerModeInput" id="cdktfprovideroktasamlidppropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `kidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.kidInput" id="cdktfprovideroktasamlidppropertykidinput"></a>

```typescript
public readonly kidInput: string;
```

- *Type:* `string`

---

##### `maxClockSkewInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.maxClockSkewInput" id="cdktfprovideroktasamlidppropertymaxclockskewinput"></a>

```typescript
public readonly maxClockSkewInput: number;
```

- *Type:* `number`

---

##### `nameFormatInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.nameFormatInput" id="cdktfprovideroktasamlidppropertynameformatinput"></a>

```typescript
public readonly nameFormatInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.nameInput" id="cdktfprovideroktasamlidppropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `profileMasterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.profileMasterInput" id="cdktfprovideroktasamlidppropertyprofilemasterinput"></a>

```typescript
public readonly profileMasterInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `provisioningActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.provisioningActionInput" id="cdktfprovideroktasamlidppropertyprovisioningactioninput"></a>

```typescript
public readonly provisioningActionInput: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.requestSignatureAlgorithmInput" id="cdktfprovideroktasamlidppropertyrequestsignaturealgorithminput"></a>

```typescript
public readonly requestSignatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `requestSignatureScopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.requestSignatureScopeInput" id="cdktfprovideroktasamlidppropertyrequestsignaturescopeinput"></a>

```typescript
public readonly requestSignatureScopeInput: string;
```

- *Type:* `string`

---

##### `responseSignatureAlgorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.responseSignatureAlgorithmInput" id="cdktfprovideroktasamlidppropertyresponsesignaturealgorithminput"></a>

```typescript
public readonly responseSignatureAlgorithmInput: string;
```

- *Type:* `string`

---

##### `responseSignatureScopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.responseSignatureScopeInput" id="cdktfprovideroktasamlidppropertyresponsesignaturescopeinput"></a>

```typescript
public readonly responseSignatureScopeInput: string;
```

- *Type:* `string`

---

##### `ssoBindingInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.ssoBindingInput" id="cdktfprovideroktasamlidppropertyssobindinginput"></a>

```typescript
public readonly ssoBindingInput: string;
```

- *Type:* `string`

---

##### `ssoDestinationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.ssoDestinationInput" id="cdktfprovideroktasamlidppropertyssodestinationinput"></a>

```typescript
public readonly ssoDestinationInput: string;
```

- *Type:* `string`

---

##### `ssoUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.ssoUrlInput" id="cdktfprovideroktasamlidppropertyssourlinput"></a>

```typescript
public readonly ssoUrlInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.statusInput" id="cdktfprovideroktasamlidppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectFilterInput" id="cdktfprovideroktasamlidppropertysubjectfilterinput"></a>

```typescript
public readonly subjectFilterInput: string;
```

- *Type:* `string`

---

##### `subjectFormatInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectFormatInput" id="cdktfprovideroktasamlidppropertysubjectformatinput"></a>

```typescript
public readonly subjectFormatInput: string[];
```

- *Type:* `string`[]

---

##### `subjectMatchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectMatchAttributeInput" id="cdktfprovideroktasamlidppropertysubjectmatchattributeinput"></a>

```typescript
public readonly subjectMatchAttributeInput: string;
```

- *Type:* `string`

---

##### `subjectMatchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectMatchTypeInput" id="cdktfprovideroktasamlidppropertysubjectmatchtypeinput"></a>

```typescript
public readonly subjectMatchTypeInput: string;
```

- *Type:* `string`

---

##### `suspendedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.suspendedActionInput" id="cdktfprovideroktasamlidppropertysuspendedactioninput"></a>

```typescript
public readonly suspendedActionInput: string;
```

- *Type:* `string`

---

##### `usernameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdp.property.usernameTemplateInput" id="cdktfprovideroktasamlidppropertyusernametemplateinput"></a>

```typescript
public readonly usernameTemplateInput: string;
```

- *Type:* `string`

---

##### `accountLinkAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.accountLinkAction" id="cdktfprovideroktasamlidppropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

---

##### `accountLinkGroupInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.accountLinkGroupInclude" id="cdktfprovideroktasamlidppropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

---

##### `acsBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.acsBinding" id="cdktfprovideroktasamlidppropertyacsbinding"></a>

```typescript
public readonly acsBinding: string;
```

- *Type:* `string`

---

##### `acsType`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.acsType" id="cdktfprovideroktasamlidppropertyacstype"></a>

```typescript
public readonly acsType: string;
```

- *Type:* `string`

---

##### `deprovisionedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.deprovisionedAction" id="cdktfprovideroktasamlidppropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

---

##### `groupsAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsAction" id="cdktfprovideroktasamlidppropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

---

##### `groupsAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsAssignment" id="cdktfprovideroktasamlidppropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

---

##### `groupsAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsAttribute" id="cdktfprovideroktasamlidppropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

---

##### `groupsFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.groupsFilter" id="cdktfprovideroktasamlidppropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.id" id="cdktfprovideroktasamlidppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.issuer" id="cdktfprovideroktasamlidppropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.issuerMode" id="cdktfprovideroktasamlidppropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.kid" id="cdktfprovideroktasamlidppropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.maxClockSkew" id="cdktfprovideroktasamlidppropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.name" id="cdktfprovideroktasamlidppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `nameFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.nameFormat" id="cdktfprovideroktasamlidppropertynameformat"></a>

```typescript
public readonly nameFormat: string;
```

- *Type:* `string`

---

##### `profileMaster`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.profileMaster" id="cdktfprovideroktasamlidppropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `provisioningAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.provisioningAction" id="cdktfprovideroktasamlidppropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

---

##### `requestSignatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.requestSignatureAlgorithm" id="cdktfprovideroktasamlidppropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

---

##### `requestSignatureScope`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.requestSignatureScope" id="cdktfprovideroktasamlidppropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

---

##### `responseSignatureAlgorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.responseSignatureAlgorithm" id="cdktfprovideroktasamlidppropertyresponsesignaturealgorithm"></a>

```typescript
public readonly responseSignatureAlgorithm: string;
```

- *Type:* `string`

---

##### `responseSignatureScope`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.responseSignatureScope" id="cdktfprovideroktasamlidppropertyresponsesignaturescope"></a>

```typescript
public readonly responseSignatureScope: string;
```

- *Type:* `string`

---

##### `ssoBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.ssoBinding" id="cdktfprovideroktasamlidppropertyssobinding"></a>

```typescript
public readonly ssoBinding: string;
```

- *Type:* `string`

---

##### `ssoDestination`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.ssoDestination" id="cdktfprovideroktasamlidppropertyssodestination"></a>

```typescript
public readonly ssoDestination: string;
```

- *Type:* `string`

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.ssoUrl" id="cdktfprovideroktasamlidppropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.status" id="cdktfprovideroktasamlidppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectFilter" id="cdktfprovideroktasamlidppropertysubjectfilter"></a>

```typescript
public readonly subjectFilter: string;
```

- *Type:* `string`

---

##### `subjectFormat`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectFormat" id="cdktfprovideroktasamlidppropertysubjectformat"></a>

```typescript
public readonly subjectFormat: string[];
```

- *Type:* `string`[]

---

##### `subjectMatchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectMatchAttribute" id="cdktfprovideroktasamlidppropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

---

##### `subjectMatchType`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.subjectMatchType" id="cdktfprovideroktasamlidppropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

---

##### `suspendedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.suspendedAction" id="cdktfprovideroktasamlidppropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

---

##### `usernameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdp.property.usernameTemplate" id="cdktfprovideroktasamlidppropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasamlidppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SamlIdp.property.tfResourceType" id="cdktfprovideroktasamlidppropertytfresourcetype"></a>

- *Type:* `string`

---

### SamlIdpSigningKey <a name="@cdktf/provider-okta.SamlIdpSigningKey" id="cdktfprovideroktasamlidpsigningkey"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/saml_idp_signing_key okta_saml_idp_signing_key}.

#### Initializers <a name="@cdktf/provider-okta.SamlIdpSigningKey.Initializer" id="cdktfprovideroktasamlidpsigningkeyinitializer"></a>

```typescript
import { SamlIdpSigningKey } from '@cdktf/provider-okta'

new SamlIdpSigningKey(scope: Construct, id: string, config: SamlIdpSigningKeyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasamlidpsigningkeyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasamlidpsigningkeyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasamlidpsigningkeyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SamlIdpSigningKeyConfig`](#@cdktf/provider-okta.SamlIdpSigningKeyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.parameter.scope" id="cdktfprovideroktasamlidpsigningkeyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.parameter.id" id="cdktfprovideroktasamlidpsigningkeyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.parameter.config" id="cdktfprovideroktasamlidpsigningkeyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SamlIdpSigningKeyConfig`](#@cdktf/provider-okta.SamlIdpSigningKeyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktasamlidpsigningkeyresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.SamlIdpSigningKey.resetId" id="cdktfprovideroktasamlidpsigningkeyresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`created`](#cdktfprovideroktasamlidpsigningkeypropertycreated)<span title="Required">*</span> | `string` | *No description.* |
| [`expiresAt`](#cdktfprovideroktasamlidpsigningkeypropertyexpiresat)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktasamlidpsigningkeypropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`kty`](#cdktfprovideroktasamlidpsigningkeypropertykty)<span title="Required">*</span> | `string` | *No description.* |
| [`use`](#cdktfprovideroktasamlidpsigningkeypropertyuse)<span title="Required">*</span> | `string` | *No description.* |
| [`x5TS256`](#cdktfprovideroktasamlidpsigningkeypropertyx5ts256)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktasamlidpsigningkeypropertyidinput) | `string` | *No description.* |
| [`x5CInput`](#cdktfprovideroktasamlidpsigningkeypropertyx5cinput) | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktasamlidpsigningkeypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`x5C`](#cdktfprovideroktasamlidpsigningkeypropertyx5c)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `created`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.created" id="cdktfprovideroktasamlidpsigningkeypropertycreated"></a>

```typescript
public readonly created: string;
```

- *Type:* `string`

---

##### `expiresAt`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.expiresAt" id="cdktfprovideroktasamlidpsigningkeypropertyexpiresat"></a>

```typescript
public readonly expiresAt: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.kid" id="cdktfprovideroktasamlidpsigningkeypropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.kty" id="cdktfprovideroktasamlidpsigningkeypropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

---

##### `use`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.use" id="cdktfprovideroktasamlidpsigningkeypropertyuse"></a>

```typescript
public readonly use: string;
```

- *Type:* `string`

---

##### `x5TS256`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.x5TS256" id="cdktfprovideroktasamlidpsigningkeypropertyx5ts256"></a>

```typescript
public readonly x5TS256: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.idInput" id="cdktfprovideroktasamlidpsigningkeypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `x5CInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.x5CInput" id="cdktfprovideroktasamlidpsigningkeypropertyx5cinput"></a>

```typescript
public readonly x5CInput: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.id" id="cdktfprovideroktasamlidpsigningkeypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `x5C`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.x5C" id="cdktfprovideroktasamlidpsigningkeypropertyx5c"></a>

```typescript
public readonly x5C: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasamlidpsigningkeypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SamlIdpSigningKey.property.tfResourceType" id="cdktfprovideroktasamlidpsigningkeypropertytfresourcetype"></a>

- *Type:* `string`

---

### SecurePasswordStoreApp <a name="@cdktf/provider-okta.SecurePasswordStoreApp" id="cdktfprovideroktasecurepasswordstoreapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app okta_secure_password_store_app}.

#### Initializers <a name="@cdktf/provider-okta.SecurePasswordStoreApp.Initializer" id="cdktfprovideroktasecurepasswordstoreappinitializer"></a>

```typescript
import { SecurePasswordStoreApp } from '@cdktf/provider-okta'

new SecurePasswordStoreApp(scope: Construct, id: string, config: SecurePasswordStoreAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasecurepasswordstoreappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasecurepasswordstoreappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasecurepasswordstoreappparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SecurePasswordStoreAppConfig`](#@cdktf/provider-okta.SecurePasswordStoreAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.parameter.scope" id="cdktfprovideroktasecurepasswordstoreappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.parameter.id" id="cdktfprovideroktasecurepasswordstoreappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.parameter.config" id="cdktfprovideroktasecurepasswordstoreappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SecurePasswordStoreAppConfig`](#@cdktf/provider-okta.SecurePasswordStoreAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktasecurepasswordstoreappputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktasecurepasswordstoreappresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktasecurepasswordstoreappresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktasecurepasswordstoreappresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktasecurepasswordstoreappresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktasecurepasswordstoreappresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktasecurepasswordstoreappresetautosubmittoolbar) | *No description.* |
| [`resetCredentialsScheme`](#cdktfprovideroktasecurepasswordstoreappresetcredentialsscheme) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktasecurepasswordstoreappresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktasecurepasswordstoreappresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktasecurepasswordstoreappresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktasecurepasswordstoreappresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktasecurepasswordstoreappresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktasecurepasswordstoreappresetlogo) | *No description.* |
| [`resetOptionalField1`](#cdktfprovideroktasecurepasswordstoreappresetoptionalfield1) | *No description.* |
| [`resetOptionalField1Value`](#cdktfprovideroktasecurepasswordstoreappresetoptionalfield1value) | *No description.* |
| [`resetOptionalField2`](#cdktfprovideroktasecurepasswordstoreappresetoptionalfield2) | *No description.* |
| [`resetOptionalField2Value`](#cdktfprovideroktasecurepasswordstoreappresetoptionalfield2value) | *No description.* |
| [`resetOptionalField3`](#cdktfprovideroktasecurepasswordstoreappresetoptionalfield3) | *No description.* |
| [`resetOptionalField3Value`](#cdktfprovideroktasecurepasswordstoreappresetoptionalfield3value) | *No description.* |
| [`resetRevealPassword`](#cdktfprovideroktasecurepasswordstoreappresetrevealpassword) | *No description.* |
| [`resetSharedPassword`](#cdktfprovideroktasecurepasswordstoreappresetsharedpassword) | *No description.* |
| [`resetSharedUsername`](#cdktfprovideroktasecurepasswordstoreappresetsharedusername) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktasecurepasswordstoreappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktasecurepasswordstoreappresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktasecurepasswordstoreappresetstatus) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktasecurepasswordstoreappresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktasecurepasswordstoreappresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktasecurepasswordstoreappresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktasecurepasswordstoreappresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktasecurepasswordstoreappresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.putUsers" id="cdktfprovideroktasecurepasswordstoreappputusers"></a>

```typescript
public putUsers(value: IResolvable | SecurePasswordStoreAppUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.parameter.value" id="cdktfprovideroktasecurepasswordstoreappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktasecurepasswordstoreappresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktasecurepasswordstoreappresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetAccessibilitySelfService" id="cdktfprovideroktasecurepasswordstoreappresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetAdminNote" id="cdktfprovideroktasecurepasswordstoreappresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetAppLinksJson" id="cdktfprovideroktasecurepasswordstoreappresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetAutoSubmitToolbar" id="cdktfprovideroktasecurepasswordstoreappresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetCredentialsScheme` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetCredentialsScheme" id="cdktfprovideroktasecurepasswordstoreappresetcredentialsscheme"></a>

```typescript
public resetCredentialsScheme()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetEnduserNote" id="cdktfprovideroktasecurepasswordstoreappresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetGroups" id="cdktfprovideroktasecurepasswordstoreappresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetHideIos" id="cdktfprovideroktasecurepasswordstoreappresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetHideWeb" id="cdktfprovideroktasecurepasswordstoreappresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetId" id="cdktfprovideroktasecurepasswordstoreappresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetLogo" id="cdktfprovideroktasecurepasswordstoreappresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetOptionalField1` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetOptionalField1" id="cdktfprovideroktasecurepasswordstoreappresetoptionalfield1"></a>

```typescript
public resetOptionalField1()
```

##### `resetOptionalField1Value` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetOptionalField1Value" id="cdktfprovideroktasecurepasswordstoreappresetoptionalfield1value"></a>

```typescript
public resetOptionalField1Value()
```

##### `resetOptionalField2` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetOptionalField2" id="cdktfprovideroktasecurepasswordstoreappresetoptionalfield2"></a>

```typescript
public resetOptionalField2()
```

##### `resetOptionalField2Value` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetOptionalField2Value" id="cdktfprovideroktasecurepasswordstoreappresetoptionalfield2value"></a>

```typescript
public resetOptionalField2Value()
```

##### `resetOptionalField3` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetOptionalField3" id="cdktfprovideroktasecurepasswordstoreappresetoptionalfield3"></a>

```typescript
public resetOptionalField3()
```

##### `resetOptionalField3Value` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetOptionalField3Value" id="cdktfprovideroktasecurepasswordstoreappresetoptionalfield3value"></a>

```typescript
public resetOptionalField3Value()
```

##### `resetRevealPassword` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetRevealPassword" id="cdktfprovideroktasecurepasswordstoreappresetrevealpassword"></a>

```typescript
public resetRevealPassword()
```

##### `resetSharedPassword` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetSharedPassword" id="cdktfprovideroktasecurepasswordstoreappresetsharedpassword"></a>

```typescript
public resetSharedPassword()
```

##### `resetSharedUsername` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetSharedUsername" id="cdktfprovideroktasecurepasswordstoreappresetsharedusername"></a>

```typescript
public resetSharedUsername()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetSkipGroups" id="cdktfprovideroktasecurepasswordstoreappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetSkipUsers" id="cdktfprovideroktasecurepasswordstoreappresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetStatus" id="cdktfprovideroktasecurepasswordstoreappresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetUserNameTemplate" id="cdktfprovideroktasecurepasswordstoreappresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetUserNameTemplatePushStatus" id="cdktfprovideroktasecurepasswordstoreappresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetUserNameTemplateSuffix" id="cdktfprovideroktasecurepasswordstoreappresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetUserNameTemplateType" id="cdktfprovideroktasecurepasswordstoreappresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.resetUsers" id="cdktfprovideroktasecurepasswordstoreappresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktasecurepasswordstoreapppropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktasecurepasswordstoreapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktasecurepasswordstoreapppropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktasecurepasswordstoreapppropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.SecurePasswordStoreAppUsersList`](#@cdktf/provider-okta.SecurePasswordStoreAppUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktasecurepasswordstoreapppropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktasecurepasswordstoreapppropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktasecurepasswordstoreapppropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsSchemeInput`](#cdktfprovideroktasecurepasswordstoreapppropertycredentialsschemeinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktasecurepasswordstoreapppropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktasecurepasswordstoreapppropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktasecurepasswordstoreapppropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktasecurepasswordstoreapppropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktasecurepasswordstoreapppropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktasecurepasswordstoreapppropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktasecurepasswordstoreapppropertylogoinput) | `string` | *No description.* |
| [`optionalField1Input`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1input) | `string` | *No description.* |
| [`optionalField1ValueInput`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1valueinput) | `string` | *No description.* |
| [`optionalField2Input`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2input) | `string` | *No description.* |
| [`optionalField2ValueInput`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2valueinput) | `string` | *No description.* |
| [`optionalField3Input`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3input) | `string` | *No description.* |
| [`optionalField3ValueInput`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3valueinput) | `string` | *No description.* |
| [`passwordFieldInput`](#cdktfprovideroktasecurepasswordstoreapppropertypasswordfieldinput) | `string` | *No description.* |
| [`revealPasswordInput`](#cdktfprovideroktasecurepasswordstoreapppropertyrevealpasswordinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPasswordInput`](#cdktfprovideroktasecurepasswordstoreapppropertysharedpasswordinput) | `string` | *No description.* |
| [`sharedUsernameInput`](#cdktfprovideroktasecurepasswordstoreapppropertysharedusernameinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktasecurepasswordstoreapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktasecurepasswordstoreapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktasecurepasswordstoreapppropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktasecurepasswordstoreapppropertyurlinput) | `string` | *No description.* |
| [`usernameFieldInput`](#cdktfprovideroktasecurepasswordstoreapppropertyusernamefieldinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktasecurepasswordstoreapppropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktasecurepasswordstoreapppropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktasecurepasswordstoreapppropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktasecurepasswordstoreapppropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`credentialsScheme`](#cdktfprovideroktasecurepasswordstoreapppropertycredentialsscheme)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktasecurepasswordstoreapppropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktasecurepasswordstoreapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktasecurepasswordstoreapppropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktasecurepasswordstoreapppropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktasecurepasswordstoreapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktasecurepasswordstoreapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktasecurepasswordstoreapppropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField1`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField1Value`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1value)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField2`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField2Value`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2value)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField3`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3)<span title="Required">*</span> | `string` | *No description.* |
| [`optionalField3Value`](#cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3value)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordField`](#cdktfprovideroktasecurepasswordstoreapppropertypasswordfield)<span title="Required">*</span> | `string` | *No description.* |
| [`revealPassword`](#cdktfprovideroktasecurepasswordstoreapppropertyrevealpassword)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPassword`](#cdktfprovideroktasecurepasswordstoreapppropertysharedpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedUsername`](#cdktfprovideroktasecurepasswordstoreapppropertysharedusername)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktasecurepasswordstoreapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktasecurepasswordstoreapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktasecurepasswordstoreapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktasecurepasswordstoreapppropertyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameField`](#cdktfprovideroktasecurepasswordstoreapppropertyusernamefield)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.logoUrl" id="cdktfprovideroktasecurepasswordstoreapppropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.name" id="cdktfprovideroktasecurepasswordstoreapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.signOnMode" id="cdktfprovideroktasecurepasswordstoreapppropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.users" id="cdktfprovideroktasecurepasswordstoreapppropertyusers"></a>

```typescript
public readonly users: SecurePasswordStoreAppUsersList;
```

- *Type:* [`@cdktf/provider-okta.SecurePasswordStoreAppUsersList`](#@cdktf/provider-okta.SecurePasswordStoreAppUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.accessibilitySelfServiceInput" id="cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.adminNoteInput" id="cdktfprovideroktasecurepasswordstoreapppropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.appLinksJsonInput" id="cdktfprovideroktasecurepasswordstoreapppropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.autoSubmitToolbarInput" id="cdktfprovideroktasecurepasswordstoreapppropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsSchemeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.credentialsSchemeInput" id="cdktfprovideroktasecurepasswordstoreapppropertycredentialsschemeinput"></a>

```typescript
public readonly credentialsSchemeInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.enduserNoteInput" id="cdktfprovideroktasecurepasswordstoreapppropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.groupsInput" id="cdktfprovideroktasecurepasswordstoreapppropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.hideIosInput" id="cdktfprovideroktasecurepasswordstoreapppropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.hideWebInput" id="cdktfprovideroktasecurepasswordstoreapppropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.idInput" id="cdktfprovideroktasecurepasswordstoreapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.labelInput" id="cdktfprovideroktasecurepasswordstoreapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.logoInput" id="cdktfprovideroktasecurepasswordstoreapppropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `optionalField1Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField1Input" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1input"></a>

```typescript
public readonly optionalField1Input: string;
```

- *Type:* `string`

---

##### `optionalField1ValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField1ValueInput" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1valueinput"></a>

```typescript
public readonly optionalField1ValueInput: string;
```

- *Type:* `string`

---

##### `optionalField2Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField2Input" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2input"></a>

```typescript
public readonly optionalField2Input: string;
```

- *Type:* `string`

---

##### `optionalField2ValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField2ValueInput" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2valueinput"></a>

```typescript
public readonly optionalField2ValueInput: string;
```

- *Type:* `string`

---

##### `optionalField3Input`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField3Input" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3input"></a>

```typescript
public readonly optionalField3Input: string;
```

- *Type:* `string`

---

##### `optionalField3ValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField3ValueInput" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3valueinput"></a>

```typescript
public readonly optionalField3ValueInput: string;
```

- *Type:* `string`

---

##### `passwordFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.passwordFieldInput" id="cdktfprovideroktasecurepasswordstoreapppropertypasswordfieldinput"></a>

```typescript
public readonly passwordFieldInput: string;
```

- *Type:* `string`

---

##### `revealPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.revealPasswordInput" id="cdktfprovideroktasecurepasswordstoreapppropertyrevealpasswordinput"></a>

```typescript
public readonly revealPasswordInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.sharedPasswordInput" id="cdktfprovideroktasecurepasswordstoreapppropertysharedpasswordinput"></a>

```typescript
public readonly sharedPasswordInput: string;
```

- *Type:* `string`

---

##### `sharedUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.sharedUsernameInput" id="cdktfprovideroktasecurepasswordstoreapppropertysharedusernameinput"></a>

```typescript
public readonly sharedUsernameInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.skipGroupsInput" id="cdktfprovideroktasecurepasswordstoreapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.skipUsersInput" id="cdktfprovideroktasecurepasswordstoreapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.statusInput" id="cdktfprovideroktasecurepasswordstoreapppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.urlInput" id="cdktfprovideroktasecurepasswordstoreapppropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `usernameFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.usernameFieldInput" id="cdktfprovideroktasecurepasswordstoreapppropertyusernamefieldinput"></a>

```typescript
public readonly usernameFieldInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplateInput" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplatePushStatusInput" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplateSuffixInput" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplateTypeInput" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.usersInput" id="cdktfprovideroktasecurepasswordstoreapppropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | SecurePasswordStoreAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.accessibilitySelfService" id="cdktfprovideroktasecurepasswordstoreapppropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.adminNote" id="cdktfprovideroktasecurepasswordstoreapppropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.appLinksJson" id="cdktfprovideroktasecurepasswordstoreapppropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.autoSubmitToolbar" id="cdktfprovideroktasecurepasswordstoreapppropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `credentialsScheme`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.credentialsScheme" id="cdktfprovideroktasecurepasswordstoreapppropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.enduserNote" id="cdktfprovideroktasecurepasswordstoreapppropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.groups" id="cdktfprovideroktasecurepasswordstoreapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.hideIos" id="cdktfprovideroktasecurepasswordstoreapppropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.hideWeb" id="cdktfprovideroktasecurepasswordstoreapppropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.id" id="cdktfprovideroktasecurepasswordstoreapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.label" id="cdktfprovideroktasecurepasswordstoreapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.logo" id="cdktfprovideroktasecurepasswordstoreapppropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `optionalField1`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField1" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1"></a>

```typescript
public readonly optionalField1: string;
```

- *Type:* `string`

---

##### `optionalField1Value`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField1Value" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield1value"></a>

```typescript
public readonly optionalField1Value: string;
```

- *Type:* `string`

---

##### `optionalField2`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField2" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2"></a>

```typescript
public readonly optionalField2: string;
```

- *Type:* `string`

---

##### `optionalField2Value`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField2Value" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield2value"></a>

```typescript
public readonly optionalField2Value: string;
```

- *Type:* `string`

---

##### `optionalField3`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField3" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3"></a>

```typescript
public readonly optionalField3: string;
```

- *Type:* `string`

---

##### `optionalField3Value`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.optionalField3Value" id="cdktfprovideroktasecurepasswordstoreapppropertyoptionalfield3value"></a>

```typescript
public readonly optionalField3Value: string;
```

- *Type:* `string`

---

##### `passwordField`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.passwordField" id="cdktfprovideroktasecurepasswordstoreapppropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

---

##### `revealPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.revealPassword" id="cdktfprovideroktasecurepasswordstoreapppropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.sharedPassword" id="cdktfprovideroktasecurepasswordstoreapppropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

---

##### `sharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.sharedUsername" id="cdktfprovideroktasecurepasswordstoreapppropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.skipGroups" id="cdktfprovideroktasecurepasswordstoreapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.skipUsers" id="cdktfprovideroktasecurepasswordstoreapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.status" id="cdktfprovideroktasecurepasswordstoreapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.url" id="cdktfprovideroktasecurepasswordstoreapppropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

##### `usernameField`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.usernameField" id="cdktfprovideroktasecurepasswordstoreapppropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplate" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplatePushStatus" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplateSuffix" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.userNameTemplateType" id="cdktfprovideroktasecurepasswordstoreapppropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasecurepasswordstoreapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SecurePasswordStoreApp.property.tfResourceType" id="cdktfprovideroktasecurepasswordstoreapppropertytfresourcetype"></a>

- *Type:* `string`

---

### SecurityNotificationEmails <a name="@cdktf/provider-okta.SecurityNotificationEmails" id="cdktfprovideroktasecuritynotificationemails"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails okta_security_notification_emails}.

#### Initializers <a name="@cdktf/provider-okta.SecurityNotificationEmails.Initializer" id="cdktfprovideroktasecuritynotificationemailsinitializer"></a>

```typescript
import { SecurityNotificationEmails } from '@cdktf/provider-okta'

new SecurityNotificationEmails(scope: Construct, id: string, config?: SecurityNotificationEmailsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasecuritynotificationemailsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasecuritynotificationemailsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasecuritynotificationemailsparameterconfig) | [`@cdktf/provider-okta.SecurityNotificationEmailsConfig`](#@cdktf/provider-okta.SecurityNotificationEmailsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.parameter.scope" id="cdktfprovideroktasecuritynotificationemailsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.parameter.id" id="cdktfprovideroktasecuritynotificationemailsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.parameter.config" id="cdktfprovideroktasecuritynotificationemailsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SecurityNotificationEmailsConfig`](#@cdktf/provider-okta.SecurityNotificationEmailsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktasecuritynotificationemailsresetid) | *No description.* |
| [`resetReportSuspiciousActivityEnabled`](#cdktfprovideroktasecuritynotificationemailsresetreportsuspiciousactivityenabled) | *No description.* |
| [`resetSendEmailForFactorEnrollmentEnabled`](#cdktfprovideroktasecuritynotificationemailsresetsendemailforfactorenrollmentenabled) | *No description.* |
| [`resetSendEmailForFactorResetEnabled`](#cdktfprovideroktasecuritynotificationemailsresetsendemailforfactorresetenabled) | *No description.* |
| [`resetSendEmailForNewDeviceEnabled`](#cdktfprovideroktasecuritynotificationemailsresetsendemailfornewdeviceenabled) | *No description.* |
| [`resetSendEmailForPasswordChangedEnabled`](#cdktfprovideroktasecuritynotificationemailsresetsendemailforpasswordchangedenabled) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.SecurityNotificationEmails.resetId" id="cdktfprovideroktasecuritynotificationemailsresetid"></a>

```typescript
public resetId()
```

##### `resetReportSuspiciousActivityEnabled` <a name="@cdktf/provider-okta.SecurityNotificationEmails.resetReportSuspiciousActivityEnabled" id="cdktfprovideroktasecuritynotificationemailsresetreportsuspiciousactivityenabled"></a>

```typescript
public resetReportSuspiciousActivityEnabled()
```

##### `resetSendEmailForFactorEnrollmentEnabled` <a name="@cdktf/provider-okta.SecurityNotificationEmails.resetSendEmailForFactorEnrollmentEnabled" id="cdktfprovideroktasecuritynotificationemailsresetsendemailforfactorenrollmentenabled"></a>

```typescript
public resetSendEmailForFactorEnrollmentEnabled()
```

##### `resetSendEmailForFactorResetEnabled` <a name="@cdktf/provider-okta.SecurityNotificationEmails.resetSendEmailForFactorResetEnabled" id="cdktfprovideroktasecuritynotificationemailsresetsendemailforfactorresetenabled"></a>

```typescript
public resetSendEmailForFactorResetEnabled()
```

##### `resetSendEmailForNewDeviceEnabled` <a name="@cdktf/provider-okta.SecurityNotificationEmails.resetSendEmailForNewDeviceEnabled" id="cdktfprovideroktasecuritynotificationemailsresetsendemailfornewdeviceenabled"></a>

```typescript
public resetSendEmailForNewDeviceEnabled()
```

##### `resetSendEmailForPasswordChangedEnabled` <a name="@cdktf/provider-okta.SecurityNotificationEmails.resetSendEmailForPasswordChangedEnabled" id="cdktfprovideroktasecuritynotificationemailsresetsendemailforpasswordchangedenabled"></a>

```typescript
public resetSendEmailForPasswordChangedEnabled()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktasecuritynotificationemailspropertyidinput) | `string` | *No description.* |
| [`reportSuspiciousActivityEnabledInput`](#cdktfprovideroktasecuritynotificationemailspropertyreportsuspiciousactivityenabledinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForFactorEnrollmentEnabledInput`](#cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorenrollmentenabledinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForFactorResetEnabledInput`](#cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorresetenabledinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForNewDeviceEnabledInput`](#cdktfprovideroktasecuritynotificationemailspropertysendemailfornewdeviceenabledinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForPasswordChangedEnabledInput`](#cdktfprovideroktasecuritynotificationemailspropertysendemailforpasswordchangedenabledinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktasecuritynotificationemailspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`reportSuspiciousActivityEnabled`](#cdktfprovideroktasecuritynotificationemailspropertyreportsuspiciousactivityenabled)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForFactorEnrollmentEnabled`](#cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorenrollmentenabled)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForFactorResetEnabled`](#cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorresetenabled)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForNewDeviceEnabled`](#cdktfprovideroktasecuritynotificationemailspropertysendemailfornewdeviceenabled)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sendEmailForPasswordChangedEnabled`](#cdktfprovideroktasecuritynotificationemailspropertysendemailforpasswordchangedenabled)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.idInput" id="cdktfprovideroktasecuritynotificationemailspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `reportSuspiciousActivityEnabledInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.reportSuspiciousActivityEnabledInput" id="cdktfprovideroktasecuritynotificationemailspropertyreportsuspiciousactivityenabledinput"></a>

```typescript
public readonly reportSuspiciousActivityEnabledInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForFactorEnrollmentEnabledInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForFactorEnrollmentEnabledInput" id="cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorenrollmentenabledinput"></a>

```typescript
public readonly sendEmailForFactorEnrollmentEnabledInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForFactorResetEnabledInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForFactorResetEnabledInput" id="cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorresetenabledinput"></a>

```typescript
public readonly sendEmailForFactorResetEnabledInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForNewDeviceEnabledInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForNewDeviceEnabledInput" id="cdktfprovideroktasecuritynotificationemailspropertysendemailfornewdeviceenabledinput"></a>

```typescript
public readonly sendEmailForNewDeviceEnabledInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForPasswordChangedEnabledInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForPasswordChangedEnabledInput" id="cdktfprovideroktasecuritynotificationemailspropertysendemailforpasswordchangedenabledinput"></a>

```typescript
public readonly sendEmailForPasswordChangedEnabledInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.id" id="cdktfprovideroktasecuritynotificationemailspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `reportSuspiciousActivityEnabled`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.reportSuspiciousActivityEnabled" id="cdktfprovideroktasecuritynotificationemailspropertyreportsuspiciousactivityenabled"></a>

```typescript
public readonly reportSuspiciousActivityEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForFactorEnrollmentEnabled`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForFactorEnrollmentEnabled" id="cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorenrollmentenabled"></a>

```typescript
public readonly sendEmailForFactorEnrollmentEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForFactorResetEnabled`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForFactorResetEnabled" id="cdktfprovideroktasecuritynotificationemailspropertysendemailforfactorresetenabled"></a>

```typescript
public readonly sendEmailForFactorResetEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForNewDeviceEnabled`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForNewDeviceEnabled" id="cdktfprovideroktasecuritynotificationemailspropertysendemailfornewdeviceenabled"></a>

```typescript
public readonly sendEmailForNewDeviceEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sendEmailForPasswordChangedEnabled`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.sendEmailForPasswordChangedEnabled" id="cdktfprovideroktasecuritynotificationemailspropertysendemailforpasswordchangedenabled"></a>

```typescript
public readonly sendEmailForPasswordChangedEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasecuritynotificationemailspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SecurityNotificationEmails.property.tfResourceType" id="cdktfprovideroktasecuritynotificationemailspropertytfresourcetype"></a>

- *Type:* `string`

---

### SignonPolicy <a name="@cdktf/provider-okta.SignonPolicy" id="cdktfprovideroktasignonpolicy"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/signon_policy okta_signon_policy}.

#### Initializers <a name="@cdktf/provider-okta.SignonPolicy.Initializer" id="cdktfprovideroktasignonpolicyinitializer"></a>

```typescript
import { SignonPolicy } from '@cdktf/provider-okta'

new SignonPolicy(scope: Construct, id: string, config: SignonPolicyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasignonpolicyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasignonpolicyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasignonpolicyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SignonPolicyConfig`](#@cdktf/provider-okta.SignonPolicyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.parameter.scope" id="cdktfprovideroktasignonpolicyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.parameter.id" id="cdktfprovideroktasignonpolicyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.parameter.config" id="cdktfprovideroktasignonpolicyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SignonPolicyConfig`](#@cdktf/provider-okta.SignonPolicyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDescription`](#cdktfprovideroktasignonpolicyresetdescription) | *No description.* |
| [`resetGroupsIncluded`](#cdktfprovideroktasignonpolicyresetgroupsincluded) | *No description.* |
| [`resetId`](#cdktfprovideroktasignonpolicyresetid) | *No description.* |
| [`resetPriority`](#cdktfprovideroktasignonpolicyresetpriority) | *No description.* |
| [`resetStatus`](#cdktfprovideroktasignonpolicyresetstatus) | *No description.* |

---

##### `resetDescription` <a name="@cdktf/provider-okta.SignonPolicy.resetDescription" id="cdktfprovideroktasignonpolicyresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetGroupsIncluded` <a name="@cdktf/provider-okta.SignonPolicy.resetGroupsIncluded" id="cdktfprovideroktasignonpolicyresetgroupsincluded"></a>

```typescript
public resetGroupsIncluded()
```

##### `resetId` <a name="@cdktf/provider-okta.SignonPolicy.resetId" id="cdktfprovideroktasignonpolicyresetid"></a>

```typescript
public resetId()
```

##### `resetPriority` <a name="@cdktf/provider-okta.SignonPolicy.resetPriority" id="cdktfprovideroktasignonpolicyresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetStatus` <a name="@cdktf/provider-okta.SignonPolicy.resetStatus" id="cdktfprovideroktasignonpolicyresetstatus"></a>

```typescript
public resetStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktasignonpolicypropertydescriptioninput) | `string` | *No description.* |
| [`groupsIncludedInput`](#cdktfprovideroktasignonpolicypropertygroupsincludedinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktasignonpolicypropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktasignonpolicypropertynameinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktasignonpolicypropertypriorityinput) | `number` | *No description.* |
| [`statusInput`](#cdktfprovideroktasignonpolicypropertystatusinput) | `string` | *No description.* |
| [`description`](#cdktfprovideroktasignonpolicypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsIncluded`](#cdktfprovideroktasignonpolicypropertygroupsincluded)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktasignonpolicypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktasignonpolicypropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktasignonpolicypropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`status`](#cdktfprovideroktasignonpolicypropertystatus)<span title="Required">*</span> | `string` | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.descriptionInput" id="cdktfprovideroktasignonpolicypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `groupsIncludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.groupsIncludedInput" id="cdktfprovideroktasignonpolicypropertygroupsincludedinput"></a>

```typescript
public readonly groupsIncludedInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.idInput" id="cdktfprovideroktasignonpolicypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.nameInput" id="cdktfprovideroktasignonpolicypropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.priorityInput" id="cdktfprovideroktasignonpolicypropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.statusInput" id="cdktfprovideroktasignonpolicypropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.description" id="cdktfprovideroktasignonpolicypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `groupsIncluded`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.groupsIncluded" id="cdktfprovideroktasignonpolicypropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.id" id="cdktfprovideroktasignonpolicypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.name" id="cdktfprovideroktasignonpolicypropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.priority" id="cdktfprovideroktasignonpolicypropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicy.property.status" id="cdktfprovideroktasignonpolicypropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasignonpolicypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SignonPolicy.property.tfResourceType" id="cdktfprovideroktasignonpolicypropertytfresourcetype"></a>

- *Type:* `string`

---

### SignonPolicyRule <a name="@cdktf/provider-okta.SignonPolicyRule" id="cdktfprovideroktasignonpolicyrule"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule okta_signon_policy_rule}.

#### Initializers <a name="@cdktf/provider-okta.SignonPolicyRule.Initializer" id="cdktfprovideroktasignonpolicyruleinitializer"></a>

```typescript
import { SignonPolicyRule } from '@cdktf/provider-okta'

new SignonPolicyRule(scope: Construct, id: string, config: SignonPolicyRuleConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasignonpolicyruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasignonpolicyruleparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasignonpolicyruleparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SignonPolicyRuleConfig`](#@cdktf/provider-okta.SignonPolicyRuleConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.parameter.scope" id="cdktfprovideroktasignonpolicyruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.parameter.id" id="cdktfprovideroktasignonpolicyruleparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.parameter.config" id="cdktfprovideroktasignonpolicyruleparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SignonPolicyRuleConfig`](#@cdktf/provider-okta.SignonPolicyRuleConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putFactorSequence`](#cdktfprovideroktasignonpolicyruleputfactorsequence) | *No description.* |
| [`resetAccess`](#cdktfprovideroktasignonpolicyruleresetaccess) | *No description.* |
| [`resetAuthtype`](#cdktfprovideroktasignonpolicyruleresetauthtype) | *No description.* |
| [`resetBehaviors`](#cdktfprovideroktasignonpolicyruleresetbehaviors) | *No description.* |
| [`resetFactorSequence`](#cdktfprovideroktasignonpolicyruleresetfactorsequence) | *No description.* |
| [`resetId`](#cdktfprovideroktasignonpolicyruleresetid) | *No description.* |
| [`resetIdentityProvider`](#cdktfprovideroktasignonpolicyruleresetidentityprovider) | *No description.* |
| [`resetIdentityProviderIds`](#cdktfprovideroktasignonpolicyruleresetidentityproviderids) | *No description.* |
| [`resetMfaLifetime`](#cdktfprovideroktasignonpolicyruleresetmfalifetime) | *No description.* |
| [`resetMfaPrompt`](#cdktfprovideroktasignonpolicyruleresetmfaprompt) | *No description.* |
| [`resetMfaRememberDevice`](#cdktfprovideroktasignonpolicyruleresetmfarememberdevice) | *No description.* |
| [`resetMfaRequired`](#cdktfprovideroktasignonpolicyruleresetmfarequired) | *No description.* |
| [`resetNetworkConnection`](#cdktfprovideroktasignonpolicyruleresetnetworkconnection) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktasignonpolicyruleresetnetworkexcludes) | *No description.* |
| [`resetNetworkIncludes`](#cdktfprovideroktasignonpolicyruleresetnetworkincludes) | *No description.* |
| [`resetPolicyid`](#cdktfprovideroktasignonpolicyruleresetpolicyid) | *No description.* |
| [`resetPolicyId`](#cdktfprovideroktasignonpolicyruleresetpolicyid) | *No description.* |
| [`resetPrimaryFactor`](#cdktfprovideroktasignonpolicyruleresetprimaryfactor) | *No description.* |
| [`resetPriority`](#cdktfprovideroktasignonpolicyruleresetpriority) | *No description.* |
| [`resetRiscLevel`](#cdktfprovideroktasignonpolicyruleresetrisclevel) | *No description.* |
| [`resetSessionIdle`](#cdktfprovideroktasignonpolicyruleresetsessionidle) | *No description.* |
| [`resetSessionLifetime`](#cdktfprovideroktasignonpolicyruleresetsessionlifetime) | *No description.* |
| [`resetSessionPersistent`](#cdktfprovideroktasignonpolicyruleresetsessionpersistent) | *No description.* |
| [`resetStatus`](#cdktfprovideroktasignonpolicyruleresetstatus) | *No description.* |
| [`resetUsersExcluded`](#cdktfprovideroktasignonpolicyruleresetusersexcluded) | *No description.* |

---

##### `putFactorSequence` <a name="@cdktf/provider-okta.SignonPolicyRule.putFactorSequence" id="cdktfprovideroktasignonpolicyruleputfactorsequence"></a>

```typescript
public putFactorSequence(value: IResolvable | SignonPolicyRuleFactorSequence[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.parameter.value" id="cdktfprovideroktasignonpolicyruleparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)[]

---

##### `resetAccess` <a name="@cdktf/provider-okta.SignonPolicyRule.resetAccess" id="cdktfprovideroktasignonpolicyruleresetaccess"></a>

```typescript
public resetAccess()
```

##### `resetAuthtype` <a name="@cdktf/provider-okta.SignonPolicyRule.resetAuthtype" id="cdktfprovideroktasignonpolicyruleresetauthtype"></a>

```typescript
public resetAuthtype()
```

##### `resetBehaviors` <a name="@cdktf/provider-okta.SignonPolicyRule.resetBehaviors" id="cdktfprovideroktasignonpolicyruleresetbehaviors"></a>

```typescript
public resetBehaviors()
```

##### `resetFactorSequence` <a name="@cdktf/provider-okta.SignonPolicyRule.resetFactorSequence" id="cdktfprovideroktasignonpolicyruleresetfactorsequence"></a>

```typescript
public resetFactorSequence()
```

##### `resetId` <a name="@cdktf/provider-okta.SignonPolicyRule.resetId" id="cdktfprovideroktasignonpolicyruleresetid"></a>

```typescript
public resetId()
```

##### `resetIdentityProvider` <a name="@cdktf/provider-okta.SignonPolicyRule.resetIdentityProvider" id="cdktfprovideroktasignonpolicyruleresetidentityprovider"></a>

```typescript
public resetIdentityProvider()
```

##### `resetIdentityProviderIds` <a name="@cdktf/provider-okta.SignonPolicyRule.resetIdentityProviderIds" id="cdktfprovideroktasignonpolicyruleresetidentityproviderids"></a>

```typescript
public resetIdentityProviderIds()
```

##### `resetMfaLifetime` <a name="@cdktf/provider-okta.SignonPolicyRule.resetMfaLifetime" id="cdktfprovideroktasignonpolicyruleresetmfalifetime"></a>

```typescript
public resetMfaLifetime()
```

##### `resetMfaPrompt` <a name="@cdktf/provider-okta.SignonPolicyRule.resetMfaPrompt" id="cdktfprovideroktasignonpolicyruleresetmfaprompt"></a>

```typescript
public resetMfaPrompt()
```

##### `resetMfaRememberDevice` <a name="@cdktf/provider-okta.SignonPolicyRule.resetMfaRememberDevice" id="cdktfprovideroktasignonpolicyruleresetmfarememberdevice"></a>

```typescript
public resetMfaRememberDevice()
```

##### `resetMfaRequired` <a name="@cdktf/provider-okta.SignonPolicyRule.resetMfaRequired" id="cdktfprovideroktasignonpolicyruleresetmfarequired"></a>

```typescript
public resetMfaRequired()
```

##### `resetNetworkConnection` <a name="@cdktf/provider-okta.SignonPolicyRule.resetNetworkConnection" id="cdktfprovideroktasignonpolicyruleresetnetworkconnection"></a>

```typescript
public resetNetworkConnection()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.SignonPolicyRule.resetNetworkExcludes" id="cdktfprovideroktasignonpolicyruleresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```

##### `resetNetworkIncludes` <a name="@cdktf/provider-okta.SignonPolicyRule.resetNetworkIncludes" id="cdktfprovideroktasignonpolicyruleresetnetworkincludes"></a>

```typescript
public resetNetworkIncludes()
```

##### `resetPolicyid` <a name="@cdktf/provider-okta.SignonPolicyRule.resetPolicyid" id="cdktfprovideroktasignonpolicyruleresetpolicyid"></a>

```typescript
public resetPolicyid()
```

##### `resetPolicyId` <a name="@cdktf/provider-okta.SignonPolicyRule.resetPolicyId" id="cdktfprovideroktasignonpolicyruleresetpolicyid"></a>

```typescript
public resetPolicyId()
```

##### `resetPrimaryFactor` <a name="@cdktf/provider-okta.SignonPolicyRule.resetPrimaryFactor" id="cdktfprovideroktasignonpolicyruleresetprimaryfactor"></a>

```typescript
public resetPrimaryFactor()
```

##### `resetPriority` <a name="@cdktf/provider-okta.SignonPolicyRule.resetPriority" id="cdktfprovideroktasignonpolicyruleresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetRiscLevel` <a name="@cdktf/provider-okta.SignonPolicyRule.resetRiscLevel" id="cdktfprovideroktasignonpolicyruleresetrisclevel"></a>

```typescript
public resetRiscLevel()
```

##### `resetSessionIdle` <a name="@cdktf/provider-okta.SignonPolicyRule.resetSessionIdle" id="cdktfprovideroktasignonpolicyruleresetsessionidle"></a>

```typescript
public resetSessionIdle()
```

##### `resetSessionLifetime` <a name="@cdktf/provider-okta.SignonPolicyRule.resetSessionLifetime" id="cdktfprovideroktasignonpolicyruleresetsessionlifetime"></a>

```typescript
public resetSessionLifetime()
```

##### `resetSessionPersistent` <a name="@cdktf/provider-okta.SignonPolicyRule.resetSessionPersistent" id="cdktfprovideroktasignonpolicyruleresetsessionpersistent"></a>

```typescript
public resetSessionPersistent()
```

##### `resetStatus` <a name="@cdktf/provider-okta.SignonPolicyRule.resetStatus" id="cdktfprovideroktasignonpolicyruleresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUsersExcluded` <a name="@cdktf/provider-okta.SignonPolicyRule.resetUsersExcluded" id="cdktfprovideroktasignonpolicyruleresetusersexcluded"></a>

```typescript
public resetUsersExcluded()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`factorSequence`](#cdktfprovideroktasignonpolicyrulepropertyfactorsequence)<span title="Required">*</span> | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList) | *No description.* |
| [`accessInput`](#cdktfprovideroktasignonpolicyrulepropertyaccessinput) | `string` | *No description.* |
| [`authtypeInput`](#cdktfprovideroktasignonpolicyrulepropertyauthtypeinput) | `string` | *No description.* |
| [`behaviorsInput`](#cdktfprovideroktasignonpolicyrulepropertybehaviorsinput) | `string`[] | *No description.* |
| [`factorSequenceInput`](#cdktfprovideroktasignonpolicyrulepropertyfactorsequenceinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)[] | *No description.* |
| [`identityProviderIdsInput`](#cdktfprovideroktasignonpolicyrulepropertyidentityprovideridsinput) | `string`[] | *No description.* |
| [`identityProviderInput`](#cdktfprovideroktasignonpolicyrulepropertyidentityproviderinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktasignonpolicyrulepropertyidinput) | `string` | *No description.* |
| [`mfaLifetimeInput`](#cdktfprovideroktasignonpolicyrulepropertymfalifetimeinput) | `number` | *No description.* |
| [`mfaPromptInput`](#cdktfprovideroktasignonpolicyrulepropertymfapromptinput) | `string` | *No description.* |
| [`mfaRememberDeviceInput`](#cdktfprovideroktasignonpolicyrulepropertymfarememberdeviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`mfaRequiredInput`](#cdktfprovideroktasignonpolicyrulepropertymfarequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`nameInput`](#cdktfprovideroktasignonpolicyrulepropertynameinput) | `string` | *No description.* |
| [`networkConnectionInput`](#cdktfprovideroktasignonpolicyrulepropertynetworkconnectioninput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktasignonpolicyrulepropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`networkIncludesInput`](#cdktfprovideroktasignonpolicyrulepropertynetworkincludesinput) | `string`[] | *No description.* |
| [`policyidInput`](#cdktfprovideroktasignonpolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`policyIdInput`](#cdktfprovideroktasignonpolicyrulepropertypolicyidinput) | `string` | *No description.* |
| [`primaryFactorInput`](#cdktfprovideroktasignonpolicyrulepropertyprimaryfactorinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktasignonpolicyrulepropertypriorityinput) | `number` | *No description.* |
| [`riscLevelInput`](#cdktfprovideroktasignonpolicyrulepropertyrisclevelinput) | `string` | *No description.* |
| [`sessionIdleInput`](#cdktfprovideroktasignonpolicyrulepropertysessionidleinput) | `number` | *No description.* |
| [`sessionLifetimeInput`](#cdktfprovideroktasignonpolicyrulepropertysessionlifetimeinput) | `number` | *No description.* |
| [`sessionPersistentInput`](#cdktfprovideroktasignonpolicyrulepropertysessionpersistentinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktasignonpolicyrulepropertystatusinput) | `string` | *No description.* |
| [`usersExcludedInput`](#cdktfprovideroktasignonpolicyrulepropertyusersexcludedinput) | `string`[] | *No description.* |
| [`access`](#cdktfprovideroktasignonpolicyrulepropertyaccess)<span title="Required">*</span> | `string` | *No description.* |
| [`authtype`](#cdktfprovideroktasignonpolicyrulepropertyauthtype)<span title="Required">*</span> | `string` | *No description.* |
| [`behaviors`](#cdktfprovideroktasignonpolicyrulepropertybehaviors)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktasignonpolicyrulepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`identityProvider`](#cdktfprovideroktasignonpolicyrulepropertyidentityprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`identityProviderIds`](#cdktfprovideroktasignonpolicyrulepropertyidentityproviderids)<span title="Required">*</span> | `string`[] | *No description.* |
| [`mfaLifetime`](#cdktfprovideroktasignonpolicyrulepropertymfalifetime)<span title="Required">*</span> | `number` | *No description.* |
| [`mfaPrompt`](#cdktfprovideroktasignonpolicyrulepropertymfaprompt)<span title="Required">*</span> | `string` | *No description.* |
| [`mfaRememberDevice`](#cdktfprovideroktasignonpolicyrulepropertymfarememberdevice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`mfaRequired`](#cdktfprovideroktasignonpolicyrulepropertymfarequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`name`](#cdktfprovideroktasignonpolicyrulepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`networkConnection`](#cdktfprovideroktasignonpolicyrulepropertynetworkconnection)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktasignonpolicyrulepropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`networkIncludes`](#cdktfprovideroktasignonpolicyrulepropertynetworkincludes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`policyid`](#cdktfprovideroktasignonpolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`policyId`](#cdktfprovideroktasignonpolicyrulepropertypolicyid)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryFactor`](#cdktfprovideroktasignonpolicyrulepropertyprimaryfactor)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktasignonpolicyrulepropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`riscLevel`](#cdktfprovideroktasignonpolicyrulepropertyrisclevel)<span title="Required">*</span> | `string` | *No description.* |
| [`sessionIdle`](#cdktfprovideroktasignonpolicyrulepropertysessionidle)<span title="Required">*</span> | `number` | *No description.* |
| [`sessionLifetime`](#cdktfprovideroktasignonpolicyrulepropertysessionlifetime)<span title="Required">*</span> | `number` | *No description.* |
| [`sessionPersistent`](#cdktfprovideroktasignonpolicyrulepropertysessionpersistent)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktasignonpolicyrulepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`usersExcluded`](#cdktfprovideroktasignonpolicyrulepropertyusersexcluded)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `factorSequence`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.factorSequence" id="cdktfprovideroktasignonpolicyrulepropertyfactorsequence"></a>

```typescript
public readonly factorSequence: SignonPolicyRuleFactorSequenceList;
```

- *Type:* [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList)

---

##### `accessInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.accessInput" id="cdktfprovideroktasignonpolicyrulepropertyaccessinput"></a>

```typescript
public readonly accessInput: string;
```

- *Type:* `string`

---

##### `authtypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.authtypeInput" id="cdktfprovideroktasignonpolicyrulepropertyauthtypeinput"></a>

```typescript
public readonly authtypeInput: string;
```

- *Type:* `string`

---

##### `behaviorsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.behaviorsInput" id="cdktfprovideroktasignonpolicyrulepropertybehaviorsinput"></a>

```typescript
public readonly behaviorsInput: string[];
```

- *Type:* `string`[]

---

##### `factorSequenceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.factorSequenceInput" id="cdktfprovideroktasignonpolicyrulepropertyfactorsequenceinput"></a>

```typescript
public readonly factorSequenceInput: IResolvable | SignonPolicyRuleFactorSequence[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)[]

---

##### `identityProviderIdsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.identityProviderIdsInput" id="cdktfprovideroktasignonpolicyrulepropertyidentityprovideridsinput"></a>

```typescript
public readonly identityProviderIdsInput: string[];
```

- *Type:* `string`[]

---

##### `identityProviderInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.identityProviderInput" id="cdktfprovideroktasignonpolicyrulepropertyidentityproviderinput"></a>

```typescript
public readonly identityProviderInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.idInput" id="cdktfprovideroktasignonpolicyrulepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `mfaLifetimeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaLifetimeInput" id="cdktfprovideroktasignonpolicyrulepropertymfalifetimeinput"></a>

```typescript
public readonly mfaLifetimeInput: number;
```

- *Type:* `number`

---

##### `mfaPromptInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaPromptInput" id="cdktfprovideroktasignonpolicyrulepropertymfapromptinput"></a>

```typescript
public readonly mfaPromptInput: string;
```

- *Type:* `string`

---

##### `mfaRememberDeviceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaRememberDeviceInput" id="cdktfprovideroktasignonpolicyrulepropertymfarememberdeviceinput"></a>

```typescript
public readonly mfaRememberDeviceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `mfaRequiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaRequiredInput" id="cdktfprovideroktasignonpolicyrulepropertymfarequiredinput"></a>

```typescript
public readonly mfaRequiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.nameInput" id="cdktfprovideroktasignonpolicyrulepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `networkConnectionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.networkConnectionInput" id="cdktfprovideroktasignonpolicyrulepropertynetworkconnectioninput"></a>

```typescript
public readonly networkConnectionInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.networkExcludesInput" id="cdktfprovideroktasignonpolicyrulepropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `networkIncludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.networkIncludesInput" id="cdktfprovideroktasignonpolicyrulepropertynetworkincludesinput"></a>

```typescript
public readonly networkIncludesInput: string[];
```

- *Type:* `string`[]

---

##### `policyidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.policyidInput" id="cdktfprovideroktasignonpolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyidInput: string;
```

- *Type:* `string`

---

##### `policyIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.policyIdInput" id="cdktfprovideroktasignonpolicyrulepropertypolicyidinput"></a>

```typescript
public readonly policyIdInput: string;
```

- *Type:* `string`

---

##### `primaryFactorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.primaryFactorInput" id="cdktfprovideroktasignonpolicyrulepropertyprimaryfactorinput"></a>

```typescript
public readonly primaryFactorInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.priorityInput" id="cdktfprovideroktasignonpolicyrulepropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `riscLevelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.riscLevelInput" id="cdktfprovideroktasignonpolicyrulepropertyrisclevelinput"></a>

```typescript
public readonly riscLevelInput: string;
```

- *Type:* `string`

---

##### `sessionIdleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.sessionIdleInput" id="cdktfprovideroktasignonpolicyrulepropertysessionidleinput"></a>

```typescript
public readonly sessionIdleInput: number;
```

- *Type:* `number`

---

##### `sessionLifetimeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.sessionLifetimeInput" id="cdktfprovideroktasignonpolicyrulepropertysessionlifetimeinput"></a>

```typescript
public readonly sessionLifetimeInput: number;
```

- *Type:* `number`

---

##### `sessionPersistentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.sessionPersistentInput" id="cdktfprovideroktasignonpolicyrulepropertysessionpersistentinput"></a>

```typescript
public readonly sessionPersistentInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.statusInput" id="cdktfprovideroktasignonpolicyrulepropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `usersExcludedInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.usersExcludedInput" id="cdktfprovideroktasignonpolicyrulepropertyusersexcludedinput"></a>

```typescript
public readonly usersExcludedInput: string[];
```

- *Type:* `string`[]

---

##### `access`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.access" id="cdktfprovideroktasignonpolicyrulepropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

---

##### `authtype`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.authtype" id="cdktfprovideroktasignonpolicyrulepropertyauthtype"></a>

```typescript
public readonly authtype: string;
```

- *Type:* `string`

---

##### `behaviors`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.behaviors" id="cdktfprovideroktasignonpolicyrulepropertybehaviors"></a>

```typescript
public readonly behaviors: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.id" id="cdktfprovideroktasignonpolicyrulepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `identityProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.identityProvider" id="cdktfprovideroktasignonpolicyrulepropertyidentityprovider"></a>

```typescript
public readonly identityProvider: string;
```

- *Type:* `string`

---

##### `identityProviderIds`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.identityProviderIds" id="cdktfprovideroktasignonpolicyrulepropertyidentityproviderids"></a>

```typescript
public readonly identityProviderIds: string[];
```

- *Type:* `string`[]

---

##### `mfaLifetime`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaLifetime" id="cdktfprovideroktasignonpolicyrulepropertymfalifetime"></a>

```typescript
public readonly mfaLifetime: number;
```

- *Type:* `number`

---

##### `mfaPrompt`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaPrompt" id="cdktfprovideroktasignonpolicyrulepropertymfaprompt"></a>

```typescript
public readonly mfaPrompt: string;
```

- *Type:* `string`

---

##### `mfaRememberDevice`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaRememberDevice" id="cdktfprovideroktasignonpolicyrulepropertymfarememberdevice"></a>

```typescript
public readonly mfaRememberDevice: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `mfaRequired`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.mfaRequired" id="cdktfprovideroktasignonpolicyrulepropertymfarequired"></a>

```typescript
public readonly mfaRequired: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.name" id="cdktfprovideroktasignonpolicyrulepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `networkConnection`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.networkConnection" id="cdktfprovideroktasignonpolicyrulepropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.networkExcludes" id="cdktfprovideroktasignonpolicyrulepropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

##### `networkIncludes`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.networkIncludes" id="cdktfprovideroktasignonpolicyrulepropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

---

##### `policyid`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.policyid" id="cdktfprovideroktasignonpolicyrulepropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.policyId" id="cdktfprovideroktasignonpolicyrulepropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

---

##### `primaryFactor`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.primaryFactor" id="cdktfprovideroktasignonpolicyrulepropertyprimaryfactor"></a>

```typescript
public readonly primaryFactor: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.priority" id="cdktfprovideroktasignonpolicyrulepropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `riscLevel`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.riscLevel" id="cdktfprovideroktasignonpolicyrulepropertyrisclevel"></a>

```typescript
public readonly riscLevel: string;
```

- *Type:* `string`

---

##### `sessionIdle`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.sessionIdle" id="cdktfprovideroktasignonpolicyrulepropertysessionidle"></a>

```typescript
public readonly sessionIdle: number;
```

- *Type:* `number`

---

##### `sessionLifetime`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.sessionLifetime" id="cdktfprovideroktasignonpolicyrulepropertysessionlifetime"></a>

```typescript
public readonly sessionLifetime: number;
```

- *Type:* `number`

---

##### `sessionPersistent`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.sessionPersistent" id="cdktfprovideroktasignonpolicyrulepropertysessionpersistent"></a>

```typescript
public readonly sessionPersistent: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.status" id="cdktfprovideroktasignonpolicyrulepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `usersExcluded`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRule.property.usersExcluded" id="cdktfprovideroktasignonpolicyrulepropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasignonpolicyrulepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SignonPolicyRule.property.tfResourceType" id="cdktfprovideroktasignonpolicyrulepropertytfresourcetype"></a>

- *Type:* `string`

---

### SocialIdp <a name="@cdktf/provider-okta.SocialIdp" id="cdktfprovideroktasocialidp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/social_idp okta_social_idp}.

#### Initializers <a name="@cdktf/provider-okta.SocialIdp.Initializer" id="cdktfprovideroktasocialidpinitializer"></a>

```typescript
import { SocialIdp } from '@cdktf/provider-okta'

new SocialIdp(scope: Construct, id: string, config: SocialIdpConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasocialidpparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktasocialidpparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktasocialidpparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SocialIdpConfig`](#@cdktf/provider-okta.SocialIdpConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.parameter.scope" id="cdktfprovideroktasocialidpparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.parameter.id" id="cdktfprovideroktasocialidpparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.parameter.config" id="cdktfprovideroktasocialidpparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SocialIdpConfig`](#@cdktf/provider-okta.SocialIdpConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetAccountLinkAction`](#cdktfprovideroktasocialidpresetaccountlinkaction) | *No description.* |
| [`resetAccountLinkGroupInclude`](#cdktfprovideroktasocialidpresetaccountlinkgroupinclude) | *No description.* |
| [`resetAppleKid`](#cdktfprovideroktasocialidpresetapplekid) | *No description.* |
| [`resetApplePrivateKey`](#cdktfprovideroktasocialidpresetappleprivatekey) | *No description.* |
| [`resetAppleTeamId`](#cdktfprovideroktasocialidpresetappleteamid) | *No description.* |
| [`resetClientId`](#cdktfprovideroktasocialidpresetclientid) | *No description.* |
| [`resetClientSecret`](#cdktfprovideroktasocialidpresetclientsecret) | *No description.* |
| [`resetDeprovisionedAction`](#cdktfprovideroktasocialidpresetdeprovisionedaction) | *No description.* |
| [`resetGroupsAction`](#cdktfprovideroktasocialidpresetgroupsaction) | *No description.* |
| [`resetGroupsAssignment`](#cdktfprovideroktasocialidpresetgroupsassignment) | *No description.* |
| [`resetGroupsAttribute`](#cdktfprovideroktasocialidpresetgroupsattribute) | *No description.* |
| [`resetGroupsFilter`](#cdktfprovideroktasocialidpresetgroupsfilter) | *No description.* |
| [`resetId`](#cdktfprovideroktasocialidpresetid) | *No description.* |
| [`resetIssuerMode`](#cdktfprovideroktasocialidpresetissuermode) | *No description.* |
| [`resetMatchAttribute`](#cdktfprovideroktasocialidpresetmatchattribute) | *No description.* |
| [`resetMatchType`](#cdktfprovideroktasocialidpresetmatchtype) | *No description.* |
| [`resetMaxClockSkew`](#cdktfprovideroktasocialidpresetmaxclockskew) | *No description.* |
| [`resetProfileMaster`](#cdktfprovideroktasocialidpresetprofilemaster) | *No description.* |
| [`resetProtocolType`](#cdktfprovideroktasocialidpresetprotocoltype) | *No description.* |
| [`resetProvisioningAction`](#cdktfprovideroktasocialidpresetprovisioningaction) | *No description.* |
| [`resetStatus`](#cdktfprovideroktasocialidpresetstatus) | *No description.* |
| [`resetSubjectMatchAttribute`](#cdktfprovideroktasocialidpresetsubjectmatchattribute) | *No description.* |
| [`resetSubjectMatchType`](#cdktfprovideroktasocialidpresetsubjectmatchtype) | *No description.* |
| [`resetSuspendedAction`](#cdktfprovideroktasocialidpresetsuspendedaction) | *No description.* |
| [`resetUsernameTemplate`](#cdktfprovideroktasocialidpresetusernametemplate) | *No description.* |

---

##### `resetAccountLinkAction` <a name="@cdktf/provider-okta.SocialIdp.resetAccountLinkAction" id="cdktfprovideroktasocialidpresetaccountlinkaction"></a>

```typescript
public resetAccountLinkAction()
```

##### `resetAccountLinkGroupInclude` <a name="@cdktf/provider-okta.SocialIdp.resetAccountLinkGroupInclude" id="cdktfprovideroktasocialidpresetaccountlinkgroupinclude"></a>

```typescript
public resetAccountLinkGroupInclude()
```

##### `resetAppleKid` <a name="@cdktf/provider-okta.SocialIdp.resetAppleKid" id="cdktfprovideroktasocialidpresetapplekid"></a>

```typescript
public resetAppleKid()
```

##### `resetApplePrivateKey` <a name="@cdktf/provider-okta.SocialIdp.resetApplePrivateKey" id="cdktfprovideroktasocialidpresetappleprivatekey"></a>

```typescript
public resetApplePrivateKey()
```

##### `resetAppleTeamId` <a name="@cdktf/provider-okta.SocialIdp.resetAppleTeamId" id="cdktfprovideroktasocialidpresetappleteamid"></a>

```typescript
public resetAppleTeamId()
```

##### `resetClientId` <a name="@cdktf/provider-okta.SocialIdp.resetClientId" id="cdktfprovideroktasocialidpresetclientid"></a>

```typescript
public resetClientId()
```

##### `resetClientSecret` <a name="@cdktf/provider-okta.SocialIdp.resetClientSecret" id="cdktfprovideroktasocialidpresetclientsecret"></a>

```typescript
public resetClientSecret()
```

##### `resetDeprovisionedAction` <a name="@cdktf/provider-okta.SocialIdp.resetDeprovisionedAction" id="cdktfprovideroktasocialidpresetdeprovisionedaction"></a>

```typescript
public resetDeprovisionedAction()
```

##### `resetGroupsAction` <a name="@cdktf/provider-okta.SocialIdp.resetGroupsAction" id="cdktfprovideroktasocialidpresetgroupsaction"></a>

```typescript
public resetGroupsAction()
```

##### `resetGroupsAssignment` <a name="@cdktf/provider-okta.SocialIdp.resetGroupsAssignment" id="cdktfprovideroktasocialidpresetgroupsassignment"></a>

```typescript
public resetGroupsAssignment()
```

##### `resetGroupsAttribute` <a name="@cdktf/provider-okta.SocialIdp.resetGroupsAttribute" id="cdktfprovideroktasocialidpresetgroupsattribute"></a>

```typescript
public resetGroupsAttribute()
```

##### `resetGroupsFilter` <a name="@cdktf/provider-okta.SocialIdp.resetGroupsFilter" id="cdktfprovideroktasocialidpresetgroupsfilter"></a>

```typescript
public resetGroupsFilter()
```

##### `resetId` <a name="@cdktf/provider-okta.SocialIdp.resetId" id="cdktfprovideroktasocialidpresetid"></a>

```typescript
public resetId()
```

##### `resetIssuerMode` <a name="@cdktf/provider-okta.SocialIdp.resetIssuerMode" id="cdktfprovideroktasocialidpresetissuermode"></a>

```typescript
public resetIssuerMode()
```

##### `resetMatchAttribute` <a name="@cdktf/provider-okta.SocialIdp.resetMatchAttribute" id="cdktfprovideroktasocialidpresetmatchattribute"></a>

```typescript
public resetMatchAttribute()
```

##### `resetMatchType` <a name="@cdktf/provider-okta.SocialIdp.resetMatchType" id="cdktfprovideroktasocialidpresetmatchtype"></a>

```typescript
public resetMatchType()
```

##### `resetMaxClockSkew` <a name="@cdktf/provider-okta.SocialIdp.resetMaxClockSkew" id="cdktfprovideroktasocialidpresetmaxclockskew"></a>

```typescript
public resetMaxClockSkew()
```

##### `resetProfileMaster` <a name="@cdktf/provider-okta.SocialIdp.resetProfileMaster" id="cdktfprovideroktasocialidpresetprofilemaster"></a>

```typescript
public resetProfileMaster()
```

##### `resetProtocolType` <a name="@cdktf/provider-okta.SocialIdp.resetProtocolType" id="cdktfprovideroktasocialidpresetprotocoltype"></a>

```typescript
public resetProtocolType()
```

##### `resetProvisioningAction` <a name="@cdktf/provider-okta.SocialIdp.resetProvisioningAction" id="cdktfprovideroktasocialidpresetprovisioningaction"></a>

```typescript
public resetProvisioningAction()
```

##### `resetStatus` <a name="@cdktf/provider-okta.SocialIdp.resetStatus" id="cdktfprovideroktasocialidpresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetSubjectMatchAttribute` <a name="@cdktf/provider-okta.SocialIdp.resetSubjectMatchAttribute" id="cdktfprovideroktasocialidpresetsubjectmatchattribute"></a>

```typescript
public resetSubjectMatchAttribute()
```

##### `resetSubjectMatchType` <a name="@cdktf/provider-okta.SocialIdp.resetSubjectMatchType" id="cdktfprovideroktasocialidpresetsubjectmatchtype"></a>

```typescript
public resetSubjectMatchType()
```

##### `resetSuspendedAction` <a name="@cdktf/provider-okta.SocialIdp.resetSuspendedAction" id="cdktfprovideroktasocialidpresetsuspendedaction"></a>

```typescript
public resetSuspendedAction()
```

##### `resetUsernameTemplate` <a name="@cdktf/provider-okta.SocialIdp.resetUsernameTemplate" id="cdktfprovideroktasocialidpresetusernametemplate"></a>

```typescript
public resetUsernameTemplate()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`authorizationBinding`](#cdktfprovideroktasocialidppropertyauthorizationbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`authorizationUrl`](#cdktfprovideroktasocialidppropertyauthorizationurl)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenBinding`](#cdktfprovideroktasocialidppropertytokenbinding)<span title="Required">*</span> | `string` | *No description.* |
| [`tokenUrl`](#cdktfprovideroktasocialidppropertytokenurl)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkActionInput`](#cdktfprovideroktasocialidppropertyaccountlinkactioninput) | `string` | *No description.* |
| [`accountLinkGroupIncludeInput`](#cdktfprovideroktasocialidppropertyaccountlinkgroupincludeinput) | `string`[] | *No description.* |
| [`appleKidInput`](#cdktfprovideroktasocialidppropertyapplekidinput) | `string` | *No description.* |
| [`applePrivateKeyInput`](#cdktfprovideroktasocialidppropertyappleprivatekeyinput) | `string` | *No description.* |
| [`appleTeamIdInput`](#cdktfprovideroktasocialidppropertyappleteamidinput) | `string` | *No description.* |
| [`clientIdInput`](#cdktfprovideroktasocialidppropertyclientidinput) | `string` | *No description.* |
| [`clientSecretInput`](#cdktfprovideroktasocialidppropertyclientsecretinput) | `string` | *No description.* |
| [`deprovisionedActionInput`](#cdktfprovideroktasocialidppropertydeprovisionedactioninput) | `string` | *No description.* |
| [`groupsActionInput`](#cdktfprovideroktasocialidppropertygroupsactioninput) | `string` | *No description.* |
| [`groupsAssignmentInput`](#cdktfprovideroktasocialidppropertygroupsassignmentinput) | `string`[] | *No description.* |
| [`groupsAttributeInput`](#cdktfprovideroktasocialidppropertygroupsattributeinput) | `string` | *No description.* |
| [`groupsFilterInput`](#cdktfprovideroktasocialidppropertygroupsfilterinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktasocialidppropertyidinput) | `string` | *No description.* |
| [`issuerModeInput`](#cdktfprovideroktasocialidppropertyissuermodeinput) | `string` | *No description.* |
| [`matchAttributeInput`](#cdktfprovideroktasocialidppropertymatchattributeinput) | `string` | *No description.* |
| [`matchTypeInput`](#cdktfprovideroktasocialidppropertymatchtypeinput) | `string` | *No description.* |
| [`maxClockSkewInput`](#cdktfprovideroktasocialidppropertymaxclockskewinput) | `number` | *No description.* |
| [`nameInput`](#cdktfprovideroktasocialidppropertynameinput) | `string` | *No description.* |
| [`profileMasterInput`](#cdktfprovideroktasocialidppropertyprofilemasterinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolTypeInput`](#cdktfprovideroktasocialidppropertyprotocoltypeinput) | `string` | *No description.* |
| [`provisioningActionInput`](#cdktfprovideroktasocialidppropertyprovisioningactioninput) | `string` | *No description.* |
| [`scopesInput`](#cdktfprovideroktasocialidppropertyscopesinput) | `string`[] | *No description.* |
| [`statusInput`](#cdktfprovideroktasocialidppropertystatusinput) | `string` | *No description.* |
| [`subjectMatchAttributeInput`](#cdktfprovideroktasocialidppropertysubjectmatchattributeinput) | `string` | *No description.* |
| [`subjectMatchTypeInput`](#cdktfprovideroktasocialidppropertysubjectmatchtypeinput) | `string` | *No description.* |
| [`suspendedActionInput`](#cdktfprovideroktasocialidppropertysuspendedactioninput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktasocialidppropertytypeinput) | `string` | *No description.* |
| [`usernameTemplateInput`](#cdktfprovideroktasocialidppropertyusernametemplateinput) | `string` | *No description.* |
| [`accountLinkAction`](#cdktfprovideroktasocialidppropertyaccountlinkaction)<span title="Required">*</span> | `string` | *No description.* |
| [`accountLinkGroupInclude`](#cdktfprovideroktasocialidppropertyaccountlinkgroupinclude)<span title="Required">*</span> | `string`[] | *No description.* |
| [`appleKid`](#cdktfprovideroktasocialidppropertyapplekid)<span title="Required">*</span> | `string` | *No description.* |
| [`applePrivateKey`](#cdktfprovideroktasocialidppropertyappleprivatekey)<span title="Required">*</span> | `string` | *No description.* |
| [`appleTeamId`](#cdktfprovideroktasocialidppropertyappleteamid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientId`](#cdktfprovideroktasocialidppropertyclientid)<span title="Required">*</span> | `string` | *No description.* |
| [`clientSecret`](#cdktfprovideroktasocialidppropertyclientsecret)<span title="Required">*</span> | `string` | *No description.* |
| [`deprovisionedAction`](#cdktfprovideroktasocialidppropertydeprovisionedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAction`](#cdktfprovideroktasocialidppropertygroupsaction)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsAssignment`](#cdktfprovideroktasocialidppropertygroupsassignment)<span title="Required">*</span> | `string`[] | *No description.* |
| [`groupsAttribute`](#cdktfprovideroktasocialidppropertygroupsattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`groupsFilter`](#cdktfprovideroktasocialidppropertygroupsfilter)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktasocialidppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`issuerMode`](#cdktfprovideroktasocialidppropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`matchAttribute`](#cdktfprovideroktasocialidppropertymatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`matchType`](#cdktfprovideroktasocialidppropertymatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`maxClockSkew`](#cdktfprovideroktasocialidppropertymaxclockskew)<span title="Required">*</span> | `number` | *No description.* |
| [`name`](#cdktfprovideroktasocialidppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`profileMaster`](#cdktfprovideroktasocialidppropertyprofilemaster)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`protocolType`](#cdktfprovideroktasocialidppropertyprotocoltype)<span title="Required">*</span> | `string` | *No description.* |
| [`provisioningAction`](#cdktfprovideroktasocialidppropertyprovisioningaction)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktasocialidppropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktasocialidppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchAttribute`](#cdktfprovideroktasocialidppropertysubjectmatchattribute)<span title="Required">*</span> | `string` | *No description.* |
| [`subjectMatchType`](#cdktfprovideroktasocialidppropertysubjectmatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`suspendedAction`](#cdktfprovideroktasocialidppropertysuspendedaction)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktasocialidppropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameTemplate`](#cdktfprovideroktasocialidppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.authorizationBinding" id="cdktfprovideroktasocialidppropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.authorizationUrl" id="cdktfprovideroktasocialidppropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.tokenBinding" id="cdktfprovideroktasocialidppropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.tokenUrl" id="cdktfprovideroktasocialidppropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

---

##### `accountLinkActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.accountLinkActionInput" id="cdktfprovideroktasocialidppropertyaccountlinkactioninput"></a>

```typescript
public readonly accountLinkActionInput: string;
```

- *Type:* `string`

---

##### `accountLinkGroupIncludeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.accountLinkGroupIncludeInput" id="cdktfprovideroktasocialidppropertyaccountlinkgroupincludeinput"></a>

```typescript
public readonly accountLinkGroupIncludeInput: string[];
```

- *Type:* `string`[]

---

##### `appleKidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.appleKidInput" id="cdktfprovideroktasocialidppropertyapplekidinput"></a>

```typescript
public readonly appleKidInput: string;
```

- *Type:* `string`

---

##### `applePrivateKeyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.applePrivateKeyInput" id="cdktfprovideroktasocialidppropertyappleprivatekeyinput"></a>

```typescript
public readonly applePrivateKeyInput: string;
```

- *Type:* `string`

---

##### `appleTeamIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.appleTeamIdInput" id="cdktfprovideroktasocialidppropertyappleteamidinput"></a>

```typescript
public readonly appleTeamIdInput: string;
```

- *Type:* `string`

---

##### `clientIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.clientIdInput" id="cdktfprovideroktasocialidppropertyclientidinput"></a>

```typescript
public readonly clientIdInput: string;
```

- *Type:* `string`

---

##### `clientSecretInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.clientSecretInput" id="cdktfprovideroktasocialidppropertyclientsecretinput"></a>

```typescript
public readonly clientSecretInput: string;
```

- *Type:* `string`

---

##### `deprovisionedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.deprovisionedActionInput" id="cdktfprovideroktasocialidppropertydeprovisionedactioninput"></a>

```typescript
public readonly deprovisionedActionInput: string;
```

- *Type:* `string`

---

##### `groupsActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsActionInput" id="cdktfprovideroktasocialidppropertygroupsactioninput"></a>

```typescript
public readonly groupsActionInput: string;
```

- *Type:* `string`

---

##### `groupsAssignmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsAssignmentInput" id="cdktfprovideroktasocialidppropertygroupsassignmentinput"></a>

```typescript
public readonly groupsAssignmentInput: string[];
```

- *Type:* `string`[]

---

##### `groupsAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsAttributeInput" id="cdktfprovideroktasocialidppropertygroupsattributeinput"></a>

```typescript
public readonly groupsAttributeInput: string;
```

- *Type:* `string`

---

##### `groupsFilterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsFilterInput" id="cdktfprovideroktasocialidppropertygroupsfilterinput"></a>

```typescript
public readonly groupsFilterInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.idInput" id="cdktfprovideroktasocialidppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `issuerModeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.issuerModeInput" id="cdktfprovideroktasocialidppropertyissuermodeinput"></a>

```typescript
public readonly issuerModeInput: string;
```

- *Type:* `string`

---

##### `matchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.matchAttributeInput" id="cdktfprovideroktasocialidppropertymatchattributeinput"></a>

```typescript
public readonly matchAttributeInput: string;
```

- *Type:* `string`

---

##### `matchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.matchTypeInput" id="cdktfprovideroktasocialidppropertymatchtypeinput"></a>

```typescript
public readonly matchTypeInput: string;
```

- *Type:* `string`

---

##### `maxClockSkewInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.maxClockSkewInput" id="cdktfprovideroktasocialidppropertymaxclockskewinput"></a>

```typescript
public readonly maxClockSkewInput: number;
```

- *Type:* `number`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.nameInput" id="cdktfprovideroktasocialidppropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `profileMasterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.profileMasterInput" id="cdktfprovideroktasocialidppropertyprofilemasterinput"></a>

```typescript
public readonly profileMasterInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.protocolTypeInput" id="cdktfprovideroktasocialidppropertyprotocoltypeinput"></a>

```typescript
public readonly protocolTypeInput: string;
```

- *Type:* `string`

---

##### `provisioningActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.provisioningActionInput" id="cdktfprovideroktasocialidppropertyprovisioningactioninput"></a>

```typescript
public readonly provisioningActionInput: string;
```

- *Type:* `string`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.scopesInput" id="cdktfprovideroktasocialidppropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.statusInput" id="cdktfprovideroktasocialidppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `subjectMatchAttributeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.subjectMatchAttributeInput" id="cdktfprovideroktasocialidppropertysubjectmatchattributeinput"></a>

```typescript
public readonly subjectMatchAttributeInput: string;
```

- *Type:* `string`

---

##### `subjectMatchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.subjectMatchTypeInput" id="cdktfprovideroktasocialidppropertysubjectmatchtypeinput"></a>

```typescript
public readonly subjectMatchTypeInput: string;
```

- *Type:* `string`

---

##### `suspendedActionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.suspendedActionInput" id="cdktfprovideroktasocialidppropertysuspendedactioninput"></a>

```typescript
public readonly suspendedActionInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.typeInput" id="cdktfprovideroktasocialidppropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `usernameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdp.property.usernameTemplateInput" id="cdktfprovideroktasocialidppropertyusernametemplateinput"></a>

```typescript
public readonly usernameTemplateInput: string;
```

- *Type:* `string`

---

##### `accountLinkAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.accountLinkAction" id="cdktfprovideroktasocialidppropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

---

##### `accountLinkGroupInclude`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.accountLinkGroupInclude" id="cdktfprovideroktasocialidppropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

---

##### `appleKid`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.appleKid" id="cdktfprovideroktasocialidppropertyapplekid"></a>

```typescript
public readonly appleKid: string;
```

- *Type:* `string`

---

##### `applePrivateKey`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.applePrivateKey" id="cdktfprovideroktasocialidppropertyappleprivatekey"></a>

```typescript
public readonly applePrivateKey: string;
```

- *Type:* `string`

---

##### `appleTeamId`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.appleTeamId" id="cdktfprovideroktasocialidppropertyappleteamid"></a>

```typescript
public readonly appleTeamId: string;
```

- *Type:* `string`

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.clientId" id="cdktfprovideroktasocialidppropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.clientSecret" id="cdktfprovideroktasocialidppropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

---

##### `deprovisionedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.deprovisionedAction" id="cdktfprovideroktasocialidppropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

---

##### `groupsAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsAction" id="cdktfprovideroktasocialidppropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

---

##### `groupsAssignment`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsAssignment" id="cdktfprovideroktasocialidppropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

---

##### `groupsAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsAttribute" id="cdktfprovideroktasocialidppropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

---

##### `groupsFilter`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.groupsFilter" id="cdktfprovideroktasocialidppropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.id" id="cdktfprovideroktasocialidppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.issuerMode" id="cdktfprovideroktasocialidppropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `matchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.matchAttribute" id="cdktfprovideroktasocialidppropertymatchattribute"></a>

```typescript
public readonly matchAttribute: string;
```

- *Type:* `string`

---

##### `matchType`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.matchType" id="cdktfprovideroktasocialidppropertymatchtype"></a>

```typescript
public readonly matchType: string;
```

- *Type:* `string`

---

##### `maxClockSkew`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.maxClockSkew" id="cdktfprovideroktasocialidppropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.name" id="cdktfprovideroktasocialidppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `profileMaster`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.profileMaster" id="cdktfprovideroktasocialidppropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `protocolType`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.protocolType" id="cdktfprovideroktasocialidppropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

---

##### `provisioningAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.provisioningAction" id="cdktfprovideroktasocialidppropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.scopes" id="cdktfprovideroktasocialidppropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.status" id="cdktfprovideroktasocialidppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `subjectMatchAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.subjectMatchAttribute" id="cdktfprovideroktasocialidppropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

---

##### `subjectMatchType`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.subjectMatchType" id="cdktfprovideroktasocialidppropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

---

##### `suspendedAction`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.suspendedAction" id="cdktfprovideroktasocialidppropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.type" id="cdktfprovideroktasocialidppropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `usernameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdp.property.usernameTemplate" id="cdktfprovideroktasocialidppropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktasocialidppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SocialIdp.property.tfResourceType" id="cdktfprovideroktasocialidppropertytfresourcetype"></a>

- *Type:* `string`

---

### SwaApp <a name="@cdktf/provider-okta.SwaApp" id="cdktfprovideroktaswaapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/swa_app okta_swa_app}.

#### Initializers <a name="@cdktf/provider-okta.SwaApp.Initializer" id="cdktfprovideroktaswaappinitializer"></a>

```typescript
import { SwaApp } from '@cdktf/provider-okta'

new SwaApp(scope: Construct, id: string, config: SwaAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaswaappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktaswaappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktaswaappparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.SwaAppConfig`](#@cdktf/provider-okta.SwaAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.parameter.scope" id="cdktfprovideroktaswaappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.parameter.id" id="cdktfprovideroktaswaappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.parameter.config" id="cdktfprovideroktaswaappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.SwaAppConfig`](#@cdktf/provider-okta.SwaAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktaswaappputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktaswaappresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktaswaappresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktaswaappresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktaswaappresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktaswaappresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktaswaappresetautosubmittoolbar) | *No description.* |
| [`resetButtonField`](#cdktfprovideroktaswaappresetbuttonfield) | *No description.* |
| [`resetCheckbox`](#cdktfprovideroktaswaappresetcheckbox) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktaswaappresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktaswaappresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktaswaappresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktaswaappresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktaswaappresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktaswaappresetlogo) | *No description.* |
| [`resetPasswordField`](#cdktfprovideroktaswaappresetpasswordfield) | *No description.* |
| [`resetPreconfiguredApp`](#cdktfprovideroktaswaappresetpreconfiguredapp) | *No description.* |
| [`resetRedirectUrl`](#cdktfprovideroktaswaappresetredirecturl) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktaswaappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktaswaappresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktaswaappresetstatus) | *No description.* |
| [`resetUrl`](#cdktfprovideroktaswaappreseturl) | *No description.* |
| [`resetUrlRegex`](#cdktfprovideroktaswaappreseturlregex) | *No description.* |
| [`resetUsernameField`](#cdktfprovideroktaswaappresetusernamefield) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktaswaappresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktaswaappresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktaswaappresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktaswaappresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktaswaappresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.SwaApp.putUsers" id="cdktfprovideroktaswaappputusers"></a>

```typescript
public putUsers(value: IResolvable | SwaAppUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.parameter.value" id="cdktfprovideroktaswaappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.SwaApp.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktaswaappresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.SwaApp.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktaswaappresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.SwaApp.resetAccessibilitySelfService" id="cdktfprovideroktaswaappresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.SwaApp.resetAdminNote" id="cdktfprovideroktaswaappresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.SwaApp.resetAppLinksJson" id="cdktfprovideroktaswaappresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.SwaApp.resetAutoSubmitToolbar" id="cdktfprovideroktaswaappresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetButtonField` <a name="@cdktf/provider-okta.SwaApp.resetButtonField" id="cdktfprovideroktaswaappresetbuttonfield"></a>

```typescript
public resetButtonField()
```

##### `resetCheckbox` <a name="@cdktf/provider-okta.SwaApp.resetCheckbox" id="cdktfprovideroktaswaappresetcheckbox"></a>

```typescript
public resetCheckbox()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.SwaApp.resetEnduserNote" id="cdktfprovideroktaswaappresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.SwaApp.resetGroups" id="cdktfprovideroktaswaappresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.SwaApp.resetHideIos" id="cdktfprovideroktaswaappresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.SwaApp.resetHideWeb" id="cdktfprovideroktaswaappresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.SwaApp.resetId" id="cdktfprovideroktaswaappresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.SwaApp.resetLogo" id="cdktfprovideroktaswaappresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPasswordField` <a name="@cdktf/provider-okta.SwaApp.resetPasswordField" id="cdktfprovideroktaswaappresetpasswordfield"></a>

```typescript
public resetPasswordField()
```

##### `resetPreconfiguredApp` <a name="@cdktf/provider-okta.SwaApp.resetPreconfiguredApp" id="cdktfprovideroktaswaappresetpreconfiguredapp"></a>

```typescript
public resetPreconfiguredApp()
```

##### `resetRedirectUrl` <a name="@cdktf/provider-okta.SwaApp.resetRedirectUrl" id="cdktfprovideroktaswaappresetredirecturl"></a>

```typescript
public resetRedirectUrl()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.SwaApp.resetSkipGroups" id="cdktfprovideroktaswaappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.SwaApp.resetSkipUsers" id="cdktfprovideroktaswaappresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.SwaApp.resetStatus" id="cdktfprovideroktaswaappresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUrl` <a name="@cdktf/provider-okta.SwaApp.resetUrl" id="cdktfprovideroktaswaappreseturl"></a>

```typescript
public resetUrl()
```

##### `resetUrlRegex` <a name="@cdktf/provider-okta.SwaApp.resetUrlRegex" id="cdktfprovideroktaswaappreseturlregex"></a>

```typescript
public resetUrlRegex()
```

##### `resetUsernameField` <a name="@cdktf/provider-okta.SwaApp.resetUsernameField" id="cdktfprovideroktaswaappresetusernamefield"></a>

```typescript
public resetUsernameField()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.SwaApp.resetUserNameTemplate" id="cdktfprovideroktaswaappresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.SwaApp.resetUserNameTemplatePushStatus" id="cdktfprovideroktaswaappresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.SwaApp.resetUserNameTemplateSuffix" id="cdktfprovideroktaswaappresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.SwaApp.resetUserNameTemplateType" id="cdktfprovideroktaswaappresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.SwaApp.resetUsers" id="cdktfprovideroktaswaappresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktaswaapppropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaswaapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktaswaapppropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktaswaapppropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.SwaAppUsersList`](#@cdktf/provider-okta.SwaAppUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktaswaapppropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktaswaapppropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktaswaapppropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktaswaapppropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktaswaapppropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktaswaapppropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonFieldInput`](#cdktfprovideroktaswaapppropertybuttonfieldinput) | `string` | *No description.* |
| [`checkboxInput`](#cdktfprovideroktaswaapppropertycheckboxinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktaswaapppropertyendusernoteinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktaswaapppropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktaswaapppropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktaswaapppropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktaswaapppropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktaswaapppropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktaswaapppropertylogoinput) | `string` | *No description.* |
| [`passwordFieldInput`](#cdktfprovideroktaswaapppropertypasswordfieldinput) | `string` | *No description.* |
| [`preconfiguredAppInput`](#cdktfprovideroktaswaapppropertypreconfiguredappinput) | `string` | *No description.* |
| [`redirectUrlInput`](#cdktfprovideroktaswaapppropertyredirecturlinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktaswaapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktaswaapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktaswaapppropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktaswaapppropertyurlinput) | `string` | *No description.* |
| [`urlRegexInput`](#cdktfprovideroktaswaapppropertyurlregexinput) | `string` | *No description.* |
| [`usernameFieldInput`](#cdktfprovideroktaswaapppropertyusernamefieldinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktaswaapppropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktaswaapppropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktaswaapppropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktaswaapppropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktaswaapppropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaswaapppropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaswaapppropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktaswaapppropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktaswaapppropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktaswaapppropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktaswaapppropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonField`](#cdktfprovideroktaswaapppropertybuttonfield)<span title="Required">*</span> | `string` | *No description.* |
| [`checkbox`](#cdktfprovideroktaswaapppropertycheckbox)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktaswaapppropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktaswaapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktaswaapppropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktaswaapppropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktaswaapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktaswaapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktaswaapppropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordField`](#cdktfprovideroktaswaapppropertypasswordfield)<span title="Required">*</span> | `string` | *No description.* |
| [`preconfiguredApp`](#cdktfprovideroktaswaapppropertypreconfiguredapp)<span title="Required">*</span> | `string` | *No description.* |
| [`redirectUrl`](#cdktfprovideroktaswaapppropertyredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktaswaapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktaswaapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktaswaapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktaswaapppropertyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`urlRegex`](#cdktfprovideroktaswaapppropertyurlregex)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameField`](#cdktfprovideroktaswaapppropertyusernamefield)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktaswaapppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaswaapppropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktaswaapppropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktaswaapppropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.logoUrl" id="cdktfprovideroktaswaapppropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.name" id="cdktfprovideroktaswaapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.signOnMode" id="cdktfprovideroktaswaapppropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.users" id="cdktfprovideroktaswaapppropertyusers"></a>

```typescript
public readonly users: SwaAppUsersList;
```

- *Type:* [`@cdktf/provider-okta.SwaAppUsersList`](#@cdktf/provider-okta.SwaAppUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktaswaapppropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktaswaapppropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.accessibilitySelfServiceInput" id="cdktfprovideroktaswaapppropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.adminNoteInput" id="cdktfprovideroktaswaapppropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.appLinksJsonInput" id="cdktfprovideroktaswaapppropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.autoSubmitToolbarInput" id="cdktfprovideroktaswaapppropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.buttonFieldInput" id="cdktfprovideroktaswaapppropertybuttonfieldinput"></a>

```typescript
public readonly buttonFieldInput: string;
```

- *Type:* `string`

---

##### `checkboxInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.checkboxInput" id="cdktfprovideroktaswaapppropertycheckboxinput"></a>

```typescript
public readonly checkboxInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.enduserNoteInput" id="cdktfprovideroktaswaapppropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.groupsInput" id="cdktfprovideroktaswaapppropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.hideIosInput" id="cdktfprovideroktaswaapppropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.hideWebInput" id="cdktfprovideroktaswaapppropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.idInput" id="cdktfprovideroktaswaapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.labelInput" id="cdktfprovideroktaswaapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.logoInput" id="cdktfprovideroktaswaapppropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `passwordFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.passwordFieldInput" id="cdktfprovideroktaswaapppropertypasswordfieldinput"></a>

```typescript
public readonly passwordFieldInput: string;
```

- *Type:* `string`

---

##### `preconfiguredAppInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.preconfiguredAppInput" id="cdktfprovideroktaswaapppropertypreconfiguredappinput"></a>

```typescript
public readonly preconfiguredAppInput: string;
```

- *Type:* `string`

---

##### `redirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.redirectUrlInput" id="cdktfprovideroktaswaapppropertyredirecturlinput"></a>

```typescript
public readonly redirectUrlInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.skipGroupsInput" id="cdktfprovideroktaswaapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.skipUsersInput" id="cdktfprovideroktaswaapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.statusInput" id="cdktfprovideroktaswaapppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.urlInput" id="cdktfprovideroktaswaapppropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `urlRegexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.urlRegexInput" id="cdktfprovideroktaswaapppropertyurlregexinput"></a>

```typescript
public readonly urlRegexInput: string;
```

- *Type:* `string`

---

##### `usernameFieldInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.usernameFieldInput" id="cdktfprovideroktaswaapppropertyusernamefieldinput"></a>

```typescript
public readonly usernameFieldInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplateInput" id="cdktfprovideroktaswaapppropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplatePushStatusInput" id="cdktfprovideroktaswaapppropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplateSuffixInput" id="cdktfprovideroktaswaapppropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplateTypeInput" id="cdktfprovideroktaswaapppropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaApp.property.usersInput" id="cdktfprovideroktaswaapppropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | SwaAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaswaapppropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaswaapppropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.accessibilitySelfService" id="cdktfprovideroktaswaapppropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.adminNote" id="cdktfprovideroktaswaapppropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.appLinksJson" id="cdktfprovideroktaswaapppropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.autoSubmitToolbar" id="cdktfprovideroktaswaapppropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonField`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.buttonField" id="cdktfprovideroktaswaapppropertybuttonfield"></a>

```typescript
public readonly buttonField: string;
```

- *Type:* `string`

---

##### `checkbox`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.checkbox" id="cdktfprovideroktaswaapppropertycheckbox"></a>

```typescript
public readonly checkbox: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.enduserNote" id="cdktfprovideroktaswaapppropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.groups" id="cdktfprovideroktaswaapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.hideIos" id="cdktfprovideroktaswaapppropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.hideWeb" id="cdktfprovideroktaswaapppropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.id" id="cdktfprovideroktaswaapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.label" id="cdktfprovideroktaswaapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.logo" id="cdktfprovideroktaswaapppropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `passwordField`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.passwordField" id="cdktfprovideroktaswaapppropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

---

##### `preconfiguredApp`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.preconfiguredApp" id="cdktfprovideroktaswaapppropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

---

##### `redirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.redirectUrl" id="cdktfprovideroktaswaapppropertyredirecturl"></a>

```typescript
public readonly redirectUrl: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.skipGroups" id="cdktfprovideroktaswaapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.skipUsers" id="cdktfprovideroktaswaapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.status" id="cdktfprovideroktaswaapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.url" id="cdktfprovideroktaswaapppropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

##### `urlRegex`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.urlRegex" id="cdktfprovideroktaswaapppropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

---

##### `usernameField`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.usernameField" id="cdktfprovideroktaswaapppropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplate" id="cdktfprovideroktaswaapppropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplatePushStatus" id="cdktfprovideroktaswaapppropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplateSuffix" id="cdktfprovideroktaswaapppropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaApp.property.userNameTemplateType" id="cdktfprovideroktaswaapppropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktaswaapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.SwaApp.property.tfResourceType" id="cdktfprovideroktaswaapppropertytfresourcetype"></a>

- *Type:* `string`

---

### TemplateEmail <a name="@cdktf/provider-okta.TemplateEmail" id="cdktfprovideroktatemplateemail"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/template_email okta_template_email}.

#### Initializers <a name="@cdktf/provider-okta.TemplateEmail.Initializer" id="cdktfprovideroktatemplateemailinitializer"></a>

```typescript
import { TemplateEmail } from '@cdktf/provider-okta'

new TemplateEmail(scope: Construct, id: string, config: TemplateEmailConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktatemplateemailparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktatemplateemailparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktatemplateemailparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.TemplateEmailConfig`](#@cdktf/provider-okta.TemplateEmailConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.parameter.scope" id="cdktfprovideroktatemplateemailparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.parameter.id" id="cdktfprovideroktatemplateemailparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.parameter.config" id="cdktfprovideroktatemplateemailparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.TemplateEmailConfig`](#@cdktf/provider-okta.TemplateEmailConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putTranslations`](#cdktfprovideroktatemplateemailputtranslations) | *No description.* |
| [`resetDefaultLanguage`](#cdktfprovideroktatemplateemailresetdefaultlanguage) | *No description.* |
| [`resetId`](#cdktfprovideroktatemplateemailresetid) | *No description.* |

---

##### `putTranslations` <a name="@cdktf/provider-okta.TemplateEmail.putTranslations" id="cdktfprovideroktatemplateemailputtranslations"></a>

```typescript
public putTranslations(value: IResolvable | TemplateEmailTranslations[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.parameter.value" id="cdktfprovideroktatemplateemailparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)[]

---

##### `resetDefaultLanguage` <a name="@cdktf/provider-okta.TemplateEmail.resetDefaultLanguage" id="cdktfprovideroktatemplateemailresetdefaultlanguage"></a>

```typescript
public resetDefaultLanguage()
```

##### `resetId` <a name="@cdktf/provider-okta.TemplateEmail.resetId" id="cdktfprovideroktatemplateemailresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`translations`](#cdktfprovideroktatemplateemailpropertytranslations)<span title="Required">*</span> | [`@cdktf/provider-okta.TemplateEmailTranslationsList`](#@cdktf/provider-okta.TemplateEmailTranslationsList) | *No description.* |
| [`defaultLanguageInput`](#cdktfprovideroktatemplateemailpropertydefaultlanguageinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktatemplateemailpropertyidinput) | `string` | *No description.* |
| [`translationsInput`](#cdktfprovideroktatemplateemailpropertytranslationsinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)[] | *No description.* |
| [`typeInput`](#cdktfprovideroktatemplateemailpropertytypeinput) | `string` | *No description.* |
| [`defaultLanguage`](#cdktfprovideroktatemplateemailpropertydefaultlanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktatemplateemailpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktatemplateemailpropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `translations`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.translations" id="cdktfprovideroktatemplateemailpropertytranslations"></a>

```typescript
public readonly translations: TemplateEmailTranslationsList;
```

- *Type:* [`@cdktf/provider-okta.TemplateEmailTranslationsList`](#@cdktf/provider-okta.TemplateEmailTranslationsList)

---

##### `defaultLanguageInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.defaultLanguageInput" id="cdktfprovideroktatemplateemailpropertydefaultlanguageinput"></a>

```typescript
public readonly defaultLanguageInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.idInput" id="cdktfprovideroktatemplateemailpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `translationsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.translationsInput" id="cdktfprovideroktatemplateemailpropertytranslationsinput"></a>

```typescript
public readonly translationsInput: IResolvable | TemplateEmailTranslations[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)[]

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.typeInput" id="cdktfprovideroktatemplateemailpropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `defaultLanguage`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.defaultLanguage" id="cdktfprovideroktatemplateemailpropertydefaultlanguage"></a>

```typescript
public readonly defaultLanguage: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.id" id="cdktfprovideroktatemplateemailpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmail.property.type" id="cdktfprovideroktatemplateemailpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktatemplateemailpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.TemplateEmail.property.tfResourceType" id="cdktfprovideroktatemplateemailpropertytfresourcetype"></a>

- *Type:* `string`

---

### TemplateSms <a name="@cdktf/provider-okta.TemplateSms" id="cdktfprovideroktatemplatesms"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/template_sms okta_template_sms}.

#### Initializers <a name="@cdktf/provider-okta.TemplateSms.Initializer" id="cdktfprovideroktatemplatesmsinitializer"></a>

```typescript
import { TemplateSms } from '@cdktf/provider-okta'

new TemplateSms(scope: Construct, id: string, config: TemplateSmsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktatemplatesmsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktatemplatesmsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktatemplatesmsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.TemplateSmsConfig`](#@cdktf/provider-okta.TemplateSmsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.parameter.scope" id="cdktfprovideroktatemplatesmsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.parameter.id" id="cdktfprovideroktatemplatesmsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.parameter.config" id="cdktfprovideroktatemplatesmsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.TemplateSmsConfig`](#@cdktf/provider-okta.TemplateSmsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putTranslations`](#cdktfprovideroktatemplatesmsputtranslations) | *No description.* |
| [`resetId`](#cdktfprovideroktatemplatesmsresetid) | *No description.* |
| [`resetTranslations`](#cdktfprovideroktatemplatesmsresettranslations) | *No description.* |

---

##### `putTranslations` <a name="@cdktf/provider-okta.TemplateSms.putTranslations" id="cdktfprovideroktatemplatesmsputtranslations"></a>

```typescript
public putTranslations(value: IResolvable | TemplateSmsTranslations[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.parameter.value" id="cdktfprovideroktatemplatesmsparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)[]

---

##### `resetId` <a name="@cdktf/provider-okta.TemplateSms.resetId" id="cdktfprovideroktatemplatesmsresetid"></a>

```typescript
public resetId()
```

##### `resetTranslations` <a name="@cdktf/provider-okta.TemplateSms.resetTranslations" id="cdktfprovideroktatemplatesmsresettranslations"></a>

```typescript
public resetTranslations()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`translations`](#cdktfprovideroktatemplatesmspropertytranslations)<span title="Required">*</span> | [`@cdktf/provider-okta.TemplateSmsTranslationsList`](#@cdktf/provider-okta.TemplateSmsTranslationsList) | *No description.* |
| [`idInput`](#cdktfprovideroktatemplatesmspropertyidinput) | `string` | *No description.* |
| [`templateInput`](#cdktfprovideroktatemplatesmspropertytemplateinput) | `string` | *No description.* |
| [`translationsInput`](#cdktfprovideroktatemplatesmspropertytranslationsinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)[] | *No description.* |
| [`typeInput`](#cdktfprovideroktatemplatesmspropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktatemplatesmspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`template`](#cdktfprovideroktatemplatesmspropertytemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktatemplatesmspropertytype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `translations`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.property.translations" id="cdktfprovideroktatemplatesmspropertytranslations"></a>

```typescript
public readonly translations: TemplateSmsTranslationsList;
```

- *Type:* [`@cdktf/provider-okta.TemplateSmsTranslationsList`](#@cdktf/provider-okta.TemplateSmsTranslationsList)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSms.property.idInput" id="cdktfprovideroktatemplatesmspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `templateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSms.property.templateInput" id="cdktfprovideroktatemplatesmspropertytemplateinput"></a>

```typescript
public readonly templateInput: string;
```

- *Type:* `string`

---

##### `translationsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSms.property.translationsInput" id="cdktfprovideroktatemplatesmspropertytranslationsinput"></a>

```typescript
public readonly translationsInput: IResolvable | TemplateSmsTranslations[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)[]

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSms.property.typeInput" id="cdktfprovideroktatemplatesmspropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.property.id" id="cdktfprovideroktatemplatesmspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `template`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.property.template" id="cdktfprovideroktatemplatesmspropertytemplate"></a>

```typescript
public readonly template: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSms.property.type" id="cdktfprovideroktatemplatesmspropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktatemplatesmspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.TemplateSms.property.tfResourceType" id="cdktfprovideroktatemplatesmspropertytfresourcetype"></a>

- *Type:* `string`

---

### Theme <a name="@cdktf/provider-okta.Theme" id="cdktfprovideroktatheme"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/theme okta_theme}.

#### Initializers <a name="@cdktf/provider-okta.Theme.Initializer" id="cdktfprovideroktathemeinitializer"></a>

```typescript
import { Theme } from '@cdktf/provider-okta'

new Theme(scope: Construct, id: string, config: ThemeConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktathemeparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktathemeparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktathemeparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.ThemeConfig`](#@cdktf/provider-okta.ThemeConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.parameter.scope" id="cdktfprovideroktathemeparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.parameter.id" id="cdktfprovideroktathemeparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.parameter.config" id="cdktfprovideroktathemeparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.ThemeConfig`](#@cdktf/provider-okta.ThemeConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetBackgroundImage`](#cdktfprovideroktathemeresetbackgroundimage) | *No description.* |
| [`resetEmailTemplateTouchPointVariant`](#cdktfprovideroktathemeresetemailtemplatetouchpointvariant) | *No description.* |
| [`resetEndUserDashboardTouchPointVariant`](#cdktfprovideroktathemeresetenduserdashboardtouchpointvariant) | *No description.* |
| [`resetErrorPageTouchPointVariant`](#cdktfprovideroktathemereseterrorpagetouchpointvariant) | *No description.* |
| [`resetFavicon`](#cdktfprovideroktathemeresetfavicon) | *No description.* |
| [`resetLogo`](#cdktfprovideroktathemeresetlogo) | *No description.* |
| [`resetPrimaryColorContrastHex`](#cdktfprovideroktathemeresetprimarycolorcontrasthex) | *No description.* |
| [`resetPrimaryColorHex`](#cdktfprovideroktathemeresetprimarycolorhex) | *No description.* |
| [`resetSecondaryColorContrastHex`](#cdktfprovideroktathemeresetsecondarycolorcontrasthex) | *No description.* |
| [`resetSecondaryColorHex`](#cdktfprovideroktathemeresetsecondarycolorhex) | *No description.* |
| [`resetSignInPageTouchPointVariant`](#cdktfprovideroktathemeresetsigninpagetouchpointvariant) | *No description.* |
| [`resetThemeId`](#cdktfprovideroktathemeresetthemeid) | *No description.* |

---

##### `resetBackgroundImage` <a name="@cdktf/provider-okta.Theme.resetBackgroundImage" id="cdktfprovideroktathemeresetbackgroundimage"></a>

```typescript
public resetBackgroundImage()
```

##### `resetEmailTemplateTouchPointVariant` <a name="@cdktf/provider-okta.Theme.resetEmailTemplateTouchPointVariant" id="cdktfprovideroktathemeresetemailtemplatetouchpointvariant"></a>

```typescript
public resetEmailTemplateTouchPointVariant()
```

##### `resetEndUserDashboardTouchPointVariant` <a name="@cdktf/provider-okta.Theme.resetEndUserDashboardTouchPointVariant" id="cdktfprovideroktathemeresetenduserdashboardtouchpointvariant"></a>

```typescript
public resetEndUserDashboardTouchPointVariant()
```

##### `resetErrorPageTouchPointVariant` <a name="@cdktf/provider-okta.Theme.resetErrorPageTouchPointVariant" id="cdktfprovideroktathemereseterrorpagetouchpointvariant"></a>

```typescript
public resetErrorPageTouchPointVariant()
```

##### `resetFavicon` <a name="@cdktf/provider-okta.Theme.resetFavicon" id="cdktfprovideroktathemeresetfavicon"></a>

```typescript
public resetFavicon()
```

##### `resetLogo` <a name="@cdktf/provider-okta.Theme.resetLogo" id="cdktfprovideroktathemeresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetPrimaryColorContrastHex` <a name="@cdktf/provider-okta.Theme.resetPrimaryColorContrastHex" id="cdktfprovideroktathemeresetprimarycolorcontrasthex"></a>

```typescript
public resetPrimaryColorContrastHex()
```

##### `resetPrimaryColorHex` <a name="@cdktf/provider-okta.Theme.resetPrimaryColorHex" id="cdktfprovideroktathemeresetprimarycolorhex"></a>

```typescript
public resetPrimaryColorHex()
```

##### `resetSecondaryColorContrastHex` <a name="@cdktf/provider-okta.Theme.resetSecondaryColorContrastHex" id="cdktfprovideroktathemeresetsecondarycolorcontrasthex"></a>

```typescript
public resetSecondaryColorContrastHex()
```

##### `resetSecondaryColorHex` <a name="@cdktf/provider-okta.Theme.resetSecondaryColorHex" id="cdktfprovideroktathemeresetsecondarycolorhex"></a>

```typescript
public resetSecondaryColorHex()
```

##### `resetSignInPageTouchPointVariant` <a name="@cdktf/provider-okta.Theme.resetSignInPageTouchPointVariant" id="cdktfprovideroktathemeresetsigninpagetouchpointvariant"></a>

```typescript
public resetSignInPageTouchPointVariant()
```

##### `resetThemeId` <a name="@cdktf/provider-okta.Theme.resetThemeId" id="cdktfprovideroktathemeresetthemeid"></a>

```typescript
public resetThemeId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`backgroundImageUrl`](#cdktfprovideroktathemepropertybackgroundimageurl)<span title="Required">*</span> | `string` | *No description.* |
| [`faviconUrl`](#cdktfprovideroktathemepropertyfaviconurl)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktathemepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktathemepropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`logoUrl`](#cdktfprovideroktathemepropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`backgroundImageInput`](#cdktfprovideroktathemepropertybackgroundimageinput) | `string` | *No description.* |
| [`brandIdInput`](#cdktfprovideroktathemepropertybrandidinput) | `string` | *No description.* |
| [`emailTemplateTouchPointVariantInput`](#cdktfprovideroktathemepropertyemailtemplatetouchpointvariantinput) | `string` | *No description.* |
| [`endUserDashboardTouchPointVariantInput`](#cdktfprovideroktathemepropertyenduserdashboardtouchpointvariantinput) | `string` | *No description.* |
| [`errorPageTouchPointVariantInput`](#cdktfprovideroktathemepropertyerrorpagetouchpointvariantinput) | `string` | *No description.* |
| [`faviconInput`](#cdktfprovideroktathemepropertyfaviconinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktathemepropertylogoinput) | `string` | *No description.* |
| [`primaryColorContrastHexInput`](#cdktfprovideroktathemepropertyprimarycolorcontrasthexinput) | `string` | *No description.* |
| [`primaryColorHexInput`](#cdktfprovideroktathemepropertyprimarycolorhexinput) | `string` | *No description.* |
| [`secondaryColorContrastHexInput`](#cdktfprovideroktathemepropertysecondarycolorcontrasthexinput) | `string` | *No description.* |
| [`secondaryColorHexInput`](#cdktfprovideroktathemepropertysecondarycolorhexinput) | `string` | *No description.* |
| [`signInPageTouchPointVariantInput`](#cdktfprovideroktathemepropertysigninpagetouchpointvariantinput) | `string` | *No description.* |
| [`themeIdInput`](#cdktfprovideroktathemepropertythemeidinput) | `string` | *No description.* |
| [`backgroundImage`](#cdktfprovideroktathemepropertybackgroundimage)<span title="Required">*</span> | `string` | *No description.* |
| [`brandId`](#cdktfprovideroktathemepropertybrandid)<span title="Required">*</span> | `string` | *No description.* |
| [`emailTemplateTouchPointVariant`](#cdktfprovideroktathemepropertyemailtemplatetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`endUserDashboardTouchPointVariant`](#cdktfprovideroktathemepropertyenduserdashboardtouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`errorPageTouchPointVariant`](#cdktfprovideroktathemepropertyerrorpagetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`favicon`](#cdktfprovideroktathemepropertyfavicon)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktathemepropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryColorContrastHex`](#cdktfprovideroktathemepropertyprimarycolorcontrasthex)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryColorHex`](#cdktfprovideroktathemepropertyprimarycolorhex)<span title="Required">*</span> | `string` | *No description.* |
| [`secondaryColorContrastHex`](#cdktfprovideroktathemepropertysecondarycolorcontrasthex)<span title="Required">*</span> | `string` | *No description.* |
| [`secondaryColorHex`](#cdktfprovideroktathemepropertysecondarycolorhex)<span title="Required">*</span> | `string` | *No description.* |
| [`signInPageTouchPointVariant`](#cdktfprovideroktathemepropertysigninpagetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`themeId`](#cdktfprovideroktathemepropertythemeid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `backgroundImageUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.backgroundImageUrl" id="cdktfprovideroktathemepropertybackgroundimageurl"></a>

```typescript
public readonly backgroundImageUrl: string;
```

- *Type:* `string`

---

##### `faviconUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.faviconUrl" id="cdktfprovideroktathemepropertyfaviconurl"></a>

```typescript
public readonly faviconUrl: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.id" id="cdktfprovideroktathemepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.links" id="cdktfprovideroktathemepropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.logoUrl" id="cdktfprovideroktathemepropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `backgroundImageInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.backgroundImageInput" id="cdktfprovideroktathemepropertybackgroundimageinput"></a>

```typescript
public readonly backgroundImageInput: string;
```

- *Type:* `string`

---

##### `brandIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.brandIdInput" id="cdktfprovideroktathemepropertybrandidinput"></a>

```typescript
public readonly brandIdInput: string;
```

- *Type:* `string`

---

##### `emailTemplateTouchPointVariantInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.emailTemplateTouchPointVariantInput" id="cdktfprovideroktathemepropertyemailtemplatetouchpointvariantinput"></a>

```typescript
public readonly emailTemplateTouchPointVariantInput: string;
```

- *Type:* `string`

---

##### `endUserDashboardTouchPointVariantInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.endUserDashboardTouchPointVariantInput" id="cdktfprovideroktathemepropertyenduserdashboardtouchpointvariantinput"></a>

```typescript
public readonly endUserDashboardTouchPointVariantInput: string;
```

- *Type:* `string`

---

##### `errorPageTouchPointVariantInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.errorPageTouchPointVariantInput" id="cdktfprovideroktathemepropertyerrorpagetouchpointvariantinput"></a>

```typescript
public readonly errorPageTouchPointVariantInput: string;
```

- *Type:* `string`

---

##### `faviconInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.faviconInput" id="cdktfprovideroktathemepropertyfaviconinput"></a>

```typescript
public readonly faviconInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.logoInput" id="cdktfprovideroktathemepropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `primaryColorContrastHexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.primaryColorContrastHexInput" id="cdktfprovideroktathemepropertyprimarycolorcontrasthexinput"></a>

```typescript
public readonly primaryColorContrastHexInput: string;
```

- *Type:* `string`

---

##### `primaryColorHexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.primaryColorHexInput" id="cdktfprovideroktathemepropertyprimarycolorhexinput"></a>

```typescript
public readonly primaryColorHexInput: string;
```

- *Type:* `string`

---

##### `secondaryColorContrastHexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.secondaryColorContrastHexInput" id="cdktfprovideroktathemepropertysecondarycolorcontrasthexinput"></a>

```typescript
public readonly secondaryColorContrastHexInput: string;
```

- *Type:* `string`

---

##### `secondaryColorHexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.secondaryColorHexInput" id="cdktfprovideroktathemepropertysecondarycolorhexinput"></a>

```typescript
public readonly secondaryColorHexInput: string;
```

- *Type:* `string`

---

##### `signInPageTouchPointVariantInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.signInPageTouchPointVariantInput" id="cdktfprovideroktathemepropertysigninpagetouchpointvariantinput"></a>

```typescript
public readonly signInPageTouchPointVariantInput: string;
```

- *Type:* `string`

---

##### `themeIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.Theme.property.themeIdInput" id="cdktfprovideroktathemepropertythemeidinput"></a>

```typescript
public readonly themeIdInput: string;
```

- *Type:* `string`

---

##### `backgroundImage`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.backgroundImage" id="cdktfprovideroktathemepropertybackgroundimage"></a>

```typescript
public readonly backgroundImage: string;
```

- *Type:* `string`

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.brandId" id="cdktfprovideroktathemepropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

---

##### `emailTemplateTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.emailTemplateTouchPointVariant" id="cdktfprovideroktathemepropertyemailtemplatetouchpointvariant"></a>

```typescript
public readonly emailTemplateTouchPointVariant: string;
```

- *Type:* `string`

---

##### `endUserDashboardTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.endUserDashboardTouchPointVariant" id="cdktfprovideroktathemepropertyenduserdashboardtouchpointvariant"></a>

```typescript
public readonly endUserDashboardTouchPointVariant: string;
```

- *Type:* `string`

---

##### `errorPageTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.errorPageTouchPointVariant" id="cdktfprovideroktathemepropertyerrorpagetouchpointvariant"></a>

```typescript
public readonly errorPageTouchPointVariant: string;
```

- *Type:* `string`

---

##### `favicon`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.favicon" id="cdktfprovideroktathemepropertyfavicon"></a>

```typescript
public readonly favicon: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.logo" id="cdktfprovideroktathemepropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `primaryColorContrastHex`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.primaryColorContrastHex" id="cdktfprovideroktathemepropertyprimarycolorcontrasthex"></a>

```typescript
public readonly primaryColorContrastHex: string;
```

- *Type:* `string`

---

##### `primaryColorHex`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.primaryColorHex" id="cdktfprovideroktathemepropertyprimarycolorhex"></a>

```typescript
public readonly primaryColorHex: string;
```

- *Type:* `string`

---

##### `secondaryColorContrastHex`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.secondaryColorContrastHex" id="cdktfprovideroktathemepropertysecondarycolorcontrasthex"></a>

```typescript
public readonly secondaryColorContrastHex: string;
```

- *Type:* `string`

---

##### `secondaryColorHex`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.secondaryColorHex" id="cdktfprovideroktathemepropertysecondarycolorhex"></a>

```typescript
public readonly secondaryColorHex: string;
```

- *Type:* `string`

---

##### `signInPageTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.signInPageTouchPointVariant" id="cdktfprovideroktathemepropertysigninpagetouchpointvariant"></a>

```typescript
public readonly signInPageTouchPointVariant: string;
```

- *Type:* `string`

---

##### `themeId`<sup>Required</sup> <a name="@cdktf/provider-okta.Theme.property.themeId" id="cdktfprovideroktathemepropertythemeid"></a>

```typescript
public readonly themeId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktathemepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.Theme.property.tfResourceType" id="cdktfprovideroktathemepropertytfresourcetype"></a>

- *Type:* `string`

---

### ThreatInsightSettings <a name="@cdktf/provider-okta.ThreatInsightSettings" id="cdktfprovideroktathreatinsightsettings"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/threat_insight_settings okta_threat_insight_settings}.

#### Initializers <a name="@cdktf/provider-okta.ThreatInsightSettings.Initializer" id="cdktfprovideroktathreatinsightsettingsinitializer"></a>

```typescript
import { ThreatInsightSettings } from '@cdktf/provider-okta'

new ThreatInsightSettings(scope: Construct, id: string, config: ThreatInsightSettingsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktathreatinsightsettingsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktathreatinsightsettingsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktathreatinsightsettingsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.ThreatInsightSettingsConfig`](#@cdktf/provider-okta.ThreatInsightSettingsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.parameter.scope" id="cdktfprovideroktathreatinsightsettingsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.parameter.id" id="cdktfprovideroktathreatinsightsettingsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.parameter.config" id="cdktfprovideroktathreatinsightsettingsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.ThreatInsightSettingsConfig`](#@cdktf/provider-okta.ThreatInsightSettingsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktathreatinsightsettingsresetid) | *No description.* |
| [`resetNetworkExcludes`](#cdktfprovideroktathreatinsightsettingsresetnetworkexcludes) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.ThreatInsightSettings.resetId" id="cdktfprovideroktathreatinsightsettingsresetid"></a>

```typescript
public resetId()
```

##### `resetNetworkExcludes` <a name="@cdktf/provider-okta.ThreatInsightSettings.resetNetworkExcludes" id="cdktfprovideroktathreatinsightsettingsresetnetworkexcludes"></a>

```typescript
public resetNetworkExcludes()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`actionInput`](#cdktfprovideroktathreatinsightsettingspropertyactioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktathreatinsightsettingspropertyidinput) | `string` | *No description.* |
| [`networkExcludesInput`](#cdktfprovideroktathreatinsightsettingspropertynetworkexcludesinput) | `string`[] | *No description.* |
| [`action`](#cdktfprovideroktathreatinsightsettingspropertyaction)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktathreatinsightsettingspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`networkExcludes`](#cdktfprovideroktathreatinsightsettingspropertynetworkexcludes)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `actionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.property.actionInput" id="cdktfprovideroktathreatinsightsettingspropertyactioninput"></a>

```typescript
public readonly actionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.property.idInput" id="cdktfprovideroktathreatinsightsettingspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `networkExcludesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.property.networkExcludesInput" id="cdktfprovideroktathreatinsightsettingspropertynetworkexcludesinput"></a>

```typescript
public readonly networkExcludesInput: string[];
```

- *Type:* `string`[]

---

##### `action`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.property.action" id="cdktfprovideroktathreatinsightsettingspropertyaction"></a>

```typescript
public readonly action: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.property.id" id="cdktfprovideroktathreatinsightsettingspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `networkExcludes`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreatInsightSettings.property.networkExcludes" id="cdktfprovideroktathreatinsightsettingspropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktathreatinsightsettingspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.ThreatInsightSettings.property.tfResourceType" id="cdktfprovideroktathreatinsightsettingspropertytfresourcetype"></a>

- *Type:* `string`

---

### ThreeFieldApp <a name="@cdktf/provider-okta.ThreeFieldApp" id="cdktfprovideroktathreefieldapp"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/three_field_app okta_three_field_app}.

#### Initializers <a name="@cdktf/provider-okta.ThreeFieldApp.Initializer" id="cdktfprovideroktathreefieldappinitializer"></a>

```typescript
import { ThreeFieldApp } from '@cdktf/provider-okta'

new ThreeFieldApp(scope: Construct, id: string, config: ThreeFieldAppConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktathreefieldappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktathreefieldappparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktathreefieldappparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.ThreeFieldAppConfig`](#@cdktf/provider-okta.ThreeFieldAppConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.parameter.scope" id="cdktfprovideroktathreefieldappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.parameter.id" id="cdktfprovideroktathreefieldappparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.parameter.config" id="cdktfprovideroktathreefieldappparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.ThreeFieldAppConfig`](#@cdktf/provider-okta.ThreeFieldAppConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putUsers`](#cdktfprovideroktathreefieldappputusers) | *No description.* |
| [`resetAccessibilityErrorRedirectUrl`](#cdktfprovideroktathreefieldappresetaccessibilityerrorredirecturl) | *No description.* |
| [`resetAccessibilityLoginRedirectUrl`](#cdktfprovideroktathreefieldappresetaccessibilityloginredirecturl) | *No description.* |
| [`resetAccessibilitySelfService`](#cdktfprovideroktathreefieldappresetaccessibilityselfservice) | *No description.* |
| [`resetAdminNote`](#cdktfprovideroktathreefieldappresetadminnote) | *No description.* |
| [`resetAppLinksJson`](#cdktfprovideroktathreefieldappresetapplinksjson) | *No description.* |
| [`resetAutoSubmitToolbar`](#cdktfprovideroktathreefieldappresetautosubmittoolbar) | *No description.* |
| [`resetCredentialsScheme`](#cdktfprovideroktathreefieldappresetcredentialsscheme) | *No description.* |
| [`resetEnduserNote`](#cdktfprovideroktathreefieldappresetendusernote) | *No description.* |
| [`resetGroups`](#cdktfprovideroktathreefieldappresetgroups) | *No description.* |
| [`resetHideIos`](#cdktfprovideroktathreefieldappresethideios) | *No description.* |
| [`resetHideWeb`](#cdktfprovideroktathreefieldappresethideweb) | *No description.* |
| [`resetId`](#cdktfprovideroktathreefieldappresetid) | *No description.* |
| [`resetLogo`](#cdktfprovideroktathreefieldappresetlogo) | *No description.* |
| [`resetRevealPassword`](#cdktfprovideroktathreefieldappresetrevealpassword) | *No description.* |
| [`resetSharedPassword`](#cdktfprovideroktathreefieldappresetsharedpassword) | *No description.* |
| [`resetSharedUsername`](#cdktfprovideroktathreefieldappresetsharedusername) | *No description.* |
| [`resetSkipGroups`](#cdktfprovideroktathreefieldappresetskipgroups) | *No description.* |
| [`resetSkipUsers`](#cdktfprovideroktathreefieldappresetskipusers) | *No description.* |
| [`resetStatus`](#cdktfprovideroktathreefieldappresetstatus) | *No description.* |
| [`resetUrlRegex`](#cdktfprovideroktathreefieldappreseturlregex) | *No description.* |
| [`resetUserNameTemplate`](#cdktfprovideroktathreefieldappresetusernametemplate) | *No description.* |
| [`resetUserNameTemplatePushStatus`](#cdktfprovideroktathreefieldappresetusernametemplatepushstatus) | *No description.* |
| [`resetUserNameTemplateSuffix`](#cdktfprovideroktathreefieldappresetusernametemplatesuffix) | *No description.* |
| [`resetUserNameTemplateType`](#cdktfprovideroktathreefieldappresetusernametemplatetype) | *No description.* |
| [`resetUsers`](#cdktfprovideroktathreefieldappresetusers) | *No description.* |

---

##### `putUsers` <a name="@cdktf/provider-okta.ThreeFieldApp.putUsers" id="cdktfprovideroktathreefieldappputusers"></a>

```typescript
public putUsers(value: IResolvable | ThreeFieldAppUsers[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.parameter.value" id="cdktfprovideroktathreefieldappparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)[]

---

##### `resetAccessibilityErrorRedirectUrl` <a name="@cdktf/provider-okta.ThreeFieldApp.resetAccessibilityErrorRedirectUrl" id="cdktfprovideroktathreefieldappresetaccessibilityerrorredirecturl"></a>

```typescript
public resetAccessibilityErrorRedirectUrl()
```

##### `resetAccessibilityLoginRedirectUrl` <a name="@cdktf/provider-okta.ThreeFieldApp.resetAccessibilityLoginRedirectUrl" id="cdktfprovideroktathreefieldappresetaccessibilityloginredirecturl"></a>

```typescript
public resetAccessibilityLoginRedirectUrl()
```

##### `resetAccessibilitySelfService` <a name="@cdktf/provider-okta.ThreeFieldApp.resetAccessibilitySelfService" id="cdktfprovideroktathreefieldappresetaccessibilityselfservice"></a>

```typescript
public resetAccessibilitySelfService()
```

##### `resetAdminNote` <a name="@cdktf/provider-okta.ThreeFieldApp.resetAdminNote" id="cdktfprovideroktathreefieldappresetadminnote"></a>

```typescript
public resetAdminNote()
```

##### `resetAppLinksJson` <a name="@cdktf/provider-okta.ThreeFieldApp.resetAppLinksJson" id="cdktfprovideroktathreefieldappresetapplinksjson"></a>

```typescript
public resetAppLinksJson()
```

##### `resetAutoSubmitToolbar` <a name="@cdktf/provider-okta.ThreeFieldApp.resetAutoSubmitToolbar" id="cdktfprovideroktathreefieldappresetautosubmittoolbar"></a>

```typescript
public resetAutoSubmitToolbar()
```

##### `resetCredentialsScheme` <a name="@cdktf/provider-okta.ThreeFieldApp.resetCredentialsScheme" id="cdktfprovideroktathreefieldappresetcredentialsscheme"></a>

```typescript
public resetCredentialsScheme()
```

##### `resetEnduserNote` <a name="@cdktf/provider-okta.ThreeFieldApp.resetEnduserNote" id="cdktfprovideroktathreefieldappresetendusernote"></a>

```typescript
public resetEnduserNote()
```

##### `resetGroups` <a name="@cdktf/provider-okta.ThreeFieldApp.resetGroups" id="cdktfprovideroktathreefieldappresetgroups"></a>

```typescript
public resetGroups()
```

##### `resetHideIos` <a name="@cdktf/provider-okta.ThreeFieldApp.resetHideIos" id="cdktfprovideroktathreefieldappresethideios"></a>

```typescript
public resetHideIos()
```

##### `resetHideWeb` <a name="@cdktf/provider-okta.ThreeFieldApp.resetHideWeb" id="cdktfprovideroktathreefieldappresethideweb"></a>

```typescript
public resetHideWeb()
```

##### `resetId` <a name="@cdktf/provider-okta.ThreeFieldApp.resetId" id="cdktfprovideroktathreefieldappresetid"></a>

```typescript
public resetId()
```

##### `resetLogo` <a name="@cdktf/provider-okta.ThreeFieldApp.resetLogo" id="cdktfprovideroktathreefieldappresetlogo"></a>

```typescript
public resetLogo()
```

##### `resetRevealPassword` <a name="@cdktf/provider-okta.ThreeFieldApp.resetRevealPassword" id="cdktfprovideroktathreefieldappresetrevealpassword"></a>

```typescript
public resetRevealPassword()
```

##### `resetSharedPassword` <a name="@cdktf/provider-okta.ThreeFieldApp.resetSharedPassword" id="cdktfprovideroktathreefieldappresetsharedpassword"></a>

```typescript
public resetSharedPassword()
```

##### `resetSharedUsername` <a name="@cdktf/provider-okta.ThreeFieldApp.resetSharedUsername" id="cdktfprovideroktathreefieldappresetsharedusername"></a>

```typescript
public resetSharedUsername()
```

##### `resetSkipGroups` <a name="@cdktf/provider-okta.ThreeFieldApp.resetSkipGroups" id="cdktfprovideroktathreefieldappresetskipgroups"></a>

```typescript
public resetSkipGroups()
```

##### `resetSkipUsers` <a name="@cdktf/provider-okta.ThreeFieldApp.resetSkipUsers" id="cdktfprovideroktathreefieldappresetskipusers"></a>

```typescript
public resetSkipUsers()
```

##### `resetStatus` <a name="@cdktf/provider-okta.ThreeFieldApp.resetStatus" id="cdktfprovideroktathreefieldappresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetUrlRegex` <a name="@cdktf/provider-okta.ThreeFieldApp.resetUrlRegex" id="cdktfprovideroktathreefieldappreseturlregex"></a>

```typescript
public resetUrlRegex()
```

##### `resetUserNameTemplate` <a name="@cdktf/provider-okta.ThreeFieldApp.resetUserNameTemplate" id="cdktfprovideroktathreefieldappresetusernametemplate"></a>

```typescript
public resetUserNameTemplate()
```

##### `resetUserNameTemplatePushStatus` <a name="@cdktf/provider-okta.ThreeFieldApp.resetUserNameTemplatePushStatus" id="cdktfprovideroktathreefieldappresetusernametemplatepushstatus"></a>

```typescript
public resetUserNameTemplatePushStatus()
```

##### `resetUserNameTemplateSuffix` <a name="@cdktf/provider-okta.ThreeFieldApp.resetUserNameTemplateSuffix" id="cdktfprovideroktathreefieldappresetusernametemplatesuffix"></a>

```typescript
public resetUserNameTemplateSuffix()
```

##### `resetUserNameTemplateType` <a name="@cdktf/provider-okta.ThreeFieldApp.resetUserNameTemplateType" id="cdktfprovideroktathreefieldappresetusernametemplatetype"></a>

```typescript
public resetUserNameTemplateType()
```

##### `resetUsers` <a name="@cdktf/provider-okta.ThreeFieldApp.resetUsers" id="cdktfprovideroktathreefieldappresetusers"></a>

```typescript
public resetUsers()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`logoUrl`](#cdktfprovideroktathreefieldapppropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktathreefieldapppropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`signOnMode`](#cdktfprovideroktathreefieldapppropertysignonmode)<span title="Required">*</span> | `string` | *No description.* |
| [`users`](#cdktfprovideroktathreefieldapppropertyusers)<span title="Required">*</span> | [`@cdktf/provider-okta.ThreeFieldAppUsersList`](#@cdktf/provider-okta.ThreeFieldAppUsersList) | *No description.* |
| [`accessibilityErrorRedirectUrlInput`](#cdktfprovideroktathreefieldapppropertyaccessibilityerrorredirecturlinput) | `string` | *No description.* |
| [`accessibilityLoginRedirectUrlInput`](#cdktfprovideroktathreefieldapppropertyaccessibilityloginredirecturlinput) | `string` | *No description.* |
| [`accessibilitySelfServiceInput`](#cdktfprovideroktathreefieldapppropertyaccessibilityselfserviceinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNoteInput`](#cdktfprovideroktathreefieldapppropertyadminnoteinput) | `string` | *No description.* |
| [`appLinksJsonInput`](#cdktfprovideroktathreefieldapppropertyapplinksjsoninput) | `string` | *No description.* |
| [`autoSubmitToolbarInput`](#cdktfprovideroktathreefieldapppropertyautosubmittoolbarinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonSelectorInput`](#cdktfprovideroktathreefieldapppropertybuttonselectorinput) | `string` | *No description.* |
| [`credentialsSchemeInput`](#cdktfprovideroktathreefieldapppropertycredentialsschemeinput) | `string` | *No description.* |
| [`enduserNoteInput`](#cdktfprovideroktathreefieldapppropertyendusernoteinput) | `string` | *No description.* |
| [`extraFieldSelectorInput`](#cdktfprovideroktathreefieldapppropertyextrafieldselectorinput) | `string` | *No description.* |
| [`extraFieldValueInput`](#cdktfprovideroktathreefieldapppropertyextrafieldvalueinput) | `string` | *No description.* |
| [`groupsInput`](#cdktfprovideroktathreefieldapppropertygroupsinput) | `string`[] | *No description.* |
| [`hideIosInput`](#cdktfprovideroktathreefieldapppropertyhideiosinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWebInput`](#cdktfprovideroktathreefieldapppropertyhidewebinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktathreefieldapppropertyidinput) | `string` | *No description.* |
| [`labelInput`](#cdktfprovideroktathreefieldapppropertylabelinput) | `string` | *No description.* |
| [`logoInput`](#cdktfprovideroktathreefieldapppropertylogoinput) | `string` | *No description.* |
| [`passwordSelectorInput`](#cdktfprovideroktathreefieldapppropertypasswordselectorinput) | `string` | *No description.* |
| [`revealPasswordInput`](#cdktfprovideroktathreefieldapppropertyrevealpasswordinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPasswordInput`](#cdktfprovideroktathreefieldapppropertysharedpasswordinput) | `string` | *No description.* |
| [`sharedUsernameInput`](#cdktfprovideroktathreefieldapppropertysharedusernameinput) | `string` | *No description.* |
| [`skipGroupsInput`](#cdktfprovideroktathreefieldapppropertyskipgroupsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsersInput`](#cdktfprovideroktathreefieldapppropertyskipusersinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`statusInput`](#cdktfprovideroktathreefieldapppropertystatusinput) | `string` | *No description.* |
| [`urlInput`](#cdktfprovideroktathreefieldapppropertyurlinput) | `string` | *No description.* |
| [`urlRegexInput`](#cdktfprovideroktathreefieldapppropertyurlregexinput) | `string` | *No description.* |
| [`usernameSelectorInput`](#cdktfprovideroktathreefieldapppropertyusernameselectorinput) | `string` | *No description.* |
| [`userNameTemplateInput`](#cdktfprovideroktathreefieldapppropertyusernametemplateinput) | `string` | *No description.* |
| [`userNameTemplatePushStatusInput`](#cdktfprovideroktathreefieldapppropertyusernametemplatepushstatusinput) | `string` | *No description.* |
| [`userNameTemplateSuffixInput`](#cdktfprovideroktathreefieldapppropertyusernametemplatesuffixinput) | `string` | *No description.* |
| [`userNameTemplateTypeInput`](#cdktfprovideroktathreefieldapppropertyusernametemplatetypeinput) | `string` | *No description.* |
| [`usersInput`](#cdktfprovideroktathreefieldapppropertyusersinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)[] | *No description.* |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktathreefieldapppropertyaccessibilityerrorredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktathreefieldapppropertyaccessibilityloginredirecturl)<span title="Required">*</span> | `string` | *No description.* |
| [`accessibilitySelfService`](#cdktfprovideroktathreefieldapppropertyaccessibilityselfservice)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`adminNote`](#cdktfprovideroktathreefieldapppropertyadminnote)<span title="Required">*</span> | `string` | *No description.* |
| [`appLinksJson`](#cdktfprovideroktathreefieldapppropertyapplinksjson)<span title="Required">*</span> | `string` | *No description.* |
| [`autoSubmitToolbar`](#cdktfprovideroktathreefieldapppropertyautosubmittoolbar)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`buttonSelector`](#cdktfprovideroktathreefieldapppropertybuttonselector)<span title="Required">*</span> | `string` | *No description.* |
| [`credentialsScheme`](#cdktfprovideroktathreefieldapppropertycredentialsscheme)<span title="Required">*</span> | `string` | *No description.* |
| [`enduserNote`](#cdktfprovideroktathreefieldapppropertyendusernote)<span title="Required">*</span> | `string` | *No description.* |
| [`extraFieldSelector`](#cdktfprovideroktathreefieldapppropertyextrafieldselector)<span title="Required">*</span> | `string` | *No description.* |
| [`extraFieldValue`](#cdktfprovideroktathreefieldapppropertyextrafieldvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`groups`](#cdktfprovideroktathreefieldapppropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`hideIos`](#cdktfprovideroktathreefieldapppropertyhideios)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`hideWeb`](#cdktfprovideroktathreefieldapppropertyhideweb)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktathreefieldapppropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`label`](#cdktfprovideroktathreefieldapppropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`logo`](#cdktfprovideroktathreefieldapppropertylogo)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordSelector`](#cdktfprovideroktathreefieldapppropertypasswordselector)<span title="Required">*</span> | `string` | *No description.* |
| [`revealPassword`](#cdktfprovideroktathreefieldapppropertyrevealpassword)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`sharedPassword`](#cdktfprovideroktathreefieldapppropertysharedpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`sharedUsername`](#cdktfprovideroktathreefieldapppropertysharedusername)<span title="Required">*</span> | `string` | *No description.* |
| [`skipGroups`](#cdktfprovideroktathreefieldapppropertyskipgroups)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`skipUsers`](#cdktfprovideroktathreefieldapppropertyskipusers)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`status`](#cdktfprovideroktathreefieldapppropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`url`](#cdktfprovideroktathreefieldapppropertyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`urlRegex`](#cdktfprovideroktathreefieldapppropertyurlregex)<span title="Required">*</span> | `string` | *No description.* |
| [`usernameSelector`](#cdktfprovideroktathreefieldapppropertyusernameselector)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplate`](#cdktfprovideroktathreefieldapppropertyusernametemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplatePushStatus`](#cdktfprovideroktathreefieldapppropertyusernametemplatepushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateSuffix`](#cdktfprovideroktathreefieldapppropertyusernametemplatesuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`userNameTemplateType`](#cdktfprovideroktathreefieldapppropertyusernametemplatetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.logoUrl" id="cdktfprovideroktathreefieldapppropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.name" id="cdktfprovideroktathreefieldapppropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `signOnMode`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.signOnMode" id="cdktfprovideroktathreefieldapppropertysignonmode"></a>

```typescript
public readonly signOnMode: string;
```

- *Type:* `string`

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.users" id="cdktfprovideroktathreefieldapppropertyusers"></a>

```typescript
public readonly users: ThreeFieldAppUsersList;
```

- *Type:* [`@cdktf/provider-okta.ThreeFieldAppUsersList`](#@cdktf/provider-okta.ThreeFieldAppUsersList)

---

##### `accessibilityErrorRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.accessibilityErrorRedirectUrlInput" id="cdktfprovideroktathreefieldapppropertyaccessibilityerrorredirecturlinput"></a>

```typescript
public readonly accessibilityErrorRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.accessibilityLoginRedirectUrlInput" id="cdktfprovideroktathreefieldapppropertyaccessibilityloginredirecturlinput"></a>

```typescript
public readonly accessibilityLoginRedirectUrlInput: string;
```

- *Type:* `string`

---

##### `accessibilitySelfServiceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.accessibilitySelfServiceInput" id="cdktfprovideroktathreefieldapppropertyaccessibilityselfserviceinput"></a>

```typescript
public readonly accessibilitySelfServiceInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.adminNoteInput" id="cdktfprovideroktathreefieldapppropertyadminnoteinput"></a>

```typescript
public readonly adminNoteInput: string;
```

- *Type:* `string`

---

##### `appLinksJsonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.appLinksJsonInput" id="cdktfprovideroktathreefieldapppropertyapplinksjsoninput"></a>

```typescript
public readonly appLinksJsonInput: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbarInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.autoSubmitToolbarInput" id="cdktfprovideroktathreefieldapppropertyautosubmittoolbarinput"></a>

```typescript
public readonly autoSubmitToolbarInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.buttonSelectorInput" id="cdktfprovideroktathreefieldapppropertybuttonselectorinput"></a>

```typescript
public readonly buttonSelectorInput: string;
```

- *Type:* `string`

---

##### `credentialsSchemeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.credentialsSchemeInput" id="cdktfprovideroktathreefieldapppropertycredentialsschemeinput"></a>

```typescript
public readonly credentialsSchemeInput: string;
```

- *Type:* `string`

---

##### `enduserNoteInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.enduserNoteInput" id="cdktfprovideroktathreefieldapppropertyendusernoteinput"></a>

```typescript
public readonly enduserNoteInput: string;
```

- *Type:* `string`

---

##### `extraFieldSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.extraFieldSelectorInput" id="cdktfprovideroktathreefieldapppropertyextrafieldselectorinput"></a>

```typescript
public readonly extraFieldSelectorInput: string;
```

- *Type:* `string`

---

##### `extraFieldValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.extraFieldValueInput" id="cdktfprovideroktathreefieldapppropertyextrafieldvalueinput"></a>

```typescript
public readonly extraFieldValueInput: string;
```

- *Type:* `string`

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.groupsInput" id="cdktfprovideroktathreefieldapppropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `hideIosInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.hideIosInput" id="cdktfprovideroktathreefieldapppropertyhideiosinput"></a>

```typescript
public readonly hideIosInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWebInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.hideWebInput" id="cdktfprovideroktathreefieldapppropertyhidewebinput"></a>

```typescript
public readonly hideWebInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.idInput" id="cdktfprovideroktathreefieldapppropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.labelInput" id="cdktfprovideroktathreefieldapppropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `logoInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.logoInput" id="cdktfprovideroktathreefieldapppropertylogoinput"></a>

```typescript
public readonly logoInput: string;
```

- *Type:* `string`

---

##### `passwordSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.passwordSelectorInput" id="cdktfprovideroktathreefieldapppropertypasswordselectorinput"></a>

```typescript
public readonly passwordSelectorInput: string;
```

- *Type:* `string`

---

##### `revealPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.revealPasswordInput" id="cdktfprovideroktathreefieldapppropertyrevealpasswordinput"></a>

```typescript
public readonly revealPasswordInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.sharedPasswordInput" id="cdktfprovideroktathreefieldapppropertysharedpasswordinput"></a>

```typescript
public readonly sharedPasswordInput: string;
```

- *Type:* `string`

---

##### `sharedUsernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.sharedUsernameInput" id="cdktfprovideroktathreefieldapppropertysharedusernameinput"></a>

```typescript
public readonly sharedUsernameInput: string;
```

- *Type:* `string`

---

##### `skipGroupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.skipGroupsInput" id="cdktfprovideroktathreefieldapppropertyskipgroupsinput"></a>

```typescript
public readonly skipGroupsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.skipUsersInput" id="cdktfprovideroktathreefieldapppropertyskipusersinput"></a>

```typescript
public readonly skipUsersInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.statusInput" id="cdktfprovideroktathreefieldapppropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `urlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.urlInput" id="cdktfprovideroktathreefieldapppropertyurlinput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* `string`

---

##### `urlRegexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.urlRegexInput" id="cdktfprovideroktathreefieldapppropertyurlregexinput"></a>

```typescript
public readonly urlRegexInput: string;
```

- *Type:* `string`

---

##### `usernameSelectorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.usernameSelectorInput" id="cdktfprovideroktathreefieldapppropertyusernameselectorinput"></a>

```typescript
public readonly usernameSelectorInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplateInput" id="cdktfprovideroktathreefieldapppropertyusernametemplateinput"></a>

```typescript
public readonly userNameTemplateInput: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplatePushStatusInput" id="cdktfprovideroktathreefieldapppropertyusernametemplatepushstatusinput"></a>

```typescript
public readonly userNameTemplatePushStatusInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplateSuffixInput" id="cdktfprovideroktathreefieldapppropertyusernametemplatesuffixinput"></a>

```typescript
public readonly userNameTemplateSuffixInput: string;
```

- *Type:* `string`

---

##### `userNameTemplateTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplateTypeInput" id="cdktfprovideroktathreefieldapppropertyusernametemplatetypeinput"></a>

```typescript
public readonly userNameTemplateTypeInput: string;
```

- *Type:* `string`

---

##### `usersInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.usersInput" id="cdktfprovideroktathreefieldapppropertyusersinput"></a>

```typescript
public readonly usersInput: IResolvable | ThreeFieldAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)[]

---

##### `accessibilityErrorRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktathreefieldapppropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilityLoginRedirectUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktathreefieldapppropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

---

##### `accessibilitySelfService`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.accessibilitySelfService" id="cdktfprovideroktathreefieldapppropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `adminNote`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.adminNote" id="cdktfprovideroktathreefieldapppropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

---

##### `appLinksJson`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.appLinksJson" id="cdktfprovideroktathreefieldapppropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

---

##### `autoSubmitToolbar`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.autoSubmitToolbar" id="cdktfprovideroktathreefieldapppropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `buttonSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.buttonSelector" id="cdktfprovideroktathreefieldapppropertybuttonselector"></a>

```typescript
public readonly buttonSelector: string;
```

- *Type:* `string`

---

##### `credentialsScheme`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.credentialsScheme" id="cdktfprovideroktathreefieldapppropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

---

##### `enduserNote`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.enduserNote" id="cdktfprovideroktathreefieldapppropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

---

##### `extraFieldSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.extraFieldSelector" id="cdktfprovideroktathreefieldapppropertyextrafieldselector"></a>

```typescript
public readonly extraFieldSelector: string;
```

- *Type:* `string`

---

##### `extraFieldValue`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.extraFieldValue" id="cdktfprovideroktathreefieldapppropertyextrafieldvalue"></a>

```typescript
public readonly extraFieldValue: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.groups" id="cdktfprovideroktathreefieldapppropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `hideIos`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.hideIos" id="cdktfprovideroktathreefieldapppropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `hideWeb`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.hideWeb" id="cdktfprovideroktathreefieldapppropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.id" id="cdktfprovideroktathreefieldapppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.label" id="cdktfprovideroktathreefieldapppropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `logo`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.logo" id="cdktfprovideroktathreefieldapppropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

---

##### `passwordSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.passwordSelector" id="cdktfprovideroktathreefieldapppropertypasswordselector"></a>

```typescript
public readonly passwordSelector: string;
```

- *Type:* `string`

---

##### `revealPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.revealPassword" id="cdktfprovideroktathreefieldapppropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `sharedPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.sharedPassword" id="cdktfprovideroktathreefieldapppropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

---

##### `sharedUsername`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.sharedUsername" id="cdktfprovideroktathreefieldapppropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

---

##### `skipGroups`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.skipGroups" id="cdktfprovideroktathreefieldapppropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `skipUsers`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.skipUsers" id="cdktfprovideroktathreefieldapppropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.status" id="cdktfprovideroktathreefieldapppropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.url" id="cdktfprovideroktathreefieldapppropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

---

##### `urlRegex`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.urlRegex" id="cdktfprovideroktathreefieldapppropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

---

##### `usernameSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.usernameSelector" id="cdktfprovideroktathreefieldapppropertyusernameselector"></a>

```typescript
public readonly usernameSelector: string;
```

- *Type:* `string`

---

##### `userNameTemplate`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplate" id="cdktfprovideroktathreefieldapppropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

---

##### `userNameTemplatePushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplatePushStatus" id="cdktfprovideroktathreefieldapppropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

---

##### `userNameTemplateSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplateSuffix" id="cdktfprovideroktathreefieldapppropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

---

##### `userNameTemplateType`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldApp.property.userNameTemplateType" id="cdktfprovideroktathreefieldapppropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktathreefieldapppropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.ThreeFieldApp.property.tfResourceType" id="cdktfprovideroktathreefieldapppropertytfresourcetype"></a>

- *Type:* `string`

---

### TrustedOrigin <a name="@cdktf/provider-okta.TrustedOrigin" id="cdktfprovideroktatrustedorigin"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/trusted_origin okta_trusted_origin}.

#### Initializers <a name="@cdktf/provider-okta.TrustedOrigin.Initializer" id="cdktfprovideroktatrustedorigininitializer"></a>

```typescript
import { TrustedOrigin } from '@cdktf/provider-okta'

new TrustedOrigin(scope: Construct, id: string, config: TrustedOriginConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktatrustedoriginparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktatrustedoriginparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktatrustedoriginparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.TrustedOriginConfig`](#@cdktf/provider-okta.TrustedOriginConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.parameter.scope" id="cdktfprovideroktatrustedoriginparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.parameter.id" id="cdktfprovideroktatrustedoriginparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.parameter.config" id="cdktfprovideroktatrustedoriginparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.TrustedOriginConfig`](#@cdktf/provider-okta.TrustedOriginConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetActive`](#cdktfprovideroktatrustedoriginresetactive) | *No description.* |
| [`resetId`](#cdktfprovideroktatrustedoriginresetid) | *No description.* |

---

##### `resetActive` <a name="@cdktf/provider-okta.TrustedOrigin.resetActive" id="cdktfprovideroktatrustedoriginresetactive"></a>

```typescript
public resetActive()
```

##### `resetId` <a name="@cdktf/provider-okta.TrustedOrigin.resetId" id="cdktfprovideroktatrustedoriginresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`activeInput`](#cdktfprovideroktatrustedoriginpropertyactiveinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktatrustedoriginpropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktatrustedoriginpropertynameinput) | `string` | *No description.* |
| [`originInput`](#cdktfprovideroktatrustedoriginpropertyorigininput) | `string` | *No description.* |
| [`scopesInput`](#cdktfprovideroktatrustedoriginpropertyscopesinput) | `string`[] | *No description.* |
| [`active`](#cdktfprovideroktatrustedoriginpropertyactive)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktatrustedoriginpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktatrustedoriginpropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`origin`](#cdktfprovideroktatrustedoriginpropertyorigin)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktatrustedoriginpropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |

---

##### `activeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.activeInput" id="cdktfprovideroktatrustedoriginpropertyactiveinput"></a>

```typescript
public readonly activeInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.idInput" id="cdktfprovideroktatrustedoriginpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.nameInput" id="cdktfprovideroktatrustedoriginpropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `originInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.originInput" id="cdktfprovideroktatrustedoriginpropertyorigininput"></a>

```typescript
public readonly originInput: string;
```

- *Type:* `string`

---

##### `scopesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.scopesInput" id="cdktfprovideroktatrustedoriginpropertyscopesinput"></a>

```typescript
public readonly scopesInput: string[];
```

- *Type:* `string`[]

---

##### `active`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.active" id="cdktfprovideroktatrustedoriginpropertyactive"></a>

```typescript
public readonly active: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.id" id="cdktfprovideroktatrustedoriginpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.name" id="cdktfprovideroktatrustedoriginpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `origin`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.origin" id="cdktfprovideroktatrustedoriginpropertyorigin"></a>

```typescript
public readonly origin: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOrigin.property.scopes" id="cdktfprovideroktatrustedoriginpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktatrustedoriginpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.TrustedOrigin.property.tfResourceType" id="cdktfprovideroktatrustedoriginpropertytfresourcetype"></a>

- *Type:* `string`

---

### User <a name="@cdktf/provider-okta.User" id="cdktfprovideroktauser"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user okta_user}.

#### Initializers <a name="@cdktf/provider-okta.User.Initializer" id="cdktfprovideroktauserinitializer"></a>

```typescript
import { User } from '@cdktf/provider-okta'

new User(scope: Construct, id: string, config: UserConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktauserparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktauserparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktauserparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserConfig`](#@cdktf/provider-okta.UserConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.User.parameter.scope" id="cdktfprovideroktauserparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.User.parameter.id" id="cdktfprovideroktauserparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.User.parameter.config" id="cdktfprovideroktauserparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserConfig`](#@cdktf/provider-okta.UserConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putPasswordHash`](#cdktfprovideroktauserputpasswordhash) | *No description.* |
| [`resetAdminRoles`](#cdktfprovideroktauserresetadminroles) | *No description.* |
| [`resetCity`](#cdktfprovideroktauserresetcity) | *No description.* |
| [`resetCostCenter`](#cdktfprovideroktauserresetcostcenter) | *No description.* |
| [`resetCountryCode`](#cdktfprovideroktauserresetcountrycode) | *No description.* |
| [`resetCustomProfileAttributes`](#cdktfprovideroktauserresetcustomprofileattributes) | *No description.* |
| [`resetDepartment`](#cdktfprovideroktauserresetdepartment) | *No description.* |
| [`resetDisplayName`](#cdktfprovideroktauserresetdisplayname) | *No description.* |
| [`resetDivision`](#cdktfprovideroktauserresetdivision) | *No description.* |
| [`resetEmployeeNumber`](#cdktfprovideroktauserresetemployeenumber) | *No description.* |
| [`resetExpirePasswordOnCreate`](#cdktfprovideroktauserresetexpirepasswordoncreate) | *No description.* |
| [`resetGroupMemberships`](#cdktfprovideroktauserresetgroupmemberships) | *No description.* |
| [`resetHonorificPrefix`](#cdktfprovideroktauserresethonorificprefix) | *No description.* |
| [`resetHonorificSuffix`](#cdktfprovideroktauserresethonorificsuffix) | *No description.* |
| [`resetId`](#cdktfprovideroktauserresetid) | *No description.* |
| [`resetLocale`](#cdktfprovideroktauserresetlocale) | *No description.* |
| [`resetManager`](#cdktfprovideroktauserresetmanager) | *No description.* |
| [`resetManagerId`](#cdktfprovideroktauserresetmanagerid) | *No description.* |
| [`resetMiddleName`](#cdktfprovideroktauserresetmiddlename) | *No description.* |
| [`resetMobilePhone`](#cdktfprovideroktauserresetmobilephone) | *No description.* |
| [`resetNickName`](#cdktfprovideroktauserresetnickname) | *No description.* |
| [`resetOldPassword`](#cdktfprovideroktauserresetoldpassword) | *No description.* |
| [`resetOrganization`](#cdktfprovideroktauserresetorganization) | *No description.* |
| [`resetPassword`](#cdktfprovideroktauserresetpassword) | *No description.* |
| [`resetPasswordHash`](#cdktfprovideroktauserresetpasswordhash) | *No description.* |
| [`resetPasswordInlineHook`](#cdktfprovideroktauserresetpasswordinlinehook) | *No description.* |
| [`resetPostalAddress`](#cdktfprovideroktauserresetpostaladdress) | *No description.* |
| [`resetPreferredLanguage`](#cdktfprovideroktauserresetpreferredlanguage) | *No description.* |
| [`resetPrimaryPhone`](#cdktfprovideroktauserresetprimaryphone) | *No description.* |
| [`resetProfileUrl`](#cdktfprovideroktauserresetprofileurl) | *No description.* |
| [`resetRecoveryAnswer`](#cdktfprovideroktauserresetrecoveryanswer) | *No description.* |
| [`resetRecoveryQuestion`](#cdktfprovideroktauserresetrecoveryquestion) | *No description.* |
| [`resetSecondEmail`](#cdktfprovideroktauserresetsecondemail) | *No description.* |
| [`resetState`](#cdktfprovideroktauserresetstate) | *No description.* |
| [`resetStatus`](#cdktfprovideroktauserresetstatus) | *No description.* |
| [`resetStreetAddress`](#cdktfprovideroktauserresetstreetaddress) | *No description.* |
| [`resetTimezone`](#cdktfprovideroktauserresettimezone) | *No description.* |
| [`resetTitle`](#cdktfprovideroktauserresettitle) | *No description.* |
| [`resetUserType`](#cdktfprovideroktauserresetusertype) | *No description.* |
| [`resetZipCode`](#cdktfprovideroktauserresetzipcode) | *No description.* |

---

##### `putPasswordHash` <a name="@cdktf/provider-okta.User.putPasswordHash" id="cdktfprovideroktauserputpasswordhash"></a>

```typescript
public putPasswordHash(value: UserPasswordHash)
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.User.parameter.value" id="cdktfprovideroktauserparametervalue"></a>

- *Type:* [`@cdktf/provider-okta.UserPasswordHash`](#@cdktf/provider-okta.UserPasswordHash)

---

##### `resetAdminRoles` <a name="@cdktf/provider-okta.User.resetAdminRoles" id="cdktfprovideroktauserresetadminroles"></a>

```typescript
public resetAdminRoles()
```

##### `resetCity` <a name="@cdktf/provider-okta.User.resetCity" id="cdktfprovideroktauserresetcity"></a>

```typescript
public resetCity()
```

##### `resetCostCenter` <a name="@cdktf/provider-okta.User.resetCostCenter" id="cdktfprovideroktauserresetcostcenter"></a>

```typescript
public resetCostCenter()
```

##### `resetCountryCode` <a name="@cdktf/provider-okta.User.resetCountryCode" id="cdktfprovideroktauserresetcountrycode"></a>

```typescript
public resetCountryCode()
```

##### `resetCustomProfileAttributes` <a name="@cdktf/provider-okta.User.resetCustomProfileAttributes" id="cdktfprovideroktauserresetcustomprofileattributes"></a>

```typescript
public resetCustomProfileAttributes()
```

##### `resetDepartment` <a name="@cdktf/provider-okta.User.resetDepartment" id="cdktfprovideroktauserresetdepartment"></a>

```typescript
public resetDepartment()
```

##### `resetDisplayName` <a name="@cdktf/provider-okta.User.resetDisplayName" id="cdktfprovideroktauserresetdisplayname"></a>

```typescript
public resetDisplayName()
```

##### `resetDivision` <a name="@cdktf/provider-okta.User.resetDivision" id="cdktfprovideroktauserresetdivision"></a>

```typescript
public resetDivision()
```

##### `resetEmployeeNumber` <a name="@cdktf/provider-okta.User.resetEmployeeNumber" id="cdktfprovideroktauserresetemployeenumber"></a>

```typescript
public resetEmployeeNumber()
```

##### `resetExpirePasswordOnCreate` <a name="@cdktf/provider-okta.User.resetExpirePasswordOnCreate" id="cdktfprovideroktauserresetexpirepasswordoncreate"></a>

```typescript
public resetExpirePasswordOnCreate()
```

##### `resetGroupMemberships` <a name="@cdktf/provider-okta.User.resetGroupMemberships" id="cdktfprovideroktauserresetgroupmemberships"></a>

```typescript
public resetGroupMemberships()
```

##### `resetHonorificPrefix` <a name="@cdktf/provider-okta.User.resetHonorificPrefix" id="cdktfprovideroktauserresethonorificprefix"></a>

```typescript
public resetHonorificPrefix()
```

##### `resetHonorificSuffix` <a name="@cdktf/provider-okta.User.resetHonorificSuffix" id="cdktfprovideroktauserresethonorificsuffix"></a>

```typescript
public resetHonorificSuffix()
```

##### `resetId` <a name="@cdktf/provider-okta.User.resetId" id="cdktfprovideroktauserresetid"></a>

```typescript
public resetId()
```

##### `resetLocale` <a name="@cdktf/provider-okta.User.resetLocale" id="cdktfprovideroktauserresetlocale"></a>

```typescript
public resetLocale()
```

##### `resetManager` <a name="@cdktf/provider-okta.User.resetManager" id="cdktfprovideroktauserresetmanager"></a>

```typescript
public resetManager()
```

##### `resetManagerId` <a name="@cdktf/provider-okta.User.resetManagerId" id="cdktfprovideroktauserresetmanagerid"></a>

```typescript
public resetManagerId()
```

##### `resetMiddleName` <a name="@cdktf/provider-okta.User.resetMiddleName" id="cdktfprovideroktauserresetmiddlename"></a>

```typescript
public resetMiddleName()
```

##### `resetMobilePhone` <a name="@cdktf/provider-okta.User.resetMobilePhone" id="cdktfprovideroktauserresetmobilephone"></a>

```typescript
public resetMobilePhone()
```

##### `resetNickName` <a name="@cdktf/provider-okta.User.resetNickName" id="cdktfprovideroktauserresetnickname"></a>

```typescript
public resetNickName()
```

##### `resetOldPassword` <a name="@cdktf/provider-okta.User.resetOldPassword" id="cdktfprovideroktauserresetoldpassword"></a>

```typescript
public resetOldPassword()
```

##### `resetOrganization` <a name="@cdktf/provider-okta.User.resetOrganization" id="cdktfprovideroktauserresetorganization"></a>

```typescript
public resetOrganization()
```

##### `resetPassword` <a name="@cdktf/provider-okta.User.resetPassword" id="cdktfprovideroktauserresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetPasswordHash` <a name="@cdktf/provider-okta.User.resetPasswordHash" id="cdktfprovideroktauserresetpasswordhash"></a>

```typescript
public resetPasswordHash()
```

##### `resetPasswordInlineHook` <a name="@cdktf/provider-okta.User.resetPasswordInlineHook" id="cdktfprovideroktauserresetpasswordinlinehook"></a>

```typescript
public resetPasswordInlineHook()
```

##### `resetPostalAddress` <a name="@cdktf/provider-okta.User.resetPostalAddress" id="cdktfprovideroktauserresetpostaladdress"></a>

```typescript
public resetPostalAddress()
```

##### `resetPreferredLanguage` <a name="@cdktf/provider-okta.User.resetPreferredLanguage" id="cdktfprovideroktauserresetpreferredlanguage"></a>

```typescript
public resetPreferredLanguage()
```

##### `resetPrimaryPhone` <a name="@cdktf/provider-okta.User.resetPrimaryPhone" id="cdktfprovideroktauserresetprimaryphone"></a>

```typescript
public resetPrimaryPhone()
```

##### `resetProfileUrl` <a name="@cdktf/provider-okta.User.resetProfileUrl" id="cdktfprovideroktauserresetprofileurl"></a>

```typescript
public resetProfileUrl()
```

##### `resetRecoveryAnswer` <a name="@cdktf/provider-okta.User.resetRecoveryAnswer" id="cdktfprovideroktauserresetrecoveryanswer"></a>

```typescript
public resetRecoveryAnswer()
```

##### `resetRecoveryQuestion` <a name="@cdktf/provider-okta.User.resetRecoveryQuestion" id="cdktfprovideroktauserresetrecoveryquestion"></a>

```typescript
public resetRecoveryQuestion()
```

##### `resetSecondEmail` <a name="@cdktf/provider-okta.User.resetSecondEmail" id="cdktfprovideroktauserresetsecondemail"></a>

```typescript
public resetSecondEmail()
```

##### `resetState` <a name="@cdktf/provider-okta.User.resetState" id="cdktfprovideroktauserresetstate"></a>

```typescript
public resetState()
```

##### `resetStatus` <a name="@cdktf/provider-okta.User.resetStatus" id="cdktfprovideroktauserresetstatus"></a>

```typescript
public resetStatus()
```

##### `resetStreetAddress` <a name="@cdktf/provider-okta.User.resetStreetAddress" id="cdktfprovideroktauserresetstreetaddress"></a>

```typescript
public resetStreetAddress()
```

##### `resetTimezone` <a name="@cdktf/provider-okta.User.resetTimezone" id="cdktfprovideroktauserresettimezone"></a>

```typescript
public resetTimezone()
```

##### `resetTitle` <a name="@cdktf/provider-okta.User.resetTitle" id="cdktfprovideroktauserresettitle"></a>

```typescript
public resetTitle()
```

##### `resetUserType` <a name="@cdktf/provider-okta.User.resetUserType" id="cdktfprovideroktauserresetusertype"></a>

```typescript
public resetUserType()
```

##### `resetZipCode` <a name="@cdktf/provider-okta.User.resetZipCode" id="cdktfprovideroktauserresetzipcode"></a>

```typescript
public resetZipCode()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`passwordHash`](#cdktfprovideroktauserpropertypasswordhash)<span title="Required">*</span> | [`@cdktf/provider-okta.UserPasswordHashOutputReference`](#@cdktf/provider-okta.UserPasswordHashOutputReference) | *No description.* |
| [`rawStatus`](#cdktfprovideroktauserpropertyrawstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`adminRolesInput`](#cdktfprovideroktauserpropertyadminrolesinput) | `string`[] | *No description.* |
| [`cityInput`](#cdktfprovideroktauserpropertycityinput) | `string` | *No description.* |
| [`costCenterInput`](#cdktfprovideroktauserpropertycostcenterinput) | `string` | *No description.* |
| [`countryCodeInput`](#cdktfprovideroktauserpropertycountrycodeinput) | `string` | *No description.* |
| [`customProfileAttributesInput`](#cdktfprovideroktauserpropertycustomprofileattributesinput) | `string` | *No description.* |
| [`departmentInput`](#cdktfprovideroktauserpropertydepartmentinput) | `string` | *No description.* |
| [`displayNameInput`](#cdktfprovideroktauserpropertydisplaynameinput) | `string` | *No description.* |
| [`divisionInput`](#cdktfprovideroktauserpropertydivisioninput) | `string` | *No description.* |
| [`emailInput`](#cdktfprovideroktauserpropertyemailinput) | `string` | *No description.* |
| [`employeeNumberInput`](#cdktfprovideroktauserpropertyemployeenumberinput) | `string` | *No description.* |
| [`expirePasswordOnCreateInput`](#cdktfprovideroktauserpropertyexpirepasswordoncreateinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`firstNameInput`](#cdktfprovideroktauserpropertyfirstnameinput) | `string` | *No description.* |
| [`groupMembershipsInput`](#cdktfprovideroktauserpropertygroupmembershipsinput) | `string`[] | *No description.* |
| [`honorificPrefixInput`](#cdktfprovideroktauserpropertyhonorificprefixinput) | `string` | *No description.* |
| [`honorificSuffixInput`](#cdktfprovideroktauserpropertyhonorificsuffixinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktauserpropertyidinput) | `string` | *No description.* |
| [`lastNameInput`](#cdktfprovideroktauserpropertylastnameinput) | `string` | *No description.* |
| [`localeInput`](#cdktfprovideroktauserpropertylocaleinput) | `string` | *No description.* |
| [`loginInput`](#cdktfprovideroktauserpropertylogininput) | `string` | *No description.* |
| [`managerIdInput`](#cdktfprovideroktauserpropertymanageridinput) | `string` | *No description.* |
| [`managerInput`](#cdktfprovideroktauserpropertymanagerinput) | `string` | *No description.* |
| [`middleNameInput`](#cdktfprovideroktauserpropertymiddlenameinput) | `string` | *No description.* |
| [`mobilePhoneInput`](#cdktfprovideroktauserpropertymobilephoneinput) | `string` | *No description.* |
| [`nickNameInput`](#cdktfprovideroktauserpropertynicknameinput) | `string` | *No description.* |
| [`oldPasswordInput`](#cdktfprovideroktauserpropertyoldpasswordinput) | `string` | *No description.* |
| [`organizationInput`](#cdktfprovideroktauserpropertyorganizationinput) | `string` | *No description.* |
| [`passwordHashInput`](#cdktfprovideroktauserpropertypasswordhashinput) | [`@cdktf/provider-okta.UserPasswordHash`](#@cdktf/provider-okta.UserPasswordHash) | *No description.* |
| [`passwordInlineHookInput`](#cdktfprovideroktauserpropertypasswordinlinehookinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktauserpropertypasswordinput) | `string` | *No description.* |
| [`postalAddressInput`](#cdktfprovideroktauserpropertypostaladdressinput) | `string` | *No description.* |
| [`preferredLanguageInput`](#cdktfprovideroktauserpropertypreferredlanguageinput) | `string` | *No description.* |
| [`primaryPhoneInput`](#cdktfprovideroktauserpropertyprimaryphoneinput) | `string` | *No description.* |
| [`profileUrlInput`](#cdktfprovideroktauserpropertyprofileurlinput) | `string` | *No description.* |
| [`recoveryAnswerInput`](#cdktfprovideroktauserpropertyrecoveryanswerinput) | `string` | *No description.* |
| [`recoveryQuestionInput`](#cdktfprovideroktauserpropertyrecoveryquestioninput) | `string` | *No description.* |
| [`secondEmailInput`](#cdktfprovideroktauserpropertysecondemailinput) | `string` | *No description.* |
| [`stateInput`](#cdktfprovideroktauserpropertystateinput) | `string` | *No description.* |
| [`statusInput`](#cdktfprovideroktauserpropertystatusinput) | `string` | *No description.* |
| [`streetAddressInput`](#cdktfprovideroktauserpropertystreetaddressinput) | `string` | *No description.* |
| [`timezoneInput`](#cdktfprovideroktauserpropertytimezoneinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktauserpropertytitleinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktauserpropertyusertypeinput) | `string` | *No description.* |
| [`zipCodeInput`](#cdktfprovideroktauserpropertyzipcodeinput) | `string` | *No description.* |
| [`adminRoles`](#cdktfprovideroktauserpropertyadminroles)<span title="Required">*</span> | `string`[] | *No description.* |
| [`city`](#cdktfprovideroktauserpropertycity)<span title="Required">*</span> | `string` | *No description.* |
| [`costCenter`](#cdktfprovideroktauserpropertycostcenter)<span title="Required">*</span> | `string` | *No description.* |
| [`countryCode`](#cdktfprovideroktauserpropertycountrycode)<span title="Required">*</span> | `string` | *No description.* |
| [`customProfileAttributes`](#cdktfprovideroktauserpropertycustomprofileattributes)<span title="Required">*</span> | `string` | *No description.* |
| [`department`](#cdktfprovideroktauserpropertydepartment)<span title="Required">*</span> | `string` | *No description.* |
| [`displayName`](#cdktfprovideroktauserpropertydisplayname)<span title="Required">*</span> | `string` | *No description.* |
| [`division`](#cdktfprovideroktauserpropertydivision)<span title="Required">*</span> | `string` | *No description.* |
| [`email`](#cdktfprovideroktauserpropertyemail)<span title="Required">*</span> | `string` | *No description.* |
| [`employeeNumber`](#cdktfprovideroktauserpropertyemployeenumber)<span title="Required">*</span> | `string` | *No description.* |
| [`expirePasswordOnCreate`](#cdktfprovideroktauserpropertyexpirepasswordoncreate)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`firstName`](#cdktfprovideroktauserpropertyfirstname)<span title="Required">*</span> | `string` | *No description.* |
| [`groupMemberships`](#cdktfprovideroktauserpropertygroupmemberships)<span title="Required">*</span> | `string`[] | *No description.* |
| [`honorificPrefix`](#cdktfprovideroktauserpropertyhonorificprefix)<span title="Required">*</span> | `string` | *No description.* |
| [`honorificSuffix`](#cdktfprovideroktauserpropertyhonorificsuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktauserpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`lastName`](#cdktfprovideroktauserpropertylastname)<span title="Required">*</span> | `string` | *No description.* |
| [`locale`](#cdktfprovideroktauserpropertylocale)<span title="Required">*</span> | `string` | *No description.* |
| [`login`](#cdktfprovideroktauserpropertylogin)<span title="Required">*</span> | `string` | *No description.* |
| [`manager`](#cdktfprovideroktauserpropertymanager)<span title="Required">*</span> | `string` | *No description.* |
| [`managerId`](#cdktfprovideroktauserpropertymanagerid)<span title="Required">*</span> | `string` | *No description.* |
| [`middleName`](#cdktfprovideroktauserpropertymiddlename)<span title="Required">*</span> | `string` | *No description.* |
| [`mobilePhone`](#cdktfprovideroktauserpropertymobilephone)<span title="Required">*</span> | `string` | *No description.* |
| [`nickName`](#cdktfprovideroktauserpropertynickname)<span title="Required">*</span> | `string` | *No description.* |
| [`oldPassword`](#cdktfprovideroktauserpropertyoldpassword)<span title="Required">*</span> | `string` | *No description.* |
| [`organization`](#cdktfprovideroktauserpropertyorganization)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktauserpropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`passwordInlineHook`](#cdktfprovideroktauserpropertypasswordinlinehook)<span title="Required">*</span> | `string` | *No description.* |
| [`postalAddress`](#cdktfprovideroktauserpropertypostaladdress)<span title="Required">*</span> | `string` | *No description.* |
| [`preferredLanguage`](#cdktfprovideroktauserpropertypreferredlanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryPhone`](#cdktfprovideroktauserpropertyprimaryphone)<span title="Required">*</span> | `string` | *No description.* |
| [`profileUrl`](#cdktfprovideroktauserpropertyprofileurl)<span title="Required">*</span> | `string` | *No description.* |
| [`recoveryAnswer`](#cdktfprovideroktauserpropertyrecoveryanswer)<span title="Required">*</span> | `string` | *No description.* |
| [`recoveryQuestion`](#cdktfprovideroktauserpropertyrecoveryquestion)<span title="Required">*</span> | `string` | *No description.* |
| [`secondEmail`](#cdktfprovideroktauserpropertysecondemail)<span title="Required">*</span> | `string` | *No description.* |
| [`state`](#cdktfprovideroktauserpropertystate)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktauserpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`streetAddress`](#cdktfprovideroktauserpropertystreetaddress)<span title="Required">*</span> | `string` | *No description.* |
| [`timezone`](#cdktfprovideroktauserpropertytimezone)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktauserpropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktauserpropertyusertype)<span title="Required">*</span> | `string` | *No description.* |
| [`zipCode`](#cdktfprovideroktauserpropertyzipcode)<span title="Required">*</span> | `string` | *No description.* |

---

##### `passwordHash`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.passwordHash" id="cdktfprovideroktauserpropertypasswordhash"></a>

```typescript
public readonly passwordHash: UserPasswordHashOutputReference;
```

- *Type:* [`@cdktf/provider-okta.UserPasswordHashOutputReference`](#@cdktf/provider-okta.UserPasswordHashOutputReference)

---

##### `rawStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.rawStatus" id="cdktfprovideroktauserpropertyrawstatus"></a>

```typescript
public readonly rawStatus: string;
```

- *Type:* `string`

---

##### `adminRolesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.adminRolesInput" id="cdktfprovideroktauserpropertyadminrolesinput"></a>

```typescript
public readonly adminRolesInput: string[];
```

- *Type:* `string`[]

---

##### `cityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.cityInput" id="cdktfprovideroktauserpropertycityinput"></a>

```typescript
public readonly cityInput: string;
```

- *Type:* `string`

---

##### `costCenterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.costCenterInput" id="cdktfprovideroktauserpropertycostcenterinput"></a>

```typescript
public readonly costCenterInput: string;
```

- *Type:* `string`

---

##### `countryCodeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.countryCodeInput" id="cdktfprovideroktauserpropertycountrycodeinput"></a>

```typescript
public readonly countryCodeInput: string;
```

- *Type:* `string`

---

##### `customProfileAttributesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.customProfileAttributesInput" id="cdktfprovideroktauserpropertycustomprofileattributesinput"></a>

```typescript
public readonly customProfileAttributesInput: string;
```

- *Type:* `string`

---

##### `departmentInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.departmentInput" id="cdktfprovideroktauserpropertydepartmentinput"></a>

```typescript
public readonly departmentInput: string;
```

- *Type:* `string`

---

##### `displayNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.displayNameInput" id="cdktfprovideroktauserpropertydisplaynameinput"></a>

```typescript
public readonly displayNameInput: string;
```

- *Type:* `string`

---

##### `divisionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.divisionInput" id="cdktfprovideroktauserpropertydivisioninput"></a>

```typescript
public readonly divisionInput: string;
```

- *Type:* `string`

---

##### `emailInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.emailInput" id="cdktfprovideroktauserpropertyemailinput"></a>

```typescript
public readonly emailInput: string;
```

- *Type:* `string`

---

##### `employeeNumberInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.employeeNumberInput" id="cdktfprovideroktauserpropertyemployeenumberinput"></a>

```typescript
public readonly employeeNumberInput: string;
```

- *Type:* `string`

---

##### `expirePasswordOnCreateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.expirePasswordOnCreateInput" id="cdktfprovideroktauserpropertyexpirepasswordoncreateinput"></a>

```typescript
public readonly expirePasswordOnCreateInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `firstNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.firstNameInput" id="cdktfprovideroktauserpropertyfirstnameinput"></a>

```typescript
public readonly firstNameInput: string;
```

- *Type:* `string`

---

##### `groupMembershipsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.groupMembershipsInput" id="cdktfprovideroktauserpropertygroupmembershipsinput"></a>

```typescript
public readonly groupMembershipsInput: string[];
```

- *Type:* `string`[]

---

##### `honorificPrefixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.honorificPrefixInput" id="cdktfprovideroktauserpropertyhonorificprefixinput"></a>

```typescript
public readonly honorificPrefixInput: string;
```

- *Type:* `string`

---

##### `honorificSuffixInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.honorificSuffixInput" id="cdktfprovideroktauserpropertyhonorificsuffixinput"></a>

```typescript
public readonly honorificSuffixInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.idInput" id="cdktfprovideroktauserpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `lastNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.lastNameInput" id="cdktfprovideroktauserpropertylastnameinput"></a>

```typescript
public readonly lastNameInput: string;
```

- *Type:* `string`

---

##### `localeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.localeInput" id="cdktfprovideroktauserpropertylocaleinput"></a>

```typescript
public readonly localeInput: string;
```

- *Type:* `string`

---

##### `loginInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.loginInput" id="cdktfprovideroktauserpropertylogininput"></a>

```typescript
public readonly loginInput: string;
```

- *Type:* `string`

---

##### `managerIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.managerIdInput" id="cdktfprovideroktauserpropertymanageridinput"></a>

```typescript
public readonly managerIdInput: string;
```

- *Type:* `string`

---

##### `managerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.managerInput" id="cdktfprovideroktauserpropertymanagerinput"></a>

```typescript
public readonly managerInput: string;
```

- *Type:* `string`

---

##### `middleNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.middleNameInput" id="cdktfprovideroktauserpropertymiddlenameinput"></a>

```typescript
public readonly middleNameInput: string;
```

- *Type:* `string`

---

##### `mobilePhoneInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.mobilePhoneInput" id="cdktfprovideroktauserpropertymobilephoneinput"></a>

```typescript
public readonly mobilePhoneInput: string;
```

- *Type:* `string`

---

##### `nickNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.nickNameInput" id="cdktfprovideroktauserpropertynicknameinput"></a>

```typescript
public readonly nickNameInput: string;
```

- *Type:* `string`

---

##### `oldPasswordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.oldPasswordInput" id="cdktfprovideroktauserpropertyoldpasswordinput"></a>

```typescript
public readonly oldPasswordInput: string;
```

- *Type:* `string`

---

##### `organizationInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.organizationInput" id="cdktfprovideroktauserpropertyorganizationinput"></a>

```typescript
public readonly organizationInput: string;
```

- *Type:* `string`

---

##### `passwordHashInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.passwordHashInput" id="cdktfprovideroktauserpropertypasswordhashinput"></a>

```typescript
public readonly passwordHashInput: UserPasswordHash;
```

- *Type:* [`@cdktf/provider-okta.UserPasswordHash`](#@cdktf/provider-okta.UserPasswordHash)

---

##### `passwordInlineHookInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.passwordInlineHookInput" id="cdktfprovideroktauserpropertypasswordinlinehookinput"></a>

```typescript
public readonly passwordInlineHookInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.passwordInput" id="cdktfprovideroktauserpropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `postalAddressInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.postalAddressInput" id="cdktfprovideroktauserpropertypostaladdressinput"></a>

```typescript
public readonly postalAddressInput: string;
```

- *Type:* `string`

---

##### `preferredLanguageInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.preferredLanguageInput" id="cdktfprovideroktauserpropertypreferredlanguageinput"></a>

```typescript
public readonly preferredLanguageInput: string;
```

- *Type:* `string`

---

##### `primaryPhoneInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.primaryPhoneInput" id="cdktfprovideroktauserpropertyprimaryphoneinput"></a>

```typescript
public readonly primaryPhoneInput: string;
```

- *Type:* `string`

---

##### `profileUrlInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.profileUrlInput" id="cdktfprovideroktauserpropertyprofileurlinput"></a>

```typescript
public readonly profileUrlInput: string;
```

- *Type:* `string`

---

##### `recoveryAnswerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.recoveryAnswerInput" id="cdktfprovideroktauserpropertyrecoveryanswerinput"></a>

```typescript
public readonly recoveryAnswerInput: string;
```

- *Type:* `string`

---

##### `recoveryQuestionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.recoveryQuestionInput" id="cdktfprovideroktauserpropertyrecoveryquestioninput"></a>

```typescript
public readonly recoveryQuestionInput: string;
```

- *Type:* `string`

---

##### `secondEmailInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.secondEmailInput" id="cdktfprovideroktauserpropertysecondemailinput"></a>

```typescript
public readonly secondEmailInput: string;
```

- *Type:* `string`

---

##### `stateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.stateInput" id="cdktfprovideroktauserpropertystateinput"></a>

```typescript
public readonly stateInput: string;
```

- *Type:* `string`

---

##### `statusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.statusInput" id="cdktfprovideroktauserpropertystatusinput"></a>

```typescript
public readonly statusInput: string;
```

- *Type:* `string`

---

##### `streetAddressInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.streetAddressInput" id="cdktfprovideroktauserpropertystreetaddressinput"></a>

```typescript
public readonly streetAddressInput: string;
```

- *Type:* `string`

---

##### `timezoneInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.timezoneInput" id="cdktfprovideroktauserpropertytimezoneinput"></a>

```typescript
public readonly timezoneInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.titleInput" id="cdktfprovideroktauserpropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.userTypeInput" id="cdktfprovideroktauserpropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `zipCodeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.User.property.zipCodeInput" id="cdktfprovideroktauserpropertyzipcodeinput"></a>

```typescript
public readonly zipCodeInput: string;
```

- *Type:* `string`

---

##### `adminRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.adminRoles" id="cdktfprovideroktauserpropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

---

##### `city`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.city" id="cdktfprovideroktauserpropertycity"></a>

```typescript
public readonly city: string;
```

- *Type:* `string`

---

##### `costCenter`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.costCenter" id="cdktfprovideroktauserpropertycostcenter"></a>

```typescript
public readonly costCenter: string;
```

- *Type:* `string`

---

##### `countryCode`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.countryCode" id="cdktfprovideroktauserpropertycountrycode"></a>

```typescript
public readonly countryCode: string;
```

- *Type:* `string`

---

##### `customProfileAttributes`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.customProfileAttributes" id="cdktfprovideroktauserpropertycustomprofileattributes"></a>

```typescript
public readonly customProfileAttributes: string;
```

- *Type:* `string`

---

##### `department`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.department" id="cdktfprovideroktauserpropertydepartment"></a>

```typescript
public readonly department: string;
```

- *Type:* `string`

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.displayName" id="cdktfprovideroktauserpropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

---

##### `division`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.division" id="cdktfprovideroktauserpropertydivision"></a>

```typescript
public readonly division: string;
```

- *Type:* `string`

---

##### `email`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.email" id="cdktfprovideroktauserpropertyemail"></a>

```typescript
public readonly email: string;
```

- *Type:* `string`

---

##### `employeeNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.employeeNumber" id="cdktfprovideroktauserpropertyemployeenumber"></a>

```typescript
public readonly employeeNumber: string;
```

- *Type:* `string`

---

##### `expirePasswordOnCreate`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.expirePasswordOnCreate" id="cdktfprovideroktauserpropertyexpirepasswordoncreate"></a>

```typescript
public readonly expirePasswordOnCreate: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `firstName`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.firstName" id="cdktfprovideroktauserpropertyfirstname"></a>

```typescript
public readonly firstName: string;
```

- *Type:* `string`

---

##### `groupMemberships`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.groupMemberships" id="cdktfprovideroktauserpropertygroupmemberships"></a>

```typescript
public readonly groupMemberships: string[];
```

- *Type:* `string`[]

---

##### `honorificPrefix`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.honorificPrefix" id="cdktfprovideroktauserpropertyhonorificprefix"></a>

```typescript
public readonly honorificPrefix: string;
```

- *Type:* `string`

---

##### `honorificSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.honorificSuffix" id="cdktfprovideroktauserpropertyhonorificsuffix"></a>

```typescript
public readonly honorificSuffix: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.id" id="cdktfprovideroktauserpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `lastName`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.lastName" id="cdktfprovideroktauserpropertylastname"></a>

```typescript
public readonly lastName: string;
```

- *Type:* `string`

---

##### `locale`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.locale" id="cdktfprovideroktauserpropertylocale"></a>

```typescript
public readonly locale: string;
```

- *Type:* `string`

---

##### `login`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.login" id="cdktfprovideroktauserpropertylogin"></a>

```typescript
public readonly login: string;
```

- *Type:* `string`

---

##### `manager`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.manager" id="cdktfprovideroktauserpropertymanager"></a>

```typescript
public readonly manager: string;
```

- *Type:* `string`

---

##### `managerId`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.managerId" id="cdktfprovideroktauserpropertymanagerid"></a>

```typescript
public readonly managerId: string;
```

- *Type:* `string`

---

##### `middleName`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.middleName" id="cdktfprovideroktauserpropertymiddlename"></a>

```typescript
public readonly middleName: string;
```

- *Type:* `string`

---

##### `mobilePhone`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.mobilePhone" id="cdktfprovideroktauserpropertymobilephone"></a>

```typescript
public readonly mobilePhone: string;
```

- *Type:* `string`

---

##### `nickName`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.nickName" id="cdktfprovideroktauserpropertynickname"></a>

```typescript
public readonly nickName: string;
```

- *Type:* `string`

---

##### `oldPassword`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.oldPassword" id="cdktfprovideroktauserpropertyoldpassword"></a>

```typescript
public readonly oldPassword: string;
```

- *Type:* `string`

---

##### `organization`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.organization" id="cdktfprovideroktauserpropertyorganization"></a>

```typescript
public readonly organization: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.password" id="cdktfprovideroktauserpropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `passwordInlineHook`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.passwordInlineHook" id="cdktfprovideroktauserpropertypasswordinlinehook"></a>

```typescript
public readonly passwordInlineHook: string;
```

- *Type:* `string`

---

##### `postalAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.postalAddress" id="cdktfprovideroktauserpropertypostaladdress"></a>

```typescript
public readonly postalAddress: string;
```

- *Type:* `string`

---

##### `preferredLanguage`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.preferredLanguage" id="cdktfprovideroktauserpropertypreferredlanguage"></a>

```typescript
public readonly preferredLanguage: string;
```

- *Type:* `string`

---

##### `primaryPhone`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.primaryPhone" id="cdktfprovideroktauserpropertyprimaryphone"></a>

```typescript
public readonly primaryPhone: string;
```

- *Type:* `string`

---

##### `profileUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.profileUrl" id="cdktfprovideroktauserpropertyprofileurl"></a>

```typescript
public readonly profileUrl: string;
```

- *Type:* `string`

---

##### `recoveryAnswer`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.recoveryAnswer" id="cdktfprovideroktauserpropertyrecoveryanswer"></a>

```typescript
public readonly recoveryAnswer: string;
```

- *Type:* `string`

---

##### `recoveryQuestion`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.recoveryQuestion" id="cdktfprovideroktauserpropertyrecoveryquestion"></a>

```typescript
public readonly recoveryQuestion: string;
```

- *Type:* `string`

---

##### `secondEmail`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.secondEmail" id="cdktfprovideroktauserpropertysecondemail"></a>

```typescript
public readonly secondEmail: string;
```

- *Type:* `string`

---

##### `state`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.state" id="cdktfprovideroktauserpropertystate"></a>

```typescript
public readonly state: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.status" id="cdktfprovideroktauserpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `streetAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.streetAddress" id="cdktfprovideroktauserpropertystreetaddress"></a>

```typescript
public readonly streetAddress: string;
```

- *Type:* `string`

---

##### `timezone`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.timezone" id="cdktfprovideroktauserpropertytimezone"></a>

```typescript
public readonly timezone: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.title" id="cdktfprovideroktauserpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.userType" id="cdktfprovideroktauserpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

##### `zipCode`<sup>Required</sup> <a name="@cdktf/provider-okta.User.property.zipCode" id="cdktfprovideroktauserpropertyzipcode"></a>

```typescript
public readonly zipCode: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktauserpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.User.property.tfResourceType" id="cdktfprovideroktauserpropertytfresourcetype"></a>

- *Type:* `string`

---

### UserAdminRoles <a name="@cdktf/provider-okta.UserAdminRoles" id="cdktfprovideroktauseradminroles"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_admin_roles okta_user_admin_roles}.

#### Initializers <a name="@cdktf/provider-okta.UserAdminRoles.Initializer" id="cdktfprovideroktauseradminrolesinitializer"></a>

```typescript
import { UserAdminRoles } from '@cdktf/provider-okta'

new UserAdminRoles(scope: Construct, id: string, config: UserAdminRolesConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktauseradminrolesparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktauseradminrolesparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktauseradminrolesparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserAdminRolesConfig`](#@cdktf/provider-okta.UserAdminRolesConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRoles.parameter.scope" id="cdktfprovideroktauseradminrolesparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRoles.parameter.id" id="cdktfprovideroktauseradminrolesparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRoles.parameter.config" id="cdktfprovideroktauseradminrolesparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserAdminRolesConfig`](#@cdktf/provider-okta.UserAdminRolesConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetDisableNotifications`](#cdktfprovideroktauseradminrolesresetdisablenotifications) | *No description.* |
| [`resetId`](#cdktfprovideroktauseradminrolesresetid) | *No description.* |

---

##### `resetDisableNotifications` <a name="@cdktf/provider-okta.UserAdminRoles.resetDisableNotifications" id="cdktfprovideroktauseradminrolesresetdisablenotifications"></a>

```typescript
public resetDisableNotifications()
```

##### `resetId` <a name="@cdktf/provider-okta.UserAdminRoles.resetId" id="cdktfprovideroktauseradminrolesresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`adminRolesInput`](#cdktfprovideroktauseradminrolespropertyadminrolesinput) | `string`[] | *No description.* |
| [`disableNotificationsInput`](#cdktfprovideroktauseradminrolespropertydisablenotificationsinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`idInput`](#cdktfprovideroktauseradminrolespropertyidinput) | `string` | *No description.* |
| [`userIdInput`](#cdktfprovideroktauseradminrolespropertyuseridinput) | `string` | *No description.* |
| [`adminRoles`](#cdktfprovideroktauseradminrolespropertyadminroles)<span title="Required">*</span> | `string`[] | *No description.* |
| [`disableNotifications`](#cdktfprovideroktauseradminrolespropertydisablenotifications)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktauseradminrolespropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`userId`](#cdktfprovideroktauseradminrolespropertyuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `adminRolesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.adminRolesInput" id="cdktfprovideroktauseradminrolespropertyadminrolesinput"></a>

```typescript
public readonly adminRolesInput: string[];
```

- *Type:* `string`[]

---

##### `disableNotificationsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.disableNotificationsInput" id="cdktfprovideroktauseradminrolespropertydisablenotificationsinput"></a>

```typescript
public readonly disableNotificationsInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.idInput" id="cdktfprovideroktauseradminrolespropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.userIdInput" id="cdktfprovideroktauseradminrolespropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `adminRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.adminRoles" id="cdktfprovideroktauseradminrolespropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

---

##### `disableNotifications`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.disableNotifications" id="cdktfprovideroktauseradminrolespropertydisablenotifications"></a>

```typescript
public readonly disableNotifications: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.id" id="cdktfprovideroktauseradminrolespropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRoles.property.userId" id="cdktfprovideroktauseradminrolespropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktauseradminrolespropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserAdminRoles.property.tfResourceType" id="cdktfprovideroktauseradminrolespropertytfresourcetype"></a>

- *Type:* `string`

---

### UserBaseSchema <a name="@cdktf/provider-okta.UserBaseSchema" id="cdktfprovideroktauserbaseschema"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema okta_user_base_schema}.

#### Initializers <a name="@cdktf/provider-okta.UserBaseSchema.Initializer" id="cdktfprovideroktauserbaseschemainitializer"></a>

```typescript
import { UserBaseSchema } from '@cdktf/provider-okta'

new UserBaseSchema(scope: Construct, id: string, config: UserBaseSchemaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktauserbaseschemaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktauserbaseschemaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktauserbaseschemaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserBaseSchemaConfig`](#@cdktf/provider-okta.UserBaseSchemaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.parameter.scope" id="cdktfprovideroktauserbaseschemaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.parameter.id" id="cdktfprovideroktauserbaseschemaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.parameter.config" id="cdktfprovideroktauserbaseschemaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserBaseSchemaConfig`](#@cdktf/provider-okta.UserBaseSchemaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktauserbaseschemaresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktauserbaseschemaresetmaster) | *No description.* |
| [`resetPattern`](#cdktfprovideroktauserbaseschemaresetpattern) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktauserbaseschemaresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktauserbaseschemaresetrequired) | *No description.* |
| [`resetUserType`](#cdktfprovideroktauserbaseschemaresetusertype) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.UserBaseSchema.resetId" id="cdktfprovideroktauserbaseschemaresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.UserBaseSchema.resetMaster" id="cdktfprovideroktauserbaseschemaresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetPattern` <a name="@cdktf/provider-okta.UserBaseSchema.resetPattern" id="cdktfprovideroktauserbaseschemaresetpattern"></a>

```typescript
public resetPattern()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.UserBaseSchema.resetPermissions" id="cdktfprovideroktauserbaseschemaresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.UserBaseSchema.resetRequired" id="cdktfprovideroktauserbaseschemaresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetUserType` <a name="@cdktf/provider-okta.UserBaseSchema.resetUserType" id="cdktfprovideroktauserbaseschemaresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktauserbaseschemapropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktauserbaseschemapropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktauserbaseschemapropertymasterinput) | `string` | *No description.* |
| [`patternInput`](#cdktfprovideroktauserbaseschemapropertypatterninput) | `string` | *No description.* |
| [`permissionsInput`](#cdktfprovideroktauserbaseschemapropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktauserbaseschemapropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`titleInput`](#cdktfprovideroktauserbaseschemapropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktauserbaseschemapropertytypeinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktauserbaseschemapropertyusertypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktauserbaseschemapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktauserbaseschemapropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktauserbaseschemapropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`pattern`](#cdktfprovideroktauserbaseschemapropertypattern)<span title="Required">*</span> | `string` | *No description.* |
| [`permissions`](#cdktfprovideroktauserbaseschemapropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktauserbaseschemapropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`title`](#cdktfprovideroktauserbaseschemapropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktauserbaseschemapropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktauserbaseschemapropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.idInput" id="cdktfprovideroktauserbaseschemapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.indexInput" id="cdktfprovideroktauserbaseschemapropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.masterInput" id="cdktfprovideroktauserbaseschemapropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `patternInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.patternInput" id="cdktfprovideroktauserbaseschemapropertypatterninput"></a>

```typescript
public readonly patternInput: string;
```

- *Type:* `string`

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.permissionsInput" id="cdktfprovideroktauserbaseschemapropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.requiredInput" id="cdktfprovideroktauserbaseschemapropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.titleInput" id="cdktfprovideroktauserbaseschemapropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.typeInput" id="cdktfprovideroktauserbaseschemapropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.userTypeInput" id="cdktfprovideroktauserbaseschemapropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.id" id="cdktfprovideroktauserbaseschemapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.index" id="cdktfprovideroktauserbaseschemapropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.master" id="cdktfprovideroktauserbaseschemapropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `pattern`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.pattern" id="cdktfprovideroktauserbaseschemapropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.permissions" id="cdktfprovideroktauserbaseschemapropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.required" id="cdktfprovideroktauserbaseschemapropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.title" id="cdktfprovideroktauserbaseschemapropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.type" id="cdktfprovideroktauserbaseschemapropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchema.property.userType" id="cdktfprovideroktauserbaseschemapropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktauserbaseschemapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserBaseSchema.property.tfResourceType" id="cdktfprovideroktauserbaseschemapropertytfresourcetype"></a>

- *Type:* `string`

---

### UserBaseSchemaProperty <a name="@cdktf/provider-okta.UserBaseSchemaProperty" id="cdktfprovideroktauserbaseschemaproperty"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property okta_user_base_schema_property}.

#### Initializers <a name="@cdktf/provider-okta.UserBaseSchemaProperty.Initializer" id="cdktfprovideroktauserbaseschemapropertyinitializer"></a>

```typescript
import { UserBaseSchemaProperty } from '@cdktf/provider-okta'

new UserBaseSchemaProperty(scope: Construct, id: string, config: UserBaseSchemaPropertyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktauserbaseschemapropertyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktauserbaseschemapropertyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktauserbaseschemapropertyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserBaseSchemaPropertyConfig`](#@cdktf/provider-okta.UserBaseSchemaPropertyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.parameter.scope" id="cdktfprovideroktauserbaseschemapropertyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.parameter.id" id="cdktfprovideroktauserbaseschemapropertyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.parameter.config" id="cdktfprovideroktauserbaseschemapropertyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserBaseSchemaPropertyConfig`](#@cdktf/provider-okta.UserBaseSchemaPropertyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktauserbaseschemapropertyresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktauserbaseschemapropertyresetmaster) | *No description.* |
| [`resetPattern`](#cdktfprovideroktauserbaseschemapropertyresetpattern) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktauserbaseschemapropertyresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktauserbaseschemapropertyresetrequired) | *No description.* |
| [`resetUserType`](#cdktfprovideroktauserbaseschemapropertyresetusertype) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.UserBaseSchemaProperty.resetId" id="cdktfprovideroktauserbaseschemapropertyresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.UserBaseSchemaProperty.resetMaster" id="cdktfprovideroktauserbaseschemapropertyresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetPattern` <a name="@cdktf/provider-okta.UserBaseSchemaProperty.resetPattern" id="cdktfprovideroktauserbaseschemapropertyresetpattern"></a>

```typescript
public resetPattern()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.UserBaseSchemaProperty.resetPermissions" id="cdktfprovideroktauserbaseschemapropertyresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.UserBaseSchemaProperty.resetRequired" id="cdktfprovideroktauserbaseschemapropertyresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetUserType` <a name="@cdktf/provider-okta.UserBaseSchemaProperty.resetUserType" id="cdktfprovideroktauserbaseschemapropertyresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktauserbaseschemapropertypropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktauserbaseschemapropertypropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktauserbaseschemapropertypropertymasterinput) | `string` | *No description.* |
| [`patternInput`](#cdktfprovideroktauserbaseschemapropertypropertypatterninput) | `string` | *No description.* |
| [`permissionsInput`](#cdktfprovideroktauserbaseschemapropertypropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktauserbaseschemapropertypropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`titleInput`](#cdktfprovideroktauserbaseschemapropertypropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktauserbaseschemapropertypropertytypeinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktauserbaseschemapropertypropertyusertypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktauserbaseschemapropertypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktauserbaseschemapropertypropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktauserbaseschemapropertypropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`pattern`](#cdktfprovideroktauserbaseschemapropertypropertypattern)<span title="Required">*</span> | `string` | *No description.* |
| [`permissions`](#cdktfprovideroktauserbaseschemapropertypropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktauserbaseschemapropertypropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`title`](#cdktfprovideroktauserbaseschemapropertypropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktauserbaseschemapropertypropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktauserbaseschemapropertypropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.idInput" id="cdktfprovideroktauserbaseschemapropertypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.indexInput" id="cdktfprovideroktauserbaseschemapropertypropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.masterInput" id="cdktfprovideroktauserbaseschemapropertypropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `patternInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.patternInput" id="cdktfprovideroktauserbaseschemapropertypropertypatterninput"></a>

```typescript
public readonly patternInput: string;
```

- *Type:* `string`

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.permissionsInput" id="cdktfprovideroktauserbaseschemapropertypropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.requiredInput" id="cdktfprovideroktauserbaseschemapropertypropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.titleInput" id="cdktfprovideroktauserbaseschemapropertypropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.typeInput" id="cdktfprovideroktauserbaseschemapropertypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.userTypeInput" id="cdktfprovideroktauserbaseschemapropertypropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.id" id="cdktfprovideroktauserbaseschemapropertypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.index" id="cdktfprovideroktauserbaseschemapropertypropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.master" id="cdktfprovideroktauserbaseschemapropertypropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `pattern`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.pattern" id="cdktfprovideroktauserbaseschemapropertypropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.permissions" id="cdktfprovideroktauserbaseschemapropertypropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.required" id="cdktfprovideroktauserbaseschemapropertypropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.title" id="cdktfprovideroktauserbaseschemapropertypropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.type" id="cdktfprovideroktauserbaseschemapropertypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.userType" id="cdktfprovideroktauserbaseschemapropertypropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktauserbaseschemapropertypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserBaseSchemaProperty.property.tfResourceType" id="cdktfprovideroktauserbaseschemapropertypropertytfresourcetype"></a>

- *Type:* `string`

---

### UserFactorQuestion <a name="@cdktf/provider-okta.UserFactorQuestion" id="cdktfprovideroktauserfactorquestion"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_factor_question okta_user_factor_question}.

#### Initializers <a name="@cdktf/provider-okta.UserFactorQuestion.Initializer" id="cdktfprovideroktauserfactorquestioninitializer"></a>

```typescript
import { UserFactorQuestion } from '@cdktf/provider-okta'

new UserFactorQuestion(scope: Construct, id: string, config: UserFactorQuestionConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktauserfactorquestionparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktauserfactorquestionparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktauserfactorquestionparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserFactorQuestionConfig`](#@cdktf/provider-okta.UserFactorQuestionConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.parameter.scope" id="cdktfprovideroktauserfactorquestionparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.parameter.id" id="cdktfprovideroktauserfactorquestionparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.parameter.config" id="cdktfprovideroktauserfactorquestionparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserFactorQuestionConfig`](#@cdktf/provider-okta.UserFactorQuestionConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktauserfactorquestionresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.UserFactorQuestion.resetId" id="cdktfprovideroktauserfactorquestionresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`status`](#cdktfprovideroktauserfactorquestionpropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`text`](#cdktfprovideroktauserfactorquestionpropertytext)<span title="Required">*</span> | `string` | *No description.* |
| [`answerInput`](#cdktfprovideroktauserfactorquestionpropertyanswerinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktauserfactorquestionpropertyidinput) | `string` | *No description.* |
| [`keyInput`](#cdktfprovideroktauserfactorquestionpropertykeyinput) | `string` | *No description.* |
| [`userIdInput`](#cdktfprovideroktauserfactorquestionpropertyuseridinput) | `string` | *No description.* |
| [`answer`](#cdktfprovideroktauserfactorquestionpropertyanswer)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktauserfactorquestionpropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`key`](#cdktfprovideroktauserfactorquestionpropertykey)<span title="Required">*</span> | `string` | *No description.* |
| [`userId`](#cdktfprovideroktauserfactorquestionpropertyuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.status" id="cdktfprovideroktauserfactorquestionpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `text`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.text" id="cdktfprovideroktauserfactorquestionpropertytext"></a>

```typescript
public readonly text: string;
```

- *Type:* `string`

---

##### `answerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.answerInput" id="cdktfprovideroktauserfactorquestionpropertyanswerinput"></a>

```typescript
public readonly answerInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.idInput" id="cdktfprovideroktauserfactorquestionpropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `keyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.keyInput" id="cdktfprovideroktauserfactorquestionpropertykeyinput"></a>

```typescript
public readonly keyInput: string;
```

- *Type:* `string`

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.userIdInput" id="cdktfprovideroktauserfactorquestionpropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `answer`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.answer" id="cdktfprovideroktauserfactorquestionpropertyanswer"></a>

```typescript
public readonly answer: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.id" id="cdktfprovideroktauserfactorquestionpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.key" id="cdktfprovideroktauserfactorquestionpropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestion.property.userId" id="cdktfprovideroktauserfactorquestionpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktauserfactorquestionpropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserFactorQuestion.property.tfResourceType" id="cdktfprovideroktauserfactorquestionpropertytfresourcetype"></a>

- *Type:* `string`

---

### UserGroupMemberships <a name="@cdktf/provider-okta.UserGroupMemberships" id="cdktfprovideroktausergroupmemberships"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_group_memberships okta_user_group_memberships}.

#### Initializers <a name="@cdktf/provider-okta.UserGroupMemberships.Initializer" id="cdktfprovideroktausergroupmembershipsinitializer"></a>

```typescript
import { UserGroupMemberships } from '@cdktf/provider-okta'

new UserGroupMemberships(scope: Construct, id: string, config: UserGroupMembershipsConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktausergroupmembershipsparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktausergroupmembershipsparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktausergroupmembershipsparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserGroupMembershipsConfig`](#@cdktf/provider-okta.UserGroupMembershipsConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.parameter.scope" id="cdktfprovideroktausergroupmembershipsparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.parameter.id" id="cdktfprovideroktausergroupmembershipsparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.parameter.config" id="cdktfprovideroktausergroupmembershipsparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserGroupMembershipsConfig`](#@cdktf/provider-okta.UserGroupMembershipsConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktausergroupmembershipsresetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.UserGroupMemberships.resetId" id="cdktfprovideroktausergroupmembershipsresetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`groupsInput`](#cdktfprovideroktausergroupmembershipspropertygroupsinput) | `string`[] | *No description.* |
| [`idInput`](#cdktfprovideroktausergroupmembershipspropertyidinput) | `string` | *No description.* |
| [`userIdInput`](#cdktfprovideroktausergroupmembershipspropertyuseridinput) | `string` | *No description.* |
| [`groups`](#cdktfprovideroktausergroupmembershipspropertygroups)<span title="Required">*</span> | `string`[] | *No description.* |
| [`id`](#cdktfprovideroktausergroupmembershipspropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`userId`](#cdktfprovideroktausergroupmembershipspropertyuserid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `groupsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.property.groupsInput" id="cdktfprovideroktausergroupmembershipspropertygroupsinput"></a>

```typescript
public readonly groupsInput: string[];
```

- *Type:* `string`[]

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.property.idInput" id="cdktfprovideroktausergroupmembershipspropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `userIdInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.property.userIdInput" id="cdktfprovideroktausergroupmembershipspropertyuseridinput"></a>

```typescript
public readonly userIdInput: string;
```

- *Type:* `string`

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.property.groups" id="cdktfprovideroktausergroupmembershipspropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.property.id" id="cdktfprovideroktausergroupmembershipspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMemberships.property.userId" id="cdktfprovideroktausergroupmembershipspropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktausergroupmembershipspropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserGroupMemberships.property.tfResourceType" id="cdktfprovideroktausergroupmembershipspropertytfresourcetype"></a>

- *Type:* `string`

---

### UserSchema <a name="@cdktf/provider-okta.UserSchema" id="cdktfprovideroktauserschema"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_schema okta_user_schema}.

#### Initializers <a name="@cdktf/provider-okta.UserSchema.Initializer" id="cdktfprovideroktauserschemainitializer"></a>

```typescript
import { UserSchema } from '@cdktf/provider-okta'

new UserSchema(scope: Construct, id: string, config: UserSchemaConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktauserschemaparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktauserschemaparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktauserschemaparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaConfig`](#@cdktf/provider-okta.UserSchemaConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.parameter.scope" id="cdktfprovideroktauserschemaparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.parameter.id" id="cdktfprovideroktauserschemaparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.parameter.config" id="cdktfprovideroktauserschemaparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserSchemaConfig`](#@cdktf/provider-okta.UserSchemaConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putArrayOneOf`](#cdktfprovideroktauserschemaputarrayoneof) | *No description.* |
| [`putMasterOverridePriority`](#cdktfprovideroktauserschemaputmasteroverridepriority) | *No description.* |
| [`putOneOf`](#cdktfprovideroktauserschemaputoneof) | *No description.* |
| [`resetArrayEnum`](#cdktfprovideroktauserschemaresetarrayenum) | *No description.* |
| [`resetArrayOneOf`](#cdktfprovideroktauserschemaresetarrayoneof) | *No description.* |
| [`resetArrayType`](#cdktfprovideroktauserschemaresetarraytype) | *No description.* |
| [`resetDescription`](#cdktfprovideroktauserschemaresetdescription) | *No description.* |
| [`resetEnum`](#cdktfprovideroktauserschemaresetenum) | *No description.* |
| [`resetExternalName`](#cdktfprovideroktauserschemaresetexternalname) | *No description.* |
| [`resetExternalNamespace`](#cdktfprovideroktauserschemaresetexternalnamespace) | *No description.* |
| [`resetId`](#cdktfprovideroktauserschemaresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktauserschemaresetmaster) | *No description.* |
| [`resetMasterOverridePriority`](#cdktfprovideroktauserschemaresetmasteroverridepriority) | *No description.* |
| [`resetMaxLength`](#cdktfprovideroktauserschemaresetmaxlength) | *No description.* |
| [`resetMinLength`](#cdktfprovideroktauserschemaresetminlength) | *No description.* |
| [`resetOneOf`](#cdktfprovideroktauserschemaresetoneof) | *No description.* |
| [`resetPattern`](#cdktfprovideroktauserschemaresetpattern) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktauserschemaresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktauserschemaresetrequired) | *No description.* |
| [`resetScope`](#cdktfprovideroktauserschemaresetscope) | *No description.* |
| [`resetUnique`](#cdktfprovideroktauserschemaresetunique) | *No description.* |
| [`resetUserType`](#cdktfprovideroktauserschemaresetusertype) | *No description.* |

---

##### `putArrayOneOf` <a name="@cdktf/provider-okta.UserSchema.putArrayOneOf" id="cdktfprovideroktauserschemaputarrayoneof"></a>

```typescript
public putArrayOneOf(value: IResolvable | UserSchemaArrayOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.parameter.value" id="cdktfprovideroktauserschemaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)[]

---

##### `putMasterOverridePriority` <a name="@cdktf/provider-okta.UserSchema.putMasterOverridePriority" id="cdktfprovideroktauserschemaputmasteroverridepriority"></a>

```typescript
public putMasterOverridePriority(value: IResolvable | UserSchemaMasterOverridePriority[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.parameter.value" id="cdktfprovideroktauserschemaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)[]

---

##### `putOneOf` <a name="@cdktf/provider-okta.UserSchema.putOneOf" id="cdktfprovideroktauserschemaputoneof"></a>

```typescript
public putOneOf(value: IResolvable | UserSchemaOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.parameter.value" id="cdktfprovideroktauserschemaparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)[]

---

##### `resetArrayEnum` <a name="@cdktf/provider-okta.UserSchema.resetArrayEnum" id="cdktfprovideroktauserschemaresetarrayenum"></a>

```typescript
public resetArrayEnum()
```

##### `resetArrayOneOf` <a name="@cdktf/provider-okta.UserSchema.resetArrayOneOf" id="cdktfprovideroktauserschemaresetarrayoneof"></a>

```typescript
public resetArrayOneOf()
```

##### `resetArrayType` <a name="@cdktf/provider-okta.UserSchema.resetArrayType" id="cdktfprovideroktauserschemaresetarraytype"></a>

```typescript
public resetArrayType()
```

##### `resetDescription` <a name="@cdktf/provider-okta.UserSchema.resetDescription" id="cdktfprovideroktauserschemaresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetEnum` <a name="@cdktf/provider-okta.UserSchema.resetEnum" id="cdktfprovideroktauserschemaresetenum"></a>

```typescript
public resetEnum()
```

##### `resetExternalName` <a name="@cdktf/provider-okta.UserSchema.resetExternalName" id="cdktfprovideroktauserschemaresetexternalname"></a>

```typescript
public resetExternalName()
```

##### `resetExternalNamespace` <a name="@cdktf/provider-okta.UserSchema.resetExternalNamespace" id="cdktfprovideroktauserschemaresetexternalnamespace"></a>

```typescript
public resetExternalNamespace()
```

##### `resetId` <a name="@cdktf/provider-okta.UserSchema.resetId" id="cdktfprovideroktauserschemaresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.UserSchema.resetMaster" id="cdktfprovideroktauserschemaresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetMasterOverridePriority` <a name="@cdktf/provider-okta.UserSchema.resetMasterOverridePriority" id="cdktfprovideroktauserschemaresetmasteroverridepriority"></a>

```typescript
public resetMasterOverridePriority()
```

##### `resetMaxLength` <a name="@cdktf/provider-okta.UserSchema.resetMaxLength" id="cdktfprovideroktauserschemaresetmaxlength"></a>

```typescript
public resetMaxLength()
```

##### `resetMinLength` <a name="@cdktf/provider-okta.UserSchema.resetMinLength" id="cdktfprovideroktauserschemaresetminlength"></a>

```typescript
public resetMinLength()
```

##### `resetOneOf` <a name="@cdktf/provider-okta.UserSchema.resetOneOf" id="cdktfprovideroktauserschemaresetoneof"></a>

```typescript
public resetOneOf()
```

##### `resetPattern` <a name="@cdktf/provider-okta.UserSchema.resetPattern" id="cdktfprovideroktauserschemaresetpattern"></a>

```typescript
public resetPattern()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.UserSchema.resetPermissions" id="cdktfprovideroktauserschemaresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.UserSchema.resetRequired" id="cdktfprovideroktauserschemaresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetScope` <a name="@cdktf/provider-okta.UserSchema.resetScope" id="cdktfprovideroktauserschemaresetscope"></a>

```typescript
public resetScope()
```

##### `resetUnique` <a name="@cdktf/provider-okta.UserSchema.resetUnique" id="cdktfprovideroktauserschemaresetunique"></a>

```typescript
public resetUnique()
```

##### `resetUserType` <a name="@cdktf/provider-okta.UserSchema.resetUserType" id="cdktfprovideroktauserschemaresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`arrayOneOf`](#cdktfprovideroktauserschemapropertyarrayoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaArrayOneOfList`](#@cdktf/provider-okta.UserSchemaArrayOneOfList) | *No description.* |
| [`masterOverridePriority`](#cdktfprovideroktauserschemapropertymasteroverridepriority)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaMasterOverridePriorityList`](#@cdktf/provider-okta.UserSchemaMasterOverridePriorityList) | *No description.* |
| [`oneOf`](#cdktfprovideroktauserschemapropertyoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaOneOfList`](#@cdktf/provider-okta.UserSchemaOneOfList) | *No description.* |
| [`arrayEnumInput`](#cdktfprovideroktauserschemapropertyarrayenuminput) | `string`[] | *No description.* |
| [`arrayOneOfInput`](#cdktfprovideroktauserschemapropertyarrayoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)[] | *No description.* |
| [`arrayTypeInput`](#cdktfprovideroktauserschemapropertyarraytypeinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktauserschemapropertydescriptioninput) | `string` | *No description.* |
| [`enumInput`](#cdktfprovideroktauserschemapropertyenuminput) | `string`[] | *No description.* |
| [`externalNameInput`](#cdktfprovideroktauserschemapropertyexternalnameinput) | `string` | *No description.* |
| [`externalNamespaceInput`](#cdktfprovideroktauserschemapropertyexternalnamespaceinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktauserschemapropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktauserschemapropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktauserschemapropertymasterinput) | `string` | *No description.* |
| [`masterOverridePriorityInput`](#cdktfprovideroktauserschemapropertymasteroverridepriorityinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)[] | *No description.* |
| [`maxLengthInput`](#cdktfprovideroktauserschemapropertymaxlengthinput) | `number` | *No description.* |
| [`minLengthInput`](#cdktfprovideroktauserschemapropertyminlengthinput) | `number` | *No description.* |
| [`oneOfInput`](#cdktfprovideroktauserschemapropertyoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)[] | *No description.* |
| [`patternInput`](#cdktfprovideroktauserschemapropertypatterninput) | `string` | *No description.* |
| [`permissionsInput`](#cdktfprovideroktauserschemapropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktauserschemapropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scopeInput`](#cdktfprovideroktauserschemapropertyscopeinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktauserschemapropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktauserschemapropertytypeinput) | `string` | *No description.* |
| [`uniqueInput`](#cdktfprovideroktauserschemapropertyuniqueinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktauserschemapropertyusertypeinput) | `string` | *No description.* |
| [`arrayEnum`](#cdktfprovideroktauserschemapropertyarrayenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`arrayType`](#cdktfprovideroktauserschemapropertyarraytype)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktauserschemapropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`enum`](#cdktfprovideroktauserschemapropertyenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`externalName`](#cdktfprovideroktauserschemapropertyexternalname)<span title="Required">*</span> | `string` | *No description.* |
| [`externalNamespace`](#cdktfprovideroktauserschemapropertyexternalnamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktauserschemapropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktauserschemapropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktauserschemapropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`maxLength`](#cdktfprovideroktauserschemapropertymaxlength)<span title="Required">*</span> | `number` | *No description.* |
| [`minLength`](#cdktfprovideroktauserschemapropertyminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`pattern`](#cdktfprovideroktauserschemapropertypattern)<span title="Required">*</span> | `string` | *No description.* |
| [`permissions`](#cdktfprovideroktauserschemapropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktauserschemapropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scope`](#cdktfprovideroktauserschemapropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktauserschemapropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktauserschemapropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`unique`](#cdktfprovideroktauserschemapropertyunique)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktauserschemapropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `arrayOneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.arrayOneOf" id="cdktfprovideroktauserschemapropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: UserSchemaArrayOneOfList;
```

- *Type:* [`@cdktf/provider-okta.UserSchemaArrayOneOfList`](#@cdktf/provider-okta.UserSchemaArrayOneOfList)

---

##### `masterOverridePriority`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.masterOverridePriority" id="cdktfprovideroktauserschemapropertymasteroverridepriority"></a>

```typescript
public readonly masterOverridePriority: UserSchemaMasterOverridePriorityList;
```

- *Type:* [`@cdktf/provider-okta.UserSchemaMasterOverridePriorityList`](#@cdktf/provider-okta.UserSchemaMasterOverridePriorityList)

---

##### `oneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.oneOf" id="cdktfprovideroktauserschemapropertyoneof"></a>

```typescript
public readonly oneOf: UserSchemaOneOfList;
```

- *Type:* [`@cdktf/provider-okta.UserSchemaOneOfList`](#@cdktf/provider-okta.UserSchemaOneOfList)

---

##### `arrayEnumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.arrayEnumInput" id="cdktfprovideroktauserschemapropertyarrayenuminput"></a>

```typescript
public readonly arrayEnumInput: string[];
```

- *Type:* `string`[]

---

##### `arrayOneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.arrayOneOfInput" id="cdktfprovideroktauserschemapropertyarrayoneofinput"></a>

```typescript
public readonly arrayOneOfInput: IResolvable | UserSchemaArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)[]

---

##### `arrayTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.arrayTypeInput" id="cdktfprovideroktauserschemapropertyarraytypeinput"></a>

```typescript
public readonly arrayTypeInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.descriptionInput" id="cdktfprovideroktauserschemapropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `enumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.enumInput" id="cdktfprovideroktauserschemapropertyenuminput"></a>

```typescript
public readonly enumInput: string[];
```

- *Type:* `string`[]

---

##### `externalNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.externalNameInput" id="cdktfprovideroktauserschemapropertyexternalnameinput"></a>

```typescript
public readonly externalNameInput: string;
```

- *Type:* `string`

---

##### `externalNamespaceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.externalNamespaceInput" id="cdktfprovideroktauserschemapropertyexternalnamespaceinput"></a>

```typescript
public readonly externalNamespaceInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.idInput" id="cdktfprovideroktauserschemapropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.indexInput" id="cdktfprovideroktauserschemapropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.masterInput" id="cdktfprovideroktauserschemapropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `masterOverridePriorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.masterOverridePriorityInput" id="cdktfprovideroktauserschemapropertymasteroverridepriorityinput"></a>

```typescript
public readonly masterOverridePriorityInput: IResolvable | UserSchemaMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)[]

---

##### `maxLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.maxLengthInput" id="cdktfprovideroktauserschemapropertymaxlengthinput"></a>

```typescript
public readonly maxLengthInput: number;
```

- *Type:* `number`

---

##### `minLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.minLengthInput" id="cdktfprovideroktauserschemapropertyminlengthinput"></a>

```typescript
public readonly minLengthInput: number;
```

- *Type:* `number`

---

##### `oneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.oneOfInput" id="cdktfprovideroktauserschemapropertyoneofinput"></a>

```typescript
public readonly oneOfInput: IResolvable | UserSchemaOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)[]

---

##### `patternInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.patternInput" id="cdktfprovideroktauserschemapropertypatterninput"></a>

```typescript
public readonly patternInput: string;
```

- *Type:* `string`

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.permissionsInput" id="cdktfprovideroktauserschemapropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.requiredInput" id="cdktfprovideroktauserschemapropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.scopeInput" id="cdktfprovideroktauserschemapropertyscopeinput"></a>

```typescript
public readonly scopeInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.titleInput" id="cdktfprovideroktauserschemapropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.typeInput" id="cdktfprovideroktauserschemapropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `uniqueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.uniqueInput" id="cdktfprovideroktauserschemapropertyuniqueinput"></a>

```typescript
public readonly uniqueInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchema.property.userTypeInput" id="cdktfprovideroktauserschemapropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `arrayEnum`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.arrayEnum" id="cdktfprovideroktauserschemapropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

---

##### `arrayType`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.arrayType" id="cdktfprovideroktauserschemapropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.description" id="cdktfprovideroktauserschemapropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `enum`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.enum" id="cdktfprovideroktauserschemapropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

---

##### `externalName`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.externalName" id="cdktfprovideroktauserschemapropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

---

##### `externalNamespace`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.externalNamespace" id="cdktfprovideroktauserschemapropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.id" id="cdktfprovideroktauserschemapropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.index" id="cdktfprovideroktauserschemapropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.master" id="cdktfprovideroktauserschemapropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `maxLength`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.maxLength" id="cdktfprovideroktauserschemapropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

---

##### `minLength`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.minLength" id="cdktfprovideroktauserschemapropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

---

##### `pattern`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.pattern" id="cdktfprovideroktauserschemapropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.permissions" id="cdktfprovideroktauserschemapropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.required" id="cdktfprovideroktauserschemapropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.scope" id="cdktfprovideroktauserschemapropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.title" id="cdktfprovideroktauserschemapropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.type" id="cdktfprovideroktauserschemapropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `unique`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.unique" id="cdktfprovideroktauserschemapropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchema.property.userType" id="cdktfprovideroktauserschemapropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktauserschemapropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserSchema.property.tfResourceType" id="cdktfprovideroktauserschemapropertytfresourcetype"></a>

- *Type:* `string`

---

### UserSchemaProperty <a name="@cdktf/provider-okta.UserSchemaProperty" id="cdktfprovideroktauserschemaproperty"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property okta_user_schema_property}.

#### Initializers <a name="@cdktf/provider-okta.UserSchemaProperty.Initializer" id="cdktfprovideroktauserschemapropertyinitializer"></a>

```typescript
import { UserSchemaProperty } from '@cdktf/provider-okta'

new UserSchemaProperty(scope: Construct, id: string, config: UserSchemaPropertyConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktauserschemapropertyparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktauserschemapropertyparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktauserschemapropertyparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaPropertyConfig`](#@cdktf/provider-okta.UserSchemaPropertyConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.parameter.scope" id="cdktfprovideroktauserschemapropertyparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.parameter.id" id="cdktfprovideroktauserschemapropertyparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.parameter.config" id="cdktfprovideroktauserschemapropertyparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserSchemaPropertyConfig`](#@cdktf/provider-okta.UserSchemaPropertyConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putArrayOneOf`](#cdktfprovideroktauserschemapropertyputarrayoneof) | *No description.* |
| [`putMasterOverridePriority`](#cdktfprovideroktauserschemapropertyputmasteroverridepriority) | *No description.* |
| [`putOneOf`](#cdktfprovideroktauserschemapropertyputoneof) | *No description.* |
| [`resetArrayEnum`](#cdktfprovideroktauserschemapropertyresetarrayenum) | *No description.* |
| [`resetArrayOneOf`](#cdktfprovideroktauserschemapropertyresetarrayoneof) | *No description.* |
| [`resetArrayType`](#cdktfprovideroktauserschemapropertyresetarraytype) | *No description.* |
| [`resetDescription`](#cdktfprovideroktauserschemapropertyresetdescription) | *No description.* |
| [`resetEnum`](#cdktfprovideroktauserschemapropertyresetenum) | *No description.* |
| [`resetExternalName`](#cdktfprovideroktauserschemapropertyresetexternalname) | *No description.* |
| [`resetExternalNamespace`](#cdktfprovideroktauserschemapropertyresetexternalnamespace) | *No description.* |
| [`resetId`](#cdktfprovideroktauserschemapropertyresetid) | *No description.* |
| [`resetMaster`](#cdktfprovideroktauserschemapropertyresetmaster) | *No description.* |
| [`resetMasterOverridePriority`](#cdktfprovideroktauserschemapropertyresetmasteroverridepriority) | *No description.* |
| [`resetMaxLength`](#cdktfprovideroktauserschemapropertyresetmaxlength) | *No description.* |
| [`resetMinLength`](#cdktfprovideroktauserschemapropertyresetminlength) | *No description.* |
| [`resetOneOf`](#cdktfprovideroktauserschemapropertyresetoneof) | *No description.* |
| [`resetPattern`](#cdktfprovideroktauserschemapropertyresetpattern) | *No description.* |
| [`resetPermissions`](#cdktfprovideroktauserschemapropertyresetpermissions) | *No description.* |
| [`resetRequired`](#cdktfprovideroktauserschemapropertyresetrequired) | *No description.* |
| [`resetScope`](#cdktfprovideroktauserschemapropertyresetscope) | *No description.* |
| [`resetUnique`](#cdktfprovideroktauserschemapropertyresetunique) | *No description.* |
| [`resetUserType`](#cdktfprovideroktauserschemapropertyresetusertype) | *No description.* |

---

##### `putArrayOneOf` <a name="@cdktf/provider-okta.UserSchemaProperty.putArrayOneOf" id="cdktfprovideroktauserschemapropertyputarrayoneof"></a>

```typescript
public putArrayOneOf(value: IResolvable | UserSchemaPropertyArrayOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.parameter.value" id="cdktfprovideroktauserschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)[]

---

##### `putMasterOverridePriority` <a name="@cdktf/provider-okta.UserSchemaProperty.putMasterOverridePriority" id="cdktfprovideroktauserschemapropertyputmasteroverridepriority"></a>

```typescript
public putMasterOverridePriority(value: IResolvable | UserSchemaPropertyMasterOverridePriority[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.parameter.value" id="cdktfprovideroktauserschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)[]

---

##### `putOneOf` <a name="@cdktf/provider-okta.UserSchemaProperty.putOneOf" id="cdktfprovideroktauserschemapropertyputoneof"></a>

```typescript
public putOneOf(value: IResolvable | UserSchemaPropertyOneOf[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.parameter.value" id="cdktfprovideroktauserschemapropertyparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)[]

---

##### `resetArrayEnum` <a name="@cdktf/provider-okta.UserSchemaProperty.resetArrayEnum" id="cdktfprovideroktauserschemapropertyresetarrayenum"></a>

```typescript
public resetArrayEnum()
```

##### `resetArrayOneOf` <a name="@cdktf/provider-okta.UserSchemaProperty.resetArrayOneOf" id="cdktfprovideroktauserschemapropertyresetarrayoneof"></a>

```typescript
public resetArrayOneOf()
```

##### `resetArrayType` <a name="@cdktf/provider-okta.UserSchemaProperty.resetArrayType" id="cdktfprovideroktauserschemapropertyresetarraytype"></a>

```typescript
public resetArrayType()
```

##### `resetDescription` <a name="@cdktf/provider-okta.UserSchemaProperty.resetDescription" id="cdktfprovideroktauserschemapropertyresetdescription"></a>

```typescript
public resetDescription()
```

##### `resetEnum` <a name="@cdktf/provider-okta.UserSchemaProperty.resetEnum" id="cdktfprovideroktauserschemapropertyresetenum"></a>

```typescript
public resetEnum()
```

##### `resetExternalName` <a name="@cdktf/provider-okta.UserSchemaProperty.resetExternalName" id="cdktfprovideroktauserschemapropertyresetexternalname"></a>

```typescript
public resetExternalName()
```

##### `resetExternalNamespace` <a name="@cdktf/provider-okta.UserSchemaProperty.resetExternalNamespace" id="cdktfprovideroktauserschemapropertyresetexternalnamespace"></a>

```typescript
public resetExternalNamespace()
```

##### `resetId` <a name="@cdktf/provider-okta.UserSchemaProperty.resetId" id="cdktfprovideroktauserschemapropertyresetid"></a>

```typescript
public resetId()
```

##### `resetMaster` <a name="@cdktf/provider-okta.UserSchemaProperty.resetMaster" id="cdktfprovideroktauserschemapropertyresetmaster"></a>

```typescript
public resetMaster()
```

##### `resetMasterOverridePriority` <a name="@cdktf/provider-okta.UserSchemaProperty.resetMasterOverridePriority" id="cdktfprovideroktauserschemapropertyresetmasteroverridepriority"></a>

```typescript
public resetMasterOverridePriority()
```

##### `resetMaxLength` <a name="@cdktf/provider-okta.UserSchemaProperty.resetMaxLength" id="cdktfprovideroktauserschemapropertyresetmaxlength"></a>

```typescript
public resetMaxLength()
```

##### `resetMinLength` <a name="@cdktf/provider-okta.UserSchemaProperty.resetMinLength" id="cdktfprovideroktauserschemapropertyresetminlength"></a>

```typescript
public resetMinLength()
```

##### `resetOneOf` <a name="@cdktf/provider-okta.UserSchemaProperty.resetOneOf" id="cdktfprovideroktauserschemapropertyresetoneof"></a>

```typescript
public resetOneOf()
```

##### `resetPattern` <a name="@cdktf/provider-okta.UserSchemaProperty.resetPattern" id="cdktfprovideroktauserschemapropertyresetpattern"></a>

```typescript
public resetPattern()
```

##### `resetPermissions` <a name="@cdktf/provider-okta.UserSchemaProperty.resetPermissions" id="cdktfprovideroktauserschemapropertyresetpermissions"></a>

```typescript
public resetPermissions()
```

##### `resetRequired` <a name="@cdktf/provider-okta.UserSchemaProperty.resetRequired" id="cdktfprovideroktauserschemapropertyresetrequired"></a>

```typescript
public resetRequired()
```

##### `resetScope` <a name="@cdktf/provider-okta.UserSchemaProperty.resetScope" id="cdktfprovideroktauserschemapropertyresetscope"></a>

```typescript
public resetScope()
```

##### `resetUnique` <a name="@cdktf/provider-okta.UserSchemaProperty.resetUnique" id="cdktfprovideroktauserschemapropertyresetunique"></a>

```typescript
public resetUnique()
```

##### `resetUserType` <a name="@cdktf/provider-okta.UserSchemaProperty.resetUserType" id="cdktfprovideroktauserschemapropertyresetusertype"></a>

```typescript
public resetUserType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`arrayOneOf`](#cdktfprovideroktauserschemapropertypropertyarrayoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList) | *No description.* |
| [`masterOverridePriority`](#cdktfprovideroktauserschemapropertypropertymasteroverridepriority)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList) | *No description.* |
| [`oneOf`](#cdktfprovideroktauserschemapropertypropertyoneof)<span title="Required">*</span> | [`@cdktf/provider-okta.UserSchemaPropertyOneOfList`](#@cdktf/provider-okta.UserSchemaPropertyOneOfList) | *No description.* |
| [`arrayEnumInput`](#cdktfprovideroktauserschemapropertypropertyarrayenuminput) | `string`[] | *No description.* |
| [`arrayOneOfInput`](#cdktfprovideroktauserschemapropertypropertyarrayoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)[] | *No description.* |
| [`arrayTypeInput`](#cdktfprovideroktauserschemapropertypropertyarraytypeinput) | `string` | *No description.* |
| [`descriptionInput`](#cdktfprovideroktauserschemapropertypropertydescriptioninput) | `string` | *No description.* |
| [`enumInput`](#cdktfprovideroktauserschemapropertypropertyenuminput) | `string`[] | *No description.* |
| [`externalNameInput`](#cdktfprovideroktauserschemapropertypropertyexternalnameinput) | `string` | *No description.* |
| [`externalNamespaceInput`](#cdktfprovideroktauserschemapropertypropertyexternalnamespaceinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktauserschemapropertypropertyidinput) | `string` | *No description.* |
| [`indexInput`](#cdktfprovideroktauserschemapropertypropertyindexinput) | `string` | *No description.* |
| [`masterInput`](#cdktfprovideroktauserschemapropertypropertymasterinput) | `string` | *No description.* |
| [`masterOverridePriorityInput`](#cdktfprovideroktauserschemapropertypropertymasteroverridepriorityinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)[] | *No description.* |
| [`maxLengthInput`](#cdktfprovideroktauserschemapropertypropertymaxlengthinput) | `number` | *No description.* |
| [`minLengthInput`](#cdktfprovideroktauserschemapropertypropertyminlengthinput) | `number` | *No description.* |
| [`oneOfInput`](#cdktfprovideroktauserschemapropertypropertyoneofinput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)[] | *No description.* |
| [`patternInput`](#cdktfprovideroktauserschemapropertypropertypatterninput) | `string` | *No description.* |
| [`permissionsInput`](#cdktfprovideroktauserschemapropertypropertypermissionsinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktauserschemapropertypropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scopeInput`](#cdktfprovideroktauserschemapropertypropertyscopeinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktauserschemapropertypropertytitleinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktauserschemapropertypropertytypeinput) | `string` | *No description.* |
| [`uniqueInput`](#cdktfprovideroktauserschemapropertypropertyuniqueinput) | `string` | *No description.* |
| [`userTypeInput`](#cdktfprovideroktauserschemapropertypropertyusertypeinput) | `string` | *No description.* |
| [`arrayEnum`](#cdktfprovideroktauserschemapropertypropertyarrayenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`arrayType`](#cdktfprovideroktauserschemapropertypropertyarraytype)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktauserschemapropertypropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`enum`](#cdktfprovideroktauserschemapropertypropertyenum)<span title="Required">*</span> | `string`[] | *No description.* |
| [`externalName`](#cdktfprovideroktauserschemapropertypropertyexternalname)<span title="Required">*</span> | `string` | *No description.* |
| [`externalNamespace`](#cdktfprovideroktauserschemapropertypropertyexternalnamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktauserschemapropertypropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`index`](#cdktfprovideroktauserschemapropertypropertyindex)<span title="Required">*</span> | `string` | *No description.* |
| [`master`](#cdktfprovideroktauserschemapropertypropertymaster)<span title="Required">*</span> | `string` | *No description.* |
| [`maxLength`](#cdktfprovideroktauserschemapropertypropertymaxlength)<span title="Required">*</span> | `number` | *No description.* |
| [`minLength`](#cdktfprovideroktauserschemapropertypropertyminlength)<span title="Required">*</span> | `number` | *No description.* |
| [`pattern`](#cdktfprovideroktauserschemapropertypropertypattern)<span title="Required">*</span> | `string` | *No description.* |
| [`permissions`](#cdktfprovideroktauserschemapropertypropertypermissions)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktauserschemapropertypropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`scope`](#cdktfprovideroktauserschemapropertypropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktauserschemapropertypropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktauserschemapropertypropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`unique`](#cdktfprovideroktauserschemapropertypropertyunique)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktauserschemapropertypropertyusertype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `arrayOneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.arrayOneOf" id="cdktfprovideroktauserschemapropertypropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: UserSchemaPropertyArrayOneOfList;
```

- *Type:* [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList)

---

##### `masterOverridePriority`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.masterOverridePriority" id="cdktfprovideroktauserschemapropertypropertymasteroverridepriority"></a>

```typescript
public readonly masterOverridePriority: UserSchemaPropertyMasterOverridePriorityList;
```

- *Type:* [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList)

---

##### `oneOf`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.oneOf" id="cdktfprovideroktauserschemapropertypropertyoneof"></a>

```typescript
public readonly oneOf: UserSchemaPropertyOneOfList;
```

- *Type:* [`@cdktf/provider-okta.UserSchemaPropertyOneOfList`](#@cdktf/provider-okta.UserSchemaPropertyOneOfList)

---

##### `arrayEnumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.arrayEnumInput" id="cdktfprovideroktauserschemapropertypropertyarrayenuminput"></a>

```typescript
public readonly arrayEnumInput: string[];
```

- *Type:* `string`[]

---

##### `arrayOneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.arrayOneOfInput" id="cdktfprovideroktauserschemapropertypropertyarrayoneofinput"></a>

```typescript
public readonly arrayOneOfInput: IResolvable | UserSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)[]

---

##### `arrayTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.arrayTypeInput" id="cdktfprovideroktauserschemapropertypropertyarraytypeinput"></a>

```typescript
public readonly arrayTypeInput: string;
```

- *Type:* `string`

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.descriptionInput" id="cdktfprovideroktauserschemapropertypropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `enumInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.enumInput" id="cdktfprovideroktauserschemapropertypropertyenuminput"></a>

```typescript
public readonly enumInput: string[];
```

- *Type:* `string`[]

---

##### `externalNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.externalNameInput" id="cdktfprovideroktauserschemapropertypropertyexternalnameinput"></a>

```typescript
public readonly externalNameInput: string;
```

- *Type:* `string`

---

##### `externalNamespaceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.externalNamespaceInput" id="cdktfprovideroktauserschemapropertypropertyexternalnamespaceinput"></a>

```typescript
public readonly externalNamespaceInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.idInput" id="cdktfprovideroktauserschemapropertypropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `indexInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.indexInput" id="cdktfprovideroktauserschemapropertypropertyindexinput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* `string`

---

##### `masterInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.masterInput" id="cdktfprovideroktauserschemapropertypropertymasterinput"></a>

```typescript
public readonly masterInput: string;
```

- *Type:* `string`

---

##### `masterOverridePriorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.masterOverridePriorityInput" id="cdktfprovideroktauserschemapropertypropertymasteroverridepriorityinput"></a>

```typescript
public readonly masterOverridePriorityInput: IResolvable | UserSchemaPropertyMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)[]

---

##### `maxLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.maxLengthInput" id="cdktfprovideroktauserschemapropertypropertymaxlengthinput"></a>

```typescript
public readonly maxLengthInput: number;
```

- *Type:* `number`

---

##### `minLengthInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.minLengthInput" id="cdktfprovideroktauserschemapropertypropertyminlengthinput"></a>

```typescript
public readonly minLengthInput: number;
```

- *Type:* `number`

---

##### `oneOfInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.oneOfInput" id="cdktfprovideroktauserschemapropertypropertyoneofinput"></a>

```typescript
public readonly oneOfInput: IResolvable | UserSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)[]

---

##### `patternInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.patternInput" id="cdktfprovideroktauserschemapropertypropertypatterninput"></a>

```typescript
public readonly patternInput: string;
```

- *Type:* `string`

---

##### `permissionsInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.permissionsInput" id="cdktfprovideroktauserschemapropertypropertypermissionsinput"></a>

```typescript
public readonly permissionsInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.requiredInput" id="cdktfprovideroktauserschemapropertypropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scopeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.scopeInput" id="cdktfprovideroktauserschemapropertypropertyscopeinput"></a>

```typescript
public readonly scopeInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.titleInput" id="cdktfprovideroktauserschemapropertypropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.typeInput" id="cdktfprovideroktauserschemapropertypropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `uniqueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.uniqueInput" id="cdktfprovideroktauserschemapropertypropertyuniqueinput"></a>

```typescript
public readonly uniqueInput: string;
```

- *Type:* `string`

---

##### `userTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.userTypeInput" id="cdktfprovideroktauserschemapropertypropertyusertypeinput"></a>

```typescript
public readonly userTypeInput: string;
```

- *Type:* `string`

---

##### `arrayEnum`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.arrayEnum" id="cdktfprovideroktauserschemapropertypropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

---

##### `arrayType`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.arrayType" id="cdktfprovideroktauserschemapropertypropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.description" id="cdktfprovideroktauserschemapropertypropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `enum`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.enum" id="cdktfprovideroktauserschemapropertypropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

---

##### `externalName`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.externalName" id="cdktfprovideroktauserschemapropertypropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

---

##### `externalNamespace`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.externalNamespace" id="cdktfprovideroktauserschemapropertypropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.id" id="cdktfprovideroktauserschemapropertypropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.index" id="cdktfprovideroktauserschemapropertypropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

---

##### `master`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.master" id="cdktfprovideroktauserschemapropertypropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

---

##### `maxLength`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.maxLength" id="cdktfprovideroktauserschemapropertypropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

---

##### `minLength`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.minLength" id="cdktfprovideroktauserschemapropertypropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

---

##### `pattern`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.pattern" id="cdktfprovideroktauserschemapropertypropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

---

##### `permissions`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.permissions" id="cdktfprovideroktauserschemapropertypropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.required" id="cdktfprovideroktauserschemapropertypropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.scope" id="cdktfprovideroktauserschemapropertypropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.title" id="cdktfprovideroktauserschemapropertypropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.type" id="cdktfprovideroktauserschemapropertypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `unique`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.unique" id="cdktfprovideroktauserschemapropertypropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaProperty.property.userType" id="cdktfprovideroktauserschemapropertypropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktauserschemapropertypropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserSchemaProperty.property.tfResourceType" id="cdktfprovideroktauserschemapropertypropertytfresourcetype"></a>

- *Type:* `string`

---

### UserType <a name="@cdktf/provider-okta.UserType" id="cdktfprovideroktausertype"></a>

Represents a {@link https://www.terraform.io/docs/providers/okta/r/user_type okta_user_type}.

#### Initializers <a name="@cdktf/provider-okta.UserType.Initializer" id="cdktfprovideroktausertypeinitializer"></a>

```typescript
import { UserType } from '@cdktf/provider-okta'

new UserType(scope: Construct, id: string, config: UserTypeConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktausertypeparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | The scope in which to define this construct. |
| [`id`](#cdktfprovideroktausertypeparameterid)<span title="Required">*</span> | `string` | The scoped construct ID. |
| [`config`](#cdktfprovideroktausertypeparameterconfig)<span title="Required">*</span> | [`@cdktf/provider-okta.UserTypeConfig`](#@cdktf/provider-okta.UserTypeConfig) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.UserType.parameter.scope" id="cdktfprovideroktausertypeparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserType.parameter.id" id="cdktfprovideroktausertypeparameterid"></a>

- *Type:* `string`

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="@cdktf/provider-okta.UserType.parameter.config" id="cdktfprovideroktausertypeparameterconfig"></a>

- *Type:* [`@cdktf/provider-okta.UserTypeConfig`](#@cdktf/provider-okta.UserTypeConfig)

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktausertyperesetid) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.UserType.resetId" id="cdktfprovideroktausertyperesetid"></a>

```typescript
public resetId()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`descriptionInput`](#cdktfprovideroktausertypepropertydescriptioninput) | `string` | *No description.* |
| [`displayNameInput`](#cdktfprovideroktausertypepropertydisplaynameinput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktausertypepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktausertypepropertynameinput) | `string` | *No description.* |
| [`description`](#cdktfprovideroktausertypepropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`displayName`](#cdktfprovideroktausertypepropertydisplayname)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktausertypepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktausertypepropertyname)<span title="Required">*</span> | `string` | *No description.* |

---

##### `descriptionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserType.property.descriptionInput" id="cdktfprovideroktausertypepropertydescriptioninput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* `string`

---

##### `displayNameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserType.property.displayNameInput" id="cdktfprovideroktausertypepropertydisplaynameinput"></a>

```typescript
public readonly displayNameInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserType.property.idInput" id="cdktfprovideroktausertypepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserType.property.nameInput" id="cdktfprovideroktausertypepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.UserType.property.description" id="cdktfprovideroktausertypepropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.UserType.property.displayName" id="cdktfprovideroktausertypepropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.UserType.property.id" id="cdktfprovideroktausertypepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.UserType.property.name" id="cdktfprovideroktausertypepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

#### Constants <a name="Constants" id="constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`tfResourceType`](#cdktfprovideroktausertypepropertytfresourcetype)<span title="Required">*</span> | `string` | *No description.* |

---

##### `tfResourceType` <a name="@cdktf/provider-okta.UserType.property.tfResourceType" id="cdktfprovideroktausertypepropertytfresourcetype"></a>

- *Type:* `string`

---

## Structs <a name="Structs" id="structs"></a>

### AdminRoleCustomAssignmentsConfig <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig" id="cdktfprovideroktaadminrolecustomassignmentsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AdminRoleCustomAssignmentsConfig } from '@cdktf/provider-okta'

const adminRoleCustomAssignmentsConfig: AdminRoleCustomAssignmentsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`customRoleId`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertycustomroleid)<span title="Required">*</span> | `string` | ID of the Custom Role. |
| [`resourceSetId`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertyresourcesetid)<span title="Required">*</span> | `string` | ID of the target Resource Set. |
| [`id`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom_assignments#id AdminRoleCustomAssignments#id}. |
| [`members`](#cdktfprovideroktaadminrolecustomassignmentsconfigpropertymembers) | `string`[] | The hrefs that point to User(s) and/or Group(s) that receive the Role. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.connection" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.count" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.dependsOn" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.forEach" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.lifecycle" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.provider" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.provisioners" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `customRoleId`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.customRoleId" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertycustomroleid"></a>

```typescript
public readonly customRoleId: string;
```

- *Type:* `string`

ID of the Custom Role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom_assignments#custom_role_id AdminRoleCustomAssignments#custom_role_id}

---

##### `resourceSetId`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.resourceSetId" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertyresourcesetid"></a>

```typescript
public readonly resourceSetId: string;
```

- *Type:* `string`

ID of the target Resource Set.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom_assignments#resource_set_id AdminRoleCustomAssignments#resource_set_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.id" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom_assignments#id AdminRoleCustomAssignments#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `members`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomAssignmentsConfig.property.members" id="cdktfprovideroktaadminrolecustomassignmentsconfigpropertymembers"></a>

```typescript
public readonly members: string[];
```

- *Type:* `string`[]

The hrefs that point to User(s) and/or Group(s) that receive the Role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom_assignments#members AdminRoleCustomAssignments#members}

---

### AdminRoleCustomConfig <a name="@cdktf/provider-okta.AdminRoleCustomConfig" id="cdktfprovideroktaadminrolecustomconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AdminRoleCustomConfig } from '@cdktf/provider-okta'

const adminRoleCustomConfig: AdminRoleCustomConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaadminrolecustomconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaadminrolecustomconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaadminrolecustomconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaadminrolecustomconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaadminrolecustomconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaadminrolecustomconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaadminrolecustomconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`description`](#cdktfprovideroktaadminrolecustomconfigpropertydescription)<span title="Required">*</span> | `string` | A human-readable description of the new Role. |
| [`label`](#cdktfprovideroktaadminrolecustomconfigpropertylabel)<span title="Required">*</span> | `string` | The name given to the new Role. |
| [`id`](#cdktfprovideroktaadminrolecustomconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom#id AdminRoleCustom#id}. |
| [`permissions`](#cdktfprovideroktaadminrolecustomconfigpropertypermissions) | `string`[] | The permissions that the new Role grants. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.connection" id="cdktfprovideroktaadminrolecustomconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.count" id="cdktfprovideroktaadminrolecustomconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.dependsOn" id="cdktfprovideroktaadminrolecustomconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.forEach" id="cdktfprovideroktaadminrolecustomconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.lifecycle" id="cdktfprovideroktaadminrolecustomconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.provider" id="cdktfprovideroktaadminrolecustomconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.provisioners" id="cdktfprovideroktaadminrolecustomconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.description" id="cdktfprovideroktaadminrolecustomconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

A human-readable description of the new Role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom#description AdminRoleCustom#description}

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.label" id="cdktfprovideroktaadminrolecustomconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

The name given to the new Role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom#label AdminRoleCustom#label}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.id" id="cdktfprovideroktaadminrolecustomconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom#id AdminRoleCustom#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleCustomConfig.property.permissions" id="cdktfprovideroktaadminrolecustomconfigpropertypermissions"></a>

```typescript
public readonly permissions: string[];
```

- *Type:* `string`[]

The permissions that the new Role grants.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_custom#permissions AdminRoleCustom#permissions}

---

### AdminRoleTargetsConfig <a name="@cdktf/provider-okta.AdminRoleTargetsConfig" id="cdktfprovideroktaadminroletargetsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AdminRoleTargetsConfig } from '@cdktf/provider-okta'

const adminRoleTargetsConfig: AdminRoleTargetsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaadminroletargetsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaadminroletargetsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaadminroletargetsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaadminroletargetsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaadminroletargetsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaadminroletargetsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaadminroletargetsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`roleType`](#cdktfprovideroktaadminroletargetsconfigpropertyroletype)<span title="Required">*</span> | `string` | Type of the role that is assigned to the user and supports optional targets. |
| [`userId`](#cdktfprovideroktaadminroletargetsconfigpropertyuserid)<span title="Required">*</span> | `string` | User associated with the role. |
| [`apps`](#cdktfprovideroktaadminroletargetsconfigpropertyapps) | `string`[] | List of app names (name represents set of app instances) or a combination of app name and app instance ID (like 'salesforce' or 'facebook.0oapsqQ6dv19pqyEo0g3'). |
| [`groups`](#cdktfprovideroktaadminroletargetsconfigpropertygroups) | `string`[] | List of group IDs. |
| [`id`](#cdktfprovideroktaadminroletargetsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_targets#id AdminRoleTargets#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.connection" id="cdktfprovideroktaadminroletargetsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.count" id="cdktfprovideroktaadminroletargetsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.dependsOn" id="cdktfprovideroktaadminroletargetsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.forEach" id="cdktfprovideroktaadminroletargetsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.lifecycle" id="cdktfprovideroktaadminroletargetsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.provider" id="cdktfprovideroktaadminroletargetsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.provisioners" id="cdktfprovideroktaadminroletargetsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.roleType" id="cdktfprovideroktaadminroletargetsconfigpropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

Type of the role that is assigned to the user and supports optional targets.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_targets#role_type AdminRoleTargets#role_type}

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.userId" id="cdktfprovideroktaadminroletargetsconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

User associated with the role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_targets#user_id AdminRoleTargets#user_id}

---

##### `apps`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.apps" id="cdktfprovideroktaadminroletargetsconfigpropertyapps"></a>

```typescript
public readonly apps: string[];
```

- *Type:* `string`[]

List of app names (name represents set of app instances) or a combination of app name and app instance ID (like 'salesforce' or 'facebook.0oapsqQ6dv19pqyEo0g3').

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_targets#apps AdminRoleTargets#apps}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.groups" id="cdktfprovideroktaadminroletargetsconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

List of group IDs.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_targets#groups AdminRoleTargets#groups}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AdminRoleTargetsConfig.property.id" id="cdktfprovideroktaadminroletargetsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/admin_role_targets#id AdminRoleTargets#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### AppAutoLoginConfig <a name="@cdktf/provider-okta.AppAutoLoginConfig" id="cdktfprovideroktaappautologinconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppAutoLoginConfig } from '@cdktf/provider-okta'

const appAutoLoginConfig: AppAutoLoginConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappautologinconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappautologinconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappautologinconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappautologinconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappautologinconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappautologinconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappautologinconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaappautologinconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappautologinconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappautologinconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappautologinconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappautologinconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappautologinconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`appSettingsJson`](#cdktfprovideroktaappautologinconfigpropertyappsettingsjson) | `string` | Application settings in JSON format. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappautologinconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`credentialsScheme`](#cdktfprovideroktaappautologinconfigpropertycredentialsscheme) | `string` | Application credentials scheme. |
| [`enduserNote`](#cdktfprovideroktaappautologinconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaappautologinconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappautologinconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappautologinconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappautologinconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#id AppAutoLogin#id}. |
| [`logo`](#cdktfprovideroktaappautologinconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`preconfiguredApp`](#cdktfprovideroktaappautologinconfigpropertypreconfiguredapp) | `string` | Preconfigured app name. |
| [`revealPassword`](#cdktfprovideroktaappautologinconfigpropertyrevealpassword) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allow user to reveal password. |
| [`sharedPassword`](#cdktfprovideroktaappautologinconfigpropertysharedpassword) | `string` | Shared password, required for certain schemes. |
| [`sharedUsername`](#cdktfprovideroktaappautologinconfigpropertysharedusername) | `string` | Shared username, required for certain schemes. |
| [`signOnRedirectUrl`](#cdktfprovideroktaappautologinconfigpropertysignonredirecturl) | `string` | Post login redirect URL. |
| [`signOnUrl`](#cdktfprovideroktaappautologinconfigpropertysignonurl) | `string` | Login URL. |
| [`skipGroups`](#cdktfprovideroktaappautologinconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappautologinconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappautologinconfigpropertystatus) | `string` | Status of application. |
| [`userNameTemplate`](#cdktfprovideroktaappautologinconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappautologinconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappautologinconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaappautologinconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaappautologinconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.connection" id="cdktfprovideroktaappautologinconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.count" id="cdktfprovideroktaappautologinconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.dependsOn" id="cdktfprovideroktaappautologinconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.forEach" id="cdktfprovideroktaappautologinconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.lifecycle" id="cdktfprovideroktaappautologinconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.provider" id="cdktfprovideroktaappautologinconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.provisioners" id="cdktfprovideroktaappautologinconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.label" id="cdktfprovideroktaappautologinconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#label AppAutoLogin#label}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappautologinconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#accessibility_error_redirect_url AppAutoLogin#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappautologinconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#accessibility_login_redirect_url AppAutoLogin#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.accessibilitySelfService" id="cdktfprovideroktaappautologinconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#accessibility_self_service AppAutoLogin#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.adminNote" id="cdktfprovideroktaappautologinconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#admin_note AppAutoLogin#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.appLinksJson" id="cdktfprovideroktaappautologinconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#app_links_json AppAutoLogin#app_links_json}

---

##### `appSettingsJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.appSettingsJson" id="cdktfprovideroktaappautologinconfigpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

Application settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#app_settings_json AppAutoLogin#app_settings_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappautologinconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#auto_submit_toolbar AppAutoLogin#auto_submit_toolbar}

---

##### `credentialsScheme`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.credentialsScheme" id="cdktfprovideroktaappautologinconfigpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

Application credentials scheme.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#credentials_scheme AppAutoLogin#credentials_scheme}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.enduserNote" id="cdktfprovideroktaappautologinconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#enduser_note AppAutoLogin#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.groups" id="cdktfprovideroktaappautologinconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#groups AppAutoLogin#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.hideIos" id="cdktfprovideroktaappautologinconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#hide_ios AppAutoLogin#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.hideWeb" id="cdktfprovideroktaappautologinconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#hide_web AppAutoLogin#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.id" id="cdktfprovideroktaappautologinconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#id AppAutoLogin#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.logo" id="cdktfprovideroktaappautologinconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#logo AppAutoLogin#logo}

---

##### `preconfiguredApp`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.preconfiguredApp" id="cdktfprovideroktaappautologinconfigpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

Preconfigured app name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#preconfigured_app AppAutoLogin#preconfigured_app}

---

##### `revealPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.revealPassword" id="cdktfprovideroktaappautologinconfigpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allow user to reveal password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#reveal_password AppAutoLogin#reveal_password}

---

##### `sharedPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.sharedPassword" id="cdktfprovideroktaappautologinconfigpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

Shared password, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#shared_password AppAutoLogin#shared_password}

---

##### `sharedUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.sharedUsername" id="cdktfprovideroktaappautologinconfigpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

Shared username, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#shared_username AppAutoLogin#shared_username}

---

##### `signOnRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.signOnRedirectUrl" id="cdktfprovideroktaappautologinconfigpropertysignonredirecturl"></a>

```typescript
public readonly signOnRedirectUrl: string;
```

- *Type:* `string`

Post login redirect URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#sign_on_redirect_url AppAutoLogin#sign_on_redirect_url}

---

##### `signOnUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.signOnUrl" id="cdktfprovideroktaappautologinconfigpropertysignonurl"></a>

```typescript
public readonly signOnUrl: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#sign_on_url AppAutoLogin#sign_on_url}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.skipGroups" id="cdktfprovideroktaappautologinconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#skip_groups AppAutoLogin#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.skipUsers" id="cdktfprovideroktaappautologinconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#skip_users AppAutoLogin#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.status" id="cdktfprovideroktaappautologinconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#status AppAutoLogin#status}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.userNameTemplate" id="cdktfprovideroktaappautologinconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#user_name_template AppAutoLogin#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaappautologinconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#user_name_template_push_status AppAutoLogin#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaappautologinconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#user_name_template_suffix AppAutoLogin#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.userNameTemplateType" id="cdktfprovideroktaappautologinconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#user_name_template_type AppAutoLogin#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginConfig.property.users" id="cdktfprovideroktaappautologinconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppAutoLoginUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#users AppAutoLogin#users}

---

### AppAutoLoginUsers <a name="@cdktf/provider-okta.AppAutoLoginUsers" id="cdktfprovideroktaappautologinusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppAutoLoginUsers } from '@cdktf/provider-okta'

const appAutoLoginUsers: AppAutoLoginUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappautologinuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappautologinuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappautologinuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsers.property.id" id="cdktfprovideroktaappautologinuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#id AppAutoLogin#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsers.property.password" id="cdktfprovideroktaappautologinuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#password AppAutoLogin#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsers.property.username" id="cdktfprovideroktaappautologinuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_auto_login#username AppAutoLogin#username}

---

### AppBasicAuthConfig <a name="@cdktf/provider-okta.AppBasicAuthConfig" id="cdktfprovideroktaappbasicauthconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppBasicAuthConfig } from '@cdktf/provider-okta'

const appBasicAuthConfig: AppBasicAuthConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappbasicauthconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappbasicauthconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappbasicauthconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappbasicauthconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappbasicauthconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappbasicauthconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappbasicauthconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authUrl`](#cdktfprovideroktaappbasicauthconfigpropertyauthurl)<span title="Required">*</span> | `string` | Login button field. |
| [`label`](#cdktfprovideroktaappbasicauthconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`url`](#cdktfprovideroktaappbasicauthconfigpropertyurl)<span title="Required">*</span> | `string` | Login password field. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappbasicauthconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappbasicauthconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappbasicauthconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappbasicauthconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappbasicauthconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappbasicauthconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`enduserNote`](#cdktfprovideroktaappbasicauthconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaappbasicauthconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappbasicauthconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappbasicauthconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappbasicauthconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#id AppBasicAuth#id}. |
| [`logo`](#cdktfprovideroktaappbasicauthconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`skipGroups`](#cdktfprovideroktaappbasicauthconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappbasicauthconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappbasicauthconfigpropertystatus) | `string` | Status of application. |
| [`users`](#cdktfprovideroktaappbasicauthconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.connection" id="cdktfprovideroktaappbasicauthconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.count" id="cdktfprovideroktaappbasicauthconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.dependsOn" id="cdktfprovideroktaappbasicauthconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.forEach" id="cdktfprovideroktaappbasicauthconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.lifecycle" id="cdktfprovideroktaappbasicauthconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.provider" id="cdktfprovideroktaappbasicauthconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.provisioners" id="cdktfprovideroktaappbasicauthconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.authUrl" id="cdktfprovideroktaappbasicauthconfigpropertyauthurl"></a>

```typescript
public readonly authUrl: string;
```

- *Type:* `string`

Login button field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#auth_url AppBasicAuth#auth_url}

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.label" id="cdktfprovideroktaappbasicauthconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#label AppBasicAuth#label}

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.url" id="cdktfprovideroktaappbasicauthconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login password field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#url AppBasicAuth#url}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappbasicauthconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#accessibility_error_redirect_url AppBasicAuth#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappbasicauthconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#accessibility_login_redirect_url AppBasicAuth#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.accessibilitySelfService" id="cdktfprovideroktaappbasicauthconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#accessibility_self_service AppBasicAuth#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.adminNote" id="cdktfprovideroktaappbasicauthconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#admin_note AppBasicAuth#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.appLinksJson" id="cdktfprovideroktaappbasicauthconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#app_links_json AppBasicAuth#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappbasicauthconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#auto_submit_toolbar AppBasicAuth#auto_submit_toolbar}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.enduserNote" id="cdktfprovideroktaappbasicauthconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#enduser_note AppBasicAuth#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.groups" id="cdktfprovideroktaappbasicauthconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#groups AppBasicAuth#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.hideIos" id="cdktfprovideroktaappbasicauthconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#hide_ios AppBasicAuth#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.hideWeb" id="cdktfprovideroktaappbasicauthconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#hide_web AppBasicAuth#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.id" id="cdktfprovideroktaappbasicauthconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#id AppBasicAuth#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.logo" id="cdktfprovideroktaappbasicauthconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#logo AppBasicAuth#logo}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.skipGroups" id="cdktfprovideroktaappbasicauthconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#skip_groups AppBasicAuth#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.skipUsers" id="cdktfprovideroktaappbasicauthconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#skip_users AppBasicAuth#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.status" id="cdktfprovideroktaappbasicauthconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#status AppBasicAuth#status}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthConfig.property.users" id="cdktfprovideroktaappbasicauthconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppBasicAuthUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#users AppBasicAuth#users}

---

### AppBasicAuthUsers <a name="@cdktf/provider-okta.AppBasicAuthUsers" id="cdktfprovideroktaappbasicauthusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppBasicAuthUsers } from '@cdktf/provider-okta'

const appBasicAuthUsers: AppBasicAuthUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappbasicauthuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappbasicauthuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappbasicauthuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsers.property.id" id="cdktfprovideroktaappbasicauthuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#id AppBasicAuth#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsers.property.password" id="cdktfprovideroktaappbasicauthuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#password AppBasicAuth#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsers.property.username" id="cdktfprovideroktaappbasicauthuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_basic_auth#username AppBasicAuth#username}

---

### AppBookmarkConfig <a name="@cdktf/provider-okta.AppBookmarkConfig" id="cdktfprovideroktaappbookmarkconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppBookmarkConfig } from '@cdktf/provider-okta'

const appBookmarkConfig: AppBookmarkConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappbookmarkconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappbookmarkconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappbookmarkconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappbookmarkconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappbookmarkconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappbookmarkconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappbookmarkconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaappbookmarkconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`url`](#cdktfprovideroktaappbookmarkconfigpropertyurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#url AppBookmark#url}. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappbookmarkconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappbookmarkconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappbookmarkconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappbookmarkconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappbookmarkconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappbookmarkconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`enduserNote`](#cdktfprovideroktaappbookmarkconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaappbookmarkconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappbookmarkconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappbookmarkconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappbookmarkconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#id AppBookmark#id}. |
| [`logo`](#cdktfprovideroktaappbookmarkconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`requestIntegration`](#cdktfprovideroktaappbookmarkconfigpropertyrequestintegration) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#request_integration AppBookmark#request_integration}. |
| [`skipGroups`](#cdktfprovideroktaappbookmarkconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappbookmarkconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappbookmarkconfigpropertystatus) | `string` | Status of application. |
| [`users`](#cdktfprovideroktaappbookmarkconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.connection" id="cdktfprovideroktaappbookmarkconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.count" id="cdktfprovideroktaappbookmarkconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.dependsOn" id="cdktfprovideroktaappbookmarkconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.forEach" id="cdktfprovideroktaappbookmarkconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.lifecycle" id="cdktfprovideroktaappbookmarkconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.provider" id="cdktfprovideroktaappbookmarkconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.provisioners" id="cdktfprovideroktaappbookmarkconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.label" id="cdktfprovideroktaappbookmarkconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#label AppBookmark#label}

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.url" id="cdktfprovideroktaappbookmarkconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#url AppBookmark#url}.

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappbookmarkconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#accessibility_error_redirect_url AppBookmark#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappbookmarkconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#accessibility_login_redirect_url AppBookmark#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.accessibilitySelfService" id="cdktfprovideroktaappbookmarkconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#accessibility_self_service AppBookmark#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.adminNote" id="cdktfprovideroktaappbookmarkconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#admin_note AppBookmark#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.appLinksJson" id="cdktfprovideroktaappbookmarkconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#app_links_json AppBookmark#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappbookmarkconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#auto_submit_toolbar AppBookmark#auto_submit_toolbar}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.enduserNote" id="cdktfprovideroktaappbookmarkconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#enduser_note AppBookmark#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.groups" id="cdktfprovideroktaappbookmarkconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#groups AppBookmark#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.hideIos" id="cdktfprovideroktaappbookmarkconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#hide_ios AppBookmark#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.hideWeb" id="cdktfprovideroktaappbookmarkconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#hide_web AppBookmark#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.id" id="cdktfprovideroktaappbookmarkconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#id AppBookmark#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.logo" id="cdktfprovideroktaappbookmarkconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#logo AppBookmark#logo}

---

##### `requestIntegration`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.requestIntegration" id="cdktfprovideroktaappbookmarkconfigpropertyrequestintegration"></a>

```typescript
public readonly requestIntegration: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#request_integration AppBookmark#request_integration}.

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.skipGroups" id="cdktfprovideroktaappbookmarkconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#skip_groups AppBookmark#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.skipUsers" id="cdktfprovideroktaappbookmarkconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#skip_users AppBookmark#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.status" id="cdktfprovideroktaappbookmarkconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#status AppBookmark#status}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkConfig.property.users" id="cdktfprovideroktaappbookmarkconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppBookmarkUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#users AppBookmark#users}

---

### AppBookmarkUsers <a name="@cdktf/provider-okta.AppBookmarkUsers" id="cdktfprovideroktaappbookmarkusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppBookmarkUsers } from '@cdktf/provider-okta'

const appBookmarkUsers: AppBookmarkUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappbookmarkuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappbookmarkuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappbookmarkuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsers.property.id" id="cdktfprovideroktaappbookmarkuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#id AppBookmark#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsers.property.password" id="cdktfprovideroktaappbookmarkuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#password AppBookmark#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsers.property.username" id="cdktfprovideroktaappbookmarkuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_bookmark#username AppBookmark#username}

---

### AppGroupAssignmentConfig <a name="@cdktf/provider-okta.AppGroupAssignmentConfig" id="cdktfprovideroktaappgroupassignmentconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppGroupAssignmentConfig } from '@cdktf/provider-okta'

const appGroupAssignmentConfig: AppGroupAssignmentConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappgroupassignmentconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappgroupassignmentconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappgroupassignmentconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappgroupassignmentconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappgroupassignmentconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappgroupassignmentconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappgroupassignmentconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappgroupassignmentconfigpropertyappid)<span title="Required">*</span> | `string` | App to associate group with. |
| [`groupId`](#cdktfprovideroktaappgroupassignmentconfigpropertygroupid)<span title="Required">*</span> | `string` | Group associated with the application. |
| [`id`](#cdktfprovideroktaappgroupassignmentconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#id AppGroupAssignment#id}. |
| [`priority`](#cdktfprovideroktaappgroupassignmentconfigpropertypriority) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#priority AppGroupAssignment#priority}. |
| [`profile`](#cdktfprovideroktaappgroupassignmentconfigpropertyprofile) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#profile AppGroupAssignment#profile}. |
| [`retainAssignment`](#cdktfprovideroktaappgroupassignmentconfigpropertyretainassignment) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Retain the group assignment on destroy. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.connection" id="cdktfprovideroktaappgroupassignmentconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.count" id="cdktfprovideroktaappgroupassignmentconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.dependsOn" id="cdktfprovideroktaappgroupassignmentconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.forEach" id="cdktfprovideroktaappgroupassignmentconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.lifecycle" id="cdktfprovideroktaappgroupassignmentconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.provider" id="cdktfprovideroktaappgroupassignmentconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.provisioners" id="cdktfprovideroktaappgroupassignmentconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.appId" id="cdktfprovideroktaappgroupassignmentconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

App to associate group with.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#app_id AppGroupAssignment#app_id}

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.groupId" id="cdktfprovideroktaappgroupassignmentconfigpropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

Group associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#group_id AppGroupAssignment#group_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.id" id="cdktfprovideroktaappgroupassignmentconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#id AppGroupAssignment#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.priority" id="cdktfprovideroktaappgroupassignmentconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#priority AppGroupAssignment#priority}.

---

##### `profile`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.profile" id="cdktfprovideroktaappgroupassignmentconfigpropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#profile AppGroupAssignment#profile}.

---

##### `retainAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentConfig.property.retainAssignment" id="cdktfprovideroktaappgroupassignmentconfigpropertyretainassignment"></a>

```typescript
public readonly retainAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Retain the group assignment on destroy.

If set to true, the resource will be removed from state but not from the Okta app.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignment#retain_assignment AppGroupAssignment#retain_assignment}

---

### AppGroupAssignmentsConfig <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig" id="cdktfprovideroktaappgroupassignmentsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppGroupAssignmentsConfig } from '@cdktf/provider-okta'

const appGroupAssignmentsConfig: AppGroupAssignmentsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappgroupassignmentsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappgroupassignmentsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappgroupassignmentsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappgroupassignmentsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappgroupassignmentsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappgroupassignmentsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappgroupassignmentsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappgroupassignmentsconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#app_id AppGroupAssignments#app_id}. |
| [`group`](#cdktfprovideroktaappgroupassignmentsconfigpropertygroup)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)[] | group block. |
| [`id`](#cdktfprovideroktaappgroupassignmentsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#id AppGroupAssignments#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.connection" id="cdktfprovideroktaappgroupassignmentsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.count" id="cdktfprovideroktaappgroupassignmentsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.dependsOn" id="cdktfprovideroktaappgroupassignmentsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.forEach" id="cdktfprovideroktaappgroupassignmentsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.lifecycle" id="cdktfprovideroktaappgroupassignmentsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.provider" id="cdktfprovideroktaappgroupassignmentsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.provisioners" id="cdktfprovideroktaappgroupassignmentsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.appId" id="cdktfprovideroktaappgroupassignmentsconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#app_id AppGroupAssignments#app_id}.

---

##### `group`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.group" id="cdktfprovideroktaappgroupassignmentsconfigpropertygroup"></a>

```typescript
public readonly group: IResolvable | AppGroupAssignmentsGroup[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)[]

group block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#group AppGroupAssignments#group}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsConfig.property.id" id="cdktfprovideroktaappgroupassignmentsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#id AppGroupAssignments#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### AppGroupAssignmentsGroup <a name="@cdktf/provider-okta.AppGroupAssignmentsGroup" id="cdktfprovideroktaappgroupassignmentsgroup"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppGroupAssignmentsGroup } from '@cdktf/provider-okta'

const appGroupAssignmentsGroup: AppGroupAssignmentsGroup = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappgroupassignmentsgrouppropertyid)<span title="Required">*</span> | `string` | A group to associate with the application. |
| [`priority`](#cdktfprovideroktaappgroupassignmentsgrouppropertypriority) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#priority AppGroupAssignments#priority}. |
| [`profile`](#cdktfprovideroktaappgroupassignmentsgrouppropertyprofile) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#profile AppGroupAssignments#profile}. |

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroup.property.id" id="cdktfprovideroktaappgroupassignmentsgrouppropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

A group to associate with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#id AppGroupAssignments#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroup.property.priority" id="cdktfprovideroktaappgroupassignmentsgrouppropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#priority AppGroupAssignments#priority}.

---

##### `profile`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroup.property.profile" id="cdktfprovideroktaappgroupassignmentsgrouppropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_group_assignments#profile AppGroupAssignments#profile}.

---

### AppOauthApiScopeConfig <a name="@cdktf/provider-okta.AppOauthApiScopeConfig" id="cdktfprovideroktaappoauthapiscopeconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppOauthApiScopeConfig } from '@cdktf/provider-okta'

const appOauthApiScopeConfig: AppOauthApiScopeConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappoauthapiscopeconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappoauthapiscopeconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappoauthapiscopeconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappoauthapiscopeconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappoauthapiscopeconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappoauthapiscopeconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappoauthapiscopeconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappoauthapiscopeconfigpropertyappid)<span title="Required">*</span> | `string` | ID of the application. |
| [`issuer`](#cdktfprovideroktaappoauthapiscopeconfigpropertyissuer)<span title="Required">*</span> | `string` | The issuer of your Org Authorization Server, your Org URL. |
| [`scopes`](#cdktfprovideroktaappoauthapiscopeconfigpropertyscopes)<span title="Required">*</span> | `string`[] | Scopes of the application for which consent is granted. |
| [`id`](#cdktfprovideroktaappoauthapiscopeconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_api_scope#id AppOauthApiScope#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.connection" id="cdktfprovideroktaappoauthapiscopeconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.count" id="cdktfprovideroktaappoauthapiscopeconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.dependsOn" id="cdktfprovideroktaappoauthapiscopeconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.forEach" id="cdktfprovideroktaappoauthapiscopeconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.lifecycle" id="cdktfprovideroktaappoauthapiscopeconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.provider" id="cdktfprovideroktaappoauthapiscopeconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.provisioners" id="cdktfprovideroktaappoauthapiscopeconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.appId" id="cdktfprovideroktaappoauthapiscopeconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

ID of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_api_scope#app_id AppOauthApiScope#app_id}

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.issuer" id="cdktfprovideroktaappoauthapiscopeconfigpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

The issuer of your Org Authorization Server, your Org URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_api_scope#issuer AppOauthApiScope#issuer}

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.scopes" id="cdktfprovideroktaappoauthapiscopeconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

Scopes of the application for which consent is granted.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_api_scope#scopes AppOauthApiScope#scopes}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthApiScopeConfig.property.id" id="cdktfprovideroktaappoauthapiscopeconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_api_scope#id AppOauthApiScope#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### AppOauthConfig <a name="@cdktf/provider-okta.AppOauthConfig" id="cdktfprovideroktaappoauthconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppOauthConfig } from '@cdktf/provider-okta'

const appOauthConfig: AppOauthConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappoauthconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappoauthconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappoauthconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappoauthconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappoauthconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappoauthconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappoauthconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaappoauthconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`type`](#cdktfprovideroktaappoauthconfigpropertytype)<span title="Required">*</span> | `string` | The type of client application. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappoauthconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappoauthconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappoauthconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappoauthconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappoauthconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`appSettingsJson`](#cdktfprovideroktaappoauthconfigpropertyappsettingsjson) | `string` | Application settings in JSON format. |
| [`authenticationPolicy`](#cdktfprovideroktaappoauthconfigpropertyauthenticationpolicy) | `string` | Id of this apps authentication policy. |
| [`autoKeyRotation`](#cdktfprovideroktaappoauthconfigpropertyautokeyrotation) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Requested key rotation mode. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappoauthconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`clientBasicSecret`](#cdktfprovideroktaappoauthconfigpropertyclientbasicsecret) | `string` | OAuth client secret key, this can be set when token_endpoint_auth_method is client_secret_basic. |
| [`clientId`](#cdktfprovideroktaappoauthconfigpropertyclientid) | `string` | OAuth client ID. If set during creation, app is created with this id. |
| [`clientUri`](#cdktfprovideroktaappoauthconfigpropertyclienturi) | `string` | URI to a web page providing information about the client. |
| [`consentMethod`](#cdktfprovideroktaappoauthconfigpropertyconsentmethod) | `string` | *Early Access Property*. Indicates whether user consent is required or implicit. Valid values: REQUIRED, TRUSTED. Default value is TRUSTED. |
| [`customClientId`](#cdktfprovideroktaappoauthconfigpropertycustomclientid) | `string` | **Deprecated** This property allows you to set your client_id during creation. |
| [`enduserNote`](#cdktfprovideroktaappoauthconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`grantTypes`](#cdktfprovideroktaappoauthconfigpropertygranttypes) | `string`[] | List of OAuth 2.0 grant types. Conditional validation params found here https://developer.okta.com/docs/api/resources/apps#credentials-settings-details. Defaults to minimum requirements per app type. |
| [`groups`](#cdktfprovideroktaappoauthconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`groupsClaim`](#cdktfprovideroktaappoauthconfigpropertygroupsclaim) | [`@cdktf/provider-okta.AppOauthGroupsClaim`](#@cdktf/provider-okta.AppOauthGroupsClaim) | groups_claim block. |
| [`hideIos`](#cdktfprovideroktaappoauthconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappoauthconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappoauthconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#id AppOauth#id}. |
| [`implicitAssignment`](#cdktfprovideroktaappoauthconfigpropertyimplicitassignment) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *Early Access Property*. Enable Federation Broker Mode. |
| [`issuerMode`](#cdktfprovideroktaappoauthconfigpropertyissuermode) | `string` | *Early Access Property*. |
| [`jwks`](#cdktfprovideroktaappoauthconfigpropertyjwks) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)[] | jwks block. |
| [`loginMode`](#cdktfprovideroktaappoauthconfigpropertyloginmode) | `string` | The type of Idp-Initiated login that the client supports, if any. |
| [`loginScopes`](#cdktfprovideroktaappoauthconfigpropertyloginscopes) | `string`[] | List of scopes to use for the request. |
| [`loginUri`](#cdktfprovideroktaappoauthconfigpropertyloginuri) | `string` | URI that initiates login. |
| [`logo`](#cdktfprovideroktaappoauthconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`logoUri`](#cdktfprovideroktaappoauthconfigpropertylogouri) | `string` | URI that references a logo for the client. |
| [`omitSecret`](#cdktfprovideroktaappoauthconfigpropertyomitsecret) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | This tells the provider not to persist the application's secret to state. |
| [`policyUri`](#cdktfprovideroktaappoauthconfigpropertypolicyuri) | `string` | URI to web page providing client policy document. |
| [`postLogoutRedirectUris`](#cdktfprovideroktaappoauthconfigpropertypostlogoutredirecturis) | `string`[] | List of URIs for redirection after logout. Note: see okta_app_oauth_post_logout_redirect_uri for appending to this list in a decentralized way. |
| [`profile`](#cdktfprovideroktaappoauthconfigpropertyprofile) | `string` | Custom JSON that represents an OAuth application's profile. |
| [`redirectUris`](#cdktfprovideroktaappoauthconfigpropertyredirecturis) | `string`[] | List of URIs for use in the redirect-based flow. |
| [`refreshTokenLeeway`](#cdktfprovideroktaappoauthconfigpropertyrefreshtokenleeway) | `number` | *Early Access Property* Grace period for token rotation. |
| [`refreshTokenRotation`](#cdktfprovideroktaappoauthconfigpropertyrefreshtokenrotation) | `string` | *Early Access Property* Refresh token rotation behavior. |
| [`responseTypes`](#cdktfprovideroktaappoauthconfigpropertyresponsetypes) | `string`[] | List of OAuth 2.0 response type strings. |
| [`skipGroups`](#cdktfprovideroktaappoauthconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappoauthconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappoauthconfigpropertystatus) | `string` | Status of application. |
| [`tokenEndpointAuthMethod`](#cdktfprovideroktaappoauthconfigpropertytokenendpointauthmethod) | `string` | Requested authentication method for the token endpoint. |
| [`tosUri`](#cdktfprovideroktaappoauthconfigpropertytosuri) | `string` | URI to web page providing client tos (terms of service). |
| [`userNameTemplate`](#cdktfprovideroktaappoauthconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappoauthconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappoauthconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaappoauthconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaappoauthconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)[] | users block. |
| [`wildcardRedirect`](#cdktfprovideroktaappoauthconfigpropertywildcardredirect) | `string` | *Early Access Property*. Indicates if the client is allowed to use wildcard matching of redirect_uris. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.connection" id="cdktfprovideroktaappoauthconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.count" id="cdktfprovideroktaappoauthconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.dependsOn" id="cdktfprovideroktaappoauthconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.forEach" id="cdktfprovideroktaappoauthconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.lifecycle" id="cdktfprovideroktaappoauthconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.provider" id="cdktfprovideroktaappoauthconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.provisioners" id="cdktfprovideroktaappoauthconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.label" id="cdktfprovideroktaappoauthconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#label AppOauth#label}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.type" id="cdktfprovideroktaappoauthconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

The type of client application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#type AppOauth#type}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappoauthconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#accessibility_error_redirect_url AppOauth#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappoauthconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#accessibility_login_redirect_url AppOauth#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.accessibilitySelfService" id="cdktfprovideroktaappoauthconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#accessibility_self_service AppOauth#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.adminNote" id="cdktfprovideroktaappoauthconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#admin_note AppOauth#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.appLinksJson" id="cdktfprovideroktaappoauthconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#app_links_json AppOauth#app_links_json}

---

##### `appSettingsJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.appSettingsJson" id="cdktfprovideroktaappoauthconfigpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

Application settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#app_settings_json AppOauth#app_settings_json}

---

##### `authenticationPolicy`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.authenticationPolicy" id="cdktfprovideroktaappoauthconfigpropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

Id of this apps authentication policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#authentication_policy AppOauth#authentication_policy}

---

##### `autoKeyRotation`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.autoKeyRotation" id="cdktfprovideroktaappoauthconfigpropertyautokeyrotation"></a>

```typescript
public readonly autoKeyRotation: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Requested key rotation mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#auto_key_rotation AppOauth#auto_key_rotation}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappoauthconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#auto_submit_toolbar AppOauth#auto_submit_toolbar}

---

##### `clientBasicSecret`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.clientBasicSecret" id="cdktfprovideroktaappoauthconfigpropertyclientbasicsecret"></a>

```typescript
public readonly clientBasicSecret: string;
```

- *Type:* `string`

OAuth client secret key, this can be set when token_endpoint_auth_method is client_secret_basic.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#client_basic_secret AppOauth#client_basic_secret}

---

##### `clientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.clientId" id="cdktfprovideroktaappoauthconfigpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

OAuth client ID. If set during creation, app is created with this id.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#client_id AppOauth#client_id}

---

##### `clientUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.clientUri" id="cdktfprovideroktaappoauthconfigpropertyclienturi"></a>

```typescript
public readonly clientUri: string;
```

- *Type:* `string`

URI to a web page providing information about the client.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#client_uri AppOauth#client_uri}

---

##### `consentMethod`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.consentMethod" id="cdktfprovideroktaappoauthconfigpropertyconsentmethod"></a>

```typescript
public readonly consentMethod: string;
```

- *Type:* `string`

*Early Access Property*. Indicates whether user consent is required or implicit. Valid values: REQUIRED, TRUSTED. Default value is TRUSTED.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#consent_method AppOauth#consent_method}

---

##### `customClientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.customClientId" id="cdktfprovideroktaappoauthconfigpropertycustomclientid"></a>

```typescript
public readonly customClientId: string;
```

- *Type:* `string`

**Deprecated** This property allows you to set your client_id during creation.

NOTE: updating after creation will be a no-op, use client_id for that behavior instead.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#custom_client_id AppOauth#custom_client_id}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.enduserNote" id="cdktfprovideroktaappoauthconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#enduser_note AppOauth#enduser_note}

---

##### `grantTypes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.grantTypes" id="cdktfprovideroktaappoauthconfigpropertygranttypes"></a>

```typescript
public readonly grantTypes: string[];
```

- *Type:* `string`[]

List of OAuth 2.0 grant types. Conditional validation params found here https://developer.okta.com/docs/api/resources/apps#credentials-settings-details. Defaults to minimum requirements per app type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#grant_types AppOauth#grant_types}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.groups" id="cdktfprovideroktaappoauthconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#groups AppOauth#groups}

---

##### `groupsClaim`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.groupsClaim" id="cdktfprovideroktaappoauthconfigpropertygroupsclaim"></a>

```typescript
public readonly groupsClaim: AppOauthGroupsClaim;
```

- *Type:* [`@cdktf/provider-okta.AppOauthGroupsClaim`](#@cdktf/provider-okta.AppOauthGroupsClaim)

groups_claim block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#groups_claim AppOauth#groups_claim}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.hideIos" id="cdktfprovideroktaappoauthconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#hide_ios AppOauth#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.hideWeb" id="cdktfprovideroktaappoauthconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#hide_web AppOauth#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.id" id="cdktfprovideroktaappoauthconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#id AppOauth#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `implicitAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.implicitAssignment" id="cdktfprovideroktaappoauthconfigpropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

*Early Access Property*. Enable Federation Broker Mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#implicit_assignment AppOauth#implicit_assignment}

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.issuerMode" id="cdktfprovideroktaappoauthconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

*Early Access Property*.

Indicates whether the Okta Authorization Server uses the original Okta org domain URL or a custom domain URL as the issuer of ID token for this client.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#issuer_mode AppOauth#issuer_mode}

---

##### `jwks`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.jwks" id="cdktfprovideroktaappoauthconfigpropertyjwks"></a>

```typescript
public readonly jwks: IResolvable | AppOauthJwks[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)[]

jwks block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#jwks AppOauth#jwks}

---

##### `loginMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.loginMode" id="cdktfprovideroktaappoauthconfigpropertyloginmode"></a>

```typescript
public readonly loginMode: string;
```

- *Type:* `string`

The type of Idp-Initiated login that the client supports, if any.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#login_mode AppOauth#login_mode}

---

##### `loginScopes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.loginScopes" id="cdktfprovideroktaappoauthconfigpropertyloginscopes"></a>

```typescript
public readonly loginScopes: string[];
```

- *Type:* `string`[]

List of scopes to use for the request.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#login_scopes AppOauth#login_scopes}

---

##### `loginUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.loginUri" id="cdktfprovideroktaappoauthconfigpropertyloginuri"></a>

```typescript
public readonly loginUri: string;
```

- *Type:* `string`

URI that initiates login.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#login_uri AppOauth#login_uri}

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.logo" id="cdktfprovideroktaappoauthconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#logo AppOauth#logo}

---

##### `logoUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.logoUri" id="cdktfprovideroktaappoauthconfigpropertylogouri"></a>

```typescript
public readonly logoUri: string;
```

- *Type:* `string`

URI that references a logo for the client.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#logo_uri AppOauth#logo_uri}

---

##### `omitSecret`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.omitSecret" id="cdktfprovideroktaappoauthconfigpropertyomitsecret"></a>

```typescript
public readonly omitSecret: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

This tells the provider not to persist the application's secret to state.

If this is ever changes from true => false your app will be recreated.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#omit_secret AppOauth#omit_secret}

---

##### `policyUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.policyUri" id="cdktfprovideroktaappoauthconfigpropertypolicyuri"></a>

```typescript
public readonly policyUri: string;
```

- *Type:* `string`

URI to web page providing client policy document.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#policy_uri AppOauth#policy_uri}

---

##### `postLogoutRedirectUris`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.postLogoutRedirectUris" id="cdktfprovideroktaappoauthconfigpropertypostlogoutredirecturis"></a>

```typescript
public readonly postLogoutRedirectUris: string[];
```

- *Type:* `string`[]

List of URIs for redirection after logout. Note: see okta_app_oauth_post_logout_redirect_uri for appending to this list in a decentralized way.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#post_logout_redirect_uris AppOauth#post_logout_redirect_uris}

---

##### `profile`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.profile" id="cdktfprovideroktaappoauthconfigpropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

Custom JSON that represents an OAuth application's profile.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#profile AppOauth#profile}

---

##### `redirectUris`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.redirectUris" id="cdktfprovideroktaappoauthconfigpropertyredirecturis"></a>

```typescript
public readonly redirectUris: string[];
```

- *Type:* `string`[]

List of URIs for use in the redirect-based flow.

This is required for all application types except service. Note: see okta_app_oauth_redirect_uri for appending to this list in a decentralized way.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#redirect_uris AppOauth#redirect_uris}

---

##### `refreshTokenLeeway`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.refreshTokenLeeway" id="cdktfprovideroktaappoauthconfigpropertyrefreshtokenleeway"></a>

```typescript
public readonly refreshTokenLeeway: number;
```

- *Type:* `number`

*Early Access Property* Grace period for token rotation.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#refresh_token_leeway AppOauth#refresh_token_leeway}

---

##### `refreshTokenRotation`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.refreshTokenRotation" id="cdktfprovideroktaappoauthconfigpropertyrefreshtokenrotation"></a>

```typescript
public readonly refreshTokenRotation: string;
```

- *Type:* `string`

*Early Access Property* Refresh token rotation behavior.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#refresh_token_rotation AppOauth#refresh_token_rotation}

---

##### `responseTypes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.responseTypes" id="cdktfprovideroktaappoauthconfigpropertyresponsetypes"></a>

```typescript
public readonly responseTypes: string[];
```

- *Type:* `string`[]

List of OAuth 2.0 response type strings.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#response_types AppOauth#response_types}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.skipGroups" id="cdktfprovideroktaappoauthconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#skip_groups AppOauth#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.skipUsers" id="cdktfprovideroktaappoauthconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#skip_users AppOauth#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.status" id="cdktfprovideroktaappoauthconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#status AppOauth#status}

---

##### `tokenEndpointAuthMethod`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.tokenEndpointAuthMethod" id="cdktfprovideroktaappoauthconfigpropertytokenendpointauthmethod"></a>

```typescript
public readonly tokenEndpointAuthMethod: string;
```

- *Type:* `string`

Requested authentication method for the token endpoint.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#token_endpoint_auth_method AppOauth#token_endpoint_auth_method}

---

##### `tosUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.tosUri" id="cdktfprovideroktaappoauthconfigpropertytosuri"></a>

```typescript
public readonly tosUri: string;
```

- *Type:* `string`

URI to web page providing client tos (terms of service).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#tos_uri AppOauth#tos_uri}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.userNameTemplate" id="cdktfprovideroktaappoauthconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#user_name_template AppOauth#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaappoauthconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#user_name_template_push_status AppOauth#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaappoauthconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#user_name_template_suffix AppOauth#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.userNameTemplateType" id="cdktfprovideroktaappoauthconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#user_name_template_type AppOauth#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.users" id="cdktfprovideroktaappoauthconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppOauthUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#users AppOauth#users}

---

##### `wildcardRedirect`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthConfig.property.wildcardRedirect" id="cdktfprovideroktaappoauthconfigpropertywildcardredirect"></a>

```typescript
public readonly wildcardRedirect: string;
```

- *Type:* `string`

*Early Access Property*. Indicates if the client is allowed to use wildcard matching of redirect_uris.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#wildcard_redirect AppOauth#wildcard_redirect}

---

### AppOauthGroupsClaim <a name="@cdktf/provider-okta.AppOauthGroupsClaim" id="cdktfprovideroktaappoauthgroupsclaim"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppOauthGroupsClaim } from '@cdktf/provider-okta'

const appOauthGroupsClaim: AppOauthGroupsClaim = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`name`](#cdktfprovideroktaappoauthgroupsclaimpropertyname)<span title="Required">*</span> | `string` | Name of the claim that will be used in the token. |
| [`type`](#cdktfprovideroktaappoauthgroupsclaimpropertytype)<span title="Required">*</span> | `string` | Groups claim type. |
| [`value`](#cdktfprovideroktaappoauthgroupsclaimpropertyvalue)<span title="Required">*</span> | `string` | Value of the claim. |
| [`filterType`](#cdktfprovideroktaappoauthgroupsclaimpropertyfiltertype) | `string` | Groups claim filter. Can only be set if type is FILTER. |

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaim.property.name" id="cdktfprovideroktaappoauthgroupsclaimpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the claim that will be used in the token.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#name AppOauth#name}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaim.property.type" id="cdktfprovideroktaappoauthgroupsclaimpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Groups claim type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#type AppOauth#type}

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaim.property.value" id="cdktfprovideroktaappoauthgroupsclaimpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Value of the claim.

Can be an Okta Expression Language statement that evaluates at the time the token is minted.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#value AppOauth#value}

---

##### `filterType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaim.property.filterType" id="cdktfprovideroktaappoauthgroupsclaimpropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

Groups claim filter. Can only be set if type is FILTER.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#filter_type AppOauth#filter_type}

---

### AppOauthJwks <a name="@cdktf/provider-okta.AppOauthJwks" id="cdktfprovideroktaappoauthjwks"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppOauthJwks } from '@cdktf/provider-okta'

const appOauthJwks: AppOauthJwks = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`kid`](#cdktfprovideroktaappoauthjwkspropertykid)<span title="Required">*</span> | `string` | Key ID. |
| [`kty`](#cdktfprovideroktaappoauthjwkspropertykty)<span title="Required">*</span> | `string` | Key type. |
| [`e`](#cdktfprovideroktaappoauthjwkspropertye) | `string` | RSA Exponent. |
| [`n`](#cdktfprovideroktaappoauthjwkspropertyn) | `string` | RSA Modulus. |

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwks.property.kid" id="cdktfprovideroktaappoauthjwkspropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

Key ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#kid AppOauth#kid}

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwks.property.kty" id="cdktfprovideroktaappoauthjwkspropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

Key type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#kty AppOauth#kty}

---

##### `e`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwks.property.e" id="cdktfprovideroktaappoauthjwkspropertye"></a>

```typescript
public readonly e: string;
```

- *Type:* `string`

RSA Exponent.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#e AppOauth#e}

---

##### `n`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwks.property.n" id="cdktfprovideroktaappoauthjwkspropertyn"></a>

```typescript
public readonly n: string;
```

- *Type:* `string`

RSA Modulus.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#n AppOauth#n}

---

### AppOauthPostLogoutRedirectUriConfig <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppOauthPostLogoutRedirectUriConfig } from '@cdktf/provider-okta'

const appOauthPostLogoutRedirectUriConfig: AppOauthPostLogoutRedirectUriConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_post_logout_redirect_uri#app_id AppOauthPostLogoutRedirectUri#app_id}. |
| [`uri`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyuri)<span title="Required">*</span> | `string` | Post Logout Redirect URI to append to Okta OIDC application. |
| [`id`](#cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_post_logout_redirect_uri#id AppOauthPostLogoutRedirectUri#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.connection" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.count" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.dependsOn" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.forEach" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.lifecycle" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.provider" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.provisioners" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.appId" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_post_logout_redirect_uri#app_id AppOauthPostLogoutRedirectUri#app_id}.

---

##### `uri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.uri" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyuri"></a>

```typescript
public readonly uri: string;
```

- *Type:* `string`

Post Logout Redirect URI to append to Okta OIDC application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_post_logout_redirect_uri#uri AppOauthPostLogoutRedirectUri#uri}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthPostLogoutRedirectUriConfig.property.id" id="cdktfprovideroktaappoauthpostlogoutredirecturiconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_post_logout_redirect_uri#id AppOauthPostLogoutRedirectUri#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### AppOauthRedirectUriConfig <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig" id="cdktfprovideroktaappoauthredirecturiconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppOauthRedirectUriConfig } from '@cdktf/provider-okta'

const appOauthRedirectUriConfig: AppOauthRedirectUriConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappoauthredirecturiconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappoauthredirecturiconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappoauthredirecturiconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappoauthredirecturiconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappoauthredirecturiconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappoauthredirecturiconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappoauthredirecturiconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappoauthredirecturiconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri#app_id AppOauthRedirectUri#app_id}. |
| [`uri`](#cdktfprovideroktaappoauthredirecturiconfigpropertyuri)<span title="Required">*</span> | `string` | Redirect URI to append to Okta OIDC application. |
| [`id`](#cdktfprovideroktaappoauthredirecturiconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri#id AppOauthRedirectUri#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.connection" id="cdktfprovideroktaappoauthredirecturiconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.count" id="cdktfprovideroktaappoauthredirecturiconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.dependsOn" id="cdktfprovideroktaappoauthredirecturiconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.forEach" id="cdktfprovideroktaappoauthredirecturiconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.lifecycle" id="cdktfprovideroktaappoauthredirecturiconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.provider" id="cdktfprovideroktaappoauthredirecturiconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.provisioners" id="cdktfprovideroktaappoauthredirecturiconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.appId" id="cdktfprovideroktaappoauthredirecturiconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri#app_id AppOauthRedirectUri#app_id}.

---

##### `uri`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.uri" id="cdktfprovideroktaappoauthredirecturiconfigpropertyuri"></a>

```typescript
public readonly uri: string;
```

- *Type:* `string`

Redirect URI to append to Okta OIDC application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri#uri AppOauthRedirectUri#uri}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthRedirectUriConfig.property.id" id="cdktfprovideroktaappoauthredirecturiconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri#id AppOauthRedirectUri#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### AppOauthUsers <a name="@cdktf/provider-okta.AppOauthUsers" id="cdktfprovideroktaappoauthusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppOauthUsers } from '@cdktf/provider-okta'

const appOauthUsers: AppOauthUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappoauthuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappoauthuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappoauthuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsers.property.id" id="cdktfprovideroktaappoauthuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#id AppOauth#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsers.property.password" id="cdktfprovideroktaappoauthuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#password AppOauth#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsers.property.username" id="cdktfprovideroktaappoauthuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth#username AppOauth#username}

---

### AppSamlAppSettingsConfig <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig" id="cdktfprovideroktaappsamlappsettingsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSamlAppSettingsConfig } from '@cdktf/provider-okta'

const appSamlAppSettingsConfig: AppSamlAppSettingsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappsamlappsettingsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappsamlappsettingsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappsamlappsettingsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappsamlappsettingsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappsamlappsettingsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappsamlappsettingsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappsamlappsettingsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappsamlappsettingsconfigpropertyappid)<span title="Required">*</span> | `string` | Application ID. |
| [`settings`](#cdktfprovideroktaappsamlappsettingsconfigpropertysettings)<span title="Required">*</span> | `string` | Application settings in JSON format. |
| [`id`](#cdktfprovideroktaappsamlappsettingsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml_app_settings#id AppSamlAppSettings#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.connection" id="cdktfprovideroktaappsamlappsettingsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.count" id="cdktfprovideroktaappsamlappsettingsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.dependsOn" id="cdktfprovideroktaappsamlappsettingsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.forEach" id="cdktfprovideroktaappsamlappsettingsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.lifecycle" id="cdktfprovideroktaappsamlappsettingsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.provider" id="cdktfprovideroktaappsamlappsettingsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.provisioners" id="cdktfprovideroktaappsamlappsettingsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.appId" id="cdktfprovideroktaappsamlappsettingsconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Application ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml_app_settings#app_id AppSamlAppSettings#app_id}

---

##### `settings`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.settings" id="cdktfprovideroktaappsamlappsettingsconfigpropertysettings"></a>

```typescript
public readonly settings: string;
```

- *Type:* `string`

Application settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml_app_settings#settings AppSamlAppSettings#settings}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAppSettingsConfig.property.id" id="cdktfprovideroktaappsamlappsettingsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml_app_settings#id AppSamlAppSettings#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### AppSamlAttributeStatements <a name="@cdktf/provider-okta.AppSamlAttributeStatements" id="cdktfprovideroktaappsamlattributestatements"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSamlAttributeStatements } from '@cdktf/provider-okta'

const appSamlAttributeStatements: AppSamlAttributeStatements = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`name`](#cdktfprovideroktaappsamlattributestatementspropertyname)<span title="Required">*</span> | `string` | The reference name of the attribute statement. |
| [`filterType`](#cdktfprovideroktaappsamlattributestatementspropertyfiltertype) | `string` | Type of group attribute filter. |
| [`filterValue`](#cdktfprovideroktaappsamlattributestatementspropertyfiltervalue) | `string` | Filter value to use. |
| [`namespace`](#cdktfprovideroktaappsamlattributestatementspropertynamespace) | `string` | The name format of the attribute. |
| [`type`](#cdktfprovideroktaappsamlattributestatementspropertytype) | `string` | The type of attribute statements object. |
| [`values`](#cdktfprovideroktaappsamlattributestatementspropertyvalues) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#values AppSaml#values}. |

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatements.property.name" id="cdktfprovideroktaappsamlattributestatementspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

The reference name of the attribute statement.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#name AppSaml#name}

---

##### `filterType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatements.property.filterType" id="cdktfprovideroktaappsamlattributestatementspropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

Type of group attribute filter.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#filter_type AppSaml#filter_type}

---

##### `filterValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatements.property.filterValue" id="cdktfprovideroktaappsamlattributestatementspropertyfiltervalue"></a>

```typescript
public readonly filterValue: string;
```

- *Type:* `string`

Filter value to use.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#filter_value AppSaml#filter_value}

---

##### `namespace`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatements.property.namespace" id="cdktfprovideroktaappsamlattributestatementspropertynamespace"></a>

```typescript
public readonly namespace: string;
```

- *Type:* `string`

The name format of the attribute.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#namespace AppSaml#namespace}

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatements.property.type" id="cdktfprovideroktaappsamlattributestatementspropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

The type of attribute statements object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#type AppSaml#type}

---

##### `values`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatements.property.values" id="cdktfprovideroktaappsamlattributestatementspropertyvalues"></a>

```typescript
public readonly values: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#values AppSaml#values}.

---

### AppSamlConfig <a name="@cdktf/provider-okta.AppSamlConfig" id="cdktfprovideroktaappsamlconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSamlConfig } from '@cdktf/provider-okta'

const appSamlConfig: AppSamlConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappsamlconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappsamlconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappsamlconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappsamlconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappsamlconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappsamlconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappsamlconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaappsamlconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappsamlconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappsamlconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappsamlconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`acsEndpoints`](#cdktfprovideroktaappsamlconfigpropertyacsendpoints) | `string`[] | List of ACS endpoints for this SAML application. |
| [`adminNote`](#cdktfprovideroktaappsamlconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappsamlconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`appSettingsJson`](#cdktfprovideroktaappsamlconfigpropertyappsettingsjson) | `string` | Application settings in JSON format. |
| [`assertionSigned`](#cdktfprovideroktaappsamlconfigpropertyassertionsigned) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Determines whether the SAML assertion is digitally signed. |
| [`attributeStatements`](#cdktfprovideroktaappsamlconfigpropertyattributestatements) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)[] | attribute_statements block. |
| [`audience`](#cdktfprovideroktaappsamlconfigpropertyaudience) | `string` | Audience Restriction. |
| [`authenticationPolicy`](#cdktfprovideroktaappsamlconfigpropertyauthenticationpolicy) | `string` | Id of this apps authentication policy. |
| [`authnContextClassRef`](#cdktfprovideroktaappsamlconfigpropertyauthncontextclassref) | `string` | Identifies the SAML authentication context class for the assertion’s authentication statement. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappsamlconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`defaultRelayState`](#cdktfprovideroktaappsamlconfigpropertydefaultrelaystate) | `string` | Identifies a specific application resource in an IDP initiated SSO scenario. |
| [`destination`](#cdktfprovideroktaappsamlconfigpropertydestination) | `string` | Identifies the location where the SAML response is intended to be sent inside of the SAML assertion. |
| [`digestAlgorithm`](#cdktfprovideroktaappsamlconfigpropertydigestalgorithm) | `string` | Determines the digest algorithm used to digitally sign the SAML assertion and response. |
| [`enduserNote`](#cdktfprovideroktaappsamlconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`features`](#cdktfprovideroktaappsamlconfigpropertyfeatures) | `string`[] | features to enable. |
| [`groups`](#cdktfprovideroktaappsamlconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappsamlconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappsamlconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`honorForceAuthn`](#cdktfprovideroktaappsamlconfigpropertyhonorforceauthn) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Prompt user to re-authenticate if SP asks for it. |
| [`id`](#cdktfprovideroktaappsamlconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#id AppSaml#id}. |
| [`idpIssuer`](#cdktfprovideroktaappsamlconfigpropertyidpissuer) | `string` | SAML issuer ID. |
| [`implicitAssignment`](#cdktfprovideroktaappsamlconfigpropertyimplicitassignment) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *Early Access Property*. Enable Federation Broker Mode. |
| [`inlineHookId`](#cdktfprovideroktaappsamlconfigpropertyinlinehookid) | `string` | Saml Inline Hook setting. |
| [`keyName`](#cdktfprovideroktaappsamlconfigpropertykeyname) | `string` | Certificate name. This modulates the rotation of keys. New name == new key. |
| [`keyYearsValid`](#cdktfprovideroktaappsamlconfigpropertykeyyearsvalid) | `number` | Number of years the certificate is valid. |
| [`logo`](#cdktfprovideroktaappsamlconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`preconfiguredApp`](#cdktfprovideroktaappsamlconfigpropertypreconfiguredapp) | `string` | Name of preexisting SAML application. For instance 'slack'. |
| [`recipient`](#cdktfprovideroktaappsamlconfigpropertyrecipient) | `string` | The location where the app may present the SAML assertion. |
| [`requestCompressed`](#cdktfprovideroktaappsamlconfigpropertyrequestcompressed) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Denotes whether the request is compressed or not. |
| [`responseSigned`](#cdktfprovideroktaappsamlconfigpropertyresponsesigned) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Determines whether the SAML auth response message is digitally signed. |
| [`samlVersion`](#cdktfprovideroktaappsamlconfigpropertysamlversion) | `string` | SAML version for the app's sign-on mode. |
| [`signatureAlgorithm`](#cdktfprovideroktaappsamlconfigpropertysignaturealgorithm) | `string` | Signature algorithm used ot digitally sign the assertion and response. |
| [`singleLogoutCertificate`](#cdktfprovideroktaappsamlconfigpropertysinglelogoutcertificate) | `string` | x509 encoded certificate that the Service Provider uses to sign Single Logout requests. |
| [`singleLogoutIssuer`](#cdktfprovideroktaappsamlconfigpropertysinglelogoutissuer) | `string` | The issuer of the Service Provider that generates the Single Logout request. |
| [`singleLogoutUrl`](#cdktfprovideroktaappsamlconfigpropertysinglelogouturl) | `string` | The location where the logout response is sent. |
| [`skipGroups`](#cdktfprovideroktaappsamlconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappsamlconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`spIssuer`](#cdktfprovideroktaappsamlconfigpropertyspissuer) | `string` | SAML SP issuer ID. |
| [`ssoUrl`](#cdktfprovideroktaappsamlconfigpropertyssourl) | `string` | Single Sign On URL. |
| [`status`](#cdktfprovideroktaappsamlconfigpropertystatus) | `string` | Status of application. |
| [`subjectNameIdFormat`](#cdktfprovideroktaappsamlconfigpropertysubjectnameidformat) | `string` | Identifies the SAML processing rules. |
| [`subjectNameIdTemplate`](#cdktfprovideroktaappsamlconfigpropertysubjectnameidtemplate) | `string` | Template for app user's username when a user is assigned to the app. |
| [`userNameTemplate`](#cdktfprovideroktaappsamlconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappsamlconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappsamlconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaappsamlconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaappsamlconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.connection" id="cdktfprovideroktaappsamlconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.count" id="cdktfprovideroktaappsamlconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.dependsOn" id="cdktfprovideroktaappsamlconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.forEach" id="cdktfprovideroktaappsamlconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.lifecycle" id="cdktfprovideroktaappsamlconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.provider" id="cdktfprovideroktaappsamlconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.provisioners" id="cdktfprovideroktaappsamlconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.label" id="cdktfprovideroktaappsamlconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#label AppSaml#label}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappsamlconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#accessibility_error_redirect_url AppSaml#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappsamlconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#accessibility_login_redirect_url AppSaml#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.accessibilitySelfService" id="cdktfprovideroktaappsamlconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#accessibility_self_service AppSaml#accessibility_self_service}

---

##### `acsEndpoints`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.acsEndpoints" id="cdktfprovideroktaappsamlconfigpropertyacsendpoints"></a>

```typescript
public readonly acsEndpoints: string[];
```

- *Type:* `string`[]

List of ACS endpoints for this SAML application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#acs_endpoints AppSaml#acs_endpoints}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.adminNote" id="cdktfprovideroktaappsamlconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#admin_note AppSaml#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.appLinksJson" id="cdktfprovideroktaappsamlconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#app_links_json AppSaml#app_links_json}

---

##### `appSettingsJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.appSettingsJson" id="cdktfprovideroktaappsamlconfigpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

Application settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#app_settings_json AppSaml#app_settings_json}

---

##### `assertionSigned`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.assertionSigned" id="cdktfprovideroktaappsamlconfigpropertyassertionsigned"></a>

```typescript
public readonly assertionSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Determines whether the SAML assertion is digitally signed.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#assertion_signed AppSaml#assertion_signed}

---

##### `attributeStatements`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.attributeStatements" id="cdktfprovideroktaappsamlconfigpropertyattributestatements"></a>

```typescript
public readonly attributeStatements: IResolvable | AppSamlAttributeStatements[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)[]

attribute_statements block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#attribute_statements AppSaml#attribute_statements}

---

##### `audience`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.audience" id="cdktfprovideroktaappsamlconfigpropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

Audience Restriction.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#audience AppSaml#audience}

---

##### `authenticationPolicy`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.authenticationPolicy" id="cdktfprovideroktaappsamlconfigpropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

Id of this apps authentication policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#authentication_policy AppSaml#authentication_policy}

---

##### `authnContextClassRef`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.authnContextClassRef" id="cdktfprovideroktaappsamlconfigpropertyauthncontextclassref"></a>

```typescript
public readonly authnContextClassRef: string;
```

- *Type:* `string`

Identifies the SAML authentication context class for the assertion’s authentication statement.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#authn_context_class_ref AppSaml#authn_context_class_ref}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappsamlconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#auto_submit_toolbar AppSaml#auto_submit_toolbar}

---

##### `defaultRelayState`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.defaultRelayState" id="cdktfprovideroktaappsamlconfigpropertydefaultrelaystate"></a>

```typescript
public readonly defaultRelayState: string;
```

- *Type:* `string`

Identifies a specific application resource in an IDP initiated SSO scenario.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#default_relay_state AppSaml#default_relay_state}

---

##### `destination`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.destination" id="cdktfprovideroktaappsamlconfigpropertydestination"></a>

```typescript
public readonly destination: string;
```

- *Type:* `string`

Identifies the location where the SAML response is intended to be sent inside of the SAML assertion.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#destination AppSaml#destination}

---

##### `digestAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.digestAlgorithm" id="cdktfprovideroktaappsamlconfigpropertydigestalgorithm"></a>

```typescript
public readonly digestAlgorithm: string;
```

- *Type:* `string`

Determines the digest algorithm used to digitally sign the SAML assertion and response.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#digest_algorithm AppSaml#digest_algorithm}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.enduserNote" id="cdktfprovideroktaappsamlconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#enduser_note AppSaml#enduser_note}

---

##### `features`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.features" id="cdktfprovideroktaappsamlconfigpropertyfeatures"></a>

```typescript
public readonly features: string[];
```

- *Type:* `string`[]

features to enable.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#features AppSaml#features}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.groups" id="cdktfprovideroktaappsamlconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#groups AppSaml#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.hideIos" id="cdktfprovideroktaappsamlconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#hide_ios AppSaml#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.hideWeb" id="cdktfprovideroktaappsamlconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#hide_web AppSaml#hide_web}

---

##### `honorForceAuthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.honorForceAuthn" id="cdktfprovideroktaappsamlconfigpropertyhonorforceauthn"></a>

```typescript
public readonly honorForceAuthn: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Prompt user to re-authenticate if SP asks for it.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#honor_force_authn AppSaml#honor_force_authn}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.id" id="cdktfprovideroktaappsamlconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#id AppSaml#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `idpIssuer`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.idpIssuer" id="cdktfprovideroktaappsamlconfigpropertyidpissuer"></a>

```typescript
public readonly idpIssuer: string;
```

- *Type:* `string`

SAML issuer ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#idp_issuer AppSaml#idp_issuer}

---

##### `implicitAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.implicitAssignment" id="cdktfprovideroktaappsamlconfigpropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

*Early Access Property*. Enable Federation Broker Mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#implicit_assignment AppSaml#implicit_assignment}

---

##### `inlineHookId`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.inlineHookId" id="cdktfprovideroktaappsamlconfigpropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

Saml Inline Hook setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#inline_hook_id AppSaml#inline_hook_id}

---

##### `keyName`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.keyName" id="cdktfprovideroktaappsamlconfigpropertykeyname"></a>

```typescript
public readonly keyName: string;
```

- *Type:* `string`

Certificate name. This modulates the rotation of keys. New name == new key.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#key_name AppSaml#key_name}

---

##### `keyYearsValid`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.keyYearsValid" id="cdktfprovideroktaappsamlconfigpropertykeyyearsvalid"></a>

```typescript
public readonly keyYearsValid: number;
```

- *Type:* `number`

Number of years the certificate is valid.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#key_years_valid AppSaml#key_years_valid}

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.logo" id="cdktfprovideroktaappsamlconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#logo AppSaml#logo}

---

##### `preconfiguredApp`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.preconfiguredApp" id="cdktfprovideroktaappsamlconfigpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

Name of preexisting SAML application. For instance 'slack'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#preconfigured_app AppSaml#preconfigured_app}

---

##### `recipient`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.recipient" id="cdktfprovideroktaappsamlconfigpropertyrecipient"></a>

```typescript
public readonly recipient: string;
```

- *Type:* `string`

The location where the app may present the SAML assertion.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#recipient AppSaml#recipient}

---

##### `requestCompressed`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.requestCompressed" id="cdktfprovideroktaappsamlconfigpropertyrequestcompressed"></a>

```typescript
public readonly requestCompressed: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Denotes whether the request is compressed or not.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#request_compressed AppSaml#request_compressed}

---

##### `responseSigned`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.responseSigned" id="cdktfprovideroktaappsamlconfigpropertyresponsesigned"></a>

```typescript
public readonly responseSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Determines whether the SAML auth response message is digitally signed.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#response_signed AppSaml#response_signed}

---

##### `samlVersion`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.samlVersion" id="cdktfprovideroktaappsamlconfigpropertysamlversion"></a>

```typescript
public readonly samlVersion: string;
```

- *Type:* `string`

SAML version for the app's sign-on mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#saml_version AppSaml#saml_version}

---

##### `signatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.signatureAlgorithm" id="cdktfprovideroktaappsamlconfigpropertysignaturealgorithm"></a>

```typescript
public readonly signatureAlgorithm: string;
```

- *Type:* `string`

Signature algorithm used ot digitally sign the assertion and response.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#signature_algorithm AppSaml#signature_algorithm}

---

##### `singleLogoutCertificate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.singleLogoutCertificate" id="cdktfprovideroktaappsamlconfigpropertysinglelogoutcertificate"></a>

```typescript
public readonly singleLogoutCertificate: string;
```

- *Type:* `string`

x509 encoded certificate that the Service Provider uses to sign Single Logout requests.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#single_logout_certificate AppSaml#single_logout_certificate}

---

##### `singleLogoutIssuer`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.singleLogoutIssuer" id="cdktfprovideroktaappsamlconfigpropertysinglelogoutissuer"></a>

```typescript
public readonly singleLogoutIssuer: string;
```

- *Type:* `string`

The issuer of the Service Provider that generates the Single Logout request.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#single_logout_issuer AppSaml#single_logout_issuer}

---

##### `singleLogoutUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.singleLogoutUrl" id="cdktfprovideroktaappsamlconfigpropertysinglelogouturl"></a>

```typescript
public readonly singleLogoutUrl: string;
```

- *Type:* `string`

The location where the logout response is sent.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#single_logout_url AppSaml#single_logout_url}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.skipGroups" id="cdktfprovideroktaappsamlconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#skip_groups AppSaml#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.skipUsers" id="cdktfprovideroktaappsamlconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#skip_users AppSaml#skip_users}

---

##### `spIssuer`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.spIssuer" id="cdktfprovideroktaappsamlconfigpropertyspissuer"></a>

```typescript
public readonly spIssuer: string;
```

- *Type:* `string`

SAML SP issuer ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#sp_issuer AppSaml#sp_issuer}

---

##### `ssoUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.ssoUrl" id="cdktfprovideroktaappsamlconfigpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

Single Sign On URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#sso_url AppSaml#sso_url}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.status" id="cdktfprovideroktaappsamlconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#status AppSaml#status}

---

##### `subjectNameIdFormat`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.subjectNameIdFormat" id="cdktfprovideroktaappsamlconfigpropertysubjectnameidformat"></a>

```typescript
public readonly subjectNameIdFormat: string;
```

- *Type:* `string`

Identifies the SAML processing rules.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#subject_name_id_format AppSaml#subject_name_id_format}

---

##### `subjectNameIdTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.subjectNameIdTemplate" id="cdktfprovideroktaappsamlconfigpropertysubjectnameidtemplate"></a>

```typescript
public readonly subjectNameIdTemplate: string;
```

- *Type:* `string`

Template for app user's username when a user is assigned to the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#subject_name_id_template AppSaml#subject_name_id_template}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.userNameTemplate" id="cdktfprovideroktaappsamlconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#user_name_template AppSaml#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaappsamlconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#user_name_template_push_status AppSaml#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaappsamlconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#user_name_template_suffix AppSaml#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.userNameTemplateType" id="cdktfprovideroktaappsamlconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#user_name_template_type AppSaml#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlConfig.property.users" id="cdktfprovideroktaappsamlconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppSamlUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#users AppSaml#users}

---

### AppSamlKeys <a name="@cdktf/provider-okta.AppSamlKeys" id="cdktfprovideroktaappsamlkeys"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSamlKeys } from '@cdktf/provider-okta'

const appSamlKeys: AppSamlKeys = { ... }
```


### AppSamlUsers <a name="@cdktf/provider-okta.AppSamlUsers" id="cdktfprovideroktaappsamlusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSamlUsers } from '@cdktf/provider-okta'

const appSamlUsers: AppSamlUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappsamluserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappsamluserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappsamluserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsers.property.id" id="cdktfprovideroktaappsamluserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#id AppSaml#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsers.property.password" id="cdktfprovideroktaappsamluserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#password AppSaml#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsers.property.username" id="cdktfprovideroktaappsamluserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_saml#username AppSaml#username}

---

### AppSecurePasswordStoreConfig <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig" id="cdktfprovideroktaappsecurepasswordstoreconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSecurePasswordStoreConfig } from '@cdktf/provider-okta'

const appSecurePasswordStoreConfig: AppSecurePasswordStoreConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`passwordField`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertypasswordfield)<span title="Required">*</span> | `string` | Login password field. |
| [`url`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyurl)<span title="Required">*</span> | `string` | Login URL. |
| [`usernameField`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernamefield)<span title="Required">*</span> | `string` | Login username field. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`credentialsScheme`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertycredentialsscheme) | `string` | Application credentials scheme. |
| [`enduserNote`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#id AppSecurePasswordStore#id}. |
| [`logo`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`optionalField1`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield1) | `string` | Name of optional param in the login form. |
| [`optionalField1Value`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield1value) | `string` | Name of optional value in login form. |
| [`optionalField2`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield2) | `string` | Name of optional param in the login form. |
| [`optionalField2Value`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield2value) | `string` | Name of optional value in login form. |
| [`optionalField3`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield3) | `string` | Name of optional param in the login form. |
| [`optionalField3Value`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield3value) | `string` | Name of optional value in login form. |
| [`revealPassword`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyrevealpassword) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allow user to reveal password. |
| [`sharedPassword`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertysharedpassword) | `string` | Shared password, required for certain schemes. |
| [`sharedUsername`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertysharedusername) | `string` | Shared username, required for certain schemes. |
| [`skipGroups`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertystatus) | `string` | Status of application. |
| [`userNameTemplate`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaappsecurepasswordstoreconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.connection" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.count" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.dependsOn" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.forEach" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.lifecycle" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.provider" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.provisioners" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.label" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#label AppSecurePasswordStore#label}

---

##### `passwordField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.passwordField" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

Login password field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#password_field AppSecurePasswordStore#password_field}

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.url" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#url AppSecurePasswordStore#url}

---

##### `usernameField`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.usernameField" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

Login username field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#username_field AppSecurePasswordStore#username_field}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#accessibility_error_redirect_url AppSecurePasswordStore#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#accessibility_login_redirect_url AppSecurePasswordStore#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.accessibilitySelfService" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#accessibility_self_service AppSecurePasswordStore#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.adminNote" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#admin_note AppSecurePasswordStore#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.appLinksJson" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#app_links_json AppSecurePasswordStore#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#auto_submit_toolbar AppSecurePasswordStore#auto_submit_toolbar}

---

##### `credentialsScheme`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.credentialsScheme" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

Application credentials scheme.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#credentials_scheme AppSecurePasswordStore#credentials_scheme}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.enduserNote" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#enduser_note AppSecurePasswordStore#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.groups" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#groups AppSecurePasswordStore#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.hideIos" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#hide_ios AppSecurePasswordStore#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.hideWeb" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#hide_web AppSecurePasswordStore#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.id" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#id AppSecurePasswordStore#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.logo" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#logo AppSecurePasswordStore#logo}

---

##### `optionalField1`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.optionalField1" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield1"></a>

```typescript
public readonly optionalField1: string;
```

- *Type:* `string`

Name of optional param in the login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#optional_field1 AppSecurePasswordStore#optional_field1}

---

##### `optionalField1Value`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.optionalField1Value" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield1value"></a>

```typescript
public readonly optionalField1Value: string;
```

- *Type:* `string`

Name of optional value in login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#optional_field1_value AppSecurePasswordStore#optional_field1_value}

---

##### `optionalField2`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.optionalField2" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield2"></a>

```typescript
public readonly optionalField2: string;
```

- *Type:* `string`

Name of optional param in the login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#optional_field2 AppSecurePasswordStore#optional_field2}

---

##### `optionalField2Value`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.optionalField2Value" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield2value"></a>

```typescript
public readonly optionalField2Value: string;
```

- *Type:* `string`

Name of optional value in login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#optional_field2_value AppSecurePasswordStore#optional_field2_value}

---

##### `optionalField3`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.optionalField3" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield3"></a>

```typescript
public readonly optionalField3: string;
```

- *Type:* `string`

Name of optional param in the login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#optional_field3 AppSecurePasswordStore#optional_field3}

---

##### `optionalField3Value`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.optionalField3Value" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyoptionalfield3value"></a>

```typescript
public readonly optionalField3Value: string;
```

- *Type:* `string`

Name of optional value in login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#optional_field3_value AppSecurePasswordStore#optional_field3_value}

---

##### `revealPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.revealPassword" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allow user to reveal password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#reveal_password AppSecurePasswordStore#reveal_password}

---

##### `sharedPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.sharedPassword" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

Shared password, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#shared_password AppSecurePasswordStore#shared_password}

---

##### `sharedUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.sharedUsername" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

Shared username, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#shared_username AppSecurePasswordStore#shared_username}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.skipGroups" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#skip_groups AppSecurePasswordStore#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.skipUsers" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#skip_users AppSecurePasswordStore#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.status" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#status AppSecurePasswordStore#status}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.userNameTemplate" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#user_name_template AppSecurePasswordStore#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#user_name_template_push_status AppSecurePasswordStore#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#user_name_template_suffix AppSecurePasswordStore#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.userNameTemplateType" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#user_name_template_type AppSecurePasswordStore#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreConfig.property.users" id="cdktfprovideroktaappsecurepasswordstoreconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppSecurePasswordStoreUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#users AppSecurePasswordStore#users}

---

### AppSecurePasswordStoreUsers <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsers" id="cdktfprovideroktaappsecurepasswordstoreusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSecurePasswordStoreUsers } from '@cdktf/provider-okta'

const appSecurePasswordStoreUsers: AppSecurePasswordStoreUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappsecurepasswordstoreuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappsecurepasswordstoreuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappsecurepasswordstoreuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsers.property.id" id="cdktfprovideroktaappsecurepasswordstoreuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#id AppSecurePasswordStore#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsers.property.password" id="cdktfprovideroktaappsecurepasswordstoreuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#password AppSecurePasswordStore#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsers.property.username" id="cdktfprovideroktaappsecurepasswordstoreuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_secure_password_store#username AppSecurePasswordStore#username}

---

### AppSharedCredentialsConfig <a name="@cdktf/provider-okta.AppSharedCredentialsConfig" id="cdktfprovideroktaappsharedcredentialsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSharedCredentialsConfig } from '@cdktf/provider-okta'

const appSharedCredentialsConfig: AppSharedCredentialsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappsharedcredentialsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappsharedcredentialsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappsharedcredentialsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappsharedcredentialsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappsharedcredentialsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappsharedcredentialsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappsharedcredentialsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaappsharedcredentialsconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappsharedcredentialsconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappsharedcredentialsconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappsharedcredentialsconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappsharedcredentialsconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappsharedcredentialsconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappsharedcredentialsconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`buttonField`](#cdktfprovideroktaappsharedcredentialsconfigpropertybuttonfield) | `string` | Login button field. |
| [`checkbox`](#cdktfprovideroktaappsharedcredentialsconfigpropertycheckbox) | `string` | CSS selector for the checkbox. |
| [`enduserNote`](#cdktfprovideroktaappsharedcredentialsconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaappsharedcredentialsconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappsharedcredentialsconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappsharedcredentialsconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappsharedcredentialsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#id AppSharedCredentials#id}. |
| [`logo`](#cdktfprovideroktaappsharedcredentialsconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`passwordField`](#cdktfprovideroktaappsharedcredentialsconfigpropertypasswordfield) | `string` | Login password field. |
| [`preconfiguredApp`](#cdktfprovideroktaappsharedcredentialsconfigpropertypreconfiguredapp) | `string` | Preconfigured app name. |
| [`redirectUrl`](#cdktfprovideroktaappsharedcredentialsconfigpropertyredirecturl) | `string` | Secondary URL of the sign-in page for this app. |
| [`sharedPassword`](#cdktfprovideroktaappsharedcredentialsconfigpropertysharedpassword) | `string` | Shared password, required for certain schemes. |
| [`sharedUsername`](#cdktfprovideroktaappsharedcredentialsconfigpropertysharedusername) | `string` | Shared username, required for certain schemes. |
| [`skipGroups`](#cdktfprovideroktaappsharedcredentialsconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappsharedcredentialsconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappsharedcredentialsconfigpropertystatus) | `string` | Status of application. |
| [`url`](#cdktfprovideroktaappsharedcredentialsconfigpropertyurl) | `string` | Login URL. |
| [`urlRegex`](#cdktfprovideroktaappsharedcredentialsconfigpropertyurlregex) | `string` | A regex that further restricts URL to the specified regex. |
| [`usernameField`](#cdktfprovideroktaappsharedcredentialsconfigpropertyusernamefield) | `string` | Login username field. |
| [`userNameTemplate`](#cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaappsharedcredentialsconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.connection" id="cdktfprovideroktaappsharedcredentialsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.count" id="cdktfprovideroktaappsharedcredentialsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.dependsOn" id="cdktfprovideroktaappsharedcredentialsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.forEach" id="cdktfprovideroktaappsharedcredentialsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.lifecycle" id="cdktfprovideroktaappsharedcredentialsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.provider" id="cdktfprovideroktaappsharedcredentialsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.provisioners" id="cdktfprovideroktaappsharedcredentialsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.label" id="cdktfprovideroktaappsharedcredentialsconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#label AppSharedCredentials#label}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappsharedcredentialsconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#accessibility_error_redirect_url AppSharedCredentials#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappsharedcredentialsconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#accessibility_login_redirect_url AppSharedCredentials#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.accessibilitySelfService" id="cdktfprovideroktaappsharedcredentialsconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#accessibility_self_service AppSharedCredentials#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.adminNote" id="cdktfprovideroktaappsharedcredentialsconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#admin_note AppSharedCredentials#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.appLinksJson" id="cdktfprovideroktaappsharedcredentialsconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#app_links_json AppSharedCredentials#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappsharedcredentialsconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#auto_submit_toolbar AppSharedCredentials#auto_submit_toolbar}

---

##### `buttonField`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.buttonField" id="cdktfprovideroktaappsharedcredentialsconfigpropertybuttonfield"></a>

```typescript
public readonly buttonField: string;
```

- *Type:* `string`

Login button field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#button_field AppSharedCredentials#button_field}

---

##### `checkbox`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.checkbox" id="cdktfprovideroktaappsharedcredentialsconfigpropertycheckbox"></a>

```typescript
public readonly checkbox: string;
```

- *Type:* `string`

CSS selector for the checkbox.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#checkbox AppSharedCredentials#checkbox}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.enduserNote" id="cdktfprovideroktaappsharedcredentialsconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#enduser_note AppSharedCredentials#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.groups" id="cdktfprovideroktaappsharedcredentialsconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#groups AppSharedCredentials#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.hideIos" id="cdktfprovideroktaappsharedcredentialsconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#hide_ios AppSharedCredentials#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.hideWeb" id="cdktfprovideroktaappsharedcredentialsconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#hide_web AppSharedCredentials#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.id" id="cdktfprovideroktaappsharedcredentialsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#id AppSharedCredentials#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.logo" id="cdktfprovideroktaappsharedcredentialsconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#logo AppSharedCredentials#logo}

---

##### `passwordField`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.passwordField" id="cdktfprovideroktaappsharedcredentialsconfigpropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

Login password field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#password_field AppSharedCredentials#password_field}

---

##### `preconfiguredApp`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.preconfiguredApp" id="cdktfprovideroktaappsharedcredentialsconfigpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

Preconfigured app name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#preconfigured_app AppSharedCredentials#preconfigured_app}

---

##### `redirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.redirectUrl" id="cdktfprovideroktaappsharedcredentialsconfigpropertyredirecturl"></a>

```typescript
public readonly redirectUrl: string;
```

- *Type:* `string`

Secondary URL of the sign-in page for this app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#redirect_url AppSharedCredentials#redirect_url}

---

##### `sharedPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.sharedPassword" id="cdktfprovideroktaappsharedcredentialsconfigpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

Shared password, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#shared_password AppSharedCredentials#shared_password}

---

##### `sharedUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.sharedUsername" id="cdktfprovideroktaappsharedcredentialsconfigpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

Shared username, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#shared_username AppSharedCredentials#shared_username}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.skipGroups" id="cdktfprovideroktaappsharedcredentialsconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#skip_groups AppSharedCredentials#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.skipUsers" id="cdktfprovideroktaappsharedcredentialsconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#skip_users AppSharedCredentials#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.status" id="cdktfprovideroktaappsharedcredentialsconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#status AppSharedCredentials#status}

---

##### `url`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.url" id="cdktfprovideroktaappsharedcredentialsconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#url AppSharedCredentials#url}

---

##### `urlRegex`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.urlRegex" id="cdktfprovideroktaappsharedcredentialsconfigpropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

A regex that further restricts URL to the specified regex.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#url_regex AppSharedCredentials#url_regex}

---

##### `usernameField`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.usernameField" id="cdktfprovideroktaappsharedcredentialsconfigpropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

Login username field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#username_field AppSharedCredentials#username_field}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.userNameTemplate" id="cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#user_name_template AppSharedCredentials#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#user_name_template_push_status AppSharedCredentials#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#user_name_template_suffix AppSharedCredentials#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.userNameTemplateType" id="cdktfprovideroktaappsharedcredentialsconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#user_name_template_type AppSharedCredentials#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsConfig.property.users" id="cdktfprovideroktaappsharedcredentialsconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppSharedCredentialsUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#users AppSharedCredentials#users}

---

### AppSharedCredentialsUsers <a name="@cdktf/provider-okta.AppSharedCredentialsUsers" id="cdktfprovideroktaappsharedcredentialsusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSharedCredentialsUsers } from '@cdktf/provider-okta'

const appSharedCredentialsUsers: AppSharedCredentialsUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappsharedcredentialsuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappsharedcredentialsuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappsharedcredentialsuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsers.property.id" id="cdktfprovideroktaappsharedcredentialsuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#id AppSharedCredentials#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsers.property.password" id="cdktfprovideroktaappsharedcredentialsuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#password AppSharedCredentials#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsers.property.username" id="cdktfprovideroktaappsharedcredentialsuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_shared_credentials#username AppSharedCredentials#username}

---

### AppSignonPolicyConfig <a name="@cdktf/provider-okta.AppSignonPolicyConfig" id="cdktfprovideroktaappsignonpolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSignonPolicyConfig } from '@cdktf/provider-okta'

const appSignonPolicyConfig: AppSignonPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappsignonpolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappsignonpolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappsignonpolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappsignonpolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappsignonpolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappsignonpolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappsignonpolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`description`](#cdktfprovideroktaappsignonpolicyconfigpropertydescription)<span title="Required">*</span> | `string` | Policy Description. |
| [`name`](#cdktfprovideroktaappsignonpolicyconfigpropertyname)<span title="Required">*</span> | `string` | Policy Name. |
| [`id`](#cdktfprovideroktaappsignonpolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy#id AppSignonPolicy#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.connection" id="cdktfprovideroktaappsignonpolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.count" id="cdktfprovideroktaappsignonpolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.dependsOn" id="cdktfprovideroktaappsignonpolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.forEach" id="cdktfprovideroktaappsignonpolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.lifecycle" id="cdktfprovideroktaappsignonpolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.provider" id="cdktfprovideroktaappsignonpolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.provisioners" id="cdktfprovideroktaappsignonpolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.description" id="cdktfprovideroktaappsignonpolicyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Policy Description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy#description AppSignonPolicy#description}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.name" id="cdktfprovideroktaappsignonpolicyconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy#name AppSignonPolicy#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyConfig.property.id" id="cdktfprovideroktaappsignonpolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy#id AppSignonPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### AppSignonPolicyRuleConfig <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig" id="cdktfprovideroktaappsignonpolicyruleconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSignonPolicyRuleConfig } from '@cdktf/provider-okta'

const appSignonPolicyRuleConfig: AppSignonPolicyRuleConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappsignonpolicyruleconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappsignonpolicyruleconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappsignonpolicyruleconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`policyId`](#cdktfprovideroktaappsignonpolicyruleconfigpropertypolicyid)<span title="Required">*</span> | `string` | ID of the policy. |
| [`access`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyaccess) | `string` | Allow or deny access based on the rule conditions: ALLOW or DENY. |
| [`constraints`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyconstraints) | `string`[] | An array that contains nested Authenticator Constraint objects that are organized by the Authenticator class. |
| [`customExpression`](#cdktfprovideroktaappsignonpolicyruleconfigpropertycustomexpression) | `string` | This is an optional advanced setting. |
| [`deviceIsManaged`](#cdktfprovideroktaappsignonpolicyruleconfigpropertydeviceismanaged) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If the device is managed. |
| [`deviceIsRegistered`](#cdktfprovideroktaappsignonpolicyruleconfigpropertydeviceisregistered) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If the device is registered. |
| [`factorMode`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyfactormode) | `string` | The number of factors required to satisfy this assurance level. |
| [`groupsExcluded`](#cdktfprovideroktaappsignonpolicyruleconfigpropertygroupsexcluded) | `string`[] | List of group IDs to exclude. |
| [`groupsIncluded`](#cdktfprovideroktaappsignonpolicyruleconfigpropertygroupsincluded) | `string`[] | List of group IDs to include. |
| [`id`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#id AppSignonPolicyRule#id}. |
| [`inactivityPeriod`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyinactivityperiod) | `string` | The inactivity duration after which the end user must re-authenticate. |
| [`networkConnection`](#cdktfprovideroktaappsignonpolicyruleconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktaappsignonpolicyruleconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktaappsignonpolicyruleconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`platformInclude`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyplatforminclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)[] | platform_include block. |
| [`priority`](#cdktfprovideroktaappsignonpolicyruleconfigpropertypriority) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#priority AppSignonPolicyRule#priority}. |
| [`reAuthenticationFrequency`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyreauthenticationfrequency) | `string` | The duration after which the end user must re-authenticate, regardless of user activity. |
| [`status`](#cdktfprovideroktaappsignonpolicyruleconfigpropertystatus) | `string` | Status of the rule. |
| [`type`](#cdktfprovideroktaappsignonpolicyruleconfigpropertytype) | `string` | The Verification Method type. |
| [`usersExcluded`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyusersexcluded) | `string`[] | Set of User IDs to exclude. |
| [`usersIncluded`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyusersincluded) | `string`[] | Set of User IDs to include. |
| [`userTypesExcluded`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyusertypesexcluded) | `string`[] | Set of User Type IDs to exclude. |
| [`userTypesIncluded`](#cdktfprovideroktaappsignonpolicyruleconfigpropertyusertypesincluded) | `string`[] | Set of User Type IDs to include. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.connection" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.count" id="cdktfprovideroktaappsignonpolicyruleconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.dependsOn" id="cdktfprovideroktaappsignonpolicyruleconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.forEach" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.lifecycle" id="cdktfprovideroktaappsignonpolicyruleconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.provider" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.provisioners" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.name" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#name AppSignonPolicyRule#name}

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.policyId" id="cdktfprovideroktaappsignonpolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

ID of the policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#policy_id AppSignonPolicyRule#policy_id}

---

##### `access`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.access" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

Allow or deny access based on the rule conditions: ALLOW or DENY.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#access AppSignonPolicyRule#access}

---

##### `constraints`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.constraints" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyconstraints"></a>

```typescript
public readonly constraints: string[];
```

- *Type:* `string`[]

An array that contains nested Authenticator Constraint objects that are organized by the Authenticator class.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#constraints AppSignonPolicyRule#constraints}

---

##### `customExpression`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.customExpression" id="cdktfprovideroktaappsignonpolicyruleconfigpropertycustomexpression"></a>

```typescript
public readonly customExpression: string;
```

- *Type:* `string`

This is an optional advanced setting.

If the expression is formatted incorrectly or conflicts with conditions set above, the rule may not match any users.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#custom_expression AppSignonPolicyRule#custom_expression}

---

##### `deviceIsManaged`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.deviceIsManaged" id="cdktfprovideroktaappsignonpolicyruleconfigpropertydeviceismanaged"></a>

```typescript
public readonly deviceIsManaged: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If the device is managed.

A device is managed if it's managed by a device management system. When managed is passed, registered must also be included and must be set to true.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#device_is_managed AppSignonPolicyRule#device_is_managed}

---

##### `deviceIsRegistered`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.deviceIsRegistered" id="cdktfprovideroktaappsignonpolicyruleconfigpropertydeviceisregistered"></a>

```typescript
public readonly deviceIsRegistered: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If the device is registered.

A device is registered if the User enrolls with Okta Verify that is installed on the device.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#device_is_registered AppSignonPolicyRule#device_is_registered}

---

##### `factorMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.factorMode" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyfactormode"></a>

```typescript
public readonly factorMode: string;
```

- *Type:* `string`

The number of factors required to satisfy this assurance level.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#factor_mode AppSignonPolicyRule#factor_mode}

---

##### `groupsExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.groupsExcluded" id="cdktfprovideroktaappsignonpolicyruleconfigpropertygroupsexcluded"></a>

```typescript
public readonly groupsExcluded: string[];
```

- *Type:* `string`[]

List of group IDs to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#groups_excluded AppSignonPolicyRule#groups_excluded}

---

##### `groupsIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.groupsIncluded" id="cdktfprovideroktaappsignonpolicyruleconfigpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

List of group IDs to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#groups_included AppSignonPolicyRule#groups_included}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.id" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#id AppSignonPolicyRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `inactivityPeriod`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.inactivityPeriod" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyinactivityperiod"></a>

```typescript
public readonly inactivityPeriod: string;
```

- *Type:* `string`

The inactivity duration after which the end user must re-authenticate.

Use the ISO 8601 Period format for recurring time intervals.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#inactivity_period AppSignonPolicyRule#inactivity_period}

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.networkConnection" id="cdktfprovideroktaappsignonpolicyruleconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#network_connection AppSignonPolicyRule#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.networkExcludes" id="cdktfprovideroktaappsignonpolicyruleconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#network_excludes AppSignonPolicyRule#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.networkIncludes" id="cdktfprovideroktaappsignonpolicyruleconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#network_includes AppSignonPolicyRule#network_includes}

---

##### `platformInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.platformInclude" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyplatforminclude"></a>

```typescript
public readonly platformInclude: IResolvable | AppSignonPolicyRulePlatformInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)[]

platform_include block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#platform_include AppSignonPolicyRule#platform_include}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.priority" id="cdktfprovideroktaappsignonpolicyruleconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#priority AppSignonPolicyRule#priority}.

---

##### `reAuthenticationFrequency`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.reAuthenticationFrequency" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyreauthenticationfrequency"></a>

```typescript
public readonly reAuthenticationFrequency: string;
```

- *Type:* `string`

The duration after which the end user must re-authenticate, regardless of user activity.

Use the ISO 8601 Period format for recurring time intervals. PT0S - Every sign-in attempt, PT43800H - Once per session  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#re_authentication_frequency AppSignonPolicyRule#re_authentication_frequency}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.status" id="cdktfprovideroktaappsignonpolicyruleconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of the rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#status AppSignonPolicyRule#status}

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.type" id="cdktfprovideroktaappsignonpolicyruleconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

The Verification Method type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#type AppSignonPolicyRule#type}

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.usersExcluded" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

Set of User IDs to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#users_excluded AppSignonPolicyRule#users_excluded}

---

##### `usersIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.usersIncluded" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyusersincluded"></a>

```typescript
public readonly usersIncluded: string[];
```

- *Type:* `string`[]

Set of User IDs to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#users_included AppSignonPolicyRule#users_included}

---

##### `userTypesExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.userTypesExcluded" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyusertypesexcluded"></a>

```typescript
public readonly userTypesExcluded: string[];
```

- *Type:* `string`[]

Set of User Type IDs to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#user_types_excluded AppSignonPolicyRule#user_types_excluded}

---

##### `userTypesIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRuleConfig.property.userTypesIncluded" id="cdktfprovideroktaappsignonpolicyruleconfigpropertyusertypesincluded"></a>

```typescript
public readonly userTypesIncluded: string[];
```

- *Type:* `string`[]

Set of User Type IDs to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#user_types_included AppSignonPolicyRule#user_types_included}

---

### AppSignonPolicyRulePlatformInclude <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude" id="cdktfprovideroktaappsignonpolicyruleplatforminclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSignonPolicyRulePlatformInclude } from '@cdktf/provider-okta'

const appSignonPolicyRulePlatformInclude: AppSignonPolicyRulePlatformInclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`osExpression`](#cdktfprovideroktaappsignonpolicyruleplatformincludepropertyosexpression) | `string` | Only available with OTHER OS type. |
| [`osType`](#cdktfprovideroktaappsignonpolicyruleplatformincludepropertyostype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#os_type AppSignonPolicyRule#os_type}. |
| [`type`](#cdktfprovideroktaappsignonpolicyruleplatformincludepropertytype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#type AppSignonPolicyRule#type}. |

---

##### `osExpression`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude.property.osExpression" id="cdktfprovideroktaappsignonpolicyruleplatformincludepropertyosexpression"></a>

```typescript
public readonly osExpression: string;
```

- *Type:* `string`

Only available with OTHER OS type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#os_expression AppSignonPolicyRule#os_expression}

---

##### `osType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude.property.osType" id="cdktfprovideroktaappsignonpolicyruleplatformincludepropertyostype"></a>

```typescript
public readonly osType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#os_type AppSignonPolicyRule#os_type}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude.property.type" id="cdktfprovideroktaappsignonpolicyruleplatformincludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_signon_policy_rule#type AppSignonPolicyRule#type}.

---

### AppSwaConfig <a name="@cdktf/provider-okta.AppSwaConfig" id="cdktfprovideroktaappswaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSwaConfig } from '@cdktf/provider-okta'

const appSwaConfig: AppSwaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappswaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappswaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappswaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappswaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappswaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappswaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappswaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaappswaconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappswaconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappswaconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappswaconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappswaconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappswaconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappswaconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`buttonField`](#cdktfprovideroktaappswaconfigpropertybuttonfield) | `string` | Login button field. |
| [`checkbox`](#cdktfprovideroktaappswaconfigpropertycheckbox) | `string` | CSS selector for the checkbox. |
| [`enduserNote`](#cdktfprovideroktaappswaconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaappswaconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappswaconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappswaconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappswaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#id AppSwa#id}. |
| [`logo`](#cdktfprovideroktaappswaconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`passwordField`](#cdktfprovideroktaappswaconfigpropertypasswordfield) | `string` | Login password field. |
| [`preconfiguredApp`](#cdktfprovideroktaappswaconfigpropertypreconfiguredapp) | `string` | Preconfigured app name. |
| [`redirectUrl`](#cdktfprovideroktaappswaconfigpropertyredirecturl) | `string` | If going to the login page URL redirects to another page, then enter that URL here. |
| [`skipGroups`](#cdktfprovideroktaappswaconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappswaconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappswaconfigpropertystatus) | `string` | Status of application. |
| [`url`](#cdktfprovideroktaappswaconfigpropertyurl) | `string` | Login URL. |
| [`urlRegex`](#cdktfprovideroktaappswaconfigpropertyurlregex) | `string` | A regex that further restricts URL to the specified regex. |
| [`usernameField`](#cdktfprovideroktaappswaconfigpropertyusernamefield) | `string` | Login username field. |
| [`userNameTemplate`](#cdktfprovideroktaappswaconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappswaconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappswaconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaappswaconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaappswaconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.connection" id="cdktfprovideroktaappswaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.count" id="cdktfprovideroktaappswaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.dependsOn" id="cdktfprovideroktaappswaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.forEach" id="cdktfprovideroktaappswaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.lifecycle" id="cdktfprovideroktaappswaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.provider" id="cdktfprovideroktaappswaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.provisioners" id="cdktfprovideroktaappswaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.label" id="cdktfprovideroktaappswaconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#label AppSwa#label}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappswaconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#accessibility_error_redirect_url AppSwa#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappswaconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#accessibility_login_redirect_url AppSwa#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.accessibilitySelfService" id="cdktfprovideroktaappswaconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#accessibility_self_service AppSwa#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.adminNote" id="cdktfprovideroktaappswaconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#admin_note AppSwa#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.appLinksJson" id="cdktfprovideroktaappswaconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#app_links_json AppSwa#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappswaconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#auto_submit_toolbar AppSwa#auto_submit_toolbar}

---

##### `buttonField`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.buttonField" id="cdktfprovideroktaappswaconfigpropertybuttonfield"></a>

```typescript
public readonly buttonField: string;
```

- *Type:* `string`

Login button field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#button_field AppSwa#button_field}

---

##### `checkbox`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.checkbox" id="cdktfprovideroktaappswaconfigpropertycheckbox"></a>

```typescript
public readonly checkbox: string;
```

- *Type:* `string`

CSS selector for the checkbox.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#checkbox AppSwa#checkbox}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.enduserNote" id="cdktfprovideroktaappswaconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#enduser_note AppSwa#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.groups" id="cdktfprovideroktaappswaconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#groups AppSwa#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.hideIos" id="cdktfprovideroktaappswaconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#hide_ios AppSwa#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.hideWeb" id="cdktfprovideroktaappswaconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#hide_web AppSwa#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.id" id="cdktfprovideroktaappswaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#id AppSwa#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.logo" id="cdktfprovideroktaappswaconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#logo AppSwa#logo}

---

##### `passwordField`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.passwordField" id="cdktfprovideroktaappswaconfigpropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

Login password field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#password_field AppSwa#password_field}

---

##### `preconfiguredApp`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.preconfiguredApp" id="cdktfprovideroktaappswaconfigpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

Preconfigured app name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#preconfigured_app AppSwa#preconfigured_app}

---

##### `redirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.redirectUrl" id="cdktfprovideroktaappswaconfigpropertyredirecturl"></a>

```typescript
public readonly redirectUrl: string;
```

- *Type:* `string`

If going to the login page URL redirects to another page, then enter that URL here.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#redirect_url AppSwa#redirect_url}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.skipGroups" id="cdktfprovideroktaappswaconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#skip_groups AppSwa#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.skipUsers" id="cdktfprovideroktaappswaconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#skip_users AppSwa#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.status" id="cdktfprovideroktaappswaconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#status AppSwa#status}

---

##### `url`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.url" id="cdktfprovideroktaappswaconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#url AppSwa#url}

---

##### `urlRegex`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.urlRegex" id="cdktfprovideroktaappswaconfigpropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

A regex that further restricts URL to the specified regex.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#url_regex AppSwa#url_regex}

---

##### `usernameField`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.usernameField" id="cdktfprovideroktaappswaconfigpropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

Login username field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#username_field AppSwa#username_field}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.userNameTemplate" id="cdktfprovideroktaappswaconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#user_name_template AppSwa#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaappswaconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#user_name_template_push_status AppSwa#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaappswaconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#user_name_template_suffix AppSwa#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.userNameTemplateType" id="cdktfprovideroktaappswaconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#user_name_template_type AppSwa#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaConfig.property.users" id="cdktfprovideroktaappswaconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppSwaUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#users AppSwa#users}

---

### AppSwaUsers <a name="@cdktf/provider-okta.AppSwaUsers" id="cdktfprovideroktaappswausers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppSwaUsers } from '@cdktf/provider-okta'

const appSwaUsers: AppSwaUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappswauserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappswauserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappswauserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsers.property.id" id="cdktfprovideroktaappswauserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#id AppSwa#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsers.property.password" id="cdktfprovideroktaappswauserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#password AppSwa#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsers.property.username" id="cdktfprovideroktaappswauserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_swa#username AppSwa#username}

---

### AppThreeFieldConfig <a name="@cdktf/provider-okta.AppThreeFieldConfig" id="cdktfprovideroktaappthreefieldconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppThreeFieldConfig } from '@cdktf/provider-okta'

const appThreeFieldConfig: AppThreeFieldConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappthreefieldconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappthreefieldconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappthreefieldconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappthreefieldconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappthreefieldconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappthreefieldconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappthreefieldconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`buttonSelector`](#cdktfprovideroktaappthreefieldconfigpropertybuttonselector)<span title="Required">*</span> | `string` | Login button field CSS selector. |
| [`extraFieldSelector`](#cdktfprovideroktaappthreefieldconfigpropertyextrafieldselector)<span title="Required">*</span> | `string` | Extra field CSS selector. |
| [`extraFieldValue`](#cdktfprovideroktaappthreefieldconfigpropertyextrafieldvalue)<span title="Required">*</span> | `string` | Value for extra form field. |
| [`label`](#cdktfprovideroktaappthreefieldconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`passwordSelector`](#cdktfprovideroktaappthreefieldconfigpropertypasswordselector)<span title="Required">*</span> | `string` | Login password field CSS selector. |
| [`url`](#cdktfprovideroktaappthreefieldconfigpropertyurl)<span title="Required">*</span> | `string` | Login URL. |
| [`usernameSelector`](#cdktfprovideroktaappthreefieldconfigpropertyusernameselector)<span title="Required">*</span> | `string` | Login username field CSS selector. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaappthreefieldconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaappthreefieldconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaappthreefieldconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaappthreefieldconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaappthreefieldconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktaappthreefieldconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`credentialsScheme`](#cdktfprovideroktaappthreefieldconfigpropertycredentialsscheme) | `string` | Application credentials scheme. |
| [`enduserNote`](#cdktfprovideroktaappthreefieldconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaappthreefieldconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaappthreefieldconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaappthreefieldconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaappthreefieldconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#id AppThreeField#id}. |
| [`logo`](#cdktfprovideroktaappthreefieldconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`revealPassword`](#cdktfprovideroktaappthreefieldconfigpropertyrevealpassword) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allow user to reveal password. |
| [`sharedPassword`](#cdktfprovideroktaappthreefieldconfigpropertysharedpassword) | `string` | Shared password, required for certain schemes. |
| [`sharedUsername`](#cdktfprovideroktaappthreefieldconfigpropertysharedusername) | `string` | Shared username, required for certain schemes. |
| [`skipGroups`](#cdktfprovideroktaappthreefieldconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaappthreefieldconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaappthreefieldconfigpropertystatus) | `string` | Status of application. |
| [`urlRegex`](#cdktfprovideroktaappthreefieldconfigpropertyurlregex) | `string` | A regex that further restricts URL to the specified regex. |
| [`userNameTemplate`](#cdktfprovideroktaappthreefieldconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaappthreefieldconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaappthreefieldconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaappthreefieldconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaappthreefieldconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.connection" id="cdktfprovideroktaappthreefieldconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.count" id="cdktfprovideroktaappthreefieldconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.dependsOn" id="cdktfprovideroktaappthreefieldconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.forEach" id="cdktfprovideroktaappthreefieldconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.lifecycle" id="cdktfprovideroktaappthreefieldconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.provider" id="cdktfprovideroktaappthreefieldconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.provisioners" id="cdktfprovideroktaappthreefieldconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `buttonSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.buttonSelector" id="cdktfprovideroktaappthreefieldconfigpropertybuttonselector"></a>

```typescript
public readonly buttonSelector: string;
```

- *Type:* `string`

Login button field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#button_selector AppThreeField#button_selector}

---

##### `extraFieldSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.extraFieldSelector" id="cdktfprovideroktaappthreefieldconfigpropertyextrafieldselector"></a>

```typescript
public readonly extraFieldSelector: string;
```

- *Type:* `string`

Extra field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#extra_field_selector AppThreeField#extra_field_selector}

---

##### `extraFieldValue`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.extraFieldValue" id="cdktfprovideroktaappthreefieldconfigpropertyextrafieldvalue"></a>

```typescript
public readonly extraFieldValue: string;
```

- *Type:* `string`

Value for extra form field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#extra_field_value AppThreeField#extra_field_value}

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.label" id="cdktfprovideroktaappthreefieldconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#label AppThreeField#label}

---

##### `passwordSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.passwordSelector" id="cdktfprovideroktaappthreefieldconfigpropertypasswordselector"></a>

```typescript
public readonly passwordSelector: string;
```

- *Type:* `string`

Login password field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#password_selector AppThreeField#password_selector}

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.url" id="cdktfprovideroktaappthreefieldconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#url AppThreeField#url}

---

##### `usernameSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.usernameSelector" id="cdktfprovideroktaappthreefieldconfigpropertyusernameselector"></a>

```typescript
public readonly usernameSelector: string;
```

- *Type:* `string`

Login username field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#username_selector AppThreeField#username_selector}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaappthreefieldconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#accessibility_error_redirect_url AppThreeField#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaappthreefieldconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#accessibility_login_redirect_url AppThreeField#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.accessibilitySelfService" id="cdktfprovideroktaappthreefieldconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#accessibility_self_service AppThreeField#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.adminNote" id="cdktfprovideroktaappthreefieldconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#admin_note AppThreeField#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.appLinksJson" id="cdktfprovideroktaappthreefieldconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#app_links_json AppThreeField#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.autoSubmitToolbar" id="cdktfprovideroktaappthreefieldconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#auto_submit_toolbar AppThreeField#auto_submit_toolbar}

---

##### `credentialsScheme`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.credentialsScheme" id="cdktfprovideroktaappthreefieldconfigpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

Application credentials scheme.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#credentials_scheme AppThreeField#credentials_scheme}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.enduserNote" id="cdktfprovideroktaappthreefieldconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#enduser_note AppThreeField#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.groups" id="cdktfprovideroktaappthreefieldconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#groups AppThreeField#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.hideIos" id="cdktfprovideroktaappthreefieldconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#hide_ios AppThreeField#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.hideWeb" id="cdktfprovideroktaappthreefieldconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#hide_web AppThreeField#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.id" id="cdktfprovideroktaappthreefieldconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#id AppThreeField#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.logo" id="cdktfprovideroktaappthreefieldconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#logo AppThreeField#logo}

---

##### `revealPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.revealPassword" id="cdktfprovideroktaappthreefieldconfigpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allow user to reveal password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#reveal_password AppThreeField#reveal_password}

---

##### `sharedPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.sharedPassword" id="cdktfprovideroktaappthreefieldconfigpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

Shared password, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#shared_password AppThreeField#shared_password}

---

##### `sharedUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.sharedUsername" id="cdktfprovideroktaappthreefieldconfigpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

Shared username, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#shared_username AppThreeField#shared_username}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.skipGroups" id="cdktfprovideroktaappthreefieldconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#skip_groups AppThreeField#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.skipUsers" id="cdktfprovideroktaappthreefieldconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#skip_users AppThreeField#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.status" id="cdktfprovideroktaappthreefieldconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#status AppThreeField#status}

---

##### `urlRegex`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.urlRegex" id="cdktfprovideroktaappthreefieldconfigpropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

A regex that further restricts URL to the specified regex.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#url_regex AppThreeField#url_regex}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.userNameTemplate" id="cdktfprovideroktaappthreefieldconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#user_name_template AppThreeField#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaappthreefieldconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#user_name_template_push_status AppThreeField#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaappthreefieldconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#user_name_template_suffix AppThreeField#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.userNameTemplateType" id="cdktfprovideroktaappthreefieldconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#user_name_template_type AppThreeField#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldConfig.property.users" id="cdktfprovideroktaappthreefieldconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AppThreeFieldUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#users AppThreeField#users}

---

### AppThreeFieldUsers <a name="@cdktf/provider-okta.AppThreeFieldUsers" id="cdktfprovideroktaappthreefieldusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppThreeFieldUsers } from '@cdktf/provider-okta'

const appThreeFieldUsers: AppThreeFieldUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaappthreefielduserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaappthreefielduserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaappthreefielduserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsers.property.id" id="cdktfprovideroktaappthreefielduserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#id AppThreeField#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsers.property.password" id="cdktfprovideroktaappthreefielduserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#password AppThreeField#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsers.property.username" id="cdktfprovideroktaappthreefielduserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_three_field#username AppThreeField#username}

---

### AppUserBaseSchemaConfig <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig" id="cdktfprovideroktaappuserbaseschemaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserBaseSchemaConfig } from '@cdktf/provider-okta'

const appUserBaseSchemaConfig: AppUserBaseSchemaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappuserbaseschemaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappuserbaseschemaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappuserbaseschemaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappuserbaseschemaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappuserbaseschemaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappuserbaseschemaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappuserbaseschemaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappuserbaseschemaconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#app_id AppUserBaseSchema#app_id}. |
| [`index`](#cdktfprovideroktaappuserbaseschemaconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktaappuserbaseschemaconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktaappuserbaseschemaconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`id`](#cdktfprovideroktaappuserbaseschemaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#id AppUserBaseSchema#id}. |
| [`master`](#cdktfprovideroktaappuserbaseschemaconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`pattern`](#cdktfprovideroktaappuserbaseschemaconfigpropertypattern) | `string` | The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'. |
| [`permissions`](#cdktfprovideroktaappuserbaseschemaconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktaappuserbaseschemaconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`userType`](#cdktfprovideroktaappuserbaseschemaconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.connection" id="cdktfprovideroktaappuserbaseschemaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.count" id="cdktfprovideroktaappuserbaseschemaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.dependsOn" id="cdktfprovideroktaappuserbaseschemaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.forEach" id="cdktfprovideroktaappuserbaseschemaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.lifecycle" id="cdktfprovideroktaappuserbaseschemaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.provider" id="cdktfprovideroktaappuserbaseschemaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.provisioners" id="cdktfprovideroktaappuserbaseschemaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.appId" id="cdktfprovideroktaappuserbaseschemaconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#app_id AppUserBaseSchema#app_id}.

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.index" id="cdktfprovideroktaappuserbaseschemaconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#index AppUserBaseSchema#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.title" id="cdktfprovideroktaappuserbaseschemaconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#title AppUserBaseSchema#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.type" id="cdktfprovideroktaappuserbaseschemaconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#type AppUserBaseSchema#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.id" id="cdktfprovideroktaappuserbaseschemaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#id AppUserBaseSchema#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.master" id="cdktfprovideroktaappuserbaseschemaconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#master AppUserBaseSchema#master}

---

##### `pattern`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.pattern" id="cdktfprovideroktaappuserbaseschemaconfigpropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#pattern AppUserBaseSchema#pattern}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.permissions" id="cdktfprovideroktaappuserbaseschemaconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#permissions AppUserBaseSchema#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.required" id="cdktfprovideroktaappuserbaseschemaconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#required AppUserBaseSchema#required}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaConfig.property.userType" id="cdktfprovideroktaappuserbaseschemaconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema#user_type AppUserBaseSchema#user_type}

---

### AppUserBaseSchemaPropertyConfig <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig" id="cdktfprovideroktaappuserbaseschemapropertyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserBaseSchemaPropertyConfig } from '@cdktf/provider-okta'

const appUserBaseSchemaPropertyConfig: AppUserBaseSchemaPropertyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#app_id AppUserBaseSchemaProperty#app_id}. |
| [`index`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`id`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#id AppUserBaseSchemaProperty#id}. |
| [`master`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`pattern`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertypattern) | `string` | The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'. |
| [`permissions`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`userType`](#cdktfprovideroktaappuserbaseschemapropertyconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.connection" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.count" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.dependsOn" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.forEach" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.lifecycle" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.provider" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.provisioners" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.appId" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#app_id AppUserBaseSchemaProperty#app_id}.

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.index" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#index AppUserBaseSchemaProperty#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.title" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#title AppUserBaseSchemaProperty#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.type" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#type AppUserBaseSchemaProperty#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.id" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#id AppUserBaseSchemaProperty#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.master" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#master AppUserBaseSchemaProperty#master}

---

##### `pattern`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.pattern" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#pattern AppUserBaseSchemaProperty#pattern}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.permissions" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#permissions AppUserBaseSchemaProperty#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.required" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#required AppUserBaseSchemaProperty#required}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserBaseSchemaPropertyConfig.property.userType" id="cdktfprovideroktaappuserbaseschemapropertyconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_base_schema_property#user_type AppUserBaseSchemaProperty#user_type}

---

### AppUserConfig <a name="@cdktf/provider-okta.AppUserConfig" id="cdktfprovideroktaappuserconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserConfig } from '@cdktf/provider-okta'

const appUserConfig: AppUserConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappuserconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappuserconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappuserconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappuserconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappuserconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappuserconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappuserconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappuserconfigpropertyappid)<span title="Required">*</span> | `string` | App to associate user with. |
| [`userId`](#cdktfprovideroktaappuserconfigpropertyuserid)<span title="Required">*</span> | `string` | User associated with the application. |
| [`id`](#cdktfprovideroktaappuserconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#id AppUser#id}. |
| [`password`](#cdktfprovideroktaappuserconfigpropertypassword) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#password AppUser#password}. |
| [`profile`](#cdktfprovideroktaappuserconfigpropertyprofile) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#profile AppUser#profile}. |
| [`retainAssignment`](#cdktfprovideroktaappuserconfigpropertyretainassignment) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Retain the user assignment on destroy. |
| [`username`](#cdktfprovideroktaappuserconfigpropertyusername) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#username AppUser#username}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.connection" id="cdktfprovideroktaappuserconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.count" id="cdktfprovideroktaappuserconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.dependsOn" id="cdktfprovideroktaappuserconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.forEach" id="cdktfprovideroktaappuserconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.lifecycle" id="cdktfprovideroktaappuserconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.provider" id="cdktfprovideroktaappuserconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.provisioners" id="cdktfprovideroktaappuserconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.appId" id="cdktfprovideroktaappuserconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

App to associate user with.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#app_id AppUser#app_id}

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.userId" id="cdktfprovideroktaappuserconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

User associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#user_id AppUser#user_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.id" id="cdktfprovideroktaappuserconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#id AppUser#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.password" id="cdktfprovideroktaappuserconfigpropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#password AppUser#password}.

---

##### `profile`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.profile" id="cdktfprovideroktaappuserconfigpropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#profile AppUser#profile}.

---

##### `retainAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.retainAssignment" id="cdktfprovideroktaappuserconfigpropertyretainassignment"></a>

```typescript
public readonly retainAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Retain the user assignment on destroy.

If set to true, the resource will be removed from state but not from the Okta app.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#retain_assignment AppUser#retain_assignment}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserConfig.property.username" id="cdktfprovideroktaappuserconfigpropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user#username AppUser#username}.

---

### AppUserSchemaArrayOneOf <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOf" id="cdktfprovideroktaappuserschemaarrayoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserSchemaArrayOneOf } from '@cdktf/provider-okta'

const appUserSchemaArrayOneOf: AppUserSchemaArrayOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktaappuserschemaarrayoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktaappuserschemaarrayoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOf.property.const" id="cdktfprovideroktaappuserschemaarrayoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#const AppUserSchema#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOf.property.title" id="cdktfprovideroktaappuserschemaarrayoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#title AppUserSchema#title}

---

### AppUserSchemaConfig <a name="@cdktf/provider-okta.AppUserSchemaConfig" id="cdktfprovideroktaappuserschemaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserSchemaConfig } from '@cdktf/provider-okta'

const appUserSchemaConfig: AppUserSchemaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappuserschemaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappuserschemaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappuserschemaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappuserschemaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappuserschemaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappuserschemaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappuserschemaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappuserschemaconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#app_id AppUserSchema#app_id}. |
| [`index`](#cdktfprovideroktaappuserschemaconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktaappuserschemaconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktaappuserschemaconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`arrayEnum`](#cdktfprovideroktaappuserschemaconfigpropertyarrayenum) | `string`[] | Custom Subschema enumerated value of a property of type array. |
| [`arrayOneOf`](#cdktfprovideroktaappuserschemaconfigpropertyarrayoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)[] | array_one_of block. |
| [`arrayType`](#cdktfprovideroktaappuserschemaconfigpropertyarraytype) | `string` | Subschema array type: string, number, integer, reference. Type field must be an array. |
| [`description`](#cdktfprovideroktaappuserschemaconfigpropertydescription) | `string` | Custom Subschema description. |
| [`enum`](#cdktfprovideroktaappuserschemaconfigpropertyenum) | `string`[] | Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object. |
| [`externalName`](#cdktfprovideroktaappuserschemaconfigpropertyexternalname) | `string` | Subschema external name. |
| [`externalNamespace`](#cdktfprovideroktaappuserschemaconfigpropertyexternalnamespace) | `string` | Subschema external namespace. |
| [`id`](#cdktfprovideroktaappuserschemaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#id AppUserSchema#id}. |
| [`master`](#cdktfprovideroktaappuserschemaconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`maxLength`](#cdktfprovideroktaappuserschemaconfigpropertymaxlength) | `number` | Subschema of type string maximum length. |
| [`minLength`](#cdktfprovideroktaappuserschemaconfigpropertyminlength) | `number` | Subschema of type string minimum length. |
| [`oneOf`](#cdktfprovideroktaappuserschemaconfigpropertyoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)[] | one_of block. |
| [`permissions`](#cdktfprovideroktaappuserschemaconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktaappuserschemaconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`scope`](#cdktfprovideroktaappuserschemaconfigpropertyscope) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#scope AppUserSchema#scope}. |
| [`union`](#cdktfprovideroktaappuserschemaconfigpropertyunion) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allows to assign attribute's group priority. |
| [`unique`](#cdktfprovideroktaappuserschemaconfigpropertyunique) | `string` | Subschema unique restriction. |
| [`userType`](#cdktfprovideroktaappuserschemaconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.connection" id="cdktfprovideroktaappuserschemaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.count" id="cdktfprovideroktaappuserschemaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.dependsOn" id="cdktfprovideroktaappuserschemaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.forEach" id="cdktfprovideroktaappuserschemaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.lifecycle" id="cdktfprovideroktaappuserschemaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.provider" id="cdktfprovideroktaappuserschemaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.provisioners" id="cdktfprovideroktaappuserschemaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.appId" id="cdktfprovideroktaappuserschemaconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#app_id AppUserSchema#app_id}.

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.index" id="cdktfprovideroktaappuserschemaconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#index AppUserSchema#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.title" id="cdktfprovideroktaappuserschemaconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#title AppUserSchema#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.type" id="cdktfprovideroktaappuserschemaconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#type AppUserSchema#type}

---

##### `arrayEnum`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.arrayEnum" id="cdktfprovideroktaappuserschemaconfigpropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of a property of type array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#array_enum AppUserSchema#array_enum}

---

##### `arrayOneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.arrayOneOf" id="cdktfprovideroktaappuserschemaconfigpropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: IResolvable | AppUserSchemaArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)[]

array_one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#array_one_of AppUserSchema#array_one_of}

---

##### `arrayType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.arrayType" id="cdktfprovideroktaappuserschemaconfigpropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

Subschema array type: string, number, integer, reference. Type field must be an array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#array_type AppUserSchema#array_type}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.description" id="cdktfprovideroktaappuserschemaconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Custom Subschema description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#description AppUserSchema#description}

---

##### `enum`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.enum" id="cdktfprovideroktaappuserschemaconfigpropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#enum AppUserSchema#enum}

---

##### `externalName`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.externalName" id="cdktfprovideroktaappuserschemaconfigpropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

Subschema external name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#external_name AppUserSchema#external_name}

---

##### `externalNamespace`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.externalNamespace" id="cdktfprovideroktaappuserschemaconfigpropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

Subschema external namespace.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#external_namespace AppUserSchema#external_namespace}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.id" id="cdktfprovideroktaappuserschemaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#id AppUserSchema#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.master" id="cdktfprovideroktaappuserschemaconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#master AppUserSchema#master}

---

##### `maxLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.maxLength" id="cdktfprovideroktaappuserschemaconfigpropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

Subschema of type string maximum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#max_length AppUserSchema#max_length}

---

##### `minLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.minLength" id="cdktfprovideroktaappuserschemaconfigpropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

Subschema of type string minimum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#min_length AppUserSchema#min_length}

---

##### `oneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.oneOf" id="cdktfprovideroktaappuserschemaconfigpropertyoneof"></a>

```typescript
public readonly oneOf: IResolvable | AppUserSchemaOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)[]

one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#one_of AppUserSchema#one_of}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.permissions" id="cdktfprovideroktaappuserschemaconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#permissions AppUserSchema#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.required" id="cdktfprovideroktaappuserschemaconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#required AppUserSchema#required}

---

##### `scope`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.scope" id="cdktfprovideroktaappuserschemaconfigpropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#scope AppUserSchema#scope}.

---

##### `union`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.union" id="cdktfprovideroktaappuserschemaconfigpropertyunion"></a>

```typescript
public readonly union: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allows to assign attribute's group priority.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#union AppUserSchema#union}

---

##### `unique`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.unique" id="cdktfprovideroktaappuserschemaconfigpropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

Subschema unique restriction.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#unique AppUserSchema#unique}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaConfig.property.userType" id="cdktfprovideroktaappuserschemaconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#user_type AppUserSchema#user_type}

---

### AppUserSchemaOneOf <a name="@cdktf/provider-okta.AppUserSchemaOneOf" id="cdktfprovideroktaappuserschemaoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserSchemaOneOf } from '@cdktf/provider-okta'

const appUserSchemaOneOf: AppUserSchemaOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktaappuserschemaoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktaappuserschemaoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOf.property.const" id="cdktfprovideroktaappuserschemaoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#const AppUserSchema#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOf.property.title" id="cdktfprovideroktaappuserschemaoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema#title AppUserSchema#title}

---

### AppUserSchemaPropertyArrayOneOf <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf" id="cdktfprovideroktaappuserschemapropertyarrayoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserSchemaPropertyArrayOneOf } from '@cdktf/provider-okta'

const appUserSchemaPropertyArrayOneOf: AppUserSchemaPropertyArrayOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktaappuserschemapropertyarrayoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktaappuserschemapropertyarrayoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf.property.const" id="cdktfprovideroktaappuserschemapropertyarrayoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#const AppUserSchemaProperty#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf.property.title" id="cdktfprovideroktaappuserschemapropertyarrayoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#title AppUserSchemaProperty#title}

---

### AppUserSchemaPropertyConfig <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig" id="cdktfprovideroktaappuserschemapropertyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserSchemaPropertyConfig } from '@cdktf/provider-okta'

const appUserSchemaPropertyConfig: AppUserSchemaPropertyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaappuserschemapropertyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaappuserschemapropertyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaappuserschemapropertyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaappuserschemapropertyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaappuserschemapropertyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaappuserschemapropertyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaappuserschemapropertyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaappuserschemapropertyconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#app_id AppUserSchemaProperty#app_id}. |
| [`index`](#cdktfprovideroktaappuserschemapropertyconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktaappuserschemapropertyconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktaappuserschemapropertyconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`arrayEnum`](#cdktfprovideroktaappuserschemapropertyconfigpropertyarrayenum) | `string`[] | Custom Subschema enumerated value of a property of type array. |
| [`arrayOneOf`](#cdktfprovideroktaappuserschemapropertyconfigpropertyarrayoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)[] | array_one_of block. |
| [`arrayType`](#cdktfprovideroktaappuserschemapropertyconfigpropertyarraytype) | `string` | Subschema array type: string, number, integer, reference. Type field must be an array. |
| [`description`](#cdktfprovideroktaappuserschemapropertyconfigpropertydescription) | `string` | Custom Subschema description. |
| [`enum`](#cdktfprovideroktaappuserschemapropertyconfigpropertyenum) | `string`[] | Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object. |
| [`externalName`](#cdktfprovideroktaappuserschemapropertyconfigpropertyexternalname) | `string` | Subschema external name. |
| [`externalNamespace`](#cdktfprovideroktaappuserschemapropertyconfigpropertyexternalnamespace) | `string` | Subschema external namespace. |
| [`id`](#cdktfprovideroktaappuserschemapropertyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#id AppUserSchemaProperty#id}. |
| [`master`](#cdktfprovideroktaappuserschemapropertyconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`maxLength`](#cdktfprovideroktaappuserschemapropertyconfigpropertymaxlength) | `number` | Subschema of type string maximum length. |
| [`minLength`](#cdktfprovideroktaappuserschemapropertyconfigpropertyminlength) | `number` | Subschema of type string minimum length. |
| [`oneOf`](#cdktfprovideroktaappuserschemapropertyconfigpropertyoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)[] | one_of block. |
| [`permissions`](#cdktfprovideroktaappuserschemapropertyconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktaappuserschemapropertyconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`scope`](#cdktfprovideroktaappuserschemapropertyconfigpropertyscope) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#scope AppUserSchemaProperty#scope}. |
| [`union`](#cdktfprovideroktaappuserschemapropertyconfigpropertyunion) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allows to assign attribute's group priority. |
| [`unique`](#cdktfprovideroktaappuserschemapropertyconfigpropertyunique) | `string` | Subschema unique restriction. |
| [`userType`](#cdktfprovideroktaappuserschemapropertyconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.connection" id="cdktfprovideroktaappuserschemapropertyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.count" id="cdktfprovideroktaappuserschemapropertyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.dependsOn" id="cdktfprovideroktaappuserschemapropertyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.forEach" id="cdktfprovideroktaappuserschemapropertyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.lifecycle" id="cdktfprovideroktaappuserschemapropertyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.provider" id="cdktfprovideroktaappuserschemapropertyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.provisioners" id="cdktfprovideroktaappuserschemapropertyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.appId" id="cdktfprovideroktaappuserschemapropertyconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#app_id AppUserSchemaProperty#app_id}.

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.index" id="cdktfprovideroktaappuserschemapropertyconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#index AppUserSchemaProperty#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.title" id="cdktfprovideroktaappuserschemapropertyconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#title AppUserSchemaProperty#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.type" id="cdktfprovideroktaappuserschemapropertyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#type AppUserSchemaProperty#type}

---

##### `arrayEnum`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.arrayEnum" id="cdktfprovideroktaappuserschemapropertyconfigpropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of a property of type array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#array_enum AppUserSchemaProperty#array_enum}

---

##### `arrayOneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.arrayOneOf" id="cdktfprovideroktaappuserschemapropertyconfigpropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: IResolvable | AppUserSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)[]

array_one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#array_one_of AppUserSchemaProperty#array_one_of}

---

##### `arrayType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.arrayType" id="cdktfprovideroktaappuserschemapropertyconfigpropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

Subschema array type: string, number, integer, reference. Type field must be an array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#array_type AppUserSchemaProperty#array_type}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.description" id="cdktfprovideroktaappuserschemapropertyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Custom Subschema description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#description AppUserSchemaProperty#description}

---

##### `enum`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.enum" id="cdktfprovideroktaappuserschemapropertyconfigpropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#enum AppUserSchemaProperty#enum}

---

##### `externalName`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.externalName" id="cdktfprovideroktaappuserschemapropertyconfigpropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

Subschema external name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#external_name AppUserSchemaProperty#external_name}

---

##### `externalNamespace`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.externalNamespace" id="cdktfprovideroktaappuserschemapropertyconfigpropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

Subschema external namespace.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#external_namespace AppUserSchemaProperty#external_namespace}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.id" id="cdktfprovideroktaappuserschemapropertyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#id AppUserSchemaProperty#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.master" id="cdktfprovideroktaappuserschemapropertyconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#master AppUserSchemaProperty#master}

---

##### `maxLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.maxLength" id="cdktfprovideroktaappuserschemapropertyconfigpropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

Subschema of type string maximum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#max_length AppUserSchemaProperty#max_length}

---

##### `minLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.minLength" id="cdktfprovideroktaappuserschemapropertyconfigpropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

Subschema of type string minimum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#min_length AppUserSchemaProperty#min_length}

---

##### `oneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.oneOf" id="cdktfprovideroktaappuserschemapropertyconfigpropertyoneof"></a>

```typescript
public readonly oneOf: IResolvable | AppUserSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)[]

one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#one_of AppUserSchemaProperty#one_of}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.permissions" id="cdktfprovideroktaappuserschemapropertyconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#permissions AppUserSchemaProperty#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.required" id="cdktfprovideroktaappuserschemapropertyconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#required AppUserSchemaProperty#required}

---

##### `scope`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.scope" id="cdktfprovideroktaappuserschemapropertyconfigpropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#scope AppUserSchemaProperty#scope}.

---

##### `union`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.union" id="cdktfprovideroktaappuserschemapropertyconfigpropertyunion"></a>

```typescript
public readonly union: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allows to assign attribute's group priority.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#union AppUserSchemaProperty#union}

---

##### `unique`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.unique" id="cdktfprovideroktaappuserschemapropertyconfigpropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

Subschema unique restriction.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#unique AppUserSchemaProperty#unique}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyConfig.property.userType" id="cdktfprovideroktaappuserschemapropertyconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#user_type AppUserSchemaProperty#user_type}

---

### AppUserSchemaPropertyOneOf <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOf" id="cdktfprovideroktaappuserschemapropertyoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AppUserSchemaPropertyOneOf } from '@cdktf/provider-okta'

const appUserSchemaPropertyOneOf: AppUserSchemaPropertyOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktaappuserschemapropertyoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktaappuserschemapropertyoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOf.property.const" id="cdktfprovideroktaappuserschemapropertyoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#const AppUserSchemaProperty#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOf.property.title" id="cdktfprovideroktaappuserschemapropertyoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_user_schema_property#title AppUserSchemaProperty#title}

---

### AuthenticatorConfig <a name="@cdktf/provider-okta.AuthenticatorConfig" id="cdktfprovideroktaauthenticatorconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthenticatorConfig } from '@cdktf/provider-okta'

const authenticatorConfig: AuthenticatorConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthenticatorconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthenticatorconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthenticatorconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthenticatorconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthenticatorconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthenticatorconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthenticatorconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`key`](#cdktfprovideroktaauthenticatorconfigpropertykey)<span title="Required">*</span> | `string` | A human-readable string that identifies the Authenticator. |
| [`name`](#cdktfprovideroktaauthenticatorconfigpropertyname)<span title="Required">*</span> | `string` | Display name of the Authenticator. |
| [`id`](#cdktfprovideroktaauthenticatorconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#id Authenticator#id}. |
| [`providerAuthPort`](#cdktfprovideroktaauthenticatorconfigpropertyproviderauthport) | `number` | The RADIUS server port (for example 1812). This is defined when the On-Prem RADIUS server is configured. |
| [`providerHostname`](#cdktfprovideroktaauthenticatorconfigpropertyproviderhostname) | `string` | Server host name or IP address. |
| [`providerSharedSecret`](#cdktfprovideroktaauthenticatorconfigpropertyprovidersharedsecret) | `string` | An authentication key that must be defined when the RADIUS server is configured, and must be the same on both the RADIUS client and server. |
| [`providerUserNameTemplate`](#cdktfprovideroktaauthenticatorconfigpropertyproviderusernametemplate) | `string` | Format expected by the provider. |
| [`settings`](#cdktfprovideroktaauthenticatorconfigpropertysettings) | `string` | Authenticator settings in JSON format. |
| [`status`](#cdktfprovideroktaauthenticatorconfigpropertystatus) | `string` | Authenticator status: ACTIVE or INACTIVE. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.connection" id="cdktfprovideroktaauthenticatorconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.count" id="cdktfprovideroktaauthenticatorconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.dependsOn" id="cdktfprovideroktaauthenticatorconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.forEach" id="cdktfprovideroktaauthenticatorconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.lifecycle" id="cdktfprovideroktaauthenticatorconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.provider" id="cdktfprovideroktaauthenticatorconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.provisioners" id="cdktfprovideroktaauthenticatorconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.key" id="cdktfprovideroktaauthenticatorconfigpropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

A human-readable string that identifies the Authenticator.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#key Authenticator#key}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.name" id="cdktfprovideroktaauthenticatorconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Display name of the Authenticator.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#name Authenticator#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.id" id="cdktfprovideroktaauthenticatorconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#id Authenticator#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `providerAuthPort`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.providerAuthPort" id="cdktfprovideroktaauthenticatorconfigpropertyproviderauthport"></a>

```typescript
public readonly providerAuthPort: number;
```

- *Type:* `number`

The RADIUS server port (for example 1812). This is defined when the On-Prem RADIUS server is configured.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#provider_auth_port Authenticator#provider_auth_port}

---

##### `providerHostname`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.providerHostname" id="cdktfprovideroktaauthenticatorconfigpropertyproviderhostname"></a>

```typescript
public readonly providerHostname: string;
```

- *Type:* `string`

Server host name or IP address.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#provider_hostname Authenticator#provider_hostname}

---

##### `providerSharedSecret`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.providerSharedSecret" id="cdktfprovideroktaauthenticatorconfigpropertyprovidersharedsecret"></a>

```typescript
public readonly providerSharedSecret: string;
```

- *Type:* `string`

An authentication key that must be defined when the RADIUS server is configured, and must be the same on both the RADIUS client and server.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#provider_shared_secret Authenticator#provider_shared_secret}

---

##### `providerUserNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.providerUserNameTemplate" id="cdktfprovideroktaauthenticatorconfigpropertyproviderusernametemplate"></a>

```typescript
public readonly providerUserNameTemplate: string;
```

- *Type:* `string`

Format expected by the provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#provider_user_name_template Authenticator#provider_user_name_template}

---

##### `settings`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.settings" id="cdktfprovideroktaauthenticatorconfigpropertysettings"></a>

```typescript
public readonly settings: string;
```

- *Type:* `string`

Authenticator settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#settings Authenticator#settings}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthenticatorConfig.property.status" id="cdktfprovideroktaauthenticatorconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Authenticator status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/authenticator#status Authenticator#status}

---

### AuthServerClaimConfig <a name="@cdktf/provider-okta.AuthServerClaimConfig" id="cdktfprovideroktaauthserverclaimconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthServerClaimConfig } from '@cdktf/provider-okta'

const authServerClaimConfig: AuthServerClaimConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthserverclaimconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthserverclaimconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthserverclaimconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthserverclaimconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthserverclaimconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthserverclaimconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthserverclaimconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverclaimconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`claimType`](#cdktfprovideroktaauthserverclaimconfigpropertyclaimtype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#claim_type AuthServerClaim#claim_type}. |
| [`name`](#cdktfprovideroktaauthserverclaimconfigpropertyname)<span title="Required">*</span> | `string` | Auth server claim name. |
| [`value`](#cdktfprovideroktaauthserverclaimconfigpropertyvalue)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#value AuthServerClaim#value}. |
| [`alwaysIncludeInToken`](#cdktfprovideroktaauthserverclaimconfigpropertyalwaysincludeintoken) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#always_include_in_token AuthServerClaim#always_include_in_token}. |
| [`groupFilterType`](#cdktfprovideroktaauthserverclaimconfigpropertygroupfiltertype) | `string` | Required when value_type is GROUPS. |
| [`id`](#cdktfprovideroktaauthserverclaimconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#id AuthServerClaim#id}. |
| [`scopes`](#cdktfprovideroktaauthserverclaimconfigpropertyscopes) | `string`[] | Auth server claim list of scopes. |
| [`status`](#cdktfprovideroktaauthserverclaimconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#status AuthServerClaim#status}. |
| [`valueType`](#cdktfprovideroktaauthserverclaimconfigpropertyvaluetype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#value_type AuthServerClaim#value_type}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.connection" id="cdktfprovideroktaauthserverclaimconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.count" id="cdktfprovideroktaauthserverclaimconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.dependsOn" id="cdktfprovideroktaauthserverclaimconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.forEach" id="cdktfprovideroktaauthserverclaimconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.lifecycle" id="cdktfprovideroktaauthserverclaimconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.provider" id="cdktfprovideroktaauthserverclaimconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.provisioners" id="cdktfprovideroktaauthserverclaimconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.authServerId" id="cdktfprovideroktaauthserverclaimconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#auth_server_id AuthServerClaim#auth_server_id}

---

##### `claimType`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.claimType" id="cdktfprovideroktaauthserverclaimconfigpropertyclaimtype"></a>

```typescript
public readonly claimType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#claim_type AuthServerClaim#claim_type}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.name" id="cdktfprovideroktaauthserverclaimconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Auth server claim name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#name AuthServerClaim#name}

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.value" id="cdktfprovideroktaauthserverclaimconfigpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#value AuthServerClaim#value}.

---

##### `alwaysIncludeInToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.alwaysIncludeInToken" id="cdktfprovideroktaauthserverclaimconfigpropertyalwaysincludeintoken"></a>

```typescript
public readonly alwaysIncludeInToken: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#always_include_in_token AuthServerClaim#always_include_in_token}.

---

##### `groupFilterType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.groupFilterType" id="cdktfprovideroktaauthserverclaimconfigpropertygroupfiltertype"></a>

```typescript
public readonly groupFilterType: string;
```

- *Type:* `string`

Required when value_type is GROUPS.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#group_filter_type AuthServerClaim#group_filter_type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.id" id="cdktfprovideroktaauthserverclaimconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#id AuthServerClaim#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `scopes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.scopes" id="cdktfprovideroktaauthserverclaimconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

Auth server claim list of scopes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#scopes AuthServerClaim#scopes}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.status" id="cdktfprovideroktaauthserverclaimconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#status AuthServerClaim#status}.

---

##### `valueType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimConfig.property.valueType" id="cdktfprovideroktaauthserverclaimconfigpropertyvaluetype"></a>

```typescript
public readonly valueType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim#value_type AuthServerClaim#value_type}.

---

### AuthServerClaimDefaultConfig <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig" id="cdktfprovideroktaauthserverclaimdefaultconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthServerClaimDefaultConfig } from '@cdktf/provider-okta'

const authServerClaimDefaultConfig: AuthServerClaimDefaultConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`name`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyname)<span title="Required">*</span> | `string` | Default auth server claim name. |
| [`alwaysIncludeInToken`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyalwaysincludeintoken) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#always_include_in_token AuthServerClaimDefault#always_include_in_token}. |
| [`id`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#id AuthServerClaimDefault#id}. |
| [`value`](#cdktfprovideroktaauthserverclaimdefaultconfigpropertyvalue) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#value AuthServerClaimDefault#value}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.connection" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.count" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.dependsOn" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.forEach" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.lifecycle" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.provider" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.provisioners" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.authServerId" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#auth_server_id AuthServerClaimDefault#auth_server_id}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.name" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Default auth server claim name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#name AuthServerClaimDefault#name}

---

##### `alwaysIncludeInToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.alwaysIncludeInToken" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyalwaysincludeintoken"></a>

```typescript
public readonly alwaysIncludeInToken: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#always_include_in_token AuthServerClaimDefault#always_include_in_token}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.id" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#id AuthServerClaimDefault#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `value`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerClaimDefaultConfig.property.value" id="cdktfprovideroktaauthserverclaimdefaultconfigpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_claim_default#value AuthServerClaimDefault#value}.

---

### AuthServerConfig <a name="@cdktf/provider-okta.AuthServerConfig" id="cdktfprovideroktaauthserverconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthServerConfig } from '@cdktf/provider-okta'

const authServerConfig: AuthServerConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthserverconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthserverconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthserverconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthserverconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthserverconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthserverconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthserverconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`audiences`](#cdktfprovideroktaauthserverconfigpropertyaudiences)<span title="Required">*</span> | `string`[] | Currently Okta only supports a single value here. |
| [`name`](#cdktfprovideroktaauthserverconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#name AuthServer#name}. |
| [`credentialsRotationMode`](#cdktfprovideroktaauthserverconfigpropertycredentialsrotationmode) | `string` | Credential rotation mode, in many cases you cannot set this to MANUAL, the API will ignore the value and you will get a perpetual diff. |
| [`description`](#cdktfprovideroktaauthserverconfigpropertydescription) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#description AuthServer#description}. |
| [`id`](#cdktfprovideroktaauthserverconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#id AuthServer#id}. |
| [`issuerMode`](#cdktfprovideroktaauthserverconfigpropertyissuermode) | `string` | *Early Access Property*. |
| [`status`](#cdktfprovideroktaauthserverconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#status AuthServer#status}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.connection" id="cdktfprovideroktaauthserverconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.count" id="cdktfprovideroktaauthserverconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.dependsOn" id="cdktfprovideroktaauthserverconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.forEach" id="cdktfprovideroktaauthserverconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.lifecycle" id="cdktfprovideroktaauthserverconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.provider" id="cdktfprovideroktaauthserverconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.provisioners" id="cdktfprovideroktaauthserverconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `audiences`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.audiences" id="cdktfprovideroktaauthserverconfigpropertyaudiences"></a>

```typescript
public readonly audiences: string[];
```

- *Type:* `string`[]

Currently Okta only supports a single value here.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#audiences AuthServer#audiences}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.name" id="cdktfprovideroktaauthserverconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#name AuthServer#name}.

---

##### `credentialsRotationMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.credentialsRotationMode" id="cdktfprovideroktaauthserverconfigpropertycredentialsrotationmode"></a>

```typescript
public readonly credentialsRotationMode: string;
```

- *Type:* `string`

Credential rotation mode, in many cases you cannot set this to MANUAL, the API will ignore the value and you will get a perpetual diff.

This should rarely be used.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#credentials_rotation_mode AuthServer#credentials_rotation_mode}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.description" id="cdktfprovideroktaauthserverconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#description AuthServer#description}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.id" id="cdktfprovideroktaauthserverconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#id AuthServer#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.issuerMode" id="cdktfprovideroktaauthserverconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

*Early Access Property*.

Indicates which value is specified in the issuer of the tokens that a Custom Authorization Server returns: the original Okta org domain URL or a custom domain URL  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#issuer_mode AuthServer#issuer_mode}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerConfig.property.status" id="cdktfprovideroktaauthserverconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server#status AuthServer#status}.

---

### AuthServerDefaultConfig <a name="@cdktf/provider-okta.AuthServerDefaultConfig" id="cdktfprovideroktaauthserverdefaultconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthServerDefaultConfig } from '@cdktf/provider-okta'

const authServerDefaultConfig: AuthServerDefaultConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthserverdefaultconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthserverdefaultconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthserverdefaultconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthserverdefaultconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthserverdefaultconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthserverdefaultconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthserverdefaultconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktaauthserverdefaultconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#name AuthServerDefault#name}. |
| [`audiences`](#cdktfprovideroktaauthserverdefaultconfigpropertyaudiences) | `string`[] | Currently Okta only supports a single value here. |
| [`credentialsRotationMode`](#cdktfprovideroktaauthserverdefaultconfigpropertycredentialsrotationmode) | `string` | Credential rotation mode, in many cases you cannot set this to MANUAL, the API will ignore the value and you will get a perpetual diff. |
| [`description`](#cdktfprovideroktaauthserverdefaultconfigpropertydescription) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#description AuthServerDefault#description}. |
| [`id`](#cdktfprovideroktaauthserverdefaultconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#id AuthServerDefault#id}. |
| [`issuerMode`](#cdktfprovideroktaauthserverdefaultconfigpropertyissuermode) | `string` | *Early Access Property*. |
| [`status`](#cdktfprovideroktaauthserverdefaultconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#status AuthServerDefault#status}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.connection" id="cdktfprovideroktaauthserverdefaultconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.count" id="cdktfprovideroktaauthserverdefaultconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.dependsOn" id="cdktfprovideroktaauthserverdefaultconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.forEach" id="cdktfprovideroktaauthserverdefaultconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.lifecycle" id="cdktfprovideroktaauthserverdefaultconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.provider" id="cdktfprovideroktaauthserverdefaultconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.provisioners" id="cdktfprovideroktaauthserverdefaultconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.name" id="cdktfprovideroktaauthserverdefaultconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#name AuthServerDefault#name}.

---

##### `audiences`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.audiences" id="cdktfprovideroktaauthserverdefaultconfigpropertyaudiences"></a>

```typescript
public readonly audiences: string[];
```

- *Type:* `string`[]

Currently Okta only supports a single value here.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#audiences AuthServerDefault#audiences}

---

##### `credentialsRotationMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.credentialsRotationMode" id="cdktfprovideroktaauthserverdefaultconfigpropertycredentialsrotationmode"></a>

```typescript
public readonly credentialsRotationMode: string;
```

- *Type:* `string`

Credential rotation mode, in many cases you cannot set this to MANUAL, the API will ignore the value and you will get a perpetual diff.

This should rarely be used.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#credentials_rotation_mode AuthServerDefault#credentials_rotation_mode}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.description" id="cdktfprovideroktaauthserverdefaultconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#description AuthServerDefault#description}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.id" id="cdktfprovideroktaauthserverdefaultconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#id AuthServerDefault#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.issuerMode" id="cdktfprovideroktaauthserverdefaultconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

*Early Access Property*.

Indicates which value is specified in the issuer of the tokens that a Custom Authorization Server returns: the original Okta org domain URL or a custom domain URL  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#issuer_mode AuthServerDefault#issuer_mode}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerDefaultConfig.property.status" id="cdktfprovideroktaauthserverdefaultconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_default#status AuthServerDefault#status}.

---

### AuthServerPolicyConfig <a name="@cdktf/provider-okta.AuthServerPolicyConfig" id="cdktfprovideroktaauthserverpolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthServerPolicyConfig } from '@cdktf/provider-okta'

const authServerPolicyConfig: AuthServerPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthserverpolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthserverpolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthserverpolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthserverpolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthserverpolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthserverpolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthserverpolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverpolicyconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#auth_server_id AuthServerPolicy#auth_server_id}. |
| [`clientWhitelist`](#cdktfprovideroktaauthserverpolicyconfigpropertyclientwhitelist)<span title="Required">*</span> | `string`[] | Use ["ALL_CLIENTS"] when unsure. |
| [`description`](#cdktfprovideroktaauthserverpolicyconfigpropertydescription)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#description AuthServerPolicy#description}. |
| [`name`](#cdktfprovideroktaauthserverpolicyconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#name AuthServerPolicy#name}. |
| [`priority`](#cdktfprovideroktaauthserverpolicyconfigpropertypriority)<span title="Required">*</span> | `number` | Priority of the auth server policy. |
| [`id`](#cdktfprovideroktaauthserverpolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#id AuthServerPolicy#id}. |
| [`status`](#cdktfprovideroktaauthserverpolicyconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#status AuthServerPolicy#status}. |
| [`type`](#cdktfprovideroktaauthserverpolicyconfigpropertytype) | `string` | Auth server policy type, unlikely this will be anything other then the default. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.connection" id="cdktfprovideroktaauthserverpolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.count" id="cdktfprovideroktaauthserverpolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.dependsOn" id="cdktfprovideroktaauthserverpolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.forEach" id="cdktfprovideroktaauthserverpolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.lifecycle" id="cdktfprovideroktaauthserverpolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.provider" id="cdktfprovideroktaauthserverpolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.provisioners" id="cdktfprovideroktaauthserverpolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.authServerId" id="cdktfprovideroktaauthserverpolicyconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#auth_server_id AuthServerPolicy#auth_server_id}.

---

##### `clientWhitelist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.clientWhitelist" id="cdktfprovideroktaauthserverpolicyconfigpropertyclientwhitelist"></a>

```typescript
public readonly clientWhitelist: string[];
```

- *Type:* `string`[]

Use ["ALL_CLIENTS"] when unsure.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#client_whitelist AuthServerPolicy#client_whitelist}

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.description" id="cdktfprovideroktaauthserverpolicyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#description AuthServerPolicy#description}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.name" id="cdktfprovideroktaauthserverpolicyconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#name AuthServerPolicy#name}.

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.priority" id="cdktfprovideroktaauthserverpolicyconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Priority of the auth server policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#priority AuthServerPolicy#priority}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.id" id="cdktfprovideroktaauthserverpolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#id AuthServerPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.status" id="cdktfprovideroktaauthserverpolicyconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#status AuthServerPolicy#status}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyConfig.property.type" id="cdktfprovideroktaauthserverpolicyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Auth server policy type, unlikely this will be anything other then the default.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy#type AuthServerPolicy#type}

---

### AuthServerPolicyRuleConfig <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig" id="cdktfprovideroktaauthserverpolicyruleconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthServerPolicyRuleConfig } from '@cdktf/provider-okta'

const authServerPolicyRuleConfig: AuthServerPolicyRuleConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthserverpolicyruleconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthserverpolicyruleconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthserverpolicyruleconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`grantTypeWhitelist`](#cdktfprovideroktaauthserverpolicyruleconfigpropertygranttypewhitelist)<span title="Required">*</span> | `string`[] | Accepted grant type values: authorization_code, implicit, password, client_credentials. |
| [`name`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyname)<span title="Required">*</span> | `string` | Auth server policy rule name. |
| [`policyId`](#cdktfprovideroktaauthserverpolicyruleconfigpropertypolicyid)<span title="Required">*</span> | `string` | Auth server policy ID. |
| [`priority`](#cdktfprovideroktaauthserverpolicyruleconfigpropertypriority)<span title="Required">*</span> | `number` | Priority of the auth server policy rule. |
| [`accessTokenLifetimeMinutes`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyaccesstokenlifetimeminutes) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#access_token_lifetime_minutes AuthServerPolicyRule#access_token_lifetime_minutes}. |
| [`groupBlacklist`](#cdktfprovideroktaauthserverpolicyruleconfigpropertygroupblacklist) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#group_blacklist AuthServerPolicyRule#group_blacklist}. |
| [`groupWhitelist`](#cdktfprovideroktaauthserverpolicyruleconfigpropertygroupwhitelist) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#group_whitelist AuthServerPolicyRule#group_whitelist}. |
| [`id`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#id AuthServerPolicyRule#id}. |
| [`inlineHookId`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyinlinehookid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#inline_hook_id AuthServerPolicyRule#inline_hook_id}. |
| [`refreshTokenLifetimeMinutes`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyrefreshtokenlifetimeminutes) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#refresh_token_lifetime_minutes AuthServerPolicyRule#refresh_token_lifetime_minutes}. |
| [`refreshTokenWindowMinutes`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyrefreshtokenwindowminutes) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#refresh_token_window_minutes AuthServerPolicyRule#refresh_token_window_minutes}. |
| [`scopeWhitelist`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyscopewhitelist) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#scope_whitelist AuthServerPolicyRule#scope_whitelist}. |
| [`status`](#cdktfprovideroktaauthserverpolicyruleconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#status AuthServerPolicyRule#status}. |
| [`type`](#cdktfprovideroktaauthserverpolicyruleconfigpropertytype) | `string` | Auth server policy rule type, unlikely this will be anything other then the default. |
| [`userBlacklist`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyuserblacklist) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#user_blacklist AuthServerPolicyRule#user_blacklist}. |
| [`userWhitelist`](#cdktfprovideroktaauthserverpolicyruleconfigpropertyuserwhitelist) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#user_whitelist AuthServerPolicyRule#user_whitelist}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.connection" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.count" id="cdktfprovideroktaauthserverpolicyruleconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.dependsOn" id="cdktfprovideroktaauthserverpolicyruleconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.forEach" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.lifecycle" id="cdktfprovideroktaauthserverpolicyruleconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.provider" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.provisioners" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.authServerId" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#auth_server_id AuthServerPolicyRule#auth_server_id}

---

##### `grantTypeWhitelist`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.grantTypeWhitelist" id="cdktfprovideroktaauthserverpolicyruleconfigpropertygranttypewhitelist"></a>

```typescript
public readonly grantTypeWhitelist: string[];
```

- *Type:* `string`[]

Accepted grant type values: authorization_code, implicit, password, client_credentials.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#grant_type_whitelist AuthServerPolicyRule#grant_type_whitelist}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.name" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Auth server policy rule name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#name AuthServerPolicyRule#name}

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.policyId" id="cdktfprovideroktaauthserverpolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Auth server policy ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#policy_id AuthServerPolicyRule#policy_id}

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.priority" id="cdktfprovideroktaauthserverpolicyruleconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Priority of the auth server policy rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#priority AuthServerPolicyRule#priority}

---

##### `accessTokenLifetimeMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.accessTokenLifetimeMinutes" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyaccesstokenlifetimeminutes"></a>

```typescript
public readonly accessTokenLifetimeMinutes: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#access_token_lifetime_minutes AuthServerPolicyRule#access_token_lifetime_minutes}.

---

##### `groupBlacklist`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.groupBlacklist" id="cdktfprovideroktaauthserverpolicyruleconfigpropertygroupblacklist"></a>

```typescript
public readonly groupBlacklist: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#group_blacklist AuthServerPolicyRule#group_blacklist}.

---

##### `groupWhitelist`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.groupWhitelist" id="cdktfprovideroktaauthserverpolicyruleconfigpropertygroupwhitelist"></a>

```typescript
public readonly groupWhitelist: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#group_whitelist AuthServerPolicyRule#group_whitelist}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.id" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#id AuthServerPolicyRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `inlineHookId`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.inlineHookId" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#inline_hook_id AuthServerPolicyRule#inline_hook_id}.

---

##### `refreshTokenLifetimeMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.refreshTokenLifetimeMinutes" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyrefreshtokenlifetimeminutes"></a>

```typescript
public readonly refreshTokenLifetimeMinutes: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#refresh_token_lifetime_minutes AuthServerPolicyRule#refresh_token_lifetime_minutes}.

---

##### `refreshTokenWindowMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.refreshTokenWindowMinutes" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyrefreshtokenwindowminutes"></a>

```typescript
public readonly refreshTokenWindowMinutes: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#refresh_token_window_minutes AuthServerPolicyRule#refresh_token_window_minutes}.

---

##### `scopeWhitelist`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.scopeWhitelist" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyscopewhitelist"></a>

```typescript
public readonly scopeWhitelist: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#scope_whitelist AuthServerPolicyRule#scope_whitelist}.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.status" id="cdktfprovideroktaauthserverpolicyruleconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#status AuthServerPolicyRule#status}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.type" id="cdktfprovideroktaauthserverpolicyruleconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Auth server policy rule type, unlikely this will be anything other then the default.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#type AuthServerPolicyRule#type}

---

##### `userBlacklist`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.userBlacklist" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyuserblacklist"></a>

```typescript
public readonly userBlacklist: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#user_blacklist AuthServerPolicyRule#user_blacklist}.

---

##### `userWhitelist`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerPolicyRuleConfig.property.userWhitelist" id="cdktfprovideroktaauthserverpolicyruleconfigpropertyuserwhitelist"></a>

```typescript
public readonly userWhitelist: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_policy_rule#user_whitelist AuthServerPolicyRule#user_whitelist}.

---

### AuthServerScopeConfig <a name="@cdktf/provider-okta.AuthServerScopeConfig" id="cdktfprovideroktaauthserverscopeconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AuthServerScopeConfig } from '@cdktf/provider-okta'

const authServerScopeConfig: AuthServerScopeConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaauthserverscopeconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaauthserverscopeconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaauthserverscopeconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaauthserverscopeconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaauthserverscopeconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaauthserverscopeconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaauthserverscopeconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktaauthserverscopeconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`name`](#cdktfprovideroktaauthserverscopeconfigpropertyname)<span title="Required">*</span> | `string` | Auth server scope name. |
| [`consent`](#cdktfprovideroktaauthserverscopeconfigpropertyconsent) | `string` | EA Feature and thus it is simply ignored if the feature is off. |
| [`default`](#cdktfprovideroktaauthserverscopeconfigpropertydefault) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | A default scope will be returned in an access token when the client omits the scope parameter in a token request, provided this scope is allowed as part of the access policy rule. |
| [`description`](#cdktfprovideroktaauthserverscopeconfigpropertydescription) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#description AuthServerScope#description}. |
| [`displayName`](#cdktfprovideroktaauthserverscopeconfigpropertydisplayname) | `string` | Name of the end user displayed in a consent dialog box. |
| [`id`](#cdktfprovideroktaauthserverscopeconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#id AuthServerScope#id}. |
| [`metadataPublish`](#cdktfprovideroktaauthserverscopeconfigpropertymetadatapublish) | `string` | Whether to publish metadata or not, matching API type despite the fact it could just be a boolean. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.connection" id="cdktfprovideroktaauthserverscopeconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.count" id="cdktfprovideroktaauthserverscopeconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.dependsOn" id="cdktfprovideroktaauthserverscopeconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.forEach" id="cdktfprovideroktaauthserverscopeconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.lifecycle" id="cdktfprovideroktaauthserverscopeconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.provider" id="cdktfprovideroktaauthserverscopeconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.provisioners" id="cdktfprovideroktaauthserverscopeconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.authServerId" id="cdktfprovideroktaauthserverscopeconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#auth_server_id AuthServerScope#auth_server_id}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.name" id="cdktfprovideroktaauthserverscopeconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Auth server scope name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#name AuthServerScope#name}

---

##### `consent`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.consent" id="cdktfprovideroktaauthserverscopeconfigpropertyconsent"></a>

```typescript
public readonly consent: string;
```

- *Type:* `string`

EA Feature and thus it is simply ignored if the feature is off.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#consent AuthServerScope#consent}

---

##### `default`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.default" id="cdktfprovideroktaauthserverscopeconfigpropertydefault"></a>

```typescript
public readonly default: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

A default scope will be returned in an access token when the client omits the scope parameter in a token request, provided this scope is allowed as part of the access policy rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#default AuthServerScope#default}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.description" id="cdktfprovideroktaauthserverscopeconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#description AuthServerScope#description}.

---

##### `displayName`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.displayName" id="cdktfprovideroktaauthserverscopeconfigpropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

Name of the end user displayed in a consent dialog box.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#display_name AuthServerScope#display_name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.id" id="cdktfprovideroktaauthserverscopeconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#id AuthServerScope#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `metadataPublish`<sup>Optional</sup> <a name="@cdktf/provider-okta.AuthServerScopeConfig.property.metadataPublish" id="cdktfprovideroktaauthserverscopeconfigpropertymetadatapublish"></a>

```typescript
public readonly metadataPublish: string;
```

- *Type:* `string`

Whether to publish metadata or not, matching API type despite the fact it could just be a boolean.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auth_server_scope#metadata_publish AuthServerScope#metadata_publish}

---

### AutoLoginAppConfig <a name="@cdktf/provider-okta.AutoLoginAppConfig" id="cdktfprovideroktaautologinappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AutoLoginAppConfig } from '@cdktf/provider-okta'

const autoLoginAppConfig: AutoLoginAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaautologinappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaautologinappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaautologinappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaautologinappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaautologinappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaautologinappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaautologinappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaautologinappconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaautologinappconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaautologinappconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaautologinappconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaautologinappconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaautologinappconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`appSettingsJson`](#cdktfprovideroktaautologinappconfigpropertyappsettingsjson) | `string` | Application settings in JSON format. |
| [`autoSubmitToolbar`](#cdktfprovideroktaautologinappconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`credentialsScheme`](#cdktfprovideroktaautologinappconfigpropertycredentialsscheme) | `string` | Application credentials scheme. |
| [`enduserNote`](#cdktfprovideroktaautologinappconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaautologinappconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaautologinappconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaautologinappconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaautologinappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#id AutoLoginApp#id}. |
| [`logo`](#cdktfprovideroktaautologinappconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`preconfiguredApp`](#cdktfprovideroktaautologinappconfigpropertypreconfiguredapp) | `string` | Preconfigured app name. |
| [`revealPassword`](#cdktfprovideroktaautologinappconfigpropertyrevealpassword) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allow user to reveal password. |
| [`sharedPassword`](#cdktfprovideroktaautologinappconfigpropertysharedpassword) | `string` | Shared password, required for certain schemes. |
| [`sharedUsername`](#cdktfprovideroktaautologinappconfigpropertysharedusername) | `string` | Shared username, required for certain schemes. |
| [`signOnRedirectUrl`](#cdktfprovideroktaautologinappconfigpropertysignonredirecturl) | `string` | Post login redirect URL. |
| [`signOnUrl`](#cdktfprovideroktaautologinappconfigpropertysignonurl) | `string` | Login URL. |
| [`skipGroups`](#cdktfprovideroktaautologinappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaautologinappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaautologinappconfigpropertystatus) | `string` | Status of application. |
| [`userNameTemplate`](#cdktfprovideroktaautologinappconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaautologinappconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaautologinappconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaautologinappconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaautologinappconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.connection" id="cdktfprovideroktaautologinappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.count" id="cdktfprovideroktaautologinappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.dependsOn" id="cdktfprovideroktaautologinappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.forEach" id="cdktfprovideroktaautologinappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.lifecycle" id="cdktfprovideroktaautologinappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.provider" id="cdktfprovideroktaautologinappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.provisioners" id="cdktfprovideroktaautologinappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.label" id="cdktfprovideroktaautologinappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#label AutoLoginApp#label}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaautologinappconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#accessibility_error_redirect_url AutoLoginApp#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaautologinappconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#accessibility_login_redirect_url AutoLoginApp#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.accessibilitySelfService" id="cdktfprovideroktaautologinappconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#accessibility_self_service AutoLoginApp#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.adminNote" id="cdktfprovideroktaautologinappconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#admin_note AutoLoginApp#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.appLinksJson" id="cdktfprovideroktaautologinappconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#app_links_json AutoLoginApp#app_links_json}

---

##### `appSettingsJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.appSettingsJson" id="cdktfprovideroktaautologinappconfigpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

Application settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#app_settings_json AutoLoginApp#app_settings_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.autoSubmitToolbar" id="cdktfprovideroktaautologinappconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#auto_submit_toolbar AutoLoginApp#auto_submit_toolbar}

---

##### `credentialsScheme`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.credentialsScheme" id="cdktfprovideroktaautologinappconfigpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

Application credentials scheme.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#credentials_scheme AutoLoginApp#credentials_scheme}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.enduserNote" id="cdktfprovideroktaautologinappconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#enduser_note AutoLoginApp#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.groups" id="cdktfprovideroktaautologinappconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#groups AutoLoginApp#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.hideIos" id="cdktfprovideroktaautologinappconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#hide_ios AutoLoginApp#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.hideWeb" id="cdktfprovideroktaautologinappconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#hide_web AutoLoginApp#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.id" id="cdktfprovideroktaautologinappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#id AutoLoginApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.logo" id="cdktfprovideroktaautologinappconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#logo AutoLoginApp#logo}

---

##### `preconfiguredApp`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.preconfiguredApp" id="cdktfprovideroktaautologinappconfigpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

Preconfigured app name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#preconfigured_app AutoLoginApp#preconfigured_app}

---

##### `revealPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.revealPassword" id="cdktfprovideroktaautologinappconfigpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allow user to reveal password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#reveal_password AutoLoginApp#reveal_password}

---

##### `sharedPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.sharedPassword" id="cdktfprovideroktaautologinappconfigpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

Shared password, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#shared_password AutoLoginApp#shared_password}

---

##### `sharedUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.sharedUsername" id="cdktfprovideroktaautologinappconfigpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

Shared username, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#shared_username AutoLoginApp#shared_username}

---

##### `signOnRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.signOnRedirectUrl" id="cdktfprovideroktaautologinappconfigpropertysignonredirecturl"></a>

```typescript
public readonly signOnRedirectUrl: string;
```

- *Type:* `string`

Post login redirect URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#sign_on_redirect_url AutoLoginApp#sign_on_redirect_url}

---

##### `signOnUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.signOnUrl" id="cdktfprovideroktaautologinappconfigpropertysignonurl"></a>

```typescript
public readonly signOnUrl: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#sign_on_url AutoLoginApp#sign_on_url}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.skipGroups" id="cdktfprovideroktaautologinappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#skip_groups AutoLoginApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.skipUsers" id="cdktfprovideroktaautologinappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#skip_users AutoLoginApp#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.status" id="cdktfprovideroktaautologinappconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#status AutoLoginApp#status}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.userNameTemplate" id="cdktfprovideroktaautologinappconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#user_name_template AutoLoginApp#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaautologinappconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#user_name_template_push_status AutoLoginApp#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaautologinappconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#user_name_template_suffix AutoLoginApp#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.userNameTemplateType" id="cdktfprovideroktaautologinappconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#user_name_template_type AutoLoginApp#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppConfig.property.users" id="cdktfprovideroktaautologinappconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | AutoLoginAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#users AutoLoginApp#users}

---

### AutoLoginAppUsers <a name="@cdktf/provider-okta.AutoLoginAppUsers" id="cdktfprovideroktaautologinappusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { AutoLoginAppUsers } from '@cdktf/provider-okta'

const autoLoginAppUsers: AutoLoginAppUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaautologinappuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaautologinappuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaautologinappuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsers.property.id" id="cdktfprovideroktaautologinappuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#id AutoLoginApp#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsers.property.password" id="cdktfprovideroktaautologinappuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#password AutoLoginApp#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsers.property.username" id="cdktfprovideroktaautologinappuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/auto_login_app#username AutoLoginApp#username}

---

### BehaviorConfig <a name="@cdktf/provider-okta.BehaviorConfig" id="cdktfprovideroktabehaviorconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { BehaviorConfig } from '@cdktf/provider-okta'

const behaviorConfig: BehaviorConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktabehaviorconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktabehaviorconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktabehaviorconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktabehaviorconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktabehaviorconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktabehaviorconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktabehaviorconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktabehaviorconfigpropertyname)<span title="Required">*</span> | `string` | Name of the behavior. |
| [`type`](#cdktfprovideroktabehaviorconfigpropertytype)<span title="Required">*</span> | `string` | Behavior type. |
| [`id`](#cdktfprovideroktabehaviorconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#id Behavior#id}. |
| [`locationGranularityType`](#cdktfprovideroktabehaviorconfigpropertylocationgranularitytype) | `string` | Determines the method and level of detail used to evaluate the behavior. |
| [`numberOfAuthentications`](#cdktfprovideroktabehaviorconfigpropertynumberofauthentications) | `number` | The number of recent authentications used to evaluate the behavior. |
| [`radiusFromLocation`](#cdktfprovideroktabehaviorconfigpropertyradiusfromlocation) | `number` | Radius from location (in kilometers). |
| [`status`](#cdktfprovideroktabehaviorconfigpropertystatus) | `string` | Behavior status: ACTIVE or INACTIVE. |
| [`velocity`](#cdktfprovideroktabehaviorconfigpropertyvelocity) | `number` | Velocity (in kilometers per hour). |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.connection" id="cdktfprovideroktabehaviorconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.count" id="cdktfprovideroktabehaviorconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.dependsOn" id="cdktfprovideroktabehaviorconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.forEach" id="cdktfprovideroktabehaviorconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.lifecycle" id="cdktfprovideroktabehaviorconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.provider" id="cdktfprovideroktabehaviorconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.provisioners" id="cdktfprovideroktabehaviorconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.name" id="cdktfprovideroktabehaviorconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the behavior.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#name Behavior#name}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.type" id="cdktfprovideroktabehaviorconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Behavior type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#type Behavior#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.id" id="cdktfprovideroktabehaviorconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#id Behavior#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `locationGranularityType`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.locationGranularityType" id="cdktfprovideroktabehaviorconfigpropertylocationgranularitytype"></a>

```typescript
public readonly locationGranularityType: string;
```

- *Type:* `string`

Determines the method and level of detail used to evaluate the behavior.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#location_granularity_type Behavior#location_granularity_type}

---

##### `numberOfAuthentications`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.numberOfAuthentications" id="cdktfprovideroktabehaviorconfigpropertynumberofauthentications"></a>

```typescript
public readonly numberOfAuthentications: number;
```

- *Type:* `number`

The number of recent authentications used to evaluate the behavior.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#number_of_authentications Behavior#number_of_authentications}

---

##### `radiusFromLocation`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.radiusFromLocation" id="cdktfprovideroktabehaviorconfigpropertyradiusfromlocation"></a>

```typescript
public readonly radiusFromLocation: number;
```

- *Type:* `number`

Radius from location (in kilometers).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#radius_from_location Behavior#radius_from_location}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.status" id="cdktfprovideroktabehaviorconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Behavior status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#status Behavior#status}

---

##### `velocity`<sup>Optional</sup> <a name="@cdktf/provider-okta.BehaviorConfig.property.velocity" id="cdktfprovideroktabehaviorconfigpropertyvelocity"></a>

```typescript
public readonly velocity: number;
```

- *Type:* `number`

Velocity (in kilometers per hour).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/behavior#velocity Behavior#velocity}

---

### BookmarkAppConfig <a name="@cdktf/provider-okta.BookmarkAppConfig" id="cdktfprovideroktabookmarkappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { BookmarkAppConfig } from '@cdktf/provider-okta'

const bookmarkAppConfig: BookmarkAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktabookmarkappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktabookmarkappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktabookmarkappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktabookmarkappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktabookmarkappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktabookmarkappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktabookmarkappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktabookmarkappconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`url`](#cdktfprovideroktabookmarkappconfigpropertyurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#url BookmarkApp#url}. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktabookmarkappconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktabookmarkappconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktabookmarkappconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktabookmarkappconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktabookmarkappconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktabookmarkappconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`enduserNote`](#cdktfprovideroktabookmarkappconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktabookmarkappconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktabookmarkappconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktabookmarkappconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktabookmarkappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#id BookmarkApp#id}. |
| [`logo`](#cdktfprovideroktabookmarkappconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`requestIntegration`](#cdktfprovideroktabookmarkappconfigpropertyrequestintegration) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#request_integration BookmarkApp#request_integration}. |
| [`skipGroups`](#cdktfprovideroktabookmarkappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktabookmarkappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktabookmarkappconfigpropertystatus) | `string` | Status of application. |
| [`users`](#cdktfprovideroktabookmarkappconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.connection" id="cdktfprovideroktabookmarkappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.count" id="cdktfprovideroktabookmarkappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.dependsOn" id="cdktfprovideroktabookmarkappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.forEach" id="cdktfprovideroktabookmarkappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.lifecycle" id="cdktfprovideroktabookmarkappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.provider" id="cdktfprovideroktabookmarkappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.provisioners" id="cdktfprovideroktabookmarkappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.label" id="cdktfprovideroktabookmarkappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#label BookmarkApp#label}

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.url" id="cdktfprovideroktabookmarkappconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#url BookmarkApp#url}.

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktabookmarkappconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#accessibility_error_redirect_url BookmarkApp#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktabookmarkappconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#accessibility_login_redirect_url BookmarkApp#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.accessibilitySelfService" id="cdktfprovideroktabookmarkappconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#accessibility_self_service BookmarkApp#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.adminNote" id="cdktfprovideroktabookmarkappconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#admin_note BookmarkApp#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.appLinksJson" id="cdktfprovideroktabookmarkappconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#app_links_json BookmarkApp#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.autoSubmitToolbar" id="cdktfprovideroktabookmarkappconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#auto_submit_toolbar BookmarkApp#auto_submit_toolbar}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.enduserNote" id="cdktfprovideroktabookmarkappconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#enduser_note BookmarkApp#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.groups" id="cdktfprovideroktabookmarkappconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#groups BookmarkApp#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.hideIos" id="cdktfprovideroktabookmarkappconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#hide_ios BookmarkApp#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.hideWeb" id="cdktfprovideroktabookmarkappconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#hide_web BookmarkApp#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.id" id="cdktfprovideroktabookmarkappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#id BookmarkApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.logo" id="cdktfprovideroktabookmarkappconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#logo BookmarkApp#logo}

---

##### `requestIntegration`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.requestIntegration" id="cdktfprovideroktabookmarkappconfigpropertyrequestintegration"></a>

```typescript
public readonly requestIntegration: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#request_integration BookmarkApp#request_integration}.

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.skipGroups" id="cdktfprovideroktabookmarkappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#skip_groups BookmarkApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.skipUsers" id="cdktfprovideroktabookmarkappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#skip_users BookmarkApp#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.status" id="cdktfprovideroktabookmarkappconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#status BookmarkApp#status}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppConfig.property.users" id="cdktfprovideroktabookmarkappconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | BookmarkAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#users BookmarkApp#users}

---

### BookmarkAppUsers <a name="@cdktf/provider-okta.BookmarkAppUsers" id="cdktfprovideroktabookmarkappusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { BookmarkAppUsers } from '@cdktf/provider-okta'

const bookmarkAppUsers: BookmarkAppUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktabookmarkappuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktabookmarkappuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktabookmarkappuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsers.property.id" id="cdktfprovideroktabookmarkappuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#id BookmarkApp#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsers.property.password" id="cdktfprovideroktabookmarkappuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#password BookmarkApp#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsers.property.username" id="cdktfprovideroktabookmarkappuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/bookmark_app#username BookmarkApp#username}

---

### BrandConfig <a name="@cdktf/provider-okta.BrandConfig" id="cdktfprovideroktabrandconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { BrandConfig } from '@cdktf/provider-okta'

const brandConfig: BrandConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktabrandconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktabrandconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktabrandconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktabrandconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktabrandconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktabrandconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktabrandconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`agreeToCustomPrivacyPolicy`](#cdktfprovideroktabrandconfigpropertyagreetocustomprivacypolicy) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Consent for updating the custom privacy policy URL. |
| [`brandId`](#cdktfprovideroktabrandconfigpropertybrandid) | `string` | Brand ID - Note: Okta API for brands only reads and updates therefore the okta_brand resource needs to act as a quasi data source. |
| [`customPrivacyPolicyUrl`](#cdktfprovideroktabrandconfigpropertycustomprivacypolicyurl) | `string` | Custom privacy policy URL. |
| [`removePoweredByOkta`](#cdktfprovideroktabrandconfigpropertyremovepoweredbyokta) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Removes "Powered by Okta" from the Okta-hosted sign-in page and "© 2021 Okta, Inc." from the Okta End-User Dashboard. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.connection" id="cdktfprovideroktabrandconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.count" id="cdktfprovideroktabrandconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.dependsOn" id="cdktfprovideroktabrandconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.forEach" id="cdktfprovideroktabrandconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.lifecycle" id="cdktfprovideroktabrandconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.provider" id="cdktfprovideroktabrandconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.provisioners" id="cdktfprovideroktabrandconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `agreeToCustomPrivacyPolicy`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.agreeToCustomPrivacyPolicy" id="cdktfprovideroktabrandconfigpropertyagreetocustomprivacypolicy"></a>

```typescript
public readonly agreeToCustomPrivacyPolicy: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Consent for updating the custom privacy policy URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/brand#agree_to_custom_privacy_policy Brand#agree_to_custom_privacy_policy}

---

##### `brandId`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.brandId" id="cdktfprovideroktabrandconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID - Note: Okta API for brands only reads and updates therefore the okta_brand resource needs to act as a quasi data source.

Do this by setting brand_id.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/brand#brand_id Brand#brand_id}

---

##### `customPrivacyPolicyUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.customPrivacyPolicyUrl" id="cdktfprovideroktabrandconfigpropertycustomprivacypolicyurl"></a>

```typescript
public readonly customPrivacyPolicyUrl: string;
```

- *Type:* `string`

Custom privacy policy URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/brand#custom_privacy_policy_url Brand#custom_privacy_policy_url}

---

##### `removePoweredByOkta`<sup>Optional</sup> <a name="@cdktf/provider-okta.BrandConfig.property.removePoweredByOkta" id="cdktfprovideroktabrandconfigpropertyremovepoweredbyokta"></a>

```typescript
public readonly removePoweredByOkta: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Removes "Powered by Okta" from the Okta-hosted sign-in page and "© 2021 Okta, Inc." from the Okta End-User Dashboard.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/brand#remove_powered_by_okta Brand#remove_powered_by_okta}

---

### CaptchaConfig <a name="@cdktf/provider-okta.CaptchaConfig" id="cdktfprovideroktacaptchaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { CaptchaConfig } from '@cdktf/provider-okta'

const captchaConfig: CaptchaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktacaptchaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktacaptchaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktacaptchaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktacaptchaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktacaptchaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktacaptchaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktacaptchaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktacaptchaconfigpropertyname)<span title="Required">*</span> | `string` | Name of the CAPTCHA. |
| [`secretKey`](#cdktfprovideroktacaptchaconfigpropertysecretkey)<span title="Required">*</span> | `string` | Secret key issued from the CAPTCHA vendor to perform server-side validation for a CAPTCHA token. |
| [`siteKey`](#cdktfprovideroktacaptchaconfigpropertysitekey)<span title="Required">*</span> | `string` | Site key issued from the CAPTCHA vendor to render a CAPTCHA on a page. |
| [`type`](#cdktfprovideroktacaptchaconfigpropertytype)<span title="Required">*</span> | `string` | Captcha type. |
| [`id`](#cdktfprovideroktacaptchaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha#id Captcha#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.connection" id="cdktfprovideroktacaptchaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.count" id="cdktfprovideroktacaptchaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.dependsOn" id="cdktfprovideroktacaptchaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.forEach" id="cdktfprovideroktacaptchaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.lifecycle" id="cdktfprovideroktacaptchaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.provider" id="cdktfprovideroktacaptchaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.provisioners" id="cdktfprovideroktacaptchaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.name" id="cdktfprovideroktacaptchaconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the CAPTCHA.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha#name Captcha#name}

---

##### `secretKey`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.secretKey" id="cdktfprovideroktacaptchaconfigpropertysecretkey"></a>

```typescript
public readonly secretKey: string;
```

- *Type:* `string`

Secret key issued from the CAPTCHA vendor to perform server-side validation for a CAPTCHA token.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha#secret_key Captcha#secret_key}

---

##### `siteKey`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.siteKey" id="cdktfprovideroktacaptchaconfigpropertysitekey"></a>

```typescript
public readonly siteKey: string;
```

- *Type:* `string`

Site key issued from the CAPTCHA vendor to render a CAPTCHA on a page.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha#site_key Captcha#site_key}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.type" id="cdktfprovideroktacaptchaconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Captcha type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha#type Captcha#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaConfig.property.id" id="cdktfprovideroktacaptchaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha#id Captcha#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### CaptchaOrgWideSettingsConfig <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig" id="cdktfprovideroktacaptchaorgwidesettingsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { CaptchaOrgWideSettingsConfig } from '@cdktf/provider-okta'

const captchaOrgWideSettingsConfig: CaptchaOrgWideSettingsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`captchaId`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertycaptchaid) | `string` | ID of the CAPTCHA. |
| [`enabledFor`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertyenabledfor) | `string`[] | Set of pages that have CAPTCHA enabled. |
| [`id`](#cdktfprovideroktacaptchaorgwidesettingsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha_org_wide_settings#id CaptchaOrgWideSettings#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.connection" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.count" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.dependsOn" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.forEach" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.lifecycle" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.provider" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.provisioners" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `captchaId`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.captchaId" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertycaptchaid"></a>

```typescript
public readonly captchaId: string;
```

- *Type:* `string`

ID of the CAPTCHA.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha_org_wide_settings#captcha_id CaptchaOrgWideSettings#captcha_id}

---

##### `enabledFor`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.enabledFor" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertyenabledfor"></a>

```typescript
public readonly enabledFor: string[];
```

- *Type:* `string`[]

Set of pages that have CAPTCHA enabled.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha_org_wide_settings#enabled_for CaptchaOrgWideSettings#enabled_for}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.CaptchaOrgWideSettingsConfig.property.id" id="cdktfprovideroktacaptchaorgwidesettingsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/captcha_org_wide_settings#id CaptchaOrgWideSettings#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAppConfig <a name="@cdktf/provider-okta.DataOktaAppConfig" id="cdktfprovideroktadataoktaappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppConfig } from '@cdktf/provider-okta'

const dataOktaAppConfig: DataOktaAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`activeOnly`](#cdktfprovideroktadataoktaappconfigpropertyactiveonly) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Search only ACTIVE applications. |
| [`id`](#cdktfprovideroktadataoktaappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#id DataOktaApp#id}. |
| [`label`](#cdktfprovideroktadataoktaappconfigpropertylabel) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#label DataOktaApp#label}. |
| [`labelPrefix`](#cdktfprovideroktadataoktaappconfigpropertylabelprefix) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#label_prefix DataOktaApp#label_prefix}. |
| [`skipGroups`](#cdktfprovideroktadataoktaappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktadataoktaappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.connection" id="cdktfprovideroktadataoktaappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.count" id="cdktfprovideroktadataoktaappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.dependsOn" id="cdktfprovideroktadataoktaappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.forEach" id="cdktfprovideroktadataoktaappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.lifecycle" id="cdktfprovideroktadataoktaappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.provider" id="cdktfprovideroktadataoktaappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.provisioners" id="cdktfprovideroktadataoktaappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `activeOnly`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.activeOnly" id="cdktfprovideroktadataoktaappconfigpropertyactiveonly"></a>

```typescript
public readonly activeOnly: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Search only ACTIVE applications.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#active_only DataOktaApp#active_only}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.id" id="cdktfprovideroktadataoktaappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#id DataOktaApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `label`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.label" id="cdktfprovideroktadataoktaappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#label DataOktaApp#label}.

---

##### `labelPrefix`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.labelPrefix" id="cdktfprovideroktadataoktaappconfigpropertylabelprefix"></a>

```typescript
public readonly labelPrefix: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#label_prefix DataOktaApp#label_prefix}.

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.skipGroups" id="cdktfprovideroktadataoktaappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#skip_groups DataOktaApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppConfig.property.skipUsers" id="cdktfprovideroktadataoktaappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app#skip_users DataOktaApp#skip_users}

---

### DataOktaAppGroupAssignmentsConfig <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig" id="cdktfprovideroktadataoktaappgroupassignmentsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppGroupAssignmentsConfig } from '@cdktf/provider-okta'

const dataOktaAppGroupAssignmentsConfig: DataOktaAppGroupAssignmentsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyid)<span title="Required">*</span> | `string` | ID of the Okta App being queried for groups. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.connection" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.count" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.dependsOn" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.forEach" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.lifecycle" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.provider" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.provisioners" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppGroupAssignmentsConfig.property.id" id="cdktfprovideroktadataoktaappgroupassignmentsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

ID of the Okta App being queried for groups.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_group_assignments#id DataOktaAppGroupAssignments#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAppMetadataSamlConfig <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig" id="cdktfprovideroktadataoktaappmetadatasamlconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppMetadataSamlConfig } from '@cdktf/provider-okta'

const dataOktaAppMetadataSamlConfig: DataOktaAppMetadataSamlConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_metadata_saml#app_id DataOktaAppMetadataSaml#app_id}. |
| [`id`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_metadata_saml#id DataOktaAppMetadataSaml#id}. |
| [`keyId`](#cdktfprovideroktadataoktaappmetadatasamlconfigpropertykeyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_metadata_saml#key_id DataOktaAppMetadataSaml#key_id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.connection" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.count" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.dependsOn" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.forEach" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.lifecycle" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.provider" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.provisioners" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.appId" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_metadata_saml#app_id DataOktaAppMetadataSaml#app_id}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.id" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_metadata_saml#id DataOktaAppMetadataSaml#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `keyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppMetadataSamlConfig.property.keyId" id="cdktfprovideroktadataoktaappmetadatasamlconfigpropertykeyid"></a>

```typescript
public readonly keyId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_metadata_saml#key_id DataOktaAppMetadataSaml#key_id}.

---

### DataOktaAppOauthConfig <a name="@cdktf/provider-okta.DataOktaAppOauthConfig" id="cdktfprovideroktadataoktaappoauthconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppOauthConfig } from '@cdktf/provider-okta'

const dataOktaAppOauthConfig: DataOktaAppOauthConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaappoauthconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaappoauthconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaappoauthconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaappoauthconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaappoauthconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaappoauthconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaappoauthconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`activeOnly`](#cdktfprovideroktadataoktaappoauthconfigpropertyactiveonly) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Search only ACTIVE applications. |
| [`id`](#cdktfprovideroktadataoktaappoauthconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#id DataOktaAppOauth#id}. |
| [`label`](#cdktfprovideroktadataoktaappoauthconfigpropertylabel) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#label DataOktaAppOauth#label}. |
| [`labelPrefix`](#cdktfprovideroktadataoktaappoauthconfigpropertylabelprefix) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#label_prefix DataOktaAppOauth#label_prefix}. |
| [`skipGroups`](#cdktfprovideroktadataoktaappoauthconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktadataoktaappoauthconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.connection" id="cdktfprovideroktadataoktaappoauthconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.count" id="cdktfprovideroktadataoktaappoauthconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.dependsOn" id="cdktfprovideroktadataoktaappoauthconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.forEach" id="cdktfprovideroktadataoktaappoauthconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.lifecycle" id="cdktfprovideroktadataoktaappoauthconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.provider" id="cdktfprovideroktadataoktaappoauthconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.provisioners" id="cdktfprovideroktadataoktaappoauthconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `activeOnly`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.activeOnly" id="cdktfprovideroktadataoktaappoauthconfigpropertyactiveonly"></a>

```typescript
public readonly activeOnly: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Search only ACTIVE applications.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#active_only DataOktaAppOauth#active_only}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.id" id="cdktfprovideroktadataoktaappoauthconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#id DataOktaAppOauth#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `label`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.label" id="cdktfprovideroktadataoktaappoauthconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#label DataOktaAppOauth#label}.

---

##### `labelPrefix`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.labelPrefix" id="cdktfprovideroktadataoktaappoauthconfigpropertylabelprefix"></a>

```typescript
public readonly labelPrefix: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#label_prefix DataOktaAppOauth#label_prefix}.

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.skipGroups" id="cdktfprovideroktadataoktaappoauthconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#skip_groups DataOktaAppOauth#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppOauthConfig.property.skipUsers" id="cdktfprovideroktadataoktaappoauthconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_oauth#skip_users DataOktaAppOauth#skip_users}

---

### DataOktaAppSamlAttributeStatements <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatements" id="cdktfprovideroktadataoktaappsamlattributestatements"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppSamlAttributeStatements } from '@cdktf/provider-okta'

const dataOktaAppSamlAttributeStatements: DataOktaAppSamlAttributeStatements = { ... }
```


### DataOktaAppSamlConfig <a name="@cdktf/provider-okta.DataOktaAppSamlConfig" id="cdktfprovideroktadataoktaappsamlconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppSamlConfig } from '@cdktf/provider-okta'

const dataOktaAppSamlConfig: DataOktaAppSamlConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaappsamlconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaappsamlconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaappsamlconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaappsamlconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaappsamlconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaappsamlconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaappsamlconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`activeOnly`](#cdktfprovideroktadataoktaappsamlconfigpropertyactiveonly) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Search only ACTIVE applications. |
| [`id`](#cdktfprovideroktadataoktaappsamlconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#id DataOktaAppSaml#id}. |
| [`label`](#cdktfprovideroktadataoktaappsamlconfigpropertylabel) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#label DataOktaAppSaml#label}. |
| [`labelPrefix`](#cdktfprovideroktadataoktaappsamlconfigpropertylabelprefix) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#label_prefix DataOktaAppSaml#label_prefix}. |
| [`requestCompressed`](#cdktfprovideroktadataoktaappsamlconfigpropertyrequestcompressed) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Denotes whether the request is compressed or not. |
| [`skipGroups`](#cdktfprovideroktadataoktaappsamlconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktadataoktaappsamlconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.connection" id="cdktfprovideroktadataoktaappsamlconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.count" id="cdktfprovideroktadataoktaappsamlconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.dependsOn" id="cdktfprovideroktadataoktaappsamlconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.forEach" id="cdktfprovideroktadataoktaappsamlconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.lifecycle" id="cdktfprovideroktadataoktaappsamlconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.provider" id="cdktfprovideroktadataoktaappsamlconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.provisioners" id="cdktfprovideroktadataoktaappsamlconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `activeOnly`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.activeOnly" id="cdktfprovideroktadataoktaappsamlconfigpropertyactiveonly"></a>

```typescript
public readonly activeOnly: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Search only ACTIVE applications.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#active_only DataOktaAppSaml#active_only}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.id" id="cdktfprovideroktadataoktaappsamlconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#id DataOktaAppSaml#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `label`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.label" id="cdktfprovideroktadataoktaappsamlconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#label DataOktaAppSaml#label}.

---

##### `labelPrefix`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.labelPrefix" id="cdktfprovideroktadataoktaappsamlconfigpropertylabelprefix"></a>

```typescript
public readonly labelPrefix: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#label_prefix DataOktaAppSaml#label_prefix}.

---

##### `requestCompressed`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.requestCompressed" id="cdktfprovideroktadataoktaappsamlconfigpropertyrequestcompressed"></a>

```typescript
public readonly requestCompressed: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Denotes whether the request is compressed or not.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#request_compressed DataOktaAppSaml#request_compressed}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.skipGroups" id="cdktfprovideroktadataoktaappsamlconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#skip_groups DataOktaAppSaml#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlConfig.property.skipUsers" id="cdktfprovideroktadataoktaappsamlconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_saml#skip_users DataOktaAppSaml#skip_users}

---

### DataOktaAppSignonPolicyConfig <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig" id="cdktfprovideroktadataoktaappsignonpolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppSignonPolicyConfig } from '@cdktf/provider-okta'

const dataOktaAppSignonPolicyConfig: DataOktaAppSignonPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertyappid)<span title="Required">*</span> | `string` | App ID. |
| [`id`](#cdktfprovideroktadataoktaappsignonpolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_signon_policy#id DataOktaAppSignonPolicy#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.connection" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.count" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.dependsOn" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.forEach" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.lifecycle" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.provider" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.provisioners" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.appId" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

App ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_signon_policy#app_id DataOktaAppSignonPolicy#app_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSignonPolicyConfig.property.id" id="cdktfprovideroktadataoktaappsignonpolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_signon_policy#id DataOktaAppSignonPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAppUserAssignmentsConfig <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig" id="cdktfprovideroktadataoktaappuserassignmentsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAppUserAssignmentsConfig } from '@cdktf/provider-okta'

const dataOktaAppUserAssignmentsConfig: DataOktaAppUserAssignmentsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaappuserassignmentsconfigpropertyid)<span title="Required">*</span> | `string` | ID of the Okta App being queried for groups. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.connection" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.count" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.dependsOn" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.forEach" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.lifecycle" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.provider" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.provisioners" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppUserAssignmentsConfig.property.id" id="cdktfprovideroktadataoktaappuserassignmentsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

ID of the Okta App being queried for groups.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_user_assignments#id DataOktaAppUserAssignments#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAuthenticatorConfig <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig" id="cdktfprovideroktadataoktaauthenticatorconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthenticatorConfig } from '@cdktf/provider-okta'

const dataOktaAuthenticatorConfig: DataOktaAuthenticatorConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaauthenticatorconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaauthenticatorconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaauthenticatorconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaauthenticatorconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaauthenticatorconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaauthenticatorconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaauthenticatorconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthenticatorconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/authenticator#id DataOktaAuthenticator#id}. |
| [`key`](#cdktfprovideroktadataoktaauthenticatorconfigpropertykey) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/authenticator#key DataOktaAuthenticator#key}. |
| [`name`](#cdktfprovideroktadataoktaauthenticatorconfigpropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/authenticator#name DataOktaAuthenticator#name}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.connection" id="cdktfprovideroktadataoktaauthenticatorconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.count" id="cdktfprovideroktadataoktaauthenticatorconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.dependsOn" id="cdktfprovideroktadataoktaauthenticatorconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.forEach" id="cdktfprovideroktadataoktaauthenticatorconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.lifecycle" id="cdktfprovideroktadataoktaauthenticatorconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.provider" id="cdktfprovideroktadataoktaauthenticatorconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.provisioners" id="cdktfprovideroktadataoktaauthenticatorconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.id" id="cdktfprovideroktadataoktaauthenticatorconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/authenticator#id DataOktaAuthenticator#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `key`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.key" id="cdktfprovideroktadataoktaauthenticatorconfigpropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/authenticator#key DataOktaAuthenticator#key}.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthenticatorConfig.property.name" id="cdktfprovideroktadataoktaauthenticatorconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/authenticator#name DataOktaAuthenticator#name}.

---

### DataOktaAuthServerClaimConfig <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig" id="cdktfprovideroktadataoktaauthserverclaimconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthServerClaimConfig } from '@cdktf/provider-okta'

const dataOktaAuthServerClaimConfig: DataOktaAuthServerClaimConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`id`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claim#id DataOktaAuthServerClaim#id}. |
| [`name`](#cdktfprovideroktadataoktaauthserverclaimconfigpropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claim#name DataOktaAuthServerClaim#name}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.connection" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.count" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.dependsOn" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.forEach" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.lifecycle" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.provider" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.provisioners" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.authServerId" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claim#auth_server_id DataOktaAuthServerClaim#auth_server_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.id" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claim#id DataOktaAuthServerClaim#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimConfig.property.name" id="cdktfprovideroktadataoktaauthserverclaimconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claim#name DataOktaAuthServerClaim#name}.

---

### DataOktaAuthServerClaimsClaims <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaims" id="cdktfprovideroktadataoktaauthserverclaimsclaims"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthServerClaimsClaims } from '@cdktf/provider-okta'

const dataOktaAuthServerClaimsClaims: DataOktaAuthServerClaimsClaims = { ... }
```


### DataOktaAuthServerClaimsConfig <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig" id="cdktfprovideroktadataoktaauthserverclaimsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthServerClaimsConfig } from '@cdktf/provider-okta'

const dataOktaAuthServerClaimsConfig: DataOktaAuthServerClaimsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`id`](#cdktfprovideroktadataoktaauthserverclaimsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claims#id DataOktaAuthServerClaims#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.connection" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.count" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.dependsOn" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.forEach" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.lifecycle" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.provider" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.provisioners" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.authServerId" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claims#auth_server_id DataOktaAuthServerClaims#auth_server_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsConfig.property.id" id="cdktfprovideroktadataoktaauthserverclaimsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_claims#id DataOktaAuthServerClaims#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAuthServerConfig <a name="@cdktf/provider-okta.DataOktaAuthServerConfig" id="cdktfprovideroktadataoktaauthserverconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthServerConfig } from '@cdktf/provider-okta'

const dataOktaAuthServerConfig: DataOktaAuthServerConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaauthserverconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaauthserverconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaauthserverconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaauthserverconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaauthserverconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaauthserverconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaauthserverconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktadataoktaauthserverconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server#name DataOktaAuthServer#name}. |
| [`id`](#cdktfprovideroktadataoktaauthserverconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server#id DataOktaAuthServer#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.connection" id="cdktfprovideroktadataoktaauthserverconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.count" id="cdktfprovideroktadataoktaauthserverconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.dependsOn" id="cdktfprovideroktadataoktaauthserverconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.forEach" id="cdktfprovideroktadataoktaauthserverconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.lifecycle" id="cdktfprovideroktadataoktaauthserverconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.provider" id="cdktfprovideroktadataoktaauthserverconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.provisioners" id="cdktfprovideroktadataoktaauthserverconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.name" id="cdktfprovideroktadataoktaauthserverconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server#name DataOktaAuthServer#name}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerConfig.property.id" id="cdktfprovideroktadataoktaauthserverconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server#id DataOktaAuthServer#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAuthServerPolicyConfig <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig" id="cdktfprovideroktadataoktaauthserverpolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthServerPolicyConfig } from '@cdktf/provider-okta'

const dataOktaAuthServerPolicyConfig: DataOktaAuthServerPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`name`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertyname)<span title="Required">*</span> | `string` | Name of the policy. |
| [`id`](#cdktfprovideroktadataoktaauthserverpolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_policy#id DataOktaAuthServerPolicy#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.connection" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.count" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.dependsOn" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.forEach" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.lifecycle" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.provider" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.provisioners" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.authServerId" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_policy#auth_server_id DataOktaAuthServerPolicy#auth_server_id}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.name" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_policy#name DataOktaAuthServerPolicy#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerPolicyConfig.property.id" id="cdktfprovideroktadataoktaauthserverpolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_policy#id DataOktaAuthServerPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAuthServerScopesConfig <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig" id="cdktfprovideroktadataoktaauthserverscopesconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthServerScopesConfig } from '@cdktf/provider-okta'

const dataOktaAuthServerScopesConfig: DataOktaAuthServerScopesConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authServerId`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertyauthserverid)<span title="Required">*</span> | `string` | Auth server ID. |
| [`id`](#cdktfprovideroktadataoktaauthserverscopesconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_scopes#id DataOktaAuthServerScopes#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.connection" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.count" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.dependsOn" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.forEach" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.lifecycle" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.provider" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.provisioners" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authServerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.authServerId" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertyauthserverid"></a>

```typescript
public readonly authServerId: string;
```

- *Type:* `string`

Auth server ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_scopes#auth_server_id DataOktaAuthServerScopes#auth_server_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesConfig.property.id" id="cdktfprovideroktadataoktaauthserverscopesconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/auth_server_scopes#id DataOktaAuthServerScopes#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaAuthServerScopesScopes <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopes" id="cdktfprovideroktadataoktaauthserverscopesscopes"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaAuthServerScopesScopes } from '@cdktf/provider-okta'

const dataOktaAuthServerScopesScopes: DataOktaAuthServerScopesScopes = { ... }
```


### DataOktaBehaviorConfig <a name="@cdktf/provider-okta.DataOktaBehaviorConfig" id="cdktfprovideroktadataoktabehaviorconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaBehaviorConfig } from '@cdktf/provider-okta'

const dataOktaBehaviorConfig: DataOktaBehaviorConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktabehaviorconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktabehaviorconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktabehaviorconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktabehaviorconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktabehaviorconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktabehaviorconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktabehaviorconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktabehaviorconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behavior#id DataOktaBehavior#id}. |
| [`name`](#cdktfprovideroktadataoktabehaviorconfigpropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behavior#name DataOktaBehavior#name}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.connection" id="cdktfprovideroktadataoktabehaviorconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.count" id="cdktfprovideroktadataoktabehaviorconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.dependsOn" id="cdktfprovideroktadataoktabehaviorconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.forEach" id="cdktfprovideroktadataoktabehaviorconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.lifecycle" id="cdktfprovideroktadataoktabehaviorconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.provider" id="cdktfprovideroktadataoktabehaviorconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.provisioners" id="cdktfprovideroktadataoktabehaviorconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.id" id="cdktfprovideroktadataoktabehaviorconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behavior#id DataOktaBehavior#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorConfig.property.name" id="cdktfprovideroktadataoktabehaviorconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behavior#name DataOktaBehavior#name}.

---

### DataOktaBehaviorsBehaviors <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviors" id="cdktfprovideroktadataoktabehaviorsbehaviors"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaBehaviorsBehaviors } from '@cdktf/provider-okta'

const dataOktaBehaviorsBehaviors: DataOktaBehaviorsBehaviors = { ... }
```


### DataOktaBehaviorsConfig <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig" id="cdktfprovideroktadataoktabehaviorsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaBehaviorsConfig } from '@cdktf/provider-okta'

const dataOktaBehaviorsConfig: DataOktaBehaviorsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktabehaviorsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktabehaviorsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktabehaviorsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktabehaviorsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktabehaviorsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktabehaviorsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktabehaviorsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktabehaviorsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behaviors#id DataOktaBehaviors#id}. |
| [`q`](#cdktfprovideroktadataoktabehaviorsconfigpropertyq) | `string` | Searches the name property of behaviors for matching value. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.connection" id="cdktfprovideroktadataoktabehaviorsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.count" id="cdktfprovideroktadataoktabehaviorsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.dependsOn" id="cdktfprovideroktadataoktabehaviorsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.forEach" id="cdktfprovideroktadataoktabehaviorsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.lifecycle" id="cdktfprovideroktadataoktabehaviorsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.provider" id="cdktfprovideroktadataoktabehaviorsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.provisioners" id="cdktfprovideroktadataoktabehaviorsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.id" id="cdktfprovideroktadataoktabehaviorsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behaviors#id DataOktaBehaviors#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `q`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsConfig.property.q" id="cdktfprovideroktadataoktabehaviorsconfigpropertyq"></a>

```typescript
public readonly q: string;
```

- *Type:* `string`

Searches the name property of behaviors for matching value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/behaviors#q DataOktaBehaviors#q}

---

### DataOktaBrandConfig <a name="@cdktf/provider-okta.DataOktaBrandConfig" id="cdktfprovideroktadataoktabrandconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaBrandConfig } from '@cdktf/provider-okta'

const dataOktaBrandConfig: DataOktaBrandConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktabrandconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktabrandconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktabrandconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktabrandconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktabrandconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktabrandconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktabrandconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktabrandconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.connection" id="cdktfprovideroktadataoktabrandconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.count" id="cdktfprovideroktadataoktabrandconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.dependsOn" id="cdktfprovideroktadataoktabrandconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.forEach" id="cdktfprovideroktadataoktabrandconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.lifecycle" id="cdktfprovideroktadataoktabrandconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.provider" id="cdktfprovideroktadataoktabrandconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.provisioners" id="cdktfprovideroktadataoktabrandconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandConfig.property.brandId" id="cdktfprovideroktadataoktabrandconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/brand#brand_id DataOktaBrand#brand_id}

---

### DataOktaBrandsBrands <a name="@cdktf/provider-okta.DataOktaBrandsBrands" id="cdktfprovideroktadataoktabrandsbrands"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaBrandsBrands } from '@cdktf/provider-okta'

const dataOktaBrandsBrands: DataOktaBrandsBrands = { ... }
```


### DataOktaBrandsConfig <a name="@cdktf/provider-okta.DataOktaBrandsConfig" id="cdktfprovideroktadataoktabrandsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaBrandsConfig } from '@cdktf/provider-okta'

const dataOktaBrandsConfig: DataOktaBrandsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktabrandsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktabrandsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktabrandsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktabrandsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktabrandsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktabrandsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktabrandsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktabrandsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/brands#id DataOktaBrands#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.connection" id="cdktfprovideroktadataoktabrandsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.count" id="cdktfprovideroktadataoktabrandsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.dependsOn" id="cdktfprovideroktadataoktabrandsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.forEach" id="cdktfprovideroktadataoktabrandsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.lifecycle" id="cdktfprovideroktadataoktabrandsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.provider" id="cdktfprovideroktadataoktabrandsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.provisioners" id="cdktfprovideroktadataoktabrandsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsConfig.property.id" id="cdktfprovideroktadataoktabrandsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/brands#id DataOktaBrands#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaDefaultPoliciesConfig <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig" id="cdktfprovideroktadataoktadefaultpoliciesconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaDefaultPoliciesConfig } from '@cdktf/provider-okta'

const dataOktaDefaultPoliciesConfig: DataOktaDefaultPoliciesConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`type`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertytype)<span title="Required">*</span> | `string` | Policy type: OKTA_SIGN_ON, PASSWORD, MFA_ENROLL, or IDP_DISCOVERY. |
| [`id`](#cdktfprovideroktadataoktadefaultpoliciesconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/default_policies#id DataOktaDefaultPolicies#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.connection" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.count" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.dependsOn" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.forEach" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.lifecycle" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.provider" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.provisioners" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.type" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Policy type: OKTA_SIGN_ON, PASSWORD, MFA_ENROLL, or IDP_DISCOVERY.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/default_policies#type DataOktaDefaultPolicies#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPoliciesConfig.property.id" id="cdktfprovideroktadataoktadefaultpoliciesconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/default_policies#id DataOktaDefaultPolicies#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaDefaultPolicyConfig <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig" id="cdktfprovideroktadataoktadefaultpolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaDefaultPolicyConfig } from '@cdktf/provider-okta'

const dataOktaDefaultPolicyConfig: DataOktaDefaultPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`type`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertytype)<span title="Required">*</span> | `string` | Policy type: OKTA_SIGN_ON, PASSWORD, MFA_ENROLL, or IDP_DISCOVERY. |
| [`id`](#cdktfprovideroktadataoktadefaultpolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/default_policy#id DataOktaDefaultPolicy#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.connection" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.count" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.dependsOn" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.forEach" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.lifecycle" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.provider" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.provisioners" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.type" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Policy type: OKTA_SIGN_ON, PASSWORD, MFA_ENROLL, or IDP_DISCOVERY.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/default_policy#type DataOktaDefaultPolicy#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaDefaultPolicyConfig.property.id" id="cdktfprovideroktadataoktadefaultpolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/default_policy#id DataOktaDefaultPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaEmailCustomizationConfig <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig" id="cdktfprovideroktadataoktaemailcustomizationconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaEmailCustomizationConfig } from '@cdktf/provider-okta'

const dataOktaEmailCustomizationConfig: DataOktaEmailCustomizationConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`customizationId`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertycustomizationid)<span title="Required">*</span> | `string` | The ID of the customization. |
| [`templateName`](#cdktfprovideroktadataoktaemailcustomizationconfigpropertytemplatename)<span title="Required">*</span> | `string` | Template Name. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.connection" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.count" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.dependsOn" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.forEach" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.lifecycle" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.provider" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.provisioners" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.brandId" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_customization#brand_id DataOktaEmailCustomization#brand_id}

---

##### `customizationId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.customizationId" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertycustomizationid"></a>

```typescript
public readonly customizationId: string;
```

- *Type:* `string`

The ID of the customization.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_customization#customization_id DataOktaEmailCustomization#customization_id}

---

##### `templateName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationConfig.property.templateName" id="cdktfprovideroktadataoktaemailcustomizationconfigpropertytemplatename"></a>

```typescript
public readonly templateName: string;
```

- *Type:* `string`

Template Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_customization#template_name DataOktaEmailCustomization#template_name}

---

### DataOktaEmailCustomizationsConfig <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig" id="cdktfprovideroktadataoktaemailcustomizationsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaEmailCustomizationsConfig } from '@cdktf/provider-okta'

const dataOktaEmailCustomizationsConfig: DataOktaEmailCustomizationsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`templateName`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertytemplatename)<span title="Required">*</span> | `string` | Template Name. |
| [`id`](#cdktfprovideroktadataoktaemailcustomizationsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_customizations#id DataOktaEmailCustomizations#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.connection" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.count" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.dependsOn" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.forEach" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.lifecycle" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.provider" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.provisioners" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.brandId" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_customizations#brand_id DataOktaEmailCustomizations#brand_id}

---

##### `templateName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.templateName" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertytemplatename"></a>

```typescript
public readonly templateName: string;
```

- *Type:* `string`

Template Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_customizations#template_name DataOktaEmailCustomizations#template_name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsConfig.property.id" id="cdktfprovideroktadataoktaemailcustomizationsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_customizations#id DataOktaEmailCustomizations#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaEmailCustomizationsEmailCustomizations <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizations" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizations"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaEmailCustomizationsEmailCustomizations } from '@cdktf/provider-okta'

const dataOktaEmailCustomizationsEmailCustomizations: DataOktaEmailCustomizationsEmailCustomizations = { ... }
```


### DataOktaEmailTemplateConfig <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig" id="cdktfprovideroktadataoktaemailtemplateconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaEmailTemplateConfig } from '@cdktf/provider-okta'

const dataOktaEmailTemplateConfig: DataOktaEmailTemplateConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaemailtemplateconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaemailtemplateconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaemailtemplateconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaemailtemplateconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaemailtemplateconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaemailtemplateconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaemailtemplateconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailtemplateconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`name`](#cdktfprovideroktadataoktaemailtemplateconfigpropertyname)<span title="Required">*</span> | `string` | The name of the email template. |
| [`id`](#cdktfprovideroktadataoktaemailtemplateconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_template#id DataOktaEmailTemplate#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.connection" id="cdktfprovideroktadataoktaemailtemplateconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.count" id="cdktfprovideroktadataoktaemailtemplateconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.dependsOn" id="cdktfprovideroktadataoktaemailtemplateconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.forEach" id="cdktfprovideroktadataoktaemailtemplateconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.lifecycle" id="cdktfprovideroktadataoktaemailtemplateconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.provider" id="cdktfprovideroktadataoktaemailtemplateconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.provisioners" id="cdktfprovideroktadataoktaemailtemplateconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.brandId" id="cdktfprovideroktadataoktaemailtemplateconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_template#brand_id DataOktaEmailTemplate#brand_id}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.name" id="cdktfprovideroktadataoktaemailtemplateconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

The name of the email template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_template#name DataOktaEmailTemplate#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplateConfig.property.id" id="cdktfprovideroktadataoktaemailtemplateconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_template#id DataOktaEmailTemplate#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaEmailTemplatesConfig <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig" id="cdktfprovideroktadataoktaemailtemplatesconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaEmailTemplatesConfig } from '@cdktf/provider-okta'

const dataOktaEmailTemplatesConfig: DataOktaEmailTemplatesConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`id`](#cdktfprovideroktadataoktaemailtemplatesconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_templates#id DataOktaEmailTemplates#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.connection" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.count" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.dependsOn" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.forEach" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.lifecycle" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.provider" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.provisioners" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.brandId" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_templates#brand_id DataOktaEmailTemplates#brand_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesConfig.property.id" id="cdktfprovideroktadataoktaemailtemplatesconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/email_templates#id DataOktaEmailTemplates#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaEmailTemplatesEmailTemplates <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplates" id="cdktfprovideroktadataoktaemailtemplatesemailtemplates"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaEmailTemplatesEmailTemplates } from '@cdktf/provider-okta'

const dataOktaEmailTemplatesEmailTemplates: DataOktaEmailTemplatesEmailTemplates = { ... }
```


### DataOktaEveryoneGroupConfig <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig" id="cdktfprovideroktadataoktaeveryonegroupconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaEveryoneGroupConfig } from '@cdktf/provider-okta'

const dataOktaEveryoneGroupConfig: DataOktaEveryoneGroupConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/everyone_group#id DataOktaEveryoneGroup#id}. |
| [`includeUsers`](#cdktfprovideroktadataoktaeveryonegroupconfigpropertyincludeusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Fetch group users, having default off cuts down on API calls. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.connection" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.count" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.dependsOn" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.forEach" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.lifecycle" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.provider" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.provisioners" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.id" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/everyone_group#id DataOktaEveryoneGroup#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `includeUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEveryoneGroupConfig.property.includeUsers" id="cdktfprovideroktadataoktaeveryonegroupconfigpropertyincludeusers"></a>

```typescript
public readonly includeUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Fetch group users, having default off cuts down on API calls.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/everyone_group#include_users DataOktaEveryoneGroup#include_users}

---

### DataOktaGroupConfig <a name="@cdktf/provider-okta.DataOktaGroupConfig" id="cdktfprovideroktadataoktagroupconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaGroupConfig } from '@cdktf/provider-okta'

const dataOktaGroupConfig: DataOktaGroupConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktagroupconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktagroupconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktagroupconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktagroupconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktagroupconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktagroupconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktagroupconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`delayReadSeconds`](#cdktfprovideroktadataoktagroupconfigpropertydelayreadseconds) | `string` | Force delay of the group read by N seconds. |
| [`id`](#cdktfprovideroktadataoktagroupconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/group#id DataOktaGroup#id}. |
| [`includeUsers`](#cdktfprovideroktadataoktagroupconfigpropertyincludeusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Fetch group users, having default off cuts down on API calls. |
| [`name`](#cdktfprovideroktadataoktagroupconfigpropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/group#name DataOktaGroup#name}. |
| [`type`](#cdktfprovideroktadataoktagroupconfigpropertytype) | `string` | Type of the group. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.connection" id="cdktfprovideroktadataoktagroupconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.count" id="cdktfprovideroktadataoktagroupconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.dependsOn" id="cdktfprovideroktadataoktagroupconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.forEach" id="cdktfprovideroktadataoktagroupconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.lifecycle" id="cdktfprovideroktadataoktagroupconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.provider" id="cdktfprovideroktadataoktagroupconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.provisioners" id="cdktfprovideroktadataoktagroupconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `delayReadSeconds`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.delayReadSeconds" id="cdktfprovideroktadataoktagroupconfigpropertydelayreadseconds"></a>

```typescript
public readonly delayReadSeconds: string;
```

- *Type:* `string`

Force delay of the group read by N seconds.

Useful when eventual consistency of group information needs to be allowed for; for instance, when group rules are known to have been applied.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/group#delay_read_seconds DataOktaGroup#delay_read_seconds}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.id" id="cdktfprovideroktadataoktagroupconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/group#id DataOktaGroup#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `includeUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.includeUsers" id="cdktfprovideroktadataoktagroupconfigpropertyincludeusers"></a>

```typescript
public readonly includeUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Fetch group users, having default off cuts down on API calls.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/group#include_users DataOktaGroup#include_users}

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.name" id="cdktfprovideroktadataoktagroupconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/group#name DataOktaGroup#name}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupConfig.property.type" id="cdktfprovideroktadataoktagroupconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Type of the group.

When specified in the terraform resource, will act as a filter when searching for the group  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/group#type DataOktaGroup#type}

---

### DataOktaGroupsConfig <a name="@cdktf/provider-okta.DataOktaGroupsConfig" id="cdktfprovideroktadataoktagroupsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaGroupsConfig } from '@cdktf/provider-okta'

const dataOktaGroupsConfig: DataOktaGroupsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktagroupsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktagroupsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktagroupsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktagroupsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktagroupsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktagroupsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktagroupsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktagroupsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#id DataOktaGroups#id}. |
| [`q`](#cdktfprovideroktadataoktagroupsconfigpropertyq) | `string` | Searches the name property of groups for matching value. |
| [`search`](#cdktfprovideroktadataoktagroupsconfigpropertysearch) | `string` | Searches for groups with a supported filtering expression for all attributes except for '_embedded', '_links', and 'objectClass'. |
| [`type`](#cdktfprovideroktadataoktagroupsconfigpropertytype) | `string` | Type of the group. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.connection" id="cdktfprovideroktadataoktagroupsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.count" id="cdktfprovideroktadataoktagroupsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.dependsOn" id="cdktfprovideroktadataoktagroupsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.forEach" id="cdktfprovideroktadataoktagroupsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.lifecycle" id="cdktfprovideroktadataoktagroupsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.provider" id="cdktfprovideroktadataoktagroupsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.provisioners" id="cdktfprovideroktadataoktagroupsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.id" id="cdktfprovideroktadataoktagroupsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#id DataOktaGroups#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `q`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.q" id="cdktfprovideroktadataoktagroupsconfigpropertyq"></a>

```typescript
public readonly q: string;
```

- *Type:* `string`

Searches the name property of groups for matching value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#q DataOktaGroups#q}

---

##### `search`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.search" id="cdktfprovideroktadataoktagroupsconfigpropertysearch"></a>

```typescript
public readonly search: string;
```

- *Type:* `string`

Searches for groups with a supported filtering expression for all attributes except for '_embedded', '_links', and 'objectClass'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#search DataOktaGroups#search}

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsConfig.property.type" id="cdktfprovideroktadataoktagroupsconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Type of the group.

When specified in the terraform resource, will act as a filter when searching for the groups  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/groups#type DataOktaGroups#type}

---

### DataOktaGroupsGroups <a name="@cdktf/provider-okta.DataOktaGroupsGroups" id="cdktfprovideroktadataoktagroupsgroups"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaGroupsGroups } from '@cdktf/provider-okta'

const dataOktaGroupsGroups: DataOktaGroupsGroups = { ... }
```


### DataOktaIdpMetadataSamlConfig <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig" id="cdktfprovideroktadataoktaidpmetadatasamlconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaIdpMetadataSamlConfig } from '@cdktf/provider-okta'

const dataOktaIdpMetadataSamlConfig: DataOktaIdpMetadataSamlConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_metadata_saml#id DataOktaIdpMetadataSaml#id}. |
| [`idpId`](#cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyidpid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_metadata_saml#idp_id DataOktaIdpMetadataSaml#idp_id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.connection" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.count" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.dependsOn" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.forEach" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.lifecycle" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.provider" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.provisioners" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.id" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_metadata_saml#id DataOktaIdpMetadataSaml#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `idpId`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpMetadataSamlConfig.property.idpId" id="cdktfprovideroktadataoktaidpmetadatasamlconfigpropertyidpid"></a>

```typescript
public readonly idpId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_metadata_saml#idp_id DataOktaIdpMetadataSaml#idp_id}.

---

### DataOktaIdpOidcConfig <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig" id="cdktfprovideroktadataoktaidpoidcconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaIdpOidcConfig } from '@cdktf/provider-okta'

const dataOktaIdpOidcConfig: DataOktaIdpOidcConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaidpoidcconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaidpoidcconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaidpoidcconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaidpoidcconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaidpoidcconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaidpoidcconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaidpoidcconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpoidcconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_oidc#id DataOktaIdpOidc#id}. |
| [`name`](#cdktfprovideroktadataoktaidpoidcconfigpropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_oidc#name DataOktaIdpOidc#name}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.connection" id="cdktfprovideroktadataoktaidpoidcconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.count" id="cdktfprovideroktadataoktaidpoidcconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.dependsOn" id="cdktfprovideroktadataoktaidpoidcconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.forEach" id="cdktfprovideroktadataoktaidpoidcconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.lifecycle" id="cdktfprovideroktadataoktaidpoidcconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.provider" id="cdktfprovideroktadataoktaidpoidcconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.provisioners" id="cdktfprovideroktadataoktaidpoidcconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.id" id="cdktfprovideroktadataoktaidpoidcconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_oidc#id DataOktaIdpOidc#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpOidcConfig.property.name" id="cdktfprovideroktadataoktaidpoidcconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_oidc#name DataOktaIdpOidc#name}.

---

### DataOktaIdpSamlConfig <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig" id="cdktfprovideroktadataoktaidpsamlconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaIdpSamlConfig } from '@cdktf/provider-okta'

const dataOktaIdpSamlConfig: DataOktaIdpSamlConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaidpsamlconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaidpsamlconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaidpsamlconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaidpsamlconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaidpsamlconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaidpsamlconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaidpsamlconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpsamlconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_saml#id DataOktaIdpSaml#id}. |
| [`name`](#cdktfprovideroktadataoktaidpsamlconfigpropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_saml#name DataOktaIdpSaml#name}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.connection" id="cdktfprovideroktadataoktaidpsamlconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.count" id="cdktfprovideroktadataoktaidpsamlconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.dependsOn" id="cdktfprovideroktadataoktaidpsamlconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.forEach" id="cdktfprovideroktadataoktaidpsamlconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.lifecycle" id="cdktfprovideroktadataoktaidpsamlconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.provider" id="cdktfprovideroktadataoktaidpsamlconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.provisioners" id="cdktfprovideroktadataoktaidpsamlconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.id" id="cdktfprovideroktadataoktaidpsamlconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_saml#id DataOktaIdpSaml#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSamlConfig.property.name" id="cdktfprovideroktadataoktaidpsamlconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_saml#name DataOktaIdpSaml#name}.

---

### DataOktaIdpSocialConfig <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig" id="cdktfprovideroktadataoktaidpsocialconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaIdpSocialConfig } from '@cdktf/provider-okta'

const dataOktaIdpSocialConfig: DataOktaIdpSocialConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktaidpsocialconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktaidpsocialconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktaidpsocialconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktaidpsocialconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktaidpsocialconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktaidpsocialconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktaidpsocialconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktaidpsocialconfigpropertyid) | `string` | ID of the IdP. |
| [`name`](#cdktfprovideroktadataoktaidpsocialconfigpropertyname) | `string` | name of the IdP. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.connection" id="cdktfprovideroktadataoktaidpsocialconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.count" id="cdktfprovideroktadataoktaidpsocialconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.dependsOn" id="cdktfprovideroktadataoktaidpsocialconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.forEach" id="cdktfprovideroktadataoktaidpsocialconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.lifecycle" id="cdktfprovideroktadataoktaidpsocialconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.provider" id="cdktfprovideroktadataoktaidpsocialconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.provisioners" id="cdktfprovideroktadataoktaidpsocialconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.id" id="cdktfprovideroktadataoktaidpsocialconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

ID of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_social#id DataOktaIdpSocial#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaIdpSocialConfig.property.name" id="cdktfprovideroktadataoktaidpsocialconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

name of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/idp_social#name DataOktaIdpSocial#name}

---

### DataOktaNetworkZoneConfig <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig" id="cdktfprovideroktadataoktanetworkzoneconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaNetworkZoneConfig } from '@cdktf/provider-okta'

const dataOktaNetworkZoneConfig: DataOktaNetworkZoneConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktanetworkzoneconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktanetworkzoneconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktanetworkzoneconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktanetworkzoneconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktanetworkzoneconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktanetworkzoneconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktanetworkzoneconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktadataoktanetworkzoneconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/network_zone#id DataOktaNetworkZone#id}. |
| [`name`](#cdktfprovideroktadataoktanetworkzoneconfigpropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/network_zone#name DataOktaNetworkZone#name}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.connection" id="cdktfprovideroktadataoktanetworkzoneconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.count" id="cdktfprovideroktadataoktanetworkzoneconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.dependsOn" id="cdktfprovideroktadataoktanetworkzoneconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.forEach" id="cdktfprovideroktadataoktanetworkzoneconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.lifecycle" id="cdktfprovideroktadataoktanetworkzoneconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.provider" id="cdktfprovideroktadataoktanetworkzoneconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.provisioners" id="cdktfprovideroktadataoktanetworkzoneconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.id" id="cdktfprovideroktadataoktanetworkzoneconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/network_zone#id DataOktaNetworkZone#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaNetworkZoneConfig.property.name" id="cdktfprovideroktadataoktanetworkzoneconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/network_zone#name DataOktaNetworkZone#name}.

---

### DataOktaPolicyConfig <a name="@cdktf/provider-okta.DataOktaPolicyConfig" id="cdktfprovideroktadataoktapolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaPolicyConfig } from '@cdktf/provider-okta'

const dataOktaPolicyConfig: DataOktaPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktapolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktapolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktapolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktapolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktapolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktapolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktapolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktadataoktapolicyconfigpropertyname)<span title="Required">*</span> | `string` | Name of the policy. |
| [`type`](#cdktfprovideroktadataoktapolicyconfigpropertytype)<span title="Required">*</span> | `string` | Policy type: OKTA_SIGN_ON, PASSWORD, MFA_ENROLL, or IDP_DISCOVERY. |
| [`id`](#cdktfprovideroktadataoktapolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/policy#id DataOktaPolicy#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.connection" id="cdktfprovideroktadataoktapolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.count" id="cdktfprovideroktadataoktapolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.dependsOn" id="cdktfprovideroktadataoktapolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.forEach" id="cdktfprovideroktadataoktapolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.lifecycle" id="cdktfprovideroktadataoktapolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.provider" id="cdktfprovideroktadataoktapolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.provisioners" id="cdktfprovideroktadataoktapolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.name" id="cdktfprovideroktadataoktapolicyconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/policy#name DataOktaPolicy#name}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.type" id="cdktfprovideroktadataoktapolicyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Policy type: OKTA_SIGN_ON, PASSWORD, MFA_ENROLL, or IDP_DISCOVERY.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/policy#type DataOktaPolicy#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaPolicyConfig.property.id" id="cdktfprovideroktadataoktapolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/policy#id DataOktaPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaRoleSubscriptionConfig <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig" id="cdktfprovideroktadataoktarolesubscriptionconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaRoleSubscriptionConfig } from '@cdktf/provider-okta'

const dataOktaRoleSubscriptionConfig: DataOktaRoleSubscriptionConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`notificationType`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertynotificationtype)<span title="Required">*</span> | `string` | Type of the notification. |
| [`roleType`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertyroletype)<span title="Required">*</span> | `string` | Type of the role. |
| [`id`](#cdktfprovideroktadataoktarolesubscriptionconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/role_subscription#id DataOktaRoleSubscription#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.connection" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.count" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.dependsOn" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.forEach" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.lifecycle" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.provider" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.provisioners" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `notificationType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.notificationType" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertynotificationtype"></a>

```typescript
public readonly notificationType: string;
```

- *Type:* `string`

Type of the notification.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/role_subscription#notification_type DataOktaRoleSubscription#notification_type}

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.roleType" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

Type of the role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/role_subscription#role_type DataOktaRoleSubscription#role_type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaRoleSubscriptionConfig.property.id" id="cdktfprovideroktadataoktarolesubscriptionconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/role_subscription#id DataOktaRoleSubscription#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaThemeConfig <a name="@cdktf/provider-okta.DataOktaThemeConfig" id="cdktfprovideroktadataoktathemeconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaThemeConfig } from '@cdktf/provider-okta'

const dataOktaThemeConfig: DataOktaThemeConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktathemeconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktathemeconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktathemeconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktathemeconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktathemeconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktathemeconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktathemeconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktathemeconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`themeId`](#cdktfprovideroktadataoktathemeconfigpropertythemeid)<span title="Required">*</span> | `string` | Theme ID. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.connection" id="cdktfprovideroktadataoktathemeconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.count" id="cdktfprovideroktadataoktathemeconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.dependsOn" id="cdktfprovideroktadataoktathemeconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.forEach" id="cdktfprovideroktadataoktathemeconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.lifecycle" id="cdktfprovideroktadataoktathemeconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.provider" id="cdktfprovideroktadataoktathemeconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.provisioners" id="cdktfprovideroktadataoktathemeconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.brandId" id="cdktfprovideroktadataoktathemeconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/theme#brand_id DataOktaTheme#brand_id}

---

##### `themeId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemeConfig.property.themeId" id="cdktfprovideroktadataoktathemeconfigpropertythemeid"></a>

```typescript
public readonly themeId: string;
```

- *Type:* `string`

Theme ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/theme#theme_id DataOktaTheme#theme_id}

---

### DataOktaThemesConfig <a name="@cdktf/provider-okta.DataOktaThemesConfig" id="cdktfprovideroktadataoktathemesconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaThemesConfig } from '@cdktf/provider-okta'

const dataOktaThemesConfig: DataOktaThemesConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktathemesconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktathemesconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktathemesconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktathemesconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktathemesconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktathemesconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktathemesconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktadataoktathemesconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`id`](#cdktfprovideroktadataoktathemesconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/themes#id DataOktaThemes#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.connection" id="cdktfprovideroktadataoktathemesconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.count" id="cdktfprovideroktadataoktathemesconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.dependsOn" id="cdktfprovideroktadataoktathemesconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.forEach" id="cdktfprovideroktadataoktathemesconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.lifecycle" id="cdktfprovideroktadataoktathemesconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.provider" id="cdktfprovideroktadataoktathemesconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.provisioners" id="cdktfprovideroktadataoktathemesconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.brandId" id="cdktfprovideroktadataoktathemesconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/themes#brand_id DataOktaThemes#brand_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesConfig.property.id" id="cdktfprovideroktadataoktathemesconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/themes#id DataOktaThemes#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaThemesThemes <a name="@cdktf/provider-okta.DataOktaThemesThemes" id="cdktfprovideroktadataoktathemesthemes"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaThemesThemes } from '@cdktf/provider-okta'

const dataOktaThemesThemes: DataOktaThemesThemes = { ... }
```


### DataOktaTrustedOriginsConfig <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig" id="cdktfprovideroktadataoktatrustedoriginsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaTrustedOriginsConfig } from '@cdktf/provider-okta'

const dataOktaTrustedOriginsConfig: DataOktaTrustedOriginsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`filter`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertyfilter) | `string` | Filter criteria. Filter value will be URL-encoded by the provider. |
| [`id`](#cdktfprovideroktadataoktatrustedoriginsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/trusted_origins#id DataOktaTrustedOrigins#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.connection" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.count" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.dependsOn" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.forEach" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.lifecycle" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.provider" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.provisioners" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `filter`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.filter" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertyfilter"></a>

```typescript
public readonly filter: string;
```

- *Type:* `string`

Filter criteria. Filter value will be URL-encoded by the provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/trusted_origins#filter DataOktaTrustedOrigins#filter}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsConfig.property.id" id="cdktfprovideroktadataoktatrustedoriginsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/trusted_origins#id DataOktaTrustedOrigins#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaTrustedOriginsTrustedOrigins <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOrigins" id="cdktfprovideroktadataoktatrustedoriginstrustedorigins"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaTrustedOriginsTrustedOrigins } from '@cdktf/provider-okta'

const dataOktaTrustedOriginsTrustedOrigins: DataOktaTrustedOriginsTrustedOrigins = { ... }
```


### DataOktaUserConfig <a name="@cdktf/provider-okta.DataOktaUserConfig" id="cdktfprovideroktadataoktauserconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUserConfig } from '@cdktf/provider-okta'

const dataOktaUserConfig: DataOktaUserConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktauserconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktauserconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktauserconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktauserconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktauserconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktauserconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktauserconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`compoundSearchOperator`](#cdktfprovideroktadataoktauserconfigpropertycompoundsearchoperator) | `string` | Search operator used when joining mulitple search clauses. |
| [`delayReadSeconds`](#cdktfprovideroktadataoktauserconfigpropertydelayreadseconds) | `string` | Force delay of the user read by N seconds. |
| [`id`](#cdktfprovideroktadataoktauserconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#id DataOktaUser#id}. |
| [`search`](#cdktfprovideroktadataoktauserconfigpropertysearch) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)[] | search block. |
| [`skipGroups`](#cdktfprovideroktadataoktauserconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not populate user groups information (prevents additional API call). |
| [`skipRoles`](#cdktfprovideroktadataoktauserconfigpropertyskiproles) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not populate user roles information (prevents additional API call). |
| [`userId`](#cdktfprovideroktadataoktauserconfigpropertyuserid) | `string` | Retrieve a single user based on their id. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.connection" id="cdktfprovideroktadataoktauserconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.count" id="cdktfprovideroktadataoktauserconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.dependsOn" id="cdktfprovideroktadataoktauserconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.forEach" id="cdktfprovideroktadataoktauserconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.lifecycle" id="cdktfprovideroktadataoktauserconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.provider" id="cdktfprovideroktadataoktauserconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.provisioners" id="cdktfprovideroktadataoktauserconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `compoundSearchOperator`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.compoundSearchOperator" id="cdktfprovideroktadataoktauserconfigpropertycompoundsearchoperator"></a>

```typescript
public readonly compoundSearchOperator: string;
```

- *Type:* `string`

Search operator used when joining mulitple search clauses.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#compound_search_operator DataOktaUser#compound_search_operator}

---

##### `delayReadSeconds`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.delayReadSeconds" id="cdktfprovideroktadataoktauserconfigpropertydelayreadseconds"></a>

```typescript
public readonly delayReadSeconds: string;
```

- *Type:* `string`

Force delay of the user read by N seconds.

Useful when eventual consistency of user information needs to be allowed for.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#delay_read_seconds DataOktaUser#delay_read_seconds}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.id" id="cdktfprovideroktadataoktauserconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#id DataOktaUser#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `search`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.search" id="cdktfprovideroktadataoktauserconfigpropertysearch"></a>

```typescript
public readonly search: IResolvable | DataOktaUserSearch[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)[]

search block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#search DataOktaUser#search}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.skipGroups" id="cdktfprovideroktadataoktauserconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not populate user groups information (prevents additional API call).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#skip_groups DataOktaUser#skip_groups}

---

##### `skipRoles`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.skipRoles" id="cdktfprovideroktadataoktauserconfigpropertyskiproles"></a>

```typescript
public readonly skipRoles: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not populate user roles information (prevents additional API call).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#skip_roles DataOktaUser#skip_roles}

---

##### `userId`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserConfig.property.userId" id="cdktfprovideroktadataoktauserconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

Retrieve a single user based on their id.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#user_id DataOktaUser#user_id}

---

### DataOktaUserProfileMappingSourceConfig <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig" id="cdktfprovideroktadataoktauserprofilemappingsourceconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUserProfileMappingSourceConfig } from '@cdktf/provider-okta'

const dataOktaUserProfileMappingSourceConfig: DataOktaUserProfileMappingSourceConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig.property.connection" id="cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig.property.count" id="cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig.property.dependsOn" id="cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig.property.forEach" id="cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig.property.lifecycle" id="cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig.property.provider" id="cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserProfileMappingSourceConfig.property.provisioners" id="cdktfprovideroktadataoktauserprofilemappingsourceconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

### DataOktaUsersConfig <a name="@cdktf/provider-okta.DataOktaUsersConfig" id="cdktfprovideroktadataoktausersconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUsersConfig } from '@cdktf/provider-okta'

const dataOktaUsersConfig: DataOktaUsersConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktausersconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktausersconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktausersconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktausersconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktausersconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktausersconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktausersconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`compoundSearchOperator`](#cdktfprovideroktadataoktausersconfigpropertycompoundsearchoperator) | `string` | Search operator used when joining mulitple search clauses. |
| [`delayReadSeconds`](#cdktfprovideroktadataoktausersconfigpropertydelayreadseconds) | `string` | Force delay of the users read by N seconds. |
| [`groupId`](#cdktfprovideroktadataoktausersconfigpropertygroupid) | `string` | Find users based on group membership using the id of the group. |
| [`id`](#cdktfprovideroktadataoktausersconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#id DataOktaUsers#id}. |
| [`includeGroups`](#cdktfprovideroktadataoktausersconfigpropertyincludegroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Fetch group memberships for each user. |
| [`includeRoles`](#cdktfprovideroktadataoktausersconfigpropertyincluderoles) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Fetch user roles for each user. |
| [`search`](#cdktfprovideroktadataoktausersconfigpropertysearch) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)[] | search block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.connection" id="cdktfprovideroktadataoktausersconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.count" id="cdktfprovideroktadataoktausersconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.dependsOn" id="cdktfprovideroktadataoktausersconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.forEach" id="cdktfprovideroktadataoktausersconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.lifecycle" id="cdktfprovideroktadataoktausersconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.provider" id="cdktfprovideroktadataoktausersconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.provisioners" id="cdktfprovideroktadataoktausersconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `compoundSearchOperator`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.compoundSearchOperator" id="cdktfprovideroktadataoktausersconfigpropertycompoundsearchoperator"></a>

```typescript
public readonly compoundSearchOperator: string;
```

- *Type:* `string`

Search operator used when joining mulitple search clauses.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#compound_search_operator DataOktaUsers#compound_search_operator}

---

##### `delayReadSeconds`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.delayReadSeconds" id="cdktfprovideroktadataoktausersconfigpropertydelayreadseconds"></a>

```typescript
public readonly delayReadSeconds: string;
```

- *Type:* `string`

Force delay of the users read by N seconds.

Useful when eventual consistency of users information needs to be allowed for.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#delay_read_seconds DataOktaUsers#delay_read_seconds}

---

##### `groupId`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.groupId" id="cdktfprovideroktadataoktausersconfigpropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

Find users based on group membership using the id of the group.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#group_id DataOktaUsers#group_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.id" id="cdktfprovideroktadataoktausersconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#id DataOktaUsers#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `includeGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.includeGroups" id="cdktfprovideroktadataoktausersconfigpropertyincludegroups"></a>

```typescript
public readonly includeGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Fetch group memberships for each user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#include_groups DataOktaUsers#include_groups}

---

##### `includeRoles`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.includeRoles" id="cdktfprovideroktadataoktausersconfigpropertyincluderoles"></a>

```typescript
public readonly includeRoles: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Fetch user roles for each user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#include_roles DataOktaUsers#include_roles}

---

##### `search`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersConfig.property.search" id="cdktfprovideroktadataoktausersconfigpropertysearch"></a>

```typescript
public readonly search: IResolvable | DataOktaUsersSearch[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)[]

search block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#search DataOktaUsers#search}

---

### DataOktaUserSearch <a name="@cdktf/provider-okta.DataOktaUserSearch" id="cdktfprovideroktadataoktausersearch"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUserSearch } from '@cdktf/provider-okta'

const dataOktaUserSearch: DataOktaUserSearch = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`comparison`](#cdktfprovideroktadataoktausersearchpropertycomparison) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#comparison DataOktaUser#comparison}. |
| [`expression`](#cdktfprovideroktadataoktausersearchpropertyexpression) | `string` | A raw search expression string. |
| [`name`](#cdktfprovideroktadataoktausersearchpropertyname) | `string` | Property name to search for. |
| [`value`](#cdktfprovideroktadataoktausersearchpropertyvalue) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#value DataOktaUser#value}. |

---

##### `comparison`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearch.property.comparison" id="cdktfprovideroktadataoktausersearchpropertycomparison"></a>

```typescript
public readonly comparison: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#comparison DataOktaUser#comparison}.

---

##### `expression`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearch.property.expression" id="cdktfprovideroktadataoktausersearchpropertyexpression"></a>

```typescript
public readonly expression: string;
```

- *Type:* `string`

A raw search expression string.

This requires the search feature be on. Please see Okta documentation on their filter API for users. https://developer.okta.com/docs/api/resources/users#list-users-with-search  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#expression DataOktaUser#expression}

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearch.property.name" id="cdktfprovideroktadataoktausersearchpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Property name to search for.

This requires the search feature be on. Please see Okta documentation on their filter API for users. https://developer.okta.com/docs/api/resources/users#list-users-with-search  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#name DataOktaUser#name}

---

##### `value`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearch.property.value" id="cdktfprovideroktadataoktausersearchpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user#value DataOktaUser#value}.

---

### DataOktaUserSecurityQuestionsConfig <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig" id="cdktfprovideroktadataoktausersecurityquestionsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUserSecurityQuestionsConfig } from '@cdktf/provider-okta'

const dataOktaUserSecurityQuestionsConfig: DataOktaUserSecurityQuestionsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`userId`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertyuserid)<span title="Required">*</span> | `string` | ID of a Okta User. |
| [`id`](#cdktfprovideroktadataoktausersecurityquestionsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_security_questions#id DataOktaUserSecurityQuestions#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.connection" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.count" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.dependsOn" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.forEach" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.lifecycle" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.provider" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.provisioners" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.userId" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

ID of a Okta User.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_security_questions#user_id DataOktaUserSecurityQuestions#user_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsConfig.property.id" id="cdktfprovideroktadataoktausersecurityquestionsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_security_questions#id DataOktaUserSecurityQuestions#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DataOktaUserSecurityQuestionsQuestions <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestions" id="cdktfprovideroktadataoktausersecurityquestionsquestions"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUserSecurityQuestionsQuestions } from '@cdktf/provider-okta'

const dataOktaUserSecurityQuestionsQuestions: DataOktaUserSecurityQuestionsQuestions = { ... }
```


### DataOktaUsersSearch <a name="@cdktf/provider-okta.DataOktaUsersSearch" id="cdktfprovideroktadataoktauserssearch"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUsersSearch } from '@cdktf/provider-okta'

const dataOktaUsersSearch: DataOktaUsersSearch = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`comparison`](#cdktfprovideroktadataoktauserssearchpropertycomparison) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#comparison DataOktaUsers#comparison}. |
| [`expression`](#cdktfprovideroktadataoktauserssearchpropertyexpression) | `string` | A raw search expression string. |
| [`name`](#cdktfprovideroktadataoktauserssearchpropertyname) | `string` | Property name to search for. |
| [`value`](#cdktfprovideroktadataoktauserssearchpropertyvalue) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#value DataOktaUsers#value}. |

---

##### `comparison`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearch.property.comparison" id="cdktfprovideroktadataoktauserssearchpropertycomparison"></a>

```typescript
public readonly comparison: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#comparison DataOktaUsers#comparison}.

---

##### `expression`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearch.property.expression" id="cdktfprovideroktadataoktauserssearchpropertyexpression"></a>

```typescript
public readonly expression: string;
```

- *Type:* `string`

A raw search expression string.

This requires the search feature be on. Please see Okta documentation on their filter API for users. https://developer.okta.com/docs/api/resources/users#list-users-with-search  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#expression DataOktaUsers#expression}

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearch.property.name" id="cdktfprovideroktadataoktauserssearchpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Property name to search for.

This requires the search feature be on. Please see Okta documentation on their filter API for users. https://developer.okta.com/docs/api/resources/users#list-users-with-search  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#name DataOktaUsers#name}

---

##### `value`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearch.property.value" id="cdktfprovideroktadataoktauserssearchpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/users#value DataOktaUsers#value}.

---

### DataOktaUsersUsers <a name="@cdktf/provider-okta.DataOktaUsersUsers" id="cdktfprovideroktadataoktausersusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUsersUsers } from '@cdktf/provider-okta'

const dataOktaUsersUsers: DataOktaUsersUsers = { ... }
```


### DataOktaUserTypeConfig <a name="@cdktf/provider-okta.DataOktaUserTypeConfig" id="cdktfprovideroktadataoktausertypeconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DataOktaUserTypeConfig } from '@cdktf/provider-okta'

const dataOktaUserTypeConfig: DataOktaUserTypeConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadataoktausertypeconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadataoktausertypeconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadataoktausertypeconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadataoktausertypeconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadataoktausertypeconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadataoktausertypeconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadataoktausertypeconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktadataoktausertypeconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_type#name DataOktaUserType#name}. |
| [`id`](#cdktfprovideroktadataoktausertypeconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_type#id DataOktaUserType#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.connection" id="cdktfprovideroktadataoktausertypeconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.count" id="cdktfprovideroktadataoktausertypeconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.dependsOn" id="cdktfprovideroktadataoktausertypeconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.forEach" id="cdktfprovideroktadataoktausertypeconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.lifecycle" id="cdktfprovideroktadataoktausertypeconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.provider" id="cdktfprovideroktadataoktausertypeconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.provisioners" id="cdktfprovideroktadataoktausertypeconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.name" id="cdktfprovideroktadataoktausertypeconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_type#name DataOktaUserType#name}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserTypeConfig.property.id" id="cdktfprovideroktadataoktausertypeconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/user_type#id DataOktaUserType#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### DomainCertificateConfig <a name="@cdktf/provider-okta.DomainCertificateConfig" id="cdktfprovideroktadomaincertificateconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DomainCertificateConfig } from '@cdktf/provider-okta'

const domainCertificateConfig: DomainCertificateConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadomaincertificateconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadomaincertificateconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadomaincertificateconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadomaincertificateconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadomaincertificateconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadomaincertificateconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadomaincertificateconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`certificate`](#cdktfprovideroktadomaincertificateconfigpropertycertificate)<span title="Required">*</span> | `string` | Certificate content. |
| [`certificateChain`](#cdktfprovideroktadomaincertificateconfigpropertycertificatechain)<span title="Required">*</span> | `string` | Certificate chain. |
| [`domainId`](#cdktfprovideroktadomaincertificateconfigpropertydomainid)<span title="Required">*</span> | `string` | Domain's ID. |
| [`privateKey`](#cdktfprovideroktadomaincertificateconfigpropertyprivatekey)<span title="Required">*</span> | `string` | Certificate private key. |
| [`id`](#cdktfprovideroktadomaincertificateconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate#id DomainCertificate#id}. |
| [`type`](#cdktfprovideroktadomaincertificateconfigpropertytype) | `string` | Certificate type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.connection" id="cdktfprovideroktadomaincertificateconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.count" id="cdktfprovideroktadomaincertificateconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.dependsOn" id="cdktfprovideroktadomaincertificateconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.forEach" id="cdktfprovideroktadomaincertificateconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.lifecycle" id="cdktfprovideroktadomaincertificateconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.provider" id="cdktfprovideroktadomaincertificateconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.provisioners" id="cdktfprovideroktadomaincertificateconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `certificate`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.certificate" id="cdktfprovideroktadomaincertificateconfigpropertycertificate"></a>

```typescript
public readonly certificate: string;
```

- *Type:* `string`

Certificate content.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate#certificate DomainCertificate#certificate}

---

##### `certificateChain`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.certificateChain" id="cdktfprovideroktadomaincertificateconfigpropertycertificatechain"></a>

```typescript
public readonly certificateChain: string;
```

- *Type:* `string`

Certificate chain.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate#certificate_chain DomainCertificate#certificate_chain}

---

##### `domainId`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.domainId" id="cdktfprovideroktadomaincertificateconfigpropertydomainid"></a>

```typescript
public readonly domainId: string;
```

- *Type:* `string`

Domain's ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate#domain_id DomainCertificate#domain_id}

---

##### `privateKey`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.privateKey" id="cdktfprovideroktadomaincertificateconfigpropertyprivatekey"></a>

```typescript
public readonly privateKey: string;
```

- *Type:* `string`

Certificate private key.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate#private_key DomainCertificate#private_key}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.id" id="cdktfprovideroktadomaincertificateconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate#id DomainCertificate#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainCertificateConfig.property.type" id="cdktfprovideroktadomaincertificateconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Certificate type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_certificate#type DomainCertificate#type}

---

### DomainConfig <a name="@cdktf/provider-okta.DomainConfig" id="cdktfprovideroktadomainconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DomainConfig } from '@cdktf/provider-okta'

const domainConfig: DomainConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadomainconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadomainconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadomainconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadomainconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadomainconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadomainconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadomainconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktadomainconfigpropertyname)<span title="Required">*</span> | `string` | Custom Domain name. |
| [`certificateSourceType`](#cdktfprovideroktadomainconfigpropertycertificatesourcetype) | `string` | Optional. |
| [`id`](#cdktfprovideroktadomainconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain#id Domain#id}. |
| [`verify`](#cdktfprovideroktadomainconfigpropertyverify) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Indicates whether the domain should be verified during creation. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.connection" id="cdktfprovideroktadomainconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.count" id="cdktfprovideroktadomainconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.dependsOn" id="cdktfprovideroktadomainconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.forEach" id="cdktfprovideroktadomainconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.lifecycle" id="cdktfprovideroktadomainconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.provider" id="cdktfprovideroktadomainconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.provisioners" id="cdktfprovideroktadomainconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainConfig.property.name" id="cdktfprovideroktadomainconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Custom Domain name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain#name Domain#name}

---

##### `certificateSourceType`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.certificateSourceType" id="cdktfprovideroktadomainconfigpropertycertificatesourcetype"></a>

```typescript
public readonly certificateSourceType: string;
```

- *Type:* `string`

Optional.

Certificate source type that indicates whether the certificate is provided by the user or Okta. Accepted values: MANUAL, OKTA_MANAGED. Warning: Use of OKTA_MANAGED requires a feature flag to be enabled. Default value = MANUAL  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain#certificate_source_type Domain#certificate_source_type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.id" id="cdktfprovideroktadomainconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain#id Domain#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `verify`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainConfig.property.verify" id="cdktfprovideroktadomainconfigpropertyverify"></a>

```typescript
public readonly verify: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Indicates whether the domain should be verified during creation.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain#verify Domain#verify}

---

### DomainDnsRecords <a name="@cdktf/provider-okta.DomainDnsRecords" id="cdktfprovideroktadomaindnsrecords"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DomainDnsRecords } from '@cdktf/provider-okta'

const domainDnsRecords: DomainDnsRecords = { ... }
```


### DomainVerificationConfig <a name="@cdktf/provider-okta.DomainVerificationConfig" id="cdktfprovideroktadomainverificationconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { DomainVerificationConfig } from '@cdktf/provider-okta'

const domainVerificationConfig: DomainVerificationConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktadomainverificationconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktadomainverificationconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktadomainverificationconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktadomainverificationconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktadomainverificationconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktadomainverificationconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktadomainverificationconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`domainId`](#cdktfprovideroktadomainverificationconfigpropertydomainid)<span title="Required">*</span> | `string` | Domain's ID. |
| [`id`](#cdktfprovideroktadomainverificationconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_verification#id DomainVerification#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.connection" id="cdktfprovideroktadomainverificationconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.count" id="cdktfprovideroktadomainverificationconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.dependsOn" id="cdktfprovideroktadomainverificationconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.forEach" id="cdktfprovideroktadomainverificationconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.lifecycle" id="cdktfprovideroktadomainverificationconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.provider" id="cdktfprovideroktadomainverificationconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.provisioners" id="cdktfprovideroktadomainverificationconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `domainId`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.domainId" id="cdktfprovideroktadomainverificationconfigpropertydomainid"></a>

```typescript
public readonly domainId: string;
```

- *Type:* `string`

Domain's ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_verification#domain_id DomainVerification#domain_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainVerificationConfig.property.id" id="cdktfprovideroktadomainverificationconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/domain_verification#id DomainVerification#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### EmailCustomizationConfig <a name="@cdktf/provider-okta.EmailCustomizationConfig" id="cdktfprovideroktaemailcustomizationconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { EmailCustomizationConfig } from '@cdktf/provider-okta'

const emailCustomizationConfig: EmailCustomizationConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaemailcustomizationconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaemailcustomizationconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaemailcustomizationconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaemailcustomizationconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaemailcustomizationconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaemailcustomizationconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaemailcustomizationconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktaemailcustomizationconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`templateName`](#cdktfprovideroktaemailcustomizationconfigpropertytemplatename)<span title="Required">*</span> | `string` | Template Name. |
| [`body`](#cdktfprovideroktaemailcustomizationconfigpropertybody) | `string` | The body of the customization. |
| [`isDefault`](#cdktfprovideroktaemailcustomizationconfigpropertyisdefault) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the customization is the default. |
| [`language`](#cdktfprovideroktaemailcustomizationconfigpropertylanguage) | `string` | The language supported by the customization. |
| [`subject`](#cdktfprovideroktaemailcustomizationconfigpropertysubject) | `string` | The subject of the customization. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.connection" id="cdktfprovideroktaemailcustomizationconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.count" id="cdktfprovideroktaemailcustomizationconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.dependsOn" id="cdktfprovideroktaemailcustomizationconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.forEach" id="cdktfprovideroktaemailcustomizationconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.lifecycle" id="cdktfprovideroktaemailcustomizationconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.provider" id="cdktfprovideroktaemailcustomizationconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.provisioners" id="cdktfprovideroktaemailcustomizationconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.brandId" id="cdktfprovideroktaemailcustomizationconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_customization#brand_id EmailCustomization#brand_id}

---

##### `templateName`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.templateName" id="cdktfprovideroktaemailcustomizationconfigpropertytemplatename"></a>

```typescript
public readonly templateName: string;
```

- *Type:* `string`

Template Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_customization#template_name EmailCustomization#template_name}

---

##### `body`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.body" id="cdktfprovideroktaemailcustomizationconfigpropertybody"></a>

```typescript
public readonly body: string;
```

- *Type:* `string`

The body of the customization.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_customization#body EmailCustomization#body}

---

##### `isDefault`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.isDefault" id="cdktfprovideroktaemailcustomizationconfigpropertyisdefault"></a>

```typescript
public readonly isDefault: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the customization is the default.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_customization#is_default EmailCustomization#is_default}

---

##### `language`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.language" id="cdktfprovideroktaemailcustomizationconfigpropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

The language supported by the customization.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_customization#language EmailCustomization#language}

---

##### `subject`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailCustomizationConfig.property.subject" id="cdktfprovideroktaemailcustomizationconfigpropertysubject"></a>

```typescript
public readonly subject: string;
```

- *Type:* `string`

The subject of the customization.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_customization#subject EmailCustomization#subject}

---

### EmailSenderConfig <a name="@cdktf/provider-okta.EmailSenderConfig" id="cdktfprovideroktaemailsenderconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { EmailSenderConfig } from '@cdktf/provider-okta'

const emailSenderConfig: EmailSenderConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaemailsenderconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaemailsenderconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaemailsenderconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaemailsenderconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaemailsenderconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaemailsenderconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaemailsenderconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`fromAddress`](#cdktfprovideroktaemailsenderconfigpropertyfromaddress)<span title="Required">*</span> | `string` | Email address to send from. |
| [`fromName`](#cdktfprovideroktaemailsenderconfigpropertyfromname)<span title="Required">*</span> | `string` | Name of sender. |
| [`subdomain`](#cdktfprovideroktaemailsenderconfigpropertysubdomain)<span title="Required">*</span> | `string` | Mail domain to send from. |
| [`id`](#cdktfprovideroktaemailsenderconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#id EmailSender#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.connection" id="cdktfprovideroktaemailsenderconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.count" id="cdktfprovideroktaemailsenderconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.dependsOn" id="cdktfprovideroktaemailsenderconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.forEach" id="cdktfprovideroktaemailsenderconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.lifecycle" id="cdktfprovideroktaemailsenderconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.provider" id="cdktfprovideroktaemailsenderconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.provisioners" id="cdktfprovideroktaemailsenderconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `fromAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.fromAddress" id="cdktfprovideroktaemailsenderconfigpropertyfromaddress"></a>

```typescript
public readonly fromAddress: string;
```

- *Type:* `string`

Email address to send from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#from_address EmailSender#from_address}

---

##### `fromName`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.fromName" id="cdktfprovideroktaemailsenderconfigpropertyfromname"></a>

```typescript
public readonly fromName: string;
```

- *Type:* `string`

Name of sender.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#from_name EmailSender#from_name}

---

##### `subdomain`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.subdomain" id="cdktfprovideroktaemailsenderconfigpropertysubdomain"></a>

```typescript
public readonly subdomain: string;
```

- *Type:* `string`

Mail domain to send from.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#subdomain EmailSender#subdomain}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderConfig.property.id" id="cdktfprovideroktaemailsenderconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#id EmailSender#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### EmailSenderDnsRecords <a name="@cdktf/provider-okta.EmailSenderDnsRecords" id="cdktfprovideroktaemailsenderdnsrecords"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { EmailSenderDnsRecords } from '@cdktf/provider-okta'

const emailSenderDnsRecords: EmailSenderDnsRecords = { ... }
```


### EmailSenderVerificationConfig <a name="@cdktf/provider-okta.EmailSenderVerificationConfig" id="cdktfprovideroktaemailsenderverificationconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { EmailSenderVerificationConfig } from '@cdktf/provider-okta'

const emailSenderVerificationConfig: EmailSenderVerificationConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaemailsenderverificationconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaemailsenderverificationconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaemailsenderverificationconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaemailsenderverificationconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaemailsenderverificationconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaemailsenderverificationconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaemailsenderverificationconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`senderId`](#cdktfprovideroktaemailsenderverificationconfigpropertysenderid)<span title="Required">*</span> | `string` | Email sender ID. |
| [`id`](#cdktfprovideroktaemailsenderverificationconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender_verification#id EmailSenderVerification#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.connection" id="cdktfprovideroktaemailsenderverificationconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.count" id="cdktfprovideroktaemailsenderverificationconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.dependsOn" id="cdktfprovideroktaemailsenderverificationconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.forEach" id="cdktfprovideroktaemailsenderverificationconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.lifecycle" id="cdktfprovideroktaemailsenderverificationconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.provider" id="cdktfprovideroktaemailsenderverificationconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.provisioners" id="cdktfprovideroktaemailsenderverificationconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `senderId`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.senderId" id="cdktfprovideroktaemailsenderverificationconfigpropertysenderid"></a>

```typescript
public readonly senderId: string;
```

- *Type:* `string`

Email sender ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender_verification#sender_id EmailSenderVerification#sender_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderVerificationConfig.property.id" id="cdktfprovideroktaemailsenderverificationconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender_verification#id EmailSenderVerification#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### EventHookConfig <a name="@cdktf/provider-okta.EventHookConfig" id="cdktfprovideroktaeventhookconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { EventHookConfig } from '@cdktf/provider-okta'

const eventHookConfig: EventHookConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaeventhookconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaeventhookconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaeventhookconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaeventhookconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaeventhookconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaeventhookconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaeventhookconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`channel`](#cdktfprovideroktaeventhookconfigpropertychannel)<span title="Required">*</span> | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#channel EventHook#channel}. |
| [`events`](#cdktfprovideroktaeventhookconfigpropertyevents)<span title="Required">*</span> | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#events EventHook#events}. |
| [`name`](#cdktfprovideroktaeventhookconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#name EventHook#name}. |
| [`auth`](#cdktfprovideroktaeventhookconfigpropertyauth) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#auth EventHook#auth}. |
| [`headers`](#cdktfprovideroktaeventhookconfigpropertyheaders) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)[] | headers block. |
| [`id`](#cdktfprovideroktaeventhookconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#id EventHook#id}. |
| [`status`](#cdktfprovideroktaeventhookconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#status EventHook#status}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.connection" id="cdktfprovideroktaeventhookconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.count" id="cdktfprovideroktaeventhookconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.dependsOn" id="cdktfprovideroktaeventhookconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.forEach" id="cdktfprovideroktaeventhookconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.lifecycle" id="cdktfprovideroktaeventhookconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.provider" id="cdktfprovideroktaeventhookconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.provisioners" id="cdktfprovideroktaeventhookconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `channel`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.channel" id="cdktfprovideroktaeventhookconfigpropertychannel"></a>

```typescript
public readonly channel: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#channel EventHook#channel}.

---

##### `events`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.events" id="cdktfprovideroktaeventhookconfigpropertyevents"></a>

```typescript
public readonly events: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#events EventHook#events}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.name" id="cdktfprovideroktaeventhookconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#name EventHook#name}.

---

##### `auth`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.auth" id="cdktfprovideroktaeventhookconfigpropertyauth"></a>

```typescript
public readonly auth: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#auth EventHook#auth}.

---

##### `headers`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.headers" id="cdktfprovideroktaeventhookconfigpropertyheaders"></a>

```typescript
public readonly headers: IResolvable | EventHookHeaders[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)[]

headers block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#headers EventHook#headers}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.id" id="cdktfprovideroktaeventhookconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#id EventHook#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookConfig.property.status" id="cdktfprovideroktaeventhookconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#status EventHook#status}.

---

### EventHookHeaders <a name="@cdktf/provider-okta.EventHookHeaders" id="cdktfprovideroktaeventhookheaders"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { EventHookHeaders } from '@cdktf/provider-okta'

const eventHookHeaders: EventHookHeaders = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`key`](#cdktfprovideroktaeventhookheaderspropertykey) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#key EventHook#key}. |
| [`value`](#cdktfprovideroktaeventhookheaderspropertyvalue) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#value EventHook#value}. |

---

##### `key`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookHeaders.property.key" id="cdktfprovideroktaeventhookheaderspropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#key EventHook#key}.

---

##### `value`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookHeaders.property.value" id="cdktfprovideroktaeventhookheaderspropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook#value EventHook#value}.

---

### EventHookVerificationConfig <a name="@cdktf/provider-okta.EventHookVerificationConfig" id="cdktfprovideroktaeventhookverificationconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { EventHookVerificationConfig } from '@cdktf/provider-okta'

const eventHookVerificationConfig: EventHookVerificationConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaeventhookverificationconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaeventhookverificationconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaeventhookverificationconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaeventhookverificationconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaeventhookverificationconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaeventhookverificationconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaeventhookverificationconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`eventHookId`](#cdktfprovideroktaeventhookverificationconfigpropertyeventhookid)<span title="Required">*</span> | `string` | Event hook ID. |
| [`id`](#cdktfprovideroktaeventhookverificationconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook_verification#id EventHookVerification#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.connection" id="cdktfprovideroktaeventhookverificationconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.count" id="cdktfprovideroktaeventhookverificationconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.dependsOn" id="cdktfprovideroktaeventhookverificationconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.forEach" id="cdktfprovideroktaeventhookverificationconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.lifecycle" id="cdktfprovideroktaeventhookverificationconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.provider" id="cdktfprovideroktaeventhookverificationconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.provisioners" id="cdktfprovideroktaeventhookverificationconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `eventHookId`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.eventHookId" id="cdktfprovideroktaeventhookverificationconfigpropertyeventhookid"></a>

```typescript
public readonly eventHookId: string;
```

- *Type:* `string`

Event hook ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook_verification#event_hook_id EventHookVerification#event_hook_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookVerificationConfig.property.id" id="cdktfprovideroktaeventhookverificationconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook_verification#id EventHookVerification#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### FactorConfig <a name="@cdktf/provider-okta.FactorConfig" id="cdktfprovideroktafactorconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { FactorConfig } from '@cdktf/provider-okta'

const factorConfig: FactorConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktafactorconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktafactorconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktafactorconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktafactorconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktafactorconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktafactorconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktafactorconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`providerId`](#cdktfprovideroktafactorconfigpropertyproviderid)<span title="Required">*</span> | `string` | Factor provider ID. |
| [`active`](#cdktfprovideroktafactorconfigpropertyactive) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Is this provider active? |
| [`id`](#cdktfprovideroktafactorconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor#id Factor#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.connection" id="cdktfprovideroktafactorconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.count" id="cdktfprovideroktafactorconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.dependsOn" id="cdktfprovideroktafactorconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.forEach" id="cdktfprovideroktafactorconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.lifecycle" id="cdktfprovideroktafactorconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.provider" id="cdktfprovideroktafactorconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.provisioners" id="cdktfprovideroktafactorconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `providerId`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorConfig.property.providerId" id="cdktfprovideroktafactorconfigpropertyproviderid"></a>

```typescript
public readonly providerId: string;
```

- *Type:* `string`

Factor provider ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor#provider_id Factor#provider_id}

---

##### `active`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.active" id="cdktfprovideroktafactorconfigpropertyactive"></a>

```typescript
public readonly active: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Is this provider active?

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor#active Factor#active}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorConfig.property.id" id="cdktfprovideroktafactorconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor#id Factor#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### FactorTotpConfig <a name="@cdktf/provider-okta.FactorTotpConfig" id="cdktfprovideroktafactortotpconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { FactorTotpConfig } from '@cdktf/provider-okta'

const factorTotpConfig: FactorTotpConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktafactortotpconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktafactortotpconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktafactortotpconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktafactortotpconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktafactortotpconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktafactortotpconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktafactortotpconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktafactortotpconfigpropertyname)<span title="Required">*</span> | `string` | Factor name. |
| [`clockDriftInterval`](#cdktfprovideroktafactortotpconfigpropertyclockdriftinterval) | `number` | Clock drift interval. |
| [`hmacAlgorithm`](#cdktfprovideroktafactortotpconfigpropertyhmacalgorithm) | `string` | Hash-based message authentication code algorithm. |
| [`id`](#cdktfprovideroktafactortotpconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#id FactorTotp#id}. |
| [`otpLength`](#cdktfprovideroktafactortotpconfigpropertyotplength) | `number` | Factor name. |
| [`sharedSecretEncoding`](#cdktfprovideroktafactortotpconfigpropertysharedsecretencoding) | `string` | Shared secret encoding. |
| [`timeStep`](#cdktfprovideroktafactortotpconfigpropertytimestep) | `number` | Time step in seconds. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.connection" id="cdktfprovideroktafactortotpconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.count" id="cdktfprovideroktafactortotpconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.dependsOn" id="cdktfprovideroktafactortotpconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.forEach" id="cdktfprovideroktafactortotpconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.lifecycle" id="cdktfprovideroktafactortotpconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.provider" id="cdktfprovideroktafactortotpconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.provisioners" id="cdktfprovideroktafactortotpconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.name" id="cdktfprovideroktafactortotpconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Factor name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#name FactorTotp#name}

---

##### `clockDriftInterval`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.clockDriftInterval" id="cdktfprovideroktafactortotpconfigpropertyclockdriftinterval"></a>

```typescript
public readonly clockDriftInterval: number;
```

- *Type:* `number`

Clock drift interval.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#clock_drift_interval FactorTotp#clock_drift_interval}

---

##### `hmacAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.hmacAlgorithm" id="cdktfprovideroktafactortotpconfigpropertyhmacalgorithm"></a>

```typescript
public readonly hmacAlgorithm: string;
```

- *Type:* `string`

Hash-based message authentication code algorithm.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#hmac_algorithm FactorTotp#hmac_algorithm}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.id" id="cdktfprovideroktafactortotpconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#id FactorTotp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `otpLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.otpLength" id="cdktfprovideroktafactortotpconfigpropertyotplength"></a>

```typescript
public readonly otpLength: number;
```

- *Type:* `number`

Factor name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#otp_length FactorTotp#otp_length}

---

##### `sharedSecretEncoding`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.sharedSecretEncoding" id="cdktfprovideroktafactortotpconfigpropertysharedsecretencoding"></a>

```typescript
public readonly sharedSecretEncoding: string;
```

- *Type:* `string`

Shared secret encoding.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#shared_secret_encoding FactorTotp#shared_secret_encoding}

---

##### `timeStep`<sup>Optional</sup> <a name="@cdktf/provider-okta.FactorTotpConfig.property.timeStep" id="cdktfprovideroktafactortotpconfigpropertytimestep"></a>

```typescript
public readonly timeStep: number;
```

- *Type:* `number`

Time step in seconds.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/factor_totp#time_step FactorTotp#time_step}

---

### GroupConfig <a name="@cdktf/provider-okta.GroupConfig" id="cdktfprovideroktagroupconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupConfig } from '@cdktf/provider-okta'

const groupConfig: GroupConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktagroupconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktagroupconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktagroupconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktagroupconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktagroupconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktagroupconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktagroupconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktagroupconfigpropertyname)<span title="Required">*</span> | `string` | Group name. |
| [`customProfileAttributes`](#cdktfprovideroktagroupconfigpropertycustomprofileattributes) | `string` | JSON formatted custom attributes for a group. It must be JSON due to various types Okta allows. |
| [`description`](#cdktfprovideroktagroupconfigpropertydescription) | `string` | Group description. |
| [`id`](#cdktfprovideroktagroupconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group#id Group#id}. |
| [`skipUsers`](#cdktfprovideroktagroupconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in this resource. |
| [`users`](#cdktfprovideroktagroupconfigpropertyusers) | `string`[] | Users associated with the group. This can also be done per user. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.connection" id="cdktfprovideroktagroupconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.count" id="cdktfprovideroktagroupconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.dependsOn" id="cdktfprovideroktagroupconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.forEach" id="cdktfprovideroktagroupconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.lifecycle" id="cdktfprovideroktagroupconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.provider" id="cdktfprovideroktagroupconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.provisioners" id="cdktfprovideroktagroupconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupConfig.property.name" id="cdktfprovideroktagroupconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Group name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group#name Group#name}

---

##### `customProfileAttributes`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.customProfileAttributes" id="cdktfprovideroktagroupconfigpropertycustomprofileattributes"></a>

```typescript
public readonly customProfileAttributes: string;
```

- *Type:* `string`

JSON formatted custom attributes for a group. It must be JSON due to various types Okta allows.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group#custom_profile_attributes Group#custom_profile_attributes}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.description" id="cdktfprovideroktagroupconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Group description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group#description Group#description}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.id" id="cdktfprovideroktagroupconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group#id Group#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.skipUsers" id="cdktfprovideroktagroupconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in this resource.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group#skip_users Group#skip_users}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupConfig.property.users" id="cdktfprovideroktagroupconfigpropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

Users associated with the group. This can also be done per user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group#users Group#users}

---

### GroupMembershipConfig <a name="@cdktf/provider-okta.GroupMembershipConfig" id="cdktfprovideroktagroupmembershipconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupMembershipConfig } from '@cdktf/provider-okta'

const groupMembershipConfig: GroupMembershipConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktagroupmembershipconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktagroupmembershipconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktagroupmembershipconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktagroupmembershipconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktagroupmembershipconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktagroupmembershipconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktagroupmembershipconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`groupId`](#cdktfprovideroktagroupmembershipconfigpropertygroupid)<span title="Required">*</span> | `string` | ID of a Okta Group. |
| [`userId`](#cdktfprovideroktagroupmembershipconfigpropertyuserid)<span title="Required">*</span> | `string` | ID of a Okta User. |
| [`id`](#cdktfprovideroktagroupmembershipconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_membership#id GroupMembership#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.connection" id="cdktfprovideroktagroupmembershipconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.count" id="cdktfprovideroktagroupmembershipconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.dependsOn" id="cdktfprovideroktagroupmembershipconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.forEach" id="cdktfprovideroktagroupmembershipconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.lifecycle" id="cdktfprovideroktagroupmembershipconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.provider" id="cdktfprovideroktagroupmembershipconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.provisioners" id="cdktfprovideroktagroupmembershipconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.groupId" id="cdktfprovideroktagroupmembershipconfigpropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

ID of a Okta Group.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_membership#group_id GroupMembership#group_id}

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.userId" id="cdktfprovideroktagroupmembershipconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

ID of a Okta User.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_membership#user_id GroupMembership#user_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipConfig.property.id" id="cdktfprovideroktagroupmembershipconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_membership#id GroupMembership#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### GroupMembershipsConfig <a name="@cdktf/provider-okta.GroupMembershipsConfig" id="cdktfprovideroktagroupmembershipsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupMembershipsConfig } from '@cdktf/provider-okta'

const groupMembershipsConfig: GroupMembershipsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktagroupmembershipsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktagroupmembershipsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktagroupmembershipsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktagroupmembershipsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktagroupmembershipsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktagroupmembershipsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktagroupmembershipsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`groupId`](#cdktfprovideroktagroupmembershipsconfigpropertygroupid)<span title="Required">*</span> | `string` | ID of a Okta group. |
| [`users`](#cdktfprovideroktagroupmembershipsconfigpropertyusers)<span title="Required">*</span> | `string`[] | The list of Okta user IDs which the group should have membership managed for. |
| [`id`](#cdktfprovideroktagroupmembershipsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_memberships#id GroupMemberships#id}. |
| [`trackAllUsers`](#cdktfprovideroktagroupmembershipsconfigpropertytrackallusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | The resource concerns itself with all users added/deleted to the group; even those managed outside of the resource. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.connection" id="cdktfprovideroktagroupmembershipsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.count" id="cdktfprovideroktagroupmembershipsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.dependsOn" id="cdktfprovideroktagroupmembershipsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.forEach" id="cdktfprovideroktagroupmembershipsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.lifecycle" id="cdktfprovideroktagroupmembershipsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.provider" id="cdktfprovideroktagroupmembershipsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.provisioners" id="cdktfprovideroktagroupmembershipsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.groupId" id="cdktfprovideroktagroupmembershipsconfigpropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

ID of a Okta group.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_memberships#group_id GroupMemberships#group_id}

---

##### `users`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.users" id="cdktfprovideroktagroupmembershipsconfigpropertyusers"></a>

```typescript
public readonly users: string[];
```

- *Type:* `string`[]

The list of Okta user IDs which the group should have membership managed for.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_memberships#users GroupMemberships#users}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.id" id="cdktfprovideroktagroupmembershipsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_memberships#id GroupMemberships#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `trackAllUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupMembershipsConfig.property.trackAllUsers" id="cdktfprovideroktagroupmembershipsconfigpropertytrackallusers"></a>

```typescript
public readonly trackAllUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

The resource concerns itself with all users added/deleted to the group; even those managed outside of the resource.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_memberships#track_all_users GroupMemberships#track_all_users}

---

### GroupRoleConfig <a name="@cdktf/provider-okta.GroupRoleConfig" id="cdktfprovideroktagrouproleconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupRoleConfig } from '@cdktf/provider-okta'

const groupRoleConfig: GroupRoleConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktagrouproleconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktagrouproleconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktagrouproleconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktagrouproleconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktagrouproleconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktagrouproleconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktagrouproleconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`groupId`](#cdktfprovideroktagrouproleconfigpropertygroupid)<span title="Required">*</span> | `string` | ID of group to attach admin roles to. |
| [`roleType`](#cdktfprovideroktagrouproleconfigpropertyroletype)<span title="Required">*</span> | `string` | Type of Role to assign. |
| [`disableNotifications`](#cdktfprovideroktagrouproleconfigpropertydisablenotifications) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | When this setting is enabled, the admins won't receive any of the default Okta administrator emails. |
| [`id`](#cdktfprovideroktagrouproleconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_role#id GroupRole#id}. |
| [`targetAppList`](#cdktfprovideroktagrouproleconfigpropertytargetapplist) | `string`[] | List of apps ids for the targets of the admin role. |
| [`targetGroupList`](#cdktfprovideroktagrouproleconfigpropertytargetgrouplist) | `string`[] | List of groups ids for the targets of the admin role. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.connection" id="cdktfprovideroktagrouproleconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.count" id="cdktfprovideroktagrouproleconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.dependsOn" id="cdktfprovideroktagrouproleconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.forEach" id="cdktfprovideroktagrouproleconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.lifecycle" id="cdktfprovideroktagrouproleconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.provider" id="cdktfprovideroktagrouproleconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.provisioners" id="cdktfprovideroktagrouproleconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.groupId" id="cdktfprovideroktagrouproleconfigpropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

ID of group to attach admin roles to.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_role#group_id GroupRole#group_id}

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.roleType" id="cdktfprovideroktagrouproleconfigpropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

Type of Role to assign.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_role#role_type GroupRole#role_type}

---

##### `disableNotifications`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.disableNotifications" id="cdktfprovideroktagrouproleconfigpropertydisablenotifications"></a>

```typescript
public readonly disableNotifications: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

When this setting is enabled, the admins won't receive any of the default Okta administrator emails.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_role#disable_notifications GroupRole#disable_notifications}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.id" id="cdktfprovideroktagrouproleconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_role#id GroupRole#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `targetAppList`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.targetAppList" id="cdktfprovideroktagrouproleconfigpropertytargetapplist"></a>

```typescript
public readonly targetAppList: string[];
```

- *Type:* `string`[]

List of apps ids for the targets of the admin role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_role#target_app_list GroupRole#target_app_list}

---

##### `targetGroupList`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRoleConfig.property.targetGroupList" id="cdktfprovideroktagrouproleconfigpropertytargetgrouplist"></a>

```typescript
public readonly targetGroupList: string[];
```

- *Type:* `string`[]

List of groups ids for the targets of the admin role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_role#target_group_list GroupRole#target_group_list}

---

### GroupRolesConfig <a name="@cdktf/provider-okta.GroupRolesConfig" id="cdktfprovideroktagrouprolesconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupRolesConfig } from '@cdktf/provider-okta'

const groupRolesConfig: GroupRolesConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktagrouprolesconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktagrouprolesconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktagrouprolesconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktagrouprolesconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktagrouprolesconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktagrouprolesconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktagrouprolesconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`groupId`](#cdktfprovideroktagrouprolesconfigpropertygroupid)<span title="Required">*</span> | `string` | ID of group to attach admin roles to. |
| [`adminRoles`](#cdktfprovideroktagrouprolesconfigpropertyadminroles) | `string`[] | Admin roles associated with the group. This can also be done per user. |
| [`id`](#cdktfprovideroktagrouprolesconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_roles#id GroupRoles#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.connection" id="cdktfprovideroktagrouprolesconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.count" id="cdktfprovideroktagrouprolesconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.dependsOn" id="cdktfprovideroktagrouprolesconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.forEach" id="cdktfprovideroktagrouprolesconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.lifecycle" id="cdktfprovideroktagrouprolesconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.provider" id="cdktfprovideroktagrouprolesconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.provisioners" id="cdktfprovideroktagrouprolesconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `groupId`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.groupId" id="cdktfprovideroktagrouprolesconfigpropertygroupid"></a>

```typescript
public readonly groupId: string;
```

- *Type:* `string`

ID of group to attach admin roles to.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_roles#group_id GroupRoles#group_id}

---

##### `adminRoles`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.adminRoles" id="cdktfprovideroktagrouprolesconfigpropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

Admin roles associated with the group. This can also be done per user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_roles#admin_roles GroupRoles#admin_roles}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRolesConfig.property.id" id="cdktfprovideroktagrouprolesconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_roles#id GroupRoles#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### GroupRuleConfig <a name="@cdktf/provider-okta.GroupRuleConfig" id="cdktfprovideroktagroupruleconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupRuleConfig } from '@cdktf/provider-okta'

const groupRuleConfig: GroupRuleConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktagroupruleconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktagroupruleconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktagroupruleconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktagroupruleconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktagroupruleconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktagroupruleconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktagroupruleconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`expressionValue`](#cdktfprovideroktagroupruleconfigpropertyexpressionvalue)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#expression_value GroupRule#expression_value}. |
| [`groupAssignments`](#cdktfprovideroktagroupruleconfigpropertygroupassignments)<span title="Required">*</span> | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#group_assignments GroupRule#group_assignments}. |
| [`name`](#cdktfprovideroktagroupruleconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#name GroupRule#name}. |
| [`expressionType`](#cdktfprovideroktagroupruleconfigpropertyexpressiontype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#expression_type GroupRule#expression_type}. |
| [`id`](#cdktfprovideroktagroupruleconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#id GroupRule#id}. |
| [`removeAssignedUsers`](#cdktfprovideroktagroupruleconfigpropertyremoveassignedusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Remove users added by this rule from the assigned group after deleting this resource. |
| [`status`](#cdktfprovideroktagroupruleconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#status GroupRule#status}. |
| [`usersExcluded`](#cdktfprovideroktagroupruleconfigpropertyusersexcluded) | `string`[] | The list of user IDs that would be excluded when rules are processed. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.connection" id="cdktfprovideroktagroupruleconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.count" id="cdktfprovideroktagroupruleconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.dependsOn" id="cdktfprovideroktagroupruleconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.forEach" id="cdktfprovideroktagroupruleconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.lifecycle" id="cdktfprovideroktagroupruleconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.provider" id="cdktfprovideroktagroupruleconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.provisioners" id="cdktfprovideroktagroupruleconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `expressionValue`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.expressionValue" id="cdktfprovideroktagroupruleconfigpropertyexpressionvalue"></a>

```typescript
public readonly expressionValue: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#expression_value GroupRule#expression_value}.

---

##### `groupAssignments`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.groupAssignments" id="cdktfprovideroktagroupruleconfigpropertygroupassignments"></a>

```typescript
public readonly groupAssignments: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#group_assignments GroupRule#group_assignments}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.name" id="cdktfprovideroktagroupruleconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#name GroupRule#name}.

---

##### `expressionType`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.expressionType" id="cdktfprovideroktagroupruleconfigpropertyexpressiontype"></a>

```typescript
public readonly expressionType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#expression_type GroupRule#expression_type}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.id" id="cdktfprovideroktagroupruleconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#id GroupRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `removeAssignedUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.removeAssignedUsers" id="cdktfprovideroktagroupruleconfigpropertyremoveassignedusers"></a>

```typescript
public readonly removeAssignedUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Remove users added by this rule from the assigned group after deleting this resource.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#remove_assigned_users GroupRule#remove_assigned_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.status" id="cdktfprovideroktagroupruleconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#status GroupRule#status}.

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupRuleConfig.property.usersExcluded" id="cdktfprovideroktagroupruleconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

The list of user IDs that would be excluded when rules are processed.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_rule#users_excluded GroupRule#users_excluded}

---

### GroupSchemaPropertyArrayOneOf <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf" id="cdktfprovideroktagroupschemapropertyarrayoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupSchemaPropertyArrayOneOf } from '@cdktf/provider-okta'

const groupSchemaPropertyArrayOneOf: GroupSchemaPropertyArrayOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktagroupschemapropertyarrayoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktagroupschemapropertyarrayoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf.property.const" id="cdktfprovideroktagroupschemapropertyarrayoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#const GroupSchemaProperty#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf.property.title" id="cdktfprovideroktagroupschemapropertyarrayoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#title GroupSchemaProperty#title}

---

### GroupSchemaPropertyConfig <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig" id="cdktfprovideroktagroupschemapropertyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupSchemaPropertyConfig } from '@cdktf/provider-okta'

const groupSchemaPropertyConfig: GroupSchemaPropertyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktagroupschemapropertyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktagroupschemapropertyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktagroupschemapropertyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktagroupschemapropertyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktagroupschemapropertyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktagroupschemapropertyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktagroupschemapropertyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`index`](#cdktfprovideroktagroupschemapropertyconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktagroupschemapropertyconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktagroupschemapropertyconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`arrayEnum`](#cdktfprovideroktagroupschemapropertyconfigpropertyarrayenum) | `string`[] | Custom Subschema enumerated value of a property of type array. |
| [`arrayOneOf`](#cdktfprovideroktagroupschemapropertyconfigpropertyarrayoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)[] | array_one_of block. |
| [`arrayType`](#cdktfprovideroktagroupschemapropertyconfigpropertyarraytype) | `string` | Subschema array type: string, number, integer, reference. Type field must be an array. |
| [`description`](#cdktfprovideroktagroupschemapropertyconfigpropertydescription) | `string` | Custom Subschema description. |
| [`enum`](#cdktfprovideroktagroupschemapropertyconfigpropertyenum) | `string`[] | Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object. |
| [`externalName`](#cdktfprovideroktagroupschemapropertyconfigpropertyexternalname) | `string` | Subschema external name. |
| [`externalNamespace`](#cdktfprovideroktagroupschemapropertyconfigpropertyexternalnamespace) | `string` | Subschema external namespace. |
| [`id`](#cdktfprovideroktagroupschemapropertyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#id GroupSchemaProperty#id}. |
| [`master`](#cdktfprovideroktagroupschemapropertyconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`masterOverridePriority`](#cdktfprovideroktagroupschemapropertyconfigpropertymasteroverridepriority) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)[] | master_override_priority block. |
| [`maxLength`](#cdktfprovideroktagroupschemapropertyconfigpropertymaxlength) | `number` | Subschema of type string maximum length. |
| [`minLength`](#cdktfprovideroktagroupschemapropertyconfigpropertyminlength) | `number` | Subschema of type string minimum length. |
| [`oneOf`](#cdktfprovideroktagroupschemapropertyconfigpropertyoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)[] | one_of block. |
| [`permissions`](#cdktfprovideroktagroupschemapropertyconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktagroupschemapropertyconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`scope`](#cdktfprovideroktagroupschemapropertyconfigpropertyscope) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#scope GroupSchemaProperty#scope}. |
| [`unique`](#cdktfprovideroktagroupschemapropertyconfigpropertyunique) | `string` | Subschema unique restriction. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.connection" id="cdktfprovideroktagroupschemapropertyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.count" id="cdktfprovideroktagroupschemapropertyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.dependsOn" id="cdktfprovideroktagroupschemapropertyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.forEach" id="cdktfprovideroktagroupschemapropertyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.lifecycle" id="cdktfprovideroktagroupschemapropertyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.provider" id="cdktfprovideroktagroupschemapropertyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.provisioners" id="cdktfprovideroktagroupschemapropertyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.index" id="cdktfprovideroktagroupschemapropertyconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#index GroupSchemaProperty#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.title" id="cdktfprovideroktagroupschemapropertyconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#title GroupSchemaProperty#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.type" id="cdktfprovideroktagroupschemapropertyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#type GroupSchemaProperty#type}

---

##### `arrayEnum`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.arrayEnum" id="cdktfprovideroktagroupschemapropertyconfigpropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of a property of type array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#array_enum GroupSchemaProperty#array_enum}

---

##### `arrayOneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.arrayOneOf" id="cdktfprovideroktagroupschemapropertyconfigpropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: IResolvable | GroupSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)[]

array_one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#array_one_of GroupSchemaProperty#array_one_of}

---

##### `arrayType`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.arrayType" id="cdktfprovideroktagroupschemapropertyconfigpropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

Subschema array type: string, number, integer, reference. Type field must be an array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#array_type GroupSchemaProperty#array_type}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.description" id="cdktfprovideroktagroupschemapropertyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Custom Subschema description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#description GroupSchemaProperty#description}

---

##### `enum`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.enum" id="cdktfprovideroktagroupschemapropertyconfigpropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#enum GroupSchemaProperty#enum}

---

##### `externalName`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.externalName" id="cdktfprovideroktagroupschemapropertyconfigpropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

Subschema external name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#external_name GroupSchemaProperty#external_name}

---

##### `externalNamespace`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.externalNamespace" id="cdktfprovideroktagroupschemapropertyconfigpropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

Subschema external namespace.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#external_namespace GroupSchemaProperty#external_namespace}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.id" id="cdktfprovideroktagroupschemapropertyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#id GroupSchemaProperty#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.master" id="cdktfprovideroktagroupschemapropertyconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#master GroupSchemaProperty#master}

---

##### `masterOverridePriority`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.masterOverridePriority" id="cdktfprovideroktagroupschemapropertyconfigpropertymasteroverridepriority"></a>

```typescript
public readonly masterOverridePriority: IResolvable | GroupSchemaPropertyMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)[]

master_override_priority block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#master_override_priority GroupSchemaProperty#master_override_priority}

---

##### `maxLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.maxLength" id="cdktfprovideroktagroupschemapropertyconfigpropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

Subschema of type string maximum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#max_length GroupSchemaProperty#max_length}

---

##### `minLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.minLength" id="cdktfprovideroktagroupschemapropertyconfigpropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

Subschema of type string minimum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#min_length GroupSchemaProperty#min_length}

---

##### `oneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.oneOf" id="cdktfprovideroktagroupschemapropertyconfigpropertyoneof"></a>

```typescript
public readonly oneOf: IResolvable | GroupSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)[]

one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#one_of GroupSchemaProperty#one_of}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.permissions" id="cdktfprovideroktagroupschemapropertyconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#permissions GroupSchemaProperty#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.required" id="cdktfprovideroktagroupschemapropertyconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#required GroupSchemaProperty#required}

---

##### `scope`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.scope" id="cdktfprovideroktagroupschemapropertyconfigpropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#scope GroupSchemaProperty#scope}.

---

##### `unique`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyConfig.property.unique" id="cdktfprovideroktagroupschemapropertyconfigpropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

Subschema unique restriction.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#unique GroupSchemaProperty#unique}

---

### GroupSchemaPropertyMasterOverridePriority <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority" id="cdktfprovideroktagroupschemapropertymasteroverridepriority"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupSchemaPropertyMasterOverridePriority } from '@cdktf/provider-okta'

const groupSchemaPropertyMasterOverridePriority: GroupSchemaPropertyMasterOverridePriority = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`value`](#cdktfprovideroktagroupschemapropertymasteroverrideprioritypropertyvalue)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#value GroupSchemaProperty#value}. |
| [`type`](#cdktfprovideroktagroupschemapropertymasteroverrideprioritypropertytype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#type GroupSchemaProperty#type}. |

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority.property.value" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritypropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#value GroupSchemaProperty#value}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority.property.type" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#type GroupSchemaProperty#type}.

---

### GroupSchemaPropertyOneOf <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOf" id="cdktfprovideroktagroupschemapropertyoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { GroupSchemaPropertyOneOf } from '@cdktf/provider-okta'

const groupSchemaPropertyOneOf: GroupSchemaPropertyOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktagroupschemapropertyoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktagroupschemapropertyoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOf.property.const" id="cdktfprovideroktagroupschemapropertyoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#const GroupSchemaProperty#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOf.property.title" id="cdktfprovideroktagroupschemapropertyoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/group_schema_property#title GroupSchemaProperty#title}

---

### IdpConfig <a name="@cdktf/provider-okta.IdpConfig" id="cdktfprovideroktaidpconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { IdpConfig } from '@cdktf/provider-okta'

const idpConfig: IdpConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaidpconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaidpconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaidpconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaidpconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaidpconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaidpconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaidpconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authorizationBinding`](#cdktfprovideroktaidpconfigpropertyauthorizationbinding)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#authorization_binding Idp#authorization_binding}. |
| [`authorizationUrl`](#cdktfprovideroktaidpconfigpropertyauthorizationurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#authorization_url Idp#authorization_url}. |
| [`clientId`](#cdktfprovideroktaidpconfigpropertyclientid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#client_id Idp#client_id}. |
| [`clientSecret`](#cdktfprovideroktaidpconfigpropertyclientsecret)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#client_secret Idp#client_secret}. |
| [`issuerUrl`](#cdktfprovideroktaidpconfigpropertyissuerurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#issuer_url Idp#issuer_url}. |
| [`jwksBinding`](#cdktfprovideroktaidpconfigpropertyjwksbinding)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#jwks_binding Idp#jwks_binding}. |
| [`jwksUrl`](#cdktfprovideroktaidpconfigpropertyjwksurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#jwks_url Idp#jwks_url}. |
| [`name`](#cdktfprovideroktaidpconfigpropertyname)<span title="Required">*</span> | `string` | Name of the IdP. |
| [`scopes`](#cdktfprovideroktaidpconfigpropertyscopes)<span title="Required">*</span> | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#scopes Idp#scopes}. |
| [`tokenBinding`](#cdktfprovideroktaidpconfigpropertytokenbinding)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#token_binding Idp#token_binding}. |
| [`tokenUrl`](#cdktfprovideroktaidpconfigpropertytokenurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#token_url Idp#token_url}. |
| [`accountLinkAction`](#cdktfprovideroktaidpconfigpropertyaccountlinkaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#account_link_action Idp#account_link_action}. |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidpconfigpropertyaccountlinkgroupinclude) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#account_link_group_include Idp#account_link_group_include}. |
| [`deprovisionedAction`](#cdktfprovideroktaidpconfigpropertydeprovisionedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#deprovisioned_action Idp#deprovisioned_action}. |
| [`groupsAction`](#cdktfprovideroktaidpconfigpropertygroupsaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_action Idp#groups_action}. |
| [`groupsAssignment`](#cdktfprovideroktaidpconfigpropertygroupsassignment) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_assignment Idp#groups_assignment}. |
| [`groupsAttribute`](#cdktfprovideroktaidpconfigpropertygroupsattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_attribute Idp#groups_attribute}. |
| [`groupsFilter`](#cdktfprovideroktaidpconfigpropertygroupsfilter) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_filter Idp#groups_filter}. |
| [`id`](#cdktfprovideroktaidpconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#id Idp#id}. |
| [`issuerMode`](#cdktfprovideroktaidpconfigpropertyissuermode) | `string` | Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL. |
| [`maxClockSkew`](#cdktfprovideroktaidpconfigpropertymaxclockskew) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#max_clock_skew Idp#max_clock_skew}. |
| [`profileMaster`](#cdktfprovideroktaidpconfigpropertyprofilemaster) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#profile_master Idp#profile_master}. |
| [`protocolType`](#cdktfprovideroktaidpconfigpropertyprotocoltype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#protocol_type Idp#protocol_type}. |
| [`provisioningAction`](#cdktfprovideroktaidpconfigpropertyprovisioningaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#provisioning_action Idp#provisioning_action}. |
| [`requestSignatureAlgorithm`](#cdktfprovideroktaidpconfigpropertyrequestsignaturealgorithm) | `string` | The HMAC Signature Algorithm used when signing an authorization request. |
| [`requestSignatureScope`](#cdktfprovideroktaidpconfigpropertyrequestsignaturescope) | `string` | Specifies whether to digitally sign an authorization request to the IdP. |
| [`status`](#cdktfprovideroktaidpconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#status Idp#status}. |
| [`subjectMatchAttribute`](#cdktfprovideroktaidpconfigpropertysubjectmatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#subject_match_attribute Idp#subject_match_attribute}. |
| [`subjectMatchType`](#cdktfprovideroktaidpconfigpropertysubjectmatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#subject_match_type Idp#subject_match_type}. |
| [`suspendedAction`](#cdktfprovideroktaidpconfigpropertysuspendedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#suspended_action Idp#suspended_action}. |
| [`userInfoBinding`](#cdktfprovideroktaidpconfigpropertyuserinfobinding) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#user_info_binding Idp#user_info_binding}. |
| [`userInfoUrl`](#cdktfprovideroktaidpconfigpropertyuserinfourl) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#user_info_url Idp#user_info_url}. |
| [`usernameTemplate`](#cdktfprovideroktaidpconfigpropertyusernametemplate) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#username_template Idp#username_template}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.connection" id="cdktfprovideroktaidpconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.count" id="cdktfprovideroktaidpconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.dependsOn" id="cdktfprovideroktaidpconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.forEach" id="cdktfprovideroktaidpconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.lifecycle" id="cdktfprovideroktaidpconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.provider" id="cdktfprovideroktaidpconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.provisioners" id="cdktfprovideroktaidpconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.authorizationBinding" id="cdktfprovideroktaidpconfigpropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#authorization_binding Idp#authorization_binding}.

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.authorizationUrl" id="cdktfprovideroktaidpconfigpropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#authorization_url Idp#authorization_url}.

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.clientId" id="cdktfprovideroktaidpconfigpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#client_id Idp#client_id}.

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.clientSecret" id="cdktfprovideroktaidpconfigpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#client_secret Idp#client_secret}.

---

##### `issuerUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.issuerUrl" id="cdktfprovideroktaidpconfigpropertyissuerurl"></a>

```typescript
public readonly issuerUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#issuer_url Idp#issuer_url}.

---

##### `jwksBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.jwksBinding" id="cdktfprovideroktaidpconfigpropertyjwksbinding"></a>

```typescript
public readonly jwksBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#jwks_binding Idp#jwks_binding}.

---

##### `jwksUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.jwksUrl" id="cdktfprovideroktaidpconfigpropertyjwksurl"></a>

```typescript
public readonly jwksUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#jwks_url Idp#jwks_url}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.name" id="cdktfprovideroktaidpconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#name Idp#name}

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.scopes" id="cdktfprovideroktaidpconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#scopes Idp#scopes}.

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.tokenBinding" id="cdktfprovideroktaidpconfigpropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#token_binding Idp#token_binding}.

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpConfig.property.tokenUrl" id="cdktfprovideroktaidpconfigpropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#token_url Idp#token_url}.

---

##### `accountLinkAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.accountLinkAction" id="cdktfprovideroktaidpconfigpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#account_link_action Idp#account_link_action}.

---

##### `accountLinkGroupInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.accountLinkGroupInclude" id="cdktfprovideroktaidpconfigpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#account_link_group_include Idp#account_link_group_include}.

---

##### `deprovisionedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.deprovisionedAction" id="cdktfprovideroktaidpconfigpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#deprovisioned_action Idp#deprovisioned_action}.

---

##### `groupsAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.groupsAction" id="cdktfprovideroktaidpconfigpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_action Idp#groups_action}.

---

##### `groupsAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.groupsAssignment" id="cdktfprovideroktaidpconfigpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_assignment Idp#groups_assignment}.

---

##### `groupsAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.groupsAttribute" id="cdktfprovideroktaidpconfigpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_attribute Idp#groups_attribute}.

---

##### `groupsFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.groupsFilter" id="cdktfprovideroktaidpconfigpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#groups_filter Idp#groups_filter}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.id" id="cdktfprovideroktaidpconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#id Idp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.issuerMode" id="cdktfprovideroktaidpconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#issuer_mode Idp#issuer_mode}

---

##### `maxClockSkew`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.maxClockSkew" id="cdktfprovideroktaidpconfigpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#max_clock_skew Idp#max_clock_skew}.

---

##### `profileMaster`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.profileMaster" id="cdktfprovideroktaidpconfigpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#profile_master Idp#profile_master}.

---

##### `protocolType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.protocolType" id="cdktfprovideroktaidpconfigpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#protocol_type Idp#protocol_type}.

---

##### `provisioningAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.provisioningAction" id="cdktfprovideroktaidpconfigpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#provisioning_action Idp#provisioning_action}.

---

##### `requestSignatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.requestSignatureAlgorithm" id="cdktfprovideroktaidpconfigpropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

The HMAC Signature Algorithm used when signing an authorization request.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#request_signature_algorithm Idp#request_signature_algorithm}

---

##### `requestSignatureScope`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.requestSignatureScope" id="cdktfprovideroktaidpconfigpropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

Specifies whether to digitally sign an authorization request to the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#request_signature_scope Idp#request_signature_scope}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.status" id="cdktfprovideroktaidpconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#status Idp#status}.

---

##### `subjectMatchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.subjectMatchAttribute" id="cdktfprovideroktaidpconfigpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#subject_match_attribute Idp#subject_match_attribute}.

---

##### `subjectMatchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.subjectMatchType" id="cdktfprovideroktaidpconfigpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#subject_match_type Idp#subject_match_type}.

---

##### `suspendedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.suspendedAction" id="cdktfprovideroktaidpconfigpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#suspended_action Idp#suspended_action}.

---

##### `userInfoBinding`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.userInfoBinding" id="cdktfprovideroktaidpconfigpropertyuserinfobinding"></a>

```typescript
public readonly userInfoBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#user_info_binding Idp#user_info_binding}.

---

##### `userInfoUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.userInfoUrl" id="cdktfprovideroktaidpconfigpropertyuserinfourl"></a>

```typescript
public readonly userInfoUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#user_info_url Idp#user_info_url}.

---

##### `usernameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpConfig.property.usernameTemplate" id="cdktfprovideroktaidpconfigpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp#username_template Idp#username_template}.

---

### IdpOidcConfig <a name="@cdktf/provider-okta.IdpOidcConfig" id="cdktfprovideroktaidpoidcconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { IdpOidcConfig } from '@cdktf/provider-okta'

const idpOidcConfig: IdpOidcConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaidpoidcconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaidpoidcconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaidpoidcconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaidpoidcconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaidpoidcconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaidpoidcconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaidpoidcconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authorizationBinding`](#cdktfprovideroktaidpoidcconfigpropertyauthorizationbinding)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#authorization_binding IdpOidc#authorization_binding}. |
| [`authorizationUrl`](#cdktfprovideroktaidpoidcconfigpropertyauthorizationurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#authorization_url IdpOidc#authorization_url}. |
| [`clientId`](#cdktfprovideroktaidpoidcconfigpropertyclientid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#client_id IdpOidc#client_id}. |
| [`clientSecret`](#cdktfprovideroktaidpoidcconfigpropertyclientsecret)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#client_secret IdpOidc#client_secret}. |
| [`issuerUrl`](#cdktfprovideroktaidpoidcconfigpropertyissuerurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#issuer_url IdpOidc#issuer_url}. |
| [`jwksBinding`](#cdktfprovideroktaidpoidcconfigpropertyjwksbinding)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#jwks_binding IdpOidc#jwks_binding}. |
| [`jwksUrl`](#cdktfprovideroktaidpoidcconfigpropertyjwksurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#jwks_url IdpOidc#jwks_url}. |
| [`name`](#cdktfprovideroktaidpoidcconfigpropertyname)<span title="Required">*</span> | `string` | Name of the IdP. |
| [`scopes`](#cdktfprovideroktaidpoidcconfigpropertyscopes)<span title="Required">*</span> | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#scopes IdpOidc#scopes}. |
| [`tokenBinding`](#cdktfprovideroktaidpoidcconfigpropertytokenbinding)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#token_binding IdpOidc#token_binding}. |
| [`tokenUrl`](#cdktfprovideroktaidpoidcconfigpropertytokenurl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#token_url IdpOidc#token_url}. |
| [`accountLinkAction`](#cdktfprovideroktaidpoidcconfigpropertyaccountlinkaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#account_link_action IdpOidc#account_link_action}. |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidpoidcconfigpropertyaccountlinkgroupinclude) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#account_link_group_include IdpOidc#account_link_group_include}. |
| [`deprovisionedAction`](#cdktfprovideroktaidpoidcconfigpropertydeprovisionedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#deprovisioned_action IdpOidc#deprovisioned_action}. |
| [`groupsAction`](#cdktfprovideroktaidpoidcconfigpropertygroupsaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_action IdpOidc#groups_action}. |
| [`groupsAssignment`](#cdktfprovideroktaidpoidcconfigpropertygroupsassignment) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_assignment IdpOidc#groups_assignment}. |
| [`groupsAttribute`](#cdktfprovideroktaidpoidcconfigpropertygroupsattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_attribute IdpOidc#groups_attribute}. |
| [`groupsFilter`](#cdktfprovideroktaidpoidcconfigpropertygroupsfilter) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_filter IdpOidc#groups_filter}. |
| [`id`](#cdktfprovideroktaidpoidcconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#id IdpOidc#id}. |
| [`issuerMode`](#cdktfprovideroktaidpoidcconfigpropertyissuermode) | `string` | Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL. |
| [`maxClockSkew`](#cdktfprovideroktaidpoidcconfigpropertymaxclockskew) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#max_clock_skew IdpOidc#max_clock_skew}. |
| [`profileMaster`](#cdktfprovideroktaidpoidcconfigpropertyprofilemaster) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#profile_master IdpOidc#profile_master}. |
| [`protocolType`](#cdktfprovideroktaidpoidcconfigpropertyprotocoltype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#protocol_type IdpOidc#protocol_type}. |
| [`provisioningAction`](#cdktfprovideroktaidpoidcconfigpropertyprovisioningaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#provisioning_action IdpOidc#provisioning_action}. |
| [`requestSignatureAlgorithm`](#cdktfprovideroktaidpoidcconfigpropertyrequestsignaturealgorithm) | `string` | The HMAC Signature Algorithm used when signing an authorization request. |
| [`requestSignatureScope`](#cdktfprovideroktaidpoidcconfigpropertyrequestsignaturescope) | `string` | Specifies whether to digitally sign an authorization request to the IdP. |
| [`status`](#cdktfprovideroktaidpoidcconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#status IdpOidc#status}. |
| [`subjectMatchAttribute`](#cdktfprovideroktaidpoidcconfigpropertysubjectmatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#subject_match_attribute IdpOidc#subject_match_attribute}. |
| [`subjectMatchType`](#cdktfprovideroktaidpoidcconfigpropertysubjectmatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#subject_match_type IdpOidc#subject_match_type}. |
| [`suspendedAction`](#cdktfprovideroktaidpoidcconfigpropertysuspendedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#suspended_action IdpOidc#suspended_action}. |
| [`userInfoBinding`](#cdktfprovideroktaidpoidcconfigpropertyuserinfobinding) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#user_info_binding IdpOidc#user_info_binding}. |
| [`userInfoUrl`](#cdktfprovideroktaidpoidcconfigpropertyuserinfourl) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#user_info_url IdpOidc#user_info_url}. |
| [`usernameTemplate`](#cdktfprovideroktaidpoidcconfigpropertyusernametemplate) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#username_template IdpOidc#username_template}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.connection" id="cdktfprovideroktaidpoidcconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.count" id="cdktfprovideroktaidpoidcconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.dependsOn" id="cdktfprovideroktaidpoidcconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.forEach" id="cdktfprovideroktaidpoidcconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.lifecycle" id="cdktfprovideroktaidpoidcconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.provider" id="cdktfprovideroktaidpoidcconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.provisioners" id="cdktfprovideroktaidpoidcconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authorizationBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.authorizationBinding" id="cdktfprovideroktaidpoidcconfigpropertyauthorizationbinding"></a>

```typescript
public readonly authorizationBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#authorization_binding IdpOidc#authorization_binding}.

---

##### `authorizationUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.authorizationUrl" id="cdktfprovideroktaidpoidcconfigpropertyauthorizationurl"></a>

```typescript
public readonly authorizationUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#authorization_url IdpOidc#authorization_url}.

---

##### `clientId`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.clientId" id="cdktfprovideroktaidpoidcconfigpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#client_id IdpOidc#client_id}.

---

##### `clientSecret`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.clientSecret" id="cdktfprovideroktaidpoidcconfigpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#client_secret IdpOidc#client_secret}.

---

##### `issuerUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.issuerUrl" id="cdktfprovideroktaidpoidcconfigpropertyissuerurl"></a>

```typescript
public readonly issuerUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#issuer_url IdpOidc#issuer_url}.

---

##### `jwksBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.jwksBinding" id="cdktfprovideroktaidpoidcconfigpropertyjwksbinding"></a>

```typescript
public readonly jwksBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#jwks_binding IdpOidc#jwks_binding}.

---

##### `jwksUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.jwksUrl" id="cdktfprovideroktaidpoidcconfigpropertyjwksurl"></a>

```typescript
public readonly jwksUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#jwks_url IdpOidc#jwks_url}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.name" id="cdktfprovideroktaidpoidcconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#name IdpOidc#name}

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.scopes" id="cdktfprovideroktaidpoidcconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#scopes IdpOidc#scopes}.

---

##### `tokenBinding`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.tokenBinding" id="cdktfprovideroktaidpoidcconfigpropertytokenbinding"></a>

```typescript
public readonly tokenBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#token_binding IdpOidc#token_binding}.

---

##### `tokenUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.tokenUrl" id="cdktfprovideroktaidpoidcconfigpropertytokenurl"></a>

```typescript
public readonly tokenUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#token_url IdpOidc#token_url}.

---

##### `accountLinkAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.accountLinkAction" id="cdktfprovideroktaidpoidcconfigpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#account_link_action IdpOidc#account_link_action}.

---

##### `accountLinkGroupInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.accountLinkGroupInclude" id="cdktfprovideroktaidpoidcconfigpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#account_link_group_include IdpOidc#account_link_group_include}.

---

##### `deprovisionedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.deprovisionedAction" id="cdktfprovideroktaidpoidcconfigpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#deprovisioned_action IdpOidc#deprovisioned_action}.

---

##### `groupsAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.groupsAction" id="cdktfprovideroktaidpoidcconfigpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_action IdpOidc#groups_action}.

---

##### `groupsAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.groupsAssignment" id="cdktfprovideroktaidpoidcconfigpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_assignment IdpOidc#groups_assignment}.

---

##### `groupsAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.groupsAttribute" id="cdktfprovideroktaidpoidcconfigpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_attribute IdpOidc#groups_attribute}.

---

##### `groupsFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.groupsFilter" id="cdktfprovideroktaidpoidcconfigpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#groups_filter IdpOidc#groups_filter}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.id" id="cdktfprovideroktaidpoidcconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#id IdpOidc#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.issuerMode" id="cdktfprovideroktaidpoidcconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#issuer_mode IdpOidc#issuer_mode}

---

##### `maxClockSkew`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.maxClockSkew" id="cdktfprovideroktaidpoidcconfigpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#max_clock_skew IdpOidc#max_clock_skew}.

---

##### `profileMaster`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.profileMaster" id="cdktfprovideroktaidpoidcconfigpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#profile_master IdpOidc#profile_master}.

---

##### `protocolType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.protocolType" id="cdktfprovideroktaidpoidcconfigpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#protocol_type IdpOidc#protocol_type}.

---

##### `provisioningAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.provisioningAction" id="cdktfprovideroktaidpoidcconfigpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#provisioning_action IdpOidc#provisioning_action}.

---

##### `requestSignatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.requestSignatureAlgorithm" id="cdktfprovideroktaidpoidcconfigpropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

The HMAC Signature Algorithm used when signing an authorization request.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#request_signature_algorithm IdpOidc#request_signature_algorithm}

---

##### `requestSignatureScope`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.requestSignatureScope" id="cdktfprovideroktaidpoidcconfigpropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

Specifies whether to digitally sign an authorization request to the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#request_signature_scope IdpOidc#request_signature_scope}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.status" id="cdktfprovideroktaidpoidcconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#status IdpOidc#status}.

---

##### `subjectMatchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.subjectMatchAttribute" id="cdktfprovideroktaidpoidcconfigpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#subject_match_attribute IdpOidc#subject_match_attribute}.

---

##### `subjectMatchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.subjectMatchType" id="cdktfprovideroktaidpoidcconfigpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#subject_match_type IdpOidc#subject_match_type}.

---

##### `suspendedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.suspendedAction" id="cdktfprovideroktaidpoidcconfigpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#suspended_action IdpOidc#suspended_action}.

---

##### `userInfoBinding`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.userInfoBinding" id="cdktfprovideroktaidpoidcconfigpropertyuserinfobinding"></a>

```typescript
public readonly userInfoBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#user_info_binding IdpOidc#user_info_binding}.

---

##### `userInfoUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.userInfoUrl" id="cdktfprovideroktaidpoidcconfigpropertyuserinfourl"></a>

```typescript
public readonly userInfoUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#user_info_url IdpOidc#user_info_url}.

---

##### `usernameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpOidcConfig.property.usernameTemplate" id="cdktfprovideroktaidpoidcconfigpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_oidc#username_template IdpOidc#username_template}.

---

### IdpSamlConfig <a name="@cdktf/provider-okta.IdpSamlConfig" id="cdktfprovideroktaidpsamlconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { IdpSamlConfig } from '@cdktf/provider-okta'

const idpSamlConfig: IdpSamlConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaidpsamlconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaidpsamlconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaidpsamlconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaidpsamlconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaidpsamlconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaidpsamlconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaidpsamlconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`issuer`](#cdktfprovideroktaidpsamlconfigpropertyissuer)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#issuer IdpSaml#issuer}. |
| [`kid`](#cdktfprovideroktaidpsamlconfigpropertykid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#kid IdpSaml#kid}. |
| [`name`](#cdktfprovideroktaidpsamlconfigpropertyname)<span title="Required">*</span> | `string` | Name of the IdP. |
| [`ssoUrl`](#cdktfprovideroktaidpsamlconfigpropertyssourl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#sso_url IdpSaml#sso_url}. |
| [`accountLinkAction`](#cdktfprovideroktaidpsamlconfigpropertyaccountlinkaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#account_link_action IdpSaml#account_link_action}. |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidpsamlconfigpropertyaccountlinkgroupinclude) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#account_link_group_include IdpSaml#account_link_group_include}. |
| [`acsBinding`](#cdktfprovideroktaidpsamlconfigpropertyacsbinding) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#acs_binding IdpSaml#acs_binding}. |
| [`acsType`](#cdktfprovideroktaidpsamlconfigpropertyacstype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#acs_type IdpSaml#acs_type}. |
| [`deprovisionedAction`](#cdktfprovideroktaidpsamlconfigpropertydeprovisionedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#deprovisioned_action IdpSaml#deprovisioned_action}. |
| [`groupsAction`](#cdktfprovideroktaidpsamlconfigpropertygroupsaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_action IdpSaml#groups_action}. |
| [`groupsAssignment`](#cdktfprovideroktaidpsamlconfigpropertygroupsassignment) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_assignment IdpSaml#groups_assignment}. |
| [`groupsAttribute`](#cdktfprovideroktaidpsamlconfigpropertygroupsattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_attribute IdpSaml#groups_attribute}. |
| [`groupsFilter`](#cdktfprovideroktaidpsamlconfigpropertygroupsfilter) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_filter IdpSaml#groups_filter}. |
| [`id`](#cdktfprovideroktaidpsamlconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#id IdpSaml#id}. |
| [`issuerMode`](#cdktfprovideroktaidpsamlconfigpropertyissuermode) | `string` | Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL. |
| [`maxClockSkew`](#cdktfprovideroktaidpsamlconfigpropertymaxclockskew) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#max_clock_skew IdpSaml#max_clock_skew}. |
| [`nameFormat`](#cdktfprovideroktaidpsamlconfigpropertynameformat) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#name_format IdpSaml#name_format}. |
| [`profileMaster`](#cdktfprovideroktaidpsamlconfigpropertyprofilemaster) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#profile_master IdpSaml#profile_master}. |
| [`provisioningAction`](#cdktfprovideroktaidpsamlconfigpropertyprovisioningaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#provisioning_action IdpSaml#provisioning_action}. |
| [`requestSignatureAlgorithm`](#cdktfprovideroktaidpsamlconfigpropertyrequestsignaturealgorithm) | `string` | The XML digital Signature Algorithm used when signing an <AuthnRequest> message. |
| [`requestSignatureScope`](#cdktfprovideroktaidpsamlconfigpropertyrequestsignaturescope) | `string` | Specifies whether to digitally sign <AuthnRequest> messages to the IdP. |
| [`responseSignatureAlgorithm`](#cdktfprovideroktaidpsamlconfigpropertyresponsesignaturealgorithm) | `string` | The minimum XML digital Signature Algorithm allowed when verifying a <SAMLResponse> message or <Assertion> element. |
| [`responseSignatureScope`](#cdktfprovideroktaidpsamlconfigpropertyresponsesignaturescope) | `string` | Specifies whether to verify a <SAMLResponse> message or <Assertion> element XML digital signature. |
| [`ssoBinding`](#cdktfprovideroktaidpsamlconfigpropertyssobinding) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#sso_binding IdpSaml#sso_binding}. |
| [`ssoDestination`](#cdktfprovideroktaidpsamlconfigpropertyssodestination) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#sso_destination IdpSaml#sso_destination}. |
| [`status`](#cdktfprovideroktaidpsamlconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#status IdpSaml#status}. |
| [`subjectFilter`](#cdktfprovideroktaidpsamlconfigpropertysubjectfilter) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_filter IdpSaml#subject_filter}. |
| [`subjectFormat`](#cdktfprovideroktaidpsamlconfigpropertysubjectformat) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_format IdpSaml#subject_format}. |
| [`subjectMatchAttribute`](#cdktfprovideroktaidpsamlconfigpropertysubjectmatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_match_attribute IdpSaml#subject_match_attribute}. |
| [`subjectMatchType`](#cdktfprovideroktaidpsamlconfigpropertysubjectmatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_match_type IdpSaml#subject_match_type}. |
| [`suspendedAction`](#cdktfprovideroktaidpsamlconfigpropertysuspendedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#suspended_action IdpSaml#suspended_action}. |
| [`usernameTemplate`](#cdktfprovideroktaidpsamlconfigpropertyusernametemplate) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#username_template IdpSaml#username_template}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.connection" id="cdktfprovideroktaidpsamlconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.count" id="cdktfprovideroktaidpsamlconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.dependsOn" id="cdktfprovideroktaidpsamlconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.forEach" id="cdktfprovideroktaidpsamlconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.lifecycle" id="cdktfprovideroktaidpsamlconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.provider" id="cdktfprovideroktaidpsamlconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.provisioners" id="cdktfprovideroktaidpsamlconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.issuer" id="cdktfprovideroktaidpsamlconfigpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#issuer IdpSaml#issuer}.

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.kid" id="cdktfprovideroktaidpsamlconfigpropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#kid IdpSaml#kid}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.name" id="cdktfprovideroktaidpsamlconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#name IdpSaml#name}

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.ssoUrl" id="cdktfprovideroktaidpsamlconfigpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#sso_url IdpSaml#sso_url}.

---

##### `accountLinkAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.accountLinkAction" id="cdktfprovideroktaidpsamlconfigpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#account_link_action IdpSaml#account_link_action}.

---

##### `accountLinkGroupInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.accountLinkGroupInclude" id="cdktfprovideroktaidpsamlconfigpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#account_link_group_include IdpSaml#account_link_group_include}.

---

##### `acsBinding`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.acsBinding" id="cdktfprovideroktaidpsamlconfigpropertyacsbinding"></a>

```typescript
public readonly acsBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#acs_binding IdpSaml#acs_binding}.

---

##### `acsType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.acsType" id="cdktfprovideroktaidpsamlconfigpropertyacstype"></a>

```typescript
public readonly acsType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#acs_type IdpSaml#acs_type}.

---

##### `deprovisionedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.deprovisionedAction" id="cdktfprovideroktaidpsamlconfigpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#deprovisioned_action IdpSaml#deprovisioned_action}.

---

##### `groupsAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.groupsAction" id="cdktfprovideroktaidpsamlconfigpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_action IdpSaml#groups_action}.

---

##### `groupsAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.groupsAssignment" id="cdktfprovideroktaidpsamlconfigpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_assignment IdpSaml#groups_assignment}.

---

##### `groupsAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.groupsAttribute" id="cdktfprovideroktaidpsamlconfigpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_attribute IdpSaml#groups_attribute}.

---

##### `groupsFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.groupsFilter" id="cdktfprovideroktaidpsamlconfigpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#groups_filter IdpSaml#groups_filter}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.id" id="cdktfprovideroktaidpsamlconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#id IdpSaml#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.issuerMode" id="cdktfprovideroktaidpsamlconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#issuer_mode IdpSaml#issuer_mode}

---

##### `maxClockSkew`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.maxClockSkew" id="cdktfprovideroktaidpsamlconfigpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#max_clock_skew IdpSaml#max_clock_skew}.

---

##### `nameFormat`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.nameFormat" id="cdktfprovideroktaidpsamlconfigpropertynameformat"></a>

```typescript
public readonly nameFormat: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#name_format IdpSaml#name_format}.

---

##### `profileMaster`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.profileMaster" id="cdktfprovideroktaidpsamlconfigpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#profile_master IdpSaml#profile_master}.

---

##### `provisioningAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.provisioningAction" id="cdktfprovideroktaidpsamlconfigpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#provisioning_action IdpSaml#provisioning_action}.

---

##### `requestSignatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.requestSignatureAlgorithm" id="cdktfprovideroktaidpsamlconfigpropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

The XML digital Signature Algorithm used when signing an <AuthnRequest> message.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#request_signature_algorithm IdpSaml#request_signature_algorithm}

---

##### `requestSignatureScope`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.requestSignatureScope" id="cdktfprovideroktaidpsamlconfigpropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

Specifies whether to digitally sign <AuthnRequest> messages to the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#request_signature_scope IdpSaml#request_signature_scope}

---

##### `responseSignatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.responseSignatureAlgorithm" id="cdktfprovideroktaidpsamlconfigpropertyresponsesignaturealgorithm"></a>

```typescript
public readonly responseSignatureAlgorithm: string;
```

- *Type:* `string`

The minimum XML digital Signature Algorithm allowed when verifying a <SAMLResponse> message or <Assertion> element.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#response_signature_algorithm IdpSaml#response_signature_algorithm}

---

##### `responseSignatureScope`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.responseSignatureScope" id="cdktfprovideroktaidpsamlconfigpropertyresponsesignaturescope"></a>

```typescript
public readonly responseSignatureScope: string;
```

- *Type:* `string`

Specifies whether to verify a <SAMLResponse> message or <Assertion> element XML digital signature.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#response_signature_scope IdpSaml#response_signature_scope}

---

##### `ssoBinding`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.ssoBinding" id="cdktfprovideroktaidpsamlconfigpropertyssobinding"></a>

```typescript
public readonly ssoBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#sso_binding IdpSaml#sso_binding}.

---

##### `ssoDestination`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.ssoDestination" id="cdktfprovideroktaidpsamlconfigpropertyssodestination"></a>

```typescript
public readonly ssoDestination: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#sso_destination IdpSaml#sso_destination}.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.status" id="cdktfprovideroktaidpsamlconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#status IdpSaml#status}.

---

##### `subjectFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.subjectFilter" id="cdktfprovideroktaidpsamlconfigpropertysubjectfilter"></a>

```typescript
public readonly subjectFilter: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_filter IdpSaml#subject_filter}.

---

##### `subjectFormat`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.subjectFormat" id="cdktfprovideroktaidpsamlconfigpropertysubjectformat"></a>

```typescript
public readonly subjectFormat: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_format IdpSaml#subject_format}.

---

##### `subjectMatchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.subjectMatchAttribute" id="cdktfprovideroktaidpsamlconfigpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_match_attribute IdpSaml#subject_match_attribute}.

---

##### `subjectMatchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.subjectMatchType" id="cdktfprovideroktaidpsamlconfigpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#subject_match_type IdpSaml#subject_match_type}.

---

##### `suspendedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.suspendedAction" id="cdktfprovideroktaidpsamlconfigpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#suspended_action IdpSaml#suspended_action}.

---

##### `usernameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlConfig.property.usernameTemplate" id="cdktfprovideroktaidpsamlconfigpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml#username_template IdpSaml#username_template}.

---

### IdpSamlKeyConfig <a name="@cdktf/provider-okta.IdpSamlKeyConfig" id="cdktfprovideroktaidpsamlkeyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { IdpSamlKeyConfig } from '@cdktf/provider-okta'

const idpSamlKeyConfig: IdpSamlKeyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaidpsamlkeyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaidpsamlkeyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaidpsamlkeyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaidpsamlkeyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaidpsamlkeyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaidpsamlkeyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaidpsamlkeyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`x5C`](#cdktfprovideroktaidpsamlkeyconfigpropertyx5c)<span title="Required">*</span> | `string`[] | base64-encoded X.509 certificate chain with DER encoding. |
| [`id`](#cdktfprovideroktaidpsamlkeyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml_key#id IdpSamlKey#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.connection" id="cdktfprovideroktaidpsamlkeyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.count" id="cdktfprovideroktaidpsamlkeyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.dependsOn" id="cdktfprovideroktaidpsamlkeyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.forEach" id="cdktfprovideroktaidpsamlkeyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.lifecycle" id="cdktfprovideroktaidpsamlkeyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.provider" id="cdktfprovideroktaidpsamlkeyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.provisioners" id="cdktfprovideroktaidpsamlkeyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `x5C`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.x5C" id="cdktfprovideroktaidpsamlkeyconfigpropertyx5c"></a>

```typescript
public readonly x5C: string[];
```

- *Type:* `string`[]

base64-encoded X.509 certificate chain with DER encoding.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml_key#x5c IdpSamlKey#x5c}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSamlKeyConfig.property.id" id="cdktfprovideroktaidpsamlkeyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_saml_key#id IdpSamlKey#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### IdpSocialConfig <a name="@cdktf/provider-okta.IdpSocialConfig" id="cdktfprovideroktaidpsocialconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { IdpSocialConfig } from '@cdktf/provider-okta'

const idpSocialConfig: IdpSocialConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaidpsocialconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaidpsocialconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaidpsocialconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaidpsocialconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaidpsocialconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaidpsocialconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaidpsocialconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktaidpsocialconfigpropertyname)<span title="Required">*</span> | `string` | Name of the IdP. |
| [`scopes`](#cdktfprovideroktaidpsocialconfigpropertyscopes)<span title="Required">*</span> | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#scopes IdpSocial#scopes}. |
| [`type`](#cdktfprovideroktaidpsocialconfigpropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#type IdpSocial#type}. |
| [`accountLinkAction`](#cdktfprovideroktaidpsocialconfigpropertyaccountlinkaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#account_link_action IdpSocial#account_link_action}. |
| [`accountLinkGroupInclude`](#cdktfprovideroktaidpsocialconfigpropertyaccountlinkgroupinclude) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#account_link_group_include IdpSocial#account_link_group_include}. |
| [`appleKid`](#cdktfprovideroktaidpsocialconfigpropertyapplekid) | `string` | The Key ID that you obtained from Apple when you created the private key for the client. |
| [`applePrivateKey`](#cdktfprovideroktaidpsocialconfigpropertyappleprivatekey) | `string` | The PKCS #8 encoded private key that you created for the client and downloaded from Apple. |
| [`appleTeamId`](#cdktfprovideroktaidpsocialconfigpropertyappleteamid) | `string` | The Team ID associated with your Apple developer account. |
| [`clientId`](#cdktfprovideroktaidpsocialconfigpropertyclientid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#client_id IdpSocial#client_id}. |
| [`clientSecret`](#cdktfprovideroktaidpsocialconfigpropertyclientsecret) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#client_secret IdpSocial#client_secret}. |
| [`deprovisionedAction`](#cdktfprovideroktaidpsocialconfigpropertydeprovisionedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#deprovisioned_action IdpSocial#deprovisioned_action}. |
| [`groupsAction`](#cdktfprovideroktaidpsocialconfigpropertygroupsaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_action IdpSocial#groups_action}. |
| [`groupsAssignment`](#cdktfprovideroktaidpsocialconfigpropertygroupsassignment) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_assignment IdpSocial#groups_assignment}. |
| [`groupsAttribute`](#cdktfprovideroktaidpsocialconfigpropertygroupsattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_attribute IdpSocial#groups_attribute}. |
| [`groupsFilter`](#cdktfprovideroktaidpsocialconfigpropertygroupsfilter) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_filter IdpSocial#groups_filter}. |
| [`id`](#cdktfprovideroktaidpsocialconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#id IdpSocial#id}. |
| [`issuerMode`](#cdktfprovideroktaidpsocialconfigpropertyissuermode) | `string` | Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL. |
| [`matchAttribute`](#cdktfprovideroktaidpsocialconfigpropertymatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#match_attribute IdpSocial#match_attribute}. |
| [`matchType`](#cdktfprovideroktaidpsocialconfigpropertymatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#match_type IdpSocial#match_type}. |
| [`maxClockSkew`](#cdktfprovideroktaidpsocialconfigpropertymaxclockskew) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#max_clock_skew IdpSocial#max_clock_skew}. |
| [`profileMaster`](#cdktfprovideroktaidpsocialconfigpropertyprofilemaster) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#profile_master IdpSocial#profile_master}. |
| [`protocolType`](#cdktfprovideroktaidpsocialconfigpropertyprotocoltype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#protocol_type IdpSocial#protocol_type}. |
| [`provisioningAction`](#cdktfprovideroktaidpsocialconfigpropertyprovisioningaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#provisioning_action IdpSocial#provisioning_action}. |
| [`status`](#cdktfprovideroktaidpsocialconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#status IdpSocial#status}. |
| [`subjectMatchAttribute`](#cdktfprovideroktaidpsocialconfigpropertysubjectmatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#subject_match_attribute IdpSocial#subject_match_attribute}. |
| [`subjectMatchType`](#cdktfprovideroktaidpsocialconfigpropertysubjectmatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#subject_match_type IdpSocial#subject_match_type}. |
| [`suspendedAction`](#cdktfprovideroktaidpsocialconfigpropertysuspendedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#suspended_action IdpSocial#suspended_action}. |
| [`usernameTemplate`](#cdktfprovideroktaidpsocialconfigpropertyusernametemplate) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#username_template IdpSocial#username_template}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.connection" id="cdktfprovideroktaidpsocialconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.count" id="cdktfprovideroktaidpsocialconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.dependsOn" id="cdktfprovideroktaidpsocialconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.forEach" id="cdktfprovideroktaidpsocialconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.lifecycle" id="cdktfprovideroktaidpsocialconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.provider" id="cdktfprovideroktaidpsocialconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.provisioners" id="cdktfprovideroktaidpsocialconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.name" id="cdktfprovideroktaidpsocialconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#name IdpSocial#name}

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.scopes" id="cdktfprovideroktaidpsocialconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#scopes IdpSocial#scopes}.

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.type" id="cdktfprovideroktaidpsocialconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#type IdpSocial#type}.

---

##### `accountLinkAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.accountLinkAction" id="cdktfprovideroktaidpsocialconfigpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#account_link_action IdpSocial#account_link_action}.

---

##### `accountLinkGroupInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.accountLinkGroupInclude" id="cdktfprovideroktaidpsocialconfigpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#account_link_group_include IdpSocial#account_link_group_include}.

---

##### `appleKid`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.appleKid" id="cdktfprovideroktaidpsocialconfigpropertyapplekid"></a>

```typescript
public readonly appleKid: string;
```

- *Type:* `string`

The Key ID that you obtained from Apple when you created the private key for the client.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#apple_kid IdpSocial#apple_kid}

---

##### `applePrivateKey`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.applePrivateKey" id="cdktfprovideroktaidpsocialconfigpropertyappleprivatekey"></a>

```typescript
public readonly applePrivateKey: string;
```

- *Type:* `string`

The PKCS #8 encoded private key that you created for the client and downloaded from Apple.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#apple_private_key IdpSocial#apple_private_key}

---

##### `appleTeamId`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.appleTeamId" id="cdktfprovideroktaidpsocialconfigpropertyappleteamid"></a>

```typescript
public readonly appleTeamId: string;
```

- *Type:* `string`

The Team ID associated with your Apple developer account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#apple_team_id IdpSocial#apple_team_id}

---

##### `clientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.clientId" id="cdktfprovideroktaidpsocialconfigpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#client_id IdpSocial#client_id}.

---

##### `clientSecret`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.clientSecret" id="cdktfprovideroktaidpsocialconfigpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#client_secret IdpSocial#client_secret}.

---

##### `deprovisionedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.deprovisionedAction" id="cdktfprovideroktaidpsocialconfigpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#deprovisioned_action IdpSocial#deprovisioned_action}.

---

##### `groupsAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.groupsAction" id="cdktfprovideroktaidpsocialconfigpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_action IdpSocial#groups_action}.

---

##### `groupsAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.groupsAssignment" id="cdktfprovideroktaidpsocialconfigpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_assignment IdpSocial#groups_assignment}.

---

##### `groupsAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.groupsAttribute" id="cdktfprovideroktaidpsocialconfigpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_attribute IdpSocial#groups_attribute}.

---

##### `groupsFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.groupsFilter" id="cdktfprovideroktaidpsocialconfigpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#groups_filter IdpSocial#groups_filter}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.id" id="cdktfprovideroktaidpsocialconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#id IdpSocial#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.issuerMode" id="cdktfprovideroktaidpsocialconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#issuer_mode IdpSocial#issuer_mode}

---

##### `matchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.matchAttribute" id="cdktfprovideroktaidpsocialconfigpropertymatchattribute"></a>

```typescript
public readonly matchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#match_attribute IdpSocial#match_attribute}.

---

##### `matchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.matchType" id="cdktfprovideroktaidpsocialconfigpropertymatchtype"></a>

```typescript
public readonly matchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#match_type IdpSocial#match_type}.

---

##### `maxClockSkew`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.maxClockSkew" id="cdktfprovideroktaidpsocialconfigpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#max_clock_skew IdpSocial#max_clock_skew}.

---

##### `profileMaster`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.profileMaster" id="cdktfprovideroktaidpsocialconfigpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#profile_master IdpSocial#profile_master}.

---

##### `protocolType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.protocolType" id="cdktfprovideroktaidpsocialconfigpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#protocol_type IdpSocial#protocol_type}.

---

##### `provisioningAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.provisioningAction" id="cdktfprovideroktaidpsocialconfigpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#provisioning_action IdpSocial#provisioning_action}.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.status" id="cdktfprovideroktaidpsocialconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#status IdpSocial#status}.

---

##### `subjectMatchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.subjectMatchAttribute" id="cdktfprovideroktaidpsocialconfigpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#subject_match_attribute IdpSocial#subject_match_attribute}.

---

##### `subjectMatchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.subjectMatchType" id="cdktfprovideroktaidpsocialconfigpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#subject_match_type IdpSocial#subject_match_type}.

---

##### `suspendedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.suspendedAction" id="cdktfprovideroktaidpsocialconfigpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#suspended_action IdpSocial#suspended_action}.

---

##### `usernameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.IdpSocialConfig.property.usernameTemplate" id="cdktfprovideroktaidpsocialconfigpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/idp_social#username_template IdpSocial#username_template}.

---

### InlineHookConfig <a name="@cdktf/provider-okta.InlineHookConfig" id="cdktfprovideroktainlinehookconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { InlineHookConfig } from '@cdktf/provider-okta'

const inlineHookConfig: InlineHookConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktainlinehookconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktainlinehookconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktainlinehookconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktainlinehookconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktainlinehookconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktainlinehookconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktainlinehookconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`channel`](#cdktfprovideroktainlinehookconfigpropertychannel)<span title="Required">*</span> | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#channel InlineHook#channel}. |
| [`name`](#cdktfprovideroktainlinehookconfigpropertyname)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#name InlineHook#name}. |
| [`type`](#cdktfprovideroktainlinehookconfigpropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#type InlineHook#type}. |
| [`version`](#cdktfprovideroktainlinehookconfigpropertyversion)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#version InlineHook#version}. |
| [`auth`](#cdktfprovideroktainlinehookconfigpropertyauth) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#auth InlineHook#auth}. |
| [`headers`](#cdktfprovideroktainlinehookconfigpropertyheaders) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)[] | headers block. |
| [`id`](#cdktfprovideroktainlinehookconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#id InlineHook#id}. |
| [`status`](#cdktfprovideroktainlinehookconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#status InlineHook#status}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.connection" id="cdktfprovideroktainlinehookconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.count" id="cdktfprovideroktainlinehookconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.dependsOn" id="cdktfprovideroktainlinehookconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.forEach" id="cdktfprovideroktainlinehookconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.lifecycle" id="cdktfprovideroktainlinehookconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.provider" id="cdktfprovideroktainlinehookconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.provisioners" id="cdktfprovideroktainlinehookconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `channel`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.channel" id="cdktfprovideroktainlinehookconfigpropertychannel"></a>

```typescript
public readonly channel: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#channel InlineHook#channel}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.name" id="cdktfprovideroktainlinehookconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#name InlineHook#name}.

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.type" id="cdktfprovideroktainlinehookconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#type InlineHook#type}.

---

##### `version`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.version" id="cdktfprovideroktainlinehookconfigpropertyversion"></a>

```typescript
public readonly version: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#version InlineHook#version}.

---

##### `auth`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.auth" id="cdktfprovideroktainlinehookconfigpropertyauth"></a>

```typescript
public readonly auth: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#auth InlineHook#auth}.

---

##### `headers`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.headers" id="cdktfprovideroktainlinehookconfigpropertyheaders"></a>

```typescript
public readonly headers: IResolvable | InlineHookHeaders[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)[]

headers block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#headers InlineHook#headers}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.id" id="cdktfprovideroktainlinehookconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#id InlineHook#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookConfig.property.status" id="cdktfprovideroktainlinehookconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#status InlineHook#status}.

---

### InlineHookHeaders <a name="@cdktf/provider-okta.InlineHookHeaders" id="cdktfprovideroktainlinehookheaders"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { InlineHookHeaders } from '@cdktf/provider-okta'

const inlineHookHeaders: InlineHookHeaders = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`key`](#cdktfprovideroktainlinehookheaderspropertykey) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#key InlineHook#key}. |
| [`value`](#cdktfprovideroktainlinehookheaderspropertyvalue) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#value InlineHook#value}. |

---

##### `key`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookHeaders.property.key" id="cdktfprovideroktainlinehookheaderspropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#key InlineHook#key}.

---

##### `value`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookHeaders.property.value" id="cdktfprovideroktainlinehookheaderspropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/inline_hook#value InlineHook#value}.

---

### LinkDefinitionConfig <a name="@cdktf/provider-okta.LinkDefinitionConfig" id="cdktfprovideroktalinkdefinitionconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { LinkDefinitionConfig } from '@cdktf/provider-okta'

const linkDefinitionConfig: LinkDefinitionConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktalinkdefinitionconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktalinkdefinitionconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktalinkdefinitionconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktalinkdefinitionconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktalinkdefinitionconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktalinkdefinitionconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktalinkdefinitionconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`associatedDescription`](#cdktfprovideroktalinkdefinitionconfigpropertyassociateddescription)<span title="Required">*</span> | `string` | Description of the associated relationship. |
| [`associatedName`](#cdktfprovideroktalinkdefinitionconfigpropertyassociatedname)<span title="Required">*</span> | `string` | API name of the associated link. |
| [`associatedTitle`](#cdktfprovideroktalinkdefinitionconfigpropertyassociatedtitle)<span title="Required">*</span> | `string` | Display name of the associated link. |
| [`primaryDescription`](#cdktfprovideroktalinkdefinitionconfigpropertyprimarydescription)<span title="Required">*</span> | `string` | Description of the primary relationship. |
| [`primaryName`](#cdktfprovideroktalinkdefinitionconfigpropertyprimaryname)<span title="Required">*</span> | `string` | API name of the primary link. |
| [`primaryTitle`](#cdktfprovideroktalinkdefinitionconfigpropertyprimarytitle)<span title="Required">*</span> | `string` | Display name of the primary link. |
| [`id`](#cdktfprovideroktalinkdefinitionconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#id LinkDefinition#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.connection" id="cdktfprovideroktalinkdefinitionconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.count" id="cdktfprovideroktalinkdefinitionconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.dependsOn" id="cdktfprovideroktalinkdefinitionconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.forEach" id="cdktfprovideroktalinkdefinitionconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.lifecycle" id="cdktfprovideroktalinkdefinitionconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.provider" id="cdktfprovideroktalinkdefinitionconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.provisioners" id="cdktfprovideroktalinkdefinitionconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `associatedDescription`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.associatedDescription" id="cdktfprovideroktalinkdefinitionconfigpropertyassociateddescription"></a>

```typescript
public readonly associatedDescription: string;
```

- *Type:* `string`

Description of the associated relationship.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#associated_description LinkDefinition#associated_description}

---

##### `associatedName`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.associatedName" id="cdktfprovideroktalinkdefinitionconfigpropertyassociatedname"></a>

```typescript
public readonly associatedName: string;
```

- *Type:* `string`

API name of the associated link.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#associated_name LinkDefinition#associated_name}

---

##### `associatedTitle`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.associatedTitle" id="cdktfprovideroktalinkdefinitionconfigpropertyassociatedtitle"></a>

```typescript
public readonly associatedTitle: string;
```

- *Type:* `string`

Display name of the associated link.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#associated_title LinkDefinition#associated_title}

---

##### `primaryDescription`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.primaryDescription" id="cdktfprovideroktalinkdefinitionconfigpropertyprimarydescription"></a>

```typescript
public readonly primaryDescription: string;
```

- *Type:* `string`

Description of the primary relationship.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#primary_description LinkDefinition#primary_description}

---

##### `primaryName`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.primaryName" id="cdktfprovideroktalinkdefinitionconfigpropertyprimaryname"></a>

```typescript
public readonly primaryName: string;
```

- *Type:* `string`

API name of the primary link.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#primary_name LinkDefinition#primary_name}

---

##### `primaryTitle`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.primaryTitle" id="cdktfprovideroktalinkdefinitionconfigpropertyprimarytitle"></a>

```typescript
public readonly primaryTitle: string;
```

- *Type:* `string`

Display name of the primary link.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#primary_title LinkDefinition#primary_title}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkDefinitionConfig.property.id" id="cdktfprovideroktalinkdefinitionconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_definition#id LinkDefinition#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### LinkValueConfig <a name="@cdktf/provider-okta.LinkValueConfig" id="cdktfprovideroktalinkvalueconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { LinkValueConfig } from '@cdktf/provider-okta'

const linkValueConfig: LinkValueConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktalinkvalueconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktalinkvalueconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktalinkvalueconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktalinkvalueconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktalinkvalueconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktalinkvalueconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktalinkvalueconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`primaryName`](#cdktfprovideroktalinkvalueconfigpropertyprimaryname)<span title="Required">*</span> | `string` | Name of the 'primary' relationship being assigned. |
| [`primaryUserId`](#cdktfprovideroktalinkvalueconfigpropertyprimaryuserid)<span title="Required">*</span> | `string` | User ID to be assigned to 'primary' for the 'associated' user in the specified relationship. |
| [`associatedUserIds`](#cdktfprovideroktalinkvalueconfigpropertyassociateduserids) | `string`[] | Set of User IDs or login values of the users to be assigned the 'associated' relationship. |
| [`id`](#cdktfprovideroktalinkvalueconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_value#id LinkValue#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.connection" id="cdktfprovideroktalinkvalueconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.count" id="cdktfprovideroktalinkvalueconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.dependsOn" id="cdktfprovideroktalinkvalueconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.forEach" id="cdktfprovideroktalinkvalueconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.lifecycle" id="cdktfprovideroktalinkvalueconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.provider" id="cdktfprovideroktalinkvalueconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.provisioners" id="cdktfprovideroktalinkvalueconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `primaryName`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.primaryName" id="cdktfprovideroktalinkvalueconfigpropertyprimaryname"></a>

```typescript
public readonly primaryName: string;
```

- *Type:* `string`

Name of the 'primary' relationship being assigned.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_value#primary_name LinkValue#primary_name}

---

##### `primaryUserId`<sup>Required</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.primaryUserId" id="cdktfprovideroktalinkvalueconfigpropertyprimaryuserid"></a>

```typescript
public readonly primaryUserId: string;
```

- *Type:* `string`

User ID to be assigned to 'primary' for the 'associated' user in the specified relationship.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_value#primary_user_id LinkValue#primary_user_id}

---

##### `associatedUserIds`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.associatedUserIds" id="cdktfprovideroktalinkvalueconfigpropertyassociateduserids"></a>

```typescript
public readonly associatedUserIds: string[];
```

- *Type:* `string`[]

Set of User IDs or login values of the users to be assigned the 'associated' relationship.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_value#associated_user_ids LinkValue#associated_user_ids}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.LinkValueConfig.property.id" id="cdktfprovideroktalinkvalueconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/link_value#id LinkValue#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### MfaPolicyConfig <a name="@cdktf/provider-okta.MfaPolicyConfig" id="cdktfprovideroktamfapolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { MfaPolicyConfig } from '@cdktf/provider-okta'

const mfaPolicyConfig: MfaPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktamfapolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktamfapolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktamfapolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktamfapolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktamfapolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktamfapolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktamfapolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktamfapolicyconfigpropertyname)<span title="Required">*</span> | `string` | Policy Name. |
| [`description`](#cdktfprovideroktamfapolicyconfigpropertydescription) | `string` | Policy Description. |
| [`duo`](#cdktfprovideroktamfapolicyconfigpropertyduo) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#duo MfaPolicy#duo}. |
| [`externalIdp`](#cdktfprovideroktamfapolicyconfigpropertyexternalidp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#external_idp MfaPolicy#external_idp}. |
| [`fidoU2F`](#cdktfprovideroktamfapolicyconfigpropertyfidou2f) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#fido_u2f MfaPolicy#fido_u2f}. |
| [`fidoWebauthn`](#cdktfprovideroktamfapolicyconfigpropertyfidowebauthn) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#fido_webauthn MfaPolicy#fido_webauthn}. |
| [`googleOtp`](#cdktfprovideroktamfapolicyconfigpropertygoogleotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#google_otp MfaPolicy#google_otp}. |
| [`groupsIncluded`](#cdktfprovideroktamfapolicyconfigpropertygroupsincluded) | `string`[] | List of Group IDs to Include. |
| [`hotp`](#cdktfprovideroktamfapolicyconfigpropertyhotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#hotp MfaPolicy#hotp}. |
| [`id`](#cdktfprovideroktamfapolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#id MfaPolicy#id}. |
| [`isOie`](#cdktfprovideroktamfapolicyconfigpropertyisoie) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Is the policy using Okta Identity Engine (OIE) with authenticators instead of factors? |
| [`oktaCall`](#cdktfprovideroktamfapolicyconfigpropertyoktacall) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_call MfaPolicy#okta_call}. |
| [`oktaEmail`](#cdktfprovideroktamfapolicyconfigpropertyoktaemail) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_email MfaPolicy#okta_email}. |
| [`oktaOtp`](#cdktfprovideroktamfapolicyconfigpropertyoktaotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_otp MfaPolicy#okta_otp}. |
| [`oktaPassword`](#cdktfprovideroktamfapolicyconfigpropertyoktapassword) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_password MfaPolicy#okta_password}. |
| [`oktaPush`](#cdktfprovideroktamfapolicyconfigpropertyoktapush) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_push MfaPolicy#okta_push}. |
| [`oktaQuestion`](#cdktfprovideroktamfapolicyconfigpropertyoktaquestion) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_question MfaPolicy#okta_question}. |
| [`oktaSms`](#cdktfprovideroktamfapolicyconfigpropertyoktasms) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_sms MfaPolicy#okta_sms}. |
| [`oktaVerify`](#cdktfprovideroktamfapolicyconfigpropertyoktaverify) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_verify MfaPolicy#okta_verify}. |
| [`onpremMfa`](#cdktfprovideroktamfapolicyconfigpropertyonpremmfa) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#onprem_mfa MfaPolicy#onprem_mfa}. |
| [`phoneNumber`](#cdktfprovideroktamfapolicyconfigpropertyphonenumber) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#phone_number MfaPolicy#phone_number}. |
| [`priority`](#cdktfprovideroktamfapolicyconfigpropertypriority) | `number` | Policy Priority, this attribute can be set to a valid priority. |
| [`rsaToken`](#cdktfprovideroktamfapolicyconfigpropertyrsatoken) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#rsa_token MfaPolicy#rsa_token}. |
| [`securityQuestion`](#cdktfprovideroktamfapolicyconfigpropertysecurityquestion) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#security_question MfaPolicy#security_question}. |
| [`status`](#cdktfprovideroktamfapolicyconfigpropertystatus) | `string` | Policy Status: ACTIVE or INACTIVE. |
| [`symantecVip`](#cdktfprovideroktamfapolicyconfigpropertysymantecvip) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#symantec_vip MfaPolicy#symantec_vip}. |
| [`webauthn`](#cdktfprovideroktamfapolicyconfigpropertywebauthn) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#webauthn MfaPolicy#webauthn}. |
| [`yubikeyToken`](#cdktfprovideroktamfapolicyconfigpropertyyubikeytoken) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#yubikey_token MfaPolicy#yubikey_token}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.connection" id="cdktfprovideroktamfapolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.count" id="cdktfprovideroktamfapolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.dependsOn" id="cdktfprovideroktamfapolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.forEach" id="cdktfprovideroktamfapolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.lifecycle" id="cdktfprovideroktamfapolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.provider" id="cdktfprovideroktamfapolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.provisioners" id="cdktfprovideroktamfapolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.name" id="cdktfprovideroktamfapolicyconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#name MfaPolicy#name}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.description" id="cdktfprovideroktamfapolicyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Policy Description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#description MfaPolicy#description}

---

##### `duo`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.duo" id="cdktfprovideroktamfapolicyconfigpropertyduo"></a>

```typescript
public readonly duo: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#duo MfaPolicy#duo}.

---

##### `externalIdp`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.externalIdp" id="cdktfprovideroktamfapolicyconfigpropertyexternalidp"></a>

```typescript
public readonly externalIdp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#external_idp MfaPolicy#external_idp}.

---

##### `fidoU2F`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.fidoU2F" id="cdktfprovideroktamfapolicyconfigpropertyfidou2f"></a>

```typescript
public readonly fidoU2F: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#fido_u2f MfaPolicy#fido_u2f}.

---

##### `fidoWebauthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.fidoWebauthn" id="cdktfprovideroktamfapolicyconfigpropertyfidowebauthn"></a>

```typescript
public readonly fidoWebauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#fido_webauthn MfaPolicy#fido_webauthn}.

---

##### `googleOtp`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.googleOtp" id="cdktfprovideroktamfapolicyconfigpropertygoogleotp"></a>

```typescript
public readonly googleOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#google_otp MfaPolicy#google_otp}.

---

##### `groupsIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.groupsIncluded" id="cdktfprovideroktamfapolicyconfigpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

List of Group IDs to Include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#groups_included MfaPolicy#groups_included}

---

##### `hotp`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.hotp" id="cdktfprovideroktamfapolicyconfigpropertyhotp"></a>

```typescript
public readonly hotp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#hotp MfaPolicy#hotp}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.id" id="cdktfprovideroktamfapolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#id MfaPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `isOie`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.isOie" id="cdktfprovideroktamfapolicyconfigpropertyisoie"></a>

```typescript
public readonly isOie: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Is the policy using Okta Identity Engine (OIE) with authenticators instead of factors?

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#is_oie MfaPolicy#is_oie}

---

##### `oktaCall`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaCall" id="cdktfprovideroktamfapolicyconfigpropertyoktacall"></a>

```typescript
public readonly oktaCall: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_call MfaPolicy#okta_call}.

---

##### `oktaEmail`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaEmail" id="cdktfprovideroktamfapolicyconfigpropertyoktaemail"></a>

```typescript
public readonly oktaEmail: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_email MfaPolicy#okta_email}.

---

##### `oktaOtp`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaOtp" id="cdktfprovideroktamfapolicyconfigpropertyoktaotp"></a>

```typescript
public readonly oktaOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_otp MfaPolicy#okta_otp}.

---

##### `oktaPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaPassword" id="cdktfprovideroktamfapolicyconfigpropertyoktapassword"></a>

```typescript
public readonly oktaPassword: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_password MfaPolicy#okta_password}.

---

##### `oktaPush`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaPush" id="cdktfprovideroktamfapolicyconfigpropertyoktapush"></a>

```typescript
public readonly oktaPush: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_push MfaPolicy#okta_push}.

---

##### `oktaQuestion`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaQuestion" id="cdktfprovideroktamfapolicyconfigpropertyoktaquestion"></a>

```typescript
public readonly oktaQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_question MfaPolicy#okta_question}.

---

##### `oktaSms`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaSms" id="cdktfprovideroktamfapolicyconfigpropertyoktasms"></a>

```typescript
public readonly oktaSms: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_sms MfaPolicy#okta_sms}.

---

##### `oktaVerify`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.oktaVerify" id="cdktfprovideroktamfapolicyconfigpropertyoktaverify"></a>

```typescript
public readonly oktaVerify: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#okta_verify MfaPolicy#okta_verify}.

---

##### `onpremMfa`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.onpremMfa" id="cdktfprovideroktamfapolicyconfigpropertyonpremmfa"></a>

```typescript
public readonly onpremMfa: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#onprem_mfa MfaPolicy#onprem_mfa}.

---

##### `phoneNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.phoneNumber" id="cdktfprovideroktamfapolicyconfigpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#phone_number MfaPolicy#phone_number}.

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.priority" id="cdktfprovideroktamfapolicyconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#priority MfaPolicy#priority}

---

##### `rsaToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.rsaToken" id="cdktfprovideroktamfapolicyconfigpropertyrsatoken"></a>

```typescript
public readonly rsaToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#rsa_token MfaPolicy#rsa_token}.

---

##### `securityQuestion`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.securityQuestion" id="cdktfprovideroktamfapolicyconfigpropertysecurityquestion"></a>

```typescript
public readonly securityQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#security_question MfaPolicy#security_question}.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.status" id="cdktfprovideroktamfapolicyconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#status MfaPolicy#status}

---

##### `symantecVip`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.symantecVip" id="cdktfprovideroktamfapolicyconfigpropertysymantecvip"></a>

```typescript
public readonly symantecVip: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#symantec_vip MfaPolicy#symantec_vip}.

---

##### `webauthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.webauthn" id="cdktfprovideroktamfapolicyconfigpropertywebauthn"></a>

```typescript
public readonly webauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#webauthn MfaPolicy#webauthn}.

---

##### `yubikeyToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyConfig.property.yubikeyToken" id="cdktfprovideroktamfapolicyconfigpropertyyubikeytoken"></a>

```typescript
public readonly yubikeyToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy#yubikey_token MfaPolicy#yubikey_token}.

---

### MfaPolicyRuleAppExclude <a name="@cdktf/provider-okta.MfaPolicyRuleAppExclude" id="cdktfprovideroktamfapolicyruleappexclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { MfaPolicyRuleAppExclude } from '@cdktf/provider-okta'

const mfaPolicyRuleAppExclude: MfaPolicyRuleAppExclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktamfapolicyruleappexcludepropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#type MfaPolicyRule#type}. |
| [`id`](#cdktfprovideroktamfapolicyruleappexcludepropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#id MfaPolicyRule#id}. |
| [`name`](#cdktfprovideroktamfapolicyruleappexcludepropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#name MfaPolicyRule#name}. |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExclude.property.type" id="cdktfprovideroktamfapolicyruleappexcludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#type MfaPolicyRule#type}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExclude.property.id" id="cdktfprovideroktamfapolicyruleappexcludepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#id MfaPolicyRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExclude.property.name" id="cdktfprovideroktamfapolicyruleappexcludepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#name MfaPolicyRule#name}.

---

### MfaPolicyRuleAppInclude <a name="@cdktf/provider-okta.MfaPolicyRuleAppInclude" id="cdktfprovideroktamfapolicyruleappinclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { MfaPolicyRuleAppInclude } from '@cdktf/provider-okta'

const mfaPolicyRuleAppInclude: MfaPolicyRuleAppInclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktamfapolicyruleappincludepropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#type MfaPolicyRule#type}. |
| [`id`](#cdktfprovideroktamfapolicyruleappincludepropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#id MfaPolicyRule#id}. |
| [`name`](#cdktfprovideroktamfapolicyruleappincludepropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#name MfaPolicyRule#name}. |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppInclude.property.type" id="cdktfprovideroktamfapolicyruleappincludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#type MfaPolicyRule#type}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppInclude.property.id" id="cdktfprovideroktamfapolicyruleappincludepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#id MfaPolicyRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppInclude.property.name" id="cdktfprovideroktamfapolicyruleappincludepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#name MfaPolicyRule#name}.

---

### MfaPolicyRuleConfig <a name="@cdktf/provider-okta.MfaPolicyRuleConfig" id="cdktfprovideroktamfapolicyruleconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { MfaPolicyRuleConfig } from '@cdktf/provider-okta'

const mfaPolicyRuleConfig: MfaPolicyRuleConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktamfapolicyruleconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktamfapolicyruleconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktamfapolicyruleconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktamfapolicyruleconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktamfapolicyruleconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktamfapolicyruleconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktamfapolicyruleconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktamfapolicyruleconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`appExclude`](#cdktfprovideroktamfapolicyruleconfigpropertyappexclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)[] | app_exclude block. |
| [`appInclude`](#cdktfprovideroktamfapolicyruleconfigpropertyappinclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)[] | app_include block. |
| [`enroll`](#cdktfprovideroktamfapolicyruleconfigpropertyenroll) | `string` | Should the user be enrolled the first time they LOGIN, the next time they are CHALLENGED, or NEVER? |
| [`id`](#cdktfprovideroktamfapolicyruleconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#id MfaPolicyRule#id}. |
| [`networkConnection`](#cdktfprovideroktamfapolicyruleconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktamfapolicyruleconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktamfapolicyruleconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`policyid`](#cdktfprovideroktamfapolicyruleconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`policyId`](#cdktfprovideroktamfapolicyruleconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`priority`](#cdktfprovideroktamfapolicyruleconfigpropertypriority) | `number` | Policy Rule Priority, this attribute can be set to a valid priority. |
| [`status`](#cdktfprovideroktamfapolicyruleconfigpropertystatus) | `string` | Policy Rule Status: ACTIVE or INACTIVE. |
| [`usersExcluded`](#cdktfprovideroktamfapolicyruleconfigpropertyusersexcluded) | `string`[] | Set of User IDs to Exclude. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.connection" id="cdktfprovideroktamfapolicyruleconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.count" id="cdktfprovideroktamfapolicyruleconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.dependsOn" id="cdktfprovideroktamfapolicyruleconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.forEach" id="cdktfprovideroktamfapolicyruleconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.lifecycle" id="cdktfprovideroktamfapolicyruleconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.provider" id="cdktfprovideroktamfapolicyruleconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.provisioners" id="cdktfprovideroktamfapolicyruleconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.name" id="cdktfprovideroktamfapolicyruleconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#name MfaPolicyRule#name}

---

##### `appExclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.appExclude" id="cdktfprovideroktamfapolicyruleconfigpropertyappexclude"></a>

```typescript
public readonly appExclude: IResolvable | MfaPolicyRuleAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)[]

app_exclude block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#app_exclude MfaPolicyRule#app_exclude}

---

##### `appInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.appInclude" id="cdktfprovideroktamfapolicyruleconfigpropertyappinclude"></a>

```typescript
public readonly appInclude: IResolvable | MfaPolicyRuleAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)[]

app_include block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#app_include MfaPolicyRule#app_include}

---

##### `enroll`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.enroll" id="cdktfprovideroktamfapolicyruleconfigpropertyenroll"></a>

```typescript
public readonly enroll: string;
```

- *Type:* `string`

Should the user be enrolled the first time they LOGIN, the next time they are CHALLENGED, or NEVER?

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#enroll MfaPolicyRule#enroll}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.id" id="cdktfprovideroktamfapolicyruleconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#id MfaPolicyRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.networkConnection" id="cdktfprovideroktamfapolicyruleconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#network_connection MfaPolicyRule#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.networkExcludes" id="cdktfprovideroktamfapolicyruleconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#network_excludes MfaPolicyRule#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.networkIncludes" id="cdktfprovideroktamfapolicyruleconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#network_includes MfaPolicyRule#network_includes}

---

##### `policyid`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.policyid" id="cdktfprovideroktamfapolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#policyid MfaPolicyRule#policyid}

---

##### `policyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.policyId" id="cdktfprovideroktamfapolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#policy_id MfaPolicyRule#policy_id}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.priority" id="cdktfprovideroktamfapolicyruleconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Rule Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#priority MfaPolicyRule#priority}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.status" id="cdktfprovideroktamfapolicyruleconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Rule Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#status MfaPolicyRule#status}

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleConfig.property.usersExcluded" id="cdktfprovideroktamfapolicyruleconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

Set of User IDs to Exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/mfa_policy_rule#users_excluded MfaPolicyRule#users_excluded}

---

### NetworkZoneConfig <a name="@cdktf/provider-okta.NetworkZoneConfig" id="cdktfprovideroktanetworkzoneconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { NetworkZoneConfig } from '@cdktf/provider-okta'

const networkZoneConfig: NetworkZoneConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktanetworkzoneconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktanetworkzoneconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktanetworkzoneconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktanetworkzoneconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktanetworkzoneconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktanetworkzoneconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktanetworkzoneconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktanetworkzoneconfigpropertyname)<span title="Required">*</span> | `string` | Name of the Network Zone Resource. |
| [`type`](#cdktfprovideroktanetworkzoneconfigpropertytype)<span title="Required">*</span> | `string` | Type of the Network Zone - can either be IP or DYNAMIC only. |
| [`asns`](#cdktfprovideroktanetworkzoneconfigpropertyasns) | `string`[] | Format of each array value: a string representation of an ASN numeric value. |
| [`dynamicLocations`](#cdktfprovideroktanetworkzoneconfigpropertydynamiclocations) | `string`[] | Array of locations ISO-3166-1(2). Format code: countryCode OR countryCode-regionCode. |
| [`dynamicProxyType`](#cdktfprovideroktanetworkzoneconfigpropertydynamicproxytype) | `string` | Type of proxy being controlled by this network zone. |
| [`gateways`](#cdktfprovideroktanetworkzoneconfigpropertygateways) | `string`[] | Array of values in CIDR/range form depending on the way it's been declared (i.e. CIDR will contain /suffix). Please check API docs for examples. |
| [`id`](#cdktfprovideroktanetworkzoneconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#id NetworkZone#id}. |
| [`proxies`](#cdktfprovideroktanetworkzoneconfigpropertyproxies) | `string`[] | Array of values in CIDR/range form depending on the way it's been declared (i.e. CIDR will contain /suffix). Please check API docs for examples. |
| [`usage`](#cdktfprovideroktanetworkzoneconfigpropertyusage) | `string` | Zone's purpose: POLICY or BLOCKLIST. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.connection" id="cdktfprovideroktanetworkzoneconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.count" id="cdktfprovideroktanetworkzoneconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.dependsOn" id="cdktfprovideroktanetworkzoneconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.forEach" id="cdktfprovideroktanetworkzoneconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.lifecycle" id="cdktfprovideroktanetworkzoneconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.provider" id="cdktfprovideroktanetworkzoneconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.provisioners" id="cdktfprovideroktanetworkzoneconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.name" id="cdktfprovideroktanetworkzoneconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the Network Zone Resource.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#name NetworkZone#name}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.type" id="cdktfprovideroktanetworkzoneconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Type of the Network Zone - can either be IP or DYNAMIC only.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#type NetworkZone#type}

---

##### `asns`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.asns" id="cdktfprovideroktanetworkzoneconfigpropertyasns"></a>

```typescript
public readonly asns: string[];
```

- *Type:* `string`[]

Format of each array value: a string representation of an ASN numeric value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#asns NetworkZone#asns}

---

##### `dynamicLocations`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.dynamicLocations" id="cdktfprovideroktanetworkzoneconfigpropertydynamiclocations"></a>

```typescript
public readonly dynamicLocations: string[];
```

- *Type:* `string`[]

Array of locations ISO-3166-1(2). Format code: countryCode OR countryCode-regionCode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#dynamic_locations NetworkZone#dynamic_locations}

---

##### `dynamicProxyType`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.dynamicProxyType" id="cdktfprovideroktanetworkzoneconfigpropertydynamicproxytype"></a>

```typescript
public readonly dynamicProxyType: string;
```

- *Type:* `string`

Type of proxy being controlled by this network zone.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#dynamic_proxy_type NetworkZone#dynamic_proxy_type}

---

##### `gateways`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.gateways" id="cdktfprovideroktanetworkzoneconfigpropertygateways"></a>

```typescript
public readonly gateways: string[];
```

- *Type:* `string`[]

Array of values in CIDR/range form depending on the way it's been declared (i.e. CIDR will contain /suffix). Please check API docs for examples.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#gateways NetworkZone#gateways}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.id" id="cdktfprovideroktanetworkzoneconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#id NetworkZone#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `proxies`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.proxies" id="cdktfprovideroktanetworkzoneconfigpropertyproxies"></a>

```typescript
public readonly proxies: string[];
```

- *Type:* `string`[]

Array of values in CIDR/range form depending on the way it's been declared (i.e. CIDR will contain /suffix). Please check API docs for examples.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#proxies NetworkZone#proxies}

---

##### `usage`<sup>Optional</sup> <a name="@cdktf/provider-okta.NetworkZoneConfig.property.usage" id="cdktfprovideroktanetworkzoneconfigpropertyusage"></a>

```typescript
public readonly usage: string;
```

- *Type:* `string`

Zone's purpose: POLICY or BLOCKLIST.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/network_zone#usage NetworkZone#usage}

---

### OauthAppConfig <a name="@cdktf/provider-okta.OauthAppConfig" id="cdktfprovideroktaoauthappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OauthAppConfig } from '@cdktf/provider-okta'

const oauthAppConfig: OauthAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaoauthappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaoauthappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaoauthappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaoauthappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaoauthappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaoauthappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaoauthappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaoauthappconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`type`](#cdktfprovideroktaoauthappconfigpropertytype)<span title="Required">*</span> | `string` | The type of client application. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaoauthappconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaoauthappconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaoauthappconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaoauthappconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaoauthappconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`appSettingsJson`](#cdktfprovideroktaoauthappconfigpropertyappsettingsjson) | `string` | Application settings in JSON format. |
| [`authenticationPolicy`](#cdktfprovideroktaoauthappconfigpropertyauthenticationpolicy) | `string` | Id of this apps authentication policy. |
| [`autoKeyRotation`](#cdktfprovideroktaoauthappconfigpropertyautokeyrotation) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Requested key rotation mode. |
| [`autoSubmitToolbar`](#cdktfprovideroktaoauthappconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`clientBasicSecret`](#cdktfprovideroktaoauthappconfigpropertyclientbasicsecret) | `string` | OAuth client secret key, this can be set when token_endpoint_auth_method is client_secret_basic. |
| [`clientId`](#cdktfprovideroktaoauthappconfigpropertyclientid) | `string` | OAuth client ID. If set during creation, app is created with this id. |
| [`clientUri`](#cdktfprovideroktaoauthappconfigpropertyclienturi) | `string` | URI to a web page providing information about the client. |
| [`consentMethod`](#cdktfprovideroktaoauthappconfigpropertyconsentmethod) | `string` | *Early Access Property*. Indicates whether user consent is required or implicit. Valid values: REQUIRED, TRUSTED. Default value is TRUSTED. |
| [`customClientId`](#cdktfprovideroktaoauthappconfigpropertycustomclientid) | `string` | **Deprecated** This property allows you to set your client_id during creation. |
| [`enduserNote`](#cdktfprovideroktaoauthappconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`grantTypes`](#cdktfprovideroktaoauthappconfigpropertygranttypes) | `string`[] | List of OAuth 2.0 grant types. Conditional validation params found here https://developer.okta.com/docs/api/resources/apps#credentials-settings-details. Defaults to minimum requirements per app type. |
| [`groups`](#cdktfprovideroktaoauthappconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`groupsClaim`](#cdktfprovideroktaoauthappconfigpropertygroupsclaim) | [`@cdktf/provider-okta.OauthAppGroupsClaim`](#@cdktf/provider-okta.OauthAppGroupsClaim) | groups_claim block. |
| [`hideIos`](#cdktfprovideroktaoauthappconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaoauthappconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaoauthappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#id OauthApp#id}. |
| [`implicitAssignment`](#cdktfprovideroktaoauthappconfigpropertyimplicitassignment) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *Early Access Property*. Enable Federation Broker Mode. |
| [`issuerMode`](#cdktfprovideroktaoauthappconfigpropertyissuermode) | `string` | *Early Access Property*. |
| [`jwks`](#cdktfprovideroktaoauthappconfigpropertyjwks) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)[] | jwks block. |
| [`loginMode`](#cdktfprovideroktaoauthappconfigpropertyloginmode) | `string` | The type of Idp-Initiated login that the client supports, if any. |
| [`loginScopes`](#cdktfprovideroktaoauthappconfigpropertyloginscopes) | `string`[] | List of scopes to use for the request. |
| [`loginUri`](#cdktfprovideroktaoauthappconfigpropertyloginuri) | `string` | URI that initiates login. |
| [`logo`](#cdktfprovideroktaoauthappconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`logoUri`](#cdktfprovideroktaoauthappconfigpropertylogouri) | `string` | URI that references a logo for the client. |
| [`omitSecret`](#cdktfprovideroktaoauthappconfigpropertyomitsecret) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | This tells the provider not to persist the application's secret to state. |
| [`policyUri`](#cdktfprovideroktaoauthappconfigpropertypolicyuri) | `string` | URI to web page providing client policy document. |
| [`postLogoutRedirectUris`](#cdktfprovideroktaoauthappconfigpropertypostlogoutredirecturis) | `string`[] | List of URIs for redirection after logout. Note: see okta_app_oauth_post_logout_redirect_uri for appending to this list in a decentralized way. |
| [`profile`](#cdktfprovideroktaoauthappconfigpropertyprofile) | `string` | Custom JSON that represents an OAuth application's profile. |
| [`redirectUris`](#cdktfprovideroktaoauthappconfigpropertyredirecturis) | `string`[] | List of URIs for use in the redirect-based flow. |
| [`refreshTokenLeeway`](#cdktfprovideroktaoauthappconfigpropertyrefreshtokenleeway) | `number` | *Early Access Property* Grace period for token rotation. |
| [`refreshTokenRotation`](#cdktfprovideroktaoauthappconfigpropertyrefreshtokenrotation) | `string` | *Early Access Property* Refresh token rotation behavior. |
| [`responseTypes`](#cdktfprovideroktaoauthappconfigpropertyresponsetypes) | `string`[] | List of OAuth 2.0 response type strings. |
| [`skipGroups`](#cdktfprovideroktaoauthappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaoauthappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaoauthappconfigpropertystatus) | `string` | Status of application. |
| [`tokenEndpointAuthMethod`](#cdktfprovideroktaoauthappconfigpropertytokenendpointauthmethod) | `string` | Requested authentication method for the token endpoint. |
| [`tosUri`](#cdktfprovideroktaoauthappconfigpropertytosuri) | `string` | URI to web page providing client tos (terms of service). |
| [`userNameTemplate`](#cdktfprovideroktaoauthappconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaoauthappconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaoauthappconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaoauthappconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaoauthappconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)[] | users block. |
| [`wildcardRedirect`](#cdktfprovideroktaoauthappconfigpropertywildcardredirect) | `string` | *Early Access Property*. Indicates if the client is allowed to use wildcard matching of redirect_uris. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.connection" id="cdktfprovideroktaoauthappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.count" id="cdktfprovideroktaoauthappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.dependsOn" id="cdktfprovideroktaoauthappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.forEach" id="cdktfprovideroktaoauthappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.lifecycle" id="cdktfprovideroktaoauthappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.provider" id="cdktfprovideroktaoauthappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.provisioners" id="cdktfprovideroktaoauthappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.label" id="cdktfprovideroktaoauthappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#label OauthApp#label}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.type" id="cdktfprovideroktaoauthappconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

The type of client application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#type OauthApp#type}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaoauthappconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#accessibility_error_redirect_url OauthApp#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaoauthappconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#accessibility_login_redirect_url OauthApp#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.accessibilitySelfService" id="cdktfprovideroktaoauthappconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#accessibility_self_service OauthApp#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.adminNote" id="cdktfprovideroktaoauthappconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#admin_note OauthApp#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.appLinksJson" id="cdktfprovideroktaoauthappconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#app_links_json OauthApp#app_links_json}

---

##### `appSettingsJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.appSettingsJson" id="cdktfprovideroktaoauthappconfigpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

Application settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#app_settings_json OauthApp#app_settings_json}

---

##### `authenticationPolicy`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.authenticationPolicy" id="cdktfprovideroktaoauthappconfigpropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

Id of this apps authentication policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#authentication_policy OauthApp#authentication_policy}

---

##### `autoKeyRotation`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.autoKeyRotation" id="cdktfprovideroktaoauthappconfigpropertyautokeyrotation"></a>

```typescript
public readonly autoKeyRotation: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Requested key rotation mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#auto_key_rotation OauthApp#auto_key_rotation}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.autoSubmitToolbar" id="cdktfprovideroktaoauthappconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#auto_submit_toolbar OauthApp#auto_submit_toolbar}

---

##### `clientBasicSecret`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.clientBasicSecret" id="cdktfprovideroktaoauthappconfigpropertyclientbasicsecret"></a>

```typescript
public readonly clientBasicSecret: string;
```

- *Type:* `string`

OAuth client secret key, this can be set when token_endpoint_auth_method is client_secret_basic.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#client_basic_secret OauthApp#client_basic_secret}

---

##### `clientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.clientId" id="cdktfprovideroktaoauthappconfigpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

OAuth client ID. If set during creation, app is created with this id.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#client_id OauthApp#client_id}

---

##### `clientUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.clientUri" id="cdktfprovideroktaoauthappconfigpropertyclienturi"></a>

```typescript
public readonly clientUri: string;
```

- *Type:* `string`

URI to a web page providing information about the client.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#client_uri OauthApp#client_uri}

---

##### `consentMethod`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.consentMethod" id="cdktfprovideroktaoauthappconfigpropertyconsentmethod"></a>

```typescript
public readonly consentMethod: string;
```

- *Type:* `string`

*Early Access Property*. Indicates whether user consent is required or implicit. Valid values: REQUIRED, TRUSTED. Default value is TRUSTED.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#consent_method OauthApp#consent_method}

---

##### `customClientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.customClientId" id="cdktfprovideroktaoauthappconfigpropertycustomclientid"></a>

```typescript
public readonly customClientId: string;
```

- *Type:* `string`

**Deprecated** This property allows you to set your client_id during creation.

NOTE: updating after creation will be a no-op, use client_id for that behavior instead.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#custom_client_id OauthApp#custom_client_id}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.enduserNote" id="cdktfprovideroktaoauthappconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#enduser_note OauthApp#enduser_note}

---

##### `grantTypes`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.grantTypes" id="cdktfprovideroktaoauthappconfigpropertygranttypes"></a>

```typescript
public readonly grantTypes: string[];
```

- *Type:* `string`[]

List of OAuth 2.0 grant types. Conditional validation params found here https://developer.okta.com/docs/api/resources/apps#credentials-settings-details. Defaults to minimum requirements per app type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#grant_types OauthApp#grant_types}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.groups" id="cdktfprovideroktaoauthappconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#groups OauthApp#groups}

---

##### `groupsClaim`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.groupsClaim" id="cdktfprovideroktaoauthappconfigpropertygroupsclaim"></a>

```typescript
public readonly groupsClaim: OauthAppGroupsClaim;
```

- *Type:* [`@cdktf/provider-okta.OauthAppGroupsClaim`](#@cdktf/provider-okta.OauthAppGroupsClaim)

groups_claim block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#groups_claim OauthApp#groups_claim}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.hideIos" id="cdktfprovideroktaoauthappconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#hide_ios OauthApp#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.hideWeb" id="cdktfprovideroktaoauthappconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#hide_web OauthApp#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.id" id="cdktfprovideroktaoauthappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#id OauthApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `implicitAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.implicitAssignment" id="cdktfprovideroktaoauthappconfigpropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

*Early Access Property*. Enable Federation Broker Mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#implicit_assignment OauthApp#implicit_assignment}

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.issuerMode" id="cdktfprovideroktaoauthappconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

*Early Access Property*.

Indicates whether the Okta Authorization Server uses the original Okta org domain URL or a custom domain URL as the issuer of ID token for this client.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#issuer_mode OauthApp#issuer_mode}

---

##### `jwks`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.jwks" id="cdktfprovideroktaoauthappconfigpropertyjwks"></a>

```typescript
public readonly jwks: IResolvable | OauthAppJwks[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)[]

jwks block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#jwks OauthApp#jwks}

---

##### `loginMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.loginMode" id="cdktfprovideroktaoauthappconfigpropertyloginmode"></a>

```typescript
public readonly loginMode: string;
```

- *Type:* `string`

The type of Idp-Initiated login that the client supports, if any.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#login_mode OauthApp#login_mode}

---

##### `loginScopes`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.loginScopes" id="cdktfprovideroktaoauthappconfigpropertyloginscopes"></a>

```typescript
public readonly loginScopes: string[];
```

- *Type:* `string`[]

List of scopes to use for the request.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#login_scopes OauthApp#login_scopes}

---

##### `loginUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.loginUri" id="cdktfprovideroktaoauthappconfigpropertyloginuri"></a>

```typescript
public readonly loginUri: string;
```

- *Type:* `string`

URI that initiates login.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#login_uri OauthApp#login_uri}

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.logo" id="cdktfprovideroktaoauthappconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#logo OauthApp#logo}

---

##### `logoUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.logoUri" id="cdktfprovideroktaoauthappconfigpropertylogouri"></a>

```typescript
public readonly logoUri: string;
```

- *Type:* `string`

URI that references a logo for the client.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#logo_uri OauthApp#logo_uri}

---

##### `omitSecret`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.omitSecret" id="cdktfprovideroktaoauthappconfigpropertyomitsecret"></a>

```typescript
public readonly omitSecret: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

This tells the provider not to persist the application's secret to state.

If this is ever changes from true => false your app will be recreated.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#omit_secret OauthApp#omit_secret}

---

##### `policyUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.policyUri" id="cdktfprovideroktaoauthappconfigpropertypolicyuri"></a>

```typescript
public readonly policyUri: string;
```

- *Type:* `string`

URI to web page providing client policy document.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#policy_uri OauthApp#policy_uri}

---

##### `postLogoutRedirectUris`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.postLogoutRedirectUris" id="cdktfprovideroktaoauthappconfigpropertypostlogoutredirecturis"></a>

```typescript
public readonly postLogoutRedirectUris: string[];
```

- *Type:* `string`[]

List of URIs for redirection after logout. Note: see okta_app_oauth_post_logout_redirect_uri for appending to this list in a decentralized way.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#post_logout_redirect_uris OauthApp#post_logout_redirect_uris}

---

##### `profile`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.profile" id="cdktfprovideroktaoauthappconfigpropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

Custom JSON that represents an OAuth application's profile.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#profile OauthApp#profile}

---

##### `redirectUris`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.redirectUris" id="cdktfprovideroktaoauthappconfigpropertyredirecturis"></a>

```typescript
public readonly redirectUris: string[];
```

- *Type:* `string`[]

List of URIs for use in the redirect-based flow.

This is required for all application types except service. Note: see okta_app_oauth_redirect_uri for appending to this list in a decentralized way.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#redirect_uris OauthApp#redirect_uris}

---

##### `refreshTokenLeeway`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.refreshTokenLeeway" id="cdktfprovideroktaoauthappconfigpropertyrefreshtokenleeway"></a>

```typescript
public readonly refreshTokenLeeway: number;
```

- *Type:* `number`

*Early Access Property* Grace period for token rotation.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#refresh_token_leeway OauthApp#refresh_token_leeway}

---

##### `refreshTokenRotation`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.refreshTokenRotation" id="cdktfprovideroktaoauthappconfigpropertyrefreshtokenrotation"></a>

```typescript
public readonly refreshTokenRotation: string;
```

- *Type:* `string`

*Early Access Property* Refresh token rotation behavior.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#refresh_token_rotation OauthApp#refresh_token_rotation}

---

##### `responseTypes`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.responseTypes" id="cdktfprovideroktaoauthappconfigpropertyresponsetypes"></a>

```typescript
public readonly responseTypes: string[];
```

- *Type:* `string`[]

List of OAuth 2.0 response type strings.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#response_types OauthApp#response_types}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.skipGroups" id="cdktfprovideroktaoauthappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#skip_groups OauthApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.skipUsers" id="cdktfprovideroktaoauthappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#skip_users OauthApp#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.status" id="cdktfprovideroktaoauthappconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#status OauthApp#status}

---

##### `tokenEndpointAuthMethod`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.tokenEndpointAuthMethod" id="cdktfprovideroktaoauthappconfigpropertytokenendpointauthmethod"></a>

```typescript
public readonly tokenEndpointAuthMethod: string;
```

- *Type:* `string`

Requested authentication method for the token endpoint.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#token_endpoint_auth_method OauthApp#token_endpoint_auth_method}

---

##### `tosUri`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.tosUri" id="cdktfprovideroktaoauthappconfigpropertytosuri"></a>

```typescript
public readonly tosUri: string;
```

- *Type:* `string`

URI to web page providing client tos (terms of service).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#tos_uri OauthApp#tos_uri}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.userNameTemplate" id="cdktfprovideroktaoauthappconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#user_name_template OauthApp#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaoauthappconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#user_name_template_push_status OauthApp#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaoauthappconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#user_name_template_suffix OauthApp#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.userNameTemplateType" id="cdktfprovideroktaoauthappconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#user_name_template_type OauthApp#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.users" id="cdktfprovideroktaoauthappconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | OauthAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#users OauthApp#users}

---

##### `wildcardRedirect`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppConfig.property.wildcardRedirect" id="cdktfprovideroktaoauthappconfigpropertywildcardredirect"></a>

```typescript
public readonly wildcardRedirect: string;
```

- *Type:* `string`

*Early Access Property*. Indicates if the client is allowed to use wildcard matching of redirect_uris.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#wildcard_redirect OauthApp#wildcard_redirect}

---

### OauthAppGroupsClaim <a name="@cdktf/provider-okta.OauthAppGroupsClaim" id="cdktfprovideroktaoauthappgroupsclaim"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OauthAppGroupsClaim } from '@cdktf/provider-okta'

const oauthAppGroupsClaim: OauthAppGroupsClaim = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`name`](#cdktfprovideroktaoauthappgroupsclaimpropertyname)<span title="Required">*</span> | `string` | Name of the claim that will be used in the token. |
| [`type`](#cdktfprovideroktaoauthappgroupsclaimpropertytype)<span title="Required">*</span> | `string` | Groups claim type. |
| [`value`](#cdktfprovideroktaoauthappgroupsclaimpropertyvalue)<span title="Required">*</span> | `string` | Value of the claim. |
| [`filterType`](#cdktfprovideroktaoauthappgroupsclaimpropertyfiltertype) | `string` | Groups claim filter. Can only be set if type is FILTER. |

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaim.property.name" id="cdktfprovideroktaoauthappgroupsclaimpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the claim that will be used in the token.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#name OauthApp#name}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaim.property.type" id="cdktfprovideroktaoauthappgroupsclaimpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Groups claim type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#type OauthApp#type}

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaim.property.value" id="cdktfprovideroktaoauthappgroupsclaimpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Value of the claim.

Can be an Okta Expression Language statement that evaluates at the time the token is minted.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#value OauthApp#value}

---

##### `filterType`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaim.property.filterType" id="cdktfprovideroktaoauthappgroupsclaimpropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

Groups claim filter. Can only be set if type is FILTER.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#filter_type OauthApp#filter_type}

---

### OauthAppJwks <a name="@cdktf/provider-okta.OauthAppJwks" id="cdktfprovideroktaoauthappjwks"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OauthAppJwks } from '@cdktf/provider-okta'

const oauthAppJwks: OauthAppJwks = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`kid`](#cdktfprovideroktaoauthappjwkspropertykid)<span title="Required">*</span> | `string` | Key ID. |
| [`kty`](#cdktfprovideroktaoauthappjwkspropertykty)<span title="Required">*</span> | `string` | Key type. |
| [`e`](#cdktfprovideroktaoauthappjwkspropertye) | `string` | RSA Exponent. |
| [`n`](#cdktfprovideroktaoauthappjwkspropertyn) | `string` | RSA Modulus. |

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwks.property.kid" id="cdktfprovideroktaoauthappjwkspropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

Key ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#kid OauthApp#kid}

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwks.property.kty" id="cdktfprovideroktaoauthappjwkspropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

Key type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#kty OauthApp#kty}

---

##### `e`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwks.property.e" id="cdktfprovideroktaoauthappjwkspropertye"></a>

```typescript
public readonly e: string;
```

- *Type:* `string`

RSA Exponent.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#e OauthApp#e}

---

##### `n`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwks.property.n" id="cdktfprovideroktaoauthappjwkspropertyn"></a>

```typescript
public readonly n: string;
```

- *Type:* `string`

RSA Modulus.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#n OauthApp#n}

---

### OauthAppRedirectUriConfig <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig" id="cdktfprovideroktaoauthappredirecturiconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OauthAppRedirectUriConfig } from '@cdktf/provider-okta'

const oauthAppRedirectUriConfig: OauthAppRedirectUriConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaoauthappredirecturiconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaoauthappredirecturiconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaoauthappredirecturiconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaoauthappredirecturiconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaoauthappredirecturiconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaoauthappredirecturiconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaoauthappredirecturiconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`appId`](#cdktfprovideroktaoauthappredirecturiconfigpropertyappid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app_redirect_uri#app_id OauthAppRedirectUri#app_id}. |
| [`uri`](#cdktfprovideroktaoauthappredirecturiconfigpropertyuri)<span title="Required">*</span> | `string` | Redirect URI to append to Okta OIDC application. |
| [`id`](#cdktfprovideroktaoauthappredirecturiconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app_redirect_uri#id OauthAppRedirectUri#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.connection" id="cdktfprovideroktaoauthappredirecturiconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.count" id="cdktfprovideroktaoauthappredirecturiconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.dependsOn" id="cdktfprovideroktaoauthappredirecturiconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.forEach" id="cdktfprovideroktaoauthappredirecturiconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.lifecycle" id="cdktfprovideroktaoauthappredirecturiconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.provider" id="cdktfprovideroktaoauthappredirecturiconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.provisioners" id="cdktfprovideroktaoauthappredirecturiconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `appId`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.appId" id="cdktfprovideroktaoauthappredirecturiconfigpropertyappid"></a>

```typescript
public readonly appId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app_redirect_uri#app_id OauthAppRedirectUri#app_id}.

---

##### `uri`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.uri" id="cdktfprovideroktaoauthappredirecturiconfigpropertyuri"></a>

```typescript
public readonly uri: string;
```

- *Type:* `string`

Redirect URI to append to Okta OIDC application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app_redirect_uri#uri OauthAppRedirectUri#uri}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppRedirectUriConfig.property.id" id="cdktfprovideroktaoauthappredirecturiconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app_redirect_uri#id OauthAppRedirectUri#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### OauthAppUsers <a name="@cdktf/provider-okta.OauthAppUsers" id="cdktfprovideroktaoauthappusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OauthAppUsers } from '@cdktf/provider-okta'

const oauthAppUsers: OauthAppUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaoauthappuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaoauthappuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaoauthappuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsers.property.id" id="cdktfprovideroktaoauthappuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#id OauthApp#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsers.property.password" id="cdktfprovideroktaoauthappuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#password OauthApp#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsers.property.username" id="cdktfprovideroktaoauthappuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/oauth_app#username OauthApp#username}

---

### OktaProviderConfig <a name="@cdktf/provider-okta.OktaProviderConfig" id="cdktfprovideroktaoktaproviderconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OktaProviderConfig } from '@cdktf/provider-okta'

const oktaProviderConfig: OktaProviderConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`accessToken`](#cdktfprovideroktaoktaproviderconfigpropertyaccesstoken) | `string` | Bearer token granting privileges to Okta API. |
| [`alias`](#cdktfprovideroktaoktaproviderconfigpropertyalias) | `string` | Alias name. |
| [`apiToken`](#cdktfprovideroktaoktaproviderconfigpropertyapitoken) | `string` | API Token granting privileges to Okta API. |
| [`backoff`](#cdktfprovideroktaoktaproviderconfigpropertybackoff) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Use exponential back off strategy for rate limits. |
| [`baseUrl`](#cdktfprovideroktaoktaproviderconfigpropertybaseurl) | `string` | The Okta url. (Use 'oktapreview.com' for Okta testing). |
| [`clientId`](#cdktfprovideroktaoktaproviderconfigpropertyclientid) | `string` | API Token granting privileges to Okta API. |
| [`httpProxy`](#cdktfprovideroktaoktaproviderconfigpropertyhttpproxy) | `string` | Alternate HTTP proxy of scheme://hostname or scheme://hostname:port format. |
| [`logLevel`](#cdktfprovideroktaoktaproviderconfigpropertyloglevel) | `number` | providers log level. Minimum is 1 (TRACE), and maximum is 5 (ERROR). |
| [`maxApiCapacity`](#cdktfprovideroktaoktaproviderconfigpropertymaxapicapacity) | `number` | (Experimental) sets what percentage of capacity the provider can use of the total rate limit capacity while making calls to the Okta management API endpoints. |
| [`maxRetries`](#cdktfprovideroktaoktaproviderconfigpropertymaxretries) | `number` | maximum number of retries to attempt before erroring out. |
| [`maxWaitSeconds`](#cdktfprovideroktaoktaproviderconfigpropertymaxwaitseconds) | `number` | maximum seconds to wait when rate limit is hit. We use exponential backoffs when backoff is enabled. |
| [`minWaitSeconds`](#cdktfprovideroktaoktaproviderconfigpropertyminwaitseconds) | `number` | minimum seconds to wait when rate limit is hit. We use exponential backoffs when backoff is enabled. |
| [`orgName`](#cdktfprovideroktaoktaproviderconfigpropertyorgname) | `string` | The organization to manage in Okta. |
| [`parallelism`](#cdktfprovideroktaoktaproviderconfigpropertyparallelism) | `number` | Number of concurrent requests to make within a resource where bulk operations are not possible. Take note of https://developer.okta.com/docs/api/getting_started/rate-limits. |
| [`privateKey`](#cdktfprovideroktaoktaproviderconfigpropertyprivatekey) | `string` | API Token granting privileges to Okta API. |
| [`privateKeyId`](#cdktfprovideroktaoktaproviderconfigpropertyprivatekeyid) | `string` | API Token Id granting privileges to Okta API. |
| [`requestTimeout`](#cdktfprovideroktaoktaproviderconfigpropertyrequesttimeout) | `number` | Timeout for single request (in seconds) which is made to Okta, the default is `0` (means no limit is set). |
| [`scopes`](#cdktfprovideroktaoktaproviderconfigpropertyscopes) | `string`[] | API Token granting privileges to Okta API. |

---

##### `accessToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.accessToken" id="cdktfprovideroktaoktaproviderconfigpropertyaccesstoken"></a>

```typescript
public readonly accessToken: string;
```

- *Type:* `string`

Bearer token granting privileges to Okta API.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#access_token OktaProvider#access_token}

---

##### `alias`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.alias" id="cdktfprovideroktaoktaproviderconfigpropertyalias"></a>

```typescript
public readonly alias: string;
```

- *Type:* `string`

Alias name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#alias OktaProvider#alias}

---

##### `apiToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.apiToken" id="cdktfprovideroktaoktaproviderconfigpropertyapitoken"></a>

```typescript
public readonly apiToken: string;
```

- *Type:* `string`

API Token granting privileges to Okta API.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#api_token OktaProvider#api_token}

---

##### `backoff`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.backoff" id="cdktfprovideroktaoktaproviderconfigpropertybackoff"></a>

```typescript
public readonly backoff: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Use exponential back off strategy for rate limits.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#backoff OktaProvider#backoff}

---

##### `baseUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.baseUrl" id="cdktfprovideroktaoktaproviderconfigpropertybaseurl"></a>

```typescript
public readonly baseUrl: string;
```

- *Type:* `string`

The Okta url. (Use 'oktapreview.com' for Okta testing).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#base_url OktaProvider#base_url}

---

##### `clientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.clientId" id="cdktfprovideroktaoktaproviderconfigpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

API Token granting privileges to Okta API.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#client_id OktaProvider#client_id}

---

##### `httpProxy`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.httpProxy" id="cdktfprovideroktaoktaproviderconfigpropertyhttpproxy"></a>

```typescript
public readonly httpProxy: string;
```

- *Type:* `string`

Alternate HTTP proxy of scheme://hostname or scheme://hostname:port format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#http_proxy OktaProvider#http_proxy}

---

##### `logLevel`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.logLevel" id="cdktfprovideroktaoktaproviderconfigpropertyloglevel"></a>

```typescript
public readonly logLevel: number;
```

- *Type:* `number`

providers log level. Minimum is 1 (TRACE), and maximum is 5 (ERROR).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#log_level OktaProvider#log_level}

---

##### `maxApiCapacity`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.maxApiCapacity" id="cdktfprovideroktaoktaproviderconfigpropertymaxapicapacity"></a>

```typescript
public readonly maxApiCapacity: number;
```

- *Type:* `number`

(Experimental) sets what percentage of capacity the provider can use of the total rate limit capacity while making calls to the Okta management API endpoints.

Okta API operates in one minute buckets. See Okta Management API Rate Limits: https://developer.okta.com/docs/reference/rl-global-mgmt/  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#max_api_capacity OktaProvider#max_api_capacity}

---

##### `maxRetries`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.maxRetries" id="cdktfprovideroktaoktaproviderconfigpropertymaxretries"></a>

```typescript
public readonly maxRetries: number;
```

- *Type:* `number`

maximum number of retries to attempt before erroring out.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#max_retries OktaProvider#max_retries}

---

##### `maxWaitSeconds`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.maxWaitSeconds" id="cdktfprovideroktaoktaproviderconfigpropertymaxwaitseconds"></a>

```typescript
public readonly maxWaitSeconds: number;
```

- *Type:* `number`

maximum seconds to wait when rate limit is hit. We use exponential backoffs when backoff is enabled.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#max_wait_seconds OktaProvider#max_wait_seconds}

---

##### `minWaitSeconds`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.minWaitSeconds" id="cdktfprovideroktaoktaproviderconfigpropertyminwaitseconds"></a>

```typescript
public readonly minWaitSeconds: number;
```

- *Type:* `number`

minimum seconds to wait when rate limit is hit. We use exponential backoffs when backoff is enabled.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#min_wait_seconds OktaProvider#min_wait_seconds}

---

##### `orgName`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.orgName" id="cdktfprovideroktaoktaproviderconfigpropertyorgname"></a>

```typescript
public readonly orgName: string;
```

- *Type:* `string`

The organization to manage in Okta.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#org_name OktaProvider#org_name}

---

##### `parallelism`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.parallelism" id="cdktfprovideroktaoktaproviderconfigpropertyparallelism"></a>

```typescript
public readonly parallelism: number;
```

- *Type:* `number`

Number of concurrent requests to make within a resource where bulk operations are not possible. Take note of https://developer.okta.com/docs/api/getting_started/rate-limits.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#parallelism OktaProvider#parallelism}

---

##### `privateKey`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.privateKey" id="cdktfprovideroktaoktaproviderconfigpropertyprivatekey"></a>

```typescript
public readonly privateKey: string;
```

- *Type:* `string`

API Token granting privileges to Okta API.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#private_key OktaProvider#private_key}

---

##### `privateKeyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.privateKeyId" id="cdktfprovideroktaoktaproviderconfigpropertyprivatekeyid"></a>

```typescript
public readonly privateKeyId: string;
```

- *Type:* `string`

API Token Id granting privileges to Okta API.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#private_key_id OktaProvider#private_key_id}

---

##### `requestTimeout`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.requestTimeout" id="cdktfprovideroktaoktaproviderconfigpropertyrequesttimeout"></a>

```typescript
public readonly requestTimeout: number;
```

- *Type:* `number`

Timeout for single request (in seconds) which is made to Okta, the default is `0` (means no limit is set).

The maximum value can be `300`.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#request_timeout OktaProvider#request_timeout}

---

##### `scopes`<sup>Optional</sup> <a name="@cdktf/provider-okta.OktaProviderConfig.property.scopes" id="cdktfprovideroktaoktaproviderconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

API Token granting privileges to Okta API.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta#scopes OktaProvider#scopes}

---

### OrgConfigurationConfig <a name="@cdktf/provider-okta.OrgConfigurationConfig" id="cdktfprovideroktaorgconfigurationconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OrgConfigurationConfig } from '@cdktf/provider-okta'

const orgConfigurationConfig: OrgConfigurationConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaorgconfigurationconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaorgconfigurationconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaorgconfigurationconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaorgconfigurationconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaorgconfigurationconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaorgconfigurationconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaorgconfigurationconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`companyName`](#cdktfprovideroktaorgconfigurationconfigpropertycompanyname)<span title="Required">*</span> | `string` | Name of org. |
| [`address1`](#cdktfprovideroktaorgconfigurationconfigpropertyaddress1) | `string` | Primary address of org. |
| [`address2`](#cdktfprovideroktaorgconfigurationconfigpropertyaddress2) | `string` | Secondary address of org. |
| [`billingContactUser`](#cdktfprovideroktaorgconfigurationconfigpropertybillingcontactuser) | `string` | User ID representing the billing contact. |
| [`city`](#cdktfprovideroktaorgconfigurationconfigpropertycity) | `string` | City of org. |
| [`country`](#cdktfprovideroktaorgconfigurationconfigpropertycountry) | `string` | Country of org. |
| [`endUserSupportHelpUrl`](#cdktfprovideroktaorgconfigurationconfigpropertyendusersupporthelpurl) | `string` | Support link of org. |
| [`id`](#cdktfprovideroktaorgconfigurationconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#id OrgConfiguration#id}. |
| [`logo`](#cdktfprovideroktaorgconfigurationconfigpropertylogo) | `string` | Local path to logo of the org. |
| [`optOutCommunicationEmails`](#cdktfprovideroktaorgconfigurationconfigpropertyoptoutcommunicationemails) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Indicates whether the org's users receive Okta Communication emails. |
| [`phoneNumber`](#cdktfprovideroktaorgconfigurationconfigpropertyphonenumber) | `string` | Support help phone of org. |
| [`postalCode`](#cdktfprovideroktaorgconfigurationconfigpropertypostalcode) | `string` | Postal code of org. |
| [`state`](#cdktfprovideroktaorgconfigurationconfigpropertystate) | `string` | State of org. |
| [`supportPhoneNumber`](#cdktfprovideroktaorgconfigurationconfigpropertysupportphonenumber) | `string` | Support help phone of org. |
| [`technicalContactUser`](#cdktfprovideroktaorgconfigurationconfigpropertytechnicalcontactuser) | `string` | User ID representing the technical contact. |
| [`website`](#cdktfprovideroktaorgconfigurationconfigpropertywebsite) | `string` | The org's website. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.connection" id="cdktfprovideroktaorgconfigurationconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.count" id="cdktfprovideroktaorgconfigurationconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.dependsOn" id="cdktfprovideroktaorgconfigurationconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.forEach" id="cdktfprovideroktaorgconfigurationconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.lifecycle" id="cdktfprovideroktaorgconfigurationconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.provider" id="cdktfprovideroktaorgconfigurationconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.provisioners" id="cdktfprovideroktaorgconfigurationconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `companyName`<sup>Required</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.companyName" id="cdktfprovideroktaorgconfigurationconfigpropertycompanyname"></a>

```typescript
public readonly companyName: string;
```

- *Type:* `string`

Name of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#company_name OrgConfiguration#company_name}

---

##### `address1`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.address1" id="cdktfprovideroktaorgconfigurationconfigpropertyaddress1"></a>

```typescript
public readonly address1: string;
```

- *Type:* `string`

Primary address of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#address_1 OrgConfiguration#address_1}

---

##### `address2`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.address2" id="cdktfprovideroktaorgconfigurationconfigpropertyaddress2"></a>

```typescript
public readonly address2: string;
```

- *Type:* `string`

Secondary address of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#address_2 OrgConfiguration#address_2}

---

##### `billingContactUser`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.billingContactUser" id="cdktfprovideroktaorgconfigurationconfigpropertybillingcontactuser"></a>

```typescript
public readonly billingContactUser: string;
```

- *Type:* `string`

User ID representing the billing contact.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#billing_contact_user OrgConfiguration#billing_contact_user}

---

##### `city`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.city" id="cdktfprovideroktaorgconfigurationconfigpropertycity"></a>

```typescript
public readonly city: string;
```

- *Type:* `string`

City of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#city OrgConfiguration#city}

---

##### `country`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.country" id="cdktfprovideroktaorgconfigurationconfigpropertycountry"></a>

```typescript
public readonly country: string;
```

- *Type:* `string`

Country of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#country OrgConfiguration#country}

---

##### `endUserSupportHelpUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.endUserSupportHelpUrl" id="cdktfprovideroktaorgconfigurationconfigpropertyendusersupporthelpurl"></a>

```typescript
public readonly endUserSupportHelpUrl: string;
```

- *Type:* `string`

Support link of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#end_user_support_help_url OrgConfiguration#end_user_support_help_url}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.id" id="cdktfprovideroktaorgconfigurationconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#id OrgConfiguration#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.logo" id="cdktfprovideroktaorgconfigurationconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#logo OrgConfiguration#logo}

---

##### `optOutCommunicationEmails`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.optOutCommunicationEmails" id="cdktfprovideroktaorgconfigurationconfigpropertyoptoutcommunicationemails"></a>

```typescript
public readonly optOutCommunicationEmails: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Indicates whether the org's users receive Okta Communication emails.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#opt_out_communication_emails OrgConfiguration#opt_out_communication_emails}

---

##### `phoneNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.phoneNumber" id="cdktfprovideroktaorgconfigurationconfigpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: string;
```

- *Type:* `string`

Support help phone of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#phone_number OrgConfiguration#phone_number}

---

##### `postalCode`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.postalCode" id="cdktfprovideroktaorgconfigurationconfigpropertypostalcode"></a>

```typescript
public readonly postalCode: string;
```

- *Type:* `string`

Postal code of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#postal_code OrgConfiguration#postal_code}

---

##### `state`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.state" id="cdktfprovideroktaorgconfigurationconfigpropertystate"></a>

```typescript
public readonly state: string;
```

- *Type:* `string`

State of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#state OrgConfiguration#state}

---

##### `supportPhoneNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.supportPhoneNumber" id="cdktfprovideroktaorgconfigurationconfigpropertysupportphonenumber"></a>

```typescript
public readonly supportPhoneNumber: string;
```

- *Type:* `string`

Support help phone of org.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#support_phone_number OrgConfiguration#support_phone_number}

---

##### `technicalContactUser`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.technicalContactUser" id="cdktfprovideroktaorgconfigurationconfigpropertytechnicalcontactuser"></a>

```typescript
public readonly technicalContactUser: string;
```

- *Type:* `string`

User ID representing the technical contact.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#technical_contact_user OrgConfiguration#technical_contact_user}

---

##### `website`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgConfigurationConfig.property.website" id="cdktfprovideroktaorgconfigurationconfigpropertywebsite"></a>

```typescript
public readonly website: string;
```

- *Type:* `string`

The org's website.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_configuration#website OrgConfiguration#website}

---

### OrgSupportConfig <a name="@cdktf/provider-okta.OrgSupportConfig" id="cdktfprovideroktaorgsupportconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { OrgSupportConfig } from '@cdktf/provider-okta'

const orgSupportConfig: OrgSupportConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaorgsupportconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaorgsupportconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaorgsupportconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaorgsupportconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaorgsupportconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaorgsupportconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaorgsupportconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`extendBy`](#cdktfprovideroktaorgsupportconfigpropertyextendby) | `number` | Number of days the support should be extended by. |
| [`id`](#cdktfprovideroktaorgsupportconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_support#id OrgSupport#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.connection" id="cdktfprovideroktaorgsupportconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.count" id="cdktfprovideroktaorgsupportconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.dependsOn" id="cdktfprovideroktaorgsupportconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.forEach" id="cdktfprovideroktaorgsupportconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.lifecycle" id="cdktfprovideroktaorgsupportconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.provider" id="cdktfprovideroktaorgsupportconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.provisioners" id="cdktfprovideroktaorgsupportconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `extendBy`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.extendBy" id="cdktfprovideroktaorgsupportconfigpropertyextendby"></a>

```typescript
public readonly extendBy: number;
```

- *Type:* `number`

Number of days the support should be extended by.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_support#extend_by OrgSupport#extend_by}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.OrgSupportConfig.property.id" id="cdktfprovideroktaorgsupportconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/org_support#id OrgSupport#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### PasswordPolicyConfig <a name="@cdktf/provider-okta.PasswordPolicyConfig" id="cdktfprovideroktapasswordpolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PasswordPolicyConfig } from '@cdktf/provider-okta'

const passwordPolicyConfig: PasswordPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapasswordpolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapasswordpolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapasswordpolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapasswordpolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapasswordpolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapasswordpolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapasswordpolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapasswordpolicyconfigpropertyname)<span title="Required">*</span> | `string` | Policy Name. |
| [`authProvider`](#cdktfprovideroktapasswordpolicyconfigpropertyauthprovider) | `string` | Authentication Provider: OKTA, ACTIVE_DIRECTORY or LDAP. |
| [`callRecovery`](#cdktfprovideroktapasswordpolicyconfigpropertycallrecovery) | `string` | Enable or disable voice call recovery: ACTIVE or INACTIVE. |
| [`description`](#cdktfprovideroktapasswordpolicyconfigpropertydescription) | `string` | Policy Description. |
| [`emailRecovery`](#cdktfprovideroktapasswordpolicyconfigpropertyemailrecovery) | `string` | Enable or disable email password recovery: ACTIVE or INACTIVE. |
| [`groupsIncluded`](#cdktfprovideroktapasswordpolicyconfigpropertygroupsincluded) | `string`[] | List of Group IDs to Include. |
| [`id`](#cdktfprovideroktapasswordpolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#id PasswordPolicy#id}. |
| [`passwordAutoUnlockMinutes`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordautounlockminutes) | `number` | Number of minutes before a locked account is unlocked: 0 = no limit. |
| [`passwordDictionaryLookup`](#cdktfprovideroktapasswordpolicyconfigpropertypassworddictionarylookup) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Check Passwords Against Common Password Dictionary. |
| [`passwordExcludeFirstName`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordexcludefirstname) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | User firstName attribute must be excluded from the password. |
| [`passwordExcludeLastName`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordexcludelastname) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | User lastName attribute must be excluded from the password. |
| [`passwordExcludeUsername`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordexcludeusername) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If the user name must be excluded from the password. |
| [`passwordExpireWarnDays`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordexpirewarndays) | `number` | Length in days a user will be warned before password expiry: 0 = no warning. |
| [`passwordHistoryCount`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordhistorycount) | `number` | Number of distinct passwords that must be created before they can be reused: 0 = none. |
| [`passwordLockoutNotificationChannels`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordlockoutnotificationchannels) | `string`[] | Notification channels to use to notify a user when their account has been locked. |
| [`passwordMaxAgeDays`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordmaxagedays) | `number` | Length in days a password is valid before expiry: 0 = no limit. |
| [`passwordMaxLockoutAttempts`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordmaxlockoutattempts) | `number` | Number of unsuccessful login attempts allowed before lockout: 0 = no limit. |
| [`passwordMinAgeMinutes`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordminageminutes) | `number` | Minimum time interval in minutes between password changes: 0 = no limit. |
| [`passwordMinLength`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordminlength) | `number` | Minimum password length. |
| [`passwordMinLowercase`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordminlowercase) | `number` | If a password must contain at least one lower case letter: 0 = no, 1 = yes. |
| [`passwordMinNumber`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordminnumber) | `number` | If a password must contain at least one number: 0 = no, 1 = yes. Default = 1. |
| [`passwordMinSymbol`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordminsymbol) | `number` | If a password must contain at least one symbol (!@#$%^&*): 0 = no, 1 = yes. Default = 1. |
| [`passwordMinUppercase`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordminuppercase) | `number` | If a password must contain at least one upper case letter: 0 = no, 1 = yes. |
| [`passwordShowLockoutFailures`](#cdktfprovideroktapasswordpolicyconfigpropertypasswordshowlockoutfailures) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If a user should be informed when their account is locked. |
| [`priority`](#cdktfprovideroktapasswordpolicyconfigpropertypriority) | `number` | Policy Priority, this attribute can be set to a valid priority. |
| [`questionMinLength`](#cdktfprovideroktapasswordpolicyconfigpropertyquestionminlength) | `number` | Min length of the password recovery question answer. |
| [`questionRecovery`](#cdktfprovideroktapasswordpolicyconfigpropertyquestionrecovery) | `string` | Enable or disable security question password recovery: ACTIVE or INACTIVE. |
| [`recoveryEmailToken`](#cdktfprovideroktapasswordpolicyconfigpropertyrecoveryemailtoken) | `number` | Lifetime in minutes of the recovery email token. |
| [`skipUnlock`](#cdktfprovideroktapasswordpolicyconfigpropertyskipunlock) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | When an Active Directory user is locked out of Okta, the Okta unlock operation should also attempt to unlock the user's Windows account. |
| [`smsRecovery`](#cdktfprovideroktapasswordpolicyconfigpropertysmsrecovery) | `string` | Enable or disable SMS password recovery: ACTIVE or INACTIVE. |
| [`status`](#cdktfprovideroktapasswordpolicyconfigpropertystatus) | `string` | Policy Status: ACTIVE or INACTIVE. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.connection" id="cdktfprovideroktapasswordpolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.count" id="cdktfprovideroktapasswordpolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.dependsOn" id="cdktfprovideroktapasswordpolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.forEach" id="cdktfprovideroktapasswordpolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.lifecycle" id="cdktfprovideroktapasswordpolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.provider" id="cdktfprovideroktapasswordpolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.provisioners" id="cdktfprovideroktapasswordpolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.name" id="cdktfprovideroktapasswordpolicyconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#name PasswordPolicy#name}

---

##### `authProvider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.authProvider" id="cdktfprovideroktapasswordpolicyconfigpropertyauthprovider"></a>

```typescript
public readonly authProvider: string;
```

- *Type:* `string`

Authentication Provider: OKTA, ACTIVE_DIRECTORY or LDAP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#auth_provider PasswordPolicy#auth_provider}

---

##### `callRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.callRecovery" id="cdktfprovideroktapasswordpolicyconfigpropertycallrecovery"></a>

```typescript
public readonly callRecovery: string;
```

- *Type:* `string`

Enable or disable voice call recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#call_recovery PasswordPolicy#call_recovery}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.description" id="cdktfprovideroktapasswordpolicyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Policy Description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#description PasswordPolicy#description}

---

##### `emailRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.emailRecovery" id="cdktfprovideroktapasswordpolicyconfigpropertyemailrecovery"></a>

```typescript
public readonly emailRecovery: string;
```

- *Type:* `string`

Enable or disable email password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#email_recovery PasswordPolicy#email_recovery}

---

##### `groupsIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.groupsIncluded" id="cdktfprovideroktapasswordpolicyconfigpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

List of Group IDs to Include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#groups_included PasswordPolicy#groups_included}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.id" id="cdktfprovideroktapasswordpolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#id PasswordPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `passwordAutoUnlockMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordAutoUnlockMinutes" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordautounlockminutes"></a>

```typescript
public readonly passwordAutoUnlockMinutes: number;
```

- *Type:* `number`

Number of minutes before a locked account is unlocked: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_auto_unlock_minutes PasswordPolicy#password_auto_unlock_minutes}

---

##### `passwordDictionaryLookup`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordDictionaryLookup" id="cdktfprovideroktapasswordpolicyconfigpropertypassworddictionarylookup"></a>

```typescript
public readonly passwordDictionaryLookup: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Check Passwords Against Common Password Dictionary.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_dictionary_lookup PasswordPolicy#password_dictionary_lookup}

---

##### `passwordExcludeFirstName`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordExcludeFirstName" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordexcludefirstname"></a>

```typescript
public readonly passwordExcludeFirstName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

User firstName attribute must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_exclude_first_name PasswordPolicy#password_exclude_first_name}

---

##### `passwordExcludeLastName`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordExcludeLastName" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordexcludelastname"></a>

```typescript
public readonly passwordExcludeLastName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

User lastName attribute must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_exclude_last_name PasswordPolicy#password_exclude_last_name}

---

##### `passwordExcludeUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordExcludeUsername" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordexcludeusername"></a>

```typescript
public readonly passwordExcludeUsername: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If the user name must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_exclude_username PasswordPolicy#password_exclude_username}

---

##### `passwordExpireWarnDays`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordExpireWarnDays" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordexpirewarndays"></a>

```typescript
public readonly passwordExpireWarnDays: number;
```

- *Type:* `number`

Length in days a user will be warned before password expiry: 0 = no warning.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_expire_warn_days PasswordPolicy#password_expire_warn_days}

---

##### `passwordHistoryCount`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordHistoryCount" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordhistorycount"></a>

```typescript
public readonly passwordHistoryCount: number;
```

- *Type:* `number`

Number of distinct passwords that must be created before they can be reused: 0 = none.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_history_count PasswordPolicy#password_history_count}

---

##### `passwordLockoutNotificationChannels`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordLockoutNotificationChannels" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordlockoutnotificationchannels"></a>

```typescript
public readonly passwordLockoutNotificationChannels: string[];
```

- *Type:* `string`[]

Notification channels to use to notify a user when their account has been locked.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_lockout_notification_channels PasswordPolicy#password_lockout_notification_channels}

---

##### `passwordMaxAgeDays`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMaxAgeDays" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordmaxagedays"></a>

```typescript
public readonly passwordMaxAgeDays: number;
```

- *Type:* `number`

Length in days a password is valid before expiry: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_max_age_days PasswordPolicy#password_max_age_days}

---

##### `passwordMaxLockoutAttempts`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMaxLockoutAttempts" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordmaxlockoutattempts"></a>

```typescript
public readonly passwordMaxLockoutAttempts: number;
```

- *Type:* `number`

Number of unsuccessful login attempts allowed before lockout: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_max_lockout_attempts PasswordPolicy#password_max_lockout_attempts}

---

##### `passwordMinAgeMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMinAgeMinutes" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordminageminutes"></a>

```typescript
public readonly passwordMinAgeMinutes: number;
```

- *Type:* `number`

Minimum time interval in minutes between password changes: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_min_age_minutes PasswordPolicy#password_min_age_minutes}

---

##### `passwordMinLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMinLength" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordminlength"></a>

```typescript
public readonly passwordMinLength: number;
```

- *Type:* `number`

Minimum password length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_min_length PasswordPolicy#password_min_length}

---

##### `passwordMinLowercase`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMinLowercase" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordminlowercase"></a>

```typescript
public readonly passwordMinLowercase: number;
```

- *Type:* `number`

If a password must contain at least one lower case letter: 0 = no, 1 = yes.

Default = 1  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_min_lowercase PasswordPolicy#password_min_lowercase}

---

##### `passwordMinNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMinNumber" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordminnumber"></a>

```typescript
public readonly passwordMinNumber: number;
```

- *Type:* `number`

If a password must contain at least one number: 0 = no, 1 = yes. Default = 1.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_min_number PasswordPolicy#password_min_number}

---

##### `passwordMinSymbol`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMinSymbol" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordminsymbol"></a>

```typescript
public readonly passwordMinSymbol: number;
```

- *Type:* `number`

If a password must contain at least one symbol (!@#$%^&*): 0 = no, 1 = yes. Default = 1.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_min_symbol PasswordPolicy#password_min_symbol}

---

##### `passwordMinUppercase`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordMinUppercase" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordminuppercase"></a>

```typescript
public readonly passwordMinUppercase: number;
```

- *Type:* `number`

If a password must contain at least one upper case letter: 0 = no, 1 = yes.

Default = 1  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_min_uppercase PasswordPolicy#password_min_uppercase}

---

##### `passwordShowLockoutFailures`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.passwordShowLockoutFailures" id="cdktfprovideroktapasswordpolicyconfigpropertypasswordshowlockoutfailures"></a>

```typescript
public readonly passwordShowLockoutFailures: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If a user should be informed when their account is locked.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#password_show_lockout_failures PasswordPolicy#password_show_lockout_failures}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.priority" id="cdktfprovideroktapasswordpolicyconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#priority PasswordPolicy#priority}

---

##### `questionMinLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.questionMinLength" id="cdktfprovideroktapasswordpolicyconfigpropertyquestionminlength"></a>

```typescript
public readonly questionMinLength: number;
```

- *Type:* `number`

Min length of the password recovery question answer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#question_min_length PasswordPolicy#question_min_length}

---

##### `questionRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.questionRecovery" id="cdktfprovideroktapasswordpolicyconfigpropertyquestionrecovery"></a>

```typescript
public readonly questionRecovery: string;
```

- *Type:* `string`

Enable or disable security question password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#question_recovery PasswordPolicy#question_recovery}

---

##### `recoveryEmailToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.recoveryEmailToken" id="cdktfprovideroktapasswordpolicyconfigpropertyrecoveryemailtoken"></a>

```typescript
public readonly recoveryEmailToken: number;
```

- *Type:* `number`

Lifetime in minutes of the recovery email token.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#recovery_email_token PasswordPolicy#recovery_email_token}

---

##### `skipUnlock`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.skipUnlock" id="cdktfprovideroktapasswordpolicyconfigpropertyskipunlock"></a>

```typescript
public readonly skipUnlock: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

When an Active Directory user is locked out of Okta, the Okta unlock operation should also attempt to unlock the user's Windows account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#skip_unlock PasswordPolicy#skip_unlock}

---

##### `smsRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.smsRecovery" id="cdktfprovideroktapasswordpolicyconfigpropertysmsrecovery"></a>

```typescript
public readonly smsRecovery: string;
```

- *Type:* `string`

Enable or disable SMS password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#sms_recovery PasswordPolicy#sms_recovery}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyConfig.property.status" id="cdktfprovideroktapasswordpolicyconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy#status PasswordPolicy#status}

---

### PasswordPolicyRuleConfig <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig" id="cdktfprovideroktapasswordpolicyruleconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PasswordPolicyRuleConfig } from '@cdktf/provider-okta'

const passwordPolicyRuleConfig: PasswordPolicyRuleConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapasswordpolicyruleconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapasswordpolicyruleconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapasswordpolicyruleconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapasswordpolicyruleconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapasswordpolicyruleconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapasswordpolicyruleconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapasswordpolicyruleconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapasswordpolicyruleconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`id`](#cdktfprovideroktapasswordpolicyruleconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#id PasswordPolicyRule#id}. |
| [`networkConnection`](#cdktfprovideroktapasswordpolicyruleconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktapasswordpolicyruleconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktapasswordpolicyruleconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`passwordChange`](#cdktfprovideroktapasswordpolicyruleconfigpropertypasswordchange) | `string` | Allow or deny a user to change their password: ALLOW or DENY. Default = ALLOW. |
| [`passwordReset`](#cdktfprovideroktapasswordpolicyruleconfigpropertypasswordreset) | `string` | Allow or deny a user to reset their password: ALLOW or DENY. Default = ALLOW. |
| [`passwordUnlock`](#cdktfprovideroktapasswordpolicyruleconfigpropertypasswordunlock) | `string` | Allow or deny a user to unlock. Default = DENY. |
| [`policyid`](#cdktfprovideroktapasswordpolicyruleconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`policyId`](#cdktfprovideroktapasswordpolicyruleconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`priority`](#cdktfprovideroktapasswordpolicyruleconfigpropertypriority) | `number` | Policy Rule Priority, this attribute can be set to a valid priority. |
| [`status`](#cdktfprovideroktapasswordpolicyruleconfigpropertystatus) | `string` | Policy Rule Status: ACTIVE or INACTIVE. |
| [`usersExcluded`](#cdktfprovideroktapasswordpolicyruleconfigpropertyusersexcluded) | `string`[] | Set of User IDs to Exclude. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.connection" id="cdktfprovideroktapasswordpolicyruleconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.count" id="cdktfprovideroktapasswordpolicyruleconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.dependsOn" id="cdktfprovideroktapasswordpolicyruleconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.forEach" id="cdktfprovideroktapasswordpolicyruleconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.lifecycle" id="cdktfprovideroktapasswordpolicyruleconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.provider" id="cdktfprovideroktapasswordpolicyruleconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.provisioners" id="cdktfprovideroktapasswordpolicyruleconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.name" id="cdktfprovideroktapasswordpolicyruleconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#name PasswordPolicyRule#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.id" id="cdktfprovideroktapasswordpolicyruleconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#id PasswordPolicyRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.networkConnection" id="cdktfprovideroktapasswordpolicyruleconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#network_connection PasswordPolicyRule#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.networkExcludes" id="cdktfprovideroktapasswordpolicyruleconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#network_excludes PasswordPolicyRule#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.networkIncludes" id="cdktfprovideroktapasswordpolicyruleconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#network_includes PasswordPolicyRule#network_includes}

---

##### `passwordChange`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.passwordChange" id="cdktfprovideroktapasswordpolicyruleconfigpropertypasswordchange"></a>

```typescript
public readonly passwordChange: string;
```

- *Type:* `string`

Allow or deny a user to change their password: ALLOW or DENY. Default = ALLOW.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#password_change PasswordPolicyRule#password_change}

---

##### `passwordReset`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.passwordReset" id="cdktfprovideroktapasswordpolicyruleconfigpropertypasswordreset"></a>

```typescript
public readonly passwordReset: string;
```

- *Type:* `string`

Allow or deny a user to reset their password: ALLOW or DENY. Default = ALLOW.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#password_reset PasswordPolicyRule#password_reset}

---

##### `passwordUnlock`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.passwordUnlock" id="cdktfprovideroktapasswordpolicyruleconfigpropertypasswordunlock"></a>

```typescript
public readonly passwordUnlock: string;
```

- *Type:* `string`

Allow or deny a user to unlock. Default = DENY.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#password_unlock PasswordPolicyRule#password_unlock}

---

##### `policyid`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.policyid" id="cdktfprovideroktapasswordpolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#policyid PasswordPolicyRule#policyid}

---

##### `policyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.policyId" id="cdktfprovideroktapasswordpolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#policy_id PasswordPolicyRule#policy_id}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.priority" id="cdktfprovideroktapasswordpolicyruleconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Rule Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#priority PasswordPolicyRule#priority}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.status" id="cdktfprovideroktapasswordpolicyruleconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Rule Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#status PasswordPolicyRule#status}

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PasswordPolicyRuleConfig.property.usersExcluded" id="cdktfprovideroktapasswordpolicyruleconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

Set of User IDs to Exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/password_policy_rule#users_excluded PasswordPolicyRule#users_excluded}

---

### PolicyMfaConfig <a name="@cdktf/provider-okta.PolicyMfaConfig" id="cdktfprovideroktapolicymfaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyMfaConfig } from '@cdktf/provider-okta'

const policyMfaConfig: PolicyMfaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicymfaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicymfaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicymfaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicymfaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicymfaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicymfaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicymfaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicymfaconfigpropertyname)<span title="Required">*</span> | `string` | Policy Name. |
| [`description`](#cdktfprovideroktapolicymfaconfigpropertydescription) | `string` | Policy Description. |
| [`duo`](#cdktfprovideroktapolicymfaconfigpropertyduo) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#duo PolicyMfa#duo}. |
| [`externalIdp`](#cdktfprovideroktapolicymfaconfigpropertyexternalidp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#external_idp PolicyMfa#external_idp}. |
| [`fidoU2F`](#cdktfprovideroktapolicymfaconfigpropertyfidou2f) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#fido_u2f PolicyMfa#fido_u2f}. |
| [`fidoWebauthn`](#cdktfprovideroktapolicymfaconfigpropertyfidowebauthn) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#fido_webauthn PolicyMfa#fido_webauthn}. |
| [`googleOtp`](#cdktfprovideroktapolicymfaconfigpropertygoogleotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#google_otp PolicyMfa#google_otp}. |
| [`groupsIncluded`](#cdktfprovideroktapolicymfaconfigpropertygroupsincluded) | `string`[] | List of Group IDs to Include. |
| [`hotp`](#cdktfprovideroktapolicymfaconfigpropertyhotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#hotp PolicyMfa#hotp}. |
| [`id`](#cdktfprovideroktapolicymfaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#id PolicyMfa#id}. |
| [`isOie`](#cdktfprovideroktapolicymfaconfigpropertyisoie) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Is the policy using Okta Identity Engine (OIE) with authenticators instead of factors? |
| [`oktaCall`](#cdktfprovideroktapolicymfaconfigpropertyoktacall) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_call PolicyMfa#okta_call}. |
| [`oktaEmail`](#cdktfprovideroktapolicymfaconfigpropertyoktaemail) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_email PolicyMfa#okta_email}. |
| [`oktaOtp`](#cdktfprovideroktapolicymfaconfigpropertyoktaotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_otp PolicyMfa#okta_otp}. |
| [`oktaPassword`](#cdktfprovideroktapolicymfaconfigpropertyoktapassword) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_password PolicyMfa#okta_password}. |
| [`oktaPush`](#cdktfprovideroktapolicymfaconfigpropertyoktapush) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_push PolicyMfa#okta_push}. |
| [`oktaQuestion`](#cdktfprovideroktapolicymfaconfigpropertyoktaquestion) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_question PolicyMfa#okta_question}. |
| [`oktaSms`](#cdktfprovideroktapolicymfaconfigpropertyoktasms) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_sms PolicyMfa#okta_sms}. |
| [`oktaVerify`](#cdktfprovideroktapolicymfaconfigpropertyoktaverify) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_verify PolicyMfa#okta_verify}. |
| [`onpremMfa`](#cdktfprovideroktapolicymfaconfigpropertyonpremmfa) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#onprem_mfa PolicyMfa#onprem_mfa}. |
| [`phoneNumber`](#cdktfprovideroktapolicymfaconfigpropertyphonenumber) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#phone_number PolicyMfa#phone_number}. |
| [`priority`](#cdktfprovideroktapolicymfaconfigpropertypriority) | `number` | Policy Priority, this attribute can be set to a valid priority. |
| [`rsaToken`](#cdktfprovideroktapolicymfaconfigpropertyrsatoken) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#rsa_token PolicyMfa#rsa_token}. |
| [`securityQuestion`](#cdktfprovideroktapolicymfaconfigpropertysecurityquestion) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#security_question PolicyMfa#security_question}. |
| [`status`](#cdktfprovideroktapolicymfaconfigpropertystatus) | `string` | Policy Status: ACTIVE or INACTIVE. |
| [`symantecVip`](#cdktfprovideroktapolicymfaconfigpropertysymantecvip) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#symantec_vip PolicyMfa#symantec_vip}. |
| [`webauthn`](#cdktfprovideroktapolicymfaconfigpropertywebauthn) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#webauthn PolicyMfa#webauthn}. |
| [`yubikeyToken`](#cdktfprovideroktapolicymfaconfigpropertyyubikeytoken) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#yubikey_token PolicyMfa#yubikey_token}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.connection" id="cdktfprovideroktapolicymfaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.count" id="cdktfprovideroktapolicymfaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.dependsOn" id="cdktfprovideroktapolicymfaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.forEach" id="cdktfprovideroktapolicymfaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.lifecycle" id="cdktfprovideroktapolicymfaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.provider" id="cdktfprovideroktapolicymfaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.provisioners" id="cdktfprovideroktapolicymfaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.name" id="cdktfprovideroktapolicymfaconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#name PolicyMfa#name}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.description" id="cdktfprovideroktapolicymfaconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Policy Description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#description PolicyMfa#description}

---

##### `duo`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.duo" id="cdktfprovideroktapolicymfaconfigpropertyduo"></a>

```typescript
public readonly duo: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#duo PolicyMfa#duo}.

---

##### `externalIdp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.externalIdp" id="cdktfprovideroktapolicymfaconfigpropertyexternalidp"></a>

```typescript
public readonly externalIdp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#external_idp PolicyMfa#external_idp}.

---

##### `fidoU2F`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.fidoU2F" id="cdktfprovideroktapolicymfaconfigpropertyfidou2f"></a>

```typescript
public readonly fidoU2F: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#fido_u2f PolicyMfa#fido_u2f}.

---

##### `fidoWebauthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.fidoWebauthn" id="cdktfprovideroktapolicymfaconfigpropertyfidowebauthn"></a>

```typescript
public readonly fidoWebauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#fido_webauthn PolicyMfa#fido_webauthn}.

---

##### `googleOtp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.googleOtp" id="cdktfprovideroktapolicymfaconfigpropertygoogleotp"></a>

```typescript
public readonly googleOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#google_otp PolicyMfa#google_otp}.

---

##### `groupsIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.groupsIncluded" id="cdktfprovideroktapolicymfaconfigpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

List of Group IDs to Include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#groups_included PolicyMfa#groups_included}

---

##### `hotp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.hotp" id="cdktfprovideroktapolicymfaconfigpropertyhotp"></a>

```typescript
public readonly hotp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#hotp PolicyMfa#hotp}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.id" id="cdktfprovideroktapolicymfaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#id PolicyMfa#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `isOie`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.isOie" id="cdktfprovideroktapolicymfaconfigpropertyisoie"></a>

```typescript
public readonly isOie: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Is the policy using Okta Identity Engine (OIE) with authenticators instead of factors?

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#is_oie PolicyMfa#is_oie}

---

##### `oktaCall`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaCall" id="cdktfprovideroktapolicymfaconfigpropertyoktacall"></a>

```typescript
public readonly oktaCall: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_call PolicyMfa#okta_call}.

---

##### `oktaEmail`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaEmail" id="cdktfprovideroktapolicymfaconfigpropertyoktaemail"></a>

```typescript
public readonly oktaEmail: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_email PolicyMfa#okta_email}.

---

##### `oktaOtp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaOtp" id="cdktfprovideroktapolicymfaconfigpropertyoktaotp"></a>

```typescript
public readonly oktaOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_otp PolicyMfa#okta_otp}.

---

##### `oktaPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaPassword" id="cdktfprovideroktapolicymfaconfigpropertyoktapassword"></a>

```typescript
public readonly oktaPassword: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_password PolicyMfa#okta_password}.

---

##### `oktaPush`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaPush" id="cdktfprovideroktapolicymfaconfigpropertyoktapush"></a>

```typescript
public readonly oktaPush: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_push PolicyMfa#okta_push}.

---

##### `oktaQuestion`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaQuestion" id="cdktfprovideroktapolicymfaconfigpropertyoktaquestion"></a>

```typescript
public readonly oktaQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_question PolicyMfa#okta_question}.

---

##### `oktaSms`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaSms" id="cdktfprovideroktapolicymfaconfigpropertyoktasms"></a>

```typescript
public readonly oktaSms: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_sms PolicyMfa#okta_sms}.

---

##### `oktaVerify`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.oktaVerify" id="cdktfprovideroktapolicymfaconfigpropertyoktaverify"></a>

```typescript
public readonly oktaVerify: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#okta_verify PolicyMfa#okta_verify}.

---

##### `onpremMfa`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.onpremMfa" id="cdktfprovideroktapolicymfaconfigpropertyonpremmfa"></a>

```typescript
public readonly onpremMfa: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#onprem_mfa PolicyMfa#onprem_mfa}.

---

##### `phoneNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.phoneNumber" id="cdktfprovideroktapolicymfaconfigpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#phone_number PolicyMfa#phone_number}.

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.priority" id="cdktfprovideroktapolicymfaconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#priority PolicyMfa#priority}

---

##### `rsaToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.rsaToken" id="cdktfprovideroktapolicymfaconfigpropertyrsatoken"></a>

```typescript
public readonly rsaToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#rsa_token PolicyMfa#rsa_token}.

---

##### `securityQuestion`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.securityQuestion" id="cdktfprovideroktapolicymfaconfigpropertysecurityquestion"></a>

```typescript
public readonly securityQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#security_question PolicyMfa#security_question}.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.status" id="cdktfprovideroktapolicymfaconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#status PolicyMfa#status}

---

##### `symantecVip`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.symantecVip" id="cdktfprovideroktapolicymfaconfigpropertysymantecvip"></a>

```typescript
public readonly symantecVip: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#symantec_vip PolicyMfa#symantec_vip}.

---

##### `webauthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.webauthn" id="cdktfprovideroktapolicymfaconfigpropertywebauthn"></a>

```typescript
public readonly webauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#webauthn PolicyMfa#webauthn}.

---

##### `yubikeyToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaConfig.property.yubikeyToken" id="cdktfprovideroktapolicymfaconfigpropertyyubikeytoken"></a>

```typescript
public readonly yubikeyToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa#yubikey_token PolicyMfa#yubikey_token}.

---

### PolicyMfaDefaultConfig <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig" id="cdktfprovideroktapolicymfadefaultconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyMfaDefaultConfig } from '@cdktf/provider-okta'

const policyMfaDefaultConfig: PolicyMfaDefaultConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicymfadefaultconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicymfadefaultconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicymfadefaultconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicymfadefaultconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicymfadefaultconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicymfadefaultconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicymfadefaultconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`duo`](#cdktfprovideroktapolicymfadefaultconfigpropertyduo) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#duo PolicyMfaDefault#duo}. |
| [`externalIdp`](#cdktfprovideroktapolicymfadefaultconfigpropertyexternalidp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#external_idp PolicyMfaDefault#external_idp}. |
| [`fidoU2F`](#cdktfprovideroktapolicymfadefaultconfigpropertyfidou2f) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#fido_u2f PolicyMfaDefault#fido_u2f}. |
| [`fidoWebauthn`](#cdktfprovideroktapolicymfadefaultconfigpropertyfidowebauthn) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#fido_webauthn PolicyMfaDefault#fido_webauthn}. |
| [`googleOtp`](#cdktfprovideroktapolicymfadefaultconfigpropertygoogleotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#google_otp PolicyMfaDefault#google_otp}. |
| [`hotp`](#cdktfprovideroktapolicymfadefaultconfigpropertyhotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#hotp PolicyMfaDefault#hotp}. |
| [`id`](#cdktfprovideroktapolicymfadefaultconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#id PolicyMfaDefault#id}. |
| [`isOie`](#cdktfprovideroktapolicymfadefaultconfigpropertyisoie) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Is the policy using Okta Identity Engine (OIE) with authenticators instead of factors? |
| [`oktaCall`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktacall) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_call PolicyMfaDefault#okta_call}. |
| [`oktaEmail`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktaemail) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_email PolicyMfaDefault#okta_email}. |
| [`oktaOtp`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktaotp) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_otp PolicyMfaDefault#okta_otp}. |
| [`oktaPassword`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktapassword) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_password PolicyMfaDefault#okta_password}. |
| [`oktaPush`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktapush) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_push PolicyMfaDefault#okta_push}. |
| [`oktaQuestion`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktaquestion) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_question PolicyMfaDefault#okta_question}. |
| [`oktaSms`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktasms) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_sms PolicyMfaDefault#okta_sms}. |
| [`oktaVerify`](#cdktfprovideroktapolicymfadefaultconfigpropertyoktaverify) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_verify PolicyMfaDefault#okta_verify}. |
| [`onpremMfa`](#cdktfprovideroktapolicymfadefaultconfigpropertyonpremmfa) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#onprem_mfa PolicyMfaDefault#onprem_mfa}. |
| [`phoneNumber`](#cdktfprovideroktapolicymfadefaultconfigpropertyphonenumber) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#phone_number PolicyMfaDefault#phone_number}. |
| [`rsaToken`](#cdktfprovideroktapolicymfadefaultconfigpropertyrsatoken) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#rsa_token PolicyMfaDefault#rsa_token}. |
| [`securityQuestion`](#cdktfprovideroktapolicymfadefaultconfigpropertysecurityquestion) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#security_question PolicyMfaDefault#security_question}. |
| [`symantecVip`](#cdktfprovideroktapolicymfadefaultconfigpropertysymantecvip) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#symantec_vip PolicyMfaDefault#symantec_vip}. |
| [`webauthn`](#cdktfprovideroktapolicymfadefaultconfigpropertywebauthn) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#webauthn PolicyMfaDefault#webauthn}. |
| [`yubikeyToken`](#cdktfprovideroktapolicymfadefaultconfigpropertyyubikeytoken) | {[ key: string ]: `string`} | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#yubikey_token PolicyMfaDefault#yubikey_token}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.connection" id="cdktfprovideroktapolicymfadefaultconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.count" id="cdktfprovideroktapolicymfadefaultconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.dependsOn" id="cdktfprovideroktapolicymfadefaultconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.forEach" id="cdktfprovideroktapolicymfadefaultconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.lifecycle" id="cdktfprovideroktapolicymfadefaultconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.provider" id="cdktfprovideroktapolicymfadefaultconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.provisioners" id="cdktfprovideroktapolicymfadefaultconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `duo`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.duo" id="cdktfprovideroktapolicymfadefaultconfigpropertyduo"></a>

```typescript
public readonly duo: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#duo PolicyMfaDefault#duo}.

---

##### `externalIdp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.externalIdp" id="cdktfprovideroktapolicymfadefaultconfigpropertyexternalidp"></a>

```typescript
public readonly externalIdp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#external_idp PolicyMfaDefault#external_idp}.

---

##### `fidoU2F`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.fidoU2F" id="cdktfprovideroktapolicymfadefaultconfigpropertyfidou2f"></a>

```typescript
public readonly fidoU2F: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#fido_u2f PolicyMfaDefault#fido_u2f}.

---

##### `fidoWebauthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.fidoWebauthn" id="cdktfprovideroktapolicymfadefaultconfigpropertyfidowebauthn"></a>

```typescript
public readonly fidoWebauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#fido_webauthn PolicyMfaDefault#fido_webauthn}.

---

##### `googleOtp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.googleOtp" id="cdktfprovideroktapolicymfadefaultconfigpropertygoogleotp"></a>

```typescript
public readonly googleOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#google_otp PolicyMfaDefault#google_otp}.

---

##### `hotp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.hotp" id="cdktfprovideroktapolicymfadefaultconfigpropertyhotp"></a>

```typescript
public readonly hotp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#hotp PolicyMfaDefault#hotp}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.id" id="cdktfprovideroktapolicymfadefaultconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#id PolicyMfaDefault#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `isOie`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.isOie" id="cdktfprovideroktapolicymfadefaultconfigpropertyisoie"></a>

```typescript
public readonly isOie: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Is the policy using Okta Identity Engine (OIE) with authenticators instead of factors?

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#is_oie PolicyMfaDefault#is_oie}

---

##### `oktaCall`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaCall" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktacall"></a>

```typescript
public readonly oktaCall: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_call PolicyMfaDefault#okta_call}.

---

##### `oktaEmail`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaEmail" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktaemail"></a>

```typescript
public readonly oktaEmail: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_email PolicyMfaDefault#okta_email}.

---

##### `oktaOtp`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaOtp" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktaotp"></a>

```typescript
public readonly oktaOtp: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_otp PolicyMfaDefault#okta_otp}.

---

##### `oktaPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaPassword" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktapassword"></a>

```typescript
public readonly oktaPassword: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_password PolicyMfaDefault#okta_password}.

---

##### `oktaPush`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaPush" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktapush"></a>

```typescript
public readonly oktaPush: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_push PolicyMfaDefault#okta_push}.

---

##### `oktaQuestion`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaQuestion" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktaquestion"></a>

```typescript
public readonly oktaQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_question PolicyMfaDefault#okta_question}.

---

##### `oktaSms`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaSms" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktasms"></a>

```typescript
public readonly oktaSms: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_sms PolicyMfaDefault#okta_sms}.

---

##### `oktaVerify`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.oktaVerify" id="cdktfprovideroktapolicymfadefaultconfigpropertyoktaverify"></a>

```typescript
public readonly oktaVerify: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#okta_verify PolicyMfaDefault#okta_verify}.

---

##### `onpremMfa`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.onpremMfa" id="cdktfprovideroktapolicymfadefaultconfigpropertyonpremmfa"></a>

```typescript
public readonly onpremMfa: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#onprem_mfa PolicyMfaDefault#onprem_mfa}.

---

##### `phoneNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.phoneNumber" id="cdktfprovideroktapolicymfadefaultconfigpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#phone_number PolicyMfaDefault#phone_number}.

---

##### `rsaToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.rsaToken" id="cdktfprovideroktapolicymfadefaultconfigpropertyrsatoken"></a>

```typescript
public readonly rsaToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#rsa_token PolicyMfaDefault#rsa_token}.

---

##### `securityQuestion`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.securityQuestion" id="cdktfprovideroktapolicymfadefaultconfigpropertysecurityquestion"></a>

```typescript
public readonly securityQuestion: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#security_question PolicyMfaDefault#security_question}.

---

##### `symantecVip`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.symantecVip" id="cdktfprovideroktapolicymfadefaultconfigpropertysymantecvip"></a>

```typescript
public readonly symantecVip: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#symantec_vip PolicyMfaDefault#symantec_vip}.

---

##### `webauthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.webauthn" id="cdktfprovideroktapolicymfadefaultconfigpropertywebauthn"></a>

```typescript
public readonly webauthn: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#webauthn PolicyMfaDefault#webauthn}.

---

##### `yubikeyToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyMfaDefaultConfig.property.yubikeyToken" id="cdktfprovideroktapolicymfadefaultconfigpropertyyubikeytoken"></a>

```typescript
public readonly yubikeyToken: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_mfa_default#yubikey_token PolicyMfaDefault#yubikey_token}.

---

### PolicyPasswordConfig <a name="@cdktf/provider-okta.PolicyPasswordConfig" id="cdktfprovideroktapolicypasswordconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyPasswordConfig } from '@cdktf/provider-okta'

const policyPasswordConfig: PolicyPasswordConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicypasswordconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicypasswordconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicypasswordconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicypasswordconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicypasswordconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicypasswordconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicypasswordconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicypasswordconfigpropertyname)<span title="Required">*</span> | `string` | Policy Name. |
| [`authProvider`](#cdktfprovideroktapolicypasswordconfigpropertyauthprovider) | `string` | Authentication Provider: OKTA, ACTIVE_DIRECTORY or LDAP. |
| [`callRecovery`](#cdktfprovideroktapolicypasswordconfigpropertycallrecovery) | `string` | Enable or disable voice call recovery: ACTIVE or INACTIVE. |
| [`description`](#cdktfprovideroktapolicypasswordconfigpropertydescription) | `string` | Policy Description. |
| [`emailRecovery`](#cdktfprovideroktapolicypasswordconfigpropertyemailrecovery) | `string` | Enable or disable email password recovery: ACTIVE or INACTIVE. |
| [`groupsIncluded`](#cdktfprovideroktapolicypasswordconfigpropertygroupsincluded) | `string`[] | List of Group IDs to Include. |
| [`id`](#cdktfprovideroktapolicypasswordconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#id PolicyPassword#id}. |
| [`passwordAutoUnlockMinutes`](#cdktfprovideroktapolicypasswordconfigpropertypasswordautounlockminutes) | `number` | Number of minutes before a locked account is unlocked: 0 = no limit. |
| [`passwordDictionaryLookup`](#cdktfprovideroktapolicypasswordconfigpropertypassworddictionarylookup) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Check Passwords Against Common Password Dictionary. |
| [`passwordExcludeFirstName`](#cdktfprovideroktapolicypasswordconfigpropertypasswordexcludefirstname) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | User firstName attribute must be excluded from the password. |
| [`passwordExcludeLastName`](#cdktfprovideroktapolicypasswordconfigpropertypasswordexcludelastname) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | User lastName attribute must be excluded from the password. |
| [`passwordExcludeUsername`](#cdktfprovideroktapolicypasswordconfigpropertypasswordexcludeusername) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If the user name must be excluded from the password. |
| [`passwordExpireWarnDays`](#cdktfprovideroktapolicypasswordconfigpropertypasswordexpirewarndays) | `number` | Length in days a user will be warned before password expiry: 0 = no warning. |
| [`passwordHistoryCount`](#cdktfprovideroktapolicypasswordconfigpropertypasswordhistorycount) | `number` | Number of distinct passwords that must be created before they can be reused: 0 = none. |
| [`passwordLockoutNotificationChannels`](#cdktfprovideroktapolicypasswordconfigpropertypasswordlockoutnotificationchannels) | `string`[] | Notification channels to use to notify a user when their account has been locked. |
| [`passwordMaxAgeDays`](#cdktfprovideroktapolicypasswordconfigpropertypasswordmaxagedays) | `number` | Length in days a password is valid before expiry: 0 = no limit. |
| [`passwordMaxLockoutAttempts`](#cdktfprovideroktapolicypasswordconfigpropertypasswordmaxlockoutattempts) | `number` | Number of unsuccessful login attempts allowed before lockout: 0 = no limit. |
| [`passwordMinAgeMinutes`](#cdktfprovideroktapolicypasswordconfigpropertypasswordminageminutes) | `number` | Minimum time interval in minutes between password changes: 0 = no limit. |
| [`passwordMinLength`](#cdktfprovideroktapolicypasswordconfigpropertypasswordminlength) | `number` | Minimum password length. |
| [`passwordMinLowercase`](#cdktfprovideroktapolicypasswordconfigpropertypasswordminlowercase) | `number` | If a password must contain at least one lower case letter: 0 = no, 1 = yes. |
| [`passwordMinNumber`](#cdktfprovideroktapolicypasswordconfigpropertypasswordminnumber) | `number` | If a password must contain at least one number: 0 = no, 1 = yes. Default = 1. |
| [`passwordMinSymbol`](#cdktfprovideroktapolicypasswordconfigpropertypasswordminsymbol) | `number` | If a password must contain at least one symbol (!@#$%^&*): 0 = no, 1 = yes. Default = 1. |
| [`passwordMinUppercase`](#cdktfprovideroktapolicypasswordconfigpropertypasswordminuppercase) | `number` | If a password must contain at least one upper case letter: 0 = no, 1 = yes. |
| [`passwordShowLockoutFailures`](#cdktfprovideroktapolicypasswordconfigpropertypasswordshowlockoutfailures) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If a user should be informed when their account is locked. |
| [`priority`](#cdktfprovideroktapolicypasswordconfigpropertypriority) | `number` | Policy Priority, this attribute can be set to a valid priority. |
| [`questionMinLength`](#cdktfprovideroktapolicypasswordconfigpropertyquestionminlength) | `number` | Min length of the password recovery question answer. |
| [`questionRecovery`](#cdktfprovideroktapolicypasswordconfigpropertyquestionrecovery) | `string` | Enable or disable security question password recovery: ACTIVE or INACTIVE. |
| [`recoveryEmailToken`](#cdktfprovideroktapolicypasswordconfigpropertyrecoveryemailtoken) | `number` | Lifetime in minutes of the recovery email token. |
| [`skipUnlock`](#cdktfprovideroktapolicypasswordconfigpropertyskipunlock) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | When an Active Directory user is locked out of Okta, the Okta unlock operation should also attempt to unlock the user's Windows account. |
| [`smsRecovery`](#cdktfprovideroktapolicypasswordconfigpropertysmsrecovery) | `string` | Enable or disable SMS password recovery: ACTIVE or INACTIVE. |
| [`status`](#cdktfprovideroktapolicypasswordconfigpropertystatus) | `string` | Policy Status: ACTIVE or INACTIVE. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.connection" id="cdktfprovideroktapolicypasswordconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.count" id="cdktfprovideroktapolicypasswordconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.dependsOn" id="cdktfprovideroktapolicypasswordconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.forEach" id="cdktfprovideroktapolicypasswordconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.lifecycle" id="cdktfprovideroktapolicypasswordconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.provider" id="cdktfprovideroktapolicypasswordconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.provisioners" id="cdktfprovideroktapolicypasswordconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.name" id="cdktfprovideroktapolicypasswordconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#name PolicyPassword#name}

---

##### `authProvider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.authProvider" id="cdktfprovideroktapolicypasswordconfigpropertyauthprovider"></a>

```typescript
public readonly authProvider: string;
```

- *Type:* `string`

Authentication Provider: OKTA, ACTIVE_DIRECTORY or LDAP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#auth_provider PolicyPassword#auth_provider}

---

##### `callRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.callRecovery" id="cdktfprovideroktapolicypasswordconfigpropertycallrecovery"></a>

```typescript
public readonly callRecovery: string;
```

- *Type:* `string`

Enable or disable voice call recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#call_recovery PolicyPassword#call_recovery}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.description" id="cdktfprovideroktapolicypasswordconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Policy Description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#description PolicyPassword#description}

---

##### `emailRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.emailRecovery" id="cdktfprovideroktapolicypasswordconfigpropertyemailrecovery"></a>

```typescript
public readonly emailRecovery: string;
```

- *Type:* `string`

Enable or disable email password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#email_recovery PolicyPassword#email_recovery}

---

##### `groupsIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.groupsIncluded" id="cdktfprovideroktapolicypasswordconfigpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

List of Group IDs to Include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#groups_included PolicyPassword#groups_included}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.id" id="cdktfprovideroktapolicypasswordconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#id PolicyPassword#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `passwordAutoUnlockMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordAutoUnlockMinutes" id="cdktfprovideroktapolicypasswordconfigpropertypasswordautounlockminutes"></a>

```typescript
public readonly passwordAutoUnlockMinutes: number;
```

- *Type:* `number`

Number of minutes before a locked account is unlocked: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_auto_unlock_minutes PolicyPassword#password_auto_unlock_minutes}

---

##### `passwordDictionaryLookup`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordDictionaryLookup" id="cdktfprovideroktapolicypasswordconfigpropertypassworddictionarylookup"></a>

```typescript
public readonly passwordDictionaryLookup: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Check Passwords Against Common Password Dictionary.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_dictionary_lookup PolicyPassword#password_dictionary_lookup}

---

##### `passwordExcludeFirstName`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordExcludeFirstName" id="cdktfprovideroktapolicypasswordconfigpropertypasswordexcludefirstname"></a>

```typescript
public readonly passwordExcludeFirstName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

User firstName attribute must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_exclude_first_name PolicyPassword#password_exclude_first_name}

---

##### `passwordExcludeLastName`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordExcludeLastName" id="cdktfprovideroktapolicypasswordconfigpropertypasswordexcludelastname"></a>

```typescript
public readonly passwordExcludeLastName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

User lastName attribute must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_exclude_last_name PolicyPassword#password_exclude_last_name}

---

##### `passwordExcludeUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordExcludeUsername" id="cdktfprovideroktapolicypasswordconfigpropertypasswordexcludeusername"></a>

```typescript
public readonly passwordExcludeUsername: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If the user name must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_exclude_username PolicyPassword#password_exclude_username}

---

##### `passwordExpireWarnDays`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordExpireWarnDays" id="cdktfprovideroktapolicypasswordconfigpropertypasswordexpirewarndays"></a>

```typescript
public readonly passwordExpireWarnDays: number;
```

- *Type:* `number`

Length in days a user will be warned before password expiry: 0 = no warning.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_expire_warn_days PolicyPassword#password_expire_warn_days}

---

##### `passwordHistoryCount`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordHistoryCount" id="cdktfprovideroktapolicypasswordconfigpropertypasswordhistorycount"></a>

```typescript
public readonly passwordHistoryCount: number;
```

- *Type:* `number`

Number of distinct passwords that must be created before they can be reused: 0 = none.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_history_count PolicyPassword#password_history_count}

---

##### `passwordLockoutNotificationChannels`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordLockoutNotificationChannels" id="cdktfprovideroktapolicypasswordconfigpropertypasswordlockoutnotificationchannels"></a>

```typescript
public readonly passwordLockoutNotificationChannels: string[];
```

- *Type:* `string`[]

Notification channels to use to notify a user when their account has been locked.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_lockout_notification_channels PolicyPassword#password_lockout_notification_channels}

---

##### `passwordMaxAgeDays`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMaxAgeDays" id="cdktfprovideroktapolicypasswordconfigpropertypasswordmaxagedays"></a>

```typescript
public readonly passwordMaxAgeDays: number;
```

- *Type:* `number`

Length in days a password is valid before expiry: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_max_age_days PolicyPassword#password_max_age_days}

---

##### `passwordMaxLockoutAttempts`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMaxLockoutAttempts" id="cdktfprovideroktapolicypasswordconfigpropertypasswordmaxlockoutattempts"></a>

```typescript
public readonly passwordMaxLockoutAttempts: number;
```

- *Type:* `number`

Number of unsuccessful login attempts allowed before lockout: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_max_lockout_attempts PolicyPassword#password_max_lockout_attempts}

---

##### `passwordMinAgeMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMinAgeMinutes" id="cdktfprovideroktapolicypasswordconfigpropertypasswordminageminutes"></a>

```typescript
public readonly passwordMinAgeMinutes: number;
```

- *Type:* `number`

Minimum time interval in minutes between password changes: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_min_age_minutes PolicyPassword#password_min_age_minutes}

---

##### `passwordMinLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMinLength" id="cdktfprovideroktapolicypasswordconfigpropertypasswordminlength"></a>

```typescript
public readonly passwordMinLength: number;
```

- *Type:* `number`

Minimum password length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_min_length PolicyPassword#password_min_length}

---

##### `passwordMinLowercase`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMinLowercase" id="cdktfprovideroktapolicypasswordconfigpropertypasswordminlowercase"></a>

```typescript
public readonly passwordMinLowercase: number;
```

- *Type:* `number`

If a password must contain at least one lower case letter: 0 = no, 1 = yes.

Default = 1  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_min_lowercase PolicyPassword#password_min_lowercase}

---

##### `passwordMinNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMinNumber" id="cdktfprovideroktapolicypasswordconfigpropertypasswordminnumber"></a>

```typescript
public readonly passwordMinNumber: number;
```

- *Type:* `number`

If a password must contain at least one number: 0 = no, 1 = yes. Default = 1.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_min_number PolicyPassword#password_min_number}

---

##### `passwordMinSymbol`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMinSymbol" id="cdktfprovideroktapolicypasswordconfigpropertypasswordminsymbol"></a>

```typescript
public readonly passwordMinSymbol: number;
```

- *Type:* `number`

If a password must contain at least one symbol (!@#$%^&*): 0 = no, 1 = yes. Default = 1.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_min_symbol PolicyPassword#password_min_symbol}

---

##### `passwordMinUppercase`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordMinUppercase" id="cdktfprovideroktapolicypasswordconfigpropertypasswordminuppercase"></a>

```typescript
public readonly passwordMinUppercase: number;
```

- *Type:* `number`

If a password must contain at least one upper case letter: 0 = no, 1 = yes.

Default = 1  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_min_uppercase PolicyPassword#password_min_uppercase}

---

##### `passwordShowLockoutFailures`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.passwordShowLockoutFailures" id="cdktfprovideroktapolicypasswordconfigpropertypasswordshowlockoutfailures"></a>

```typescript
public readonly passwordShowLockoutFailures: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If a user should be informed when their account is locked.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#password_show_lockout_failures PolicyPassword#password_show_lockout_failures}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.priority" id="cdktfprovideroktapolicypasswordconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#priority PolicyPassword#priority}

---

##### `questionMinLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.questionMinLength" id="cdktfprovideroktapolicypasswordconfigpropertyquestionminlength"></a>

```typescript
public readonly questionMinLength: number;
```

- *Type:* `number`

Min length of the password recovery question answer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#question_min_length PolicyPassword#question_min_length}

---

##### `questionRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.questionRecovery" id="cdktfprovideroktapolicypasswordconfigpropertyquestionrecovery"></a>

```typescript
public readonly questionRecovery: string;
```

- *Type:* `string`

Enable or disable security question password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#question_recovery PolicyPassword#question_recovery}

---

##### `recoveryEmailToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.recoveryEmailToken" id="cdktfprovideroktapolicypasswordconfigpropertyrecoveryemailtoken"></a>

```typescript
public readonly recoveryEmailToken: number;
```

- *Type:* `number`

Lifetime in minutes of the recovery email token.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#recovery_email_token PolicyPassword#recovery_email_token}

---

##### `skipUnlock`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.skipUnlock" id="cdktfprovideroktapolicypasswordconfigpropertyskipunlock"></a>

```typescript
public readonly skipUnlock: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

When an Active Directory user is locked out of Okta, the Okta unlock operation should also attempt to unlock the user's Windows account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#skip_unlock PolicyPassword#skip_unlock}

---

##### `smsRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.smsRecovery" id="cdktfprovideroktapolicypasswordconfigpropertysmsrecovery"></a>

```typescript
public readonly smsRecovery: string;
```

- *Type:* `string`

Enable or disable SMS password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#sms_recovery PolicyPassword#sms_recovery}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordConfig.property.status" id="cdktfprovideroktapolicypasswordconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password#status PolicyPassword#status}

---

### PolicyPasswordDefaultConfig <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig" id="cdktfprovideroktapolicypassworddefaultconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyPasswordDefaultConfig } from '@cdktf/provider-okta'

const policyPasswordDefaultConfig: PolicyPasswordDefaultConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicypassworddefaultconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicypassworddefaultconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicypassworddefaultconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicypassworddefaultconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicypassworddefaultconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicypassworddefaultconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicypassworddefaultconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`callRecovery`](#cdktfprovideroktapolicypassworddefaultconfigpropertycallrecovery) | `string` | Enable or disable voice call recovery: ACTIVE or INACTIVE. |
| [`emailRecovery`](#cdktfprovideroktapolicypassworddefaultconfigpropertyemailrecovery) | `string` | Enable or disable email password recovery: ACTIVE or INACTIVE. |
| [`id`](#cdktfprovideroktapolicypassworddefaultconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#id PolicyPasswordDefault#id}. |
| [`passwordAutoUnlockMinutes`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordautounlockminutes) | `number` | Number of minutes before a locked account is unlocked: 0 = no limit. |
| [`passwordDictionaryLookup`](#cdktfprovideroktapolicypassworddefaultconfigpropertypassworddictionarylookup) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Check Passwords Against Common Password Dictionary. |
| [`passwordExcludeFirstName`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexcludefirstname) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | User firstName attribute must be excluded from the password. |
| [`passwordExcludeLastName`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexcludelastname) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | User lastName attribute must be excluded from the password. |
| [`passwordExcludeUsername`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexcludeusername) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If the user name must be excluded from the password. |
| [`passwordExpireWarnDays`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexpirewarndays) | `number` | Length in days a user will be warned before password expiry: 0 = no warning. |
| [`passwordHistoryCount`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordhistorycount) | `number` | Number of distinct passwords that must be created before they can be reused: 0 = none. |
| [`passwordLockoutNotificationChannels`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordlockoutnotificationchannels) | `string`[] | Notification channels to use to notify a user when their account has been locked. |
| [`passwordMaxAgeDays`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordmaxagedays) | `number` | Length in days a password is valid before expiry: 0 = no limit. |
| [`passwordMaxLockoutAttempts`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordmaxlockoutattempts) | `number` | Number of unsuccessful login attempts allowed before lockout: 0 = no limit. |
| [`passwordMinAgeMinutes`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminageminutes) | `number` | Minimum time interval in minutes between password changes: 0 = no limit. |
| [`passwordMinLength`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminlength) | `number` | Minimum password length. |
| [`passwordMinLowercase`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminlowercase) | `number` | If a password must contain at least one lower case letter: 0 = no, 1 = yes. |
| [`passwordMinNumber`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminnumber) | `number` | If a password must contain at least one number: 0 = no, 1 = yes. Default = 1. |
| [`passwordMinSymbol`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminsymbol) | `number` | If a password must contain at least one symbol (!@#$%^&*): 0 = no, 1 = yes. Default = 1. |
| [`passwordMinUppercase`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminuppercase) | `number` | If a password must contain at least one upper case letter: 0 = no, 1 = yes. |
| [`passwordShowLockoutFailures`](#cdktfprovideroktapolicypassworddefaultconfigpropertypasswordshowlockoutfailures) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If a user should be informed when their account is locked. |
| [`questionMinLength`](#cdktfprovideroktapolicypassworddefaultconfigpropertyquestionminlength) | `number` | Min length of the password recovery question answer. |
| [`questionRecovery`](#cdktfprovideroktapolicypassworddefaultconfigpropertyquestionrecovery) | `string` | Enable or disable security question password recovery: ACTIVE or INACTIVE. |
| [`recoveryEmailToken`](#cdktfprovideroktapolicypassworddefaultconfigpropertyrecoveryemailtoken) | `number` | Lifetime in minutes of the recovery email token. |
| [`skipUnlock`](#cdktfprovideroktapolicypassworddefaultconfigpropertyskipunlock) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | When an Active Directory user is locked out of Okta, the Okta unlock operation should also attempt to unlock the user's Windows account. |
| [`smsRecovery`](#cdktfprovideroktapolicypassworddefaultconfigpropertysmsrecovery) | `string` | Enable or disable SMS password recovery: ACTIVE or INACTIVE. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.connection" id="cdktfprovideroktapolicypassworddefaultconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.count" id="cdktfprovideroktapolicypassworddefaultconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.dependsOn" id="cdktfprovideroktapolicypassworddefaultconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.forEach" id="cdktfprovideroktapolicypassworddefaultconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.lifecycle" id="cdktfprovideroktapolicypassworddefaultconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.provider" id="cdktfprovideroktapolicypassworddefaultconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.provisioners" id="cdktfprovideroktapolicypassworddefaultconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `callRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.callRecovery" id="cdktfprovideroktapolicypassworddefaultconfigpropertycallrecovery"></a>

```typescript
public readonly callRecovery: string;
```

- *Type:* `string`

Enable or disable voice call recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#call_recovery PolicyPasswordDefault#call_recovery}

---

##### `emailRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.emailRecovery" id="cdktfprovideroktapolicypassworddefaultconfigpropertyemailrecovery"></a>

```typescript
public readonly emailRecovery: string;
```

- *Type:* `string`

Enable or disable email password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#email_recovery PolicyPasswordDefault#email_recovery}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.id" id="cdktfprovideroktapolicypassworddefaultconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#id PolicyPasswordDefault#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `passwordAutoUnlockMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordAutoUnlockMinutes" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordautounlockminutes"></a>

```typescript
public readonly passwordAutoUnlockMinutes: number;
```

- *Type:* `number`

Number of minutes before a locked account is unlocked: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_auto_unlock_minutes PolicyPasswordDefault#password_auto_unlock_minutes}

---

##### `passwordDictionaryLookup`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordDictionaryLookup" id="cdktfprovideroktapolicypassworddefaultconfigpropertypassworddictionarylookup"></a>

```typescript
public readonly passwordDictionaryLookup: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Check Passwords Against Common Password Dictionary.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_dictionary_lookup PolicyPasswordDefault#password_dictionary_lookup}

---

##### `passwordExcludeFirstName`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordExcludeFirstName" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexcludefirstname"></a>

```typescript
public readonly passwordExcludeFirstName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

User firstName attribute must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_exclude_first_name PolicyPasswordDefault#password_exclude_first_name}

---

##### `passwordExcludeLastName`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordExcludeLastName" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexcludelastname"></a>

```typescript
public readonly passwordExcludeLastName: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

User lastName attribute must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_exclude_last_name PolicyPasswordDefault#password_exclude_last_name}

---

##### `passwordExcludeUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordExcludeUsername" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexcludeusername"></a>

```typescript
public readonly passwordExcludeUsername: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If the user name must be excluded from the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_exclude_username PolicyPasswordDefault#password_exclude_username}

---

##### `passwordExpireWarnDays`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordExpireWarnDays" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordexpirewarndays"></a>

```typescript
public readonly passwordExpireWarnDays: number;
```

- *Type:* `number`

Length in days a user will be warned before password expiry: 0 = no warning.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_expire_warn_days PolicyPasswordDefault#password_expire_warn_days}

---

##### `passwordHistoryCount`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordHistoryCount" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordhistorycount"></a>

```typescript
public readonly passwordHistoryCount: number;
```

- *Type:* `number`

Number of distinct passwords that must be created before they can be reused: 0 = none.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_history_count PolicyPasswordDefault#password_history_count}

---

##### `passwordLockoutNotificationChannels`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordLockoutNotificationChannels" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordlockoutnotificationchannels"></a>

```typescript
public readonly passwordLockoutNotificationChannels: string[];
```

- *Type:* `string`[]

Notification channels to use to notify a user when their account has been locked.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_lockout_notification_channels PolicyPasswordDefault#password_lockout_notification_channels}

---

##### `passwordMaxAgeDays`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMaxAgeDays" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordmaxagedays"></a>

```typescript
public readonly passwordMaxAgeDays: number;
```

- *Type:* `number`

Length in days a password is valid before expiry: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_max_age_days PolicyPasswordDefault#password_max_age_days}

---

##### `passwordMaxLockoutAttempts`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMaxLockoutAttempts" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordmaxlockoutattempts"></a>

```typescript
public readonly passwordMaxLockoutAttempts: number;
```

- *Type:* `number`

Number of unsuccessful login attempts allowed before lockout: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_max_lockout_attempts PolicyPasswordDefault#password_max_lockout_attempts}

---

##### `passwordMinAgeMinutes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMinAgeMinutes" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminageminutes"></a>

```typescript
public readonly passwordMinAgeMinutes: number;
```

- *Type:* `number`

Minimum time interval in minutes between password changes: 0 = no limit.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_min_age_minutes PolicyPasswordDefault#password_min_age_minutes}

---

##### `passwordMinLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMinLength" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminlength"></a>

```typescript
public readonly passwordMinLength: number;
```

- *Type:* `number`

Minimum password length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_min_length PolicyPasswordDefault#password_min_length}

---

##### `passwordMinLowercase`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMinLowercase" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminlowercase"></a>

```typescript
public readonly passwordMinLowercase: number;
```

- *Type:* `number`

If a password must contain at least one lower case letter: 0 = no, 1 = yes.

Default = 1  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_min_lowercase PolicyPasswordDefault#password_min_lowercase}

---

##### `passwordMinNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMinNumber" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminnumber"></a>

```typescript
public readonly passwordMinNumber: number;
```

- *Type:* `number`

If a password must contain at least one number: 0 = no, 1 = yes. Default = 1.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_min_number PolicyPasswordDefault#password_min_number}

---

##### `passwordMinSymbol`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMinSymbol" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminsymbol"></a>

```typescript
public readonly passwordMinSymbol: number;
```

- *Type:* `number`

If a password must contain at least one symbol (!@#$%^&*): 0 = no, 1 = yes. Default = 1.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_min_symbol PolicyPasswordDefault#password_min_symbol}

---

##### `passwordMinUppercase`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordMinUppercase" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordminuppercase"></a>

```typescript
public readonly passwordMinUppercase: number;
```

- *Type:* `number`

If a password must contain at least one upper case letter: 0 = no, 1 = yes.

Default = 1  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_min_uppercase PolicyPasswordDefault#password_min_uppercase}

---

##### `passwordShowLockoutFailures`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.passwordShowLockoutFailures" id="cdktfprovideroktapolicypassworddefaultconfigpropertypasswordshowlockoutfailures"></a>

```typescript
public readonly passwordShowLockoutFailures: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If a user should be informed when their account is locked.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#password_show_lockout_failures PolicyPasswordDefault#password_show_lockout_failures}

---

##### `questionMinLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.questionMinLength" id="cdktfprovideroktapolicypassworddefaultconfigpropertyquestionminlength"></a>

```typescript
public readonly questionMinLength: number;
```

- *Type:* `number`

Min length of the password recovery question answer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#question_min_length PolicyPasswordDefault#question_min_length}

---

##### `questionRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.questionRecovery" id="cdktfprovideroktapolicypassworddefaultconfigpropertyquestionrecovery"></a>

```typescript
public readonly questionRecovery: string;
```

- *Type:* `string`

Enable or disable security question password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#question_recovery PolicyPasswordDefault#question_recovery}

---

##### `recoveryEmailToken`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.recoveryEmailToken" id="cdktfprovideroktapolicypassworddefaultconfigpropertyrecoveryemailtoken"></a>

```typescript
public readonly recoveryEmailToken: number;
```

- *Type:* `number`

Lifetime in minutes of the recovery email token.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#recovery_email_token PolicyPasswordDefault#recovery_email_token}

---

##### `skipUnlock`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.skipUnlock" id="cdktfprovideroktapolicypassworddefaultconfigpropertyskipunlock"></a>

```typescript
public readonly skipUnlock: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

When an Active Directory user is locked out of Okta, the Okta unlock operation should also attempt to unlock the user's Windows account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#skip_unlock PolicyPasswordDefault#skip_unlock}

---

##### `smsRecovery`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyPasswordDefaultConfig.property.smsRecovery" id="cdktfprovideroktapolicypassworddefaultconfigpropertysmsrecovery"></a>

```typescript
public readonly smsRecovery: string;
```

- *Type:* `string`

Enable or disable SMS password recovery: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_password_default#sms_recovery PolicyPasswordDefault#sms_recovery}

---

### PolicyProfileEnrollmentAppsConfig <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig" id="cdktfprovideroktapolicyprofileenrollmentappsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyProfileEnrollmentAppsConfig } from '@cdktf/provider-okta'

const policyProfileEnrollmentAppsConfig: PolicyProfileEnrollmentAppsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertypolicyid)<span title="Required">*</span> | `string` | ID of the enrollment policy. |
| [`apps`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyapps) | `string`[] | List of app IDs to be added to this policy. |
| [`id`](#cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment_apps#id PolicyProfileEnrollmentApps#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.connection" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.count" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.dependsOn" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.forEach" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.lifecycle" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.provider" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.provisioners" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.policyId" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

ID of the enrollment policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment_apps#policy_id PolicyProfileEnrollmentApps#policy_id}

---

##### `apps`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.apps" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyapps"></a>

```typescript
public readonly apps: string[];
```

- *Type:* `string`[]

List of app IDs to be added to this policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment_apps#apps PolicyProfileEnrollmentApps#apps}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentAppsConfig.property.id" id="cdktfprovideroktapolicyprofileenrollmentappsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment_apps#id PolicyProfileEnrollmentApps#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### PolicyProfileEnrollmentConfig <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig" id="cdktfprovideroktapolicyprofileenrollmentconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyProfileEnrollmentConfig } from '@cdktf/provider-okta'

const policyProfileEnrollmentConfig: PolicyProfileEnrollmentConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertyname)<span title="Required">*</span> | `string` | Name of the policy. |
| [`id`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment#id PolicyProfileEnrollment#id}. |
| [`status`](#cdktfprovideroktapolicyprofileenrollmentconfigpropertystatus) | `string` | Status of the policy. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.connection" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.count" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.dependsOn" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.forEach" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.lifecycle" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.provider" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.provisioners" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.name" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment#name PolicyProfileEnrollment#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.id" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment#id PolicyProfileEnrollment#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyProfileEnrollmentConfig.property.status" id="cdktfprovideroktapolicyprofileenrollmentconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of the policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_profile_enrollment#status PolicyProfileEnrollment#status}

---

### PolicyRuleIdpDiscoveryAppExclude <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude" id="cdktfprovideroktapolicyruleidpdiscoveryappexclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryAppExclude } from '@cdktf/provider-okta'

const policyRuleIdpDiscoveryAppExclude: PolicyRuleIdpDiscoveryAppExclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludepropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#type PolicyRuleIdpDiscovery#type}. |
| [`id`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludepropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#id PolicyRuleIdpDiscovery#id}. |
| [`name`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludepropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#name PolicyRuleIdpDiscovery#name}. |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude.property.type" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#type PolicyRuleIdpDiscovery#type}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude.property.id" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#id PolicyRuleIdpDiscovery#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude.property.name" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#name PolicyRuleIdpDiscovery#name}.

---

### PolicyRuleIdpDiscoveryAppInclude <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude" id="cdktfprovideroktapolicyruleidpdiscoveryappinclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryAppInclude } from '@cdktf/provider-okta'

const policyRuleIdpDiscoveryAppInclude: PolicyRuleIdpDiscoveryAppInclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktapolicyruleidpdiscoveryappincludepropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#type PolicyRuleIdpDiscovery#type}. |
| [`id`](#cdktfprovideroktapolicyruleidpdiscoveryappincludepropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#id PolicyRuleIdpDiscovery#id}. |
| [`name`](#cdktfprovideroktapolicyruleidpdiscoveryappincludepropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#name PolicyRuleIdpDiscovery#name}. |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude.property.type" id="cdktfprovideroktapolicyruleidpdiscoveryappincludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#type PolicyRuleIdpDiscovery#type}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude.property.id" id="cdktfprovideroktapolicyruleidpdiscoveryappincludepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#id PolicyRuleIdpDiscovery#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude.property.name" id="cdktfprovideroktapolicyruleidpdiscoveryappincludepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#name PolicyRuleIdpDiscovery#name}.

---

### PolicyRuleIdpDiscoveryConfig <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig" id="cdktfprovideroktapolicyruleidpdiscoveryconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryConfig } from '@cdktf/provider-okta'

const policyRuleIdpDiscoveryConfig: PolicyRuleIdpDiscoveryConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`appExclude`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyappexclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)[] | app_exclude block. |
| [`appInclude`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyappinclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)[] | app_include block. |
| [`id`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#id PolicyRuleIdpDiscovery#id}. |
| [`idpId`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyidpid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#idp_id PolicyRuleIdpDiscovery#idp_id}. |
| [`idpType`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyidptype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#idp_type PolicyRuleIdpDiscovery#idp_type}. |
| [`networkConnection`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`platformInclude`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyplatforminclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)[] | platform_include block. |
| [`policyid`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`policyId`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`priority`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertypriority) | `number` | Policy Rule Priority, this attribute can be set to a valid priority. |
| [`status`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertystatus) | `string` | Policy Rule Status: ACTIVE or INACTIVE. |
| [`userIdentifierAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyuseridentifierattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#user_identifier_attribute PolicyRuleIdpDiscovery#user_identifier_attribute}. |
| [`userIdentifierPatterns`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyuseridentifierpatterns) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)[] | user_identifier_patterns block. |
| [`userIdentifierType`](#cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyuseridentifiertype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#user_identifier_type PolicyRuleIdpDiscovery#user_identifier_type}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.connection" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.count" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.dependsOn" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.forEach" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.lifecycle" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.provider" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.provisioners" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.name" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#name PolicyRuleIdpDiscovery#name}

---

##### `appExclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.appExclude" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyappexclude"></a>

```typescript
public readonly appExclude: IResolvable | PolicyRuleIdpDiscoveryAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)[]

app_exclude block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#app_exclude PolicyRuleIdpDiscovery#app_exclude}

---

##### `appInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.appInclude" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyappinclude"></a>

```typescript
public readonly appInclude: IResolvable | PolicyRuleIdpDiscoveryAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)[]

app_include block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#app_include PolicyRuleIdpDiscovery#app_include}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.id" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#id PolicyRuleIdpDiscovery#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `idpId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.idpId" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyidpid"></a>

```typescript
public readonly idpId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#idp_id PolicyRuleIdpDiscovery#idp_id}.

---

##### `idpType`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.idpType" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyidptype"></a>

```typescript
public readonly idpType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#idp_type PolicyRuleIdpDiscovery#idp_type}.

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.networkConnection" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#network_connection PolicyRuleIdpDiscovery#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.networkExcludes" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#network_excludes PolicyRuleIdpDiscovery#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.networkIncludes" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#network_includes PolicyRuleIdpDiscovery#network_includes}

---

##### `platformInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.platformInclude" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyplatforminclude"></a>

```typescript
public readonly platformInclude: IResolvable | PolicyRuleIdpDiscoveryPlatformInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)[]

platform_include block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#platform_include PolicyRuleIdpDiscovery#platform_include}

---

##### `policyid`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.policyid" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#policyid PolicyRuleIdpDiscovery#policyid}

---

##### `policyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.policyId" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#policy_id PolicyRuleIdpDiscovery#policy_id}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.priority" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Rule Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#priority PolicyRuleIdpDiscovery#priority}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.status" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Rule Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#status PolicyRuleIdpDiscovery#status}

---

##### `userIdentifierAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.userIdentifierAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyuseridentifierattribute"></a>

```typescript
public readonly userIdentifierAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#user_identifier_attribute PolicyRuleIdpDiscovery#user_identifier_attribute}.

---

##### `userIdentifierPatterns`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.userIdentifierPatterns" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyuseridentifierpatterns"></a>

```typescript
public readonly userIdentifierPatterns: IResolvable | PolicyRuleIdpDiscoveryUserIdentifierPatterns[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)[]

user_identifier_patterns block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#user_identifier_patterns PolicyRuleIdpDiscovery#user_identifier_patterns}

---

##### `userIdentifierType`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryConfig.property.userIdentifierType" id="cdktfprovideroktapolicyruleidpdiscoveryconfigpropertyuseridentifiertype"></a>

```typescript
public readonly userIdentifierType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#user_identifier_type PolicyRuleIdpDiscovery#user_identifier_type}.

---

### PolicyRuleIdpDiscoveryPlatformInclude <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude" id="cdktfprovideroktapolicyruleidpdiscoveryplatforminclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryPlatformInclude } from '@cdktf/provider-okta'

const policyRuleIdpDiscoveryPlatformInclude: PolicyRuleIdpDiscoveryPlatformInclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`osExpression`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludepropertyosexpression) | `string` | Only available with OTHER OS type. |
| [`osType`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludepropertyostype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#os_type PolicyRuleIdpDiscovery#os_type}. |
| [`type`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludepropertytype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#type PolicyRuleIdpDiscovery#type}. |

---

##### `osExpression`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude.property.osExpression" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludepropertyosexpression"></a>

```typescript
public readonly osExpression: string;
```

- *Type:* `string`

Only available with OTHER OS type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#os_expression PolicyRuleIdpDiscovery#os_expression}

---

##### `osType`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude.property.osType" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludepropertyostype"></a>

```typescript
public readonly osType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#os_type PolicyRuleIdpDiscovery#os_type}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude.property.type" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#type PolicyRuleIdpDiscovery#type}.

---

### PolicyRuleIdpDiscoveryUserIdentifierPatterns <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatterns"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryUserIdentifierPatterns } from '@cdktf/provider-okta'

const policyRuleIdpDiscoveryUserIdentifierPatterns: PolicyRuleIdpDiscoveryUserIdentifierPatterns = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`matchType`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternspropertymatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#match_type PolicyRuleIdpDiscovery#match_type}. |
| [`value`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternspropertyvalue) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#value PolicyRuleIdpDiscovery#value}. |

---

##### `matchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns.property.matchType" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternspropertymatchtype"></a>

```typescript
public readonly matchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#match_type PolicyRuleIdpDiscovery#match_type}.

---

##### `value`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns.property.value" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternspropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_idp_discovery#value PolicyRuleIdpDiscovery#value}.

---

### PolicyRuleMfaAppExclude <a name="@cdktf/provider-okta.PolicyRuleMfaAppExclude" id="cdktfprovideroktapolicyrulemfaappexclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleMfaAppExclude } from '@cdktf/provider-okta'

const policyRuleMfaAppExclude: PolicyRuleMfaAppExclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktapolicyrulemfaappexcludepropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#type PolicyRuleMfa#type}. |
| [`id`](#cdktfprovideroktapolicyrulemfaappexcludepropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#id PolicyRuleMfa#id}. |
| [`name`](#cdktfprovideroktapolicyrulemfaappexcludepropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#name PolicyRuleMfa#name}. |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExclude.property.type" id="cdktfprovideroktapolicyrulemfaappexcludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#type PolicyRuleMfa#type}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExclude.property.id" id="cdktfprovideroktapolicyrulemfaappexcludepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#id PolicyRuleMfa#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExclude.property.name" id="cdktfprovideroktapolicyrulemfaappexcludepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#name PolicyRuleMfa#name}.

---

### PolicyRuleMfaAppInclude <a name="@cdktf/provider-okta.PolicyRuleMfaAppInclude" id="cdktfprovideroktapolicyrulemfaappinclude"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleMfaAppInclude } from '@cdktf/provider-okta'

const policyRuleMfaAppInclude: PolicyRuleMfaAppInclude = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`type`](#cdktfprovideroktapolicyrulemfaappincludepropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#type PolicyRuleMfa#type}. |
| [`id`](#cdktfprovideroktapolicyrulemfaappincludepropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#id PolicyRuleMfa#id}. |
| [`name`](#cdktfprovideroktapolicyrulemfaappincludepropertyname) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#name PolicyRuleMfa#name}. |

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppInclude.property.type" id="cdktfprovideroktapolicyrulemfaappincludepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#type PolicyRuleMfa#type}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppInclude.property.id" id="cdktfprovideroktapolicyrulemfaappincludepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#id PolicyRuleMfa#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `name`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppInclude.property.name" id="cdktfprovideroktapolicyrulemfaappincludepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#name PolicyRuleMfa#name}.

---

### PolicyRuleMfaConfig <a name="@cdktf/provider-okta.PolicyRuleMfaConfig" id="cdktfprovideroktapolicyrulemfaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleMfaConfig } from '@cdktf/provider-okta'

const policyRuleMfaConfig: PolicyRuleMfaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicyrulemfaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicyrulemfaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicyrulemfaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicyrulemfaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicyrulemfaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicyrulemfaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicyrulemfaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulemfaconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`appExclude`](#cdktfprovideroktapolicyrulemfaconfigpropertyappexclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)[] | app_exclude block. |
| [`appInclude`](#cdktfprovideroktapolicyrulemfaconfigpropertyappinclude) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)[] | app_include block. |
| [`enroll`](#cdktfprovideroktapolicyrulemfaconfigpropertyenroll) | `string` | Should the user be enrolled the first time they LOGIN, the next time they are CHALLENGED, or NEVER? |
| [`id`](#cdktfprovideroktapolicyrulemfaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#id PolicyRuleMfa#id}. |
| [`networkConnection`](#cdktfprovideroktapolicyrulemfaconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktapolicyrulemfaconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktapolicyrulemfaconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`policyid`](#cdktfprovideroktapolicyrulemfaconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`policyId`](#cdktfprovideroktapolicyrulemfaconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`priority`](#cdktfprovideroktapolicyrulemfaconfigpropertypriority) | `number` | Policy Rule Priority, this attribute can be set to a valid priority. |
| [`status`](#cdktfprovideroktapolicyrulemfaconfigpropertystatus) | `string` | Policy Rule Status: ACTIVE or INACTIVE. |
| [`usersExcluded`](#cdktfprovideroktapolicyrulemfaconfigpropertyusersexcluded) | `string`[] | Set of User IDs to Exclude. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.connection" id="cdktfprovideroktapolicyrulemfaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.count" id="cdktfprovideroktapolicyrulemfaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.dependsOn" id="cdktfprovideroktapolicyrulemfaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.forEach" id="cdktfprovideroktapolicyrulemfaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.lifecycle" id="cdktfprovideroktapolicyrulemfaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.provider" id="cdktfprovideroktapolicyrulemfaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.provisioners" id="cdktfprovideroktapolicyrulemfaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.name" id="cdktfprovideroktapolicyrulemfaconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#name PolicyRuleMfa#name}

---

##### `appExclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.appExclude" id="cdktfprovideroktapolicyrulemfaconfigpropertyappexclude"></a>

```typescript
public readonly appExclude: IResolvable | PolicyRuleMfaAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)[]

app_exclude block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#app_exclude PolicyRuleMfa#app_exclude}

---

##### `appInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.appInclude" id="cdktfprovideroktapolicyrulemfaconfigpropertyappinclude"></a>

```typescript
public readonly appInclude: IResolvable | PolicyRuleMfaAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)[]

app_include block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#app_include PolicyRuleMfa#app_include}

---

##### `enroll`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.enroll" id="cdktfprovideroktapolicyrulemfaconfigpropertyenroll"></a>

```typescript
public readonly enroll: string;
```

- *Type:* `string`

Should the user be enrolled the first time they LOGIN, the next time they are CHALLENGED, or NEVER?

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#enroll PolicyRuleMfa#enroll}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.id" id="cdktfprovideroktapolicyrulemfaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#id PolicyRuleMfa#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.networkConnection" id="cdktfprovideroktapolicyrulemfaconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#network_connection PolicyRuleMfa#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.networkExcludes" id="cdktfprovideroktapolicyrulemfaconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#network_excludes PolicyRuleMfa#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.networkIncludes" id="cdktfprovideroktapolicyrulemfaconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#network_includes PolicyRuleMfa#network_includes}

---

##### `policyid`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.policyid" id="cdktfprovideroktapolicyrulemfaconfigpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#policyid PolicyRuleMfa#policyid}

---

##### `policyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.policyId" id="cdktfprovideroktapolicyrulemfaconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#policy_id PolicyRuleMfa#policy_id}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.priority" id="cdktfprovideroktapolicyrulemfaconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Rule Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#priority PolicyRuleMfa#priority}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.status" id="cdktfprovideroktapolicyrulemfaconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Rule Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#status PolicyRuleMfa#status}

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaConfig.property.usersExcluded" id="cdktfprovideroktapolicyrulemfaconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

Set of User IDs to Exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_mfa#users_excluded PolicyRuleMfa#users_excluded}

---

### PolicyRulePasswordConfig <a name="@cdktf/provider-okta.PolicyRulePasswordConfig" id="cdktfprovideroktapolicyrulepasswordconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRulePasswordConfig } from '@cdktf/provider-okta'

const policyRulePasswordConfig: PolicyRulePasswordConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicyrulepasswordconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicyrulepasswordconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicyrulepasswordconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicyrulepasswordconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicyrulepasswordconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicyrulepasswordconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicyrulepasswordconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulepasswordconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`id`](#cdktfprovideroktapolicyrulepasswordconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#id PolicyRulePassword#id}. |
| [`networkConnection`](#cdktfprovideroktapolicyrulepasswordconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktapolicyrulepasswordconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktapolicyrulepasswordconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`passwordChange`](#cdktfprovideroktapolicyrulepasswordconfigpropertypasswordchange) | `string` | Allow or deny a user to change their password: ALLOW or DENY. Default = ALLOW. |
| [`passwordReset`](#cdktfprovideroktapolicyrulepasswordconfigpropertypasswordreset) | `string` | Allow or deny a user to reset their password: ALLOW or DENY. Default = ALLOW. |
| [`passwordUnlock`](#cdktfprovideroktapolicyrulepasswordconfigpropertypasswordunlock) | `string` | Allow or deny a user to unlock. Default = DENY. |
| [`policyid`](#cdktfprovideroktapolicyrulepasswordconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`policyId`](#cdktfprovideroktapolicyrulepasswordconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`priority`](#cdktfprovideroktapolicyrulepasswordconfigpropertypriority) | `number` | Policy Rule Priority, this attribute can be set to a valid priority. |
| [`status`](#cdktfprovideroktapolicyrulepasswordconfigpropertystatus) | `string` | Policy Rule Status: ACTIVE or INACTIVE. |
| [`usersExcluded`](#cdktfprovideroktapolicyrulepasswordconfigpropertyusersexcluded) | `string`[] | Set of User IDs to Exclude. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.connection" id="cdktfprovideroktapolicyrulepasswordconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.count" id="cdktfprovideroktapolicyrulepasswordconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.dependsOn" id="cdktfprovideroktapolicyrulepasswordconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.forEach" id="cdktfprovideroktapolicyrulepasswordconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.lifecycle" id="cdktfprovideroktapolicyrulepasswordconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.provider" id="cdktfprovideroktapolicyrulepasswordconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.provisioners" id="cdktfprovideroktapolicyrulepasswordconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.name" id="cdktfprovideroktapolicyrulepasswordconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#name PolicyRulePassword#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.id" id="cdktfprovideroktapolicyrulepasswordconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#id PolicyRulePassword#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.networkConnection" id="cdktfprovideroktapolicyrulepasswordconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#network_connection PolicyRulePassword#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.networkExcludes" id="cdktfprovideroktapolicyrulepasswordconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#network_excludes PolicyRulePassword#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.networkIncludes" id="cdktfprovideroktapolicyrulepasswordconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#network_includes PolicyRulePassword#network_includes}

---

##### `passwordChange`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.passwordChange" id="cdktfprovideroktapolicyrulepasswordconfigpropertypasswordchange"></a>

```typescript
public readonly passwordChange: string;
```

- *Type:* `string`

Allow or deny a user to change their password: ALLOW or DENY. Default = ALLOW.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#password_change PolicyRulePassword#password_change}

---

##### `passwordReset`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.passwordReset" id="cdktfprovideroktapolicyrulepasswordconfigpropertypasswordreset"></a>

```typescript
public readonly passwordReset: string;
```

- *Type:* `string`

Allow or deny a user to reset their password: ALLOW or DENY. Default = ALLOW.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#password_reset PolicyRulePassword#password_reset}

---

##### `passwordUnlock`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.passwordUnlock" id="cdktfprovideroktapolicyrulepasswordconfigpropertypasswordunlock"></a>

```typescript
public readonly passwordUnlock: string;
```

- *Type:* `string`

Allow or deny a user to unlock. Default = DENY.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#password_unlock PolicyRulePassword#password_unlock}

---

##### `policyid`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.policyid" id="cdktfprovideroktapolicyrulepasswordconfigpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#policyid PolicyRulePassword#policyid}

---

##### `policyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.policyId" id="cdktfprovideroktapolicyrulepasswordconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#policy_id PolicyRulePassword#policy_id}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.priority" id="cdktfprovideroktapolicyrulepasswordconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Rule Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#priority PolicyRulePassword#priority}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.status" id="cdktfprovideroktapolicyrulepasswordconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Rule Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#status PolicyRulePassword#status}

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRulePasswordConfig.property.usersExcluded" id="cdktfprovideroktapolicyrulepasswordconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

Set of User IDs to Exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_password#users_excluded PolicyRulePassword#users_excluded}

---

### PolicyRuleProfileEnrollmentConfig <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig" id="cdktfprovideroktapolicyruleprofileenrollmentconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleProfileEnrollmentConfig } from '@cdktf/provider-okta'

const policyRuleProfileEnrollmentConfig: PolicyRuleProfileEnrollmentConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`policyId`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertypolicyid)<span title="Required">*</span> | `string` | ID of the policy. |
| [`unknownUserAction`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyunknownuseraction)<span title="Required">*</span> | `string` | Which action should be taken if this User is new. |
| [`access`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyaccess) | `string` | Allow or deny access based on the rule conditions: ALLOW or DENY. |
| [`emailVerification`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyemailverification) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Indicates whether email verification should occur before access is granted. |
| [`id`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#id PolicyRuleProfileEnrollment#id}. |
| [`inlineHookId`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyinlinehookid) | `string` | ID of a Registration Inline Hook. |
| [`profileAttributes`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyprofileattributes) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)[] | profile_attributes block. |
| [`targetGroupId`](#cdktfprovideroktapolicyruleprofileenrollmentconfigpropertytargetgroupid) | `string` | The ID of a Group that this User should be added to. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.connection" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.count" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.dependsOn" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.forEach" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.lifecycle" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.provider" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.provisioners" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `policyId`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.policyId" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

ID of the policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#policy_id PolicyRuleProfileEnrollment#policy_id}

---

##### `unknownUserAction`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.unknownUserAction" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyunknownuseraction"></a>

```typescript
public readonly unknownUserAction: string;
```

- *Type:* `string`

Which action should be taken if this User is new.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#unknown_user_action PolicyRuleProfileEnrollment#unknown_user_action}

---

##### `access`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.access" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

Allow or deny access based on the rule conditions: ALLOW or DENY.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#access PolicyRuleProfileEnrollment#access}

---

##### `emailVerification`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.emailVerification" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyemailverification"></a>

```typescript
public readonly emailVerification: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Indicates whether email verification should occur before access is granted.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#email_verification PolicyRuleProfileEnrollment#email_verification}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.id" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#id PolicyRuleProfileEnrollment#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `inlineHookId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.inlineHookId" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

ID of a Registration Inline Hook.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#inline_hook_id PolicyRuleProfileEnrollment#inline_hook_id}

---

##### `profileAttributes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.profileAttributes" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertyprofileattributes"></a>

```typescript
public readonly profileAttributes: IResolvable | PolicyRuleProfileEnrollmentProfileAttributes[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)[]

profile_attributes block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#profile_attributes PolicyRuleProfileEnrollment#profile_attributes}

---

##### `targetGroupId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentConfig.property.targetGroupId" id="cdktfprovideroktapolicyruleprofileenrollmentconfigpropertytargetgroupid"></a>

```typescript
public readonly targetGroupId: string;
```

- *Type:* `string`

The ID of a Group that this User should be added to.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#target_group_id PolicyRuleProfileEnrollment#target_group_id}

---

### PolicyRuleProfileEnrollmentProfileAttributes <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributes"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleProfileEnrollmentProfileAttributes } from '@cdktf/provider-okta'

const policyRuleProfileEnrollmentProfileAttributes: PolicyRuleProfileEnrollmentProfileAttributes = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`label`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributespropertylabel)<span title="Required">*</span> | `string` | A display-friendly label for this property. |
| [`name`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributespropertyname)<span title="Required">*</span> | `string` | The name of a User Profile property. |
| [`required`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributespropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Indicates if this property is required for enrollment. |

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes.property.label" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributespropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

A display-friendly label for this property.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#label PolicyRuleProfileEnrollment#label}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes.property.name" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributespropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

The name of a User Profile property.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#name PolicyRuleProfileEnrollment#name}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes.property.required" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributespropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Indicates if this property is required for enrollment.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_profile_enrollment#required PolicyRuleProfileEnrollment#required}

---

### PolicyRuleSignonConfig <a name="@cdktf/provider-okta.PolicyRuleSignonConfig" id="cdktfprovideroktapolicyrulesignonconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleSignonConfig } from '@cdktf/provider-okta'

const policyRuleSignonConfig: PolicyRuleSignonConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicyrulesignonconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicyrulesignonconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicyrulesignonconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicyrulesignonconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicyrulesignonconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicyrulesignonconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicyrulesignonconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulesignonconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`access`](#cdktfprovideroktapolicyrulesignonconfigpropertyaccess) | `string` | Allow or deny access based on the rule conditions: ALLOW, DENY or CHALLENGE. |
| [`authtype`](#cdktfprovideroktapolicyrulesignonconfigpropertyauthtype) | `string` | Authentication entrypoint: ANY, RADIUS or LDAP_INTERFACE. |
| [`behaviors`](#cdktfprovideroktapolicyrulesignonconfigpropertybehaviors) | `string`[] | List of behavior IDs. |
| [`factorSequence`](#cdktfprovideroktapolicyrulesignonconfigpropertyfactorsequence) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)[] | factor_sequence block. |
| [`id`](#cdktfprovideroktapolicyrulesignonconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#id PolicyRuleSignon#id}. |
| [`identityProvider`](#cdktfprovideroktapolicyrulesignonconfigpropertyidentityprovider) | `string` | Apply rule based on the IdP used: ANY, OKTA or SPECIFIC_IDP. |
| [`identityProviderIds`](#cdktfprovideroktapolicyrulesignonconfigpropertyidentityproviderids) | `string`[] | When identity_provider is SPECIFIC_IDP then this is the list of IdP IDs to apply the rule on. |
| [`mfaLifetime`](#cdktfprovideroktapolicyrulesignonconfigpropertymfalifetime) | `number` | Elapsed time before the next MFA challenge. |
| [`mfaPrompt`](#cdktfprovideroktapolicyrulesignonconfigpropertymfaprompt) | `string` | Prompt for MFA based on the device used, a factor session lifetime, or every sign-on attempt: DEVICE, SESSION or ALWAYS. |
| [`mfaRememberDevice`](#cdktfprovideroktapolicyrulesignonconfigpropertymfarememberdevice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Remember MFA device. |
| [`mfaRequired`](#cdktfprovideroktapolicyrulesignonconfigpropertymfarequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Require MFA. |
| [`networkConnection`](#cdktfprovideroktapolicyrulesignonconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktapolicyrulesignonconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktapolicyrulesignonconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`policyid`](#cdktfprovideroktapolicyrulesignonconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`policyId`](#cdktfprovideroktapolicyrulesignonconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`primaryFactor`](#cdktfprovideroktapolicyrulesignonconfigpropertyprimaryfactor) | `string` | Primary factor. |
| [`priority`](#cdktfprovideroktapolicyrulesignonconfigpropertypriority) | `number` | Policy Rule Priority, this attribute can be set to a valid priority. |
| [`riscLevel`](#cdktfprovideroktapolicyrulesignonconfigpropertyrisclevel) | `string` | Risc level: ANY, LOW, MEDIUM or HIGH. |
| [`sessionIdle`](#cdktfprovideroktapolicyrulesignonconfigpropertysessionidle) | `number` | Max minutes a session can be idle. |
| [`sessionLifetime`](#cdktfprovideroktapolicyrulesignonconfigpropertysessionlifetime) | `number` | Max minutes a session is active: Disable = 0. |
| [`sessionPersistent`](#cdktfprovideroktapolicyrulesignonconfigpropertysessionpersistent) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether session cookies will last across browser sessions. Okta Administrators can never have persistent session cookies. |
| [`status`](#cdktfprovideroktapolicyrulesignonconfigpropertystatus) | `string` | Policy Rule Status: ACTIVE or INACTIVE. |
| [`usersExcluded`](#cdktfprovideroktapolicyrulesignonconfigpropertyusersexcluded) | `string`[] | Set of User IDs to Exclude. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.connection" id="cdktfprovideroktapolicyrulesignonconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.count" id="cdktfprovideroktapolicyrulesignonconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.dependsOn" id="cdktfprovideroktapolicyrulesignonconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.forEach" id="cdktfprovideroktapolicyrulesignonconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.lifecycle" id="cdktfprovideroktapolicyrulesignonconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.provider" id="cdktfprovideroktapolicyrulesignonconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.provisioners" id="cdktfprovideroktapolicyrulesignonconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.name" id="cdktfprovideroktapolicyrulesignonconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#name PolicyRuleSignon#name}

---

##### `access`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.access" id="cdktfprovideroktapolicyrulesignonconfigpropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

Allow or deny access based on the rule conditions: ALLOW, DENY or CHALLENGE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#access PolicyRuleSignon#access}

---

##### `authtype`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.authtype" id="cdktfprovideroktapolicyrulesignonconfigpropertyauthtype"></a>

```typescript
public readonly authtype: string;
```

- *Type:* `string`

Authentication entrypoint: ANY, RADIUS or LDAP_INTERFACE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#authtype PolicyRuleSignon#authtype}

---

##### `behaviors`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.behaviors" id="cdktfprovideroktapolicyrulesignonconfigpropertybehaviors"></a>

```typescript
public readonly behaviors: string[];
```

- *Type:* `string`[]

List of behavior IDs.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#behaviors PolicyRuleSignon#behaviors}

---

##### `factorSequence`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.factorSequence" id="cdktfprovideroktapolicyrulesignonconfigpropertyfactorsequence"></a>

```typescript
public readonly factorSequence: IResolvable | PolicyRuleSignonFactorSequence[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)[]

factor_sequence block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#factor_sequence PolicyRuleSignon#factor_sequence}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.id" id="cdktfprovideroktapolicyrulesignonconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#id PolicyRuleSignon#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `identityProvider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.identityProvider" id="cdktfprovideroktapolicyrulesignonconfigpropertyidentityprovider"></a>

```typescript
public readonly identityProvider: string;
```

- *Type:* `string`

Apply rule based on the IdP used: ANY, OKTA or SPECIFIC_IDP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#identity_provider PolicyRuleSignon#identity_provider}

---

##### `identityProviderIds`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.identityProviderIds" id="cdktfprovideroktapolicyrulesignonconfigpropertyidentityproviderids"></a>

```typescript
public readonly identityProviderIds: string[];
```

- *Type:* `string`[]

When identity_provider is SPECIFIC_IDP then this is the list of IdP IDs to apply the rule on.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#identity_provider_ids PolicyRuleSignon#identity_provider_ids}

---

##### `mfaLifetime`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.mfaLifetime" id="cdktfprovideroktapolicyrulesignonconfigpropertymfalifetime"></a>

```typescript
public readonly mfaLifetime: number;
```

- *Type:* `number`

Elapsed time before the next MFA challenge.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#mfa_lifetime PolicyRuleSignon#mfa_lifetime}

---

##### `mfaPrompt`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.mfaPrompt" id="cdktfprovideroktapolicyrulesignonconfigpropertymfaprompt"></a>

```typescript
public readonly mfaPrompt: string;
```

- *Type:* `string`

Prompt for MFA based on the device used, a factor session lifetime, or every sign-on attempt: DEVICE, SESSION or ALWAYS.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#mfa_prompt PolicyRuleSignon#mfa_prompt}

---

##### `mfaRememberDevice`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.mfaRememberDevice" id="cdktfprovideroktapolicyrulesignonconfigpropertymfarememberdevice"></a>

```typescript
public readonly mfaRememberDevice: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Remember MFA device.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#mfa_remember_device PolicyRuleSignon#mfa_remember_device}

---

##### `mfaRequired`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.mfaRequired" id="cdktfprovideroktapolicyrulesignonconfigpropertymfarequired"></a>

```typescript
public readonly mfaRequired: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Require MFA.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#mfa_required PolicyRuleSignon#mfa_required}

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.networkConnection" id="cdktfprovideroktapolicyrulesignonconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#network_connection PolicyRuleSignon#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.networkExcludes" id="cdktfprovideroktapolicyrulesignonconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#network_excludes PolicyRuleSignon#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.networkIncludes" id="cdktfprovideroktapolicyrulesignonconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#network_includes PolicyRuleSignon#network_includes}

---

##### `policyid`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.policyid" id="cdktfprovideroktapolicyrulesignonconfigpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#policyid PolicyRuleSignon#policyid}

---

##### `policyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.policyId" id="cdktfprovideroktapolicyrulesignonconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#policy_id PolicyRuleSignon#policy_id}

---

##### `primaryFactor`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.primaryFactor" id="cdktfprovideroktapolicyrulesignonconfigpropertyprimaryfactor"></a>

```typescript
public readonly primaryFactor: string;
```

- *Type:* `string`

Primary factor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#primary_factor PolicyRuleSignon#primary_factor}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.priority" id="cdktfprovideroktapolicyrulesignonconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Rule Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#priority PolicyRuleSignon#priority}

---

##### `riscLevel`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.riscLevel" id="cdktfprovideroktapolicyrulesignonconfigpropertyrisclevel"></a>

```typescript
public readonly riscLevel: string;
```

- *Type:* `string`

Risc level: ANY, LOW, MEDIUM or HIGH.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#risc_level PolicyRuleSignon#risc_level}

---

##### `sessionIdle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.sessionIdle" id="cdktfprovideroktapolicyrulesignonconfigpropertysessionidle"></a>

```typescript
public readonly sessionIdle: number;
```

- *Type:* `number`

Max minutes a session can be idle.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#session_idle PolicyRuleSignon#session_idle}

---

##### `sessionLifetime`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.sessionLifetime" id="cdktfprovideroktapolicyrulesignonconfigpropertysessionlifetime"></a>

```typescript
public readonly sessionLifetime: number;
```

- *Type:* `number`

Max minutes a session is active: Disable = 0.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#session_lifetime PolicyRuleSignon#session_lifetime}

---

##### `sessionPersistent`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.sessionPersistent" id="cdktfprovideroktapolicyrulesignonconfigpropertysessionpersistent"></a>

```typescript
public readonly sessionPersistent: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether session cookies will last across browser sessions. Okta Administrators can never have persistent session cookies.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#session_persistent PolicyRuleSignon#session_persistent}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.status" id="cdktfprovideroktapolicyrulesignonconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Rule Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#status PolicyRuleSignon#status}

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonConfig.property.usersExcluded" id="cdktfprovideroktapolicyrulesignonconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

Set of User IDs to Exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#users_excluded PolicyRuleSignon#users_excluded}

---

### PolicyRuleSignonFactorSequence <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequence" id="cdktfprovideroktapolicyrulesignonfactorsequence"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleSignonFactorSequence } from '@cdktf/provider-okta'

const policyRuleSignonFactorSequence: PolicyRuleSignonFactorSequence = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`primaryCriteriaFactorType`](#cdktfprovideroktapolicyrulesignonfactorsequencepropertyprimarycriteriafactortype)<span title="Required">*</span> | `string` | Type of a Factor. |
| [`primaryCriteriaProvider`](#cdktfprovideroktapolicyrulesignonfactorsequencepropertyprimarycriteriaprovider)<span title="Required">*</span> | `string` | Factor provider. |
| [`secondaryCriteria`](#cdktfprovideroktapolicyrulesignonfactorsequencepropertysecondarycriteria) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)[] | secondary_criteria block. |

---

##### `primaryCriteriaFactorType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequence.property.primaryCriteriaFactorType" id="cdktfprovideroktapolicyrulesignonfactorsequencepropertyprimarycriteriafactortype"></a>

```typescript
public readonly primaryCriteriaFactorType: string;
```

- *Type:* `string`

Type of a Factor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#primary_criteria_factor_type PolicyRuleSignon#primary_criteria_factor_type}

---

##### `primaryCriteriaProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequence.property.primaryCriteriaProvider" id="cdktfprovideroktapolicyrulesignonfactorsequencepropertyprimarycriteriaprovider"></a>

```typescript
public readonly primaryCriteriaProvider: string;
```

- *Type:* `string`

Factor provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#primary_criteria_provider PolicyRuleSignon#primary_criteria_provider}

---

##### `secondaryCriteria`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequence.property.secondaryCriteria" id="cdktfprovideroktapolicyrulesignonfactorsequencepropertysecondarycriteria"></a>

```typescript
public readonly secondaryCriteria: IResolvable | PolicyRuleSignonFactorSequenceSecondaryCriteria[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)[]

secondary_criteria block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#secondary_criteria PolicyRuleSignon#secondary_criteria}

---

### PolicyRuleSignonFactorSequenceSecondaryCriteria <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteria"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicyRuleSignonFactorSequenceSecondaryCriteria } from '@cdktf/provider-okta'

const policyRuleSignonFactorSequenceSecondaryCriteria: PolicyRuleSignonFactorSequenceSecondaryCriteria = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`factorType`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriapropertyfactortype)<span title="Required">*</span> | `string` | Type of a Factor. |
| [`provider`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriapropertyprovider)<span title="Required">*</span> | `string` | Factor provider. |

---

##### `factorType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria.property.factorType" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriapropertyfactortype"></a>

```typescript
public readonly factorType: string;
```

- *Type:* `string`

Type of a Factor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#factor_type PolicyRuleSignon#factor_type}

---

##### `provider`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria.property.provider" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriapropertyprovider"></a>

```typescript
public readonly provider: string;
```

- *Type:* `string`

Factor provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_rule_signon#provider PolicyRuleSignon#provider}

---

### PolicySignonConfig <a name="@cdktf/provider-okta.PolicySignonConfig" id="cdktfprovideroktapolicysignonconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PolicySignonConfig } from '@cdktf/provider-okta'

const policySignonConfig: PolicySignonConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktapolicysignonconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktapolicysignonconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktapolicysignonconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktapolicysignonconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktapolicysignonconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktapolicysignonconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktapolicysignonconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktapolicysignonconfigpropertyname)<span title="Required">*</span> | `string` | Policy Name. |
| [`description`](#cdktfprovideroktapolicysignonconfigpropertydescription) | `string` | Policy Description. |
| [`groupsIncluded`](#cdktfprovideroktapolicysignonconfigpropertygroupsincluded) | `string`[] | List of Group IDs to Include. |
| [`id`](#cdktfprovideroktapolicysignonconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_signon#id PolicySignon#id}. |
| [`priority`](#cdktfprovideroktapolicysignonconfigpropertypriority) | `number` | Policy Priority, this attribute can be set to a valid priority. |
| [`status`](#cdktfprovideroktapolicysignonconfigpropertystatus) | `string` | Policy Status: ACTIVE or INACTIVE. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.connection" id="cdktfprovideroktapolicysignonconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.count" id="cdktfprovideroktapolicysignonconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.dependsOn" id="cdktfprovideroktapolicysignonconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.forEach" id="cdktfprovideroktapolicysignonconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.lifecycle" id="cdktfprovideroktapolicysignonconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.provider" id="cdktfprovideroktapolicysignonconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.provisioners" id="cdktfprovideroktapolicysignonconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.name" id="cdktfprovideroktapolicysignonconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_signon#name PolicySignon#name}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.description" id="cdktfprovideroktapolicysignonconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Policy Description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_signon#description PolicySignon#description}

---

##### `groupsIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.groupsIncluded" id="cdktfprovideroktapolicysignonconfigpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

List of Group IDs to Include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_signon#groups_included PolicySignon#groups_included}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.id" id="cdktfprovideroktapolicysignonconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_signon#id PolicySignon#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.priority" id="cdktfprovideroktapolicysignonconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_signon#priority PolicySignon#priority}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicySignonConfig.property.status" id="cdktfprovideroktapolicysignonconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/policy_signon#status PolicySignon#status}

---

### ProfileMappingConfig <a name="@cdktf/provider-okta.ProfileMappingConfig" id="cdktfprovideroktaprofilemappingconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ProfileMappingConfig } from '@cdktf/provider-okta'

const profileMappingConfig: ProfileMappingConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaprofilemappingconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaprofilemappingconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaprofilemappingconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaprofilemappingconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaprofilemappingconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaprofilemappingconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaprofilemappingconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`sourceId`](#cdktfprovideroktaprofilemappingconfigpropertysourceid)<span title="Required">*</span> | `string` | The source id of the mapping to manage. |
| [`targetId`](#cdktfprovideroktaprofilemappingconfigpropertytargetid)<span title="Required">*</span> | `string` | The target id of the mapping to manage. |
| [`alwaysApply`](#cdktfprovideroktaprofilemappingconfigpropertyalwaysapply) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether apply the changes to all users with this profile after updating or creating the these mappings. |
| [`deleteWhenAbsent`](#cdktfprovideroktaprofilemappingconfigpropertydeletewhenabsent) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | When turned on this flag will trigger the provider to delete mapping properties that are not defined in config. |
| [`id`](#cdktfprovideroktaprofilemappingconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#id ProfileMapping#id}. |
| [`mappings`](#cdktfprovideroktaprofilemappingconfigpropertymappings) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)[] | mappings block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.connection" id="cdktfprovideroktaprofilemappingconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.count" id="cdktfprovideroktaprofilemappingconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.dependsOn" id="cdktfprovideroktaprofilemappingconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.forEach" id="cdktfprovideroktaprofilemappingconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.lifecycle" id="cdktfprovideroktaprofilemappingconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.provider" id="cdktfprovideroktaprofilemappingconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.provisioners" id="cdktfprovideroktaprofilemappingconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `sourceId`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.sourceId" id="cdktfprovideroktaprofilemappingconfigpropertysourceid"></a>

```typescript
public readonly sourceId: string;
```

- *Type:* `string`

The source id of the mapping to manage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#source_id ProfileMapping#source_id}

---

##### `targetId`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.targetId" id="cdktfprovideroktaprofilemappingconfigpropertytargetid"></a>

```typescript
public readonly targetId: string;
```

- *Type:* `string`

The target id of the mapping to manage.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#target_id ProfileMapping#target_id}

---

##### `alwaysApply`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.alwaysApply" id="cdktfprovideroktaprofilemappingconfigpropertyalwaysapply"></a>

```typescript
public readonly alwaysApply: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether apply the changes to all users with this profile after updating or creating the these mappings.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#always_apply ProfileMapping#always_apply}

---

##### `deleteWhenAbsent`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.deleteWhenAbsent" id="cdktfprovideroktaprofilemappingconfigpropertydeletewhenabsent"></a>

```typescript
public readonly deleteWhenAbsent: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

When turned on this flag will trigger the provider to delete mapping properties that are not defined in config.

By default, we do not delete missing properties.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#delete_when_absent ProfileMapping#delete_when_absent}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.id" id="cdktfprovideroktaprofilemappingconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#id ProfileMapping#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `mappings`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingConfig.property.mappings" id="cdktfprovideroktaprofilemappingconfigpropertymappings"></a>

```typescript
public readonly mappings: IResolvable | ProfileMappingMappings[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)[]

mappings block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#mappings ProfileMapping#mappings}

---

### ProfileMappingMappings <a name="@cdktf/provider-okta.ProfileMappingMappings" id="cdktfprovideroktaprofilemappingmappings"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ProfileMappingMappings } from '@cdktf/provider-okta'

const profileMappingMappings: ProfileMappingMappings = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`expression`](#cdktfprovideroktaprofilemappingmappingspropertyexpression)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#expression ProfileMapping#expression}. |
| [`id`](#cdktfprovideroktaprofilemappingmappingspropertyid)<span title="Required">*</span> | `string` | The mapping property key. |
| [`pushStatus`](#cdktfprovideroktaprofilemappingmappingspropertypushstatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#push_status ProfileMapping#push_status}. |

---

##### `expression`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappings.property.expression" id="cdktfprovideroktaprofilemappingmappingspropertyexpression"></a>

```typescript
public readonly expression: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#expression ProfileMapping#expression}.

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappings.property.id" id="cdktfprovideroktaprofilemappingmappingspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

The mapping property key.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#id ProfileMapping#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `pushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingMappings.property.pushStatus" id="cdktfprovideroktaprofilemappingmappingspropertypushstatus"></a>

```typescript
public readonly pushStatus: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/profile_mapping#push_status ProfileMapping#push_status}.

---

### RateLimitingConfig <a name="@cdktf/provider-okta.RateLimitingConfig" id="cdktfprovideroktaratelimitingconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { RateLimitingConfig } from '@cdktf/provider-okta'

const rateLimitingConfig: RateLimitingConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaratelimitingconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaratelimitingconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaratelimitingconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaratelimitingconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaratelimitingconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaratelimitingconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaratelimitingconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`authorize`](#cdktfprovideroktaratelimitingconfigpropertyauthorize)<span title="Required">*</span> | `string` | Called during authentication. |
| [`login`](#cdktfprovideroktaratelimitingconfigpropertylogin)<span title="Required">*</span> | `string` | Called when accessing the Okta hosted login page. |
| [`communicationsEnabled`](#cdktfprovideroktaratelimitingconfigpropertycommunicationsenabled) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enables rate limit warning, violation, notification emails and banners when this org meets rate limits. |
| [`id`](#cdktfprovideroktaratelimitingconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/rate_limiting#id RateLimiting#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.connection" id="cdktfprovideroktaratelimitingconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.count" id="cdktfprovideroktaratelimitingconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.dependsOn" id="cdktfprovideroktaratelimitingconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.forEach" id="cdktfprovideroktaratelimitingconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.lifecycle" id="cdktfprovideroktaratelimitingconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.provider" id="cdktfprovideroktaratelimitingconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.provisioners" id="cdktfprovideroktaratelimitingconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `authorize`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.authorize" id="cdktfprovideroktaratelimitingconfigpropertyauthorize"></a>

```typescript
public readonly authorize: string;
```

- *Type:* `string`

Called during authentication.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/rate_limiting#authorize RateLimiting#authorize}

---

##### `login`<sup>Required</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.login" id="cdktfprovideroktaratelimitingconfigpropertylogin"></a>

```typescript
public readonly login: string;
```

- *Type:* `string`

Called when accessing the Okta hosted login page.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/rate_limiting#login RateLimiting#login}

---

##### `communicationsEnabled`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.communicationsEnabled" id="cdktfprovideroktaratelimitingconfigpropertycommunicationsenabled"></a>

```typescript
public readonly communicationsEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enables rate limit warning, violation, notification emails and banners when this org meets rate limits.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/rate_limiting#communications_enabled RateLimiting#communications_enabled}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.RateLimitingConfig.property.id" id="cdktfprovideroktaratelimitingconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/rate_limiting#id RateLimiting#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### ResourceSetConfig <a name="@cdktf/provider-okta.ResourceSetConfig" id="cdktfprovideroktaresourcesetconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ResourceSetConfig } from '@cdktf/provider-okta'

const resourceSetConfig: ResourceSetConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaresourcesetconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaresourcesetconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaresourcesetconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaresourcesetconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaresourcesetconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaresourcesetconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaresourcesetconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`description`](#cdktfprovideroktaresourcesetconfigpropertydescription)<span title="Required">*</span> | `string` | A description of the Resource Set. |
| [`label`](#cdktfprovideroktaresourcesetconfigpropertylabel)<span title="Required">*</span> | `string` | Unique name given to the Resource Set. |
| [`id`](#cdktfprovideroktaresourcesetconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/resource_set#id ResourceSet#id}. |
| [`resources`](#cdktfprovideroktaresourcesetconfigpropertyresources) | `string`[] | The endpoints that reference the resources to be included in the new Resource Set. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.connection" id="cdktfprovideroktaresourcesetconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.count" id="cdktfprovideroktaresourcesetconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.dependsOn" id="cdktfprovideroktaresourcesetconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.forEach" id="cdktfprovideroktaresourcesetconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.lifecycle" id="cdktfprovideroktaresourcesetconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.provider" id="cdktfprovideroktaresourcesetconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.provisioners" id="cdktfprovideroktaresourcesetconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.description" id="cdktfprovideroktaresourcesetconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

A description of the Resource Set.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/resource_set#description ResourceSet#description}

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.label" id="cdktfprovideroktaresourcesetconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Unique name given to the Resource Set.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/resource_set#label ResourceSet#label}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.id" id="cdktfprovideroktaresourcesetconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/resource_set#id ResourceSet#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `resources`<sup>Optional</sup> <a name="@cdktf/provider-okta.ResourceSetConfig.property.resources" id="cdktfprovideroktaresourcesetconfigpropertyresources"></a>

```typescript
public readonly resources: string[];
```

- *Type:* `string`[]

The endpoints that reference the resources to be included in the new Resource Set.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/resource_set#resources ResourceSet#resources}

---

### RoleSubscriptionConfig <a name="@cdktf/provider-okta.RoleSubscriptionConfig" id="cdktfprovideroktarolesubscriptionconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { RoleSubscriptionConfig } from '@cdktf/provider-okta'

const roleSubscriptionConfig: RoleSubscriptionConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktarolesubscriptionconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktarolesubscriptionconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktarolesubscriptionconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktarolesubscriptionconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktarolesubscriptionconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktarolesubscriptionconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktarolesubscriptionconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`notificationType`](#cdktfprovideroktarolesubscriptionconfigpropertynotificationtype)<span title="Required">*</span> | `string` | Type of the notification. |
| [`roleType`](#cdktfprovideroktarolesubscriptionconfigpropertyroletype)<span title="Required">*</span> | `string` | Type of the role. |
| [`id`](#cdktfprovideroktarolesubscriptionconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/role_subscription#id RoleSubscription#id}. |
| [`status`](#cdktfprovideroktarolesubscriptionconfigpropertystatus) | `string` | Status of subscription. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.connection" id="cdktfprovideroktarolesubscriptionconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.count" id="cdktfprovideroktarolesubscriptionconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.dependsOn" id="cdktfprovideroktarolesubscriptionconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.forEach" id="cdktfprovideroktarolesubscriptionconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.lifecycle" id="cdktfprovideroktarolesubscriptionconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.provider" id="cdktfprovideroktarolesubscriptionconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.provisioners" id="cdktfprovideroktarolesubscriptionconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `notificationType`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.notificationType" id="cdktfprovideroktarolesubscriptionconfigpropertynotificationtype"></a>

```typescript
public readonly notificationType: string;
```

- *Type:* `string`

Type of the notification.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/role_subscription#notification_type RoleSubscription#notification_type}

---

##### `roleType`<sup>Required</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.roleType" id="cdktfprovideroktarolesubscriptionconfigpropertyroletype"></a>

```typescript
public readonly roleType: string;
```

- *Type:* `string`

Type of the role.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/role_subscription#role_type RoleSubscription#role_type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.id" id="cdktfprovideroktarolesubscriptionconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/role_subscription#id RoleSubscription#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.RoleSubscriptionConfig.property.status" id="cdktfprovideroktarolesubscriptionconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of subscription.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/role_subscription#status RoleSubscription#status}

---

### SamlAppAttributeStatements <a name="@cdktf/provider-okta.SamlAppAttributeStatements" id="cdktfprovideroktasamlappattributestatements"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SamlAppAttributeStatements } from '@cdktf/provider-okta'

const samlAppAttributeStatements: SamlAppAttributeStatements = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`name`](#cdktfprovideroktasamlappattributestatementspropertyname)<span title="Required">*</span> | `string` | The reference name of the attribute statement. |
| [`filterType`](#cdktfprovideroktasamlappattributestatementspropertyfiltertype) | `string` | Type of group attribute filter. |
| [`filterValue`](#cdktfprovideroktasamlappattributestatementspropertyfiltervalue) | `string` | Filter value to use. |
| [`namespace`](#cdktfprovideroktasamlappattributestatementspropertynamespace) | `string` | The name format of the attribute. |
| [`type`](#cdktfprovideroktasamlappattributestatementspropertytype) | `string` | The type of attribute statements object. |
| [`values`](#cdktfprovideroktasamlappattributestatementspropertyvalues) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#values SamlApp#values}. |

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatements.property.name" id="cdktfprovideroktasamlappattributestatementspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

The reference name of the attribute statement.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#name SamlApp#name}

---

##### `filterType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatements.property.filterType" id="cdktfprovideroktasamlappattributestatementspropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

Type of group attribute filter.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#filter_type SamlApp#filter_type}

---

##### `filterValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatements.property.filterValue" id="cdktfprovideroktasamlappattributestatementspropertyfiltervalue"></a>

```typescript
public readonly filterValue: string;
```

- *Type:* `string`

Filter value to use.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#filter_value SamlApp#filter_value}

---

##### `namespace`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatements.property.namespace" id="cdktfprovideroktasamlappattributestatementspropertynamespace"></a>

```typescript
public readonly namespace: string;
```

- *Type:* `string`

The name format of the attribute.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#namespace SamlApp#namespace}

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatements.property.type" id="cdktfprovideroktasamlappattributestatementspropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

The type of attribute statements object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#type SamlApp#type}

---

##### `values`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatements.property.values" id="cdktfprovideroktasamlappattributestatementspropertyvalues"></a>

```typescript
public readonly values: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#values SamlApp#values}.

---

### SamlAppConfig <a name="@cdktf/provider-okta.SamlAppConfig" id="cdktfprovideroktasamlappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SamlAppConfig } from '@cdktf/provider-okta'

const samlAppConfig: SamlAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasamlappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasamlappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasamlappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasamlappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasamlappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasamlappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasamlappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktasamlappconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktasamlappconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktasamlappconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktasamlappconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`acsEndpoints`](#cdktfprovideroktasamlappconfigpropertyacsendpoints) | `string`[] | List of ACS endpoints for this SAML application. |
| [`adminNote`](#cdktfprovideroktasamlappconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktasamlappconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`appSettingsJson`](#cdktfprovideroktasamlappconfigpropertyappsettingsjson) | `string` | Application settings in JSON format. |
| [`assertionSigned`](#cdktfprovideroktasamlappconfigpropertyassertionsigned) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Determines whether the SAML assertion is digitally signed. |
| [`attributeStatements`](#cdktfprovideroktasamlappconfigpropertyattributestatements) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)[] | attribute_statements block. |
| [`audience`](#cdktfprovideroktasamlappconfigpropertyaudience) | `string` | Audience Restriction. |
| [`authenticationPolicy`](#cdktfprovideroktasamlappconfigpropertyauthenticationpolicy) | `string` | Id of this apps authentication policy. |
| [`authnContextClassRef`](#cdktfprovideroktasamlappconfigpropertyauthncontextclassref) | `string` | Identifies the SAML authentication context class for the assertion’s authentication statement. |
| [`autoSubmitToolbar`](#cdktfprovideroktasamlappconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`defaultRelayState`](#cdktfprovideroktasamlappconfigpropertydefaultrelaystate) | `string` | Identifies a specific application resource in an IDP initiated SSO scenario. |
| [`destination`](#cdktfprovideroktasamlappconfigpropertydestination) | `string` | Identifies the location where the SAML response is intended to be sent inside of the SAML assertion. |
| [`digestAlgorithm`](#cdktfprovideroktasamlappconfigpropertydigestalgorithm) | `string` | Determines the digest algorithm used to digitally sign the SAML assertion and response. |
| [`enduserNote`](#cdktfprovideroktasamlappconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`features`](#cdktfprovideroktasamlappconfigpropertyfeatures) | `string`[] | features to enable. |
| [`groups`](#cdktfprovideroktasamlappconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktasamlappconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktasamlappconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`honorForceAuthn`](#cdktfprovideroktasamlappconfigpropertyhonorforceauthn) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Prompt user to re-authenticate if SP asks for it. |
| [`id`](#cdktfprovideroktasamlappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#id SamlApp#id}. |
| [`idpIssuer`](#cdktfprovideroktasamlappconfigpropertyidpissuer) | `string` | SAML issuer ID. |
| [`implicitAssignment`](#cdktfprovideroktasamlappconfigpropertyimplicitassignment) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *Early Access Property*. Enable Federation Broker Mode. |
| [`inlineHookId`](#cdktfprovideroktasamlappconfigpropertyinlinehookid) | `string` | Saml Inline Hook setting. |
| [`keyName`](#cdktfprovideroktasamlappconfigpropertykeyname) | `string` | Certificate name. This modulates the rotation of keys. New name == new key. |
| [`keyYearsValid`](#cdktfprovideroktasamlappconfigpropertykeyyearsvalid) | `number` | Number of years the certificate is valid. |
| [`logo`](#cdktfprovideroktasamlappconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`preconfiguredApp`](#cdktfprovideroktasamlappconfigpropertypreconfiguredapp) | `string` | Name of preexisting SAML application. For instance 'slack'. |
| [`recipient`](#cdktfprovideroktasamlappconfigpropertyrecipient) | `string` | The location where the app may present the SAML assertion. |
| [`requestCompressed`](#cdktfprovideroktasamlappconfigpropertyrequestcompressed) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Denotes whether the request is compressed or not. |
| [`responseSigned`](#cdktfprovideroktasamlappconfigpropertyresponsesigned) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Determines whether the SAML auth response message is digitally signed. |
| [`samlVersion`](#cdktfprovideroktasamlappconfigpropertysamlversion) | `string` | SAML version for the app's sign-on mode. |
| [`signatureAlgorithm`](#cdktfprovideroktasamlappconfigpropertysignaturealgorithm) | `string` | Signature algorithm used ot digitally sign the assertion and response. |
| [`singleLogoutCertificate`](#cdktfprovideroktasamlappconfigpropertysinglelogoutcertificate) | `string` | x509 encoded certificate that the Service Provider uses to sign Single Logout requests. |
| [`singleLogoutIssuer`](#cdktfprovideroktasamlappconfigpropertysinglelogoutissuer) | `string` | The issuer of the Service Provider that generates the Single Logout request. |
| [`singleLogoutUrl`](#cdktfprovideroktasamlappconfigpropertysinglelogouturl) | `string` | The location where the logout response is sent. |
| [`skipGroups`](#cdktfprovideroktasamlappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktasamlappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`spIssuer`](#cdktfprovideroktasamlappconfigpropertyspissuer) | `string` | SAML SP issuer ID. |
| [`ssoUrl`](#cdktfprovideroktasamlappconfigpropertyssourl) | `string` | Single Sign On URL. |
| [`status`](#cdktfprovideroktasamlappconfigpropertystatus) | `string` | Status of application. |
| [`subjectNameIdFormat`](#cdktfprovideroktasamlappconfigpropertysubjectnameidformat) | `string` | Identifies the SAML processing rules. |
| [`subjectNameIdTemplate`](#cdktfprovideroktasamlappconfigpropertysubjectnameidtemplate) | `string` | Template for app user's username when a user is assigned to the app. |
| [`userNameTemplate`](#cdktfprovideroktasamlappconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktasamlappconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktasamlappconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktasamlappconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktasamlappconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.connection" id="cdktfprovideroktasamlappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.count" id="cdktfprovideroktasamlappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.dependsOn" id="cdktfprovideroktasamlappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.forEach" id="cdktfprovideroktasamlappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.lifecycle" id="cdktfprovideroktasamlappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.provider" id="cdktfprovideroktasamlappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.provisioners" id="cdktfprovideroktasamlappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.label" id="cdktfprovideroktasamlappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#label SamlApp#label}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktasamlappconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#accessibility_error_redirect_url SamlApp#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktasamlappconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#accessibility_login_redirect_url SamlApp#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.accessibilitySelfService" id="cdktfprovideroktasamlappconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#accessibility_self_service SamlApp#accessibility_self_service}

---

##### `acsEndpoints`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.acsEndpoints" id="cdktfprovideroktasamlappconfigpropertyacsendpoints"></a>

```typescript
public readonly acsEndpoints: string[];
```

- *Type:* `string`[]

List of ACS endpoints for this SAML application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#acs_endpoints SamlApp#acs_endpoints}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.adminNote" id="cdktfprovideroktasamlappconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#admin_note SamlApp#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.appLinksJson" id="cdktfprovideroktasamlappconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#app_links_json SamlApp#app_links_json}

---

##### `appSettingsJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.appSettingsJson" id="cdktfprovideroktasamlappconfigpropertyappsettingsjson"></a>

```typescript
public readonly appSettingsJson: string;
```

- *Type:* `string`

Application settings in JSON format.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#app_settings_json SamlApp#app_settings_json}

---

##### `assertionSigned`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.assertionSigned" id="cdktfprovideroktasamlappconfigpropertyassertionsigned"></a>

```typescript
public readonly assertionSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Determines whether the SAML assertion is digitally signed.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#assertion_signed SamlApp#assertion_signed}

---

##### `attributeStatements`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.attributeStatements" id="cdktfprovideroktasamlappconfigpropertyattributestatements"></a>

```typescript
public readonly attributeStatements: IResolvable | SamlAppAttributeStatements[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)[]

attribute_statements block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#attribute_statements SamlApp#attribute_statements}

---

##### `audience`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.audience" id="cdktfprovideroktasamlappconfigpropertyaudience"></a>

```typescript
public readonly audience: string;
```

- *Type:* `string`

Audience Restriction.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#audience SamlApp#audience}

---

##### `authenticationPolicy`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.authenticationPolicy" id="cdktfprovideroktasamlappconfigpropertyauthenticationpolicy"></a>

```typescript
public readonly authenticationPolicy: string;
```

- *Type:* `string`

Id of this apps authentication policy.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#authentication_policy SamlApp#authentication_policy}

---

##### `authnContextClassRef`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.authnContextClassRef" id="cdktfprovideroktasamlappconfigpropertyauthncontextclassref"></a>

```typescript
public readonly authnContextClassRef: string;
```

- *Type:* `string`

Identifies the SAML authentication context class for the assertion’s authentication statement.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#authn_context_class_ref SamlApp#authn_context_class_ref}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.autoSubmitToolbar" id="cdktfprovideroktasamlappconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#auto_submit_toolbar SamlApp#auto_submit_toolbar}

---

##### `defaultRelayState`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.defaultRelayState" id="cdktfprovideroktasamlappconfigpropertydefaultrelaystate"></a>

```typescript
public readonly defaultRelayState: string;
```

- *Type:* `string`

Identifies a specific application resource in an IDP initiated SSO scenario.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#default_relay_state SamlApp#default_relay_state}

---

##### `destination`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.destination" id="cdktfprovideroktasamlappconfigpropertydestination"></a>

```typescript
public readonly destination: string;
```

- *Type:* `string`

Identifies the location where the SAML response is intended to be sent inside of the SAML assertion.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#destination SamlApp#destination}

---

##### `digestAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.digestAlgorithm" id="cdktfprovideroktasamlappconfigpropertydigestalgorithm"></a>

```typescript
public readonly digestAlgorithm: string;
```

- *Type:* `string`

Determines the digest algorithm used to digitally sign the SAML assertion and response.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#digest_algorithm SamlApp#digest_algorithm}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.enduserNote" id="cdktfprovideroktasamlappconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#enduser_note SamlApp#enduser_note}

---

##### `features`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.features" id="cdktfprovideroktasamlappconfigpropertyfeatures"></a>

```typescript
public readonly features: string[];
```

- *Type:* `string`[]

features to enable.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#features SamlApp#features}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.groups" id="cdktfprovideroktasamlappconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#groups SamlApp#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.hideIos" id="cdktfprovideroktasamlappconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#hide_ios SamlApp#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.hideWeb" id="cdktfprovideroktasamlappconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#hide_web SamlApp#hide_web}

---

##### `honorForceAuthn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.honorForceAuthn" id="cdktfprovideroktasamlappconfigpropertyhonorforceauthn"></a>

```typescript
public readonly honorForceAuthn: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Prompt user to re-authenticate if SP asks for it.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#honor_force_authn SamlApp#honor_force_authn}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.id" id="cdktfprovideroktasamlappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#id SamlApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `idpIssuer`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.idpIssuer" id="cdktfprovideroktasamlappconfigpropertyidpissuer"></a>

```typescript
public readonly idpIssuer: string;
```

- *Type:* `string`

SAML issuer ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#idp_issuer SamlApp#idp_issuer}

---

##### `implicitAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.implicitAssignment" id="cdktfprovideroktasamlappconfigpropertyimplicitassignment"></a>

```typescript
public readonly implicitAssignment: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

*Early Access Property*. Enable Federation Broker Mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#implicit_assignment SamlApp#implicit_assignment}

---

##### `inlineHookId`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.inlineHookId" id="cdktfprovideroktasamlappconfigpropertyinlinehookid"></a>

```typescript
public readonly inlineHookId: string;
```

- *Type:* `string`

Saml Inline Hook setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#inline_hook_id SamlApp#inline_hook_id}

---

##### `keyName`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.keyName" id="cdktfprovideroktasamlappconfigpropertykeyname"></a>

```typescript
public readonly keyName: string;
```

- *Type:* `string`

Certificate name. This modulates the rotation of keys. New name == new key.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#key_name SamlApp#key_name}

---

##### `keyYearsValid`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.keyYearsValid" id="cdktfprovideroktasamlappconfigpropertykeyyearsvalid"></a>

```typescript
public readonly keyYearsValid: number;
```

- *Type:* `number`

Number of years the certificate is valid.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#key_years_valid SamlApp#key_years_valid}

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.logo" id="cdktfprovideroktasamlappconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#logo SamlApp#logo}

---

##### `preconfiguredApp`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.preconfiguredApp" id="cdktfprovideroktasamlappconfigpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

Name of preexisting SAML application. For instance 'slack'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#preconfigured_app SamlApp#preconfigured_app}

---

##### `recipient`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.recipient" id="cdktfprovideroktasamlappconfigpropertyrecipient"></a>

```typescript
public readonly recipient: string;
```

- *Type:* `string`

The location where the app may present the SAML assertion.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#recipient SamlApp#recipient}

---

##### `requestCompressed`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.requestCompressed" id="cdktfprovideroktasamlappconfigpropertyrequestcompressed"></a>

```typescript
public readonly requestCompressed: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Denotes whether the request is compressed or not.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#request_compressed SamlApp#request_compressed}

---

##### `responseSigned`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.responseSigned" id="cdktfprovideroktasamlappconfigpropertyresponsesigned"></a>

```typescript
public readonly responseSigned: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Determines whether the SAML auth response message is digitally signed.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#response_signed SamlApp#response_signed}

---

##### `samlVersion`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.samlVersion" id="cdktfprovideroktasamlappconfigpropertysamlversion"></a>

```typescript
public readonly samlVersion: string;
```

- *Type:* `string`

SAML version for the app's sign-on mode.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#saml_version SamlApp#saml_version}

---

##### `signatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.signatureAlgorithm" id="cdktfprovideroktasamlappconfigpropertysignaturealgorithm"></a>

```typescript
public readonly signatureAlgorithm: string;
```

- *Type:* `string`

Signature algorithm used ot digitally sign the assertion and response.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#signature_algorithm SamlApp#signature_algorithm}

---

##### `singleLogoutCertificate`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.singleLogoutCertificate" id="cdktfprovideroktasamlappconfigpropertysinglelogoutcertificate"></a>

```typescript
public readonly singleLogoutCertificate: string;
```

- *Type:* `string`

x509 encoded certificate that the Service Provider uses to sign Single Logout requests.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#single_logout_certificate SamlApp#single_logout_certificate}

---

##### `singleLogoutIssuer`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.singleLogoutIssuer" id="cdktfprovideroktasamlappconfigpropertysinglelogoutissuer"></a>

```typescript
public readonly singleLogoutIssuer: string;
```

- *Type:* `string`

The issuer of the Service Provider that generates the Single Logout request.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#single_logout_issuer SamlApp#single_logout_issuer}

---

##### `singleLogoutUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.singleLogoutUrl" id="cdktfprovideroktasamlappconfigpropertysinglelogouturl"></a>

```typescript
public readonly singleLogoutUrl: string;
```

- *Type:* `string`

The location where the logout response is sent.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#single_logout_url SamlApp#single_logout_url}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.skipGroups" id="cdktfprovideroktasamlappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#skip_groups SamlApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.skipUsers" id="cdktfprovideroktasamlappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#skip_users SamlApp#skip_users}

---

##### `spIssuer`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.spIssuer" id="cdktfprovideroktasamlappconfigpropertyspissuer"></a>

```typescript
public readonly spIssuer: string;
```

- *Type:* `string`

SAML SP issuer ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#sp_issuer SamlApp#sp_issuer}

---

##### `ssoUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.ssoUrl" id="cdktfprovideroktasamlappconfigpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

Single Sign On URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#sso_url SamlApp#sso_url}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.status" id="cdktfprovideroktasamlappconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#status SamlApp#status}

---

##### `subjectNameIdFormat`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.subjectNameIdFormat" id="cdktfprovideroktasamlappconfigpropertysubjectnameidformat"></a>

```typescript
public readonly subjectNameIdFormat: string;
```

- *Type:* `string`

Identifies the SAML processing rules.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#subject_name_id_format SamlApp#subject_name_id_format}

---

##### `subjectNameIdTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.subjectNameIdTemplate" id="cdktfprovideroktasamlappconfigpropertysubjectnameidtemplate"></a>

```typescript
public readonly subjectNameIdTemplate: string;
```

- *Type:* `string`

Template for app user's username when a user is assigned to the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#subject_name_id_template SamlApp#subject_name_id_template}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.userNameTemplate" id="cdktfprovideroktasamlappconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#user_name_template SamlApp#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktasamlappconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#user_name_template_push_status SamlApp#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.userNameTemplateSuffix" id="cdktfprovideroktasamlappconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#user_name_template_suffix SamlApp#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.userNameTemplateType" id="cdktfprovideroktasamlappconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#user_name_template_type SamlApp#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppConfig.property.users" id="cdktfprovideroktasamlappconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | SamlAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#users SamlApp#users}

---

### SamlAppKeys <a name="@cdktf/provider-okta.SamlAppKeys" id="cdktfprovideroktasamlappkeys"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SamlAppKeys } from '@cdktf/provider-okta'

const samlAppKeys: SamlAppKeys = { ... }
```


### SamlAppUsers <a name="@cdktf/provider-okta.SamlAppUsers" id="cdktfprovideroktasamlappusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SamlAppUsers } from '@cdktf/provider-okta'

const samlAppUsers: SamlAppUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktasamlappuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktasamlappuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktasamlappuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsers.property.id" id="cdktfprovideroktasamlappuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#id SamlApp#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsers.property.password" id="cdktfprovideroktasamlappuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#password SamlApp#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsers.property.username" id="cdktfprovideroktasamlappuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_app#username SamlApp#username}

---

### SamlIdpConfig <a name="@cdktf/provider-okta.SamlIdpConfig" id="cdktfprovideroktasamlidpconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SamlIdpConfig } from '@cdktf/provider-okta'

const samlIdpConfig: SamlIdpConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasamlidpconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasamlidpconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasamlidpconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasamlidpconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasamlidpconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasamlidpconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasamlidpconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`issuer`](#cdktfprovideroktasamlidpconfigpropertyissuer)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#issuer SamlIdp#issuer}. |
| [`kid`](#cdktfprovideroktasamlidpconfigpropertykid)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#kid SamlIdp#kid}. |
| [`name`](#cdktfprovideroktasamlidpconfigpropertyname)<span title="Required">*</span> | `string` | Name of the IdP. |
| [`ssoUrl`](#cdktfprovideroktasamlidpconfigpropertyssourl)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#sso_url SamlIdp#sso_url}. |
| [`accountLinkAction`](#cdktfprovideroktasamlidpconfigpropertyaccountlinkaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#account_link_action SamlIdp#account_link_action}. |
| [`accountLinkGroupInclude`](#cdktfprovideroktasamlidpconfigpropertyaccountlinkgroupinclude) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#account_link_group_include SamlIdp#account_link_group_include}. |
| [`acsBinding`](#cdktfprovideroktasamlidpconfigpropertyacsbinding) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#acs_binding SamlIdp#acs_binding}. |
| [`acsType`](#cdktfprovideroktasamlidpconfigpropertyacstype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#acs_type SamlIdp#acs_type}. |
| [`deprovisionedAction`](#cdktfprovideroktasamlidpconfigpropertydeprovisionedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#deprovisioned_action SamlIdp#deprovisioned_action}. |
| [`groupsAction`](#cdktfprovideroktasamlidpconfigpropertygroupsaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_action SamlIdp#groups_action}. |
| [`groupsAssignment`](#cdktfprovideroktasamlidpconfigpropertygroupsassignment) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_assignment SamlIdp#groups_assignment}. |
| [`groupsAttribute`](#cdktfprovideroktasamlidpconfigpropertygroupsattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_attribute SamlIdp#groups_attribute}. |
| [`groupsFilter`](#cdktfprovideroktasamlidpconfigpropertygroupsfilter) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_filter SamlIdp#groups_filter}. |
| [`id`](#cdktfprovideroktasamlidpconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#id SamlIdp#id}. |
| [`issuerMode`](#cdktfprovideroktasamlidpconfigpropertyissuermode) | `string` | Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL. |
| [`maxClockSkew`](#cdktfprovideroktasamlidpconfigpropertymaxclockskew) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#max_clock_skew SamlIdp#max_clock_skew}. |
| [`nameFormat`](#cdktfprovideroktasamlidpconfigpropertynameformat) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#name_format SamlIdp#name_format}. |
| [`profileMaster`](#cdktfprovideroktasamlidpconfigpropertyprofilemaster) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#profile_master SamlIdp#profile_master}. |
| [`provisioningAction`](#cdktfprovideroktasamlidpconfigpropertyprovisioningaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#provisioning_action SamlIdp#provisioning_action}. |
| [`requestSignatureAlgorithm`](#cdktfprovideroktasamlidpconfigpropertyrequestsignaturealgorithm) | `string` | The XML digital Signature Algorithm used when signing an <AuthnRequest> message. |
| [`requestSignatureScope`](#cdktfprovideroktasamlidpconfigpropertyrequestsignaturescope) | `string` | Specifies whether to digitally sign <AuthnRequest> messages to the IdP. |
| [`responseSignatureAlgorithm`](#cdktfprovideroktasamlidpconfigpropertyresponsesignaturealgorithm) | `string` | The minimum XML digital Signature Algorithm allowed when verifying a <SAMLResponse> message or <Assertion> element. |
| [`responseSignatureScope`](#cdktfprovideroktasamlidpconfigpropertyresponsesignaturescope) | `string` | Specifies whether to verify a <SAMLResponse> message or <Assertion> element XML digital signature. |
| [`ssoBinding`](#cdktfprovideroktasamlidpconfigpropertyssobinding) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#sso_binding SamlIdp#sso_binding}. |
| [`ssoDestination`](#cdktfprovideroktasamlidpconfigpropertyssodestination) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#sso_destination SamlIdp#sso_destination}. |
| [`status`](#cdktfprovideroktasamlidpconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#status SamlIdp#status}. |
| [`subjectFilter`](#cdktfprovideroktasamlidpconfigpropertysubjectfilter) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_filter SamlIdp#subject_filter}. |
| [`subjectFormat`](#cdktfprovideroktasamlidpconfigpropertysubjectformat) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_format SamlIdp#subject_format}. |
| [`subjectMatchAttribute`](#cdktfprovideroktasamlidpconfigpropertysubjectmatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_match_attribute SamlIdp#subject_match_attribute}. |
| [`subjectMatchType`](#cdktfprovideroktasamlidpconfigpropertysubjectmatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_match_type SamlIdp#subject_match_type}. |
| [`suspendedAction`](#cdktfprovideroktasamlidpconfigpropertysuspendedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#suspended_action SamlIdp#suspended_action}. |
| [`usernameTemplate`](#cdktfprovideroktasamlidpconfigpropertyusernametemplate) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#username_template SamlIdp#username_template}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.connection" id="cdktfprovideroktasamlidpconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.count" id="cdktfprovideroktasamlidpconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.dependsOn" id="cdktfprovideroktasamlidpconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.forEach" id="cdktfprovideroktasamlidpconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.lifecycle" id="cdktfprovideroktasamlidpconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.provider" id="cdktfprovideroktasamlidpconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.provisioners" id="cdktfprovideroktasamlidpconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `issuer`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.issuer" id="cdktfprovideroktasamlidpconfigpropertyissuer"></a>

```typescript
public readonly issuer: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#issuer SamlIdp#issuer}.

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.kid" id="cdktfprovideroktasamlidpconfigpropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#kid SamlIdp#kid}.

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.name" id="cdktfprovideroktasamlidpconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#name SamlIdp#name}

---

##### `ssoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.ssoUrl" id="cdktfprovideroktasamlidpconfigpropertyssourl"></a>

```typescript
public readonly ssoUrl: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#sso_url SamlIdp#sso_url}.

---

##### `accountLinkAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.accountLinkAction" id="cdktfprovideroktasamlidpconfigpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#account_link_action SamlIdp#account_link_action}.

---

##### `accountLinkGroupInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.accountLinkGroupInclude" id="cdktfprovideroktasamlidpconfigpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#account_link_group_include SamlIdp#account_link_group_include}.

---

##### `acsBinding`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.acsBinding" id="cdktfprovideroktasamlidpconfigpropertyacsbinding"></a>

```typescript
public readonly acsBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#acs_binding SamlIdp#acs_binding}.

---

##### `acsType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.acsType" id="cdktfprovideroktasamlidpconfigpropertyacstype"></a>

```typescript
public readonly acsType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#acs_type SamlIdp#acs_type}.

---

##### `deprovisionedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.deprovisionedAction" id="cdktfprovideroktasamlidpconfigpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#deprovisioned_action SamlIdp#deprovisioned_action}.

---

##### `groupsAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.groupsAction" id="cdktfprovideroktasamlidpconfigpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_action SamlIdp#groups_action}.

---

##### `groupsAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.groupsAssignment" id="cdktfprovideroktasamlidpconfigpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_assignment SamlIdp#groups_assignment}.

---

##### `groupsAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.groupsAttribute" id="cdktfprovideroktasamlidpconfigpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_attribute SamlIdp#groups_attribute}.

---

##### `groupsFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.groupsFilter" id="cdktfprovideroktasamlidpconfigpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#groups_filter SamlIdp#groups_filter}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.id" id="cdktfprovideroktasamlidpconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#id SamlIdp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.issuerMode" id="cdktfprovideroktasamlidpconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#issuer_mode SamlIdp#issuer_mode}

---

##### `maxClockSkew`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.maxClockSkew" id="cdktfprovideroktasamlidpconfigpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#max_clock_skew SamlIdp#max_clock_skew}.

---

##### `nameFormat`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.nameFormat" id="cdktfprovideroktasamlidpconfigpropertynameformat"></a>

```typescript
public readonly nameFormat: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#name_format SamlIdp#name_format}.

---

##### `profileMaster`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.profileMaster" id="cdktfprovideroktasamlidpconfigpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#profile_master SamlIdp#profile_master}.

---

##### `provisioningAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.provisioningAction" id="cdktfprovideroktasamlidpconfigpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#provisioning_action SamlIdp#provisioning_action}.

---

##### `requestSignatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.requestSignatureAlgorithm" id="cdktfprovideroktasamlidpconfigpropertyrequestsignaturealgorithm"></a>

```typescript
public readonly requestSignatureAlgorithm: string;
```

- *Type:* `string`

The XML digital Signature Algorithm used when signing an <AuthnRequest> message.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#request_signature_algorithm SamlIdp#request_signature_algorithm}

---

##### `requestSignatureScope`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.requestSignatureScope" id="cdktfprovideroktasamlidpconfigpropertyrequestsignaturescope"></a>

```typescript
public readonly requestSignatureScope: string;
```

- *Type:* `string`

Specifies whether to digitally sign <AuthnRequest> messages to the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#request_signature_scope SamlIdp#request_signature_scope}

---

##### `responseSignatureAlgorithm`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.responseSignatureAlgorithm" id="cdktfprovideroktasamlidpconfigpropertyresponsesignaturealgorithm"></a>

```typescript
public readonly responseSignatureAlgorithm: string;
```

- *Type:* `string`

The minimum XML digital Signature Algorithm allowed when verifying a <SAMLResponse> message or <Assertion> element.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#response_signature_algorithm SamlIdp#response_signature_algorithm}

---

##### `responseSignatureScope`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.responseSignatureScope" id="cdktfprovideroktasamlidpconfigpropertyresponsesignaturescope"></a>

```typescript
public readonly responseSignatureScope: string;
```

- *Type:* `string`

Specifies whether to verify a <SAMLResponse> message or <Assertion> element XML digital signature.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#response_signature_scope SamlIdp#response_signature_scope}

---

##### `ssoBinding`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.ssoBinding" id="cdktfprovideroktasamlidpconfigpropertyssobinding"></a>

```typescript
public readonly ssoBinding: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#sso_binding SamlIdp#sso_binding}.

---

##### `ssoDestination`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.ssoDestination" id="cdktfprovideroktasamlidpconfigpropertyssodestination"></a>

```typescript
public readonly ssoDestination: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#sso_destination SamlIdp#sso_destination}.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.status" id="cdktfprovideroktasamlidpconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#status SamlIdp#status}.

---

##### `subjectFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.subjectFilter" id="cdktfprovideroktasamlidpconfigpropertysubjectfilter"></a>

```typescript
public readonly subjectFilter: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_filter SamlIdp#subject_filter}.

---

##### `subjectFormat`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.subjectFormat" id="cdktfprovideroktasamlidpconfigpropertysubjectformat"></a>

```typescript
public readonly subjectFormat: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_format SamlIdp#subject_format}.

---

##### `subjectMatchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.subjectMatchAttribute" id="cdktfprovideroktasamlidpconfigpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_match_attribute SamlIdp#subject_match_attribute}.

---

##### `subjectMatchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.subjectMatchType" id="cdktfprovideroktasamlidpconfigpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#subject_match_type SamlIdp#subject_match_type}.

---

##### `suspendedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.suspendedAction" id="cdktfprovideroktasamlidpconfigpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#suspended_action SamlIdp#suspended_action}.

---

##### `usernameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpConfig.property.usernameTemplate" id="cdktfprovideroktasamlidpconfigpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp#username_template SamlIdp#username_template}.

---

### SamlIdpSigningKeyConfig <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig" id="cdktfprovideroktasamlidpsigningkeyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SamlIdpSigningKeyConfig } from '@cdktf/provider-okta'

const samlIdpSigningKeyConfig: SamlIdpSigningKeyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasamlidpsigningkeyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasamlidpsigningkeyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasamlidpsigningkeyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasamlidpsigningkeyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasamlidpsigningkeyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasamlidpsigningkeyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasamlidpsigningkeyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`x5C`](#cdktfprovideroktasamlidpsigningkeyconfigpropertyx5c)<span title="Required">*</span> | `string`[] | base64-encoded X.509 certificate chain with DER encoding. |
| [`id`](#cdktfprovideroktasamlidpsigningkeyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp_signing_key#id SamlIdpSigningKey#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.connection" id="cdktfprovideroktasamlidpsigningkeyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.count" id="cdktfprovideroktasamlidpsigningkeyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.dependsOn" id="cdktfprovideroktasamlidpsigningkeyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.forEach" id="cdktfprovideroktasamlidpsigningkeyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.lifecycle" id="cdktfprovideroktasamlidpsigningkeyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.provider" id="cdktfprovideroktasamlidpsigningkeyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.provisioners" id="cdktfprovideroktasamlidpsigningkeyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `x5C`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.x5C" id="cdktfprovideroktasamlidpsigningkeyconfigpropertyx5c"></a>

```typescript
public readonly x5C: string[];
```

- *Type:* `string`[]

base64-encoded X.509 certificate chain with DER encoding.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp_signing_key#x5c SamlIdpSigningKey#x5c}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlIdpSigningKeyConfig.property.id" id="cdktfprovideroktasamlidpsigningkeyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/saml_idp_signing_key#id SamlIdpSigningKey#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### SecurePasswordStoreAppConfig <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig" id="cdktfprovideroktasecurepasswordstoreappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SecurePasswordStoreAppConfig } from '@cdktf/provider-okta'

const securePasswordStoreAppConfig: SecurePasswordStoreAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasecurepasswordstoreappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasecurepasswordstoreappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasecurepasswordstoreappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktasecurepasswordstoreappconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`passwordField`](#cdktfprovideroktasecurepasswordstoreappconfigpropertypasswordfield)<span title="Required">*</span> | `string` | Login password field. |
| [`url`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyurl)<span title="Required">*</span> | `string` | Login URL. |
| [`usernameField`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyusernamefield)<span title="Required">*</span> | `string` | Login username field. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`credentialsScheme`](#cdktfprovideroktasecurepasswordstoreappconfigpropertycredentialsscheme) | `string` | Application credentials scheme. |
| [`enduserNote`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktasecurepasswordstoreappconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#id SecurePasswordStoreApp#id}. |
| [`logo`](#cdktfprovideroktasecurepasswordstoreappconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`optionalField1`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield1) | `string` | Name of optional param in the login form. |
| [`optionalField1Value`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield1value) | `string` | Name of optional value in login form. |
| [`optionalField2`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield2) | `string` | Name of optional param in the login form. |
| [`optionalField2Value`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield2value) | `string` | Name of optional value in login form. |
| [`optionalField3`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield3) | `string` | Name of optional param in the login form. |
| [`optionalField3Value`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield3value) | `string` | Name of optional value in login form. |
| [`revealPassword`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyrevealpassword) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allow user to reveal password. |
| [`sharedPassword`](#cdktfprovideroktasecurepasswordstoreappconfigpropertysharedpassword) | `string` | Shared password, required for certain schemes. |
| [`sharedUsername`](#cdktfprovideroktasecurepasswordstoreappconfigpropertysharedusername) | `string` | Shared username, required for certain schemes. |
| [`skipGroups`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktasecurepasswordstoreappconfigpropertystatus) | `string` | Status of application. |
| [`userNameTemplate`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktasecurepasswordstoreappconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.connection" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.count" id="cdktfprovideroktasecurepasswordstoreappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.dependsOn" id="cdktfprovideroktasecurepasswordstoreappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.forEach" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.lifecycle" id="cdktfprovideroktasecurepasswordstoreappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.provider" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.provisioners" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.label" id="cdktfprovideroktasecurepasswordstoreappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#label SecurePasswordStoreApp#label}

---

##### `passwordField`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.passwordField" id="cdktfprovideroktasecurepasswordstoreappconfigpropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

Login password field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#password_field SecurePasswordStoreApp#password_field}

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.url" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#url SecurePasswordStoreApp#url}

---

##### `usernameField`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.usernameField" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

Login username field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#username_field SecurePasswordStoreApp#username_field}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#accessibility_error_redirect_url SecurePasswordStoreApp#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#accessibility_login_redirect_url SecurePasswordStoreApp#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.accessibilitySelfService" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#accessibility_self_service SecurePasswordStoreApp#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.adminNote" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#admin_note SecurePasswordStoreApp#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.appLinksJson" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#app_links_json SecurePasswordStoreApp#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.autoSubmitToolbar" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#auto_submit_toolbar SecurePasswordStoreApp#auto_submit_toolbar}

---

##### `credentialsScheme`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.credentialsScheme" id="cdktfprovideroktasecurepasswordstoreappconfigpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

Application credentials scheme.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#credentials_scheme SecurePasswordStoreApp#credentials_scheme}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.enduserNote" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#enduser_note SecurePasswordStoreApp#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.groups" id="cdktfprovideroktasecurepasswordstoreappconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#groups SecurePasswordStoreApp#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.hideIos" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#hide_ios SecurePasswordStoreApp#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.hideWeb" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#hide_web SecurePasswordStoreApp#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.id" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#id SecurePasswordStoreApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.logo" id="cdktfprovideroktasecurepasswordstoreappconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#logo SecurePasswordStoreApp#logo}

---

##### `optionalField1`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.optionalField1" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield1"></a>

```typescript
public readonly optionalField1: string;
```

- *Type:* `string`

Name of optional param in the login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#optional_field1 SecurePasswordStoreApp#optional_field1}

---

##### `optionalField1Value`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.optionalField1Value" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield1value"></a>

```typescript
public readonly optionalField1Value: string;
```

- *Type:* `string`

Name of optional value in login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#optional_field1_value SecurePasswordStoreApp#optional_field1_value}

---

##### `optionalField2`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.optionalField2" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield2"></a>

```typescript
public readonly optionalField2: string;
```

- *Type:* `string`

Name of optional param in the login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#optional_field2 SecurePasswordStoreApp#optional_field2}

---

##### `optionalField2Value`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.optionalField2Value" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield2value"></a>

```typescript
public readonly optionalField2Value: string;
```

- *Type:* `string`

Name of optional value in login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#optional_field2_value SecurePasswordStoreApp#optional_field2_value}

---

##### `optionalField3`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.optionalField3" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield3"></a>

```typescript
public readonly optionalField3: string;
```

- *Type:* `string`

Name of optional param in the login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#optional_field3 SecurePasswordStoreApp#optional_field3}

---

##### `optionalField3Value`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.optionalField3Value" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyoptionalfield3value"></a>

```typescript
public readonly optionalField3Value: string;
```

- *Type:* `string`

Name of optional value in login form.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#optional_field3_value SecurePasswordStoreApp#optional_field3_value}

---

##### `revealPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.revealPassword" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allow user to reveal password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#reveal_password SecurePasswordStoreApp#reveal_password}

---

##### `sharedPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.sharedPassword" id="cdktfprovideroktasecurepasswordstoreappconfigpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

Shared password, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#shared_password SecurePasswordStoreApp#shared_password}

---

##### `sharedUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.sharedUsername" id="cdktfprovideroktasecurepasswordstoreappconfigpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

Shared username, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#shared_username SecurePasswordStoreApp#shared_username}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.skipGroups" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#skip_groups SecurePasswordStoreApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.skipUsers" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#skip_users SecurePasswordStoreApp#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.status" id="cdktfprovideroktasecurepasswordstoreappconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#status SecurePasswordStoreApp#status}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.userNameTemplate" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#user_name_template SecurePasswordStoreApp#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#user_name_template_push_status SecurePasswordStoreApp#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.userNameTemplateSuffix" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#user_name_template_suffix SecurePasswordStoreApp#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.userNameTemplateType" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#user_name_template_type SecurePasswordStoreApp#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppConfig.property.users" id="cdktfprovideroktasecurepasswordstoreappconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | SecurePasswordStoreAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#users SecurePasswordStoreApp#users}

---

### SecurePasswordStoreAppUsers <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsers" id="cdktfprovideroktasecurepasswordstoreappusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SecurePasswordStoreAppUsers } from '@cdktf/provider-okta'

const securePasswordStoreAppUsers: SecurePasswordStoreAppUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktasecurepasswordstoreappuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktasecurepasswordstoreappuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktasecurepasswordstoreappuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsers.property.id" id="cdktfprovideroktasecurepasswordstoreappuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#id SecurePasswordStoreApp#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsers.property.password" id="cdktfprovideroktasecurepasswordstoreappuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#password SecurePasswordStoreApp#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsers.property.username" id="cdktfprovideroktasecurepasswordstoreappuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/secure_password_store_app#username SecurePasswordStoreApp#username}

---

### SecurityNotificationEmailsConfig <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig" id="cdktfprovideroktasecuritynotificationemailsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SecurityNotificationEmailsConfig } from '@cdktf/provider-okta'

const securityNotificationEmailsConfig: SecurityNotificationEmailsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasecuritynotificationemailsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasecuritynotificationemailsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasecuritynotificationemailsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasecuritynotificationemailsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasecuritynotificationemailsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasecuritynotificationemailsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasecuritynotificationemailsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`id`](#cdktfprovideroktasecuritynotificationemailsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails#id SecurityNotificationEmails#id}. |
| [`reportSuspiciousActivityEnabled`](#cdktfprovideroktasecuritynotificationemailsconfigpropertyreportsuspiciousactivityenabled) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Notifies end users about suspicious or unrecognized activity from their account. |
| [`sendEmailForFactorEnrollmentEnabled`](#cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailforfactorenrollmentenabled) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Notifies end users of any activity on their account related to MFA factor enrollment. |
| [`sendEmailForFactorResetEnabled`](#cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailforfactorresetenabled) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Notifies end users that one or more factors have been reset for their account. |
| [`sendEmailForNewDeviceEnabled`](#cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailfornewdeviceenabled) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Notifies end users about new sign-on activity. |
| [`sendEmailForPasswordChangedEnabled`](#cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailforpasswordchangedenabled) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Notifies end users that the password for their account has changed. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.connection" id="cdktfprovideroktasecuritynotificationemailsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.count" id="cdktfprovideroktasecuritynotificationemailsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.dependsOn" id="cdktfprovideroktasecuritynotificationemailsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.forEach" id="cdktfprovideroktasecuritynotificationemailsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.lifecycle" id="cdktfprovideroktasecuritynotificationemailsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.provider" id="cdktfprovideroktasecuritynotificationemailsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.provisioners" id="cdktfprovideroktasecuritynotificationemailsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.id" id="cdktfprovideroktasecuritynotificationemailsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails#id SecurityNotificationEmails#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `reportSuspiciousActivityEnabled`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.reportSuspiciousActivityEnabled" id="cdktfprovideroktasecuritynotificationemailsconfigpropertyreportsuspiciousactivityenabled"></a>

```typescript
public readonly reportSuspiciousActivityEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Notifies end users about suspicious or unrecognized activity from their account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails#report_suspicious_activity_enabled SecurityNotificationEmails#report_suspicious_activity_enabled}

---

##### `sendEmailForFactorEnrollmentEnabled`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.sendEmailForFactorEnrollmentEnabled" id="cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailforfactorenrollmentenabled"></a>

```typescript
public readonly sendEmailForFactorEnrollmentEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Notifies end users of any activity on their account related to MFA factor enrollment.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails#send_email_for_factor_enrollment_enabled SecurityNotificationEmails#send_email_for_factor_enrollment_enabled}

---

##### `sendEmailForFactorResetEnabled`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.sendEmailForFactorResetEnabled" id="cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailforfactorresetenabled"></a>

```typescript
public readonly sendEmailForFactorResetEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Notifies end users that one or more factors have been reset for their account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails#send_email_for_factor_reset_enabled SecurityNotificationEmails#send_email_for_factor_reset_enabled}

---

##### `sendEmailForNewDeviceEnabled`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.sendEmailForNewDeviceEnabled" id="cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailfornewdeviceenabled"></a>

```typescript
public readonly sendEmailForNewDeviceEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Notifies end users about new sign-on activity.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails#send_email_for_new_device_enabled SecurityNotificationEmails#send_email_for_new_device_enabled}

---

##### `sendEmailForPasswordChangedEnabled`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurityNotificationEmailsConfig.property.sendEmailForPasswordChangedEnabled" id="cdktfprovideroktasecuritynotificationemailsconfigpropertysendemailforpasswordchangedenabled"></a>

```typescript
public readonly sendEmailForPasswordChangedEnabled: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Notifies end users that the password for their account has changed.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/security_notification_emails#send_email_for_password_changed_enabled SecurityNotificationEmails#send_email_for_password_changed_enabled}

---

### SignonPolicyConfig <a name="@cdktf/provider-okta.SignonPolicyConfig" id="cdktfprovideroktasignonpolicyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SignonPolicyConfig } from '@cdktf/provider-okta'

const signonPolicyConfig: SignonPolicyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasignonpolicyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasignonpolicyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasignonpolicyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasignonpolicyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasignonpolicyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasignonpolicyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasignonpolicyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktasignonpolicyconfigpropertyname)<span title="Required">*</span> | `string` | Policy Name. |
| [`description`](#cdktfprovideroktasignonpolicyconfigpropertydescription) | `string` | Policy Description. |
| [`groupsIncluded`](#cdktfprovideroktasignonpolicyconfigpropertygroupsincluded) | `string`[] | List of Group IDs to Include. |
| [`id`](#cdktfprovideroktasignonpolicyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy#id SignonPolicy#id}. |
| [`priority`](#cdktfprovideroktasignonpolicyconfigpropertypriority) | `number` | Policy Priority, this attribute can be set to a valid priority. |
| [`status`](#cdktfprovideroktasignonpolicyconfigpropertystatus) | `string` | Policy Status: ACTIVE or INACTIVE. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.connection" id="cdktfprovideroktasignonpolicyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.count" id="cdktfprovideroktasignonpolicyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.dependsOn" id="cdktfprovideroktasignonpolicyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.forEach" id="cdktfprovideroktasignonpolicyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.lifecycle" id="cdktfprovideroktasignonpolicyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.provider" id="cdktfprovideroktasignonpolicyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.provisioners" id="cdktfprovideroktasignonpolicyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.name" id="cdktfprovideroktasignonpolicyconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy#name SignonPolicy#name}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.description" id="cdktfprovideroktasignonpolicyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Policy Description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy#description SignonPolicy#description}

---

##### `groupsIncluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.groupsIncluded" id="cdktfprovideroktasignonpolicyconfigpropertygroupsincluded"></a>

```typescript
public readonly groupsIncluded: string[];
```

- *Type:* `string`[]

List of Group IDs to Include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy#groups_included SignonPolicy#groups_included}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.id" id="cdktfprovideroktasignonpolicyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy#id SignonPolicy#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.priority" id="cdktfprovideroktasignonpolicyconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy#priority SignonPolicy#priority}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyConfig.property.status" id="cdktfprovideroktasignonpolicyconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy#status SignonPolicy#status}

---

### SignonPolicyRuleConfig <a name="@cdktf/provider-okta.SignonPolicyRuleConfig" id="cdktfprovideroktasignonpolicyruleconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SignonPolicyRuleConfig } from '@cdktf/provider-okta'

const signonPolicyRuleConfig: SignonPolicyRuleConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasignonpolicyruleconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasignonpolicyruleconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasignonpolicyruleconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasignonpolicyruleconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasignonpolicyruleconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasignonpolicyruleconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasignonpolicyruleconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktasignonpolicyruleconfigpropertyname)<span title="Required">*</span> | `string` | Policy Rule Name. |
| [`access`](#cdktfprovideroktasignonpolicyruleconfigpropertyaccess) | `string` | Allow or deny access based on the rule conditions: ALLOW, DENY or CHALLENGE. |
| [`authtype`](#cdktfprovideroktasignonpolicyruleconfigpropertyauthtype) | `string` | Authentication entrypoint: ANY, RADIUS or LDAP_INTERFACE. |
| [`behaviors`](#cdktfprovideroktasignonpolicyruleconfigpropertybehaviors) | `string`[] | List of behavior IDs. |
| [`factorSequence`](#cdktfprovideroktasignonpolicyruleconfigpropertyfactorsequence) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)[] | factor_sequence block. |
| [`id`](#cdktfprovideroktasignonpolicyruleconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#id SignonPolicyRule#id}. |
| [`identityProvider`](#cdktfprovideroktasignonpolicyruleconfigpropertyidentityprovider) | `string` | Apply rule based on the IdP used: ANY, OKTA or SPECIFIC_IDP. |
| [`identityProviderIds`](#cdktfprovideroktasignonpolicyruleconfigpropertyidentityproviderids) | `string`[] | When identity_provider is SPECIFIC_IDP then this is the list of IdP IDs to apply the rule on. |
| [`mfaLifetime`](#cdktfprovideroktasignonpolicyruleconfigpropertymfalifetime) | `number` | Elapsed time before the next MFA challenge. |
| [`mfaPrompt`](#cdktfprovideroktasignonpolicyruleconfigpropertymfaprompt) | `string` | Prompt for MFA based on the device used, a factor session lifetime, or every sign-on attempt: DEVICE, SESSION or ALWAYS. |
| [`mfaRememberDevice`](#cdktfprovideroktasignonpolicyruleconfigpropertymfarememberdevice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Remember MFA device. |
| [`mfaRequired`](#cdktfprovideroktasignonpolicyruleconfigpropertymfarequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Require MFA. |
| [`networkConnection`](#cdktfprovideroktasignonpolicyruleconfigpropertynetworkconnection) | `string` | Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK. |
| [`networkExcludes`](#cdktfprovideroktasignonpolicyruleconfigpropertynetworkexcludes) | `string`[] | The zones to exclude. |
| [`networkIncludes`](#cdktfprovideroktasignonpolicyruleconfigpropertynetworkincludes) | `string`[] | The zones to include. |
| [`policyid`](#cdktfprovideroktasignonpolicyruleconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`policyId`](#cdktfprovideroktasignonpolicyruleconfigpropertypolicyid) | `string` | Policy ID of the Rule. |
| [`primaryFactor`](#cdktfprovideroktasignonpolicyruleconfigpropertyprimaryfactor) | `string` | Primary factor. |
| [`priority`](#cdktfprovideroktasignonpolicyruleconfigpropertypriority) | `number` | Policy Rule Priority, this attribute can be set to a valid priority. |
| [`riscLevel`](#cdktfprovideroktasignonpolicyruleconfigpropertyrisclevel) | `string` | Risc level: ANY, LOW, MEDIUM or HIGH. |
| [`sessionIdle`](#cdktfprovideroktasignonpolicyruleconfigpropertysessionidle) | `number` | Max minutes a session can be idle. |
| [`sessionLifetime`](#cdktfprovideroktasignonpolicyruleconfigpropertysessionlifetime) | `number` | Max minutes a session is active: Disable = 0. |
| [`sessionPersistent`](#cdktfprovideroktasignonpolicyruleconfigpropertysessionpersistent) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether session cookies will last across browser sessions. Okta Administrators can never have persistent session cookies. |
| [`status`](#cdktfprovideroktasignonpolicyruleconfigpropertystatus) | `string` | Policy Rule Status: ACTIVE or INACTIVE. |
| [`usersExcluded`](#cdktfprovideroktasignonpolicyruleconfigpropertyusersexcluded) | `string`[] | Set of User IDs to Exclude. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.connection" id="cdktfprovideroktasignonpolicyruleconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.count" id="cdktfprovideroktasignonpolicyruleconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.dependsOn" id="cdktfprovideroktasignonpolicyruleconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.forEach" id="cdktfprovideroktasignonpolicyruleconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.lifecycle" id="cdktfprovideroktasignonpolicyruleconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.provider" id="cdktfprovideroktasignonpolicyruleconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.provisioners" id="cdktfprovideroktasignonpolicyruleconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.name" id="cdktfprovideroktasignonpolicyruleconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Policy Rule Name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#name SignonPolicyRule#name}

---

##### `access`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.access" id="cdktfprovideroktasignonpolicyruleconfigpropertyaccess"></a>

```typescript
public readonly access: string;
```

- *Type:* `string`

Allow or deny access based on the rule conditions: ALLOW, DENY or CHALLENGE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#access SignonPolicyRule#access}

---

##### `authtype`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.authtype" id="cdktfprovideroktasignonpolicyruleconfigpropertyauthtype"></a>

```typescript
public readonly authtype: string;
```

- *Type:* `string`

Authentication entrypoint: ANY, RADIUS or LDAP_INTERFACE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#authtype SignonPolicyRule#authtype}

---

##### `behaviors`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.behaviors" id="cdktfprovideroktasignonpolicyruleconfigpropertybehaviors"></a>

```typescript
public readonly behaviors: string[];
```

- *Type:* `string`[]

List of behavior IDs.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#behaviors SignonPolicyRule#behaviors}

---

##### `factorSequence`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.factorSequence" id="cdktfprovideroktasignonpolicyruleconfigpropertyfactorsequence"></a>

```typescript
public readonly factorSequence: IResolvable | SignonPolicyRuleFactorSequence[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)[]

factor_sequence block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#factor_sequence SignonPolicyRule#factor_sequence}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.id" id="cdktfprovideroktasignonpolicyruleconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#id SignonPolicyRule#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `identityProvider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.identityProvider" id="cdktfprovideroktasignonpolicyruleconfigpropertyidentityprovider"></a>

```typescript
public readonly identityProvider: string;
```

- *Type:* `string`

Apply rule based on the IdP used: ANY, OKTA or SPECIFIC_IDP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#identity_provider SignonPolicyRule#identity_provider}

---

##### `identityProviderIds`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.identityProviderIds" id="cdktfprovideroktasignonpolicyruleconfigpropertyidentityproviderids"></a>

```typescript
public readonly identityProviderIds: string[];
```

- *Type:* `string`[]

When identity_provider is SPECIFIC_IDP then this is the list of IdP IDs to apply the rule on.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#identity_provider_ids SignonPolicyRule#identity_provider_ids}

---

##### `mfaLifetime`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.mfaLifetime" id="cdktfprovideroktasignonpolicyruleconfigpropertymfalifetime"></a>

```typescript
public readonly mfaLifetime: number;
```

- *Type:* `number`

Elapsed time before the next MFA challenge.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#mfa_lifetime SignonPolicyRule#mfa_lifetime}

---

##### `mfaPrompt`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.mfaPrompt" id="cdktfprovideroktasignonpolicyruleconfigpropertymfaprompt"></a>

```typescript
public readonly mfaPrompt: string;
```

- *Type:* `string`

Prompt for MFA based on the device used, a factor session lifetime, or every sign-on attempt: DEVICE, SESSION or ALWAYS.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#mfa_prompt SignonPolicyRule#mfa_prompt}

---

##### `mfaRememberDevice`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.mfaRememberDevice" id="cdktfprovideroktasignonpolicyruleconfigpropertymfarememberdevice"></a>

```typescript
public readonly mfaRememberDevice: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Remember MFA device.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#mfa_remember_device SignonPolicyRule#mfa_remember_device}

---

##### `mfaRequired`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.mfaRequired" id="cdktfprovideroktasignonpolicyruleconfigpropertymfarequired"></a>

```typescript
public readonly mfaRequired: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Require MFA.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#mfa_required SignonPolicyRule#mfa_required}

---

##### `networkConnection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.networkConnection" id="cdktfprovideroktasignonpolicyruleconfigpropertynetworkconnection"></a>

```typescript
public readonly networkConnection: string;
```

- *Type:* `string`

Network selection mode: ANYWHERE, ZONE, ON_NETWORK, or OFF_NETWORK.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#network_connection SignonPolicyRule#network_connection}

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.networkExcludes" id="cdktfprovideroktasignonpolicyruleconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

The zones to exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#network_excludes SignonPolicyRule#network_excludes}

---

##### `networkIncludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.networkIncludes" id="cdktfprovideroktasignonpolicyruleconfigpropertynetworkincludes"></a>

```typescript
public readonly networkIncludes: string[];
```

- *Type:* `string`[]

The zones to include.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#network_includes SignonPolicyRule#network_includes}

---

##### `policyid`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.policyid" id="cdktfprovideroktasignonpolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyid: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#policyid SignonPolicyRule#policyid}

---

##### `policyId`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.policyId" id="cdktfprovideroktasignonpolicyruleconfigpropertypolicyid"></a>

```typescript
public readonly policyId: string;
```

- *Type:* `string`

Policy ID of the Rule.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#policy_id SignonPolicyRule#policy_id}

---

##### `primaryFactor`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.primaryFactor" id="cdktfprovideroktasignonpolicyruleconfigpropertyprimaryfactor"></a>

```typescript
public readonly primaryFactor: string;
```

- *Type:* `string`

Primary factor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#primary_factor SignonPolicyRule#primary_factor}

---

##### `priority`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.priority" id="cdktfprovideroktasignonpolicyruleconfigpropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

Policy Rule Priority, this attribute can be set to a valid priority.

To avoid endless diff situation we error if an invalid priority is provided. API defaults it to the last (lowest) if not there.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#priority SignonPolicyRule#priority}

---

##### `riscLevel`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.riscLevel" id="cdktfprovideroktasignonpolicyruleconfigpropertyrisclevel"></a>

```typescript
public readonly riscLevel: string;
```

- *Type:* `string`

Risc level: ANY, LOW, MEDIUM or HIGH.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#risc_level SignonPolicyRule#risc_level}

---

##### `sessionIdle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.sessionIdle" id="cdktfprovideroktasignonpolicyruleconfigpropertysessionidle"></a>

```typescript
public readonly sessionIdle: number;
```

- *Type:* `number`

Max minutes a session can be idle.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#session_idle SignonPolicyRule#session_idle}

---

##### `sessionLifetime`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.sessionLifetime" id="cdktfprovideroktasignonpolicyruleconfigpropertysessionlifetime"></a>

```typescript
public readonly sessionLifetime: number;
```

- *Type:* `number`

Max minutes a session is active: Disable = 0.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#session_lifetime SignonPolicyRule#session_lifetime}

---

##### `sessionPersistent`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.sessionPersistent" id="cdktfprovideroktasignonpolicyruleconfigpropertysessionpersistent"></a>

```typescript
public readonly sessionPersistent: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether session cookies will last across browser sessions. Okta Administrators can never have persistent session cookies.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#session_persistent SignonPolicyRule#session_persistent}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.status" id="cdktfprovideroktasignonpolicyruleconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Policy Rule Status: ACTIVE or INACTIVE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#status SignonPolicyRule#status}

---

##### `usersExcluded`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleConfig.property.usersExcluded" id="cdktfprovideroktasignonpolicyruleconfigpropertyusersexcluded"></a>

```typescript
public readonly usersExcluded: string[];
```

- *Type:* `string`[]

Set of User IDs to Exclude.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#users_excluded SignonPolicyRule#users_excluded}

---

### SignonPolicyRuleFactorSequence <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequence" id="cdktfprovideroktasignonpolicyrulefactorsequence"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SignonPolicyRuleFactorSequence } from '@cdktf/provider-okta'

const signonPolicyRuleFactorSequence: SignonPolicyRuleFactorSequence = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`primaryCriteriaFactorType`](#cdktfprovideroktasignonpolicyrulefactorsequencepropertyprimarycriteriafactortype)<span title="Required">*</span> | `string` | Type of a Factor. |
| [`primaryCriteriaProvider`](#cdktfprovideroktasignonpolicyrulefactorsequencepropertyprimarycriteriaprovider)<span title="Required">*</span> | `string` | Factor provider. |
| [`secondaryCriteria`](#cdktfprovideroktasignonpolicyrulefactorsequencepropertysecondarycriteria) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)[] | secondary_criteria block. |

---

##### `primaryCriteriaFactorType`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequence.property.primaryCriteriaFactorType" id="cdktfprovideroktasignonpolicyrulefactorsequencepropertyprimarycriteriafactortype"></a>

```typescript
public readonly primaryCriteriaFactorType: string;
```

- *Type:* `string`

Type of a Factor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#primary_criteria_factor_type SignonPolicyRule#primary_criteria_factor_type}

---

##### `primaryCriteriaProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequence.property.primaryCriteriaProvider" id="cdktfprovideroktasignonpolicyrulefactorsequencepropertyprimarycriteriaprovider"></a>

```typescript
public readonly primaryCriteriaProvider: string;
```

- *Type:* `string`

Factor provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#primary_criteria_provider SignonPolicyRule#primary_criteria_provider}

---

##### `secondaryCriteria`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequence.property.secondaryCriteria" id="cdktfprovideroktasignonpolicyrulefactorsequencepropertysecondarycriteria"></a>

```typescript
public readonly secondaryCriteria: IResolvable | SignonPolicyRuleFactorSequenceSecondaryCriteria[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)[]

secondary_criteria block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#secondary_criteria SignonPolicyRule#secondary_criteria}

---

### SignonPolicyRuleFactorSequenceSecondaryCriteria <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteria"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SignonPolicyRuleFactorSequenceSecondaryCriteria } from '@cdktf/provider-okta'

const signonPolicyRuleFactorSequenceSecondaryCriteria: SignonPolicyRuleFactorSequenceSecondaryCriteria = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`factorType`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriapropertyfactortype)<span title="Required">*</span> | `string` | Type of a Factor. |
| [`provider`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriapropertyprovider)<span title="Required">*</span> | `string` | Factor provider. |

---

##### `factorType`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria.property.factorType" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriapropertyfactortype"></a>

```typescript
public readonly factorType: string;
```

- *Type:* `string`

Type of a Factor.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#factor_type SignonPolicyRule#factor_type}

---

##### `provider`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria.property.provider" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriapropertyprovider"></a>

```typescript
public readonly provider: string;
```

- *Type:* `string`

Factor provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/signon_policy_rule#provider SignonPolicyRule#provider}

---

### SocialIdpConfig <a name="@cdktf/provider-okta.SocialIdpConfig" id="cdktfprovideroktasocialidpconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SocialIdpConfig } from '@cdktf/provider-okta'

const socialIdpConfig: SocialIdpConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktasocialidpconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktasocialidpconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktasocialidpconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktasocialidpconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktasocialidpconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktasocialidpconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktasocialidpconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktasocialidpconfigpropertyname)<span title="Required">*</span> | `string` | Name of the IdP. |
| [`scopes`](#cdktfprovideroktasocialidpconfigpropertyscopes)<span title="Required">*</span> | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#scopes SocialIdp#scopes}. |
| [`type`](#cdktfprovideroktasocialidpconfigpropertytype)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#type SocialIdp#type}. |
| [`accountLinkAction`](#cdktfprovideroktasocialidpconfigpropertyaccountlinkaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#account_link_action SocialIdp#account_link_action}. |
| [`accountLinkGroupInclude`](#cdktfprovideroktasocialidpconfigpropertyaccountlinkgroupinclude) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#account_link_group_include SocialIdp#account_link_group_include}. |
| [`appleKid`](#cdktfprovideroktasocialidpconfigpropertyapplekid) | `string` | The Key ID that you obtained from Apple when you created the private key for the client. |
| [`applePrivateKey`](#cdktfprovideroktasocialidpconfigpropertyappleprivatekey) | `string` | The PKCS #8 encoded private key that you created for the client and downloaded from Apple. |
| [`appleTeamId`](#cdktfprovideroktasocialidpconfigpropertyappleteamid) | `string` | The Team ID associated with your Apple developer account. |
| [`clientId`](#cdktfprovideroktasocialidpconfigpropertyclientid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#client_id SocialIdp#client_id}. |
| [`clientSecret`](#cdktfprovideroktasocialidpconfigpropertyclientsecret) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#client_secret SocialIdp#client_secret}. |
| [`deprovisionedAction`](#cdktfprovideroktasocialidpconfigpropertydeprovisionedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#deprovisioned_action SocialIdp#deprovisioned_action}. |
| [`groupsAction`](#cdktfprovideroktasocialidpconfigpropertygroupsaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_action SocialIdp#groups_action}. |
| [`groupsAssignment`](#cdktfprovideroktasocialidpconfigpropertygroupsassignment) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_assignment SocialIdp#groups_assignment}. |
| [`groupsAttribute`](#cdktfprovideroktasocialidpconfigpropertygroupsattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_attribute SocialIdp#groups_attribute}. |
| [`groupsFilter`](#cdktfprovideroktasocialidpconfigpropertygroupsfilter) | `string`[] | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_filter SocialIdp#groups_filter}. |
| [`id`](#cdktfprovideroktasocialidpconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#id SocialIdp#id}. |
| [`issuerMode`](#cdktfprovideroktasocialidpconfigpropertyissuermode) | `string` | Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL. |
| [`matchAttribute`](#cdktfprovideroktasocialidpconfigpropertymatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#match_attribute SocialIdp#match_attribute}. |
| [`matchType`](#cdktfprovideroktasocialidpconfigpropertymatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#match_type SocialIdp#match_type}. |
| [`maxClockSkew`](#cdktfprovideroktasocialidpconfigpropertymaxclockskew) | `number` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#max_clock_skew SocialIdp#max_clock_skew}. |
| [`profileMaster`](#cdktfprovideroktasocialidpconfigpropertyprofilemaster) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#profile_master SocialIdp#profile_master}. |
| [`protocolType`](#cdktfprovideroktasocialidpconfigpropertyprotocoltype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#protocol_type SocialIdp#protocol_type}. |
| [`provisioningAction`](#cdktfprovideroktasocialidpconfigpropertyprovisioningaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#provisioning_action SocialIdp#provisioning_action}. |
| [`status`](#cdktfprovideroktasocialidpconfigpropertystatus) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#status SocialIdp#status}. |
| [`subjectMatchAttribute`](#cdktfprovideroktasocialidpconfigpropertysubjectmatchattribute) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#subject_match_attribute SocialIdp#subject_match_attribute}. |
| [`subjectMatchType`](#cdktfprovideroktasocialidpconfigpropertysubjectmatchtype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#subject_match_type SocialIdp#subject_match_type}. |
| [`suspendedAction`](#cdktfprovideroktasocialidpconfigpropertysuspendedaction) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#suspended_action SocialIdp#suspended_action}. |
| [`usernameTemplate`](#cdktfprovideroktasocialidpconfigpropertyusernametemplate) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#username_template SocialIdp#username_template}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.connection" id="cdktfprovideroktasocialidpconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.count" id="cdktfprovideroktasocialidpconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.dependsOn" id="cdktfprovideroktasocialidpconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.forEach" id="cdktfprovideroktasocialidpconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.lifecycle" id="cdktfprovideroktasocialidpconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.provider" id="cdktfprovideroktasocialidpconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.provisioners" id="cdktfprovideroktasocialidpconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.name" id="cdktfprovideroktasocialidpconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Name of the IdP.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#name SocialIdp#name}

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.scopes" id="cdktfprovideroktasocialidpconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#scopes SocialIdp#scopes}.

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.type" id="cdktfprovideroktasocialidpconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#type SocialIdp#type}.

---

##### `accountLinkAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.accountLinkAction" id="cdktfprovideroktasocialidpconfigpropertyaccountlinkaction"></a>

```typescript
public readonly accountLinkAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#account_link_action SocialIdp#account_link_action}.

---

##### `accountLinkGroupInclude`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.accountLinkGroupInclude" id="cdktfprovideroktasocialidpconfigpropertyaccountlinkgroupinclude"></a>

```typescript
public readonly accountLinkGroupInclude: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#account_link_group_include SocialIdp#account_link_group_include}.

---

##### `appleKid`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.appleKid" id="cdktfprovideroktasocialidpconfigpropertyapplekid"></a>

```typescript
public readonly appleKid: string;
```

- *Type:* `string`

The Key ID that you obtained from Apple when you created the private key for the client.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#apple_kid SocialIdp#apple_kid}

---

##### `applePrivateKey`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.applePrivateKey" id="cdktfprovideroktasocialidpconfigpropertyappleprivatekey"></a>

```typescript
public readonly applePrivateKey: string;
```

- *Type:* `string`

The PKCS #8 encoded private key that you created for the client and downloaded from Apple.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#apple_private_key SocialIdp#apple_private_key}

---

##### `appleTeamId`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.appleTeamId" id="cdktfprovideroktasocialidpconfigpropertyappleteamid"></a>

```typescript
public readonly appleTeamId: string;
```

- *Type:* `string`

The Team ID associated with your Apple developer account.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#apple_team_id SocialIdp#apple_team_id}

---

##### `clientId`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.clientId" id="cdktfprovideroktasocialidpconfigpropertyclientid"></a>

```typescript
public readonly clientId: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#client_id SocialIdp#client_id}.

---

##### `clientSecret`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.clientSecret" id="cdktfprovideroktasocialidpconfigpropertyclientsecret"></a>

```typescript
public readonly clientSecret: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#client_secret SocialIdp#client_secret}.

---

##### `deprovisionedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.deprovisionedAction" id="cdktfprovideroktasocialidpconfigpropertydeprovisionedaction"></a>

```typescript
public readonly deprovisionedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#deprovisioned_action SocialIdp#deprovisioned_action}.

---

##### `groupsAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.groupsAction" id="cdktfprovideroktasocialidpconfigpropertygroupsaction"></a>

```typescript
public readonly groupsAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_action SocialIdp#groups_action}.

---

##### `groupsAssignment`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.groupsAssignment" id="cdktfprovideroktasocialidpconfigpropertygroupsassignment"></a>

```typescript
public readonly groupsAssignment: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_assignment SocialIdp#groups_assignment}.

---

##### `groupsAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.groupsAttribute" id="cdktfprovideroktasocialidpconfigpropertygroupsattribute"></a>

```typescript
public readonly groupsAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_attribute SocialIdp#groups_attribute}.

---

##### `groupsFilter`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.groupsFilter" id="cdktfprovideroktasocialidpconfigpropertygroupsfilter"></a>

```typescript
public readonly groupsFilter: string[];
```

- *Type:* `string`[]

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#groups_filter SocialIdp#groups_filter}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.id" id="cdktfprovideroktasocialidpconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#id SocialIdp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `issuerMode`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.issuerMode" id="cdktfprovideroktasocialidpconfigpropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

Indicates whether Okta uses the original Okta org domain URL, or a custom domain URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#issuer_mode SocialIdp#issuer_mode}

---

##### `matchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.matchAttribute" id="cdktfprovideroktasocialidpconfigpropertymatchattribute"></a>

```typescript
public readonly matchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#match_attribute SocialIdp#match_attribute}.

---

##### `matchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.matchType" id="cdktfprovideroktasocialidpconfigpropertymatchtype"></a>

```typescript
public readonly matchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#match_type SocialIdp#match_type}.

---

##### `maxClockSkew`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.maxClockSkew" id="cdktfprovideroktasocialidpconfigpropertymaxclockskew"></a>

```typescript
public readonly maxClockSkew: number;
```

- *Type:* `number`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#max_clock_skew SocialIdp#max_clock_skew}.

---

##### `profileMaster`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.profileMaster" id="cdktfprovideroktasocialidpconfigpropertyprofilemaster"></a>

```typescript
public readonly profileMaster: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#profile_master SocialIdp#profile_master}.

---

##### `protocolType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.protocolType" id="cdktfprovideroktasocialidpconfigpropertyprotocoltype"></a>

```typescript
public readonly protocolType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#protocol_type SocialIdp#protocol_type}.

---

##### `provisioningAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.provisioningAction" id="cdktfprovideroktasocialidpconfigpropertyprovisioningaction"></a>

```typescript
public readonly provisioningAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#provisioning_action SocialIdp#provisioning_action}.

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.status" id="cdktfprovideroktasocialidpconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#status SocialIdp#status}.

---

##### `subjectMatchAttribute`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.subjectMatchAttribute" id="cdktfprovideroktasocialidpconfigpropertysubjectmatchattribute"></a>

```typescript
public readonly subjectMatchAttribute: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#subject_match_attribute SocialIdp#subject_match_attribute}.

---

##### `subjectMatchType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.subjectMatchType" id="cdktfprovideroktasocialidpconfigpropertysubjectmatchtype"></a>

```typescript
public readonly subjectMatchType: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#subject_match_type SocialIdp#subject_match_type}.

---

##### `suspendedAction`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.suspendedAction" id="cdktfprovideroktasocialidpconfigpropertysuspendedaction"></a>

```typescript
public readonly suspendedAction: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#suspended_action SocialIdp#suspended_action}.

---

##### `usernameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.SocialIdpConfig.property.usernameTemplate" id="cdktfprovideroktasocialidpconfigpropertyusernametemplate"></a>

```typescript
public readonly usernameTemplate: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/social_idp#username_template SocialIdp#username_template}.

---

### SwaAppConfig <a name="@cdktf/provider-okta.SwaAppConfig" id="cdktfprovideroktaswaappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SwaAppConfig } from '@cdktf/provider-okta'

const swaAppConfig: SwaAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktaswaappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktaswaappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktaswaappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktaswaappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktaswaappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktaswaappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktaswaappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`label`](#cdktfprovideroktaswaappconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktaswaappconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktaswaappconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktaswaappconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktaswaappconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktaswaappconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktaswaappconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`buttonField`](#cdktfprovideroktaswaappconfigpropertybuttonfield) | `string` | Login button field. |
| [`checkbox`](#cdktfprovideroktaswaappconfigpropertycheckbox) | `string` | CSS selector for the checkbox. |
| [`enduserNote`](#cdktfprovideroktaswaappconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktaswaappconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktaswaappconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktaswaappconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktaswaappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#id SwaApp#id}. |
| [`logo`](#cdktfprovideroktaswaappconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`passwordField`](#cdktfprovideroktaswaappconfigpropertypasswordfield) | `string` | Login password field. |
| [`preconfiguredApp`](#cdktfprovideroktaswaappconfigpropertypreconfiguredapp) | `string` | Preconfigured app name. |
| [`redirectUrl`](#cdktfprovideroktaswaappconfigpropertyredirecturl) | `string` | If going to the login page URL redirects to another page, then enter that URL here. |
| [`skipGroups`](#cdktfprovideroktaswaappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktaswaappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktaswaappconfigpropertystatus) | `string` | Status of application. |
| [`url`](#cdktfprovideroktaswaappconfigpropertyurl) | `string` | Login URL. |
| [`urlRegex`](#cdktfprovideroktaswaappconfigpropertyurlregex) | `string` | A regex that further restricts URL to the specified regex. |
| [`usernameField`](#cdktfprovideroktaswaappconfigpropertyusernamefield) | `string` | Login username field. |
| [`userNameTemplate`](#cdktfprovideroktaswaappconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktaswaappconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktaswaappconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktaswaappconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktaswaappconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.connection" id="cdktfprovideroktaswaappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.count" id="cdktfprovideroktaswaappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.dependsOn" id="cdktfprovideroktaswaappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.forEach" id="cdktfprovideroktaswaappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.lifecycle" id="cdktfprovideroktaswaappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.provider" id="cdktfprovideroktaswaappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.provisioners" id="cdktfprovideroktaswaappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.label" id="cdktfprovideroktaswaappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#label SwaApp#label}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktaswaappconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#accessibility_error_redirect_url SwaApp#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktaswaappconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#accessibility_login_redirect_url SwaApp#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.accessibilitySelfService" id="cdktfprovideroktaswaappconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#accessibility_self_service SwaApp#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.adminNote" id="cdktfprovideroktaswaappconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#admin_note SwaApp#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.appLinksJson" id="cdktfprovideroktaswaappconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#app_links_json SwaApp#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.autoSubmitToolbar" id="cdktfprovideroktaswaappconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#auto_submit_toolbar SwaApp#auto_submit_toolbar}

---

##### `buttonField`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.buttonField" id="cdktfprovideroktaswaappconfigpropertybuttonfield"></a>

```typescript
public readonly buttonField: string;
```

- *Type:* `string`

Login button field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#button_field SwaApp#button_field}

---

##### `checkbox`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.checkbox" id="cdktfprovideroktaswaappconfigpropertycheckbox"></a>

```typescript
public readonly checkbox: string;
```

- *Type:* `string`

CSS selector for the checkbox.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#checkbox SwaApp#checkbox}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.enduserNote" id="cdktfprovideroktaswaappconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#enduser_note SwaApp#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.groups" id="cdktfprovideroktaswaappconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#groups SwaApp#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.hideIos" id="cdktfprovideroktaswaappconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#hide_ios SwaApp#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.hideWeb" id="cdktfprovideroktaswaappconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#hide_web SwaApp#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.id" id="cdktfprovideroktaswaappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#id SwaApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.logo" id="cdktfprovideroktaswaappconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#logo SwaApp#logo}

---

##### `passwordField`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.passwordField" id="cdktfprovideroktaswaappconfigpropertypasswordfield"></a>

```typescript
public readonly passwordField: string;
```

- *Type:* `string`

Login password field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#password_field SwaApp#password_field}

---

##### `preconfiguredApp`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.preconfiguredApp" id="cdktfprovideroktaswaappconfigpropertypreconfiguredapp"></a>

```typescript
public readonly preconfiguredApp: string;
```

- *Type:* `string`

Preconfigured app name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#preconfigured_app SwaApp#preconfigured_app}

---

##### `redirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.redirectUrl" id="cdktfprovideroktaswaappconfigpropertyredirecturl"></a>

```typescript
public readonly redirectUrl: string;
```

- *Type:* `string`

If going to the login page URL redirects to another page, then enter that URL here.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#redirect_url SwaApp#redirect_url}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.skipGroups" id="cdktfprovideroktaswaappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#skip_groups SwaApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.skipUsers" id="cdktfprovideroktaswaappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#skip_users SwaApp#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.status" id="cdktfprovideroktaswaappconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#status SwaApp#status}

---

##### `url`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.url" id="cdktfprovideroktaswaappconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#url SwaApp#url}

---

##### `urlRegex`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.urlRegex" id="cdktfprovideroktaswaappconfigpropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

A regex that further restricts URL to the specified regex.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#url_regex SwaApp#url_regex}

---

##### `usernameField`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.usernameField" id="cdktfprovideroktaswaappconfigpropertyusernamefield"></a>

```typescript
public readonly usernameField: string;
```

- *Type:* `string`

Login username field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#username_field SwaApp#username_field}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.userNameTemplate" id="cdktfprovideroktaswaappconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#user_name_template SwaApp#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktaswaappconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#user_name_template_push_status SwaApp#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.userNameTemplateSuffix" id="cdktfprovideroktaswaappconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#user_name_template_suffix SwaApp#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.userNameTemplateType" id="cdktfprovideroktaswaappconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#user_name_template_type SwaApp#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppConfig.property.users" id="cdktfprovideroktaswaappconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | SwaAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#users SwaApp#users}

---

### SwaAppUsers <a name="@cdktf/provider-okta.SwaAppUsers" id="cdktfprovideroktaswaappusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SwaAppUsers } from '@cdktf/provider-okta'

const swaAppUsers: SwaAppUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktaswaappuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktaswaappuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktaswaappuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsers.property.id" id="cdktfprovideroktaswaappuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#id SwaApp#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsers.property.password" id="cdktfprovideroktaswaappuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#password SwaApp#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsers.property.username" id="cdktfprovideroktaswaappuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/swa_app#username SwaApp#username}

---

### TemplateEmailConfig <a name="@cdktf/provider-okta.TemplateEmailConfig" id="cdktfprovideroktatemplateemailconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { TemplateEmailConfig } from '@cdktf/provider-okta'

const templateEmailConfig: TemplateEmailConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktatemplateemailconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktatemplateemailconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktatemplateemailconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktatemplateemailconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktatemplateemailconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktatemplateemailconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktatemplateemailconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`translations`](#cdktfprovideroktatemplateemailconfigpropertytranslations)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)[] | translations block. |
| [`type`](#cdktfprovideroktatemplateemailconfigpropertytype)<span title="Required">*</span> | `string` | Email template type. |
| [`defaultLanguage`](#cdktfprovideroktatemplateemailconfigpropertydefaultlanguage) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#default_language TemplateEmail#default_language}. |
| [`id`](#cdktfprovideroktatemplateemailconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#id TemplateEmail#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.connection" id="cdktfprovideroktatemplateemailconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.count" id="cdktfprovideroktatemplateemailconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.dependsOn" id="cdktfprovideroktatemplateemailconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.forEach" id="cdktfprovideroktatemplateemailconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.lifecycle" id="cdktfprovideroktatemplateemailconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.provider" id="cdktfprovideroktatemplateemailconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.provisioners" id="cdktfprovideroktatemplateemailconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `translations`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.translations" id="cdktfprovideroktatemplateemailconfigpropertytranslations"></a>

```typescript
public readonly translations: IResolvable | TemplateEmailTranslations[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)[]

translations block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#translations TemplateEmail#translations}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.type" id="cdktfprovideroktatemplateemailconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Email template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#type TemplateEmail#type}

---

##### `defaultLanguage`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.defaultLanguage" id="cdktfprovideroktatemplateemailconfigpropertydefaultlanguage"></a>

```typescript
public readonly defaultLanguage: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#default_language TemplateEmail#default_language}.

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailConfig.property.id" id="cdktfprovideroktatemplateemailconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#id TemplateEmail#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### TemplateEmailTranslations <a name="@cdktf/provider-okta.TemplateEmailTranslations" id="cdktfprovideroktatemplateemailtranslations"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { TemplateEmailTranslations } from '@cdktf/provider-okta'

const templateEmailTranslations: TemplateEmailTranslations = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`language`](#cdktfprovideroktatemplateemailtranslationspropertylanguage)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#language TemplateEmail#language}. |
| [`subject`](#cdktfprovideroktatemplateemailtranslationspropertysubject)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#subject TemplateEmail#subject}. |
| [`template`](#cdktfprovideroktatemplateemailtranslationspropertytemplate)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#template TemplateEmail#template}. |

---

##### `language`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslations.property.language" id="cdktfprovideroktatemplateemailtranslationspropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#language TemplateEmail#language}.

---

##### `subject`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslations.property.subject" id="cdktfprovideroktatemplateemailtranslationspropertysubject"></a>

```typescript
public readonly subject: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#subject TemplateEmail#subject}.

---

##### `template`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslations.property.template" id="cdktfprovideroktatemplateemailtranslationspropertytemplate"></a>

```typescript
public readonly template: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#template TemplateEmail#template}.

---

### TemplateSmsConfig <a name="@cdktf/provider-okta.TemplateSmsConfig" id="cdktfprovideroktatemplatesmsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { TemplateSmsConfig } from '@cdktf/provider-okta'

const templateSmsConfig: TemplateSmsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktatemplatesmsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktatemplatesmsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktatemplatesmsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktatemplatesmsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktatemplatesmsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktatemplatesmsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktatemplatesmsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`template`](#cdktfprovideroktatemplatesmsconfigpropertytemplate)<span title="Required">*</span> | `string` | SMS default template. |
| [`type`](#cdktfprovideroktatemplatesmsconfigpropertytype)<span title="Required">*</span> | `string` | SMS template type. |
| [`id`](#cdktfprovideroktatemplatesmsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#id TemplateSms#id}. |
| [`translations`](#cdktfprovideroktatemplatesmsconfigpropertytranslations) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)[] | translations block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.connection" id="cdktfprovideroktatemplatesmsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.count" id="cdktfprovideroktatemplatesmsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.dependsOn" id="cdktfprovideroktatemplatesmsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.forEach" id="cdktfprovideroktatemplatesmsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.lifecycle" id="cdktfprovideroktatemplatesmsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.provider" id="cdktfprovideroktatemplatesmsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.provisioners" id="cdktfprovideroktatemplatesmsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `template`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.template" id="cdktfprovideroktatemplatesmsconfigpropertytemplate"></a>

```typescript
public readonly template: string;
```

- *Type:* `string`

SMS default template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#template TemplateSms#template}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.type" id="cdktfprovideroktatemplatesmsconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

SMS template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#type TemplateSms#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.id" id="cdktfprovideroktatemplatesmsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#id TemplateSms#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `translations`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsConfig.property.translations" id="cdktfprovideroktatemplatesmsconfigpropertytranslations"></a>

```typescript
public readonly translations: IResolvable | TemplateSmsTranslations[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)[]

translations block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#translations TemplateSms#translations}

---

### TemplateSmsTranslations <a name="@cdktf/provider-okta.TemplateSmsTranslations" id="cdktfprovideroktatemplatesmstranslations"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { TemplateSmsTranslations } from '@cdktf/provider-okta'

const templateSmsTranslations: TemplateSmsTranslations = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`language`](#cdktfprovideroktatemplatesmstranslationspropertylanguage)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#language TemplateSms#language}. |
| [`template`](#cdktfprovideroktatemplatesmstranslationspropertytemplate)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#template TemplateSms#template}. |

---

##### `language`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslations.property.language" id="cdktfprovideroktatemplatesmstranslationspropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#language TemplateSms#language}.

---

##### `template`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslations.property.template" id="cdktfprovideroktatemplatesmstranslationspropertytemplate"></a>

```typescript
public readonly template: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#template TemplateSms#template}.

---

### ThemeConfig <a name="@cdktf/provider-okta.ThemeConfig" id="cdktfprovideroktathemeconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ThemeConfig } from '@cdktf/provider-okta'

const themeConfig: ThemeConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktathemeconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktathemeconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktathemeconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktathemeconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktathemeconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktathemeconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktathemeconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`brandId`](#cdktfprovideroktathemeconfigpropertybrandid)<span title="Required">*</span> | `string` | Brand ID. |
| [`backgroundImage`](#cdktfprovideroktathemeconfigpropertybackgroundimage) | `string` | Path to local file. |
| [`emailTemplateTouchPointVariant`](#cdktfprovideroktathemeconfigpropertyemailtemplatetouchpointvariant) | `string` | Variant for email templates (`OKTA_DEFAULT`, `FULL_THEME`). |
| [`endUserDashboardTouchPointVariant`](#cdktfprovideroktathemeconfigpropertyenduserdashboardtouchpointvariant) | `string` | Variant for the Okta End-User Dashboard (`OKTA_DEFAULT`, `WHITE_LOGO_BACKGROUND`, `FULL_THEME`, `LOGO_ON_FULL_WHITE_BACKGROUND`). |
| [`errorPageTouchPointVariant`](#cdktfprovideroktathemeconfigpropertyerrorpagetouchpointvariant) | `string` | Variant for the error page (`OKTA_DEFAULT`, `BACKGROUND_SECONDARY_COLOR`, `BACKGROUND_IMAGE`). |
| [`favicon`](#cdktfprovideroktathemeconfigpropertyfavicon) | `string` | Path to local file. |
| [`logo`](#cdktfprovideroktathemeconfigpropertylogo) | `string` | Path to local file. |
| [`primaryColorContrastHex`](#cdktfprovideroktathemeconfigpropertyprimarycolorcontrasthex) | `string` | Primary color contrast hex code. |
| [`primaryColorHex`](#cdktfprovideroktathemeconfigpropertyprimarycolorhex) | `string` | Primary color hex code. |
| [`secondaryColorContrastHex`](#cdktfprovideroktathemeconfigpropertysecondarycolorcontrasthex) | `string` | Secondary color contrast hex code. |
| [`secondaryColorHex`](#cdktfprovideroktathemeconfigpropertysecondarycolorhex) | `string` | Secondary color hex code. |
| [`signInPageTouchPointVariant`](#cdktfprovideroktathemeconfigpropertysigninpagetouchpointvariant) | `string` | Variant for the Okta Sign-In Page (`OKTA_DEFAULT`, `BACKGROUND_SECONDARY_COLOR`, `BACKGROUND_IMAGE`). |
| [`themeId`](#cdktfprovideroktathemeconfigpropertythemeid) | `string` | Theme ID - Note: Okta API for theme only reads and updates therefore the okta_theme resource needs to act as a quasi data source. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.connection" id="cdktfprovideroktathemeconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.count" id="cdktfprovideroktathemeconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.dependsOn" id="cdktfprovideroktathemeconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.forEach" id="cdktfprovideroktathemeconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.lifecycle" id="cdktfprovideroktathemeconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.provider" id="cdktfprovideroktathemeconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.provisioners" id="cdktfprovideroktathemeconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `brandId`<sup>Required</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.brandId" id="cdktfprovideroktathemeconfigpropertybrandid"></a>

```typescript
public readonly brandId: string;
```

- *Type:* `string`

Brand ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#brand_id Theme#brand_id}

---

##### `backgroundImage`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.backgroundImage" id="cdktfprovideroktathemeconfigpropertybackgroundimage"></a>

```typescript
public readonly backgroundImage: string;
```

- *Type:* `string`

Path to local file.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#background_image Theme#background_image}

---

##### `emailTemplateTouchPointVariant`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.emailTemplateTouchPointVariant" id="cdktfprovideroktathemeconfigpropertyemailtemplatetouchpointvariant"></a>

```typescript
public readonly emailTemplateTouchPointVariant: string;
```

- *Type:* `string`

Variant for email templates (`OKTA_DEFAULT`, `FULL_THEME`).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#email_template_touch_point_variant Theme#email_template_touch_point_variant}

---

##### `endUserDashboardTouchPointVariant`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.endUserDashboardTouchPointVariant" id="cdktfprovideroktathemeconfigpropertyenduserdashboardtouchpointvariant"></a>

```typescript
public readonly endUserDashboardTouchPointVariant: string;
```

- *Type:* `string`

Variant for the Okta End-User Dashboard (`OKTA_DEFAULT`, `WHITE_LOGO_BACKGROUND`, `FULL_THEME`, `LOGO_ON_FULL_WHITE_BACKGROUND`).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#end_user_dashboard_touch_point_variant Theme#end_user_dashboard_touch_point_variant}

---

##### `errorPageTouchPointVariant`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.errorPageTouchPointVariant" id="cdktfprovideroktathemeconfigpropertyerrorpagetouchpointvariant"></a>

```typescript
public readonly errorPageTouchPointVariant: string;
```

- *Type:* `string`

Variant for the error page (`OKTA_DEFAULT`, `BACKGROUND_SECONDARY_COLOR`, `BACKGROUND_IMAGE`).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#error_page_touch_point_variant Theme#error_page_touch_point_variant}

---

##### `favicon`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.favicon" id="cdktfprovideroktathemeconfigpropertyfavicon"></a>

```typescript
public readonly favicon: string;
```

- *Type:* `string`

Path to local file.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#favicon Theme#favicon}

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.logo" id="cdktfprovideroktathemeconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Path to local file.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#logo Theme#logo}

---

##### `primaryColorContrastHex`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.primaryColorContrastHex" id="cdktfprovideroktathemeconfigpropertyprimarycolorcontrasthex"></a>

```typescript
public readonly primaryColorContrastHex: string;
```

- *Type:* `string`

Primary color contrast hex code.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#primary_color_contrast_hex Theme#primary_color_contrast_hex}

---

##### `primaryColorHex`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.primaryColorHex" id="cdktfprovideroktathemeconfigpropertyprimarycolorhex"></a>

```typescript
public readonly primaryColorHex: string;
```

- *Type:* `string`

Primary color hex code.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#primary_color_hex Theme#primary_color_hex}

---

##### `secondaryColorContrastHex`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.secondaryColorContrastHex" id="cdktfprovideroktathemeconfigpropertysecondarycolorcontrasthex"></a>

```typescript
public readonly secondaryColorContrastHex: string;
```

- *Type:* `string`

Secondary color contrast hex code.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#secondary_color_contrast_hex Theme#secondary_color_contrast_hex}

---

##### `secondaryColorHex`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.secondaryColorHex" id="cdktfprovideroktathemeconfigpropertysecondarycolorhex"></a>

```typescript
public readonly secondaryColorHex: string;
```

- *Type:* `string`

Secondary color hex code.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#secondary_color_hex Theme#secondary_color_hex}

---

##### `signInPageTouchPointVariant`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.signInPageTouchPointVariant" id="cdktfprovideroktathemeconfigpropertysigninpagetouchpointvariant"></a>

```typescript
public readonly signInPageTouchPointVariant: string;
```

- *Type:* `string`

Variant for the Okta Sign-In Page (`OKTA_DEFAULT`, `BACKGROUND_SECONDARY_COLOR`, `BACKGROUND_IMAGE`).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#sign_in_page_touch_point_variant Theme#sign_in_page_touch_point_variant}

---

##### `themeId`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThemeConfig.property.themeId" id="cdktfprovideroktathemeconfigpropertythemeid"></a>

```typescript
public readonly themeId: string;
```

- *Type:* `string`

Theme ID - Note: Okta API for theme only reads and updates therefore the okta_theme resource needs to act as a quasi data source.

Do this by setting theme_id.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/theme#theme_id Theme#theme_id}

---

### ThreatInsightSettingsConfig <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig" id="cdktfprovideroktathreatinsightsettingsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ThreatInsightSettingsConfig } from '@cdktf/provider-okta'

const threatInsightSettingsConfig: ThreatInsightSettingsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktathreatinsightsettingsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktathreatinsightsettingsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktathreatinsightsettingsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktathreatinsightsettingsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktathreatinsightsettingsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktathreatinsightsettingsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktathreatinsightsettingsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`action`](#cdktfprovideroktathreatinsightsettingsconfigpropertyaction)<span title="Required">*</span> | `string` | Specifies how Okta responds to authentication requests from suspicious IPs. |
| [`id`](#cdktfprovideroktathreatinsightsettingsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/threat_insight_settings#id ThreatInsightSettings#id}. |
| [`networkExcludes`](#cdktfprovideroktathreatinsightsettingsconfigpropertynetworkexcludes) | `string`[] | List of Network Zone IDs to exclude to be not logged or blocked by Okta ThreatInsight and proceed to Sign On rules evaluation. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.connection" id="cdktfprovideroktathreatinsightsettingsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.count" id="cdktfprovideroktathreatinsightsettingsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.dependsOn" id="cdktfprovideroktathreatinsightsettingsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.forEach" id="cdktfprovideroktathreatinsightsettingsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.lifecycle" id="cdktfprovideroktathreatinsightsettingsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.provider" id="cdktfprovideroktathreatinsightsettingsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.provisioners" id="cdktfprovideroktathreatinsightsettingsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `action`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.action" id="cdktfprovideroktathreatinsightsettingsconfigpropertyaction"></a>

```typescript
public readonly action: string;
```

- *Type:* `string`

Specifies how Okta responds to authentication requests from suspicious IPs.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/threat_insight_settings#action ThreatInsightSettings#action}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.id" id="cdktfprovideroktathreatinsightsettingsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/threat_insight_settings#id ThreatInsightSettings#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `networkExcludes`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreatInsightSettingsConfig.property.networkExcludes" id="cdktfprovideroktathreatinsightsettingsconfigpropertynetworkexcludes"></a>

```typescript
public readonly networkExcludes: string[];
```

- *Type:* `string`[]

List of Network Zone IDs to exclude to be not logged or blocked by Okta ThreatInsight and proceed to Sign On rules evaluation.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/threat_insight_settings#network_excludes ThreatInsightSettings#network_excludes}

---

### ThreeFieldAppConfig <a name="@cdktf/provider-okta.ThreeFieldAppConfig" id="cdktfprovideroktathreefieldappconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ThreeFieldAppConfig } from '@cdktf/provider-okta'

const threeFieldAppConfig: ThreeFieldAppConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktathreefieldappconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktathreefieldappconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktathreefieldappconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktathreefieldappconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktathreefieldappconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktathreefieldappconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktathreefieldappconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`buttonSelector`](#cdktfprovideroktathreefieldappconfigpropertybuttonselector)<span title="Required">*</span> | `string` | Login button field CSS selector. |
| [`extraFieldSelector`](#cdktfprovideroktathreefieldappconfigpropertyextrafieldselector)<span title="Required">*</span> | `string` | Extra field CSS selector. |
| [`extraFieldValue`](#cdktfprovideroktathreefieldappconfigpropertyextrafieldvalue)<span title="Required">*</span> | `string` | Value for extra form field. |
| [`label`](#cdktfprovideroktathreefieldappconfigpropertylabel)<span title="Required">*</span> | `string` | Pretty name of app. |
| [`passwordSelector`](#cdktfprovideroktathreefieldappconfigpropertypasswordselector)<span title="Required">*</span> | `string` | Login password field CSS selector. |
| [`url`](#cdktfprovideroktathreefieldappconfigpropertyurl)<span title="Required">*</span> | `string` | Login URL. |
| [`usernameSelector`](#cdktfprovideroktathreefieldappconfigpropertyusernameselector)<span title="Required">*</span> | `string` | Login username field CSS selector. |
| [`accessibilityErrorRedirectUrl`](#cdktfprovideroktathreefieldappconfigpropertyaccessibilityerrorredirecturl) | `string` | Custom error page URL. |
| [`accessibilityLoginRedirectUrl`](#cdktfprovideroktathreefieldappconfigpropertyaccessibilityloginredirecturl) | `string` | Custom login page URL. |
| [`accessibilitySelfService`](#cdktfprovideroktathreefieldappconfigpropertyaccessibilityselfservice) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Enable self service. |
| [`adminNote`](#cdktfprovideroktathreefieldappconfigpropertyadminnote) | `string` | Application notes for admins. |
| [`appLinksJson`](#cdktfprovideroktathreefieldappconfigpropertyapplinksjson) | `string` | Displays specific appLinks for the app. |
| [`autoSubmitToolbar`](#cdktfprovideroktathreefieldappconfigpropertyautosubmittoolbar) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Display auto submit toolbar. |
| [`credentialsScheme`](#cdktfprovideroktathreefieldappconfigpropertycredentialsscheme) | `string` | Application credentials scheme. |
| [`enduserNote`](#cdktfprovideroktathreefieldappconfigpropertyendusernote) | `string` | Application notes for end users. |
| [`groups`](#cdktfprovideroktathreefieldappconfigpropertygroups) | `string`[] | Groups associated with the application. |
| [`hideIos`](#cdktfprovideroktathreefieldappconfigpropertyhideios) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon on mobile app. |
| [`hideWeb`](#cdktfprovideroktathreefieldappconfigpropertyhideweb) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Do not display application icon to users. |
| [`id`](#cdktfprovideroktathreefieldappconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#id ThreeFieldApp#id}. |
| [`logo`](#cdktfprovideroktathreefieldappconfigpropertylogo) | `string` | Local path to logo of the application. |
| [`revealPassword`](#cdktfprovideroktathreefieldappconfigpropertyrevealpassword) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Allow user to reveal password. |
| [`sharedPassword`](#cdktfprovideroktathreefieldappconfigpropertysharedpassword) | `string` | Shared password, required for certain schemes. |
| [`sharedUsername`](#cdktfprovideroktathreefieldappconfigpropertysharedusername) | `string` | Shared username, required for certain schemes. |
| [`skipGroups`](#cdktfprovideroktathreefieldappconfigpropertyskipgroups) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources. |
| [`skipUsers`](#cdktfprovideroktathreefieldappconfigpropertyskipusers) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources. |
| [`status`](#cdktfprovideroktathreefieldappconfigpropertystatus) | `string` | Status of application. |
| [`urlRegex`](#cdktfprovideroktathreefieldappconfigpropertyurlregex) | `string` | A regex that further restricts URL to the specified regex. |
| [`userNameTemplate`](#cdktfprovideroktathreefieldappconfigpropertyusernametemplate) | `string` | Username template. |
| [`userNameTemplatePushStatus`](#cdktfprovideroktathreefieldappconfigpropertyusernametemplatepushstatus) | `string` | Push username on update. |
| [`userNameTemplateSuffix`](#cdktfprovideroktathreefieldappconfigpropertyusernametemplatesuffix) | `string` | Username template suffix. |
| [`userNameTemplateType`](#cdktfprovideroktathreefieldappconfigpropertyusernametemplatetype) | `string` | Username template type. |
| [`users`](#cdktfprovideroktathreefieldappconfigpropertyusers) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)[] | users block. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.connection" id="cdktfprovideroktathreefieldappconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.count" id="cdktfprovideroktathreefieldappconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.dependsOn" id="cdktfprovideroktathreefieldappconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.forEach" id="cdktfprovideroktathreefieldappconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.lifecycle" id="cdktfprovideroktathreefieldappconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.provider" id="cdktfprovideroktathreefieldappconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.provisioners" id="cdktfprovideroktathreefieldappconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `buttonSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.buttonSelector" id="cdktfprovideroktathreefieldappconfigpropertybuttonselector"></a>

```typescript
public readonly buttonSelector: string;
```

- *Type:* `string`

Login button field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#button_selector ThreeFieldApp#button_selector}

---

##### `extraFieldSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.extraFieldSelector" id="cdktfprovideroktathreefieldappconfigpropertyextrafieldselector"></a>

```typescript
public readonly extraFieldSelector: string;
```

- *Type:* `string`

Extra field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#extra_field_selector ThreeFieldApp#extra_field_selector}

---

##### `extraFieldValue`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.extraFieldValue" id="cdktfprovideroktathreefieldappconfigpropertyextrafieldvalue"></a>

```typescript
public readonly extraFieldValue: string;
```

- *Type:* `string`

Value for extra form field.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#extra_field_value ThreeFieldApp#extra_field_value}

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.label" id="cdktfprovideroktathreefieldappconfigpropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

Pretty name of app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#label ThreeFieldApp#label}

---

##### `passwordSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.passwordSelector" id="cdktfprovideroktathreefieldappconfigpropertypasswordselector"></a>

```typescript
public readonly passwordSelector: string;
```

- *Type:* `string`

Login password field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#password_selector ThreeFieldApp#password_selector}

---

##### `url`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.url" id="cdktfprovideroktathreefieldappconfigpropertyurl"></a>

```typescript
public readonly url: string;
```

- *Type:* `string`

Login URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#url ThreeFieldApp#url}

---

##### `usernameSelector`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.usernameSelector" id="cdktfprovideroktathreefieldappconfigpropertyusernameselector"></a>

```typescript
public readonly usernameSelector: string;
```

- *Type:* `string`

Login username field CSS selector.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#username_selector ThreeFieldApp#username_selector}

---

##### `accessibilityErrorRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.accessibilityErrorRedirectUrl" id="cdktfprovideroktathreefieldappconfigpropertyaccessibilityerrorredirecturl"></a>

```typescript
public readonly accessibilityErrorRedirectUrl: string;
```

- *Type:* `string`

Custom error page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#accessibility_error_redirect_url ThreeFieldApp#accessibility_error_redirect_url}

---

##### `accessibilityLoginRedirectUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.accessibilityLoginRedirectUrl" id="cdktfprovideroktathreefieldappconfigpropertyaccessibilityloginredirecturl"></a>

```typescript
public readonly accessibilityLoginRedirectUrl: string;
```

- *Type:* `string`

Custom login page URL.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#accessibility_login_redirect_url ThreeFieldApp#accessibility_login_redirect_url}

---

##### `accessibilitySelfService`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.accessibilitySelfService" id="cdktfprovideroktathreefieldappconfigpropertyaccessibilityselfservice"></a>

```typescript
public readonly accessibilitySelfService: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Enable self service.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#accessibility_self_service ThreeFieldApp#accessibility_self_service}

---

##### `adminNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.adminNote" id="cdktfprovideroktathreefieldappconfigpropertyadminnote"></a>

```typescript
public readonly adminNote: string;
```

- *Type:* `string`

Application notes for admins.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#admin_note ThreeFieldApp#admin_note}

---

##### `appLinksJson`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.appLinksJson" id="cdktfprovideroktathreefieldappconfigpropertyapplinksjson"></a>

```typescript
public readonly appLinksJson: string;
```

- *Type:* `string`

Displays specific appLinks for the app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#app_links_json ThreeFieldApp#app_links_json}

---

##### `autoSubmitToolbar`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.autoSubmitToolbar" id="cdktfprovideroktathreefieldappconfigpropertyautosubmittoolbar"></a>

```typescript
public readonly autoSubmitToolbar: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Display auto submit toolbar.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#auto_submit_toolbar ThreeFieldApp#auto_submit_toolbar}

---

##### `credentialsScheme`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.credentialsScheme" id="cdktfprovideroktathreefieldappconfigpropertycredentialsscheme"></a>

```typescript
public readonly credentialsScheme: string;
```

- *Type:* `string`

Application credentials scheme.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#credentials_scheme ThreeFieldApp#credentials_scheme}

---

##### `enduserNote`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.enduserNote" id="cdktfprovideroktathreefieldappconfigpropertyendusernote"></a>

```typescript
public readonly enduserNote: string;
```

- *Type:* `string`

Application notes for end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#enduser_note ThreeFieldApp#enduser_note}

---

##### `groups`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.groups" id="cdktfprovideroktathreefieldappconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

Groups associated with the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#groups ThreeFieldApp#groups}

---

##### `hideIos`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.hideIos" id="cdktfprovideroktathreefieldappconfigpropertyhideios"></a>

```typescript
public readonly hideIos: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon on mobile app.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#hide_ios ThreeFieldApp#hide_ios}

---

##### `hideWeb`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.hideWeb" id="cdktfprovideroktathreefieldappconfigpropertyhideweb"></a>

```typescript
public readonly hideWeb: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Do not display application icon to users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#hide_web ThreeFieldApp#hide_web}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.id" id="cdktfprovideroktathreefieldappconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#id ThreeFieldApp#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `logo`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.logo" id="cdktfprovideroktathreefieldappconfigpropertylogo"></a>

```typescript
public readonly logo: string;
```

- *Type:* `string`

Local path to logo of the application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#logo ThreeFieldApp#logo}

---

##### `revealPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.revealPassword" id="cdktfprovideroktathreefieldappconfigpropertyrevealpassword"></a>

```typescript
public readonly revealPassword: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Allow user to reveal password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#reveal_password ThreeFieldApp#reveal_password}

---

##### `sharedPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.sharedPassword" id="cdktfprovideroktathreefieldappconfigpropertysharedpassword"></a>

```typescript
public readonly sharedPassword: string;
```

- *Type:* `string`

Shared password, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#shared_password ThreeFieldApp#shared_password}

---

##### `sharedUsername`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.sharedUsername" id="cdktfprovideroktathreefieldappconfigpropertysharedusername"></a>

```typescript
public readonly sharedUsername: string;
```

- *Type:* `string`

Shared username, required for certain schemes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#shared_username ThreeFieldApp#shared_username}

---

##### `skipGroups`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.skipGroups" id="cdktfprovideroktathreefieldappconfigpropertyskipgroups"></a>

```typescript
public readonly skipGroups: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#skip_groups ThreeFieldApp#skip_groups}

---

##### `skipUsers`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.skipUsers" id="cdktfprovideroktathreefieldappconfigpropertyskipusers"></a>

```typescript
public readonly skipUsers: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#skip_users ThreeFieldApp#skip_users}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.status" id="cdktfprovideroktathreefieldappconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

Status of application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#status ThreeFieldApp#status}

---

##### `urlRegex`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.urlRegex" id="cdktfprovideroktathreefieldappconfigpropertyurlregex"></a>

```typescript
public readonly urlRegex: string;
```

- *Type:* `string`

A regex that further restricts URL to the specified regex.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#url_regex ThreeFieldApp#url_regex}

---

##### `userNameTemplate`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.userNameTemplate" id="cdktfprovideroktathreefieldappconfigpropertyusernametemplate"></a>

```typescript
public readonly userNameTemplate: string;
```

- *Type:* `string`

Username template.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#user_name_template ThreeFieldApp#user_name_template}

---

##### `userNameTemplatePushStatus`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.userNameTemplatePushStatus" id="cdktfprovideroktathreefieldappconfigpropertyusernametemplatepushstatus"></a>

```typescript
public readonly userNameTemplatePushStatus: string;
```

- *Type:* `string`

Push username on update.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#user_name_template_push_status ThreeFieldApp#user_name_template_push_status}

---

##### `userNameTemplateSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.userNameTemplateSuffix" id="cdktfprovideroktathreefieldappconfigpropertyusernametemplatesuffix"></a>

```typescript
public readonly userNameTemplateSuffix: string;
```

- *Type:* `string`

Username template suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#user_name_template_suffix ThreeFieldApp#user_name_template_suffix}

---

##### `userNameTemplateType`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.userNameTemplateType" id="cdktfprovideroktathreefieldappconfigpropertyusernametemplatetype"></a>

```typescript
public readonly userNameTemplateType: string;
```

- *Type:* `string`

Username template type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#user_name_template_type ThreeFieldApp#user_name_template_type}

---

##### `users`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppConfig.property.users" id="cdktfprovideroktathreefieldappconfigpropertyusers"></a>

```typescript
public readonly users: IResolvable | ThreeFieldAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)[]

users block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#users ThreeFieldApp#users}

---

### ThreeFieldAppUsers <a name="@cdktf/provider-okta.ThreeFieldAppUsers" id="cdktfprovideroktathreefieldappusers"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { ThreeFieldAppUsers } from '@cdktf/provider-okta'

const threeFieldAppUsers: ThreeFieldAppUsers = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktathreefieldappuserspropertyid) | `string` | User ID. |
| [`password`](#cdktfprovideroktathreefieldappuserspropertypassword) | `string` | Password for user application. |
| [`username`](#cdktfprovideroktathreefieldappuserspropertyusername) | `string` | Username for user. |

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsers.property.id" id="cdktfprovideroktathreefieldappuserspropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

User ID.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#id ThreeFieldApp#id}  Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsers.property.password" id="cdktfprovideroktathreefieldappuserspropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

Password for user application.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#password ThreeFieldApp#password}

---

##### `username`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsers.property.username" id="cdktfprovideroktathreefieldappuserspropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

Username for user.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/three_field_app#username ThreeFieldApp#username}

---

### TrustedOriginConfig <a name="@cdktf/provider-okta.TrustedOriginConfig" id="cdktfprovideroktatrustedoriginconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { TrustedOriginConfig } from '@cdktf/provider-okta'

const trustedOriginConfig: TrustedOriginConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktatrustedoriginconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktatrustedoriginconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktatrustedoriginconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktatrustedoriginconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktatrustedoriginconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktatrustedoriginconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktatrustedoriginconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`name`](#cdktfprovideroktatrustedoriginconfigpropertyname)<span title="Required">*</span> | `string` | Unique name for this trusted origin. |
| [`origin`](#cdktfprovideroktatrustedoriginconfigpropertyorigin)<span title="Required">*</span> | `string` | Unique origin URL for this trusted origin. |
| [`scopes`](#cdktfprovideroktatrustedoriginconfigpropertyscopes)<span title="Required">*</span> | `string`[] | Scopes of the Trusted Origin - can either be CORS or REDIRECT only. |
| [`active`](#cdktfprovideroktatrustedoriginconfigpropertyactive) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the Trusted Origin is active or not - can only be issued post-creation. |
| [`id`](#cdktfprovideroktatrustedoriginconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/trusted_origin#id TrustedOrigin#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.connection" id="cdktfprovideroktatrustedoriginconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.count" id="cdktfprovideroktatrustedoriginconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.dependsOn" id="cdktfprovideroktatrustedoriginconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.forEach" id="cdktfprovideroktatrustedoriginconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.lifecycle" id="cdktfprovideroktatrustedoriginconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.provider" id="cdktfprovideroktatrustedoriginconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.provisioners" id="cdktfprovideroktatrustedoriginconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.name" id="cdktfprovideroktatrustedoriginconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

Unique name for this trusted origin.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/trusted_origin#name TrustedOrigin#name}

---

##### `origin`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.origin" id="cdktfprovideroktatrustedoriginconfigpropertyorigin"></a>

```typescript
public readonly origin: string;
```

- *Type:* `string`

Unique origin URL for this trusted origin.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/trusted_origin#origin TrustedOrigin#origin}

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.scopes" id="cdktfprovideroktatrustedoriginconfigpropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

Scopes of the Trusted Origin - can either be CORS or REDIRECT only.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/trusted_origin#scopes TrustedOrigin#scopes}

---

##### `active`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.active" id="cdktfprovideroktatrustedoriginconfigpropertyactive"></a>

```typescript
public readonly active: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the Trusted Origin is active or not - can only be issued post-creation.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/trusted_origin#active TrustedOrigin#active}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.TrustedOriginConfig.property.id" id="cdktfprovideroktatrustedoriginconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/trusted_origin#id TrustedOrigin#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### UserAdminRolesConfig <a name="@cdktf/provider-okta.UserAdminRolesConfig" id="cdktfprovideroktauseradminrolesconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserAdminRolesConfig } from '@cdktf/provider-okta'

const userAdminRolesConfig: UserAdminRolesConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktauseradminrolesconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktauseradminrolesconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktauseradminrolesconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktauseradminrolesconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktauseradminrolesconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktauseradminrolesconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktauseradminrolesconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`adminRoles`](#cdktfprovideroktauseradminrolesconfigpropertyadminroles)<span title="Required">*</span> | `string`[] | User Okta admin roles - ie. ['APP_ADMIN', 'USER_ADMIN']. |
| [`userId`](#cdktfprovideroktauseradminrolesconfigpropertyuserid)<span title="Required">*</span> | `string` | ID of a Okta User. |
| [`disableNotifications`](#cdktfprovideroktauseradminrolesconfigpropertydisablenotifications) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | When this setting is enabled, the admins won't receive any of the default Okta administrator emails. |
| [`id`](#cdktfprovideroktauseradminrolesconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_admin_roles#id UserAdminRoles#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.connection" id="cdktfprovideroktauseradminrolesconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.count" id="cdktfprovideroktauseradminrolesconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.dependsOn" id="cdktfprovideroktauseradminrolesconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.forEach" id="cdktfprovideroktauseradminrolesconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.lifecycle" id="cdktfprovideroktauseradminrolesconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.provider" id="cdktfprovideroktauseradminrolesconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.provisioners" id="cdktfprovideroktauseradminrolesconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `adminRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.adminRoles" id="cdktfprovideroktauseradminrolesconfigpropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

User Okta admin roles - ie. ['APP_ADMIN', 'USER_ADMIN'].

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_admin_roles#admin_roles UserAdminRoles#admin_roles}

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.userId" id="cdktfprovideroktauseradminrolesconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

ID of a Okta User.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_admin_roles#user_id UserAdminRoles#user_id}

---

##### `disableNotifications`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.disableNotifications" id="cdktfprovideroktauseradminrolesconfigpropertydisablenotifications"></a>

```typescript
public readonly disableNotifications: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

When this setting is enabled, the admins won't receive any of the default Okta administrator emails.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_admin_roles#disable_notifications UserAdminRoles#disable_notifications}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserAdminRolesConfig.property.id" id="cdktfprovideroktauseradminrolesconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_admin_roles#id UserAdminRoles#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### UserBaseSchemaConfig <a name="@cdktf/provider-okta.UserBaseSchemaConfig" id="cdktfprovideroktauserbaseschemaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserBaseSchemaConfig } from '@cdktf/provider-okta'

const userBaseSchemaConfig: UserBaseSchemaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktauserbaseschemaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktauserbaseschemaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktauserbaseschemaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktauserbaseschemaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktauserbaseschemaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktauserbaseschemaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktauserbaseschemaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`index`](#cdktfprovideroktauserbaseschemaconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktauserbaseschemaconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktauserbaseschemaconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`id`](#cdktfprovideroktauserbaseschemaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#id UserBaseSchema#id}. |
| [`master`](#cdktfprovideroktauserbaseschemaconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`pattern`](#cdktfprovideroktauserbaseschemaconfigpropertypattern) | `string` | The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'. |
| [`permissions`](#cdktfprovideroktauserbaseschemaconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktauserbaseschemaconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`userType`](#cdktfprovideroktauserbaseschemaconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.connection" id="cdktfprovideroktauserbaseschemaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.count" id="cdktfprovideroktauserbaseschemaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.dependsOn" id="cdktfprovideroktauserbaseschemaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.forEach" id="cdktfprovideroktauserbaseschemaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.lifecycle" id="cdktfprovideroktauserbaseschemaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.provider" id="cdktfprovideroktauserbaseschemaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.provisioners" id="cdktfprovideroktauserbaseschemaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.index" id="cdktfprovideroktauserbaseschemaconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#index UserBaseSchema#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.title" id="cdktfprovideroktauserbaseschemaconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#title UserBaseSchema#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.type" id="cdktfprovideroktauserbaseschemaconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#type UserBaseSchema#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.id" id="cdktfprovideroktauserbaseschemaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#id UserBaseSchema#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.master" id="cdktfprovideroktauserbaseschemaconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#master UserBaseSchema#master}

---

##### `pattern`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.pattern" id="cdktfprovideroktauserbaseschemaconfigpropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#pattern UserBaseSchema#pattern}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.permissions" id="cdktfprovideroktauserbaseschemaconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#permissions UserBaseSchema#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.required" id="cdktfprovideroktauserbaseschemaconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#required UserBaseSchema#required}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaConfig.property.userType" id="cdktfprovideroktauserbaseschemaconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema#user_type UserBaseSchema#user_type}

---

### UserBaseSchemaPropertyConfig <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig" id="cdktfprovideroktauserbaseschemapropertyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserBaseSchemaPropertyConfig } from '@cdktf/provider-okta'

const userBaseSchemaPropertyConfig: UserBaseSchemaPropertyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktauserbaseschemapropertyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktauserbaseschemapropertyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktauserbaseschemapropertyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`index`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktauserbaseschemapropertyconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktauserbaseschemapropertyconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`id`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#id UserBaseSchemaProperty#id}. |
| [`master`](#cdktfprovideroktauserbaseschemapropertyconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`pattern`](#cdktfprovideroktauserbaseschemapropertyconfigpropertypattern) | `string` | The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'. |
| [`permissions`](#cdktfprovideroktauserbaseschemapropertyconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`userType`](#cdktfprovideroktauserbaseschemapropertyconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.connection" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.count" id="cdktfprovideroktauserbaseschemapropertyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.dependsOn" id="cdktfprovideroktauserbaseschemapropertyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.forEach" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.lifecycle" id="cdktfprovideroktauserbaseschemapropertyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.provider" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.provisioners" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.index" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#index UserBaseSchemaProperty#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.title" id="cdktfprovideroktauserbaseschemapropertyconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#title UserBaseSchemaProperty#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.type" id="cdktfprovideroktauserbaseschemapropertyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#type UserBaseSchemaProperty#type}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.id" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#id UserBaseSchemaProperty#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.master" id="cdktfprovideroktauserbaseschemapropertyconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#master UserBaseSchemaProperty#master}

---

##### `pattern`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.pattern" id="cdktfprovideroktauserbaseschemapropertyconfigpropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#pattern UserBaseSchemaProperty#pattern}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.permissions" id="cdktfprovideroktauserbaseschemapropertyconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#permissions UserBaseSchemaProperty#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.required" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#required UserBaseSchemaProperty#required}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserBaseSchemaPropertyConfig.property.userType" id="cdktfprovideroktauserbaseschemapropertyconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_base_schema_property#user_type UserBaseSchemaProperty#user_type}

---

### UserConfig <a name="@cdktf/provider-okta.UserConfig" id="cdktfprovideroktauserconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserConfig } from '@cdktf/provider-okta'

const userConfig: UserConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktauserconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktauserconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktauserconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktauserconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktauserconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktauserconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktauserconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`email`](#cdktfprovideroktauserconfigpropertyemail)<span title="Required">*</span> | `string` | User primary email address. |
| [`firstName`](#cdktfprovideroktauserconfigpropertyfirstname)<span title="Required">*</span> | `string` | User first name. |
| [`lastName`](#cdktfprovideroktauserconfigpropertylastname)<span title="Required">*</span> | `string` | User last name. |
| [`login`](#cdktfprovideroktauserconfigpropertylogin)<span title="Required">*</span> | `string` | User Okta login. |
| [`adminRoles`](#cdktfprovideroktauserconfigpropertyadminroles) | `string`[] | User Okta admin roles - ie. ['APP_ADMIN', 'USER_ADMIN']. |
| [`city`](#cdktfprovideroktauserconfigpropertycity) | `string` | User city. |
| [`costCenter`](#cdktfprovideroktauserconfigpropertycostcenter) | `string` | User cost center. |
| [`countryCode`](#cdktfprovideroktauserconfigpropertycountrycode) | `string` | User country code. |
| [`customProfileAttributes`](#cdktfprovideroktauserconfigpropertycustomprofileattributes) | `string` | JSON formatted custom attributes for a user. It must be JSON due to various types Okta allows. |
| [`department`](#cdktfprovideroktauserconfigpropertydepartment) | `string` | User department. |
| [`displayName`](#cdktfprovideroktauserconfigpropertydisplayname) | `string` | User display name, suitable to show end users. |
| [`division`](#cdktfprovideroktauserconfigpropertydivision) | `string` | User division. |
| [`employeeNumber`](#cdktfprovideroktauserconfigpropertyemployeenumber) | `string` | User employee number. |
| [`expirePasswordOnCreate`](#cdktfprovideroktauserconfigpropertyexpirepasswordoncreate) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | If set to `true`, the user will have to change the password at the next login. |
| [`groupMemberships`](#cdktfprovideroktauserconfigpropertygroupmemberships) | `string`[] | The groups that you want this user to be a part of. |
| [`honorificPrefix`](#cdktfprovideroktauserconfigpropertyhonorificprefix) | `string` | User honorific prefix. |
| [`honorificSuffix`](#cdktfprovideroktauserconfigpropertyhonorificsuffix) | `string` | User honorific suffix. |
| [`id`](#cdktfprovideroktauserconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#id User#id}. |
| [`locale`](#cdktfprovideroktauserconfigpropertylocale) | `string` | User default location. |
| [`manager`](#cdktfprovideroktauserconfigpropertymanager) | `string` | Manager of User. |
| [`managerId`](#cdktfprovideroktauserconfigpropertymanagerid) | `string` | Manager ID of User. |
| [`middleName`](#cdktfprovideroktauserconfigpropertymiddlename) | `string` | User middle name. |
| [`mobilePhone`](#cdktfprovideroktauserconfigpropertymobilephone) | `string` | User mobile phone number. |
| [`nickName`](#cdktfprovideroktauserconfigpropertynickname) | `string` | User nickname. |
| [`oldPassword`](#cdktfprovideroktauserconfigpropertyoldpassword) | `string` | Old User Password. Should be only set in case the password was not changed using the provider. |
| [`organization`](#cdktfprovideroktauserconfigpropertyorganization) | `string` | User organization. |
| [`password`](#cdktfprovideroktauserconfigpropertypassword) | `string` | User Password. |
| [`passwordHash`](#cdktfprovideroktauserconfigpropertypasswordhash) | [`@cdktf/provider-okta.UserPasswordHash`](#@cdktf/provider-okta.UserPasswordHash) | password_hash block. |
| [`passwordInlineHook`](#cdktfprovideroktauserconfigpropertypasswordinlinehook) | `string` | When specified, the Password Inline Hook is triggered to handle verification of the end user's password the first time the user tries to sign in. |
| [`postalAddress`](#cdktfprovideroktauserconfigpropertypostaladdress) | `string` | User mailing address. |
| [`preferredLanguage`](#cdktfprovideroktauserconfigpropertypreferredlanguage) | `string` | User preferred language. |
| [`primaryPhone`](#cdktfprovideroktauserconfigpropertyprimaryphone) | `string` | User primary phone number. |
| [`profileUrl`](#cdktfprovideroktauserconfigpropertyprofileurl) | `string` | User online profile (web page). |
| [`recoveryAnswer`](#cdktfprovideroktauserconfigpropertyrecoveryanswer) | `string` | User Password Recovery Answer. |
| [`recoveryQuestion`](#cdktfprovideroktauserconfigpropertyrecoveryquestion) | `string` | User Password Recovery Question. |
| [`secondEmail`](#cdktfprovideroktauserconfigpropertysecondemail) | `string` | User secondary email address, used for account recovery. |
| [`state`](#cdktfprovideroktauserconfigpropertystate) | `string` | User state or region. |
| [`status`](#cdktfprovideroktauserconfigpropertystatus) | `string` | The status of the User in Okta - remove to set user back to active/provisioned. |
| [`streetAddress`](#cdktfprovideroktauserconfigpropertystreetaddress) | `string` | User street address. |
| [`timezone`](#cdktfprovideroktauserconfigpropertytimezone) | `string` | User default timezone. |
| [`title`](#cdktfprovideroktauserconfigpropertytitle) | `string` | User title. |
| [`userType`](#cdktfprovideroktauserconfigpropertyusertype) | `string` | User employee type. |
| [`zipCode`](#cdktfprovideroktauserconfigpropertyzipcode) | `string` | User zipcode or postal code. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.connection" id="cdktfprovideroktauserconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.count" id="cdktfprovideroktauserconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.dependsOn" id="cdktfprovideroktauserconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.forEach" id="cdktfprovideroktauserconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.lifecycle" id="cdktfprovideroktauserconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.provider" id="cdktfprovideroktauserconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.provisioners" id="cdktfprovideroktauserconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `email`<sup>Required</sup> <a name="@cdktf/provider-okta.UserConfig.property.email" id="cdktfprovideroktauserconfigpropertyemail"></a>

```typescript
public readonly email: string;
```

- *Type:* `string`

User primary email address.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#email User#email}

---

##### `firstName`<sup>Required</sup> <a name="@cdktf/provider-okta.UserConfig.property.firstName" id="cdktfprovideroktauserconfigpropertyfirstname"></a>

```typescript
public readonly firstName: string;
```

- *Type:* `string`

User first name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#first_name User#first_name}

---

##### `lastName`<sup>Required</sup> <a name="@cdktf/provider-okta.UserConfig.property.lastName" id="cdktfprovideroktauserconfigpropertylastname"></a>

```typescript
public readonly lastName: string;
```

- *Type:* `string`

User last name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#last_name User#last_name}

---

##### `login`<sup>Required</sup> <a name="@cdktf/provider-okta.UserConfig.property.login" id="cdktfprovideroktauserconfigpropertylogin"></a>

```typescript
public readonly login: string;
```

- *Type:* `string`

User Okta login.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#login User#login}

---

##### `adminRoles`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.adminRoles" id="cdktfprovideroktauserconfigpropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

User Okta admin roles - ie. ['APP_ADMIN', 'USER_ADMIN'].

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#admin_roles User#admin_roles}

---

##### `city`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.city" id="cdktfprovideroktauserconfigpropertycity"></a>

```typescript
public readonly city: string;
```

- *Type:* `string`

User city.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#city User#city}

---

##### `costCenter`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.costCenter" id="cdktfprovideroktauserconfigpropertycostcenter"></a>

```typescript
public readonly costCenter: string;
```

- *Type:* `string`

User cost center.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#cost_center User#cost_center}

---

##### `countryCode`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.countryCode" id="cdktfprovideroktauserconfigpropertycountrycode"></a>

```typescript
public readonly countryCode: string;
```

- *Type:* `string`

User country code.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#country_code User#country_code}

---

##### `customProfileAttributes`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.customProfileAttributes" id="cdktfprovideroktauserconfigpropertycustomprofileattributes"></a>

```typescript
public readonly customProfileAttributes: string;
```

- *Type:* `string`

JSON formatted custom attributes for a user. It must be JSON due to various types Okta allows.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#custom_profile_attributes User#custom_profile_attributes}

---

##### `department`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.department" id="cdktfprovideroktauserconfigpropertydepartment"></a>

```typescript
public readonly department: string;
```

- *Type:* `string`

User department.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#department User#department}

---

##### `displayName`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.displayName" id="cdktfprovideroktauserconfigpropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

User display name, suitable to show end users.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#display_name User#display_name}

---

##### `division`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.division" id="cdktfprovideroktauserconfigpropertydivision"></a>

```typescript
public readonly division: string;
```

- *Type:* `string`

User division.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#division User#division}

---

##### `employeeNumber`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.employeeNumber" id="cdktfprovideroktauserconfigpropertyemployeenumber"></a>

```typescript
public readonly employeeNumber: string;
```

- *Type:* `string`

User employee number.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#employee_number User#employee_number}

---

##### `expirePasswordOnCreate`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.expirePasswordOnCreate" id="cdktfprovideroktauserconfigpropertyexpirepasswordoncreate"></a>

```typescript
public readonly expirePasswordOnCreate: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

If set to `true`, the user will have to change the password at the next login.

This property will be used when user is being created and works only when `password` field is set  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#expire_password_on_create User#expire_password_on_create}

---

##### `groupMemberships`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.groupMemberships" id="cdktfprovideroktauserconfigpropertygroupmemberships"></a>

```typescript
public readonly groupMemberships: string[];
```

- *Type:* `string`[]

The groups that you want this user to be a part of.

This can also be done via the group using the `users` property.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#group_memberships User#group_memberships}

---

##### `honorificPrefix`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.honorificPrefix" id="cdktfprovideroktauserconfigpropertyhonorificprefix"></a>

```typescript
public readonly honorificPrefix: string;
```

- *Type:* `string`

User honorific prefix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#honorific_prefix User#honorific_prefix}

---

##### `honorificSuffix`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.honorificSuffix" id="cdktfprovideroktauserconfigpropertyhonorificsuffix"></a>

```typescript
public readonly honorificSuffix: string;
```

- *Type:* `string`

User honorific suffix.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#honorific_suffix User#honorific_suffix}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.id" id="cdktfprovideroktauserconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#id User#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `locale`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.locale" id="cdktfprovideroktauserconfigpropertylocale"></a>

```typescript
public readonly locale: string;
```

- *Type:* `string`

User default location.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#locale User#locale}

---

##### `manager`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.manager" id="cdktfprovideroktauserconfigpropertymanager"></a>

```typescript
public readonly manager: string;
```

- *Type:* `string`

Manager of User.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#manager User#manager}

---

##### `managerId`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.managerId" id="cdktfprovideroktauserconfigpropertymanagerid"></a>

```typescript
public readonly managerId: string;
```

- *Type:* `string`

Manager ID of User.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#manager_id User#manager_id}

---

##### `middleName`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.middleName" id="cdktfprovideroktauserconfigpropertymiddlename"></a>

```typescript
public readonly middleName: string;
```

- *Type:* `string`

User middle name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#middle_name User#middle_name}

---

##### `mobilePhone`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.mobilePhone" id="cdktfprovideroktauserconfigpropertymobilephone"></a>

```typescript
public readonly mobilePhone: string;
```

- *Type:* `string`

User mobile phone number.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#mobile_phone User#mobile_phone}

---

##### `nickName`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.nickName" id="cdktfprovideroktauserconfigpropertynickname"></a>

```typescript
public readonly nickName: string;
```

- *Type:* `string`

User nickname.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#nick_name User#nick_name}

---

##### `oldPassword`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.oldPassword" id="cdktfprovideroktauserconfigpropertyoldpassword"></a>

```typescript
public readonly oldPassword: string;
```

- *Type:* `string`

Old User Password. Should be only set in case the password was not changed using the provider.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#old_password User#old_password}

---

##### `organization`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.organization" id="cdktfprovideroktauserconfigpropertyorganization"></a>

```typescript
public readonly organization: string;
```

- *Type:* `string`

User organization.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#organization User#organization}

---

##### `password`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.password" id="cdktfprovideroktauserconfigpropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

User Password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#password User#password}

---

##### `passwordHash`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.passwordHash" id="cdktfprovideroktauserconfigpropertypasswordhash"></a>

```typescript
public readonly passwordHash: UserPasswordHash;
```

- *Type:* [`@cdktf/provider-okta.UserPasswordHash`](#@cdktf/provider-okta.UserPasswordHash)

password_hash block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#password_hash User#password_hash}

---

##### `passwordInlineHook`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.passwordInlineHook" id="cdktfprovideroktauserconfigpropertypasswordinlinehook"></a>

```typescript
public readonly passwordInlineHook: string;
```

- *Type:* `string`

When specified, the Password Inline Hook is triggered to handle verification of the end user's password the first time the user tries to sign in.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#password_inline_hook User#password_inline_hook}

---

##### `postalAddress`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.postalAddress" id="cdktfprovideroktauserconfigpropertypostaladdress"></a>

```typescript
public readonly postalAddress: string;
```

- *Type:* `string`

User mailing address.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#postal_address User#postal_address}

---

##### `preferredLanguage`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.preferredLanguage" id="cdktfprovideroktauserconfigpropertypreferredlanguage"></a>

```typescript
public readonly preferredLanguage: string;
```

- *Type:* `string`

User preferred language.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#preferred_language User#preferred_language}

---

##### `primaryPhone`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.primaryPhone" id="cdktfprovideroktauserconfigpropertyprimaryphone"></a>

```typescript
public readonly primaryPhone: string;
```

- *Type:* `string`

User primary phone number.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#primary_phone User#primary_phone}

---

##### `profileUrl`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.profileUrl" id="cdktfprovideroktauserconfigpropertyprofileurl"></a>

```typescript
public readonly profileUrl: string;
```

- *Type:* `string`

User online profile (web page).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#profile_url User#profile_url}

---

##### `recoveryAnswer`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.recoveryAnswer" id="cdktfprovideroktauserconfigpropertyrecoveryanswer"></a>

```typescript
public readonly recoveryAnswer: string;
```

- *Type:* `string`

User Password Recovery Answer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#recovery_answer User#recovery_answer}

---

##### `recoveryQuestion`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.recoveryQuestion" id="cdktfprovideroktauserconfigpropertyrecoveryquestion"></a>

```typescript
public readonly recoveryQuestion: string;
```

- *Type:* `string`

User Password Recovery Question.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#recovery_question User#recovery_question}

---

##### `secondEmail`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.secondEmail" id="cdktfprovideroktauserconfigpropertysecondemail"></a>

```typescript
public readonly secondEmail: string;
```

- *Type:* `string`

User secondary email address, used for account recovery.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#second_email User#second_email}

---

##### `state`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.state" id="cdktfprovideroktauserconfigpropertystate"></a>

```typescript
public readonly state: string;
```

- *Type:* `string`

User state or region.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#state User#state}

---

##### `status`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.status" id="cdktfprovideroktauserconfigpropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

The status of the User in Okta - remove to set user back to active/provisioned.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#status User#status}

---

##### `streetAddress`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.streetAddress" id="cdktfprovideroktauserconfigpropertystreetaddress"></a>

```typescript
public readonly streetAddress: string;
```

- *Type:* `string`

User street address.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#street_address User#street_address}

---

##### `timezone`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.timezone" id="cdktfprovideroktauserconfigpropertytimezone"></a>

```typescript
public readonly timezone: string;
```

- *Type:* `string`

User default timezone.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#timezone User#timezone}

---

##### `title`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.title" id="cdktfprovideroktauserconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

User title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#title User#title}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.userType" id="cdktfprovideroktauserconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

User employee type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#user_type User#user_type}

---

##### `zipCode`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserConfig.property.zipCode" id="cdktfprovideroktauserconfigpropertyzipcode"></a>

```typescript
public readonly zipCode: string;
```

- *Type:* `string`

User zipcode or postal code.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#zip_code User#zip_code}

---

### UserFactorQuestionConfig <a name="@cdktf/provider-okta.UserFactorQuestionConfig" id="cdktfprovideroktauserfactorquestionconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserFactorQuestionConfig } from '@cdktf/provider-okta'

const userFactorQuestionConfig: UserFactorQuestionConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktauserfactorquestionconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktauserfactorquestionconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktauserfactorquestionconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktauserfactorquestionconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktauserfactorquestionconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktauserfactorquestionconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktauserfactorquestionconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`answer`](#cdktfprovideroktauserfactorquestionconfigpropertyanswer)<span title="Required">*</span> | `string` | User password security answer. |
| [`key`](#cdktfprovideroktauserfactorquestionconfigpropertykey)<span title="Required">*</span> | `string` | Unique key for question. |
| [`userId`](#cdktfprovideroktauserfactorquestionconfigpropertyuserid)<span title="Required">*</span> | `string` | ID of a Okta User. |
| [`id`](#cdktfprovideroktauserfactorquestionconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_factor_question#id UserFactorQuestion#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.connection" id="cdktfprovideroktauserfactorquestionconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.count" id="cdktfprovideroktauserfactorquestionconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.dependsOn" id="cdktfprovideroktauserfactorquestionconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.forEach" id="cdktfprovideroktauserfactorquestionconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.lifecycle" id="cdktfprovideroktauserfactorquestionconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.provider" id="cdktfprovideroktauserfactorquestionconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.provisioners" id="cdktfprovideroktauserfactorquestionconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `answer`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.answer" id="cdktfprovideroktauserfactorquestionconfigpropertyanswer"></a>

```typescript
public readonly answer: string;
```

- *Type:* `string`

User password security answer.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_factor_question#answer UserFactorQuestion#answer}

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.key" id="cdktfprovideroktauserfactorquestionconfigpropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

Unique key for question.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_factor_question#key UserFactorQuestion#key}

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.userId" id="cdktfprovideroktauserfactorquestionconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

ID of a Okta User.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_factor_question#user_id UserFactorQuestion#user_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserFactorQuestionConfig.property.id" id="cdktfprovideroktauserfactorquestionconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_factor_question#id UserFactorQuestion#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### UserGroupMembershipsConfig <a name="@cdktf/provider-okta.UserGroupMembershipsConfig" id="cdktfprovideroktausergroupmembershipsconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserGroupMembershipsConfig } from '@cdktf/provider-okta'

const userGroupMembershipsConfig: UserGroupMembershipsConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktausergroupmembershipsconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktausergroupmembershipsconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktausergroupmembershipsconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktausergroupmembershipsconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktausergroupmembershipsconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktausergroupmembershipsconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktausergroupmembershipsconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`groups`](#cdktfprovideroktausergroupmembershipsconfigpropertygroups)<span title="Required">*</span> | `string`[] | The list of Okta group IDs which the user should have membership managed for. |
| [`userId`](#cdktfprovideroktausergroupmembershipsconfigpropertyuserid)<span title="Required">*</span> | `string` | ID of a Okta User. |
| [`id`](#cdktfprovideroktausergroupmembershipsconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_group_memberships#id UserGroupMemberships#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.connection" id="cdktfprovideroktausergroupmembershipsconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.count" id="cdktfprovideroktausergroupmembershipsconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.dependsOn" id="cdktfprovideroktausergroupmembershipsconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.forEach" id="cdktfprovideroktausergroupmembershipsconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.lifecycle" id="cdktfprovideroktausergroupmembershipsconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.provider" id="cdktfprovideroktausergroupmembershipsconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.provisioners" id="cdktfprovideroktausergroupmembershipsconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `groups`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.groups" id="cdktfprovideroktausergroupmembershipsconfigpropertygroups"></a>

```typescript
public readonly groups: string[];
```

- *Type:* `string`[]

The list of Okta group IDs which the user should have membership managed for.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_group_memberships#groups UserGroupMemberships#groups}

---

##### `userId`<sup>Required</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.userId" id="cdktfprovideroktausergroupmembershipsconfigpropertyuserid"></a>

```typescript
public readonly userId: string;
```

- *Type:* `string`

ID of a Okta User.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_group_memberships#user_id UserGroupMemberships#user_id}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserGroupMembershipsConfig.property.id" id="cdktfprovideroktausergroupmembershipsconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_group_memberships#id UserGroupMemberships#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

### UserPasswordHash <a name="@cdktf/provider-okta.UserPasswordHash" id="cdktfprovideroktauserpasswordhash"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserPasswordHash } from '@cdktf/provider-okta'

const userPasswordHash: UserPasswordHash = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`algorithm`](#cdktfprovideroktauserpasswordhashpropertyalgorithm)<span title="Required">*</span> | `string` | The algorithm used to generate the hash using the password. |
| [`value`](#cdktfprovideroktauserpasswordhashpropertyvalue)<span title="Required">*</span> | `string` | For SHA-512, SHA-256, SHA-1, MD5, This is the actual base64-encoded hash of the password (and salt, if used). |
| [`salt`](#cdktfprovideroktauserpasswordhashpropertysalt) | `string` | Only required for salted hashes. |
| [`saltOrder`](#cdktfprovideroktauserpasswordhashpropertysaltorder) | `string` | Specifies whether salt was pre- or postfixed to the password before hashing. |
| [`workFactor`](#cdktfprovideroktauserpasswordhashpropertyworkfactor) | `number` | Governs the strength of the hash and the time required to compute it. Only required for BCRYPT algorithm. |

---

##### `algorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHash.property.algorithm" id="cdktfprovideroktauserpasswordhashpropertyalgorithm"></a>

```typescript
public readonly algorithm: string;
```

- *Type:* `string`

The algorithm used to generate the hash using the password.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#algorithm User#algorithm}

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHash.property.value" id="cdktfprovideroktauserpasswordhashpropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

For SHA-512, SHA-256, SHA-1, MD5, This is the actual base64-encoded hash of the password (and salt, if used).

This is the Base64 encoded value of the SHA-512/SHA-256/SHA-1/MD5 digest that was computed by either pre-fixing or post-fixing the salt to the password, depending on the saltOrder. If a salt was not used in the source system, then this should just be the the Base64 encoded value of the password's SHA-512/SHA-256/SHA-1/MD5 digest. For BCRYPT, This is the actual radix64-encoded hashed password.  Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#value User#value}

---

##### `salt`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHash.property.salt" id="cdktfprovideroktauserpasswordhashpropertysalt"></a>

```typescript
public readonly salt: string;
```

- *Type:* `string`

Only required for salted hashes.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#salt User#salt}

---

##### `saltOrder`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHash.property.saltOrder" id="cdktfprovideroktauserpasswordhashpropertysaltorder"></a>

```typescript
public readonly saltOrder: string;
```

- *Type:* `string`

Specifies whether salt was pre- or postfixed to the password before hashing.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#salt_order User#salt_order}

---

##### `workFactor`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHash.property.workFactor" id="cdktfprovideroktauserpasswordhashpropertyworkfactor"></a>

```typescript
public readonly workFactor: number;
```

- *Type:* `number`

Governs the strength of the hash and the time required to compute it. Only required for BCRYPT algorithm.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user#work_factor User#work_factor}

---

### UserSchemaArrayOneOf <a name="@cdktf/provider-okta.UserSchemaArrayOneOf" id="cdktfprovideroktauserschemaarrayoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaArrayOneOf } from '@cdktf/provider-okta'

const userSchemaArrayOneOf: UserSchemaArrayOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktauserschemaarrayoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktauserschemaarrayoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOf.property.const" id="cdktfprovideroktauserschemaarrayoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#const UserSchema#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOf.property.title" id="cdktfprovideroktauserschemaarrayoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#title UserSchema#title}

---

### UserSchemaConfig <a name="@cdktf/provider-okta.UserSchemaConfig" id="cdktfprovideroktauserschemaconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaConfig } from '@cdktf/provider-okta'

const userSchemaConfig: UserSchemaConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktauserschemaconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktauserschemaconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktauserschemaconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktauserschemaconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktauserschemaconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktauserschemaconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktauserschemaconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`index`](#cdktfprovideroktauserschemaconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktauserschemaconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktauserschemaconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`arrayEnum`](#cdktfprovideroktauserschemaconfigpropertyarrayenum) | `string`[] | Custom Subschema enumerated value of a property of type array. |
| [`arrayOneOf`](#cdktfprovideroktauserschemaconfigpropertyarrayoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)[] | array_one_of block. |
| [`arrayType`](#cdktfprovideroktauserschemaconfigpropertyarraytype) | `string` | Subschema array type: string, number, integer, reference. Type field must be an array. |
| [`description`](#cdktfprovideroktauserschemaconfigpropertydescription) | `string` | Custom Subschema description. |
| [`enum`](#cdktfprovideroktauserschemaconfigpropertyenum) | `string`[] | Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object. |
| [`externalName`](#cdktfprovideroktauserschemaconfigpropertyexternalname) | `string` | Subschema external name. |
| [`externalNamespace`](#cdktfprovideroktauserschemaconfigpropertyexternalnamespace) | `string` | Subschema external namespace. |
| [`id`](#cdktfprovideroktauserschemaconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#id UserSchema#id}. |
| [`master`](#cdktfprovideroktauserschemaconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`masterOverridePriority`](#cdktfprovideroktauserschemaconfigpropertymasteroverridepriority) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)[] | master_override_priority block. |
| [`maxLength`](#cdktfprovideroktauserschemaconfigpropertymaxlength) | `number` | Subschema of type string maximum length. |
| [`minLength`](#cdktfprovideroktauserschemaconfigpropertyminlength) | `number` | Subschema of type string minimum length. |
| [`oneOf`](#cdktfprovideroktauserschemaconfigpropertyoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)[] | one_of block. |
| [`pattern`](#cdktfprovideroktauserschemaconfigpropertypattern) | `string` | The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'. |
| [`permissions`](#cdktfprovideroktauserschemaconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktauserschemaconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`scope`](#cdktfprovideroktauserschemaconfigpropertyscope) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#scope UserSchema#scope}. |
| [`unique`](#cdktfprovideroktauserschemaconfigpropertyunique) | `string` | Subschema unique restriction. |
| [`userType`](#cdktfprovideroktauserschemaconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.connection" id="cdktfprovideroktauserschemaconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.count" id="cdktfprovideroktauserschemaconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.dependsOn" id="cdktfprovideroktauserschemaconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.forEach" id="cdktfprovideroktauserschemaconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.lifecycle" id="cdktfprovideroktauserschemaconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.provider" id="cdktfprovideroktauserschemaconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.provisioners" id="cdktfprovideroktauserschemaconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.index" id="cdktfprovideroktauserschemaconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#index UserSchema#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.title" id="cdktfprovideroktauserschemaconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#title UserSchema#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.type" id="cdktfprovideroktauserschemaconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#type UserSchema#type}

---

##### `arrayEnum`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.arrayEnum" id="cdktfprovideroktauserschemaconfigpropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of a property of type array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#array_enum UserSchema#array_enum}

---

##### `arrayOneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.arrayOneOf" id="cdktfprovideroktauserschemaconfigpropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: IResolvable | UserSchemaArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)[]

array_one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#array_one_of UserSchema#array_one_of}

---

##### `arrayType`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.arrayType" id="cdktfprovideroktauserschemaconfigpropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

Subschema array type: string, number, integer, reference. Type field must be an array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#array_type UserSchema#array_type}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.description" id="cdktfprovideroktauserschemaconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Custom Subschema description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#description UserSchema#description}

---

##### `enum`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.enum" id="cdktfprovideroktauserschemaconfigpropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#enum UserSchema#enum}

---

##### `externalName`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.externalName" id="cdktfprovideroktauserschemaconfigpropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

Subschema external name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#external_name UserSchema#external_name}

---

##### `externalNamespace`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.externalNamespace" id="cdktfprovideroktauserschemaconfigpropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

Subschema external namespace.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#external_namespace UserSchema#external_namespace}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.id" id="cdktfprovideroktauserschemaconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#id UserSchema#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.master" id="cdktfprovideroktauserschemaconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#master UserSchema#master}

---

##### `masterOverridePriority`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.masterOverridePriority" id="cdktfprovideroktauserschemaconfigpropertymasteroverridepriority"></a>

```typescript
public readonly masterOverridePriority: IResolvable | UserSchemaMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)[]

master_override_priority block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#master_override_priority UserSchema#master_override_priority}

---

##### `maxLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.maxLength" id="cdktfprovideroktauserschemaconfigpropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

Subschema of type string maximum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#max_length UserSchema#max_length}

---

##### `minLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.minLength" id="cdktfprovideroktauserschemaconfigpropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

Subschema of type string minimum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#min_length UserSchema#min_length}

---

##### `oneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.oneOf" id="cdktfprovideroktauserschemaconfigpropertyoneof"></a>

```typescript
public readonly oneOf: IResolvable | UserSchemaOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)[]

one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#one_of UserSchema#one_of}

---

##### `pattern`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.pattern" id="cdktfprovideroktauserschemaconfigpropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#pattern UserSchema#pattern}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.permissions" id="cdktfprovideroktauserschemaconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#permissions UserSchema#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.required" id="cdktfprovideroktauserschemaconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#required UserSchema#required}

---

##### `scope`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.scope" id="cdktfprovideroktauserschemaconfigpropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#scope UserSchema#scope}.

---

##### `unique`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.unique" id="cdktfprovideroktauserschemaconfigpropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

Subschema unique restriction.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#unique UserSchema#unique}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaConfig.property.userType" id="cdktfprovideroktauserschemaconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#user_type UserSchema#user_type}

---

### UserSchemaMasterOverridePriority <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriority" id="cdktfprovideroktauserschemamasteroverridepriority"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaMasterOverridePriority } from '@cdktf/provider-okta'

const userSchemaMasterOverridePriority: UserSchemaMasterOverridePriority = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`value`](#cdktfprovideroktauserschemamasteroverrideprioritypropertyvalue)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#value UserSchema#value}. |
| [`type`](#cdktfprovideroktauserschemamasteroverrideprioritypropertytype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#type UserSchema#type}. |

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriority.property.value" id="cdktfprovideroktauserschemamasteroverrideprioritypropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#value UserSchema#value}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriority.property.type" id="cdktfprovideroktauserschemamasteroverrideprioritypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#type UserSchema#type}.

---

### UserSchemaOneOf <a name="@cdktf/provider-okta.UserSchemaOneOf" id="cdktfprovideroktauserschemaoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaOneOf } from '@cdktf/provider-okta'

const userSchemaOneOf: UserSchemaOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktauserschemaoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktauserschemaoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOf.property.const" id="cdktfprovideroktauserschemaoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#const UserSchema#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOf.property.title" id="cdktfprovideroktauserschemaoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema#title UserSchema#title}

---

### UserSchemaPropertyArrayOneOf <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOf" id="cdktfprovideroktauserschemapropertyarrayoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaPropertyArrayOneOf } from '@cdktf/provider-okta'

const userSchemaPropertyArrayOneOf: UserSchemaPropertyArrayOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktauserschemapropertyarrayoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktauserschemapropertyarrayoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOf.property.const" id="cdktfprovideroktauserschemapropertyarrayoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#const UserSchemaProperty#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOf.property.title" id="cdktfprovideroktauserschemapropertyarrayoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#title UserSchemaProperty#title}

---

### UserSchemaPropertyConfig <a name="@cdktf/provider-okta.UserSchemaPropertyConfig" id="cdktfprovideroktauserschemapropertyconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaPropertyConfig } from '@cdktf/provider-okta'

const userSchemaPropertyConfig: UserSchemaPropertyConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktauserschemapropertyconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktauserschemapropertyconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktauserschemapropertyconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktauserschemapropertyconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktauserschemapropertyconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktauserschemapropertyconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktauserschemapropertyconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`index`](#cdktfprovideroktauserschemapropertyconfigpropertyindex)<span title="Required">*</span> | `string` | Subschema unique string identifier. |
| [`title`](#cdktfprovideroktauserschemapropertyconfigpropertytitle)<span title="Required">*</span> | `string` | Subschema title (display name). |
| [`type`](#cdktfprovideroktauserschemapropertyconfigpropertytype)<span title="Required">*</span> | `string` | Subschema type: string, boolean, number, integer, array, or object. |
| [`arrayEnum`](#cdktfprovideroktauserschemapropertyconfigpropertyarrayenum) | `string`[] | Custom Subschema enumerated value of a property of type array. |
| [`arrayOneOf`](#cdktfprovideroktauserschemapropertyconfigpropertyarrayoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)[] | array_one_of block. |
| [`arrayType`](#cdktfprovideroktauserschemapropertyconfigpropertyarraytype) | `string` | Subschema array type: string, number, integer, reference. Type field must be an array. |
| [`description`](#cdktfprovideroktauserschemapropertyconfigpropertydescription) | `string` | Custom Subschema description. |
| [`enum`](#cdktfprovideroktauserschemapropertyconfigpropertyenum) | `string`[] | Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object. |
| [`externalName`](#cdktfprovideroktauserschemapropertyconfigpropertyexternalname) | `string` | Subschema external name. |
| [`externalNamespace`](#cdktfprovideroktauserschemapropertyconfigpropertyexternalnamespace) | `string` | Subschema external namespace. |
| [`id`](#cdktfprovideroktauserschemapropertyconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#id UserSchemaProperty#id}. |
| [`master`](#cdktfprovideroktauserschemapropertyconfigpropertymaster) | `string` | SubSchema profile manager, if not set it will inherit its setting. |
| [`masterOverridePriority`](#cdktfprovideroktauserschemapropertyconfigpropertymasteroverridepriority) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)[] | master_override_priority block. |
| [`maxLength`](#cdktfprovideroktauserschemapropertyconfigpropertymaxlength) | `number` | Subschema of type string maximum length. |
| [`minLength`](#cdktfprovideroktauserschemapropertyconfigpropertyminlength) | `number` | Subschema of type string minimum length. |
| [`oneOf`](#cdktfprovideroktauserschemapropertyconfigpropertyoneof) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)[] | one_of block. |
| [`pattern`](#cdktfprovideroktauserschemapropertyconfigpropertypattern) | `string` | The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'. |
| [`permissions`](#cdktfprovideroktauserschemapropertyconfigpropertypermissions) | `string` | SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE. |
| [`required`](#cdktfprovideroktauserschemapropertyconfigpropertyrequired) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | Whether the subschema is required. |
| [`scope`](#cdktfprovideroktauserschemapropertyconfigpropertyscope) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#scope UserSchemaProperty#scope}. |
| [`unique`](#cdktfprovideroktauserschemapropertyconfigpropertyunique) | `string` | Subschema unique restriction. |
| [`userType`](#cdktfprovideroktauserschemapropertyconfigpropertyusertype) | `string` | Custom subschema user type. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.connection" id="cdktfprovideroktauserschemapropertyconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.count" id="cdktfprovideroktauserschemapropertyconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.dependsOn" id="cdktfprovideroktauserschemapropertyconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.forEach" id="cdktfprovideroktauserschemapropertyconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.lifecycle" id="cdktfprovideroktauserschemapropertyconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.provider" id="cdktfprovideroktauserschemapropertyconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.provisioners" id="cdktfprovideroktauserschemapropertyconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.index" id="cdktfprovideroktauserschemapropertyconfigpropertyindex"></a>

```typescript
public readonly index: string;
```

- *Type:* `string`

Subschema unique string identifier.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#index UserSchemaProperty#index}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.title" id="cdktfprovideroktauserschemapropertyconfigpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Subschema title (display name).

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#title UserSchemaProperty#title}

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.type" id="cdktfprovideroktauserschemapropertyconfigpropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Subschema type: string, boolean, number, integer, array, or object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#type UserSchemaProperty#type}

---

##### `arrayEnum`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.arrayEnum" id="cdktfprovideroktauserschemapropertyconfigpropertyarrayenum"></a>

```typescript
public readonly arrayEnum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of a property of type array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#array_enum UserSchemaProperty#array_enum}

---

##### `arrayOneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.arrayOneOf" id="cdktfprovideroktauserschemapropertyconfigpropertyarrayoneof"></a>

```typescript
public readonly arrayOneOf: IResolvable | UserSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)[]

array_one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#array_one_of UserSchemaProperty#array_one_of}

---

##### `arrayType`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.arrayType" id="cdktfprovideroktauserschemapropertyconfigpropertyarraytype"></a>

```typescript
public readonly arrayType: string;
```

- *Type:* `string`

Subschema array type: string, number, integer, reference. Type field must be an array.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#array_type UserSchemaProperty#array_type}

---

##### `description`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.description" id="cdktfprovideroktauserschemapropertyconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

Custom Subschema description.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#description UserSchemaProperty#description}

---

##### `enum`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.enum" id="cdktfprovideroktauserschemapropertyconfigpropertyenum"></a>

```typescript
public readonly enum: string[];
```

- *Type:* `string`[]

Custom Subschema enumerated value of the property. see: developer.okta.com/docs/api/resources/schemas#user-profile-schema-property-object.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#enum UserSchemaProperty#enum}

---

##### `externalName`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.externalName" id="cdktfprovideroktauserschemapropertyconfigpropertyexternalname"></a>

```typescript
public readonly externalName: string;
```

- *Type:* `string`

Subschema external name.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#external_name UserSchemaProperty#external_name}

---

##### `externalNamespace`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.externalNamespace" id="cdktfprovideroktauserschemapropertyconfigpropertyexternalnamespace"></a>

```typescript
public readonly externalNamespace: string;
```

- *Type:* `string`

Subschema external namespace.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#external_namespace UserSchemaProperty#external_namespace}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.id" id="cdktfprovideroktauserschemapropertyconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#id UserSchemaProperty#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `master`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.master" id="cdktfprovideroktauserschemapropertyconfigpropertymaster"></a>

```typescript
public readonly master: string;
```

- *Type:* `string`

SubSchema profile manager, if not set it will inherit its setting.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#master UserSchemaProperty#master}

---

##### `masterOverridePriority`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.masterOverridePriority" id="cdktfprovideroktauserschemapropertyconfigpropertymasteroverridepriority"></a>

```typescript
public readonly masterOverridePriority: IResolvable | UserSchemaPropertyMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)[]

master_override_priority block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#master_override_priority UserSchemaProperty#master_override_priority}

---

##### `maxLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.maxLength" id="cdktfprovideroktauserschemapropertyconfigpropertymaxlength"></a>

```typescript
public readonly maxLength: number;
```

- *Type:* `number`

Subschema of type string maximum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#max_length UserSchemaProperty#max_length}

---

##### `minLength`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.minLength" id="cdktfprovideroktauserschemapropertyconfigpropertyminlength"></a>

```typescript
public readonly minLength: number;
```

- *Type:* `number`

Subschema of type string minimum length.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#min_length UserSchemaProperty#min_length}

---

##### `oneOf`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.oneOf" id="cdktfprovideroktauserschemapropertyconfigpropertyoneof"></a>

```typescript
public readonly oneOf: IResolvable | UserSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)[]

one_of block.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#one_of UserSchemaProperty#one_of}

---

##### `pattern`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.pattern" id="cdktfprovideroktauserschemapropertyconfigpropertypattern"></a>

```typescript
public readonly pattern: string;
```

- *Type:* `string`

The validation pattern to use for the subschema. Must be in form of '.+', or '[<pattern>]+' if present.'.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#pattern UserSchemaProperty#pattern}

---

##### `permissions`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.permissions" id="cdktfprovideroktauserschemapropertyconfigpropertypermissions"></a>

```typescript
public readonly permissions: string;
```

- *Type:* `string`

SubSchema permissions: HIDE, READ_ONLY, or READ_WRITE.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#permissions UserSchemaProperty#permissions}

---

##### `required`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.required" id="cdktfprovideroktauserschemapropertyconfigpropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

Whether the subschema is required.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#required UserSchemaProperty#required}

---

##### `scope`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.scope" id="cdktfprovideroktauserschemapropertyconfigpropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#scope UserSchemaProperty#scope}.

---

##### `unique`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.unique" id="cdktfprovideroktauserschemapropertyconfigpropertyunique"></a>

```typescript
public readonly unique: string;
```

- *Type:* `string`

Subschema unique restriction.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#unique UserSchemaProperty#unique}

---

##### `userType`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyConfig.property.userType" id="cdktfprovideroktauserschemapropertyconfigpropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

Custom subschema user type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#user_type UserSchemaProperty#user_type}

---

### UserSchemaPropertyMasterOverridePriority <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority" id="cdktfprovideroktauserschemapropertymasteroverridepriority"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaPropertyMasterOverridePriority } from '@cdktf/provider-okta'

const userSchemaPropertyMasterOverridePriority: UserSchemaPropertyMasterOverridePriority = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`value`](#cdktfprovideroktauserschemapropertymasteroverrideprioritypropertyvalue)<span title="Required">*</span> | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#value UserSchemaProperty#value}. |
| [`type`](#cdktfprovideroktauserschemapropertymasteroverrideprioritypropertytype) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#type UserSchemaProperty#type}. |

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority.property.value" id="cdktfprovideroktauserschemapropertymasteroverrideprioritypropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#value UserSchemaProperty#value}.

---

##### `type`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority.property.type" id="cdktfprovideroktauserschemapropertymasteroverrideprioritypropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#type UserSchemaProperty#type}.

---

### UserSchemaPropertyOneOf <a name="@cdktf/provider-okta.UserSchemaPropertyOneOf" id="cdktfprovideroktauserschemapropertyoneof"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserSchemaPropertyOneOf } from '@cdktf/provider-okta'

const userSchemaPropertyOneOf: UserSchemaPropertyOneOf = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`const`](#cdktfprovideroktauserschemapropertyoneofpropertyconst)<span title="Required">*</span> | `string` | Enum value. |
| [`title`](#cdktfprovideroktauserschemapropertyoneofpropertytitle)<span title="Required">*</span> | `string` | Enum title. |

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOf.property.const" id="cdktfprovideroktauserschemapropertyoneofpropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

Enum value.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#const UserSchemaProperty#const}

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOf.property.title" id="cdktfprovideroktauserschemapropertyoneofpropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

Enum title.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_schema_property#title UserSchemaProperty#title}

---

### UserTypeConfig <a name="@cdktf/provider-okta.UserTypeConfig" id="cdktfprovideroktausertypeconfig"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { UserTypeConfig } from '@cdktf/provider-okta'

const userTypeConfig: UserTypeConfig = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`connection`](#cdktfprovideroktausertypeconfigpropertyconnection) | [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) \| [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection) | *No description.* |
| [`count`](#cdktfprovideroktausertypeconfigpropertycount) | `number` | *No description.* |
| [`dependsOn`](#cdktfprovideroktausertypeconfigpropertydependson) | [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[] | *No description.* |
| [`forEach`](#cdktfprovideroktausertypeconfigpropertyforeach) | [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator) | *No description.* |
| [`lifecycle`](#cdktfprovideroktausertypeconfigpropertylifecycle) | [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle) | *No description.* |
| [`provider`](#cdktfprovideroktausertypeconfigpropertyprovider) | [`cdktf.TerraformProvider`](#cdktf.TerraformProvider) | *No description.* |
| [`provisioners`](#cdktfprovideroktausertypeconfigpropertyprovisioners) | [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) \| [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) \| [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[] | *No description.* |
| [`description`](#cdktfprovideroktausertypeconfigpropertydescription)<span title="Required">*</span> | `string` | A human-readable description of the type. |
| [`displayName`](#cdktfprovideroktausertypeconfigpropertydisplayname)<span title="Required">*</span> | `string` | The display name for the type. |
| [`name`](#cdktfprovideroktausertypeconfigpropertyname)<span title="Required">*</span> | `string` | The display name for the type. |
| [`id`](#cdktfprovideroktausertypeconfigpropertyid) | `string` | Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#id UserType#id}. |

---

##### `connection`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.connection" id="cdktfprovideroktausertypeconfigpropertyconnection"></a>

```typescript
public readonly connection: ISSHProvisionerConnection | IWinrmProvisionerConnection;
```

- *Type:* [`cdktf.ISSHProvisionerConnection`](#cdktf.ISSHProvisionerConnection) | [`cdktf.IWinrmProvisionerConnection`](#cdktf.IWinrmProvisionerConnection)

---

##### `count`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.count" id="cdktfprovideroktausertypeconfigpropertycount"></a>

```typescript
public readonly count: number;
```

- *Type:* `number`

---

##### `dependsOn`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.dependsOn" id="cdktfprovideroktausertypeconfigpropertydependson"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* [`cdktf.ITerraformDependable`](#cdktf.ITerraformDependable)[]

---

##### `forEach`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.forEach" id="cdktfprovideroktausertypeconfigpropertyforeach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* [`cdktf.ITerraformIterator`](#cdktf.ITerraformIterator)

---

##### `lifecycle`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.lifecycle" id="cdktfprovideroktausertypeconfigpropertylifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* [`cdktf.TerraformResourceLifecycle`](#cdktf.TerraformResourceLifecycle)

---

##### `provider`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.provider" id="cdktfprovideroktausertypeconfigpropertyprovider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* [`cdktf.TerraformProvider`](#cdktf.TerraformProvider)

---

##### `provisioners`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.provisioners" id="cdktfprovideroktausertypeconfigpropertyprovisioners"></a>

```typescript
public readonly provisioners: IFileProvisioner | ILocalExecProvisioner | IRemoteExecProvisioner[];
```

- *Type:* [`cdktf.IFileProvisioner`](#cdktf.IFileProvisioner) | [`cdktf.ILocalExecProvisioner`](#cdktf.ILocalExecProvisioner) | [`cdktf.IRemoteExecProvisioner`](#cdktf.IRemoteExecProvisioner)[]

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.description" id="cdktfprovideroktausertypeconfigpropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

A human-readable description of the type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#description UserType#description}

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.displayName" id="cdktfprovideroktausertypeconfigpropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

The display name for the type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#display_name UserType#display_name}

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.name" id="cdktfprovideroktausertypeconfigpropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

The display name for the type.

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#name UserType#name}

---

##### `id`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserTypeConfig.property.id" id="cdktfprovideroktausertypeconfigpropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/user_type#id UserType#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2. If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

## Classes <a name="Classes" id="classes"></a>

### AppAutoLoginUsersList <a name="@cdktf/provider-okta.AppAutoLoginUsersList" id="cdktfprovideroktaappautologinuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppAutoLoginUsersList.Initializer" id="cdktfprovideroktaappautologinuserslistinitializer"></a>

```typescript
import { AppAutoLoginUsersList } from '@cdktf/provider-okta'

new AppAutoLoginUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappautologinuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappautologinuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappautologinuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersList.parameter.terraformResource" id="cdktfprovideroktaappautologinuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappautologinuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersList.parameter.wrapsSet" id="cdktfprovideroktaappautologinuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappautologinuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppAutoLoginUsersList.get" id="cdktfprovideroktaappautologinuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersList.parameter.index" id="cdktfprovideroktaappautologinuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappautologinuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersList.property.internalValue" id="cdktfprovideroktaappautologinuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppAutoLoginUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)[]

---


### AppAutoLoginUsersOutputReference <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference" id="cdktfprovideroktaappautologinusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.Initializer" id="cdktfprovideroktaappautologinusersoutputreferenceinitializer"></a>

```typescript
import { AppAutoLoginUsersOutputReference } from '@cdktf/provider-okta'

new AppAutoLoginUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappautologinusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappautologinusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappautologinusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappautologinusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappautologinusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappautologinusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappautologinusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappautologinusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappautologinusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappautologinusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappautologinusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.resetId" id="cdktfprovideroktaappautologinusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.resetPassword" id="cdktfprovideroktaappautologinusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.resetUsername" id="cdktfprovideroktaappautologinusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappautologinusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappautologinusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappautologinusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappautologinusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappautologinusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappautologinusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappautologinusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappautologinusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.scope" id="cdktfprovideroktaappautologinusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.idInput" id="cdktfprovideroktaappautologinusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappautologinusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappautologinusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.id" id="cdktfprovideroktaappautologinusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.password" id="cdktfprovideroktaappautologinusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.username" id="cdktfprovideroktaappautologinusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppAutoLoginUsersOutputReference.property.internalValue" id="cdktfprovideroktaappautologinusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppAutoLoginUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppAutoLoginUsers`](#@cdktf/provider-okta.AppAutoLoginUsers)

---


### AppBasicAuthUsersList <a name="@cdktf/provider-okta.AppBasicAuthUsersList" id="cdktfprovideroktaappbasicauthuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppBasicAuthUsersList.Initializer" id="cdktfprovideroktaappbasicauthuserslistinitializer"></a>

```typescript
import { AppBasicAuthUsersList } from '@cdktf/provider-okta'

new AppBasicAuthUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappbasicauthuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappbasicauthuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappbasicauthuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersList.parameter.terraformResource" id="cdktfprovideroktaappbasicauthuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappbasicauthuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersList.parameter.wrapsSet" id="cdktfprovideroktaappbasicauthuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappbasicauthuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppBasicAuthUsersList.get" id="cdktfprovideroktaappbasicauthuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersList.parameter.index" id="cdktfprovideroktaappbasicauthuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappbasicauthuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersList.property.internalValue" id="cdktfprovideroktaappbasicauthuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppBasicAuthUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)[]

---


### AppBasicAuthUsersOutputReference <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference" id="cdktfprovideroktaappbasicauthusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.Initializer" id="cdktfprovideroktaappbasicauthusersoutputreferenceinitializer"></a>

```typescript
import { AppBasicAuthUsersOutputReference } from '@cdktf/provider-okta'

new AppBasicAuthUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappbasicauthusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappbasicauthusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappbasicauthusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappbasicauthusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappbasicauthusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappbasicauthusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappbasicauthusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappbasicauthusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappbasicauthusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappbasicauthusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappbasicauthusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.resetId" id="cdktfprovideroktaappbasicauthusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.resetPassword" id="cdktfprovideroktaappbasicauthusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.resetUsername" id="cdktfprovideroktaappbasicauthusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappbasicauthusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.scope" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.idInput" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.id" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.password" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.username" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBasicAuthUsersOutputReference.property.internalValue" id="cdktfprovideroktaappbasicauthusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppBasicAuthUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBasicAuthUsers`](#@cdktf/provider-okta.AppBasicAuthUsers)

---


### AppBookmarkUsersList <a name="@cdktf/provider-okta.AppBookmarkUsersList" id="cdktfprovideroktaappbookmarkuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppBookmarkUsersList.Initializer" id="cdktfprovideroktaappbookmarkuserslistinitializer"></a>

```typescript
import { AppBookmarkUsersList } from '@cdktf/provider-okta'

new AppBookmarkUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappbookmarkuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappbookmarkuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappbookmarkuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersList.parameter.terraformResource" id="cdktfprovideroktaappbookmarkuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappbookmarkuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersList.parameter.wrapsSet" id="cdktfprovideroktaappbookmarkuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappbookmarkuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppBookmarkUsersList.get" id="cdktfprovideroktaappbookmarkuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersList.parameter.index" id="cdktfprovideroktaappbookmarkuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappbookmarkuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersList.property.internalValue" id="cdktfprovideroktaappbookmarkuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppBookmarkUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)[]

---


### AppBookmarkUsersOutputReference <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference" id="cdktfprovideroktaappbookmarkusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.Initializer" id="cdktfprovideroktaappbookmarkusersoutputreferenceinitializer"></a>

```typescript
import { AppBookmarkUsersOutputReference } from '@cdktf/provider-okta'

new AppBookmarkUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappbookmarkusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappbookmarkusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappbookmarkusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappbookmarkusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappbookmarkusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappbookmarkusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappbookmarkusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappbookmarkusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappbookmarkusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappbookmarkusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappbookmarkusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.resetId" id="cdktfprovideroktaappbookmarkusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.resetPassword" id="cdktfprovideroktaappbookmarkusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.resetUsername" id="cdktfprovideroktaappbookmarkusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappbookmarkusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.scope" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.idInput" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.id" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.password" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.username" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppBookmarkUsersOutputReference.property.internalValue" id="cdktfprovideroktaappbookmarkusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppBookmarkUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppBookmarkUsers`](#@cdktf/provider-okta.AppBookmarkUsers)

---


### AppGroupAssignmentsGroupList <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList" id="cdktfprovideroktaappgroupassignmentsgrouplist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList.Initializer" id="cdktfprovideroktaappgroupassignmentsgrouplistinitializer"></a>

```typescript
import { AppGroupAssignmentsGroupList } from '@cdktf/provider-okta'

new AppGroupAssignmentsGroupList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappgroupassignmentsgrouplistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappgroupassignmentsgrouplistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappgroupassignmentsgrouplistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList.parameter.terraformResource" id="cdktfprovideroktaappgroupassignmentsgrouplistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList.parameter.terraformAttribute" id="cdktfprovideroktaappgroupassignmentsgrouplistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList.parameter.wrapsSet" id="cdktfprovideroktaappgroupassignmentsgrouplistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappgroupassignmentsgrouplistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList.get" id="cdktfprovideroktaappgroupassignmentsgrouplistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList.parameter.index" id="cdktfprovideroktaappgroupassignmentsgrouplistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappgroupassignmentsgrouplistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupList.property.internalValue" id="cdktfprovideroktaappgroupassignmentsgrouplistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppGroupAssignmentsGroup[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)[]

---


### AppGroupAssignmentsGroupOutputReference <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference" id="cdktfprovideroktaappgroupassignmentsgroupoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.Initializer" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferenceinitializer"></a>

```typescript
import { AppGroupAssignmentsGroupOutputReference } from '@cdktf/provider-okta'

new AppGroupAssignmentsGroupOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.parameter.terraformResource" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetPriority`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferenceresetpriority) | *No description.* |
| [`resetProfile`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferenceresetprofile) | *No description.* |

---

##### `resetPriority` <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.resetPriority" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferenceresetpriority"></a>

```typescript
public resetPriority()
```

##### `resetProfile` <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.resetProfile" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferenceresetprofile"></a>

```typescript
public resetProfile()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyidinput) | `string` | *No description.* |
| [`priorityInput`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertypriorityinput) | `number` | *No description.* |
| [`profileInput`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyprofileinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`priority`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`profile`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyprofile)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.property.idInput" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `priorityInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.property.priorityInput" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertypriorityinput"></a>

```typescript
public readonly priorityInput: number;
```

- *Type:* `number`

---

##### `profileInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.property.profileInput" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyprofileinput"></a>

```typescript
public readonly profileInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.property.id" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `priority`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.property.priority" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `profile`<sup>Required</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.property.profile" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyprofile"></a>

```typescript
public readonly profile: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppGroupAssignmentsGroupOutputReference.property.internalValue" id="cdktfprovideroktaappgroupassignmentsgroupoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppGroupAssignmentsGroup;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppGroupAssignmentsGroup`](#@cdktf/provider-okta.AppGroupAssignmentsGroup)

---


### AppOauthGroupsClaimOutputReference <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference" id="cdktfprovideroktaappoauthgroupsclaimoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.Initializer" id="cdktfprovideroktaappoauthgroupsclaimoutputreferenceinitializer"></a>

```typescript
import { AppOauthGroupsClaimOutputReference } from '@cdktf/provider-okta'

new AppOauthGroupsClaimOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappoauthgroupsclaimoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappoauthgroupsclaimoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.parameter.terraformResource" id="cdktfprovideroktaappoauthgroupsclaimoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappoauthgroupsclaimoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetFilterType`](#cdktfprovideroktaappoauthgroupsclaimoutputreferenceresetfiltertype) | *No description.* |

---

##### `resetFilterType` <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.resetFilterType" id="cdktfprovideroktaappoauthgroupsclaimoutputreferenceresetfiltertype"></a>

```typescript
public resetFilterType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`issuerMode`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`filterTypeInput`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyfiltertypeinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`filterType`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyfiltertype)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.AppOauthGroupsClaim`](#@cdktf/provider-okta.AppOauthGroupsClaim) | *No description.* |

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.issuerMode" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `filterTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.filterTypeInput" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyfiltertypeinput"></a>

```typescript
public readonly filterTypeInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.nameInput" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.typeInput" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.valueInput" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `filterType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.filterType" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.name" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.type" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.value" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthGroupsClaimOutputReference.property.internalValue" id="cdktfprovideroktaappoauthgroupsclaimoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: AppOauthGroupsClaim;
```

- *Type:* [`@cdktf/provider-okta.AppOauthGroupsClaim`](#@cdktf/provider-okta.AppOauthGroupsClaim)

---


### AppOauthJwksList <a name="@cdktf/provider-okta.AppOauthJwksList" id="cdktfprovideroktaappoauthjwkslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppOauthJwksList.Initializer" id="cdktfprovideroktaappoauthjwkslistinitializer"></a>

```typescript
import { AppOauthJwksList } from '@cdktf/provider-okta'

new AppOauthJwksList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappoauthjwkslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappoauthjwkslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappoauthjwkslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksList.parameter.terraformResource" id="cdktfprovideroktaappoauthjwkslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksList.parameter.terraformAttribute" id="cdktfprovideroktaappoauthjwkslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksList.parameter.wrapsSet" id="cdktfprovideroktaappoauthjwkslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappoauthjwkslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppOauthJwksList.get" id="cdktfprovideroktaappoauthjwkslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksList.parameter.index" id="cdktfprovideroktaappoauthjwkslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappoauthjwkslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwksList.property.internalValue" id="cdktfprovideroktaappoauthjwkslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppOauthJwks[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)[]

---


### AppOauthJwksOutputReference <a name="@cdktf/provider-okta.AppOauthJwksOutputReference" id="cdktfprovideroktaappoauthjwksoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.Initializer" id="cdktfprovideroktaappoauthjwksoutputreferenceinitializer"></a>

```typescript
import { AppOauthJwksOutputReference } from '@cdktf/provider-okta'

new AppOauthJwksOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappoauthjwksoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappoauthjwksoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappoauthjwksoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappoauthjwksoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.parameter.terraformResource" id="cdktfprovideroktaappoauthjwksoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappoauthjwksoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappoauthjwksoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappoauthjwksoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetE`](#cdktfprovideroktaappoauthjwksoutputreferenceresete) | *No description.* |
| [`resetN`](#cdktfprovideroktaappoauthjwksoutputreferenceresetn) | *No description.* |

---

##### `resetE` <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.resetE" id="cdktfprovideroktaappoauthjwksoutputreferenceresete"></a>

```typescript
public resetE()
```

##### `resetN` <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.resetN" id="cdktfprovideroktaappoauthjwksoutputreferenceresetn"></a>

```typescript
public resetN()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`eInput`](#cdktfprovideroktaappoauthjwksoutputreferencepropertyeinput) | `string` | *No description.* |
| [`kidInput`](#cdktfprovideroktaappoauthjwksoutputreferencepropertykidinput) | `string` | *No description.* |
| [`ktyInput`](#cdktfprovideroktaappoauthjwksoutputreferencepropertyktyinput) | `string` | *No description.* |
| [`nInput`](#cdktfprovideroktaappoauthjwksoutputreferencepropertyninput) | `string` | *No description.* |
| [`e`](#cdktfprovideroktaappoauthjwksoutputreferencepropertye)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktaappoauthjwksoutputreferencepropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`kty`](#cdktfprovideroktaappoauthjwksoutputreferencepropertykty)<span title="Required">*</span> | `string` | *No description.* |
| [`n`](#cdktfprovideroktaappoauthjwksoutputreferencepropertyn)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappoauthjwksoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks) | *No description.* |

---

##### `eInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.eInput" id="cdktfprovideroktaappoauthjwksoutputreferencepropertyeinput"></a>

```typescript
public readonly eInput: string;
```

- *Type:* `string`

---

##### `kidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.kidInput" id="cdktfprovideroktaappoauthjwksoutputreferencepropertykidinput"></a>

```typescript
public readonly kidInput: string;
```

- *Type:* `string`

---

##### `ktyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.ktyInput" id="cdktfprovideroktaappoauthjwksoutputreferencepropertyktyinput"></a>

```typescript
public readonly ktyInput: string;
```

- *Type:* `string`

---

##### `nInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.nInput" id="cdktfprovideroktaappoauthjwksoutputreferencepropertyninput"></a>

```typescript
public readonly nInput: string;
```

- *Type:* `string`

---

##### `e`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.e" id="cdktfprovideroktaappoauthjwksoutputreferencepropertye"></a>

```typescript
public readonly e: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.kid" id="cdktfprovideroktaappoauthjwksoutputreferencepropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.kty" id="cdktfprovideroktaappoauthjwksoutputreferencepropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

---

##### `n`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.n" id="cdktfprovideroktaappoauthjwksoutputreferencepropertyn"></a>

```typescript
public readonly n: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthJwksOutputReference.property.internalValue" id="cdktfprovideroktaappoauthjwksoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppOauthJwks;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthJwks`](#@cdktf/provider-okta.AppOauthJwks)

---


### AppOauthUsersList <a name="@cdktf/provider-okta.AppOauthUsersList" id="cdktfprovideroktaappoauthuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppOauthUsersList.Initializer" id="cdktfprovideroktaappoauthuserslistinitializer"></a>

```typescript
import { AppOauthUsersList } from '@cdktf/provider-okta'

new AppOauthUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappoauthuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappoauthuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappoauthuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersList.parameter.terraformResource" id="cdktfprovideroktaappoauthuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappoauthuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersList.parameter.wrapsSet" id="cdktfprovideroktaappoauthuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappoauthuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppOauthUsersList.get" id="cdktfprovideroktaappoauthuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersList.parameter.index" id="cdktfprovideroktaappoauthuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappoauthuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsersList.property.internalValue" id="cdktfprovideroktaappoauthuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppOauthUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)[]

---


### AppOauthUsersOutputReference <a name="@cdktf/provider-okta.AppOauthUsersOutputReference" id="cdktfprovideroktaappoauthusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.Initializer" id="cdktfprovideroktaappoauthusersoutputreferenceinitializer"></a>

```typescript
import { AppOauthUsersOutputReference } from '@cdktf/provider-okta'

new AppOauthUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappoauthusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappoauthusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappoauthusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappoauthusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappoauthusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappoauthusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappoauthusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappoauthusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappoauthusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappoauthusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappoauthusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.resetId" id="cdktfprovideroktaappoauthusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.resetPassword" id="cdktfprovideroktaappoauthusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.resetUsername" id="cdktfprovideroktaappoauthusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappoauthusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappoauthusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappoauthusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappoauthusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappoauthusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappoauthusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappoauthusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappoauthusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.scope" id="cdktfprovideroktaappoauthusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.idInput" id="cdktfprovideroktaappoauthusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappoauthusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappoauthusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.id" id="cdktfprovideroktaappoauthusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.password" id="cdktfprovideroktaappoauthusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.username" id="cdktfprovideroktaappoauthusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppOauthUsersOutputReference.property.internalValue" id="cdktfprovideroktaappoauthusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppOauthUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppOauthUsers`](#@cdktf/provider-okta.AppOauthUsers)

---


### AppSamlAttributeStatementsList <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList" id="cdktfprovideroktaappsamlattributestatementslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList.Initializer" id="cdktfprovideroktaappsamlattributestatementslistinitializer"></a>

```typescript
import { AppSamlAttributeStatementsList } from '@cdktf/provider-okta'

new AppSamlAttributeStatementsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsamlattributestatementslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsamlattributestatementslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappsamlattributestatementslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList.parameter.terraformResource" id="cdktfprovideroktaappsamlattributestatementslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList.parameter.terraformAttribute" id="cdktfprovideroktaappsamlattributestatementslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList.parameter.wrapsSet" id="cdktfprovideroktaappsamlattributestatementslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappsamlattributestatementslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList.get" id="cdktfprovideroktaappsamlattributestatementslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList.parameter.index" id="cdktfprovideroktaappsamlattributestatementslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappsamlattributestatementslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsList.property.internalValue" id="cdktfprovideroktaappsamlattributestatementslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSamlAttributeStatements[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)[]

---


### AppSamlAttributeStatementsOutputReference <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference" id="cdktfprovideroktaappsamlattributestatementsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.Initializer" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceinitializer"></a>

```typescript
import { AppSamlAttributeStatementsOutputReference } from '@cdktf/provider-okta'

new AppSamlAttributeStatementsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.parameter.terraformResource" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetFilterType`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceresetfiltertype) | *No description.* |
| [`resetFilterValue`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceresetfiltervalue) | *No description.* |
| [`resetNamespace`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceresetnamespace) | *No description.* |
| [`resetType`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceresettype) | *No description.* |
| [`resetValues`](#cdktfprovideroktaappsamlattributestatementsoutputreferenceresetvalues) | *No description.* |

---

##### `resetFilterType` <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.resetFilterType" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceresetfiltertype"></a>

```typescript
public resetFilterType()
```

##### `resetFilterValue` <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.resetFilterValue" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceresetfiltervalue"></a>

```typescript
public resetFilterValue()
```

##### `resetNamespace` <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.resetNamespace" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceresetnamespace"></a>

```typescript
public resetNamespace()
```

##### `resetType` <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.resetType" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceresettype"></a>

```typescript
public resetType()
```

##### `resetValues` <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.resetValues" id="cdktfprovideroktaappsamlattributestatementsoutputreferenceresetvalues"></a>

```typescript
public resetValues()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`filterTypeInput`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltertypeinput) | `string` | *No description.* |
| [`filterValueInput`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltervalueinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertynameinput) | `string` | *No description.* |
| [`namespaceInput`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertynamespaceinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`valuesInput`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyvaluesinput) | `string`[] | *No description.* |
| [`filterType`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltertype)<span title="Required">*</span> | `string` | *No description.* |
| [`filterValue`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltervalue)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`namespace`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertynamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`values`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyvalues)<span title="Required">*</span> | `string`[] | *No description.* |
| [`internalValue`](#cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements) | *No description.* |

---

##### `filterTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.filterTypeInput" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltertypeinput"></a>

```typescript
public readonly filterTypeInput: string;
```

- *Type:* `string`

---

##### `filterValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.filterValueInput" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltervalueinput"></a>

```typescript
public readonly filterValueInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.nameInput" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `namespaceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.namespaceInput" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertynamespaceinput"></a>

```typescript
public readonly namespaceInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.typeInput" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `valuesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.valuesInput" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyvaluesinput"></a>

```typescript
public readonly valuesInput: string[];
```

- *Type:* `string`[]

---

##### `filterType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.filterType" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

---

##### `filterValue`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.filterValue" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyfiltervalue"></a>

```typescript
public readonly filterValue: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.name" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `namespace`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.namespace" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertynamespace"></a>

```typescript
public readonly namespace: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.type" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `values`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.values" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyvalues"></a>

```typescript
public readonly values: string[];
```

- *Type:* `string`[]

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlAttributeStatementsOutputReference.property.internalValue" id="cdktfprovideroktaappsamlattributestatementsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSamlAttributeStatements;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlAttributeStatements`](#@cdktf/provider-okta.AppSamlAttributeStatements)

---


### AppSamlKeysList <a name="@cdktf/provider-okta.AppSamlKeysList" id="cdktfprovideroktaappsamlkeyslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSamlKeysList.Initializer" id="cdktfprovideroktaappsamlkeyslistinitializer"></a>

```typescript
import { AppSamlKeysList } from '@cdktf/provider-okta'

new AppSamlKeysList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsamlkeyslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsamlkeyslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappsamlkeyslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysList.parameter.terraformResource" id="cdktfprovideroktaappsamlkeyslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysList.parameter.terraformAttribute" id="cdktfprovideroktaappsamlkeyslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysList.parameter.wrapsSet" id="cdktfprovideroktaappsamlkeyslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappsamlkeyslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppSamlKeysList.get" id="cdktfprovideroktaappsamlkeyslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysList.parameter.index" id="cdktfprovideroktaappsamlkeyslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### AppSamlKeysOutputReference <a name="@cdktf/provider-okta.AppSamlKeysOutputReference" id="cdktfprovideroktaappsamlkeysoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.Initializer" id="cdktfprovideroktaappsamlkeysoutputreferenceinitializer"></a>

```typescript
import { AppSamlKeysOutputReference } from '@cdktf/provider-okta'

new AppSamlKeysOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsamlkeysoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsamlkeysoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappsamlkeysoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappsamlkeysoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.parameter.terraformResource" id="cdktfprovideroktaappsamlkeysoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappsamlkeysoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappsamlkeysoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappsamlkeysoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`created`](#cdktfprovideroktaappsamlkeysoutputreferencepropertycreated)<span title="Required">*</span> | `string` | *No description.* |
| [`e`](#cdktfprovideroktaappsamlkeysoutputreferencepropertye)<span title="Required">*</span> | `string` | *No description.* |
| [`expiresAt`](#cdktfprovideroktaappsamlkeysoutputreferencepropertyexpiresat)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktaappsamlkeysoutputreferencepropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`kty`](#cdktfprovideroktaappsamlkeysoutputreferencepropertykty)<span title="Required">*</span> | `string` | *No description.* |
| [`lastUpdated`](#cdktfprovideroktaappsamlkeysoutputreferencepropertylastupdated)<span title="Required">*</span> | `string` | *No description.* |
| [`n`](#cdktfprovideroktaappsamlkeysoutputreferencepropertyn)<span title="Required">*</span> | `string` | *No description.* |
| [`use`](#cdktfprovideroktaappsamlkeysoutputreferencepropertyuse)<span title="Required">*</span> | `string` | *No description.* |
| [`x5C`](#cdktfprovideroktaappsamlkeysoutputreferencepropertyx5c)<span title="Required">*</span> | `string`[] | *No description.* |
| [`x5TS256`](#cdktfprovideroktaappsamlkeysoutputreferencepropertyx5ts256)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappsamlkeysoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.AppSamlKeys`](#@cdktf/provider-okta.AppSamlKeys) | *No description.* |

---

##### `created`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.created" id="cdktfprovideroktaappsamlkeysoutputreferencepropertycreated"></a>

```typescript
public readonly created: string;
```

- *Type:* `string`

---

##### `e`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.e" id="cdktfprovideroktaappsamlkeysoutputreferencepropertye"></a>

```typescript
public readonly e: string;
```

- *Type:* `string`

---

##### `expiresAt`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.expiresAt" id="cdktfprovideroktaappsamlkeysoutputreferencepropertyexpiresat"></a>

```typescript
public readonly expiresAt: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.kid" id="cdktfprovideroktaappsamlkeysoutputreferencepropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.kty" id="cdktfprovideroktaappsamlkeysoutputreferencepropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

---

##### `lastUpdated`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.lastUpdated" id="cdktfprovideroktaappsamlkeysoutputreferencepropertylastupdated"></a>

```typescript
public readonly lastUpdated: string;
```

- *Type:* `string`

---

##### `n`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.n" id="cdktfprovideroktaappsamlkeysoutputreferencepropertyn"></a>

```typescript
public readonly n: string;
```

- *Type:* `string`

---

##### `use`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.use" id="cdktfprovideroktaappsamlkeysoutputreferencepropertyuse"></a>

```typescript
public readonly use: string;
```

- *Type:* `string`

---

##### `x5C`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.x5C" id="cdktfprovideroktaappsamlkeysoutputreferencepropertyx5c"></a>

```typescript
public readonly x5C: string[];
```

- *Type:* `string`[]

---

##### `x5TS256`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.x5TS256" id="cdktfprovideroktaappsamlkeysoutputreferencepropertyx5ts256"></a>

```typescript
public readonly x5TS256: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlKeysOutputReference.property.internalValue" id="cdktfprovideroktaappsamlkeysoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: AppSamlKeys;
```

- *Type:* [`@cdktf/provider-okta.AppSamlKeys`](#@cdktf/provider-okta.AppSamlKeys)

---


### AppSamlUsersList <a name="@cdktf/provider-okta.AppSamlUsersList" id="cdktfprovideroktaappsamluserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSamlUsersList.Initializer" id="cdktfprovideroktaappsamluserslistinitializer"></a>

```typescript
import { AppSamlUsersList } from '@cdktf/provider-okta'

new AppSamlUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsamluserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsamluserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappsamluserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersList.parameter.terraformResource" id="cdktfprovideroktaappsamluserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappsamluserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersList.parameter.wrapsSet" id="cdktfprovideroktaappsamluserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappsamluserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppSamlUsersList.get" id="cdktfprovideroktaappsamluserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersList.parameter.index" id="cdktfprovideroktaappsamluserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappsamluserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsersList.property.internalValue" id="cdktfprovideroktaappsamluserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSamlUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)[]

---


### AppSamlUsersOutputReference <a name="@cdktf/provider-okta.AppSamlUsersOutputReference" id="cdktfprovideroktaappsamlusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.Initializer" id="cdktfprovideroktaappsamlusersoutputreferenceinitializer"></a>

```typescript
import { AppSamlUsersOutputReference } from '@cdktf/provider-okta'

new AppSamlUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsamlusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsamlusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappsamlusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappsamlusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappsamlusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappsamlusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappsamlusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappsamlusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappsamlusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappsamlusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappsamlusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.resetId" id="cdktfprovideroktaappsamlusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.resetPassword" id="cdktfprovideroktaappsamlusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.resetUsername" id="cdktfprovideroktaappsamlusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsamlusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappsamlusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappsamlusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappsamlusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappsamlusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappsamlusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappsamlusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappsamlusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.scope" id="cdktfprovideroktaappsamlusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.idInput" id="cdktfprovideroktaappsamlusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappsamlusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappsamlusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.id" id="cdktfprovideroktaappsamlusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.password" id="cdktfprovideroktaappsamlusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.username" id="cdktfprovideroktaappsamlusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSamlUsersOutputReference.property.internalValue" id="cdktfprovideroktaappsamlusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSamlUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSamlUsers`](#@cdktf/provider-okta.AppSamlUsers)

---


### AppSecurePasswordStoreUsersList <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList" id="cdktfprovideroktaappsecurepasswordstoreuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList.Initializer" id="cdktfprovideroktaappsecurepasswordstoreuserslistinitializer"></a>

```typescript
import { AppSecurePasswordStoreUsersList } from '@cdktf/provider-okta'

new AppSecurePasswordStoreUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsecurepasswordstoreuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsecurepasswordstoreuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappsecurepasswordstoreuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList.parameter.terraformResource" id="cdktfprovideroktaappsecurepasswordstoreuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappsecurepasswordstoreuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList.parameter.wrapsSet" id="cdktfprovideroktaappsecurepasswordstoreuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappsecurepasswordstoreuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList.get" id="cdktfprovideroktaappsecurepasswordstoreuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList.parameter.index" id="cdktfprovideroktaappsecurepasswordstoreuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappsecurepasswordstoreuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersList.property.internalValue" id="cdktfprovideroktaappsecurepasswordstoreuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSecurePasswordStoreUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)[]

---


### AppSecurePasswordStoreUsersOutputReference <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.Initializer" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceinitializer"></a>

```typescript
import { AppSecurePasswordStoreUsersOutputReference } from '@cdktf/provider-okta'

new AppSecurePasswordStoreUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.resetId" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.resetPassword" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.resetUsername" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.scope" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.idInput" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.id" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.password" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.username" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSecurePasswordStoreUsersOutputReference.property.internalValue" id="cdktfprovideroktaappsecurepasswordstoreusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSecurePasswordStoreUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSecurePasswordStoreUsers`](#@cdktf/provider-okta.AppSecurePasswordStoreUsers)

---


### AppSharedCredentialsUsersList <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList" id="cdktfprovideroktaappsharedcredentialsuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList.Initializer" id="cdktfprovideroktaappsharedcredentialsuserslistinitializer"></a>

```typescript
import { AppSharedCredentialsUsersList } from '@cdktf/provider-okta'

new AppSharedCredentialsUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsharedcredentialsuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsharedcredentialsuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappsharedcredentialsuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList.parameter.terraformResource" id="cdktfprovideroktaappsharedcredentialsuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappsharedcredentialsuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList.parameter.wrapsSet" id="cdktfprovideroktaappsharedcredentialsuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappsharedcredentialsuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList.get" id="cdktfprovideroktaappsharedcredentialsuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList.parameter.index" id="cdktfprovideroktaappsharedcredentialsuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappsharedcredentialsuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersList.property.internalValue" id="cdktfprovideroktaappsharedcredentialsuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSharedCredentialsUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)[]

---


### AppSharedCredentialsUsersOutputReference <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference" id="cdktfprovideroktaappsharedcredentialsusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.Initializer" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceinitializer"></a>

```typescript
import { AppSharedCredentialsUsersOutputReference } from '@cdktf/provider-okta'

new AppSharedCredentialsUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsharedcredentialsusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsharedcredentialsusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappsharedcredentialsusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappsharedcredentialsusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappsharedcredentialsusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappsharedcredentialsusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappsharedcredentialsusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.resetId" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.resetPassword" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.resetUsername" id="cdktfprovideroktaappsharedcredentialsusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.scope" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.idInput" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.id" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.password" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.username" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSharedCredentialsUsersOutputReference.property.internalValue" id="cdktfprovideroktaappsharedcredentialsusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSharedCredentialsUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSharedCredentialsUsers`](#@cdktf/provider-okta.AppSharedCredentialsUsers)

---


### AppSignonPolicyRulePlatformIncludeList <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList" id="cdktfprovideroktaappsignonpolicyruleplatformincludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList.Initializer" id="cdktfprovideroktaappsignonpolicyruleplatformincludelistinitializer"></a>

```typescript
import { AppSignonPolicyRulePlatformIncludeList } from '@cdktf/provider-okta'

new AppSignonPolicyRulePlatformIncludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsignonpolicyruleplatformincludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsignonpolicyruleplatformincludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappsignonpolicyruleplatformincludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList.parameter.terraformResource" id="cdktfprovideroktaappsignonpolicyruleplatformincludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList.parameter.terraformAttribute" id="cdktfprovideroktaappsignonpolicyruleplatformincludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList.parameter.wrapsSet" id="cdktfprovideroktaappsignonpolicyruleplatformincludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappsignonpolicyruleplatformincludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList.get" id="cdktfprovideroktaappsignonpolicyruleplatformincludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList.parameter.index" id="cdktfprovideroktaappsignonpolicyruleplatformincludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappsignonpolicyruleplatformincludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeList.property.internalValue" id="cdktfprovideroktaappsignonpolicyruleplatformincludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSignonPolicyRulePlatformInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)[]

---


### AppSignonPolicyRulePlatformIncludeOutputReference <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.Initializer" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceinitializer"></a>

```typescript
import { AppSignonPolicyRulePlatformIncludeOutputReference } from '@cdktf/provider-okta'

new AppSignonPolicyRulePlatformIncludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.parameter.terraformResource" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetOsExpression`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceresetosexpression) | *No description.* |
| [`resetOsType`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceresetostype) | *No description.* |
| [`resetType`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceresettype) | *No description.* |

---

##### `resetOsExpression` <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.resetOsExpression" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceresetosexpression"></a>

```typescript
public resetOsExpression()
```

##### `resetOsType` <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.resetOsType" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceresetostype"></a>

```typescript
public resetOsType()
```

##### `resetType` <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.resetType" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferenceresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`osExpressionInput`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyosexpressioninput) | `string` | *No description.* |
| [`osTypeInput`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyostypeinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`osExpression`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyosexpression)<span title="Required">*</span> | `string` | *No description.* |
| [`osType`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyostype)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude) | *No description.* |

---

##### `osExpressionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.property.osExpressionInput" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyosexpressioninput"></a>

```typescript
public readonly osExpressionInput: string;
```

- *Type:* `string`

---

##### `osTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.property.osTypeInput" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyostypeinput"></a>

```typescript
public readonly osTypeInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.property.typeInput" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `osExpression`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.property.osExpression" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyosexpression"></a>

```typescript
public readonly osExpression: string;
```

- *Type:* `string`

---

##### `osType`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.property.osType" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyostype"></a>

```typescript
public readonly osType: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.property.type" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSignonPolicyRulePlatformIncludeOutputReference.property.internalValue" id="cdktfprovideroktaappsignonpolicyruleplatformincludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSignonPolicyRulePlatformInclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude`](#@cdktf/provider-okta.AppSignonPolicyRulePlatformInclude)

---


### AppSwaUsersList <a name="@cdktf/provider-okta.AppSwaUsersList" id="cdktfprovideroktaappswauserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSwaUsersList.Initializer" id="cdktfprovideroktaappswauserslistinitializer"></a>

```typescript
import { AppSwaUsersList } from '@cdktf/provider-okta'

new AppSwaUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappswauserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappswauserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappswauserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersList.parameter.terraformResource" id="cdktfprovideroktaappswauserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappswauserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersList.parameter.wrapsSet" id="cdktfprovideroktaappswauserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappswauserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppSwaUsersList.get" id="cdktfprovideroktaappswauserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersList.parameter.index" id="cdktfprovideroktaappswauserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappswauserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsersList.property.internalValue" id="cdktfprovideroktaappswauserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSwaUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)[]

---


### AppSwaUsersOutputReference <a name="@cdktf/provider-okta.AppSwaUsersOutputReference" id="cdktfprovideroktaappswausersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.Initializer" id="cdktfprovideroktaappswausersoutputreferenceinitializer"></a>

```typescript
import { AppSwaUsersOutputReference } from '@cdktf/provider-okta'

new AppSwaUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappswausersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappswausersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappswausersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappswausersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappswausersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappswausersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappswausersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappswausersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappswausersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappswausersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappswausersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.resetId" id="cdktfprovideroktaappswausersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.resetPassword" id="cdktfprovideroktaappswausersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.resetUsername" id="cdktfprovideroktaappswausersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappswausersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappswausersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappswausersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappswausersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappswausersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappswausersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappswausersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappswausersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.scope" id="cdktfprovideroktaappswausersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.idInput" id="cdktfprovideroktaappswausersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappswausersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappswausersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.id" id="cdktfprovideroktaappswausersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.password" id="cdktfprovideroktaappswausersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.username" id="cdktfprovideroktaappswausersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppSwaUsersOutputReference.property.internalValue" id="cdktfprovideroktaappswausersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppSwaUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppSwaUsers`](#@cdktf/provider-okta.AppSwaUsers)

---


### AppThreeFieldUsersList <a name="@cdktf/provider-okta.AppThreeFieldUsersList" id="cdktfprovideroktaappthreefielduserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppThreeFieldUsersList.Initializer" id="cdktfprovideroktaappthreefielduserslistinitializer"></a>

```typescript
import { AppThreeFieldUsersList } from '@cdktf/provider-okta'

new AppThreeFieldUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappthreefielduserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappthreefielduserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappthreefielduserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersList.parameter.terraformResource" id="cdktfprovideroktaappthreefielduserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersList.parameter.terraformAttribute" id="cdktfprovideroktaappthreefielduserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersList.parameter.wrapsSet" id="cdktfprovideroktaappthreefielduserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappthreefielduserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppThreeFieldUsersList.get" id="cdktfprovideroktaappthreefielduserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersList.parameter.index" id="cdktfprovideroktaappthreefielduserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappthreefielduserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersList.property.internalValue" id="cdktfprovideroktaappthreefielduserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppThreeFieldUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)[]

---


### AppThreeFieldUsersOutputReference <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference" id="cdktfprovideroktaappthreefieldusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.Initializer" id="cdktfprovideroktaappthreefieldusersoutputreferenceinitializer"></a>

```typescript
import { AppThreeFieldUsersOutputReference } from '@cdktf/provider-okta'

new AppThreeFieldUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappthreefieldusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappthreefieldusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappthreefieldusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappthreefieldusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaappthreefieldusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappthreefieldusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappthreefieldusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappthreefieldusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaappthreefieldusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaappthreefieldusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaappthreefieldusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.resetId" id="cdktfprovideroktaappthreefieldusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.resetPassword" id="cdktfprovideroktaappthreefieldusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.resetUsername" id="cdktfprovideroktaappthreefieldusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappthreefieldusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.scope" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.idInput" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.passwordInput" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.usernameInput" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.id" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.password" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.username" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppThreeFieldUsersOutputReference.property.internalValue" id="cdktfprovideroktaappthreefieldusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppThreeFieldUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppThreeFieldUsers`](#@cdktf/provider-okta.AppThreeFieldUsers)

---


### AppUserSchemaArrayOneOfList <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList" id="cdktfprovideroktaappuserschemaarrayoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList.Initializer" id="cdktfprovideroktaappuserschemaarrayoneoflistinitializer"></a>

```typescript
import { AppUserSchemaArrayOneOfList } from '@cdktf/provider-okta'

new AppUserSchemaArrayOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemaarrayoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemaarrayoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappuserschemaarrayoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList.parameter.terraformResource" id="cdktfprovideroktaappuserschemaarrayoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemaarrayoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList.parameter.wrapsSet" id="cdktfprovideroktaappuserschemaarrayoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappuserschemaarrayoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList.get" id="cdktfprovideroktaappuserschemaarrayoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList.parameter.index" id="cdktfprovideroktaappuserschemaarrayoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappuserschemaarrayoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfList.property.internalValue" id="cdktfprovideroktaappuserschemaarrayoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)[]

---


### AppUserSchemaArrayOneOfOutputReference <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference" id="cdktfprovideroktaappuserschemaarrayoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.Initializer" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferenceinitializer"></a>

```typescript
import { AppUserSchemaArrayOneOfOutputReference } from '@cdktf/provider-okta'

new AppUserSchemaArrayOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.property.constInput" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.property.titleInput" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.property.const" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.property.title" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaArrayOneOfOutputReference.property.internalValue" id="cdktfprovideroktaappuserschemaarrayoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaArrayOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaArrayOneOf)

---


### AppUserSchemaOneOfList <a name="@cdktf/provider-okta.AppUserSchemaOneOfList" id="cdktfprovideroktaappuserschemaoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaOneOfList.Initializer" id="cdktfprovideroktaappuserschemaoneoflistinitializer"></a>

```typescript
import { AppUserSchemaOneOfList } from '@cdktf/provider-okta'

new AppUserSchemaOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemaoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemaoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappuserschemaoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfList.parameter.terraformResource" id="cdktfprovideroktaappuserschemaoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfList.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemaoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfList.parameter.wrapsSet" id="cdktfprovideroktaappuserschemaoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappuserschemaoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppUserSchemaOneOfList.get" id="cdktfprovideroktaappuserschemaoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfList.parameter.index" id="cdktfprovideroktaappuserschemaoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappuserschemaoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfList.property.internalValue" id="cdktfprovideroktaappuserschemaoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)[]

---


### AppUserSchemaOneOfOutputReference <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference" id="cdktfprovideroktaappuserschemaoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.Initializer" id="cdktfprovideroktaappuserschemaoneofoutputreferenceinitializer"></a>

```typescript
import { AppUserSchemaOneOfOutputReference } from '@cdktf/provider-okta'

new AppUserSchemaOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemaoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemaoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappuserschemaoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappuserschemaoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktaappuserschemaoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemaoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappuserschemaoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappuserschemaoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktaappuserschemaoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserschemaoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktaappuserschemaoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktaappuserschemaoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappuserschemaoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.property.constInput" id="cdktfprovideroktaappuserschemaoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.property.titleInput" id="cdktfprovideroktaappuserschemaoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.property.const" id="cdktfprovideroktaappuserschemaoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.property.title" id="cdktfprovideroktaappuserschemaoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaOneOfOutputReference.property.internalValue" id="cdktfprovideroktaappuserschemaoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaOneOf`](#@cdktf/provider-okta.AppUserSchemaOneOf)

---


### AppUserSchemaPropertyArrayOneOfList <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList" id="cdktfprovideroktaappuserschemapropertyarrayoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList.Initializer" id="cdktfprovideroktaappuserschemapropertyarrayoneoflistinitializer"></a>

```typescript
import { AppUserSchemaPropertyArrayOneOfList } from '@cdktf/provider-okta'

new AppUserSchemaPropertyArrayOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemapropertyarrayoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemapropertyarrayoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappuserschemapropertyarrayoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList.parameter.terraformResource" id="cdktfprovideroktaappuserschemapropertyarrayoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemapropertyarrayoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList.parameter.wrapsSet" id="cdktfprovideroktaappuserschemapropertyarrayoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappuserschemapropertyarrayoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList.get" id="cdktfprovideroktaappuserschemapropertyarrayoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList.parameter.index" id="cdktfprovideroktaappuserschemapropertyarrayoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappuserschemapropertyarrayoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfList.property.internalValue" id="cdktfprovideroktaappuserschemapropertyarrayoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)[]

---


### AppUserSchemaPropertyArrayOneOfOutputReference <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.Initializer" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceinitializer"></a>

```typescript
import { AppUserSchemaPropertyArrayOneOfOutputReference } from '@cdktf/provider-okta'

new AppUserSchemaPropertyArrayOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.property.constInput" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.property.titleInput" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.property.const" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.property.title" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOfOutputReference.property.internalValue" id="cdktfprovideroktaappuserschemapropertyarrayoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaPropertyArrayOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyArrayOneOf)

---


### AppUserSchemaPropertyOneOfList <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList" id="cdktfprovideroktaappuserschemapropertyoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList.Initializer" id="cdktfprovideroktaappuserschemapropertyoneoflistinitializer"></a>

```typescript
import { AppUserSchemaPropertyOneOfList } from '@cdktf/provider-okta'

new AppUserSchemaPropertyOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemapropertyoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemapropertyoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaappuserschemapropertyoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList.parameter.terraformResource" id="cdktfprovideroktaappuserschemapropertyoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemapropertyoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList.parameter.wrapsSet" id="cdktfprovideroktaappuserschemapropertyoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaappuserschemapropertyoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList.get" id="cdktfprovideroktaappuserschemapropertyoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList.parameter.index" id="cdktfprovideroktaappuserschemapropertyoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaappuserschemapropertyoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfList.property.internalValue" id="cdktfprovideroktaappuserschemapropertyoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)[]

---


### AppUserSchemaPropertyOneOfOutputReference <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference" id="cdktfprovideroktaappuserschemapropertyoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.Initializer" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferenceinitializer"></a>

```typescript
import { AppUserSchemaPropertyOneOfOutputReference } from '@cdktf/provider-okta'

new AppUserSchemaPropertyOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.property.constInput" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.property.titleInput" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.property.const" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.property.title" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AppUserSchemaPropertyOneOfOutputReference.property.internalValue" id="cdktfprovideroktaappuserschemapropertyoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AppUserSchemaPropertyOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AppUserSchemaPropertyOneOf`](#@cdktf/provider-okta.AppUserSchemaPropertyOneOf)

---


### AutoLoginAppUsersList <a name="@cdktf/provider-okta.AutoLoginAppUsersList" id="cdktfprovideroktaautologinappuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.AutoLoginAppUsersList.Initializer" id="cdktfprovideroktaautologinappuserslistinitializer"></a>

```typescript
import { AutoLoginAppUsersList } from '@cdktf/provider-okta'

new AutoLoginAppUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaautologinappuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaautologinappuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaautologinappuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersList.parameter.terraformResource" id="cdktfprovideroktaautologinappuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersList.parameter.terraformAttribute" id="cdktfprovideroktaautologinappuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersList.parameter.wrapsSet" id="cdktfprovideroktaautologinappuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaautologinappuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.AutoLoginAppUsersList.get" id="cdktfprovideroktaautologinappuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersList.parameter.index" id="cdktfprovideroktaautologinappuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaautologinappuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersList.property.internalValue" id="cdktfprovideroktaautologinappuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AutoLoginAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)[]

---


### AutoLoginAppUsersOutputReference <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference" id="cdktfprovideroktaautologinappusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.Initializer" id="cdktfprovideroktaautologinappusersoutputreferenceinitializer"></a>

```typescript
import { AutoLoginAppUsersOutputReference } from '@cdktf/provider-okta'

new AutoLoginAppUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaautologinappusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaautologinappusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaautologinappusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaautologinappusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaautologinappusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaautologinappusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaautologinappusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaautologinappusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaautologinappusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaautologinappusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaautologinappusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.resetId" id="cdktfprovideroktaautologinappusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.resetPassword" id="cdktfprovideroktaautologinappusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.resetUsername" id="cdktfprovideroktaautologinappusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaautologinappusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaautologinappusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaautologinappusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaautologinappusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaautologinappusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaautologinappusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaautologinappusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaautologinappusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.scope" id="cdktfprovideroktaautologinappusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.idInput" id="cdktfprovideroktaautologinappusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.passwordInput" id="cdktfprovideroktaautologinappusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.usernameInput" id="cdktfprovideroktaautologinappusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.id" id="cdktfprovideroktaautologinappusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.password" id="cdktfprovideroktaautologinappusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.username" id="cdktfprovideroktaautologinappusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.AutoLoginAppUsersOutputReference.property.internalValue" id="cdktfprovideroktaautologinappusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | AutoLoginAppUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.AutoLoginAppUsers`](#@cdktf/provider-okta.AutoLoginAppUsers)

---


### BookmarkAppUsersList <a name="@cdktf/provider-okta.BookmarkAppUsersList" id="cdktfprovideroktabookmarkappuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.BookmarkAppUsersList.Initializer" id="cdktfprovideroktabookmarkappuserslistinitializer"></a>

```typescript
import { BookmarkAppUsersList } from '@cdktf/provider-okta'

new BookmarkAppUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktabookmarkappuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktabookmarkappuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktabookmarkappuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersList.parameter.terraformResource" id="cdktfprovideroktabookmarkappuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersList.parameter.terraformAttribute" id="cdktfprovideroktabookmarkappuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersList.parameter.wrapsSet" id="cdktfprovideroktabookmarkappuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktabookmarkappuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.BookmarkAppUsersList.get" id="cdktfprovideroktabookmarkappuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersList.parameter.index" id="cdktfprovideroktabookmarkappuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktabookmarkappuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersList.property.internalValue" id="cdktfprovideroktabookmarkappuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | BookmarkAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)[]

---


### BookmarkAppUsersOutputReference <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference" id="cdktfprovideroktabookmarkappusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.Initializer" id="cdktfprovideroktabookmarkappusersoutputreferenceinitializer"></a>

```typescript
import { BookmarkAppUsersOutputReference } from '@cdktf/provider-okta'

new BookmarkAppUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktabookmarkappusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktabookmarkappusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktabookmarkappusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktabookmarkappusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktabookmarkappusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktabookmarkappusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktabookmarkappusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktabookmarkappusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktabookmarkappusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktabookmarkappusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktabookmarkappusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.resetId" id="cdktfprovideroktabookmarkappusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.resetPassword" id="cdktfprovideroktabookmarkappusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.resetUsername" id="cdktfprovideroktabookmarkappusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktabookmarkappusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktabookmarkappusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktabookmarkappusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktabookmarkappusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktabookmarkappusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktabookmarkappusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktabookmarkappusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktabookmarkappusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.scope" id="cdktfprovideroktabookmarkappusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.idInput" id="cdktfprovideroktabookmarkappusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.passwordInput" id="cdktfprovideroktabookmarkappusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.usernameInput" id="cdktfprovideroktabookmarkappusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.id" id="cdktfprovideroktabookmarkappusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.password" id="cdktfprovideroktabookmarkappusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.username" id="cdktfprovideroktabookmarkappusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.BookmarkAppUsersOutputReference.property.internalValue" id="cdktfprovideroktabookmarkappusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | BookmarkAppUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.BookmarkAppUsers`](#@cdktf/provider-okta.BookmarkAppUsers)

---


### DataOktaAppSamlAttributeStatementsList <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList" id="cdktfprovideroktadataoktaappsamlattributestatementslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList.Initializer" id="cdktfprovideroktadataoktaappsamlattributestatementslistinitializer"></a>

```typescript
import { DataOktaAppSamlAttributeStatementsList } from '@cdktf/provider-okta'

new DataOktaAppSamlAttributeStatementsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaappsamlattributestatementslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaappsamlattributestatementslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktaappsamlattributestatementslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList.parameter.terraformResource" id="cdktfprovideroktadataoktaappsamlattributestatementslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktaappsamlattributestatementslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList.parameter.wrapsSet" id="cdktfprovideroktadataoktaappsamlattributestatementslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktaappsamlattributestatementslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList.get" id="cdktfprovideroktadataoktaappsamlattributestatementslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsList.parameter.index" id="cdktfprovideroktadataoktaappsamlattributestatementslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaAppSamlAttributeStatementsOutputReference <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.Initializer" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceinitializer"></a>

```typescript
import { DataOktaAppSamlAttributeStatementsOutputReference } from '@cdktf/provider-okta'

new DataOktaAppSamlAttributeStatementsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`filterType`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyfiltertype)<span title="Required">*</span> | `string` | *No description.* |
| [`filterValue`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyfiltervalue)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`namespace`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertynamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`values`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyvalues)<span title="Required">*</span> | `string`[] | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaAppSamlAttributeStatements`](#@cdktf/provider-okta.DataOktaAppSamlAttributeStatements) | *No description.* |

---

##### `filterType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.property.filterType" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

---

##### `filterValue`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.property.filterValue" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyfiltervalue"></a>

```typescript
public readonly filterValue: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.property.name" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `namespace`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.property.namespace" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertynamespace"></a>

```typescript
public readonly namespace: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.property.type" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `values`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.property.values" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyvalues"></a>

```typescript
public readonly values: string[];
```

- *Type:* `string`[]

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAppSamlAttributeStatementsOutputReference.property.internalValue" id="cdktfprovideroktadataoktaappsamlattributestatementsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaAppSamlAttributeStatements;
```

- *Type:* [`@cdktf/provider-okta.DataOktaAppSamlAttributeStatements`](#@cdktf/provider-okta.DataOktaAppSamlAttributeStatements)

---


### DataOktaAuthServerClaimsClaimsList <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList" id="cdktfprovideroktadataoktaauthserverclaimsclaimslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList.Initializer" id="cdktfprovideroktadataoktaauthserverclaimsclaimslistinitializer"></a>

```typescript
import { DataOktaAuthServerClaimsClaimsList } from '@cdktf/provider-okta'

new DataOktaAuthServerClaimsClaimsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaauthserverclaimsclaimslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaauthserverclaimsclaimslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktaauthserverclaimsclaimslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList.parameter.terraformResource" id="cdktfprovideroktadataoktaauthserverclaimsclaimslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktaauthserverclaimsclaimslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList.parameter.wrapsSet" id="cdktfprovideroktadataoktaauthserverclaimsclaimslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktaauthserverclaimsclaimslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList.get" id="cdktfprovideroktadataoktaauthserverclaimsclaimslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsList.parameter.index" id="cdktfprovideroktadataoktaauthserverclaimsclaimslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaAuthServerClaimsClaimsOutputReference <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.Initializer" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceinitializer"></a>

```typescript
import { DataOktaAuthServerClaimsClaimsOutputReference } from '@cdktf/provider-okta'

new DataOktaAuthServerClaimsClaimsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`alwaysIncludeInToken`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyalwaysincludeintoken)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`claimType`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyclaimtype)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`status`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`valueType`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyvaluetype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaAuthServerClaimsClaims`](#@cdktf/provider-okta.DataOktaAuthServerClaimsClaims) | *No description.* |

---

##### `alwaysIncludeInToken`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.alwaysIncludeInToken" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyalwaysincludeintoken"></a>

```typescript
public readonly alwaysIncludeInToken: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `claimType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.claimType" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyclaimtype"></a>

```typescript
public readonly claimType: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.id" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.name" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.scopes" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.status" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.value" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `valueType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.valueType" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyvaluetype"></a>

```typescript
public readonly valueType: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerClaimsClaimsOutputReference.property.internalValue" id="cdktfprovideroktadataoktaauthserverclaimsclaimsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaAuthServerClaimsClaims;
```

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerClaimsClaims`](#@cdktf/provider-okta.DataOktaAuthServerClaimsClaims)

---


### DataOktaAuthServerScopesScopesList <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesList" id="cdktfprovideroktadataoktaauthserverscopesscopeslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesList.Initializer" id="cdktfprovideroktadataoktaauthserverscopesscopeslistinitializer"></a>

```typescript
import { DataOktaAuthServerScopesScopesList } from '@cdktf/provider-okta'

new DataOktaAuthServerScopesScopesList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaauthserverscopesscopeslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaauthserverscopesscopeslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktaauthserverscopesscopeslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesList.parameter.terraformResource" id="cdktfprovideroktadataoktaauthserverscopesscopeslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesList.parameter.terraformAttribute" id="cdktfprovideroktadataoktaauthserverscopesscopeslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesList.parameter.wrapsSet" id="cdktfprovideroktadataoktaauthserverscopesscopeslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktaauthserverscopesscopeslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesList.get" id="cdktfprovideroktadataoktaauthserverscopesscopeslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesList.parameter.index" id="cdktfprovideroktadataoktaauthserverscopesscopeslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaAuthServerScopesScopesOutputReference <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.Initializer" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceinitializer"></a>

```typescript
import { DataOktaAuthServerScopesScopesOutputReference } from '@cdktf/provider-okta'

new DataOktaAuthServerScopesScopesOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`consent`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyconsent)<span title="Required">*</span> | `string` | *No description.* |
| [`default`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertydefault)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`description`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`displayName`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertydisplayname)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`metadataPublish`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertymetadatapublish)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`systemAttribute`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertysystemattribute)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaAuthServerScopesScopes`](#@cdktf/provider-okta.DataOktaAuthServerScopesScopes) | *No description.* |

---

##### `consent`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.consent" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyconsent"></a>

```typescript
public readonly consent: string;
```

- *Type:* `string`

---

##### `default`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.default" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertydefault"></a>

```typescript
public readonly default: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.description" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.displayName" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.id" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `metadataPublish`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.metadataPublish" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertymetadatapublish"></a>

```typescript
public readonly metadataPublish: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.name" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `systemAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.systemAttribute" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertysystemattribute"></a>

```typescript
public readonly systemAttribute: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaAuthServerScopesScopesOutputReference.property.internalValue" id="cdktfprovideroktadataoktaauthserverscopesscopesoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaAuthServerScopesScopes;
```

- *Type:* [`@cdktf/provider-okta.DataOktaAuthServerScopesScopes`](#@cdktf/provider-okta.DataOktaAuthServerScopesScopes)

---


### DataOktaBehaviorsBehaviorsList <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList" id="cdktfprovideroktadataoktabehaviorsbehaviorslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList.Initializer" id="cdktfprovideroktadataoktabehaviorsbehaviorslistinitializer"></a>

```typescript
import { DataOktaBehaviorsBehaviorsList } from '@cdktf/provider-okta'

new DataOktaBehaviorsBehaviorsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktabehaviorsbehaviorslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktabehaviorsbehaviorslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktabehaviorsbehaviorslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList.parameter.terraformResource" id="cdktfprovideroktadataoktabehaviorsbehaviorslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktabehaviorsbehaviorslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList.parameter.wrapsSet" id="cdktfprovideroktadataoktabehaviorsbehaviorslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktabehaviorsbehaviorslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList.get" id="cdktfprovideroktadataoktabehaviorsbehaviorslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsList.parameter.index" id="cdktfprovideroktadataoktabehaviorsbehaviorslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaBehaviorsBehaviorsOutputReference <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.Initializer" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceinitializer"></a>

```typescript
import { DataOktaBehaviorsBehaviorsOutputReference } from '@cdktf/provider-okta'

new DataOktaBehaviorsBehaviorsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`id`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`settings`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertysettings)<span title="Required">*</span> | [`cdktf.StringMap`](#cdktf.StringMap) | *No description.* |
| [`status`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaBehaviorsBehaviors`](#@cdktf/provider-okta.DataOktaBehaviorsBehaviors) | *No description.* |

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.property.id" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.property.name" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `settings`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.property.settings" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertysettings"></a>

```typescript
public readonly settings: StringMap;
```

- *Type:* [`cdktf.StringMap`](#cdktf.StringMap)

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.property.status" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.property.type" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBehaviorsBehaviorsOutputReference.property.internalValue" id="cdktfprovideroktadataoktabehaviorsbehaviorsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaBehaviorsBehaviors;
```

- *Type:* [`@cdktf/provider-okta.DataOktaBehaviorsBehaviors`](#@cdktf/provider-okta.DataOktaBehaviorsBehaviors)

---


### DataOktaBrandsBrandsList <a name="@cdktf/provider-okta.DataOktaBrandsBrandsList" id="cdktfprovideroktadataoktabrandsbrandslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaBrandsBrandsList.Initializer" id="cdktfprovideroktadataoktabrandsbrandslistinitializer"></a>

```typescript
import { DataOktaBrandsBrandsList } from '@cdktf/provider-okta'

new DataOktaBrandsBrandsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktabrandsbrandslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktabrandsbrandslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktabrandsbrandslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsList.parameter.terraformResource" id="cdktfprovideroktadataoktabrandsbrandslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktabrandsbrandslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsList.parameter.wrapsSet" id="cdktfprovideroktadataoktabrandsbrandslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktabrandsbrandslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaBrandsBrandsList.get" id="cdktfprovideroktadataoktabrandsbrandslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsList.parameter.index" id="cdktfprovideroktadataoktabrandsbrandslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaBrandsBrandsOutputReference <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference" id="cdktfprovideroktadataoktabrandsbrandsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.Initializer" id="cdktfprovideroktadataoktabrandsbrandsoutputreferenceinitializer"></a>

```typescript
import { DataOktaBrandsBrandsOutputReference } from '@cdktf/provider-okta'

new DataOktaBrandsBrandsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktabrandsbrandsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktabrandsbrandsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktabrandsbrandsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktabrandsbrandsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktabrandsbrandsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktabrandsbrandsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktabrandsbrandsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktabrandsbrandsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`customPrivacyPolicyUrl`](#cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertycustomprivacypolicyurl)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`removePoweredByOkta`](#cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertyremovepoweredbyokta)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaBrandsBrands`](#@cdktf/provider-okta.DataOktaBrandsBrands) | *No description.* |

---

##### `customPrivacyPolicyUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.property.customPrivacyPolicyUrl" id="cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertycustomprivacypolicyurl"></a>

```typescript
public readonly customPrivacyPolicyUrl: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.property.id" id="cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.property.links" id="cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `removePoweredByOkta`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.property.removePoweredByOkta" id="cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertyremovepoweredbyokta"></a>

```typescript
public readonly removePoweredByOkta: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaBrandsBrandsOutputReference.property.internalValue" id="cdktfprovideroktadataoktabrandsbrandsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaBrandsBrands;
```

- *Type:* [`@cdktf/provider-okta.DataOktaBrandsBrands`](#@cdktf/provider-okta.DataOktaBrandsBrands)

---


### DataOktaEmailCustomizationsEmailCustomizationsList <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList.Initializer" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistinitializer"></a>

```typescript
import { DataOktaEmailCustomizationsEmailCustomizationsList } from '@cdktf/provider-okta'

new DataOktaEmailCustomizationsEmailCustomizationsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList.parameter.terraformResource" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList.parameter.wrapsSet" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList.get" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsList.parameter.index" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaEmailCustomizationsEmailCustomizationsOutputReference <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.Initializer" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceinitializer"></a>

```typescript
import { DataOktaEmailCustomizationsEmailCustomizationsOutputReference } from '@cdktf/provider-okta'

new DataOktaEmailCustomizationsEmailCustomizationsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`body`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertybody)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`isDefault`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertyisdefault)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`language`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertylanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`subject`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertysubject)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizations`](#@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizations) | *No description.* |

---

##### `body`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.property.body" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertybody"></a>

```typescript
public readonly body: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.property.id" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `isDefault`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.property.isDefault" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertyisdefault"></a>

```typescript
public readonly isDefault: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `language`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.property.language" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.property.links" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `subject`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.property.subject" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertysubject"></a>

```typescript
public readonly subject: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizationsOutputReference.property.internalValue" id="cdktfprovideroktadataoktaemailcustomizationsemailcustomizationsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaEmailCustomizationsEmailCustomizations;
```

- *Type:* [`@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizations`](#@cdktf/provider-okta.DataOktaEmailCustomizationsEmailCustomizations)

---


### DataOktaEmailTemplatesEmailTemplatesList <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList" id="cdktfprovideroktadataoktaemailtemplatesemailtemplateslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList.Initializer" id="cdktfprovideroktadataoktaemailtemplatesemailtemplateslistinitializer"></a>

```typescript
import { DataOktaEmailTemplatesEmailTemplatesList } from '@cdktf/provider-okta'

new DataOktaEmailTemplatesEmailTemplatesList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaemailtemplatesemailtemplateslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaemailtemplatesemailtemplateslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktaemailtemplatesemailtemplateslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList.parameter.terraformResource" id="cdktfprovideroktadataoktaemailtemplatesemailtemplateslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList.parameter.terraformAttribute" id="cdktfprovideroktadataoktaemailtemplatesemailtemplateslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList.parameter.wrapsSet" id="cdktfprovideroktadataoktaemailtemplatesemailtemplateslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktaemailtemplatesemailtemplateslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList.get" id="cdktfprovideroktadataoktaemailtemplatesemailtemplateslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesList.parameter.index" id="cdktfprovideroktadataoktaemailtemplatesemailtemplateslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaEmailTemplatesEmailTemplatesOutputReference <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.Initializer" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceinitializer"></a>

```typescript
import { DataOktaEmailTemplatesEmailTemplatesOutputReference } from '@cdktf/provider-okta'

new DataOktaEmailTemplatesEmailTemplatesOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`links`](#cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferencepropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplates`](#@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplates) | *No description.* |

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.property.links" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferencepropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.property.name" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplatesOutputReference.property.internalValue" id="cdktfprovideroktadataoktaemailtemplatesemailtemplatesoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaEmailTemplatesEmailTemplates;
```

- *Type:* [`@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplates`](#@cdktf/provider-okta.DataOktaEmailTemplatesEmailTemplates)

---


### DataOktaGroupsGroupsList <a name="@cdktf/provider-okta.DataOktaGroupsGroupsList" id="cdktfprovideroktadataoktagroupsgroupslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaGroupsGroupsList.Initializer" id="cdktfprovideroktadataoktagroupsgroupslistinitializer"></a>

```typescript
import { DataOktaGroupsGroupsList } from '@cdktf/provider-okta'

new DataOktaGroupsGroupsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktagroupsgroupslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktagroupsgroupslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktagroupsgroupslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsList.parameter.terraformResource" id="cdktfprovideroktadataoktagroupsgroupslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktagroupsgroupslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsList.parameter.wrapsSet" id="cdktfprovideroktadataoktagroupsgroupslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktagroupsgroupslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaGroupsGroupsList.get" id="cdktfprovideroktadataoktagroupsgroupslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsList.parameter.index" id="cdktfprovideroktadataoktagroupsgroupslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaGroupsGroupsOutputReference <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference" id="cdktfprovideroktadataoktagroupsgroupsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.Initializer" id="cdktfprovideroktadataoktagroupsgroupsoutputreferenceinitializer"></a>

```typescript
import { DataOktaGroupsGroupsOutputReference } from '@cdktf/provider-okta'

new DataOktaGroupsGroupsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktagroupsgroupsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktagroupsgroupsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktagroupsgroupsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktagroupsgroupsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktagroupsgroupsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktagroupsgroupsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktagroupsgroupsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktagroupsgroupsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`customProfileAttributes`](#cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertycustomprofileattributes)<span title="Required">*</span> | `string` | *No description.* |
| [`description`](#cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertydescription)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaGroupsGroups`](#@cdktf/provider-okta.DataOktaGroupsGroups) | *No description.* |

---

##### `customProfileAttributes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.property.customProfileAttributes" id="cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertycustomprofileattributes"></a>

```typescript
public readonly customProfileAttributes: string;
```

- *Type:* `string`

---

##### `description`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.property.description" id="cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertydescription"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.property.id" id="cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.property.name" id="cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.property.type" id="cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaGroupsGroupsOutputReference.property.internalValue" id="cdktfprovideroktadataoktagroupsgroupsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaGroupsGroups;
```

- *Type:* [`@cdktf/provider-okta.DataOktaGroupsGroups`](#@cdktf/provider-okta.DataOktaGroupsGroups)

---


### DataOktaThemesThemesList <a name="@cdktf/provider-okta.DataOktaThemesThemesList" id="cdktfprovideroktadataoktathemesthemeslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaThemesThemesList.Initializer" id="cdktfprovideroktadataoktathemesthemeslistinitializer"></a>

```typescript
import { DataOktaThemesThemesList } from '@cdktf/provider-okta'

new DataOktaThemesThemesList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktathemesthemeslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktathemesthemeslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktathemesthemeslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesList.parameter.terraformResource" id="cdktfprovideroktadataoktathemesthemeslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesList.parameter.terraformAttribute" id="cdktfprovideroktadataoktathemesthemeslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesList.parameter.wrapsSet" id="cdktfprovideroktadataoktathemesthemeslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktathemesthemeslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaThemesThemesList.get" id="cdktfprovideroktadataoktathemesthemeslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesList.parameter.index" id="cdktfprovideroktadataoktathemesthemeslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaThemesThemesOutputReference <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference" id="cdktfprovideroktadataoktathemesthemesoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.Initializer" id="cdktfprovideroktadataoktathemesthemesoutputreferenceinitializer"></a>

```typescript
import { DataOktaThemesThemesOutputReference } from '@cdktf/provider-okta'

new DataOktaThemesThemesOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktathemesthemesoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktathemesthemesoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktathemesthemesoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktathemesthemesoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktathemesthemesoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktathemesthemesoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktathemesthemesoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktathemesthemesoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`backgroundImageUrl`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertybackgroundimageurl)<span title="Required">*</span> | `string` | *No description.* |
| [`emailTemplateTouchPointVariant`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyemailtemplatetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`endUserDashboardTouchPointVariant`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyenduserdashboardtouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`errorPageTouchPointVariant`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyerrorpagetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`faviconUrl`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyfaviconurl)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`links`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertylinks)<span title="Required">*</span> | `string` | *No description.* |
| [`logoUrl`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertylogourl)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryColorContrastHex`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyprimarycolorcontrasthex)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryColorHex`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyprimarycolorhex)<span title="Required">*</span> | `string` | *No description.* |
| [`secondaryColorContrastHex`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertysecondarycolorcontrasthex)<span title="Required">*</span> | `string` | *No description.* |
| [`secondaryColorHex`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertysecondarycolorhex)<span title="Required">*</span> | `string` | *No description.* |
| [`signInPageTouchPointVariant`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertysigninpagetouchpointvariant)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktathemesthemesoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaThemesThemes`](#@cdktf/provider-okta.DataOktaThemesThemes) | *No description.* |

---

##### `backgroundImageUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.backgroundImageUrl" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertybackgroundimageurl"></a>

```typescript
public readonly backgroundImageUrl: string;
```

- *Type:* `string`

---

##### `emailTemplateTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.emailTemplateTouchPointVariant" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyemailtemplatetouchpointvariant"></a>

```typescript
public readonly emailTemplateTouchPointVariant: string;
```

- *Type:* `string`

---

##### `endUserDashboardTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.endUserDashboardTouchPointVariant" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyenduserdashboardtouchpointvariant"></a>

```typescript
public readonly endUserDashboardTouchPointVariant: string;
```

- *Type:* `string`

---

##### `errorPageTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.errorPageTouchPointVariant" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyerrorpagetouchpointvariant"></a>

```typescript
public readonly errorPageTouchPointVariant: string;
```

- *Type:* `string`

---

##### `faviconUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.faviconUrl" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyfaviconurl"></a>

```typescript
public readonly faviconUrl: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.id" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `links`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.links" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertylinks"></a>

```typescript
public readonly links: string;
```

- *Type:* `string`

---

##### `logoUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.logoUrl" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertylogourl"></a>

```typescript
public readonly logoUrl: string;
```

- *Type:* `string`

---

##### `primaryColorContrastHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.primaryColorContrastHex" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyprimarycolorcontrasthex"></a>

```typescript
public readonly primaryColorContrastHex: string;
```

- *Type:* `string`

---

##### `primaryColorHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.primaryColorHex" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyprimarycolorhex"></a>

```typescript
public readonly primaryColorHex: string;
```

- *Type:* `string`

---

##### `secondaryColorContrastHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.secondaryColorContrastHex" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertysecondarycolorcontrasthex"></a>

```typescript
public readonly secondaryColorContrastHex: string;
```

- *Type:* `string`

---

##### `secondaryColorHex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.secondaryColorHex" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertysecondarycolorhex"></a>

```typescript
public readonly secondaryColorHex: string;
```

- *Type:* `string`

---

##### `signInPageTouchPointVariant`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.signInPageTouchPointVariant" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertysigninpagetouchpointvariant"></a>

```typescript
public readonly signInPageTouchPointVariant: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaThemesThemesOutputReference.property.internalValue" id="cdktfprovideroktadataoktathemesthemesoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaThemesThemes;
```

- *Type:* [`@cdktf/provider-okta.DataOktaThemesThemes`](#@cdktf/provider-okta.DataOktaThemesThemes)

---


### DataOktaTrustedOriginsTrustedOriginsList <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList.Initializer" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginslistinitializer"></a>

```typescript
import { DataOktaTrustedOriginsTrustedOriginsList } from '@cdktf/provider-okta'

new DataOktaTrustedOriginsTrustedOriginsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList.parameter.terraformResource" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList.parameter.wrapsSet" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList.get" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsList.parameter.index" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaTrustedOriginsTrustedOriginsOutputReference <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.Initializer" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceinitializer"></a>

```typescript
import { DataOktaTrustedOriginsTrustedOriginsOutputReference } from '@cdktf/provider-okta'

new DataOktaTrustedOriginsTrustedOriginsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`active`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyactive)<span title="Required">*</span> | [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`id`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`origin`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyorigin)<span title="Required">*</span> | `string` | *No description.* |
| [`scopes`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyscopes)<span title="Required">*</span> | `string`[] | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOrigins`](#@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOrigins) | *No description.* |

---

##### `active`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.property.active" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyactive"></a>

```typescript
public readonly active: IResolvable;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.property.id" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.property.name" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `origin`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.property.origin" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyorigin"></a>

```typescript
public readonly origin: string;
```

- *Type:* `string`

---

##### `scopes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.property.scopes" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyscopes"></a>

```typescript
public readonly scopes: string[];
```

- *Type:* `string`[]

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOriginsOutputReference.property.internalValue" id="cdktfprovideroktadataoktatrustedoriginstrustedoriginsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaTrustedOriginsTrustedOrigins;
```

- *Type:* [`@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOrigins`](#@cdktf/provider-okta.DataOktaTrustedOriginsTrustedOrigins)

---


### DataOktaUserSearchList <a name="@cdktf/provider-okta.DataOktaUserSearchList" id="cdktfprovideroktadataoktausersearchlist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUserSearchList.Initializer" id="cdktfprovideroktadataoktausersearchlistinitializer"></a>

```typescript
import { DataOktaUserSearchList } from '@cdktf/provider-okta'

new DataOktaUserSearchList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktausersearchlistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktausersearchlistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktausersearchlistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchList.parameter.terraformResource" id="cdktfprovideroktadataoktausersearchlistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchList.parameter.terraformAttribute" id="cdktfprovideroktadataoktausersearchlistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchList.parameter.wrapsSet" id="cdktfprovideroktadataoktausersearchlistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktausersearchlistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaUserSearchList.get" id="cdktfprovideroktadataoktausersearchlistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchList.parameter.index" id="cdktfprovideroktadataoktausersearchlistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktadataoktausersearchlistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchList.property.internalValue" id="cdktfprovideroktadataoktausersearchlistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | DataOktaUserSearch[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)[]

---


### DataOktaUserSearchOutputReference <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference" id="cdktfprovideroktadataoktausersearchoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.Initializer" id="cdktfprovideroktadataoktausersearchoutputreferenceinitializer"></a>

```typescript
import { DataOktaUserSearchOutputReference } from '@cdktf/provider-okta'

new DataOktaUserSearchOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktausersearchoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktausersearchoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktausersearchoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktausersearchoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktausersearchoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktausersearchoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktausersearchoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktausersearchoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetComparison`](#cdktfprovideroktadataoktausersearchoutputreferenceresetcomparison) | *No description.* |
| [`resetExpression`](#cdktfprovideroktadataoktausersearchoutputreferenceresetexpression) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktausersearchoutputreferenceresetname) | *No description.* |
| [`resetValue`](#cdktfprovideroktadataoktausersearchoutputreferenceresetvalue) | *No description.* |

---

##### `resetComparison` <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.resetComparison" id="cdktfprovideroktadataoktausersearchoutputreferenceresetcomparison"></a>

```typescript
public resetComparison()
```

##### `resetExpression` <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.resetExpression" id="cdktfprovideroktadataoktausersearchoutputreferenceresetexpression"></a>

```typescript
public resetExpression()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.resetName" id="cdktfprovideroktadataoktausersearchoutputreferenceresetname"></a>

```typescript
public resetName()
```

##### `resetValue` <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.resetValue" id="cdktfprovideroktadataoktausersearchoutputreferenceresetvalue"></a>

```typescript
public resetValue()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`comparisonInput`](#cdktfprovideroktadataoktausersearchoutputreferencepropertycomparisoninput) | `string` | *No description.* |
| [`expressionInput`](#cdktfprovideroktadataoktausersearchoutputreferencepropertyexpressioninput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktausersearchoutputreferencepropertynameinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktadataoktausersearchoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`comparison`](#cdktfprovideroktadataoktausersearchoutputreferencepropertycomparison)<span title="Required">*</span> | `string` | *No description.* |
| [`expression`](#cdktfprovideroktadataoktausersearchoutputreferencepropertyexpression)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktausersearchoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktadataoktausersearchoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktausersearchoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch) | *No description.* |

---

##### `comparisonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.comparisonInput" id="cdktfprovideroktadataoktausersearchoutputreferencepropertycomparisoninput"></a>

```typescript
public readonly comparisonInput: string;
```

- *Type:* `string`

---

##### `expressionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.expressionInput" id="cdktfprovideroktadataoktausersearchoutputreferencepropertyexpressioninput"></a>

```typescript
public readonly expressionInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.nameInput" id="cdktfprovideroktadataoktausersearchoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.valueInput" id="cdktfprovideroktadataoktausersearchoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `comparison`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.comparison" id="cdktfprovideroktadataoktausersearchoutputreferencepropertycomparison"></a>

```typescript
public readonly comparison: string;
```

- *Type:* `string`

---

##### `expression`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.expression" id="cdktfprovideroktadataoktausersearchoutputreferencepropertyexpression"></a>

```typescript
public readonly expression: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.name" id="cdktfprovideroktadataoktausersearchoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.value" id="cdktfprovideroktadataoktausersearchoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSearchOutputReference.property.internalValue" id="cdktfprovideroktadataoktausersearchoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | DataOktaUserSearch;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUserSearch`](#@cdktf/provider-okta.DataOktaUserSearch)

---


### DataOktaUserSecurityQuestionsQuestionsList <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList" id="cdktfprovideroktadataoktausersecurityquestionsquestionslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList.Initializer" id="cdktfprovideroktadataoktausersecurityquestionsquestionslistinitializer"></a>

```typescript
import { DataOktaUserSecurityQuestionsQuestionsList } from '@cdktf/provider-okta'

new DataOktaUserSecurityQuestionsQuestionsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktausersecurityquestionsquestionslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktausersecurityquestionsquestionslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktausersecurityquestionsquestionslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList.parameter.terraformResource" id="cdktfprovideroktadataoktausersecurityquestionsquestionslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList.parameter.terraformAttribute" id="cdktfprovideroktadataoktausersecurityquestionsquestionslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList.parameter.wrapsSet" id="cdktfprovideroktadataoktausersecurityquestionsquestionslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktausersecurityquestionsquestionslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList.get" id="cdktfprovideroktadataoktausersecurityquestionsquestionslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsList.parameter.index" id="cdktfprovideroktadataoktausersecurityquestionsquestionslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaUserSecurityQuestionsQuestionsOutputReference <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.Initializer" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceinitializer"></a>

```typescript
import { DataOktaUserSecurityQuestionsQuestionsOutputReference } from '@cdktf/provider-okta'

new DataOktaUserSecurityQuestionsQuestionsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`key`](#cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferencepropertykey)<span title="Required">*</span> | `string` | *No description.* |
| [`text`](#cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferencepropertytext)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestions`](#@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestions) | *No description.* |

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.property.key" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferencepropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

---

##### `text`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.property.text" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferencepropertytext"></a>

```typescript
public readonly text: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestionsOutputReference.property.internalValue" id="cdktfprovideroktadataoktausersecurityquestionsquestionsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaUserSecurityQuestionsQuestions;
```

- *Type:* [`@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestions`](#@cdktf/provider-okta.DataOktaUserSecurityQuestionsQuestions)

---


### DataOktaUsersSearchList <a name="@cdktf/provider-okta.DataOktaUsersSearchList" id="cdktfprovideroktadataoktauserssearchlist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUsersSearchList.Initializer" id="cdktfprovideroktadataoktauserssearchlistinitializer"></a>

```typescript
import { DataOktaUsersSearchList } from '@cdktf/provider-okta'

new DataOktaUsersSearchList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktauserssearchlistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktauserssearchlistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktauserssearchlistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchList.parameter.terraformResource" id="cdktfprovideroktadataoktauserssearchlistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchList.parameter.terraformAttribute" id="cdktfprovideroktadataoktauserssearchlistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchList.parameter.wrapsSet" id="cdktfprovideroktadataoktauserssearchlistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktauserssearchlistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaUsersSearchList.get" id="cdktfprovideroktadataoktauserssearchlistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchList.parameter.index" id="cdktfprovideroktadataoktauserssearchlistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktadataoktauserssearchlistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchList.property.internalValue" id="cdktfprovideroktadataoktauserssearchlistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | DataOktaUsersSearch[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)[]

---


### DataOktaUsersSearchOutputReference <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference" id="cdktfprovideroktadataoktauserssearchoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.Initializer" id="cdktfprovideroktadataoktauserssearchoutputreferenceinitializer"></a>

```typescript
import { DataOktaUsersSearchOutputReference } from '@cdktf/provider-okta'

new DataOktaUsersSearchOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktauserssearchoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktauserssearchoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktauserssearchoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktauserssearchoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktauserssearchoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktauserssearchoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktauserssearchoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktauserssearchoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetComparison`](#cdktfprovideroktadataoktauserssearchoutputreferenceresetcomparison) | *No description.* |
| [`resetExpression`](#cdktfprovideroktadataoktauserssearchoutputreferenceresetexpression) | *No description.* |
| [`resetName`](#cdktfprovideroktadataoktauserssearchoutputreferenceresetname) | *No description.* |
| [`resetValue`](#cdktfprovideroktadataoktauserssearchoutputreferenceresetvalue) | *No description.* |

---

##### `resetComparison` <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.resetComparison" id="cdktfprovideroktadataoktauserssearchoutputreferenceresetcomparison"></a>

```typescript
public resetComparison()
```

##### `resetExpression` <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.resetExpression" id="cdktfprovideroktadataoktauserssearchoutputreferenceresetexpression"></a>

```typescript
public resetExpression()
```

##### `resetName` <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.resetName" id="cdktfprovideroktadataoktauserssearchoutputreferenceresetname"></a>

```typescript
public resetName()
```

##### `resetValue` <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.resetValue" id="cdktfprovideroktadataoktauserssearchoutputreferenceresetvalue"></a>

```typescript
public resetValue()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`comparisonInput`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertycomparisoninput) | `string` | *No description.* |
| [`expressionInput`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertyexpressioninput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertynameinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`comparison`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertycomparison)<span title="Required">*</span> | `string` | *No description.* |
| [`expression`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertyexpression)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktauserssearchoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch) | *No description.* |

---

##### `comparisonInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.comparisonInput" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertycomparisoninput"></a>

```typescript
public readonly comparisonInput: string;
```

- *Type:* `string`

---

##### `expressionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.expressionInput" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertyexpressioninput"></a>

```typescript
public readonly expressionInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.nameInput" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.valueInput" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `comparison`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.comparison" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertycomparison"></a>

```typescript
public readonly comparison: string;
```

- *Type:* `string`

---

##### `expression`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.expression" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertyexpression"></a>

```typescript
public readonly expression: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.name" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.value" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersSearchOutputReference.property.internalValue" id="cdktfprovideroktadataoktauserssearchoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | DataOktaUsersSearch;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.DataOktaUsersSearch`](#@cdktf/provider-okta.DataOktaUsersSearch)

---


### DataOktaUsersUsersList <a name="@cdktf/provider-okta.DataOktaUsersUsersList" id="cdktfprovideroktadataoktausersuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUsersUsersList.Initializer" id="cdktfprovideroktadataoktausersuserslistinitializer"></a>

```typescript
import { DataOktaUsersUsersList } from '@cdktf/provider-okta'

new DataOktaUsersUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktausersuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktausersuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadataoktausersuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersList.parameter.terraformResource" id="cdktfprovideroktadataoktausersuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersList.parameter.terraformAttribute" id="cdktfprovideroktadataoktausersuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersList.parameter.wrapsSet" id="cdktfprovideroktadataoktausersuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadataoktausersuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DataOktaUsersUsersList.get" id="cdktfprovideroktadataoktausersuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersList.parameter.index" id="cdktfprovideroktadataoktausersuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DataOktaUsersUsersOutputReference <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference" id="cdktfprovideroktadataoktausersusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.Initializer" id="cdktfprovideroktadataoktausersusersoutputreferenceinitializer"></a>

```typescript
import { DataOktaUsersUsersOutputReference } from '@cdktf/provider-okta'

new DataOktaUsersUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadataoktausersusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadataoktausersusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadataoktausersusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadataoktausersusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktadataoktausersusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadataoktausersusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadataoktausersusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadataoktausersusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`adminRoles`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyadminroles)<span title="Required">*</span> | `string`[] | *No description.* |
| [`city`](#cdktfprovideroktadataoktausersusersoutputreferencepropertycity)<span title="Required">*</span> | `string` | *No description.* |
| [`costCenter`](#cdktfprovideroktadataoktausersusersoutputreferencepropertycostcenter)<span title="Required">*</span> | `string` | *No description.* |
| [`countryCode`](#cdktfprovideroktadataoktausersusersoutputreferencepropertycountrycode)<span title="Required">*</span> | `string` | *No description.* |
| [`customProfileAttributes`](#cdktfprovideroktadataoktausersusersoutputreferencepropertycustomprofileattributes)<span title="Required">*</span> | `string` | *No description.* |
| [`department`](#cdktfprovideroktadataoktausersusersoutputreferencepropertydepartment)<span title="Required">*</span> | `string` | *No description.* |
| [`displayName`](#cdktfprovideroktadataoktausersusersoutputreferencepropertydisplayname)<span title="Required">*</span> | `string` | *No description.* |
| [`division`](#cdktfprovideroktadataoktausersusersoutputreferencepropertydivision)<span title="Required">*</span> | `string` | *No description.* |
| [`email`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyemail)<span title="Required">*</span> | `string` | *No description.* |
| [`employeeNumber`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyemployeenumber)<span title="Required">*</span> | `string` | *No description.* |
| [`firstName`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyfirstname)<span title="Required">*</span> | `string` | *No description.* |
| [`groupMemberships`](#cdktfprovideroktadataoktausersusersoutputreferencepropertygroupmemberships)<span title="Required">*</span> | `string`[] | *No description.* |
| [`honorificPrefix`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyhonorificprefix)<span title="Required">*</span> | `string` | *No description.* |
| [`honorificSuffix`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyhonorificsuffix)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`lastName`](#cdktfprovideroktadataoktausersusersoutputreferencepropertylastname)<span title="Required">*</span> | `string` | *No description.* |
| [`locale`](#cdktfprovideroktadataoktausersusersoutputreferencepropertylocale)<span title="Required">*</span> | `string` | *No description.* |
| [`login`](#cdktfprovideroktadataoktausersusersoutputreferencepropertylogin)<span title="Required">*</span> | `string` | *No description.* |
| [`manager`](#cdktfprovideroktadataoktausersusersoutputreferencepropertymanager)<span title="Required">*</span> | `string` | *No description.* |
| [`managerId`](#cdktfprovideroktadataoktausersusersoutputreferencepropertymanagerid)<span title="Required">*</span> | `string` | *No description.* |
| [`middleName`](#cdktfprovideroktadataoktausersusersoutputreferencepropertymiddlename)<span title="Required">*</span> | `string` | *No description.* |
| [`mobilePhone`](#cdktfprovideroktadataoktausersusersoutputreferencepropertymobilephone)<span title="Required">*</span> | `string` | *No description.* |
| [`nickName`](#cdktfprovideroktadataoktausersusersoutputreferencepropertynickname)<span title="Required">*</span> | `string` | *No description.* |
| [`organization`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyorganization)<span title="Required">*</span> | `string` | *No description.* |
| [`postalAddress`](#cdktfprovideroktadataoktausersusersoutputreferencepropertypostaladdress)<span title="Required">*</span> | `string` | *No description.* |
| [`preferredLanguage`](#cdktfprovideroktadataoktausersusersoutputreferencepropertypreferredlanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryPhone`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyprimaryphone)<span title="Required">*</span> | `string` | *No description.* |
| [`profileUrl`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyprofileurl)<span title="Required">*</span> | `string` | *No description.* |
| [`secondEmail`](#cdktfprovideroktadataoktausersusersoutputreferencepropertysecondemail)<span title="Required">*</span> | `string` | *No description.* |
| [`state`](#cdktfprovideroktadataoktausersusersoutputreferencepropertystate)<span title="Required">*</span> | `string` | *No description.* |
| [`status`](#cdktfprovideroktadataoktausersusersoutputreferencepropertystatus)<span title="Required">*</span> | `string` | *No description.* |
| [`streetAddress`](#cdktfprovideroktadataoktausersusersoutputreferencepropertystreetaddress)<span title="Required">*</span> | `string` | *No description.* |
| [`timezone`](#cdktfprovideroktadataoktausersusersoutputreferencepropertytimezone)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktadataoktausersusersoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`userType`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyusertype)<span title="Required">*</span> | `string` | *No description.* |
| [`zipCode`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyzipcode)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktadataoktausersusersoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DataOktaUsersUsers`](#@cdktf/provider-okta.DataOktaUsersUsers) | *No description.* |

---

##### `adminRoles`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.adminRoles" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyadminroles"></a>

```typescript
public readonly adminRoles: string[];
```

- *Type:* `string`[]

---

##### `city`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.city" id="cdktfprovideroktadataoktausersusersoutputreferencepropertycity"></a>

```typescript
public readonly city: string;
```

- *Type:* `string`

---

##### `costCenter`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.costCenter" id="cdktfprovideroktadataoktausersusersoutputreferencepropertycostcenter"></a>

```typescript
public readonly costCenter: string;
```

- *Type:* `string`

---

##### `countryCode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.countryCode" id="cdktfprovideroktadataoktausersusersoutputreferencepropertycountrycode"></a>

```typescript
public readonly countryCode: string;
```

- *Type:* `string`

---

##### `customProfileAttributes`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.customProfileAttributes" id="cdktfprovideroktadataoktausersusersoutputreferencepropertycustomprofileattributes"></a>

```typescript
public readonly customProfileAttributes: string;
```

- *Type:* `string`

---

##### `department`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.department" id="cdktfprovideroktadataoktausersusersoutputreferencepropertydepartment"></a>

```typescript
public readonly department: string;
```

- *Type:* `string`

---

##### `displayName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.displayName" id="cdktfprovideroktadataoktausersusersoutputreferencepropertydisplayname"></a>

```typescript
public readonly displayName: string;
```

- *Type:* `string`

---

##### `division`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.division" id="cdktfprovideroktadataoktausersusersoutputreferencepropertydivision"></a>

```typescript
public readonly division: string;
```

- *Type:* `string`

---

##### `email`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.email" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyemail"></a>

```typescript
public readonly email: string;
```

- *Type:* `string`

---

##### `employeeNumber`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.employeeNumber" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyemployeenumber"></a>

```typescript
public readonly employeeNumber: string;
```

- *Type:* `string`

---

##### `firstName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.firstName" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyfirstname"></a>

```typescript
public readonly firstName: string;
```

- *Type:* `string`

---

##### `groupMemberships`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.groupMemberships" id="cdktfprovideroktadataoktausersusersoutputreferencepropertygroupmemberships"></a>

```typescript
public readonly groupMemberships: string[];
```

- *Type:* `string`[]

---

##### `honorificPrefix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.honorificPrefix" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyhonorificprefix"></a>

```typescript
public readonly honorificPrefix: string;
```

- *Type:* `string`

---

##### `honorificSuffix`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.honorificSuffix" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyhonorificsuffix"></a>

```typescript
public readonly honorificSuffix: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.id" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `lastName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.lastName" id="cdktfprovideroktadataoktausersusersoutputreferencepropertylastname"></a>

```typescript
public readonly lastName: string;
```

- *Type:* `string`

---

##### `locale`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.locale" id="cdktfprovideroktadataoktausersusersoutputreferencepropertylocale"></a>

```typescript
public readonly locale: string;
```

- *Type:* `string`

---

##### `login`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.login" id="cdktfprovideroktadataoktausersusersoutputreferencepropertylogin"></a>

```typescript
public readonly login: string;
```

- *Type:* `string`

---

##### `manager`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.manager" id="cdktfprovideroktadataoktausersusersoutputreferencepropertymanager"></a>

```typescript
public readonly manager: string;
```

- *Type:* `string`

---

##### `managerId`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.managerId" id="cdktfprovideroktadataoktausersusersoutputreferencepropertymanagerid"></a>

```typescript
public readonly managerId: string;
```

- *Type:* `string`

---

##### `middleName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.middleName" id="cdktfprovideroktadataoktausersusersoutputreferencepropertymiddlename"></a>

```typescript
public readonly middleName: string;
```

- *Type:* `string`

---

##### `mobilePhone`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.mobilePhone" id="cdktfprovideroktadataoktausersusersoutputreferencepropertymobilephone"></a>

```typescript
public readonly mobilePhone: string;
```

- *Type:* `string`

---

##### `nickName`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.nickName" id="cdktfprovideroktadataoktausersusersoutputreferencepropertynickname"></a>

```typescript
public readonly nickName: string;
```

- *Type:* `string`

---

##### `organization`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.organization" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyorganization"></a>

```typescript
public readonly organization: string;
```

- *Type:* `string`

---

##### `postalAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.postalAddress" id="cdktfprovideroktadataoktausersusersoutputreferencepropertypostaladdress"></a>

```typescript
public readonly postalAddress: string;
```

- *Type:* `string`

---

##### `preferredLanguage`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.preferredLanguage" id="cdktfprovideroktadataoktausersusersoutputreferencepropertypreferredlanguage"></a>

```typescript
public readonly preferredLanguage: string;
```

- *Type:* `string`

---

##### `primaryPhone`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.primaryPhone" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyprimaryphone"></a>

```typescript
public readonly primaryPhone: string;
```

- *Type:* `string`

---

##### `profileUrl`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.profileUrl" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyprofileurl"></a>

```typescript
public readonly profileUrl: string;
```

- *Type:* `string`

---

##### `secondEmail`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.secondEmail" id="cdktfprovideroktadataoktausersusersoutputreferencepropertysecondemail"></a>

```typescript
public readonly secondEmail: string;
```

- *Type:* `string`

---

##### `state`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.state" id="cdktfprovideroktadataoktausersusersoutputreferencepropertystate"></a>

```typescript
public readonly state: string;
```

- *Type:* `string`

---

##### `status`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.status" id="cdktfprovideroktadataoktausersusersoutputreferencepropertystatus"></a>

```typescript
public readonly status: string;
```

- *Type:* `string`

---

##### `streetAddress`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.streetAddress" id="cdktfprovideroktadataoktausersusersoutputreferencepropertystreetaddress"></a>

```typescript
public readonly streetAddress: string;
```

- *Type:* `string`

---

##### `timezone`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.timezone" id="cdktfprovideroktadataoktausersusersoutputreferencepropertytimezone"></a>

```typescript
public readonly timezone: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.title" id="cdktfprovideroktadataoktausersusersoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `userType`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.userType" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyusertype"></a>

```typescript
public readonly userType: string;
```

- *Type:* `string`

---

##### `zipCode`<sup>Required</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.zipCode" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyzipcode"></a>

```typescript
public readonly zipCode: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DataOktaUsersUsersOutputReference.property.internalValue" id="cdktfprovideroktadataoktausersusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DataOktaUsersUsers;
```

- *Type:* [`@cdktf/provider-okta.DataOktaUsersUsers`](#@cdktf/provider-okta.DataOktaUsersUsers)

---


### DomainDnsRecordsList <a name="@cdktf/provider-okta.DomainDnsRecordsList" id="cdktfprovideroktadomaindnsrecordslist"></a>

#### Initializers <a name="@cdktf/provider-okta.DomainDnsRecordsList.Initializer" id="cdktfprovideroktadomaindnsrecordslistinitializer"></a>

```typescript
import { DomainDnsRecordsList } from '@cdktf/provider-okta'

new DomainDnsRecordsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadomaindnsrecordslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadomaindnsrecordslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktadomaindnsrecordslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsList.parameter.terraformResource" id="cdktfprovideroktadomaindnsrecordslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsList.parameter.terraformAttribute" id="cdktfprovideroktadomaindnsrecordslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsList.parameter.wrapsSet" id="cdktfprovideroktadomaindnsrecordslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktadomaindnsrecordslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.DomainDnsRecordsList.get" id="cdktfprovideroktadomaindnsrecordslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsList.parameter.index" id="cdktfprovideroktadomaindnsrecordslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### DomainDnsRecordsOutputReference <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference" id="cdktfprovideroktadomaindnsrecordsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.Initializer" id="cdktfprovideroktadomaindnsrecordsoutputreferenceinitializer"></a>

```typescript
import { DomainDnsRecordsOutputReference } from '@cdktf/provider-okta'

new DomainDnsRecordsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktadomaindnsrecordsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktadomaindnsrecordsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktadomaindnsrecordsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktadomaindnsrecordsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.parameter.terraformResource" id="cdktfprovideroktadomaindnsrecordsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktadomaindnsrecordsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktadomaindnsrecordsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktadomaindnsrecordsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`expiration`](#cdktfprovideroktadomaindnsrecordsoutputreferencepropertyexpiration)<span title="Required">*</span> | `string` | *No description.* |
| [`fqdn`](#cdktfprovideroktadomaindnsrecordsoutputreferencepropertyfqdn)<span title="Required">*</span> | `string` | *No description.* |
| [`recordType`](#cdktfprovideroktadomaindnsrecordsoutputreferencepropertyrecordtype)<span title="Required">*</span> | `string` | *No description.* |
| [`values`](#cdktfprovideroktadomaindnsrecordsoutputreferencepropertyvalues)<span title="Required">*</span> | `string`[] | *No description.* |
| [`internalValue`](#cdktfprovideroktadomaindnsrecordsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.DomainDnsRecords`](#@cdktf/provider-okta.DomainDnsRecords) | *No description.* |

---

##### `expiration`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.property.expiration" id="cdktfprovideroktadomaindnsrecordsoutputreferencepropertyexpiration"></a>

```typescript
public readonly expiration: string;
```

- *Type:* `string`

---

##### `fqdn`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.property.fqdn" id="cdktfprovideroktadomaindnsrecordsoutputreferencepropertyfqdn"></a>

```typescript
public readonly fqdn: string;
```

- *Type:* `string`

---

##### `recordType`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.property.recordType" id="cdktfprovideroktadomaindnsrecordsoutputreferencepropertyrecordtype"></a>

```typescript
public readonly recordType: string;
```

- *Type:* `string`

---

##### `values`<sup>Required</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.property.values" id="cdktfprovideroktadomaindnsrecordsoutputreferencepropertyvalues"></a>

```typescript
public readonly values: string[];
```

- *Type:* `string`[]

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.DomainDnsRecordsOutputReference.property.internalValue" id="cdktfprovideroktadomaindnsrecordsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: DomainDnsRecords;
```

- *Type:* [`@cdktf/provider-okta.DomainDnsRecords`](#@cdktf/provider-okta.DomainDnsRecords)

---


### EmailSenderDnsRecordsList <a name="@cdktf/provider-okta.EmailSenderDnsRecordsList" id="cdktfprovideroktaemailsenderdnsrecordslist"></a>

#### Initializers <a name="@cdktf/provider-okta.EmailSenderDnsRecordsList.Initializer" id="cdktfprovideroktaemailsenderdnsrecordslistinitializer"></a>

```typescript
import { EmailSenderDnsRecordsList } from '@cdktf/provider-okta'

new EmailSenderDnsRecordsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaemailsenderdnsrecordslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaemailsenderdnsrecordslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaemailsenderdnsrecordslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsList.parameter.terraformResource" id="cdktfprovideroktaemailsenderdnsrecordslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsList.parameter.terraformAttribute" id="cdktfprovideroktaemailsenderdnsrecordslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsList.parameter.wrapsSet" id="cdktfprovideroktaemailsenderdnsrecordslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaemailsenderdnsrecordslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.EmailSenderDnsRecordsList.get" id="cdktfprovideroktaemailsenderdnsrecordslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsList.parameter.index" id="cdktfprovideroktaemailsenderdnsrecordslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### EmailSenderDnsRecordsOutputReference <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference" id="cdktfprovideroktaemailsenderdnsrecordsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.Initializer" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferenceinitializer"></a>

```typescript
import { EmailSenderDnsRecordsOutputReference } from '@cdktf/provider-okta'

new EmailSenderDnsRecordsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.parameter.terraformResource" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`fqdn`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyfqdn)<span title="Required">*</span> | `string` | *No description.* |
| [`recordType`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyrecordtype)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.EmailSenderDnsRecords`](#@cdktf/provider-okta.EmailSenderDnsRecords) | *No description.* |

---

##### `fqdn`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.property.fqdn" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyfqdn"></a>

```typescript
public readonly fqdn: string;
```

- *Type:* `string`

---

##### `recordType`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.property.recordType" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyrecordtype"></a>

```typescript
public readonly recordType: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.property.value" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.EmailSenderDnsRecordsOutputReference.property.internalValue" id="cdktfprovideroktaemailsenderdnsrecordsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: EmailSenderDnsRecords;
```

- *Type:* [`@cdktf/provider-okta.EmailSenderDnsRecords`](#@cdktf/provider-okta.EmailSenderDnsRecords)

---


### EventHookHeadersList <a name="@cdktf/provider-okta.EventHookHeadersList" id="cdktfprovideroktaeventhookheaderslist"></a>

#### Initializers <a name="@cdktf/provider-okta.EventHookHeadersList.Initializer" id="cdktfprovideroktaeventhookheaderslistinitializer"></a>

```typescript
import { EventHookHeadersList } from '@cdktf/provider-okta'

new EventHookHeadersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaeventhookheaderslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaeventhookheaderslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaeventhookheaderslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersList.parameter.terraformResource" id="cdktfprovideroktaeventhookheaderslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersList.parameter.terraformAttribute" id="cdktfprovideroktaeventhookheaderslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersList.parameter.wrapsSet" id="cdktfprovideroktaeventhookheaderslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaeventhookheaderslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.EventHookHeadersList.get" id="cdktfprovideroktaeventhookheaderslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersList.parameter.index" id="cdktfprovideroktaeventhookheaderslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaeventhookheaderslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookHeadersList.property.internalValue" id="cdktfprovideroktaeventhookheaderslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | EventHookHeaders[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)[]

---


### EventHookHeadersOutputReference <a name="@cdktf/provider-okta.EventHookHeadersOutputReference" id="cdktfprovideroktaeventhookheadersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.Initializer" id="cdktfprovideroktaeventhookheadersoutputreferenceinitializer"></a>

```typescript
import { EventHookHeadersOutputReference } from '@cdktf/provider-okta'

new EventHookHeadersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaeventhookheadersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaeventhookheadersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaeventhookheadersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaeventhookheadersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.parameter.terraformResource" id="cdktfprovideroktaeventhookheadersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaeventhookheadersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaeventhookheadersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaeventhookheadersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetKey`](#cdktfprovideroktaeventhookheadersoutputreferenceresetkey) | *No description.* |
| [`resetValue`](#cdktfprovideroktaeventhookheadersoutputreferenceresetvalue) | *No description.* |

---

##### `resetKey` <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.resetKey" id="cdktfprovideroktaeventhookheadersoutputreferenceresetkey"></a>

```typescript
public resetKey()
```

##### `resetValue` <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.resetValue" id="cdktfprovideroktaeventhookheadersoutputreferenceresetvalue"></a>

```typescript
public resetValue()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`keyInput`](#cdktfprovideroktaeventhookheadersoutputreferencepropertykeyinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktaeventhookheadersoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`key`](#cdktfprovideroktaeventhookheadersoutputreferencepropertykey)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktaeventhookheadersoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaeventhookheadersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders) | *No description.* |

---

##### `keyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.property.keyInput" id="cdktfprovideroktaeventhookheadersoutputreferencepropertykeyinput"></a>

```typescript
public readonly keyInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.property.valueInput" id="cdktfprovideroktaeventhookheadersoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.property.key" id="cdktfprovideroktaeventhookheadersoutputreferencepropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.property.value" id="cdktfprovideroktaeventhookheadersoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.EventHookHeadersOutputReference.property.internalValue" id="cdktfprovideroktaeventhookheadersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | EventHookHeaders;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.EventHookHeaders`](#@cdktf/provider-okta.EventHookHeaders)

---


### GroupSchemaPropertyArrayOneOfList <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList" id="cdktfprovideroktagroupschemapropertyarrayoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList.Initializer" id="cdktfprovideroktagroupschemapropertyarrayoneoflistinitializer"></a>

```typescript
import { GroupSchemaPropertyArrayOneOfList } from '@cdktf/provider-okta'

new GroupSchemaPropertyArrayOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktagroupschemapropertyarrayoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktagroupschemapropertyarrayoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktagroupschemapropertyarrayoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList.parameter.terraformResource" id="cdktfprovideroktagroupschemapropertyarrayoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList.parameter.terraformAttribute" id="cdktfprovideroktagroupschemapropertyarrayoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList.parameter.wrapsSet" id="cdktfprovideroktagroupschemapropertyarrayoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktagroupschemapropertyarrayoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList.get" id="cdktfprovideroktagroupschemapropertyarrayoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList.parameter.index" id="cdktfprovideroktagroupschemapropertyarrayoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktagroupschemapropertyarrayoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfList.property.internalValue" id="cdktfprovideroktagroupschemapropertyarrayoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | GroupSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)[]

---


### GroupSchemaPropertyArrayOneOfOutputReference <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.Initializer" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceinitializer"></a>

```typescript
import { GroupSchemaPropertyArrayOneOfOutputReference } from '@cdktf/provider-okta'

new GroupSchemaPropertyArrayOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.property.constInput" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.property.titleInput" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.property.const" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.property.title" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyArrayOneOfOutputReference.property.internalValue" id="cdktfprovideroktagroupschemapropertyarrayoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | GroupSchemaPropertyArrayOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyArrayOneOf)

---


### GroupSchemaPropertyMasterOverridePriorityList <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylist"></a>

#### Initializers <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList.Initializer" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylistinitializer"></a>

```typescript
import { GroupSchemaPropertyMasterOverridePriorityList } from '@cdktf/provider-okta'

new GroupSchemaPropertyMasterOverridePriorityList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktagroupschemapropertymasteroverrideprioritylistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktagroupschemapropertymasteroverrideprioritylistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktagroupschemapropertymasteroverrideprioritylistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList.parameter.terraformResource" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList.parameter.terraformAttribute" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList.parameter.wrapsSet" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktagroupschemapropertymasteroverrideprioritylistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList.get" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList.parameter.index" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktagroupschemapropertymasteroverrideprioritylistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityList.property.internalValue" id="cdktfprovideroktagroupschemapropertymasteroverrideprioritylistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | GroupSchemaPropertyMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)[]

---


### GroupSchemaPropertyMasterOverridePriorityOutputReference <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.Initializer" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceinitializer"></a>

```typescript
import { GroupSchemaPropertyMasterOverridePriorityOutputReference } from '@cdktf/provider-okta'

new GroupSchemaPropertyMasterOverridePriorityOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.parameter.terraformResource" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.parameter.terraformAttribute" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetType`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceresettype) | *No description.* |

---

##### `resetType` <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.resetType" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferenceresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`typeInput`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`type`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority) | *No description.* |

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.property.typeInput" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.property.valueInput" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.property.type" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.property.value" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriorityOutputReference.property.internalValue" id="cdktfprovideroktagroupschemapropertymasteroverridepriorityoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | GroupSchemaPropertyMasterOverridePriority;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.GroupSchemaPropertyMasterOverridePriority)

---


### GroupSchemaPropertyOneOfList <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList" id="cdktfprovideroktagroupschemapropertyoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList.Initializer" id="cdktfprovideroktagroupschemapropertyoneoflistinitializer"></a>

```typescript
import { GroupSchemaPropertyOneOfList } from '@cdktf/provider-okta'

new GroupSchemaPropertyOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktagroupschemapropertyoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktagroupschemapropertyoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktagroupschemapropertyoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList.parameter.terraformResource" id="cdktfprovideroktagroupschemapropertyoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList.parameter.terraformAttribute" id="cdktfprovideroktagroupschemapropertyoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList.parameter.wrapsSet" id="cdktfprovideroktagroupschemapropertyoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktagroupschemapropertyoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList.get" id="cdktfprovideroktagroupschemapropertyoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList.parameter.index" id="cdktfprovideroktagroupschemapropertyoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktagroupschemapropertyoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfList.property.internalValue" id="cdktfprovideroktagroupschemapropertyoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | GroupSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)[]

---


### GroupSchemaPropertyOneOfOutputReference <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference" id="cdktfprovideroktagroupschemapropertyoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.Initializer" id="cdktfprovideroktagroupschemapropertyoneofoutputreferenceinitializer"></a>

```typescript
import { GroupSchemaPropertyOneOfOutputReference } from '@cdktf/provider-okta'

new GroupSchemaPropertyOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktagroupschemapropertyoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktagroupschemapropertyoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktagroupschemapropertyoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktagroupschemapropertyoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktagroupschemapropertyoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktagroupschemapropertyoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktagroupschemapropertyoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktagroupschemapropertyoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.property.constInput" id="cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.property.titleInput" id="cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.property.const" id="cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.property.title" id="cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.GroupSchemaPropertyOneOfOutputReference.property.internalValue" id="cdktfprovideroktagroupschemapropertyoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | GroupSchemaPropertyOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.GroupSchemaPropertyOneOf`](#@cdktf/provider-okta.GroupSchemaPropertyOneOf)

---


### InlineHookHeadersList <a name="@cdktf/provider-okta.InlineHookHeadersList" id="cdktfprovideroktainlinehookheaderslist"></a>

#### Initializers <a name="@cdktf/provider-okta.InlineHookHeadersList.Initializer" id="cdktfprovideroktainlinehookheaderslistinitializer"></a>

```typescript
import { InlineHookHeadersList } from '@cdktf/provider-okta'

new InlineHookHeadersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktainlinehookheaderslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktainlinehookheaderslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktainlinehookheaderslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersList.parameter.terraformResource" id="cdktfprovideroktainlinehookheaderslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersList.parameter.terraformAttribute" id="cdktfprovideroktainlinehookheaderslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersList.parameter.wrapsSet" id="cdktfprovideroktainlinehookheaderslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktainlinehookheaderslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.InlineHookHeadersList.get" id="cdktfprovideroktainlinehookheaderslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersList.parameter.index" id="cdktfprovideroktainlinehookheaderslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktainlinehookheaderslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookHeadersList.property.internalValue" id="cdktfprovideroktainlinehookheaderslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | InlineHookHeaders[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)[]

---


### InlineHookHeadersOutputReference <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference" id="cdktfprovideroktainlinehookheadersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.Initializer" id="cdktfprovideroktainlinehookheadersoutputreferenceinitializer"></a>

```typescript
import { InlineHookHeadersOutputReference } from '@cdktf/provider-okta'

new InlineHookHeadersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktainlinehookheadersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktainlinehookheadersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktainlinehookheadersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktainlinehookheadersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.parameter.terraformResource" id="cdktfprovideroktainlinehookheadersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktainlinehookheadersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktainlinehookheadersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktainlinehookheadersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetKey`](#cdktfprovideroktainlinehookheadersoutputreferenceresetkey) | *No description.* |
| [`resetValue`](#cdktfprovideroktainlinehookheadersoutputreferenceresetvalue) | *No description.* |

---

##### `resetKey` <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.resetKey" id="cdktfprovideroktainlinehookheadersoutputreferenceresetkey"></a>

```typescript
public resetKey()
```

##### `resetValue` <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.resetValue" id="cdktfprovideroktainlinehookheadersoutputreferenceresetvalue"></a>

```typescript
public resetValue()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`keyInput`](#cdktfprovideroktainlinehookheadersoutputreferencepropertykeyinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktainlinehookheadersoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`key`](#cdktfprovideroktainlinehookheadersoutputreferencepropertykey)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktainlinehookheadersoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktainlinehookheadersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders) | *No description.* |

---

##### `keyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.property.keyInput" id="cdktfprovideroktainlinehookheadersoutputreferencepropertykeyinput"></a>

```typescript
public readonly keyInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.property.valueInput" id="cdktfprovideroktainlinehookheadersoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `key`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.property.key" id="cdktfprovideroktainlinehookheadersoutputreferencepropertykey"></a>

```typescript
public readonly key: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.property.value" id="cdktfprovideroktainlinehookheadersoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.InlineHookHeadersOutputReference.property.internalValue" id="cdktfprovideroktainlinehookheadersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | InlineHookHeaders;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.InlineHookHeaders`](#@cdktf/provider-okta.InlineHookHeaders)

---


### MfaPolicyRuleAppExcludeList <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList" id="cdktfprovideroktamfapolicyruleappexcludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList.Initializer" id="cdktfprovideroktamfapolicyruleappexcludelistinitializer"></a>

```typescript
import { MfaPolicyRuleAppExcludeList } from '@cdktf/provider-okta'

new MfaPolicyRuleAppExcludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktamfapolicyruleappexcludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktamfapolicyruleappexcludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktamfapolicyruleappexcludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList.parameter.terraformResource" id="cdktfprovideroktamfapolicyruleappexcludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList.parameter.terraformAttribute" id="cdktfprovideroktamfapolicyruleappexcludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList.parameter.wrapsSet" id="cdktfprovideroktamfapolicyruleappexcludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktamfapolicyruleappexcludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList.get" id="cdktfprovideroktamfapolicyruleappexcludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList.parameter.index" id="cdktfprovideroktamfapolicyruleappexcludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktamfapolicyruleappexcludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeList.property.internalValue" id="cdktfprovideroktamfapolicyruleappexcludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | MfaPolicyRuleAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)[]

---


### MfaPolicyRuleAppExcludeOutputReference <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference" id="cdktfprovideroktamfapolicyruleappexcludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.Initializer" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferenceinitializer"></a>

```typescript
import { MfaPolicyRuleAppExcludeOutputReference } from '@cdktf/provider-okta'

new MfaPolicyRuleAppExcludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.parameter.terraformResource" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferenceresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferenceresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.resetId" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.resetName" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferenceresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.property.idInput" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.property.nameInput" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.property.typeInput" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.property.id" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.property.name" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.property.type" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppExcludeOutputReference.property.internalValue" id="cdktfprovideroktamfapolicyruleappexcludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | MfaPolicyRuleAppExclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppExclude`](#@cdktf/provider-okta.MfaPolicyRuleAppExclude)

---


### MfaPolicyRuleAppIncludeList <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList" id="cdktfprovideroktamfapolicyruleappincludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList.Initializer" id="cdktfprovideroktamfapolicyruleappincludelistinitializer"></a>

```typescript
import { MfaPolicyRuleAppIncludeList } from '@cdktf/provider-okta'

new MfaPolicyRuleAppIncludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktamfapolicyruleappincludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktamfapolicyruleappincludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktamfapolicyruleappincludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList.parameter.terraformResource" id="cdktfprovideroktamfapolicyruleappincludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList.parameter.terraformAttribute" id="cdktfprovideroktamfapolicyruleappincludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList.parameter.wrapsSet" id="cdktfprovideroktamfapolicyruleappincludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktamfapolicyruleappincludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList.get" id="cdktfprovideroktamfapolicyruleappincludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList.parameter.index" id="cdktfprovideroktamfapolicyruleappincludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktamfapolicyruleappincludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeList.property.internalValue" id="cdktfprovideroktamfapolicyruleappincludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | MfaPolicyRuleAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)[]

---


### MfaPolicyRuleAppIncludeOutputReference <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference" id="cdktfprovideroktamfapolicyruleappincludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.Initializer" id="cdktfprovideroktamfapolicyruleappincludeoutputreferenceinitializer"></a>

```typescript
import { MfaPolicyRuleAppIncludeOutputReference } from '@cdktf/provider-okta'

new MfaPolicyRuleAppIncludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktamfapolicyruleappincludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktamfapolicyruleappincludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktamfapolicyruleappincludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktamfapolicyruleappincludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.parameter.terraformResource" id="cdktfprovideroktamfapolicyruleappincludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktamfapolicyruleappincludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktamfapolicyruleappincludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktamfapolicyruleappincludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktamfapolicyruleappincludeoutputreferenceresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktamfapolicyruleappincludeoutputreferenceresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.resetId" id="cdktfprovideroktamfapolicyruleappincludeoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.resetName" id="cdktfprovideroktamfapolicyruleappincludeoutputreferenceresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.property.idInput" id="cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.property.nameInput" id="cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.property.typeInput" id="cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.property.id" id="cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.property.name" id="cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.property.type" id="cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.MfaPolicyRuleAppIncludeOutputReference.property.internalValue" id="cdktfprovideroktamfapolicyruleappincludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | MfaPolicyRuleAppInclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.MfaPolicyRuleAppInclude`](#@cdktf/provider-okta.MfaPolicyRuleAppInclude)

---


### OauthAppGroupsClaimOutputReference <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference" id="cdktfprovideroktaoauthappgroupsclaimoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.Initializer" id="cdktfprovideroktaoauthappgroupsclaimoutputreferenceinitializer"></a>

```typescript
import { OauthAppGroupsClaimOutputReference } from '@cdktf/provider-okta'

new OauthAppGroupsClaimOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaoauthappgroupsclaimoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaoauthappgroupsclaimoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.parameter.terraformResource" id="cdktfprovideroktaoauthappgroupsclaimoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaoauthappgroupsclaimoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetFilterType`](#cdktfprovideroktaoauthappgroupsclaimoutputreferenceresetfiltertype) | *No description.* |

---

##### `resetFilterType` <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.resetFilterType" id="cdktfprovideroktaoauthappgroupsclaimoutputreferenceresetfiltertype"></a>

```typescript
public resetFilterType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`issuerMode`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyissuermode)<span title="Required">*</span> | `string` | *No description.* |
| [`filterTypeInput`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyfiltertypeinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`filterType`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyfiltertype)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.OauthAppGroupsClaim`](#@cdktf/provider-okta.OauthAppGroupsClaim) | *No description.* |

---

##### `issuerMode`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.issuerMode" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyissuermode"></a>

```typescript
public readonly issuerMode: string;
```

- *Type:* `string`

---

##### `filterTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.filterTypeInput" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyfiltertypeinput"></a>

```typescript
public readonly filterTypeInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.nameInput" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.typeInput" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.valueInput" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `filterType`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.filterType" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.name" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.type" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.value" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppGroupsClaimOutputReference.property.internalValue" id="cdktfprovideroktaoauthappgroupsclaimoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: OauthAppGroupsClaim;
```

- *Type:* [`@cdktf/provider-okta.OauthAppGroupsClaim`](#@cdktf/provider-okta.OauthAppGroupsClaim)

---


### OauthAppJwksList <a name="@cdktf/provider-okta.OauthAppJwksList" id="cdktfprovideroktaoauthappjwkslist"></a>

#### Initializers <a name="@cdktf/provider-okta.OauthAppJwksList.Initializer" id="cdktfprovideroktaoauthappjwkslistinitializer"></a>

```typescript
import { OauthAppJwksList } from '@cdktf/provider-okta'

new OauthAppJwksList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaoauthappjwkslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaoauthappjwkslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaoauthappjwkslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksList.parameter.terraformResource" id="cdktfprovideroktaoauthappjwkslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksList.parameter.terraformAttribute" id="cdktfprovideroktaoauthappjwkslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksList.parameter.wrapsSet" id="cdktfprovideroktaoauthappjwkslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaoauthappjwkslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.OauthAppJwksList.get" id="cdktfprovideroktaoauthappjwkslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksList.parameter.index" id="cdktfprovideroktaoauthappjwkslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaoauthappjwkslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwksList.property.internalValue" id="cdktfprovideroktaoauthappjwkslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | OauthAppJwks[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)[]

---


### OauthAppJwksOutputReference <a name="@cdktf/provider-okta.OauthAppJwksOutputReference" id="cdktfprovideroktaoauthappjwksoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.Initializer" id="cdktfprovideroktaoauthappjwksoutputreferenceinitializer"></a>

```typescript
import { OauthAppJwksOutputReference } from '@cdktf/provider-okta'

new OauthAppJwksOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaoauthappjwksoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaoauthappjwksoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaoauthappjwksoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaoauthappjwksoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.parameter.terraformResource" id="cdktfprovideroktaoauthappjwksoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaoauthappjwksoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaoauthappjwksoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaoauthappjwksoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetE`](#cdktfprovideroktaoauthappjwksoutputreferenceresete) | *No description.* |
| [`resetN`](#cdktfprovideroktaoauthappjwksoutputreferenceresetn) | *No description.* |

---

##### `resetE` <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.resetE" id="cdktfprovideroktaoauthappjwksoutputreferenceresete"></a>

```typescript
public resetE()
```

##### `resetN` <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.resetN" id="cdktfprovideroktaoauthappjwksoutputreferenceresetn"></a>

```typescript
public resetN()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`eInput`](#cdktfprovideroktaoauthappjwksoutputreferencepropertyeinput) | `string` | *No description.* |
| [`kidInput`](#cdktfprovideroktaoauthappjwksoutputreferencepropertykidinput) | `string` | *No description.* |
| [`ktyInput`](#cdktfprovideroktaoauthappjwksoutputreferencepropertyktyinput) | `string` | *No description.* |
| [`nInput`](#cdktfprovideroktaoauthappjwksoutputreferencepropertyninput) | `string` | *No description.* |
| [`e`](#cdktfprovideroktaoauthappjwksoutputreferencepropertye)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktaoauthappjwksoutputreferencepropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`kty`](#cdktfprovideroktaoauthappjwksoutputreferencepropertykty)<span title="Required">*</span> | `string` | *No description.* |
| [`n`](#cdktfprovideroktaoauthappjwksoutputreferencepropertyn)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaoauthappjwksoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks) | *No description.* |

---

##### `eInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.eInput" id="cdktfprovideroktaoauthappjwksoutputreferencepropertyeinput"></a>

```typescript
public readonly eInput: string;
```

- *Type:* `string`

---

##### `kidInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.kidInput" id="cdktfprovideroktaoauthappjwksoutputreferencepropertykidinput"></a>

```typescript
public readonly kidInput: string;
```

- *Type:* `string`

---

##### `ktyInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.ktyInput" id="cdktfprovideroktaoauthappjwksoutputreferencepropertyktyinput"></a>

```typescript
public readonly ktyInput: string;
```

- *Type:* `string`

---

##### `nInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.nInput" id="cdktfprovideroktaoauthappjwksoutputreferencepropertyninput"></a>

```typescript
public readonly nInput: string;
```

- *Type:* `string`

---

##### `e`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.e" id="cdktfprovideroktaoauthappjwksoutputreferencepropertye"></a>

```typescript
public readonly e: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.kid" id="cdktfprovideroktaoauthappjwksoutputreferencepropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.kty" id="cdktfprovideroktaoauthappjwksoutputreferencepropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

---

##### `n`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.n" id="cdktfprovideroktaoauthappjwksoutputreferencepropertyn"></a>

```typescript
public readonly n: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppJwksOutputReference.property.internalValue" id="cdktfprovideroktaoauthappjwksoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | OauthAppJwks;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppJwks`](#@cdktf/provider-okta.OauthAppJwks)

---


### OauthAppUsersList <a name="@cdktf/provider-okta.OauthAppUsersList" id="cdktfprovideroktaoauthappuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.OauthAppUsersList.Initializer" id="cdktfprovideroktaoauthappuserslistinitializer"></a>

```typescript
import { OauthAppUsersList } from '@cdktf/provider-okta'

new OauthAppUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaoauthappuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaoauthappuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaoauthappuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersList.parameter.terraformResource" id="cdktfprovideroktaoauthappuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersList.parameter.terraformAttribute" id="cdktfprovideroktaoauthappuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersList.parameter.wrapsSet" id="cdktfprovideroktaoauthappuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaoauthappuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.OauthAppUsersList.get" id="cdktfprovideroktaoauthappuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersList.parameter.index" id="cdktfprovideroktaoauthappuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaoauthappuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsersList.property.internalValue" id="cdktfprovideroktaoauthappuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | OauthAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)[]

---


### OauthAppUsersOutputReference <a name="@cdktf/provider-okta.OauthAppUsersOutputReference" id="cdktfprovideroktaoauthappusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.Initializer" id="cdktfprovideroktaoauthappusersoutputreferenceinitializer"></a>

```typescript
import { OauthAppUsersOutputReference } from '@cdktf/provider-okta'

new OauthAppUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaoauthappusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaoauthappusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaoauthappusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaoauthappusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaoauthappusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaoauthappusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaoauthappusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaoauthappusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaoauthappusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaoauthappusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaoauthappusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.resetId" id="cdktfprovideroktaoauthappusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.resetPassword" id="cdktfprovideroktaoauthappusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.resetUsername" id="cdktfprovideroktaoauthappusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaoauthappusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaoauthappusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaoauthappusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaoauthappusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaoauthappusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaoauthappusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaoauthappusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaoauthappusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.scope" id="cdktfprovideroktaoauthappusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.idInput" id="cdktfprovideroktaoauthappusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.passwordInput" id="cdktfprovideroktaoauthappusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.usernameInput" id="cdktfprovideroktaoauthappusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.id" id="cdktfprovideroktaoauthappusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.password" id="cdktfprovideroktaoauthappusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.username" id="cdktfprovideroktaoauthappusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.OauthAppUsersOutputReference.property.internalValue" id="cdktfprovideroktaoauthappusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | OauthAppUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.OauthAppUsers`](#@cdktf/provider-okta.OauthAppUsers)

---


### PolicyRuleIdpDiscoveryAppExcludeList <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelistinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryAppExcludeList } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryAppExcludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList.parameter.wrapsSet" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList.get" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList.parameter.index" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeList.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)[]

---


### PolicyRuleIdpDiscoveryAppExcludeOutputReference <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryAppExcludeOutputReference } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryAppExcludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.resetId" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.resetName" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferenceresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.property.idInput" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.property.nameInput" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.property.typeInput" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.property.id" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.property.name" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.property.type" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExcludeOutputReference.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryappexcludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryAppExclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppExclude)

---


### PolicyRuleIdpDiscoveryAppIncludeList <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelistinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryAppIncludeList } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryAppIncludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryappincludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryappincludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyruleidpdiscoveryappincludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList.parameter.wrapsSet" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyruleidpdiscoveryappincludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList.get" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList.parameter.index" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryappincludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeList.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryappincludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)[]

---


### PolicyRuleIdpDiscoveryAppIncludeOutputReference <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryAppIncludeOutputReference } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryAppIncludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.resetId" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.resetName" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferenceresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.property.idInput" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.property.nameInput" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.property.typeInput" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.property.id" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.property.name" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.property.type" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppIncludeOutputReference.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryappincludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryAppInclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryAppInclude)

---


### PolicyRuleIdpDiscoveryPlatformIncludeList <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryPlatformIncludeList } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryPlatformIncludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList.parameter.wrapsSet" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList.get" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList.parameter.index" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeList.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryPlatformInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)[]

---


### PolicyRuleIdpDiscoveryPlatformIncludeOutputReference <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryPlatformIncludeOutputReference } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryPlatformIncludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetOsExpression`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceresetosexpression) | *No description.* |
| [`resetOsType`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceresetostype) | *No description.* |
| [`resetType`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceresettype) | *No description.* |

---

##### `resetOsExpression` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.resetOsExpression" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceresetosexpression"></a>

```typescript
public resetOsExpression()
```

##### `resetOsType` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.resetOsType" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceresetostype"></a>

```typescript
public resetOsType()
```

##### `resetType` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.resetType" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferenceresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`osExpressionInput`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyosexpressioninput) | `string` | *No description.* |
| [`osTypeInput`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyostypeinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`osExpression`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyosexpression)<span title="Required">*</span> | `string` | *No description.* |
| [`osType`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyostype)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude) | *No description.* |

---

##### `osExpressionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.property.osExpressionInput" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyosexpressioninput"></a>

```typescript
public readonly osExpressionInput: string;
```

- *Type:* `string`

---

##### `osTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.property.osTypeInput" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyostypeinput"></a>

```typescript
public readonly osTypeInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.property.typeInput" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `osExpression`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.property.osExpression" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyosexpression"></a>

```typescript
public readonly osExpression: string;
```

- *Type:* `string`

---

##### `osType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.property.osType" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyostype"></a>

```typescript
public readonly osType: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.property.type" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformIncludeOutputReference.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryplatformincludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryPlatformInclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryPlatformInclude)

---


### PolicyRuleIdpDiscoveryUserIdentifierPatternsList <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryUserIdentifierPatternsList } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryUserIdentifierPatternsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList.parameter.wrapsSet" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList.get" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList.parameter.index" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsList.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryUserIdentifierPatterns[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)[]

---


### PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.Initializer" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference } from '@cdktf/provider-okta'

new PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetMatchType`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceresetmatchtype) | *No description.* |
| [`resetValue`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceresetvalue) | *No description.* |

---

##### `resetMatchType` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.resetMatchType" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceresetmatchtype"></a>

```typescript
public resetMatchType()
```

##### `resetValue` <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.resetValue" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferenceresetvalue"></a>

```typescript
public resetValue()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`matchTypeInput`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertymatchtypeinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`matchType`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertymatchtype)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns) | *No description.* |

---

##### `matchTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.property.matchTypeInput" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertymatchtypeinput"></a>

```typescript
public readonly matchTypeInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.property.valueInput" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `matchType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.property.matchType" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertymatchtype"></a>

```typescript
public readonly matchType: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.property.value" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatternsOutputReference.property.internalValue" id="cdktfprovideroktapolicyruleidpdiscoveryuseridentifierpatternsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleIdpDiscoveryUserIdentifierPatterns;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns`](#@cdktf/provider-okta.PolicyRuleIdpDiscoveryUserIdentifierPatterns)

---


### PolicyRuleMfaAppExcludeList <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList" id="cdktfprovideroktapolicyrulemfaappexcludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList.Initializer" id="cdktfprovideroktapolicyrulemfaappexcludelistinitializer"></a>

```typescript
import { PolicyRuleMfaAppExcludeList } from '@cdktf/provider-okta'

new PolicyRuleMfaAppExcludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulemfaappexcludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulemfaappexcludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyrulemfaappexcludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList.parameter.terraformResource" id="cdktfprovideroktapolicyrulemfaappexcludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulemfaappexcludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList.parameter.wrapsSet" id="cdktfprovideroktapolicyrulemfaappexcludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyrulemfaappexcludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList.get" id="cdktfprovideroktapolicyrulemfaappexcludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList.parameter.index" id="cdktfprovideroktapolicyrulemfaappexcludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyrulemfaappexcludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeList.property.internalValue" id="cdktfprovideroktapolicyrulemfaappexcludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleMfaAppExclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)[]

---


### PolicyRuleMfaAppExcludeOutputReference <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.Initializer" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleMfaAppExcludeOutputReference } from '@cdktf/provider-okta'

new PolicyRuleMfaAppExcludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.resetId" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.resetName" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferenceresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.property.idInput" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.property.nameInput" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.property.typeInput" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.property.id" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.property.name" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.property.type" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppExcludeOutputReference.property.internalValue" id="cdktfprovideroktapolicyrulemfaappexcludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleMfaAppExclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppExclude`](#@cdktf/provider-okta.PolicyRuleMfaAppExclude)

---


### PolicyRuleMfaAppIncludeList <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList" id="cdktfprovideroktapolicyrulemfaappincludelist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList.Initializer" id="cdktfprovideroktapolicyrulemfaappincludelistinitializer"></a>

```typescript
import { PolicyRuleMfaAppIncludeList } from '@cdktf/provider-okta'

new PolicyRuleMfaAppIncludeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulemfaappincludelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulemfaappincludelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyrulemfaappincludelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList.parameter.terraformResource" id="cdktfprovideroktapolicyrulemfaappincludelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulemfaappincludelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList.parameter.wrapsSet" id="cdktfprovideroktapolicyrulemfaappincludelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyrulemfaappincludelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList.get" id="cdktfprovideroktapolicyrulemfaappincludelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList.parameter.index" id="cdktfprovideroktapolicyrulemfaappincludelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyrulemfaappincludelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeList.property.internalValue" id="cdktfprovideroktapolicyrulemfaappincludelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleMfaAppInclude[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)[]

---


### PolicyRuleMfaAppIncludeOutputReference <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference" id="cdktfprovideroktapolicyrulemfaappincludeoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.Initializer" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleMfaAppIncludeOutputReference } from '@cdktf/provider-okta'

new PolicyRuleMfaAppIncludeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferenceresetid) | *No description.* |
| [`resetName`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferenceresetname) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.resetId" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetName` <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.resetName" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferenceresetname"></a>

```typescript
public resetName()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`idInput`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyidinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertynameinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude) | *No description.* |

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.property.idInput" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.property.nameInput" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.property.typeInput" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.property.id" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.property.name" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.property.type" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleMfaAppIncludeOutputReference.property.internalValue" id="cdktfprovideroktapolicyrulemfaappincludeoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleMfaAppInclude;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleMfaAppInclude`](#@cdktf/provider-okta.PolicyRuleMfaAppInclude)

---


### PolicyRuleProfileEnrollmentProfileAttributesList <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList.Initializer" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistinitializer"></a>

```typescript
import { PolicyRuleProfileEnrollmentProfileAttributesList } from '@cdktf/provider-okta'

new PolicyRuleProfileEnrollmentProfileAttributesList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList.parameter.terraformResource" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList.parameter.wrapsSet" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList.get" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList.parameter.index" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesList.property.internalValue" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributeslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleProfileEnrollmentProfileAttributes[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)[]

---


### PolicyRuleProfileEnrollmentProfileAttributesOutputReference <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.Initializer" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleProfileEnrollmentProfileAttributesOutputReference } from '@cdktf/provider-okta'

new PolicyRuleProfileEnrollmentProfileAttributesOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetRequired`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceresetrequired) | *No description.* |

---

##### `resetRequired` <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.resetRequired" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferenceresetrequired"></a>

```typescript
public resetRequired()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`labelInput`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertylabelinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertynameinput) | `string` | *No description.* |
| [`requiredInput`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyrequiredinput) | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`label`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertylabel)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`required`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyrequired)<span title="Required">*</span> | `boolean` \| [`cdktf.IResolvable`](#cdktf.IResolvable) | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes) | *No description.* |

---

##### `labelInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.property.labelInput" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertylabelinput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.property.nameInput" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `requiredInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.property.requiredInput" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyrequiredinput"></a>

```typescript
public readonly requiredInput: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `label`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.property.label" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertylabel"></a>

```typescript
public readonly label: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.property.name" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `required`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.property.required" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyrequired"></a>

```typescript
public readonly required: boolean | IResolvable;
```

- *Type:* `boolean` | [`cdktf.IResolvable`](#cdktf.IResolvable)

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributesOutputReference.property.internalValue" id="cdktfprovideroktapolicyruleprofileenrollmentprofileattributesoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleProfileEnrollmentProfileAttributes;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes`](#@cdktf/provider-okta.PolicyRuleProfileEnrollmentProfileAttributes)

---


### PolicyRuleSignonFactorSequenceList <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList" id="cdktfprovideroktapolicyrulesignonfactorsequencelist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList.Initializer" id="cdktfprovideroktapolicyrulesignonfactorsequencelistinitializer"></a>

```typescript
import { PolicyRuleSignonFactorSequenceList } from '@cdktf/provider-okta'

new PolicyRuleSignonFactorSequenceList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulesignonfactorsequencelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulesignonfactorsequencelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyrulesignonfactorsequencelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList.parameter.terraformResource" id="cdktfprovideroktapolicyrulesignonfactorsequencelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulesignonfactorsequencelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList.parameter.wrapsSet" id="cdktfprovideroktapolicyrulesignonfactorsequencelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyrulesignonfactorsequencelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList.get" id="cdktfprovideroktapolicyrulesignonfactorsequencelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList.parameter.index" id="cdktfprovideroktapolicyrulesignonfactorsequencelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyrulesignonfactorsequencelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceList.property.internalValue" id="cdktfprovideroktapolicyrulesignonfactorsequencelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleSignonFactorSequence[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)[]

---


### PolicyRuleSignonFactorSequenceOutputReference <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.Initializer" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleSignonFactorSequenceOutputReference } from '@cdktf/provider-okta'

new PolicyRuleSignonFactorSequenceOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putSecondaryCriteria`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceputsecondarycriteria) | *No description.* |
| [`resetSecondaryCriteria`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceresetsecondarycriteria) | *No description.* |

---

##### `putSecondaryCriteria` <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.putSecondaryCriteria" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceputsecondarycriteria"></a>

```typescript
public putSecondaryCriteria(value: IResolvable | PolicyRuleSignonFactorSequenceSecondaryCriteria[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.parameter.value" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)[]

---

##### `resetSecondaryCriteria` <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.resetSecondaryCriteria" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferenceresetsecondarycriteria"></a>

```typescript
public resetSecondaryCriteria()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`secondaryCriteria`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertysecondarycriteria)<span title="Required">*</span> | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList) | *No description.* |
| [`primaryCriteriaFactorTypeInput`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriafactortypeinput) | `string` | *No description.* |
| [`primaryCriteriaProviderInput`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriaproviderinput) | `string` | *No description.* |
| [`secondaryCriteriaInput`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertysecondarycriteriainput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)[] | *No description.* |
| [`primaryCriteriaFactorType`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriafactortype)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryCriteriaProvider`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriaprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence) | *No description.* |

---

##### `secondaryCriteria`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.property.secondaryCriteria" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertysecondarycriteria"></a>

```typescript
public readonly secondaryCriteria: PolicyRuleSignonFactorSequenceSecondaryCriteriaList;
```

- *Type:* [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList)

---

##### `primaryCriteriaFactorTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.property.primaryCriteriaFactorTypeInput" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriafactortypeinput"></a>

```typescript
public readonly primaryCriteriaFactorTypeInput: string;
```

- *Type:* `string`

---

##### `primaryCriteriaProviderInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.property.primaryCriteriaProviderInput" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriaproviderinput"></a>

```typescript
public readonly primaryCriteriaProviderInput: string;
```

- *Type:* `string`

---

##### `secondaryCriteriaInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.property.secondaryCriteriaInput" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertysecondarycriteriainput"></a>

```typescript
public readonly secondaryCriteriaInput: IResolvable | PolicyRuleSignonFactorSequenceSecondaryCriteria[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)[]

---

##### `primaryCriteriaFactorType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.property.primaryCriteriaFactorType" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriafactortype"></a>

```typescript
public readonly primaryCriteriaFactorType: string;
```

- *Type:* `string`

---

##### `primaryCriteriaProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.property.primaryCriteriaProvider" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyprimarycriteriaprovider"></a>

```typescript
public readonly primaryCriteriaProvider: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceOutputReference.property.internalValue" id="cdktfprovideroktapolicyrulesignonfactorsequenceoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleSignonFactorSequence;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequence`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequence)

---


### PolicyRuleSignonFactorSequenceSecondaryCriteriaList <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialist"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList.Initializer" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistinitializer"></a>

```typescript
import { PolicyRuleSignonFactorSequenceSecondaryCriteriaList } from '@cdktf/provider-okta'

new PolicyRuleSignonFactorSequenceSecondaryCriteriaList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList.parameter.terraformResource" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList.parameter.wrapsSet" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList.get" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList.parameter.index" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaList.property.internalValue" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriterialistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleSignonFactorSequenceSecondaryCriteria[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)[]

---


### PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.Initializer" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceinitializer"></a>

```typescript
import { PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference } from '@cdktf/provider-okta'

new PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.parameter.terraformResource" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.parameter.terraformAttribute" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`factorTypeInput`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyfactortypeinput) | `string` | *No description.* |
| [`providerInput`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyproviderinput) | `string` | *No description.* |
| [`factorType`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyfactortype)<span title="Required">*</span> | `string` | *No description.* |
| [`provider`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria) | *No description.* |

---

##### `factorTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.property.factorTypeInput" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyfactortypeinput"></a>

```typescript
public readonly factorTypeInput: string;
```

- *Type:* `string`

---

##### `providerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.property.providerInput" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyproviderinput"></a>

```typescript
public readonly providerInput: string;
```

- *Type:* `string`

---

##### `factorType`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.property.factorType" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyfactortype"></a>

```typescript
public readonly factorType: string;
```

- *Type:* `string`

---

##### `provider`<sup>Required</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.property.provider" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyprovider"></a>

```typescript
public readonly provider: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteriaOutputReference.property.internalValue" id="cdktfprovideroktapolicyrulesignonfactorsequencesecondarycriteriaoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | PolicyRuleSignonFactorSequenceSecondaryCriteria;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.PolicyRuleSignonFactorSequenceSecondaryCriteria)

---


### ProfileMappingMappingsList <a name="@cdktf/provider-okta.ProfileMappingMappingsList" id="cdktfprovideroktaprofilemappingmappingslist"></a>

#### Initializers <a name="@cdktf/provider-okta.ProfileMappingMappingsList.Initializer" id="cdktfprovideroktaprofilemappingmappingslistinitializer"></a>

```typescript
import { ProfileMappingMappingsList } from '@cdktf/provider-okta'

new ProfileMappingMappingsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaprofilemappingmappingslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaprofilemappingmappingslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaprofilemappingmappingslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsList.parameter.terraformResource" id="cdktfprovideroktaprofilemappingmappingslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsList.parameter.terraformAttribute" id="cdktfprovideroktaprofilemappingmappingslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsList.parameter.wrapsSet" id="cdktfprovideroktaprofilemappingmappingslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaprofilemappingmappingslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.ProfileMappingMappingsList.get" id="cdktfprovideroktaprofilemappingmappingslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsList.parameter.index" id="cdktfprovideroktaprofilemappingmappingslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaprofilemappingmappingslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsList.property.internalValue" id="cdktfprovideroktaprofilemappingmappingslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | ProfileMappingMappings[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)[]

---


### ProfileMappingMappingsOutputReference <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference" id="cdktfprovideroktaprofilemappingmappingsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.Initializer" id="cdktfprovideroktaprofilemappingmappingsoutputreferenceinitializer"></a>

```typescript
import { ProfileMappingMappingsOutputReference } from '@cdktf/provider-okta'

new ProfileMappingMappingsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaprofilemappingmappingsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaprofilemappingmappingsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaprofilemappingmappingsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaprofilemappingmappingsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.parameter.terraformResource" id="cdktfprovideroktaprofilemappingmappingsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaprofilemappingmappingsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaprofilemappingmappingsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaprofilemappingmappingsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetPushStatus`](#cdktfprovideroktaprofilemappingmappingsoutputreferenceresetpushstatus) | *No description.* |

---

##### `resetPushStatus` <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.resetPushStatus" id="cdktfprovideroktaprofilemappingmappingsoutputreferenceresetpushstatus"></a>

```typescript
public resetPushStatus()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`expressionInput`](#cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyexpressioninput) | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyidinput) | `string` | *No description.* |
| [`pushStatusInput`](#cdktfprovideroktaprofilemappingmappingsoutputreferencepropertypushstatusinput) | `string` | *No description.* |
| [`expression`](#cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyexpression)<span title="Required">*</span> | `string` | *No description.* |
| [`id`](#cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`pushStatus`](#cdktfprovideroktaprofilemappingmappingsoutputreferencepropertypushstatus)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings) | *No description.* |

---

##### `expressionInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.property.expressionInput" id="cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyexpressioninput"></a>

```typescript
public readonly expressionInput: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.property.idInput" id="cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `pushStatusInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.property.pushStatusInput" id="cdktfprovideroktaprofilemappingmappingsoutputreferencepropertypushstatusinput"></a>

```typescript
public readonly pushStatusInput: string;
```

- *Type:* `string`

---

##### `expression`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.property.expression" id="cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyexpression"></a>

```typescript
public readonly expression: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.property.id" id="cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `pushStatus`<sup>Required</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.property.pushStatus" id="cdktfprovideroktaprofilemappingmappingsoutputreferencepropertypushstatus"></a>

```typescript
public readonly pushStatus: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.ProfileMappingMappingsOutputReference.property.internalValue" id="cdktfprovideroktaprofilemappingmappingsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | ProfileMappingMappings;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ProfileMappingMappings`](#@cdktf/provider-okta.ProfileMappingMappings)

---


### SamlAppAttributeStatementsList <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList" id="cdktfprovideroktasamlappattributestatementslist"></a>

#### Initializers <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList.Initializer" id="cdktfprovideroktasamlappattributestatementslistinitializer"></a>

```typescript
import { SamlAppAttributeStatementsList } from '@cdktf/provider-okta'

new SamlAppAttributeStatementsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasamlappattributestatementslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasamlappattributestatementslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktasamlappattributestatementslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList.parameter.terraformResource" id="cdktfprovideroktasamlappattributestatementslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList.parameter.terraformAttribute" id="cdktfprovideroktasamlappattributestatementslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList.parameter.wrapsSet" id="cdktfprovideroktasamlappattributestatementslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktasamlappattributestatementslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList.get" id="cdktfprovideroktasamlappattributestatementslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList.parameter.index" id="cdktfprovideroktasamlappattributestatementslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktasamlappattributestatementslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsList.property.internalValue" id="cdktfprovideroktasamlappattributestatementslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SamlAppAttributeStatements[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)[]

---


### SamlAppAttributeStatementsOutputReference <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference" id="cdktfprovideroktasamlappattributestatementsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.Initializer" id="cdktfprovideroktasamlappattributestatementsoutputreferenceinitializer"></a>

```typescript
import { SamlAppAttributeStatementsOutputReference } from '@cdktf/provider-okta'

new SamlAppAttributeStatementsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasamlappattributestatementsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasamlappattributestatementsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktasamlappattributestatementsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktasamlappattributestatementsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.parameter.terraformResource" id="cdktfprovideroktasamlappattributestatementsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktasamlappattributestatementsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktasamlappattributestatementsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktasamlappattributestatementsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetFilterType`](#cdktfprovideroktasamlappattributestatementsoutputreferenceresetfiltertype) | *No description.* |
| [`resetFilterValue`](#cdktfprovideroktasamlappattributestatementsoutputreferenceresetfiltervalue) | *No description.* |
| [`resetNamespace`](#cdktfprovideroktasamlappattributestatementsoutputreferenceresetnamespace) | *No description.* |
| [`resetType`](#cdktfprovideroktasamlappattributestatementsoutputreferenceresettype) | *No description.* |
| [`resetValues`](#cdktfprovideroktasamlappattributestatementsoutputreferenceresetvalues) | *No description.* |

---

##### `resetFilterType` <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.resetFilterType" id="cdktfprovideroktasamlappattributestatementsoutputreferenceresetfiltertype"></a>

```typescript
public resetFilterType()
```

##### `resetFilterValue` <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.resetFilterValue" id="cdktfprovideroktasamlappattributestatementsoutputreferenceresetfiltervalue"></a>

```typescript
public resetFilterValue()
```

##### `resetNamespace` <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.resetNamespace" id="cdktfprovideroktasamlappattributestatementsoutputreferenceresetnamespace"></a>

```typescript
public resetNamespace()
```

##### `resetType` <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.resetType" id="cdktfprovideroktasamlappattributestatementsoutputreferenceresettype"></a>

```typescript
public resetType()
```

##### `resetValues` <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.resetValues" id="cdktfprovideroktasamlappattributestatementsoutputreferenceresetvalues"></a>

```typescript
public resetValues()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`filterTypeInput`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltertypeinput) | `string` | *No description.* |
| [`filterValueInput`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltervalueinput) | `string` | *No description.* |
| [`nameInput`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertynameinput) | `string` | *No description.* |
| [`namespaceInput`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertynamespaceinput) | `string` | *No description.* |
| [`typeInput`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`valuesInput`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyvaluesinput) | `string`[] | *No description.* |
| [`filterType`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltertype)<span title="Required">*</span> | `string` | *No description.* |
| [`filterValue`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltervalue)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyname)<span title="Required">*</span> | `string` | *No description.* |
| [`namespace`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertynamespace)<span title="Required">*</span> | `string` | *No description.* |
| [`type`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`values`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyvalues)<span title="Required">*</span> | `string`[] | *No description.* |
| [`internalValue`](#cdktfprovideroktasamlappattributestatementsoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements) | *No description.* |

---

##### `filterTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.filterTypeInput" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltertypeinput"></a>

```typescript
public readonly filterTypeInput: string;
```

- *Type:* `string`

---

##### `filterValueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.filterValueInput" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltervalueinput"></a>

```typescript
public readonly filterValueInput: string;
```

- *Type:* `string`

---

##### `nameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.nameInput" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertynameinput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* `string`

---

##### `namespaceInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.namespaceInput" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertynamespaceinput"></a>

```typescript
public readonly namespaceInput: string;
```

- *Type:* `string`

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.typeInput" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `valuesInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.valuesInput" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyvaluesinput"></a>

```typescript
public readonly valuesInput: string[];
```

- *Type:* `string`[]

---

##### `filterType`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.filterType" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltertype"></a>

```typescript
public readonly filterType: string;
```

- *Type:* `string`

---

##### `filterValue`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.filterValue" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyfiltervalue"></a>

```typescript
public readonly filterValue: string;
```

- *Type:* `string`

---

##### `name`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.name" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `namespace`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.namespace" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertynamespace"></a>

```typescript
public readonly namespace: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.type" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `values`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.values" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyvalues"></a>

```typescript
public readonly values: string[];
```

- *Type:* `string`[]

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppAttributeStatementsOutputReference.property.internalValue" id="cdktfprovideroktasamlappattributestatementsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SamlAppAttributeStatements;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppAttributeStatements`](#@cdktf/provider-okta.SamlAppAttributeStatements)

---


### SamlAppKeysList <a name="@cdktf/provider-okta.SamlAppKeysList" id="cdktfprovideroktasamlappkeyslist"></a>

#### Initializers <a name="@cdktf/provider-okta.SamlAppKeysList.Initializer" id="cdktfprovideroktasamlappkeyslistinitializer"></a>

```typescript
import { SamlAppKeysList } from '@cdktf/provider-okta'

new SamlAppKeysList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasamlappkeyslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasamlappkeyslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktasamlappkeyslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysList.parameter.terraformResource" id="cdktfprovideroktasamlappkeyslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysList.parameter.terraformAttribute" id="cdktfprovideroktasamlappkeyslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysList.parameter.wrapsSet" id="cdktfprovideroktasamlappkeyslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktasamlappkeyslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.SamlAppKeysList.get" id="cdktfprovideroktasamlappkeyslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysList.parameter.index" id="cdktfprovideroktasamlappkeyslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---




### SamlAppKeysOutputReference <a name="@cdktf/provider-okta.SamlAppKeysOutputReference" id="cdktfprovideroktasamlappkeysoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.Initializer" id="cdktfprovideroktasamlappkeysoutputreferenceinitializer"></a>

```typescript
import { SamlAppKeysOutputReference } from '@cdktf/provider-okta'

new SamlAppKeysOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasamlappkeysoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasamlappkeysoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktasamlappkeysoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktasamlappkeysoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.parameter.terraformResource" id="cdktfprovideroktasamlappkeysoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.parameter.terraformAttribute" id="cdktfprovideroktasamlappkeysoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktasamlappkeysoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktasamlappkeysoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`created`](#cdktfprovideroktasamlappkeysoutputreferencepropertycreated)<span title="Required">*</span> | `string` | *No description.* |
| [`e`](#cdktfprovideroktasamlappkeysoutputreferencepropertye)<span title="Required">*</span> | `string` | *No description.* |
| [`expiresAt`](#cdktfprovideroktasamlappkeysoutputreferencepropertyexpiresat)<span title="Required">*</span> | `string` | *No description.* |
| [`kid`](#cdktfprovideroktasamlappkeysoutputreferencepropertykid)<span title="Required">*</span> | `string` | *No description.* |
| [`kty`](#cdktfprovideroktasamlappkeysoutputreferencepropertykty)<span title="Required">*</span> | `string` | *No description.* |
| [`lastUpdated`](#cdktfprovideroktasamlappkeysoutputreferencepropertylastupdated)<span title="Required">*</span> | `string` | *No description.* |
| [`n`](#cdktfprovideroktasamlappkeysoutputreferencepropertyn)<span title="Required">*</span> | `string` | *No description.* |
| [`use`](#cdktfprovideroktasamlappkeysoutputreferencepropertyuse)<span title="Required">*</span> | `string` | *No description.* |
| [`x5C`](#cdktfprovideroktasamlappkeysoutputreferencepropertyx5c)<span title="Required">*</span> | `string`[] | *No description.* |
| [`x5TS256`](#cdktfprovideroktasamlappkeysoutputreferencepropertyx5ts256)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktasamlappkeysoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.SamlAppKeys`](#@cdktf/provider-okta.SamlAppKeys) | *No description.* |

---

##### `created`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.created" id="cdktfprovideroktasamlappkeysoutputreferencepropertycreated"></a>

```typescript
public readonly created: string;
```

- *Type:* `string`

---

##### `e`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.e" id="cdktfprovideroktasamlappkeysoutputreferencepropertye"></a>

```typescript
public readonly e: string;
```

- *Type:* `string`

---

##### `expiresAt`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.expiresAt" id="cdktfprovideroktasamlappkeysoutputreferencepropertyexpiresat"></a>

```typescript
public readonly expiresAt: string;
```

- *Type:* `string`

---

##### `kid`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.kid" id="cdktfprovideroktasamlappkeysoutputreferencepropertykid"></a>

```typescript
public readonly kid: string;
```

- *Type:* `string`

---

##### `kty`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.kty" id="cdktfprovideroktasamlappkeysoutputreferencepropertykty"></a>

```typescript
public readonly kty: string;
```

- *Type:* `string`

---

##### `lastUpdated`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.lastUpdated" id="cdktfprovideroktasamlappkeysoutputreferencepropertylastupdated"></a>

```typescript
public readonly lastUpdated: string;
```

- *Type:* `string`

---

##### `n`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.n" id="cdktfprovideroktasamlappkeysoutputreferencepropertyn"></a>

```typescript
public readonly n: string;
```

- *Type:* `string`

---

##### `use`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.use" id="cdktfprovideroktasamlappkeysoutputreferencepropertyuse"></a>

```typescript
public readonly use: string;
```

- *Type:* `string`

---

##### `x5C`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.x5C" id="cdktfprovideroktasamlappkeysoutputreferencepropertyx5c"></a>

```typescript
public readonly x5C: string[];
```

- *Type:* `string`[]

---

##### `x5TS256`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.x5TS256" id="cdktfprovideroktasamlappkeysoutputreferencepropertyx5ts256"></a>

```typescript
public readonly x5TS256: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppKeysOutputReference.property.internalValue" id="cdktfprovideroktasamlappkeysoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: SamlAppKeys;
```

- *Type:* [`@cdktf/provider-okta.SamlAppKeys`](#@cdktf/provider-okta.SamlAppKeys)

---


### SamlAppUsersList <a name="@cdktf/provider-okta.SamlAppUsersList" id="cdktfprovideroktasamlappuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.SamlAppUsersList.Initializer" id="cdktfprovideroktasamlappuserslistinitializer"></a>

```typescript
import { SamlAppUsersList } from '@cdktf/provider-okta'

new SamlAppUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasamlappuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasamlappuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktasamlappuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersList.parameter.terraformResource" id="cdktfprovideroktasamlappuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersList.parameter.terraformAttribute" id="cdktfprovideroktasamlappuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersList.parameter.wrapsSet" id="cdktfprovideroktasamlappuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktasamlappuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.SamlAppUsersList.get" id="cdktfprovideroktasamlappuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersList.parameter.index" id="cdktfprovideroktasamlappuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktasamlappuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsersList.property.internalValue" id="cdktfprovideroktasamlappuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SamlAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)[]

---


### SamlAppUsersOutputReference <a name="@cdktf/provider-okta.SamlAppUsersOutputReference" id="cdktfprovideroktasamlappusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.Initializer" id="cdktfprovideroktasamlappusersoutputreferenceinitializer"></a>

```typescript
import { SamlAppUsersOutputReference } from '@cdktf/provider-okta'

new SamlAppUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasamlappusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasamlappusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktasamlappusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktasamlappusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktasamlappusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktasamlappusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktasamlappusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktasamlappusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktasamlappusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktasamlappusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktasamlappusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.resetId" id="cdktfprovideroktasamlappusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.resetPassword" id="cdktfprovideroktasamlappusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.resetUsername" id="cdktfprovideroktasamlappusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasamlappusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktasamlappusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktasamlappusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktasamlappusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktasamlappusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktasamlappusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktasamlappusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktasamlappusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.scope" id="cdktfprovideroktasamlappusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.idInput" id="cdktfprovideroktasamlappusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.passwordInput" id="cdktfprovideroktasamlappusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.usernameInput" id="cdktfprovideroktasamlappusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.id" id="cdktfprovideroktasamlappusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.password" id="cdktfprovideroktasamlappusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.username" id="cdktfprovideroktasamlappusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SamlAppUsersOutputReference.property.internalValue" id="cdktfprovideroktasamlappusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SamlAppUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SamlAppUsers`](#@cdktf/provider-okta.SamlAppUsers)

---


### SecurePasswordStoreAppUsersList <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList" id="cdktfprovideroktasecurepasswordstoreappuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList.Initializer" id="cdktfprovideroktasecurepasswordstoreappuserslistinitializer"></a>

```typescript
import { SecurePasswordStoreAppUsersList } from '@cdktf/provider-okta'

new SecurePasswordStoreAppUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasecurepasswordstoreappuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasecurepasswordstoreappuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktasecurepasswordstoreappuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList.parameter.terraformResource" id="cdktfprovideroktasecurepasswordstoreappuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList.parameter.terraformAttribute" id="cdktfprovideroktasecurepasswordstoreappuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList.parameter.wrapsSet" id="cdktfprovideroktasecurepasswordstoreappuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktasecurepasswordstoreappuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList.get" id="cdktfprovideroktasecurepasswordstoreappuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList.parameter.index" id="cdktfprovideroktasecurepasswordstoreappuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktasecurepasswordstoreappuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersList.property.internalValue" id="cdktfprovideroktasecurepasswordstoreappuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SecurePasswordStoreAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)[]

---


### SecurePasswordStoreAppUsersOutputReference <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference" id="cdktfprovideroktasecurepasswordstoreappusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.Initializer" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceinitializer"></a>

```typescript
import { SecurePasswordStoreAppUsersOutputReference } from '@cdktf/provider-okta'

new SecurePasswordStoreAppUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.resetId" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.resetPassword" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.resetUsername" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.scope" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.idInput" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.passwordInput" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.usernameInput" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.id" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.password" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.username" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SecurePasswordStoreAppUsersOutputReference.property.internalValue" id="cdktfprovideroktasecurepasswordstoreappusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SecurePasswordStoreAppUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SecurePasswordStoreAppUsers`](#@cdktf/provider-okta.SecurePasswordStoreAppUsers)

---


### SignonPolicyRuleFactorSequenceList <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList" id="cdktfprovideroktasignonpolicyrulefactorsequencelist"></a>

#### Initializers <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList.Initializer" id="cdktfprovideroktasignonpolicyrulefactorsequencelistinitializer"></a>

```typescript
import { SignonPolicyRuleFactorSequenceList } from '@cdktf/provider-okta'

new SignonPolicyRuleFactorSequenceList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasignonpolicyrulefactorsequencelistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasignonpolicyrulefactorsequencelistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktasignonpolicyrulefactorsequencelistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList.parameter.terraformResource" id="cdktfprovideroktasignonpolicyrulefactorsequencelistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList.parameter.terraformAttribute" id="cdktfprovideroktasignonpolicyrulefactorsequencelistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList.parameter.wrapsSet" id="cdktfprovideroktasignonpolicyrulefactorsequencelistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktasignonpolicyrulefactorsequencelistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList.get" id="cdktfprovideroktasignonpolicyrulefactorsequencelistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList.parameter.index" id="cdktfprovideroktasignonpolicyrulefactorsequencelistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktasignonpolicyrulefactorsequencelistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceList.property.internalValue" id="cdktfprovideroktasignonpolicyrulefactorsequencelistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SignonPolicyRuleFactorSequence[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)[]

---


### SignonPolicyRuleFactorSequenceOutputReference <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.Initializer" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceinitializer"></a>

```typescript
import { SignonPolicyRuleFactorSequenceOutputReference } from '@cdktf/provider-okta'

new SignonPolicyRuleFactorSequenceOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.parameter.terraformResource" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.parameter.terraformAttribute" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`putSecondaryCriteria`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceputsecondarycriteria) | *No description.* |
| [`resetSecondaryCriteria`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceresetsecondarycriteria) | *No description.* |

---

##### `putSecondaryCriteria` <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.putSecondaryCriteria" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceputsecondarycriteria"></a>

```typescript
public putSecondaryCriteria(value: IResolvable | SignonPolicyRuleFactorSequenceSecondaryCriteria[])
```

###### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.parameter.value" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceparametervalue"></a>

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)[]

---

##### `resetSecondaryCriteria` <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.resetSecondaryCriteria" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferenceresetsecondarycriteria"></a>

```typescript
public resetSecondaryCriteria()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`secondaryCriteria`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertysecondarycriteria)<span title="Required">*</span> | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList) | *No description.* |
| [`primaryCriteriaFactorTypeInput`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriafactortypeinput) | `string` | *No description.* |
| [`primaryCriteriaProviderInput`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriaproviderinput) | `string` | *No description.* |
| [`secondaryCriteriaInput`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertysecondarycriteriainput) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)[] | *No description.* |
| [`primaryCriteriaFactorType`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriafactortype)<span title="Required">*</span> | `string` | *No description.* |
| [`primaryCriteriaProvider`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriaprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence) | *No description.* |

---

##### `secondaryCriteria`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.property.secondaryCriteria" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertysecondarycriteria"></a>

```typescript
public readonly secondaryCriteria: SignonPolicyRuleFactorSequenceSecondaryCriteriaList;
```

- *Type:* [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList)

---

##### `primaryCriteriaFactorTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.property.primaryCriteriaFactorTypeInput" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriafactortypeinput"></a>

```typescript
public readonly primaryCriteriaFactorTypeInput: string;
```

- *Type:* `string`

---

##### `primaryCriteriaProviderInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.property.primaryCriteriaProviderInput" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriaproviderinput"></a>

```typescript
public readonly primaryCriteriaProviderInput: string;
```

- *Type:* `string`

---

##### `secondaryCriteriaInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.property.secondaryCriteriaInput" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertysecondarycriteriainput"></a>

```typescript
public readonly secondaryCriteriaInput: IResolvable | SignonPolicyRuleFactorSequenceSecondaryCriteria[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)[]

---

##### `primaryCriteriaFactorType`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.property.primaryCriteriaFactorType" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriafactortype"></a>

```typescript
public readonly primaryCriteriaFactorType: string;
```

- *Type:* `string`

---

##### `primaryCriteriaProvider`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.property.primaryCriteriaProvider" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyprimarycriteriaprovider"></a>

```typescript
public readonly primaryCriteriaProvider: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceOutputReference.property.internalValue" id="cdktfprovideroktasignonpolicyrulefactorsequenceoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SignonPolicyRuleFactorSequence;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequence`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequence)

---


### SignonPolicyRuleFactorSequenceSecondaryCriteriaList <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialist"></a>

#### Initializers <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList.Initializer" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistinitializer"></a>

```typescript
import { SignonPolicyRuleFactorSequenceSecondaryCriteriaList } from '@cdktf/provider-okta'

new SignonPolicyRuleFactorSequenceSecondaryCriteriaList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList.parameter.terraformResource" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList.parameter.terraformAttribute" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList.parameter.wrapsSet" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList.get" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList.parameter.index" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaList.property.internalValue" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriterialistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SignonPolicyRuleFactorSequenceSecondaryCriteria[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)[]

---


### SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.Initializer" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceinitializer"></a>

```typescript
import { SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference } from '@cdktf/provider-okta'

new SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.parameter.terraformResource" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.parameter.terraformAttribute" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`factorTypeInput`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyfactortypeinput) | `string` | *No description.* |
| [`providerInput`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyproviderinput) | `string` | *No description.* |
| [`factorType`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyfactortype)<span title="Required">*</span> | `string` | *No description.* |
| [`provider`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyprovider)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria) | *No description.* |

---

##### `factorTypeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.property.factorTypeInput" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyfactortypeinput"></a>

```typescript
public readonly factorTypeInput: string;
```

- *Type:* `string`

---

##### `providerInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.property.providerInput" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyproviderinput"></a>

```typescript
public readonly providerInput: string;
```

- *Type:* `string`

---

##### `factorType`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.property.factorType" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyfactortype"></a>

```typescript
public readonly factorType: string;
```

- *Type:* `string`

---

##### `provider`<sup>Required</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.property.provider" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyprovider"></a>

```typescript
public readonly provider: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteriaOutputReference.property.internalValue" id="cdktfprovideroktasignonpolicyrulefactorsequencesecondarycriteriaoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SignonPolicyRuleFactorSequenceSecondaryCriteria;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria`](#@cdktf/provider-okta.SignonPolicyRuleFactorSequenceSecondaryCriteria)

---


### SwaAppUsersList <a name="@cdktf/provider-okta.SwaAppUsersList" id="cdktfprovideroktaswaappuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.SwaAppUsersList.Initializer" id="cdktfprovideroktaswaappuserslistinitializer"></a>

```typescript
import { SwaAppUsersList } from '@cdktf/provider-okta'

new SwaAppUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaswaappuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaswaappuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktaswaappuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersList.parameter.terraformResource" id="cdktfprovideroktaswaappuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersList.parameter.terraformAttribute" id="cdktfprovideroktaswaappuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersList.parameter.wrapsSet" id="cdktfprovideroktaswaappuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktaswaappuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.SwaAppUsersList.get" id="cdktfprovideroktaswaappuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersList.parameter.index" id="cdktfprovideroktaswaappuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktaswaappuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsersList.property.internalValue" id="cdktfprovideroktaswaappuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SwaAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)[]

---


### SwaAppUsersOutputReference <a name="@cdktf/provider-okta.SwaAppUsersOutputReference" id="cdktfprovideroktaswaappusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.Initializer" id="cdktfprovideroktaswaappusersoutputreferenceinitializer"></a>

```typescript
import { SwaAppUsersOutputReference } from '@cdktf/provider-okta'

new SwaAppUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktaswaappusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktaswaappusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktaswaappusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktaswaappusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktaswaappusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktaswaappusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktaswaappusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktaswaappusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktaswaappusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktaswaappusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktaswaappusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.resetId" id="cdktfprovideroktaswaappusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.resetPassword" id="cdktfprovideroktaswaappusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.resetUsername" id="cdktfprovideroktaswaappusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktaswaappusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktaswaappusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktaswaappusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktaswaappusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktaswaappusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktaswaappusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktaswaappusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktaswaappusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.scope" id="cdktfprovideroktaswaappusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.idInput" id="cdktfprovideroktaswaappusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.passwordInput" id="cdktfprovideroktaswaappusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.usernameInput" id="cdktfprovideroktaswaappusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.id" id="cdktfprovideroktaswaappusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.password" id="cdktfprovideroktaswaappusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.username" id="cdktfprovideroktaswaappusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.SwaAppUsersOutputReference.property.internalValue" id="cdktfprovideroktaswaappusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | SwaAppUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.SwaAppUsers`](#@cdktf/provider-okta.SwaAppUsers)

---


### TemplateEmailTranslationsList <a name="@cdktf/provider-okta.TemplateEmailTranslationsList" id="cdktfprovideroktatemplateemailtranslationslist"></a>

#### Initializers <a name="@cdktf/provider-okta.TemplateEmailTranslationsList.Initializer" id="cdktfprovideroktatemplateemailtranslationslistinitializer"></a>

```typescript
import { TemplateEmailTranslationsList } from '@cdktf/provider-okta'

new TemplateEmailTranslationsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktatemplateemailtranslationslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktatemplateemailtranslationslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktatemplateemailtranslationslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsList.parameter.terraformResource" id="cdktfprovideroktatemplateemailtranslationslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsList.parameter.terraformAttribute" id="cdktfprovideroktatemplateemailtranslationslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsList.parameter.wrapsSet" id="cdktfprovideroktatemplateemailtranslationslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktatemplateemailtranslationslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.TemplateEmailTranslationsList.get" id="cdktfprovideroktatemplateemailtranslationslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsList.parameter.index" id="cdktfprovideroktatemplateemailtranslationslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktatemplateemailtranslationslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsList.property.internalValue" id="cdktfprovideroktatemplateemailtranslationslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | TemplateEmailTranslations[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)[]

---


### TemplateEmailTranslationsOutputReference <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference" id="cdktfprovideroktatemplateemailtranslationsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.Initializer" id="cdktfprovideroktatemplateemailtranslationsoutputreferenceinitializer"></a>

```typescript
import { TemplateEmailTranslationsOutputReference } from '@cdktf/provider-okta'

new TemplateEmailTranslationsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktatemplateemailtranslationsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktatemplateemailtranslationsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktatemplateemailtranslationsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktatemplateemailtranslationsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.parameter.terraformResource" id="cdktfprovideroktatemplateemailtranslationsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktatemplateemailtranslationsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktatemplateemailtranslationsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktatemplateemailtranslationsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`languageInput`](#cdktfprovideroktatemplateemailtranslationsoutputreferencepropertylanguageinput) | `string` | *No description.* |
| [`subjectInput`](#cdktfprovideroktatemplateemailtranslationsoutputreferencepropertysubjectinput) | `string` | *No description.* |
| [`templateInput`](#cdktfprovideroktatemplateemailtranslationsoutputreferencepropertytemplateinput) | `string` | *No description.* |
| [`language`](#cdktfprovideroktatemplateemailtranslationsoutputreferencepropertylanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`subject`](#cdktfprovideroktatemplateemailtranslationsoutputreferencepropertysubject)<span title="Required">*</span> | `string` | *No description.* |
| [`template`](#cdktfprovideroktatemplateemailtranslationsoutputreferencepropertytemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktatemplateemailtranslationsoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations) | *No description.* |

---

##### `languageInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.property.languageInput" id="cdktfprovideroktatemplateemailtranslationsoutputreferencepropertylanguageinput"></a>

```typescript
public readonly languageInput: string;
```

- *Type:* `string`

---

##### `subjectInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.property.subjectInput" id="cdktfprovideroktatemplateemailtranslationsoutputreferencepropertysubjectinput"></a>

```typescript
public readonly subjectInput: string;
```

- *Type:* `string`

---

##### `templateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.property.templateInput" id="cdktfprovideroktatemplateemailtranslationsoutputreferencepropertytemplateinput"></a>

```typescript
public readonly templateInput: string;
```

- *Type:* `string`

---

##### `language`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.property.language" id="cdktfprovideroktatemplateemailtranslationsoutputreferencepropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

---

##### `subject`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.property.subject" id="cdktfprovideroktatemplateemailtranslationsoutputreferencepropertysubject"></a>

```typescript
public readonly subject: string;
```

- *Type:* `string`

---

##### `template`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.property.template" id="cdktfprovideroktatemplateemailtranslationsoutputreferencepropertytemplate"></a>

```typescript
public readonly template: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateEmailTranslationsOutputReference.property.internalValue" id="cdktfprovideroktatemplateemailtranslationsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | TemplateEmailTranslations;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateEmailTranslations`](#@cdktf/provider-okta.TemplateEmailTranslations)

---


### TemplateSmsTranslationsList <a name="@cdktf/provider-okta.TemplateSmsTranslationsList" id="cdktfprovideroktatemplatesmstranslationslist"></a>

#### Initializers <a name="@cdktf/provider-okta.TemplateSmsTranslationsList.Initializer" id="cdktfprovideroktatemplatesmstranslationslistinitializer"></a>

```typescript
import { TemplateSmsTranslationsList } from '@cdktf/provider-okta'

new TemplateSmsTranslationsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktatemplatesmstranslationslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktatemplatesmstranslationslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktatemplatesmstranslationslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsList.parameter.terraformResource" id="cdktfprovideroktatemplatesmstranslationslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsList.parameter.terraformAttribute" id="cdktfprovideroktatemplatesmstranslationslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsList.parameter.wrapsSet" id="cdktfprovideroktatemplatesmstranslationslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktatemplatesmstranslationslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.TemplateSmsTranslationsList.get" id="cdktfprovideroktatemplatesmstranslationslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsList.parameter.index" id="cdktfprovideroktatemplatesmstranslationslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktatemplatesmstranslationslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsList.property.internalValue" id="cdktfprovideroktatemplatesmstranslationslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | TemplateSmsTranslations[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)[]

---


### TemplateSmsTranslationsOutputReference <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference" id="cdktfprovideroktatemplatesmstranslationsoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.Initializer" id="cdktfprovideroktatemplatesmstranslationsoutputreferenceinitializer"></a>

```typescript
import { TemplateSmsTranslationsOutputReference } from '@cdktf/provider-okta'

new TemplateSmsTranslationsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktatemplatesmstranslationsoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktatemplatesmstranslationsoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktatemplatesmstranslationsoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktatemplatesmstranslationsoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.parameter.terraformResource" id="cdktfprovideroktatemplatesmstranslationsoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.parameter.terraformAttribute" id="cdktfprovideroktatemplatesmstranslationsoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktatemplatesmstranslationsoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktatemplatesmstranslationsoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`languageInput`](#cdktfprovideroktatemplatesmstranslationsoutputreferencepropertylanguageinput) | `string` | *No description.* |
| [`templateInput`](#cdktfprovideroktatemplatesmstranslationsoutputreferencepropertytemplateinput) | `string` | *No description.* |
| [`language`](#cdktfprovideroktatemplatesmstranslationsoutputreferencepropertylanguage)<span title="Required">*</span> | `string` | *No description.* |
| [`template`](#cdktfprovideroktatemplatesmstranslationsoutputreferencepropertytemplate)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktatemplatesmstranslationsoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations) | *No description.* |

---

##### `languageInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.property.languageInput" id="cdktfprovideroktatemplatesmstranslationsoutputreferencepropertylanguageinput"></a>

```typescript
public readonly languageInput: string;
```

- *Type:* `string`

---

##### `templateInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.property.templateInput" id="cdktfprovideroktatemplatesmstranslationsoutputreferencepropertytemplateinput"></a>

```typescript
public readonly templateInput: string;
```

- *Type:* `string`

---

##### `language`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.property.language" id="cdktfprovideroktatemplatesmstranslationsoutputreferencepropertylanguage"></a>

```typescript
public readonly language: string;
```

- *Type:* `string`

---

##### `template`<sup>Required</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.property.template" id="cdktfprovideroktatemplatesmstranslationsoutputreferencepropertytemplate"></a>

```typescript
public readonly template: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.TemplateSmsTranslationsOutputReference.property.internalValue" id="cdktfprovideroktatemplatesmstranslationsoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | TemplateSmsTranslations;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.TemplateSmsTranslations`](#@cdktf/provider-okta.TemplateSmsTranslations)

---


### ThreeFieldAppUsersList <a name="@cdktf/provider-okta.ThreeFieldAppUsersList" id="cdktfprovideroktathreefieldappuserslist"></a>

#### Initializers <a name="@cdktf/provider-okta.ThreeFieldAppUsersList.Initializer" id="cdktfprovideroktathreefieldappuserslistinitializer"></a>

```typescript
import { ThreeFieldAppUsersList } from '@cdktf/provider-okta'

new ThreeFieldAppUsersList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktathreefieldappuserslistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktathreefieldappuserslistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktathreefieldappuserslistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersList.parameter.terraformResource" id="cdktfprovideroktathreefieldappuserslistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersList.parameter.terraformAttribute" id="cdktfprovideroktathreefieldappuserslistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersList.parameter.wrapsSet" id="cdktfprovideroktathreefieldappuserslistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktathreefieldappuserslistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.ThreeFieldAppUsersList.get" id="cdktfprovideroktathreefieldappuserslistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersList.parameter.index" id="cdktfprovideroktathreefieldappuserslistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktathreefieldappuserslistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersList.property.internalValue" id="cdktfprovideroktathreefieldappuserslistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | ThreeFieldAppUsers[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)[]

---


### ThreeFieldAppUsersOutputReference <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference" id="cdktfprovideroktathreefieldappusersoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.Initializer" id="cdktfprovideroktathreefieldappusersoutputreferenceinitializer"></a>

```typescript
import { ThreeFieldAppUsersOutputReference } from '@cdktf/provider-okta'

new ThreeFieldAppUsersOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktathreefieldappusersoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktathreefieldappusersoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktathreefieldappusersoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktathreefieldappusersoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.parameter.terraformResource" id="cdktfprovideroktathreefieldappusersoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.parameter.terraformAttribute" id="cdktfprovideroktathreefieldappusersoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktathreefieldappusersoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktathreefieldappusersoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetId`](#cdktfprovideroktathreefieldappusersoutputreferenceresetid) | *No description.* |
| [`resetPassword`](#cdktfprovideroktathreefieldappusersoutputreferenceresetpassword) | *No description.* |
| [`resetUsername`](#cdktfprovideroktathreefieldappusersoutputreferenceresetusername) | *No description.* |

---

##### `resetId` <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.resetId" id="cdktfprovideroktathreefieldappusersoutputreferenceresetid"></a>

```typescript
public resetId()
```

##### `resetPassword` <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.resetPassword" id="cdktfprovideroktathreefieldappusersoutputreferenceresetpassword"></a>

```typescript
public resetPassword()
```

##### `resetUsername` <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.resetUsername" id="cdktfprovideroktathreefieldappusersoutputreferenceresetusername"></a>

```typescript
public resetUsername()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#cdktfprovideroktathreefieldappusersoutputreferencepropertyscope)<span title="Required">*</span> | `string` | *No description.* |
| [`idInput`](#cdktfprovideroktathreefieldappusersoutputreferencepropertyidinput) | `string` | *No description.* |
| [`passwordInput`](#cdktfprovideroktathreefieldappusersoutputreferencepropertypasswordinput) | `string` | *No description.* |
| [`usernameInput`](#cdktfprovideroktathreefieldappusersoutputreferencepropertyusernameinput) | `string` | *No description.* |
| [`id`](#cdktfprovideroktathreefieldappusersoutputreferencepropertyid)<span title="Required">*</span> | `string` | *No description.* |
| [`password`](#cdktfprovideroktathreefieldappusersoutputreferencepropertypassword)<span title="Required">*</span> | `string` | *No description.* |
| [`username`](#cdktfprovideroktathreefieldappusersoutputreferencepropertyusername)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktathreefieldappusersoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.scope" id="cdktfprovideroktathreefieldappusersoutputreferencepropertyscope"></a>

```typescript
public readonly scope: string;
```

- *Type:* `string`

---

##### `idInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.idInput" id="cdktfprovideroktathreefieldappusersoutputreferencepropertyidinput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* `string`

---

##### `passwordInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.passwordInput" id="cdktfprovideroktathreefieldappusersoutputreferencepropertypasswordinput"></a>

```typescript
public readonly passwordInput: string;
```

- *Type:* `string`

---

##### `usernameInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.usernameInput" id="cdktfprovideroktathreefieldappusersoutputreferencepropertyusernameinput"></a>

```typescript
public readonly usernameInput: string;
```

- *Type:* `string`

---

##### `id`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.id" id="cdktfprovideroktathreefieldappusersoutputreferencepropertyid"></a>

```typescript
public readonly id: string;
```

- *Type:* `string`

---

##### `password`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.password" id="cdktfprovideroktathreefieldappusersoutputreferencepropertypassword"></a>

```typescript
public readonly password: string;
```

- *Type:* `string`

---

##### `username`<sup>Required</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.username" id="cdktfprovideroktathreefieldappusersoutputreferencepropertyusername"></a>

```typescript
public readonly username: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.ThreeFieldAppUsersOutputReference.property.internalValue" id="cdktfprovideroktathreefieldappusersoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | ThreeFieldAppUsers;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.ThreeFieldAppUsers`](#@cdktf/provider-okta.ThreeFieldAppUsers)

---


### UserPasswordHashOutputReference <a name="@cdktf/provider-okta.UserPasswordHashOutputReference" id="cdktfprovideroktauserpasswordhashoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.Initializer" id="cdktfprovideroktauserpasswordhashoutputreferenceinitializer"></a>

```typescript
import { UserPasswordHashOutputReference } from '@cdktf/provider-okta'

new UserPasswordHashOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserpasswordhashoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserpasswordhashoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.parameter.terraformResource" id="cdktfprovideroktauserpasswordhashoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.parameter.terraformAttribute" id="cdktfprovideroktauserpasswordhashoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetSalt`](#cdktfprovideroktauserpasswordhashoutputreferenceresetsalt) | *No description.* |
| [`resetSaltOrder`](#cdktfprovideroktauserpasswordhashoutputreferenceresetsaltorder) | *No description.* |
| [`resetWorkFactor`](#cdktfprovideroktauserpasswordhashoutputreferenceresetworkfactor) | *No description.* |

---

##### `resetSalt` <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.resetSalt" id="cdktfprovideroktauserpasswordhashoutputreferenceresetsalt"></a>

```typescript
public resetSalt()
```

##### `resetSaltOrder` <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.resetSaltOrder" id="cdktfprovideroktauserpasswordhashoutputreferenceresetsaltorder"></a>

```typescript
public resetSaltOrder()
```

##### `resetWorkFactor` <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.resetWorkFactor" id="cdktfprovideroktauserpasswordhashoutputreferenceresetworkfactor"></a>

```typescript
public resetWorkFactor()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`algorithmInput`](#cdktfprovideroktauserpasswordhashoutputreferencepropertyalgorithminput) | `string` | *No description.* |
| [`saltInput`](#cdktfprovideroktauserpasswordhashoutputreferencepropertysaltinput) | `string` | *No description.* |
| [`saltOrderInput`](#cdktfprovideroktauserpasswordhashoutputreferencepropertysaltorderinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktauserpasswordhashoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`workFactorInput`](#cdktfprovideroktauserpasswordhashoutputreferencepropertyworkfactorinput) | `number` | *No description.* |
| [`algorithm`](#cdktfprovideroktauserpasswordhashoutputreferencepropertyalgorithm)<span title="Required">*</span> | `string` | *No description.* |
| [`salt`](#cdktfprovideroktauserpasswordhashoutputreferencepropertysalt)<span title="Required">*</span> | `string` | *No description.* |
| [`saltOrder`](#cdktfprovideroktauserpasswordhashoutputreferencepropertysaltorder)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktauserpasswordhashoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`workFactor`](#cdktfprovideroktauserpasswordhashoutputreferencepropertyworkfactor)<span title="Required">*</span> | `number` | *No description.* |
| [`internalValue`](#cdktfprovideroktauserpasswordhashoutputreferencepropertyinternalvalue) | [`@cdktf/provider-okta.UserPasswordHash`](#@cdktf/provider-okta.UserPasswordHash) | *No description.* |

---

##### `algorithmInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.algorithmInput" id="cdktfprovideroktauserpasswordhashoutputreferencepropertyalgorithminput"></a>

```typescript
public readonly algorithmInput: string;
```

- *Type:* `string`

---

##### `saltInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.saltInput" id="cdktfprovideroktauserpasswordhashoutputreferencepropertysaltinput"></a>

```typescript
public readonly saltInput: string;
```

- *Type:* `string`

---

##### `saltOrderInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.saltOrderInput" id="cdktfprovideroktauserpasswordhashoutputreferencepropertysaltorderinput"></a>

```typescript
public readonly saltOrderInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.valueInput" id="cdktfprovideroktauserpasswordhashoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `workFactorInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.workFactorInput" id="cdktfprovideroktauserpasswordhashoutputreferencepropertyworkfactorinput"></a>

```typescript
public readonly workFactorInput: number;
```

- *Type:* `number`

---

##### `algorithm`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.algorithm" id="cdktfprovideroktauserpasswordhashoutputreferencepropertyalgorithm"></a>

```typescript
public readonly algorithm: string;
```

- *Type:* `string`

---

##### `salt`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.salt" id="cdktfprovideroktauserpasswordhashoutputreferencepropertysalt"></a>

```typescript
public readonly salt: string;
```

- *Type:* `string`

---

##### `saltOrder`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.saltOrder" id="cdktfprovideroktauserpasswordhashoutputreferencepropertysaltorder"></a>

```typescript
public readonly saltOrder: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.value" id="cdktfprovideroktauserpasswordhashoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `workFactor`<sup>Required</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.workFactor" id="cdktfprovideroktauserpasswordhashoutputreferencepropertyworkfactor"></a>

```typescript
public readonly workFactor: number;
```

- *Type:* `number`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserPasswordHashOutputReference.property.internalValue" id="cdktfprovideroktauserpasswordhashoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: UserPasswordHash;
```

- *Type:* [`@cdktf/provider-okta.UserPasswordHash`](#@cdktf/provider-okta.UserPasswordHash)

---


### UserSchemaArrayOneOfList <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList" id="cdktfprovideroktauserschemaarrayoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList.Initializer" id="cdktfprovideroktauserschemaarrayoneoflistinitializer"></a>

```typescript
import { UserSchemaArrayOneOfList } from '@cdktf/provider-okta'

new UserSchemaArrayOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemaarrayoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemaarrayoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktauserschemaarrayoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList.parameter.terraformResource" id="cdktfprovideroktauserschemaarrayoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList.parameter.terraformAttribute" id="cdktfprovideroktauserschemaarrayoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList.parameter.wrapsSet" id="cdktfprovideroktauserschemaarrayoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktauserschemaarrayoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList.get" id="cdktfprovideroktauserschemaarrayoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList.parameter.index" id="cdktfprovideroktauserschemaarrayoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktauserschemaarrayoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfList.property.internalValue" id="cdktfprovideroktauserschemaarrayoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)[]

---


### UserSchemaArrayOneOfOutputReference <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference" id="cdktfprovideroktauserschemaarrayoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.Initializer" id="cdktfprovideroktauserschemaarrayoneofoutputreferenceinitializer"></a>

```typescript
import { UserSchemaArrayOneOfOutputReference } from '@cdktf/provider-okta'

new UserSchemaArrayOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemaarrayoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemaarrayoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktauserschemaarrayoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktauserschemaarrayoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktauserschemaarrayoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktauserschemaarrayoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktauserschemaarrayoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktauserschemaarrayoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktauserschemaarrayoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktauserschemaarrayoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktauserschemaarrayoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktauserschemaarrayoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktauserschemaarrayoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.property.constInput" id="cdktfprovideroktauserschemaarrayoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.property.titleInput" id="cdktfprovideroktauserschemaarrayoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.property.const" id="cdktfprovideroktauserschemaarrayoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.property.title" id="cdktfprovideroktauserschemaarrayoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaArrayOneOfOutputReference.property.internalValue" id="cdktfprovideroktauserschemaarrayoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaArrayOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaArrayOneOf`](#@cdktf/provider-okta.UserSchemaArrayOneOf)

---


### UserSchemaMasterOverridePriorityList <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList" id="cdktfprovideroktauserschemamasteroverrideprioritylist"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList.Initializer" id="cdktfprovideroktauserschemamasteroverrideprioritylistinitializer"></a>

```typescript
import { UserSchemaMasterOverridePriorityList } from '@cdktf/provider-okta'

new UserSchemaMasterOverridePriorityList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemamasteroverrideprioritylistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemamasteroverrideprioritylistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktauserschemamasteroverrideprioritylistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList.parameter.terraformResource" id="cdktfprovideroktauserschemamasteroverrideprioritylistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList.parameter.terraformAttribute" id="cdktfprovideroktauserschemamasteroverrideprioritylistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList.parameter.wrapsSet" id="cdktfprovideroktauserschemamasteroverrideprioritylistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktauserschemamasteroverrideprioritylistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList.get" id="cdktfprovideroktauserschemamasteroverrideprioritylistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList.parameter.index" id="cdktfprovideroktauserschemamasteroverrideprioritylistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktauserschemamasteroverrideprioritylistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityList.property.internalValue" id="cdktfprovideroktauserschemamasteroverrideprioritylistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)[]

---


### UserSchemaMasterOverridePriorityOutputReference <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.Initializer" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceinitializer"></a>

```typescript
import { UserSchemaMasterOverridePriorityOutputReference } from '@cdktf/provider-okta'

new UserSchemaMasterOverridePriorityOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.parameter.terraformResource" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.parameter.terraformAttribute" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetType`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceresettype) | *No description.* |

---

##### `resetType` <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.resetType" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferenceresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`typeInput`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`type`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority) | *No description.* |

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.property.typeInput" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.property.valueInput" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.property.type" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.property.value" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaMasterOverridePriorityOutputReference.property.internalValue" id="cdktfprovideroktauserschemamasteroverridepriorityoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaMasterOverridePriority;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaMasterOverridePriority)

---


### UserSchemaOneOfList <a name="@cdktf/provider-okta.UserSchemaOneOfList" id="cdktfprovideroktauserschemaoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaOneOfList.Initializer" id="cdktfprovideroktauserschemaoneoflistinitializer"></a>

```typescript
import { UserSchemaOneOfList } from '@cdktf/provider-okta'

new UserSchemaOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemaoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemaoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktauserschemaoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfList.parameter.terraformResource" id="cdktfprovideroktauserschemaoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfList.parameter.terraformAttribute" id="cdktfprovideroktauserschemaoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfList.parameter.wrapsSet" id="cdktfprovideroktauserschemaoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktauserschemaoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.UserSchemaOneOfList.get" id="cdktfprovideroktauserschemaoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfList.parameter.index" id="cdktfprovideroktauserschemaoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktauserschemaoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfList.property.internalValue" id="cdktfprovideroktauserschemaoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)[]

---


### UserSchemaOneOfOutputReference <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference" id="cdktfprovideroktauserschemaoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.Initializer" id="cdktfprovideroktauserschemaoneofoutputreferenceinitializer"></a>

```typescript
import { UserSchemaOneOfOutputReference } from '@cdktf/provider-okta'

new UserSchemaOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemaoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemaoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktauserschemaoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktauserschemaoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktauserschemaoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktauserschemaoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktauserschemaoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktauserschemaoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktauserschemaoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktauserschemaoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktauserschemaoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktauserschemaoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktauserschemaoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.property.constInput" id="cdktfprovideroktauserschemaoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.property.titleInput" id="cdktfprovideroktauserschemaoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.property.const" id="cdktfprovideroktauserschemaoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.property.title" id="cdktfprovideroktauserschemaoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaOneOfOutputReference.property.internalValue" id="cdktfprovideroktauserschemaoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaOneOf`](#@cdktf/provider-okta.UserSchemaOneOf)

---


### UserSchemaPropertyArrayOneOfList <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList" id="cdktfprovideroktauserschemapropertyarrayoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList.Initializer" id="cdktfprovideroktauserschemapropertyarrayoneoflistinitializer"></a>

```typescript
import { UserSchemaPropertyArrayOneOfList } from '@cdktf/provider-okta'

new UserSchemaPropertyArrayOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemapropertyarrayoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemapropertyarrayoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktauserschemapropertyarrayoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList.parameter.terraformResource" id="cdktfprovideroktauserschemapropertyarrayoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList.parameter.terraformAttribute" id="cdktfprovideroktauserschemapropertyarrayoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList.parameter.wrapsSet" id="cdktfprovideroktauserschemapropertyarrayoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktauserschemapropertyarrayoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList.get" id="cdktfprovideroktauserschemapropertyarrayoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList.parameter.index" id="cdktfprovideroktauserschemapropertyarrayoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktauserschemapropertyarrayoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfList.property.internalValue" id="cdktfprovideroktauserschemapropertyarrayoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaPropertyArrayOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)[]

---


### UserSchemaPropertyArrayOneOfOutputReference <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.Initializer" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceinitializer"></a>

```typescript
import { UserSchemaPropertyArrayOneOfOutputReference } from '@cdktf/provider-okta'

new UserSchemaPropertyArrayOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.property.constInput" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.property.titleInput" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.property.const" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.property.title" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyArrayOneOfOutputReference.property.internalValue" id="cdktfprovideroktauserschemapropertyarrayoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaPropertyArrayOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyArrayOneOf`](#@cdktf/provider-okta.UserSchemaPropertyArrayOneOf)

---


### UserSchemaPropertyMasterOverridePriorityList <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylist"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList.Initializer" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylistinitializer"></a>

```typescript
import { UserSchemaPropertyMasterOverridePriorityList } from '@cdktf/provider-okta'

new UserSchemaPropertyMasterOverridePriorityList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemapropertymasteroverrideprioritylistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemapropertymasteroverrideprioritylistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktauserschemapropertymasteroverrideprioritylistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList.parameter.terraformResource" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList.parameter.terraformAttribute" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList.parameter.wrapsSet" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktauserschemapropertymasteroverrideprioritylistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList.get" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList.parameter.index" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktauserschemapropertymasteroverrideprioritylistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityList.property.internalValue" id="cdktfprovideroktauserschemapropertymasteroverrideprioritylistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaPropertyMasterOverridePriority[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)[]

---


### UserSchemaPropertyMasterOverridePriorityOutputReference <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.Initializer" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceinitializer"></a>

```typescript
import { UserSchemaPropertyMasterOverridePriorityOutputReference } from '@cdktf/provider-okta'

new UserSchemaPropertyMasterOverridePriorityOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.parameter.terraformResource" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.parameter.terraformAttribute" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`resetType`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceresettype) | *No description.* |

---

##### `resetType` <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.resetType" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferenceresettype"></a>

```typescript
public resetType()
```


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`typeInput`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertytypeinput) | `string` | *No description.* |
| [`valueInput`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertyvalueinput) | `string` | *No description.* |
| [`type`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertytype)<span title="Required">*</span> | `string` | *No description.* |
| [`value`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertyvalue)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority) | *No description.* |

---

##### `typeInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.property.typeInput" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertytypeinput"></a>

```typescript
public readonly typeInput: string;
```

- *Type:* `string`

---

##### `valueInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.property.valueInput" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertyvalueinput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* `string`

---

##### `type`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.property.type" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertytype"></a>

```typescript
public readonly type: string;
```

- *Type:* `string`

---

##### `value`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.property.value" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertyvalue"></a>

```typescript
public readonly value: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriorityOutputReference.property.internalValue" id="cdktfprovideroktauserschemapropertymasteroverridepriorityoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaPropertyMasterOverridePriority;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority`](#@cdktf/provider-okta.UserSchemaPropertyMasterOverridePriority)

---


### UserSchemaPropertyOneOfList <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList" id="cdktfprovideroktauserschemapropertyoneoflist"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList.Initializer" id="cdktfprovideroktauserschemapropertyoneoflistinitializer"></a>

```typescript
import { UserSchemaPropertyOneOfList } from '@cdktf/provider-okta'

new UserSchemaPropertyOneOfList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemapropertyoneoflistparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemapropertyoneoflistparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`wrapsSet`](#cdktfprovideroktauserschemapropertyoneoflistparameterwrapsset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList.parameter.terraformResource" id="cdktfprovideroktauserschemapropertyoneoflistparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList.parameter.terraformAttribute" id="cdktfprovideroktauserschemapropertyoneoflistparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList.parameter.wrapsSet" id="cdktfprovideroktauserschemapropertyoneoflistparameterwrapsset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="methods"></a>

| **Name** | **Description** |
| --- | --- |
| [`get`](#cdktfprovideroktauserschemapropertyoneoflistget) | *No description.* |

---

##### `get` <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList.get" id="cdktfprovideroktauserschemapropertyoneoflistget"></a>

```typescript
public get(index: number)
```

###### `index`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList.parameter.index" id="cdktfprovideroktauserschemapropertyoneoflistparameterindex"></a>

- *Type:* `number`

the index of the item to return.

---


#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`internalValue`](#cdktfprovideroktauserschemapropertyoneoflistpropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)[] | *No description.* |

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfList.property.internalValue" id="cdktfprovideroktauserschemapropertyoneoflistpropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaPropertyOneOf[];
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)[]

---


### UserSchemaPropertyOneOfOutputReference <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference" id="cdktfprovideroktauserschemapropertyoneofoutputreference"></a>

#### Initializers <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.Initializer" id="cdktfprovideroktauserschemapropertyoneofoutputreferenceinitializer"></a>

```typescript
import { UserSchemaPropertyOneOfOutputReference } from '@cdktf/provider-okta'

new UserSchemaPropertyOneOfOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`terraformResource`](#cdktfprovideroktauserschemapropertyoneofoutputreferenceparameterterraformresource)<span title="Required">*</span> | [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent) | The parent resource. |
| [`terraformAttribute`](#cdktfprovideroktauserschemapropertyoneofoutputreferenceparameterterraformattribute)<span title="Required">*</span> | `string` | The attribute on the parent resource this class is referencing. |
| [`complexObjectIndex`](#cdktfprovideroktauserschemapropertyoneofoutputreferenceparametercomplexobjectindex)<span title="Required">*</span> | `number` | the index of this item in the list. |
| [`complexObjectIsFromSet`](#cdktfprovideroktauserschemapropertyoneofoutputreferenceparametercomplexobjectisfromset)<span title="Required">*</span> | `boolean` | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.parameter.terraformResource" id="cdktfprovideroktauserschemapropertyoneofoutputreferenceparameterterraformresource"></a>

- *Type:* [`cdktf.IInterpolatingParent`](#cdktf.IInterpolatingParent)

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.parameter.terraformAttribute" id="cdktfprovideroktauserschemapropertyoneofoutputreferenceparameterterraformattribute"></a>

- *Type:* `string`

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.parameter.complexObjectIndex" id="cdktfprovideroktauserschemapropertyoneofoutputreferenceparametercomplexobjectindex"></a>

- *Type:* `number`

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.parameter.complexObjectIsFromSet" id="cdktfprovideroktauserschemapropertyoneofoutputreferenceparametercomplexobjectisfromset"></a>

- *Type:* `boolean`

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`constInput`](#cdktfprovideroktauserschemapropertyoneofoutputreferencepropertyconstinput) | `string` | *No description.* |
| [`titleInput`](#cdktfprovideroktauserschemapropertyoneofoutputreferencepropertytitleinput) | `string` | *No description.* |
| [`const`](#cdktfprovideroktauserschemapropertyoneofoutputreferencepropertyconst)<span title="Required">*</span> | `string` | *No description.* |
| [`title`](#cdktfprovideroktauserschemapropertyoneofoutputreferencepropertytitle)<span title="Required">*</span> | `string` | *No description.* |
| [`internalValue`](#cdktfprovideroktauserschemapropertyoneofoutputreferencepropertyinternalvalue) | [`cdktf.IResolvable`](#cdktf.IResolvable) \| [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf) | *No description.* |

---

##### `constInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.property.constInput" id="cdktfprovideroktauserschemapropertyoneofoutputreferencepropertyconstinput"></a>

```typescript
public readonly constInput: string;
```

- *Type:* `string`

---

##### `titleInput`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.property.titleInput" id="cdktfprovideroktauserschemapropertyoneofoutputreferencepropertytitleinput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* `string`

---

##### `const`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.property.const" id="cdktfprovideroktauserschemapropertyoneofoutputreferencepropertyconst"></a>

```typescript
public readonly const: string;
```

- *Type:* `string`

---

##### `title`<sup>Required</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.property.title" id="cdktfprovideroktauserschemapropertyoneofoutputreferencepropertytitle"></a>

```typescript
public readonly title: string;
```

- *Type:* `string`

---

##### `internalValue`<sup>Optional</sup> <a name="@cdktf/provider-okta.UserSchemaPropertyOneOfOutputReference.property.internalValue" id="cdktfprovideroktauserschemapropertyoneofoutputreferencepropertyinternalvalue"></a>

```typescript
public readonly internalValue: IResolvable | UserSchemaPropertyOneOf;
```

- *Type:* [`cdktf.IResolvable`](#cdktf.IResolvable) | [`@cdktf/provider-okta.UserSchemaPropertyOneOf`](#@cdktf/provider-okta.UserSchemaPropertyOneOf)

---



